Bienvenue dans Silk Central 19.0

Bienvenue dans Silk Central

  • Architecture
  • Gestion des licences
  • Présentation de l'interface utilisateur
  • Tâches de démarrage rapide
  • Aide relative à l'installation

Nouveautés

  • Nouveautés dans Silk Central
  • Notes de mise à jour

Sections proposées

  • Mon tableau de bord
  • Organisation des exécutions manuelles
  • Objectifs qualité

Didacticiels et démonstrations

  • Tâches de démarrage rapide
  • Planification de l'exécution manuelle - procédure détaillée
  • Formation Web gratuite dans notre boutique de formation

Exemples de codes

  • Aide de l'API

Ressources en ligne

  • Page d'accueil Micro Focus
  • Chaîne Micro Focus sur YouTube
  • Documentation en ligne Micro Focus
  • Micro Focus SupportLine
  • Mises à jour des produits Micro Focus
  • Base de connaissances Silk Central
  • Forums des communautés Silk Central
  • Formation à la demande Micro Focus

Faites-nous part de vos commentaires

  • Contacter Micro Focus
  • Envoyez-nous par courriel vos commentaires sur cette aide


Aide à l'installation et la configuration du système

L'aide à l'installation et la configuration du système fournit toutes les informations dont vous avez besoin pour installer et désinstaller Silk Central. Elle vous guide également à travers la configuration de votre infrastructure Silk Central.

  • Architecture de Silk Central
    Cette section propose une vue d'ensemble de l'architecture de Silk Central.
  • Installation de Silk Central
    Le DVD d'installation et le programme d'installation de Silk Central permettent d'installer tous les composants logiciels de Silk Central .
  • Configuration et gestion de l'infrastructure
    Les instances et leurs services Silk Central sont gérés par l'intermédiaire d'une interface utilisateur commune appelée Administration d'instance, à laquelle vous pouvez accéder uniquement sur le serveur où Silk Central est installé, en utilisant l'URL http://localhost:19100.


Architecture de Silk Central

Cette section propose une vue d'ensemble de l'architecture de Silk Central.

Serveur Silk Central

Le serveur sur lequel l'installation de Silk Central a été exécutée.

Administration d'instance

Les instances et leurs services Silk Central sont gérés par l'intermédiaire d'une interface utilisateur commune appelée Administration d'instance, à laquelle vous pouvez accéder uniquement sur le serveur où Silk Central est installé, en utilisant l'URL http://localhost:19100.

Instances

Une instance est un ensemble indépendant de services Silk Central (serveur d'applications [AS], serveur de présentation [FE] et serveur de rapports graphiques [CS]), avec leur propre base de données et connexions de serveur d'exécution (ES). Par défaut, Silk Central crée une instance unique appelée silk pour vous. L'URL par défaut est http://<nom de l'ordinateur>:19120/login (les informations de port ne sont pas requises si Silk Central est exécuté sur IIS).Créez des instances supplémentaires si vous avez besoin de séparer physiquement les données des tests et les processus de vos divers clients pour accroître la sécurité des données et réduire l'influence de groupes d'utilisateurs indépendants les uns sur les autres (par exemple les départements). Avec l'aide de clients, vous pouvez séparer logiquement les données d'une instance au sein d'une base de données.

Proxy

Un service proxy est installé sur le serveur Silk Central pour contrôler l'accès aux différentes instances. Les services de chaque instance fonctionnent sur des ports dédiés, mais pour des raisons de sécurité et de flexibilité accrue, le proxy route le nom d'instance vers l'URL même, sous la forme http://<serveur Silk Central >:19120/<nom d'instance>.

Serveur d'applications (AS)

Le serveur d'application synchronise les tâches telles que la distribution des planifications, le contrôle des serveurs d'exécution et la gestion de la configuration des bases de données. Ces tâches nécessitent une agence centralisée pour garantir un comportement cohérent et fiable de l'application. Le serveur d'application évalue aussi les résultats, les enregistre dans la base de données et envoie des alertes en fonction des critères de succès. Le serveur d'applications utilise le port 19122 pour l'instance par défaut. Pour chaque instance supplémentaire, cette valeur est incrémentée par 100.

Serveur de présentation (FE)

Le serveur de présentation est responsable de l'interface utilisateur graphique. Ce serveur est basé sur HTML et est accessible à partir de tout navigateur Web, tel qu'Internet Explorer, Firefox ou Chrome. Un utilisateur envoie une requête HTTP appropriée au serveur de présentation et reçoit une page de connexion pour authentification. Une fois la connexion réussie, l'utilisateur peut utiliser l'application correspondante en fonction des droits utilisateur respectifs. Le serveur de présentation peut fonctionner en tant que serveur HTTP autonome, ou il peut être rattaché à un serveur Web, tel qu'IIS. Le serveur de présentation utilise le port 19110 pour l'instance par défaut. La deuxième instance utilise le port 19220 et pour chaque instance supplémentaire, cette valeur est incrémentée par 100. Pour établir des connexions sécurisées avec SSL, le serveur utilise aussi le port 443. Le serveur de présentation est accessible via l'URL http://<serveur Silk Central >:19120/<nom d'instance> (le nom d'instance n'est pas requis pour l'instance par défaut).

Serveur de rapports graphiques (CS)

Le serveur de rapports graphiques sert à générer des graphes qui sont affichés dans des rapports. Le système permet de configurer un ensemble de serveurs de rapports graphiques. Un mécanisme intégré d'équilibrage des charges utilise l'ensemble pour distribuer la génération des graphes. Le serveur de rapports graphiques sert également à générer des rapports et à les transmettre directement à l'utilisateur final, qui peut les consulter dans un navigateur. Le serveur de rapports graphiques utilise le port 19126 pour l'instance par défaut. Pour chaque instance supplémentaire, cette valeur est incrémentée par 100.

Serveur d'exécution (ES)

Le serveur d'exécution exécute des tests automatisés qui sont planifiés par des utilisateurs autorisés. Les utilisateurs sont responsables de la configuration adéquate des serveurs d'exécution et des ressources supplémentaires qui sont requis pour les exécutions de tests. Le système permet d'installer et de configurer plusieurs serveurs d'exécution fonctionnant indépendamment les uns des autres. Le serveur d'exécution utilise le port 19124 pour l'instance par défaut. Pour établir des connexions sécurisées avec SSL, le serveur utilise aussi le port 19125.

Ordinateurs agents :

Les ordinateurs agents Silk Test Classic et sont assignés à des projets ou Silk Performer spécifiques à partir d'un ensemble d'ordinateurs agents dont dispose l'ordinateur contrôleur. En combinaison avec Silk Central, l'ordinateur contrôleur fait office de serveur d'exécution.
Agents Silk Performer
Les ordinateurs agents Silk Performer hébergent les utilisateurs virtuels qui sont exécutés lors des tests de charge. Autant d'ordinateurs agents que nécessaire peuvent être ajoutés à un projet Silk Performer en vue d'exécuter la quantité requise d'utilisateurs virtuels. La configuration des agents est effectuée via Silk Performer. Reportez-vous à la documentation Silk Performer pour plus de détails sur la configuration des agents.
Agents Silk Test Classic
Les règles qui s'appliquent aux agents Silk Test Classic valent aussi pour les agents , à la différence que les agents hébergent des tests Silk Performer.

Serveur de base de données (DB)

La persistance du système est implémentée à l'aide d'un SGBDR (système de gestion de base de données relationnelle). Le serveur de base de données utilise les ports 1433 (SQL Server) ou 1521 (Oracle).

Serveur de licences Silk Meter

Silk Meter , le logiciel de gestion des licences fourni avec les applications Silk, détermine les fonctionnalités applicatives Silk Central auxquelles vous pouvez accéder. Pour plus d'informations sur la gestion des licences, reportez-vous au Guide d'installation de chaque application. Silk Meter utilise le port 5461.

Clients

Les clients sont des unités distinctes au sein d'une instance Silk Central. Un client peut être par exemple un client ou une division d'une entreprise. Les clients permettent d'accroître la sécurité, mais contrairement aux instances, ils partagent la même base de données et les mêmes services Silk Central. Chaque client se compose des entités principales suivantes :
  • Rôles et autorisations de l'utilisateur
  • Groupes d'utilisateurs et comptes d'utilisateurs
  • Projets
  • Emplacements, serveurs d'exécution et ordinateurs agents
  • Applications avec composants, versions et builds
  • Planifications globales

Projets

Les projets dans Silk Central reflètent généralement un projet logiciel dans votre société, respectivement le travail d'une équipe de développement, avec une date de lancement commune, un système de référentiel tiers commun, des exigences communes, etc. Chaque projet se compose des entités principales suivantes :
  • Filtres
  • Attributs
  • Propriétés d'exigence
  • Propriétés de pas de test
  • Notifications
  • Exigences intégrées et outils de suivi d'incidents
  • Système de référentiel tiers intégré
  • Sources de données
  • Motifs d'état

Emplacements des fichiers importants

  • Administration d'instance et fichiers journaux du serveur d'exécution : C:\ProgramData\SilkCentral\log
  • Fichiers journaux des serveurs d'applications, de présentation et de rapports graphiques : C:\ProgramData\SilkCentral\instance_<numéro d'instance>_<nom d'instance>\log
  • Emplacement pour les correctifs : C:\Program Files (x86)\Silk\Silk Central 19.0\hotfixes
  • Fichiers de configuration : C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\Conf
  • Plugins : C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\Plugins
  • Fichiers de mappage d'import Office : C:\ProgramData\SilkCentral\instance_<numéro d'instance>_<nom d'instance>\OfficeImportMappingFiles
Sujet parent : Aide à l'installation et la configuration du système
Tâches associées
Gestion des instances
Gestion des clients
Gestion des projets


Installation de Silk Central

Le DVD d'installation et le programme d'installation de Silk Central permettent d'installer tous les composants logiciels de Silk Central .

Pour que vous puissiez installer Silk Central, votre ordinateur doit disposer de la configuration minimale requise. Le programme d'installation vérifie votre système et installe éventuellement les logiciels requis.

Remarque : Vous devez disposer des droits d'administrateur sur l'ordinateur pour installer Silk Central.
  • Conditions préalables et configuration système
    La configuration présentée dans cette section est recommandée pour garantir les performances optimales de Silk Central.
  • Installation de Silk Central pour évaluation
    Procédez à une installation autonome avec toutes les fonctionnalités disponibles sur une même machine. Ce type d'installation doit être employé à des fins d'évaluation ou de démonstration uniquement.
  • Installation de Silk Central
    Le DVD d'installation et le programme d'installation de permettent d'installer tous les composants logiciels de Silk Central .
  • Installation d'un serveur d'exécution Windows
    Installez un serveur d'exécution Windows pour exécuter des tests sur des ordinateurs distants.
  • Installation d'un serveur d'exécution Windows en mode silencieux
    Installez un serveur d'exécution Windows en mode silencieux pour sauter les étapes d'installation.
  • Installation d'un serveur d'exécution Linux
    Installez un serveur d'exécution Linux pour exécuter des tests sur des ordinateurs distants.
  • Installation d'un correctif
    Lorsqu'un correctif est disponible, mettez à jour vos instances vers le correctif le plus récent.
  • Mise à niveau vers Silk Central 19.0
    Procédez à une mise à niveau vers Silk Central 19.0 pour profiter des améliorations de cette dernière version.
  • Gestion des licences Silk Central
    Obtenez une stratégie de licence et une licence pour votre application afin de bénéficier de toutes les fonctionnalités de Silk Central et du support technique complet.
  • Logiciels testés et pris en charge
    Cette rubrique répertorie les logiciels avec lesquels Silk Central 19.0 a été testé, ainsi que ceux que Silk Central prend en charge.
Sujet parent : Aide à l'installation et la configuration du système
Concepts associés
Conditions préalables et configuration système


Conditions préalables et configuration système

La configuration présentée dans cette section est recommandée pour garantir les performances optimales de Silk Central.

Configuration système du serveur

Domaine système | Exigence
UC | Processeur Intel Core i5 ou supérieur
Mémoire | 8 Go minimum
Espace disque disponible | 30 Go minimum, sauf pour le serveur de base de données
Réseau | 100 Mbit
Système d'exploitation, système de gestion de base de données, serveur Web | Reportez-vous à la rubrique Logiciels testés et pris en charge.
Alimentation | Système d'alimentation sans coupure (UPS) pour tous les environnements afin de réduire le risque de coupure de courant
Pour chaque instance supplémentaire que vous ajoutez, au moins 10 Go d'espace disque supplémentaire sont requis, ainsi que la mémoire minimale initiale suivante :
  • Serveur de présentation : 500 Mo
  • Serveur d'applications : 300 Mo
  • Serveur de rapports graphiques : 200 Mo
En fonction de votre charge de travail, ces valeurs pourront devoir être plus élevées.

Pour plus d'informations sur la configuration optimale de Silk Central, contactez le support technique ou l'équipe chargée de votre compte.

Configuration système du serveur d'exécution

La configuration système requise pour les serveurs d'exécution dépend de l'application testée et du type de test.

Pour les tests de montée en charge, reportez-vous à la configuration requise pour Silk Performer. L'exécution de tests de montée en charge avec la configuration minimale risque de générer des résultats inexacts.

Pour les tests fonctionnels, reportez-vous à la configuration requise pour Silk Test. Nous recommandons au minimum 2048 Mo de mémoire principale pour les tests intensifs tels que la relance du navigateur Web.

Le serveur d'exécution Linux nécessite Java Runtime Environment (JRE) 8.

Configuration requise pour le serveur proxy

Si vous envisagez d'utiliser Microsoft IIS pour Silk Central, installez les extensions IIS suivantes avant d'installer Silk Central :
  • Routage de requête d'application (ARR)
  • Réécriture d'URL
Vous pouvez télécharger les dernières versions de ces extensions sur la page Téléchargements d'IIS.

Virtualisation

Silk Central est testé pour s'exécuter dans l'environnement d'infrastructure virtuelle VMware vSphere Server.

Configuration système côté client

Domaine système | Exigence
Processeur | Processeur Intel Core i3 ou supérieur
Mémoire | 2 GB
Navigateur Web
  • Google Chrome
  • Internet Explorer 10 ou version ultérieure (pas de mode de compatibilité)
  • Mozilla Firefox
  • Microsoft Edge

L'interface de tests manuels nécessite Java Runtime Environment (JRE) 7 Update 79 ou version ultérieure. Pour réaliser des tests manuels avec Internet Explorer 11, une version 32 bits de Java doit être installée sur le client.

Sujet parent : Installation de Silk Central


Installation de Silk Central pour évaluation

Avant de démarrer, téléchargez le fichier exécutable de Silk Central ou insérez le DVD de Silk Central dans le lecteur de DVD.
Remarque : Etant donné que l'installation de Microsoft SQL Server Express exige de détenir des privilèges administrateur, elle échouera si la fonction UAC est activée. Désactivez la fonction UAC sur l'ordinateur sur lequel vous souhaitez installer Silk Central pour évaluation.

Procédez à une installation autonome avec toutes les fonctionnalités disponibles sur une même machine. Les installations autonomes ne permettent pas d'exploiter pleinement les performances de Silk Central. Ce type d'installation doit être employé à des fins d'évaluation ou de démonstration uniquement.

Remarque : l'installation de .NET Framework 3.5 SP1 ne peut pas être exécutée en même temps que celle de Silk Central sur Microsoft Windows Server 2008 R2, Microsoft Windows Server 2008 R2 SP1 ou Microsoft Windows Server 2012. Si .NET Framework 3.5 SP1 n'est pas installé sur votre système, que votre système d'exploitation est Microsoft Windows Server 2008 R2, Microsoft Windows Server 2008 R2 SP1 ou Microsoft Windows Server 2012 et que vous souhaitez installer la version d'évaluation de , installez .NET Framework 3.5 SP1 sur votre système avec le Gestionnaire de serveur Windows avant l'installation de Silk Central.
  1. Recherchez le fichier exécutable de Silk Central et double-cliquez dessus.
    L'assistant InstallShield s'ouvre.
  2. Suivez les instructions de l'assistant d'installation et confirmez tous les paramètres par défaut en cliquant sur Next ouOK dans toutes les boîtes de dialogue.
  3. Dans la boîte de dialogue Sélection du mode de gestion des licences, conservez le paramètre par défaut (Evaluation). Silk Central requiert un référentiel de base de données. Dans le cadre de l'évaluation du produit, nous vous recommandons d'utiliser Microsoft SQL Server Express, qui est installé en tant que composant de Silk Central. Assurez-vous que la case Install Microsoft SQL Server 2008 Express SP1 est bien cochée.
  4. Terminez l'installation en cliquant sur Next.
Sujet parent : Installation de Silk Central
Concepts associés
Conditions préalables et configuration système
Gestion des licences Silk Central


Installation de Silk Central

Avant de démarrer, téléchargez le fichier exécutable de Silk Central ou insérez le DVD de Silk Central dans le lecteur de DVD. Assurez-vous que votre système correspond aux Conditions préalables et à la configuration système requises.

  1. Recherchez le fichier exécutable de Silk Central et double-cliquez dessus.
    Si vous disposez d'un DVD de Silk Central, insérez-le. Si l'installation ne démarre pas automatiquement, lancez manuellement le programme d'installation de Silk Central en choisissant Démarrer > Exécuter et en saisissant <lecteur DVD>:\setup.exe. L'assistant InstallShield s'ouvre.
  2. La page d'accueil de l'assistant s'ouvre. L'assistant vous guide dans la procédure d'installation. Cliquez sur Suivant pour continuer.
  3. Sélectionnez la langue que vous souhaitez utiliser, puis cliquez sur Suivant. La page Contrat de licence s'ouvre.
  4. Lisez attentivement le contrat de licence. Si vous acceptez les termes du contrat, cliquez sur J'accepte les termes du contrat de licence.
    La page Type d'installation s'ouvre.
  5. Pour installer le serveur d'exécution Silk Central, cochez la case Install Execution Server. Pour utiliser Microsoft Internet Information Services (IIS), cochez la case Use Microsoft Internet Information Services . La destination d'installation par défaut s'affiche dans la section Chemin de destination de la page Type d'installation. Pour changer le répertoire d'installation par défaut, procédez comme suit :
    1. Cliquez sur Parcourir. La boîte de dialogue Choisir un dossier s'ouvre.
    2. Spécifiez le dossier dans lequel vous souhaitez installer Silk Central, puis cliquez sur OK pour revenir à la page Type d'installation.
    Remarque : Silk Central doit être installé sur un disque local. Un message d'erreur s'affiche si vous spécifiez une destination d'installation non valide.
  6. Cliquez sur Suivant pour continuer. La page de Synthèse des Options d'Installation liste les paramètres que vous avez sélectionnés.
  7. Examinez les informations fournies et exécutez une des opérations suivantes :
    • Pour modifier les paramètres, cliquez sur Précédent pour revenir à la page appropriée.
    • Si les paramètres vous conviennent, cliquez sur Suivant pour lancer le processus d'installation.
    La barre d'état de la page d'état d'installation fournit des informations sur le processus d'installation. À la fin du processus, la page de sélection du mode de gestion des licences s'ouvre.
  8. Cliquez sur un des boutons d'option suivants :
    • Version d'évaluation : installe une version d'évaluation de Silk Central, qui vous permet d'exploiter toutes les fonctionnalités de l'application pendant 45 jours. L'utilisation est limitée à 10 utilisateurs Silk Central et 10 utilisateurs Issue Manager. Pour effectuer ultérieurement une mise à niveau vers une version complète, contactez votre représentant commercial. Cochez la case Installer Microsoft SQL Server 2008 Express SP1 pour installer également Microsoft SQL Server 2008 Express SP1.
    • Version sous licence : installe une version illimitée de Silk Central, qui requiert une licence.
  9. Cliquez sur Suivant.
    Selon les composants sélectionnés pour l'installation, la page de gestion de licences s'affiche. Si vous n'avez installé aucun composant nécessitant des licences et que la page ne s'ouvre pas, passez à l'étape suivante. Pour installer le fichier de licence, procédez comme suit :
    1. Cliquez sur OK pour spécifier l'emplacement de votre fichier de licence. L'utilitaire de gestion des licences vérifie si des fichiers de configuration du serveur de licences Silk Meter sont présents sur votre système local. S'il détecte ces fichiers, la configuration et le type du serveur de licences s'affichent et sont utilisés pour la gestion des licences. Si aucune donnée de configuration n'est trouvée, la page Select Silk Meter License Server affiche les paramètres par défaut. Elle fournit des informations génériques sur la gestion des licences Silk Meter. Pour obtenir des informations détaillées concernant la gestion des licences Silk Meter, cliquez sur Ouvrir le fichier ReadMe de Silk Meter. Cette action a pour effet d'ouvrir la documentation Silk Meter dans votre navigateur par défaut.
      Remarque : L'option Ouvrir le fichier ReadMe de Silk Meter n'est pas disponible si le document ne se trouve pas dans le répertoire source d'installation. Ce document est généralement indisponible lors de l'installation d'un package Web Silk Central.
    2. Dans la zone de liste Application, sélectionnez Silk Central en tant qu'application à mettre sous licence.
    3. Cliquez sur un des boutons d'option suivants :
      Utilisation du serveur local ou distant
      Dans le champ Hôte du Serveur de Licences, saisissez le nom de l'ordinateur sur lequel Silk Meter est installé. Ne changez pas le numéro de port par défaut, 5461, à moins que votre administrateur réseau n'ait défini un autre port. Cliquez sur Appliquer pour générer votre configuration de serveur de licences. Cliquez sur Tester la Connexion pour vérifier qu'un serveur Silk Meter est accessible sur l'hôte et le port spécifiés. Il est possible que le test de la connexion au serveur de licences échoue lors de l'installation étant donné que les bibliothèques système requises, qui seront installées ultérieurement avec le package logiciel, ne sont peut-être pas encore disponibles.
      Remarque : Dans certains cas, si vous spécifiez simplement le nom du serveur de licences, tel que serveurlicences, dans le champ License Server Host, vous risquez de n'obtenir aucun résultat. Un message s'affiche, indiquant qu'aucun serveur de licences n'est exécuté sur l'hôte spécifié. Pour résoudre ce problème, indiquez le nom complet de l'hôte, tel que serveurlicences.monentreprise.com.
      Non-Utilisation d'un Serveur (Autonome)
      Exécute Silk Meter en mode autonome. Vous êtes invité à importer un fichier de licence Silk Meter. Cliquez sur Oui et spécifiez l'emplacement de votre fichier de licence.
    4. Cliquez sur Fermer pour revenir à l'assistant InstallShield.
  10. Cliquez sur Terminer pour terminer l'installation.
    Remarque : Si l'assistant InstallShield ne parvient pas à mettre à jour un fichier au cours de l'installation étant donné qu'une bibliothèque système est verrouillée par Windows, ou s'il détecte que le système doit être relancé, vous êtes invité à redémarrer votre ordinateur. Si vous ne le redémarrez pas, vous risquez de rencontrer des problèmes lorsque vous accéderez à Silk Central.

La page Administration d'instance s'affiche, vous permettant de configurer votre installation Silk Central. Pour plus d'informations, reportez-vous à la rubrique Gestion des instances.

Sujet parent : Installation de Silk Central
Concepts associés
Conditions préalables et configuration système
Gestion des licences Silk Central
Gestion des instances


Installation d'un serveur d'exécution Windows

Installez un serveur d'exécution sur chaque point de présence à utiliser comme serveur d'exécution Silk Central distant. Le serveur d'exécution lance les tests de Silk Central sur les ordinateurs distants.

  1. Dans le menu Silk Central, cliquez sur Aide > Outils > Serveur d'exécution Windows et téléchargez le package du serveur d'exécution Windows.
  2. <ph conref="SILKPERF-591A03C9-REUSE-COMMON-CON#SILKPERF-591A03C9-REUSE-COMMON-CON/DOTNETEXPSHORT"><?xm-replace_text Phrase?></ph> L'assistant InstallShield s'ouvre.
  3. Suivez les instructions de l'assistant d'installation.
  4. Cliquez sur Terminer pour terminer l'installation.
    Remarque : Si l'assistant InstallShield ne parvient pas à mettre à jour un fichier au cours de l'installation étant donné qu'une bibliothèque système est verrouillée par Windows, ou s'il détecte que le système doit être relancé, vous êtes invité à redémarrer votre ordinateur. Si vous ne le redémarrez pas, vous risquez de rencontrer des problèmes lorsque vous accéderez à Silk Central.
Sujet parent : Installation de Silk Central
Concepts associés
Configuration de serveurs d'exécution
Conditions préalables et configuration système
Tâches associées
Installation d'un serveur d'exécution Linux


Installation d'un serveur d'exécution Windows en mode silencieux

Avant de démarrer, téléchargez le fichier exécutable de Silk Central ou insérez le DVD de Silk Central dans le lecteur de DVD.

Installez un serveur d'exécution sur chaque point de présence à utiliser comme serveur d'exécution Silk Central distant. Le serveur d'exécution lance les tests de Silk Central sur les ordinateurs distants.

Pour installer un serveur d'exécution Windows en mode silencieux, saisissez la commande suivante depuis un environnement DOS ou un fichier de commandes DOS : WindowsExecServer.exe -s -c -f"<PATH_TO_EXTRACTED_FILES>" -a /s /f1"<PATH_TO_EXTRACTED_FILES>\Install.iss" /v"/qn PROP_SILENTMODE=1 PROP_LANGUAGE=<LOCALE>".

Définissez le paramètre PROP_SILENTMODE sur 1 pour installer le serveur d'exécution en mode silencieux. Parmi les valeurs suivantes, choisissez celles appropriées pour le paramètre PROP_LANGUAGE pour déterminer la langue de l'installation :

Valeur
Description
EN
Anglais
DE
Allemand
FR
Français
JA
Japonais
ZH
Chinois (simplifié)
Par exemple, la commande suivante installe un serveur d'exécution en anglais :
 WindowsExecServer.exe -s -c -f"c:\temp\SilkCentralExecSrv" -a /s /f1"c:\temp\SilkCentralExecSrv\Install.iss"
/v"/qn PROP_SILENTMODE=1 PROP_LANGUAGE=EN"
Sujet parent : Installation de Silk Central


Installation d'un serveur d'exécution Linux

Cette tâche est destinée aux utilisateurs de Silk Central qui ont recours à un système Linux.

Installez un serveur d'exécution sur chaque point de présence à utiliser comme serveur d'exécution Silk Central distant. Le serveur d'exécution lance les tests de Silk Central sur les ordinateurs distants.

  1. Dans le menu Silk Central, cliquez sur Aide > Outils > Serveur d'exécution Linux et téléchargez le package du serveur d'exécution Linux.
    Remarque : Le package du serveur d'exécution Linux n'inclut pas d'environnement JRE. Vérifiez que vous avez installé Java Runtime Environment (JRE) 8.Téléchargez JRE à partir de la page Java SE Downloads.
  2. Ensuite, décompressez le fichier TAR à l'aide de la commande suivante :
    tar xfz <nom du fichier de package>.tar.gz

    Le nom du fichier de package est LinuxExecServer-<version>.

  3. Utilisez la commande suivante pour accéder au répertoire dans lequel le fichier de package a été extrait :
    cd LinuxExecServer
  4. Démarrez le serveur d'exécution à l'aide de la commande suivante :
    ./startExecServer.sh
    Remarque : Les informations de cache et les fichiers journaux sont stockés dans le dossier masqué ~/.LinuxExecServer-<version> de votre répertoire d'accueil. Le fichier journal ExecServer.log est également accessible par le biais de l'interface Web de Silk Central.
Remarque : Les référentiels tiers actuellement pris en charge pour les serveurs d'exécution Linux sont Subversion, Git et Apache Commons Virtual File System (VFS).
Les tests créés avec les technologies suivantes ne sont pas pris en charge pour l'exécution sur un serveur d'exécution Linux :
  • Toutes les technologies Silk Test
  • .NET Explorer
  • Unified Functional Testing
  • MSTest
  • NUnit
  • Silk Performer
  • TestPartner
  • Windows Script Host
Ces types de test sont propres à chaque plate-forme pour le système d'exploitation Microsoft Windows.
Sujet parent : Installation de Silk Central
Concepts associés
Configuration de serveurs d'exécution
Tâches associées
Installation d'un serveur d'exécution Windows


Installation d'un correctif

Lorsqu'un correctif est disponible, mettez à jour vos instances vers le correctif le plus récent.
  1. Sur l’ordinateur sur lequel Silk Central est installé, recherchez le fichier de configuration et double-cliquez dessus.
  2. Suivez les instructions de l'assistant d'installation.
  3. Une fois l’installation terminée, ouvrez un navigateur et accédez à l’URL http://localhost:19100/ (si elle ne s’ouvre pas automatiquement).
    Remarque : Vous ne pouvez pas accéder à la page Administration d'instance depuis un ordinateur distant.
    La page Administration d'instance s'affiche. A ce stade, vous devez réinitialiser le cache du navigateur, faute de quoi les feuilles de style et les correctifs de JavaScript risquent de ne pas être activés.
  4. Dans la colonne Version, cliquez sur le lien Installer correctif <version> pour lancer la mise à niveau. Une boîte de dialogue apparaît pour activer le mode de maintenance.
  5. Saisissez un texte de notification que les utilisateurs verront lorsqu'ils tenteront d'accéder à Silk Central, par exemple : Silk Central est actuellement indisponible car nous procédons à des mises à jour. Le système sera de nouveau en ligne sous peu. Cliquez sur Oui pour activer le mode de maintenance et démarrer la mise à niveau.
  6. Une fois la mise à jour terminée, cliquez sur Démarrer pour redémarrer l'instance.
Répétez les étapes relatives à Administration des instances pour chaque instance que vous souhaitez mettre à jour.
Conseil : Rappelez à vos utilisateurs de réinitialiser le cache du navigateur, faute de quoi les feuilles de style et les correctifs de JavaScript risquent de ne pas être activés.
Sujet parent : Installation de Silk Central
Sujet parent : Gestion des instances


Mise à niveau vers Silk Central 19.0

Le programme d’installation de Silk Central 19.0 supprime automatiquement l’installation existante avant la mise à niveau vers Silk Central 19.0. N’utilisez pas la fonctionnalité Windows Ajouter ou supprimer des programmes pour supprimer l’installation précédente de Silk Central, car cela risquerait de supprimer vos fichiers de configuration personnalisés.

  1. Créez une copie de sauvegarde de votre base de données Silk Central avant de procéder à la mise à niveau vers une nouvelle version.
  2. Si vous avez activé SSL, faites une copie de sauvegarde de votre fichier de certificat. Selon le mode dans lequel vous exécutez votre serveur de présentation, vous devrez réimporter le certificat dans l'un des keystores suivants :
    • Pour un mode 64 bits : C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\lib\jre64\lib\security\cacerts
    • Pour un mode 32 bits : C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\lib\jre\lib\security\cacerts
    Pour plus d'informations, reportez-vous à la rubrique Activation de la sécurisation des connexions au serveur Web avec SSL.
  3. Installez Silk Central. Cette opération provoque l’installation du proxy NGINX et de la fonctionnalité Administration des instances. Pour installer un serveur d'exécution sur le même ordinateur que l'un des composants mentionnés ci-dessus, installez-le avec les autres composants. Les paramètres de base de données sont mis à jour automatiquement. Pour obtenir des informations détaillées sur les paramètres avancés des fichiers de configuration, reportez-vous à Configuration des paramètres avancés.
    Remarque : Pour les bases de données volumineuses, si la taille du journal des transactions de la base de données est trop petite, cela risque de provoquer une erreur au moment de la mise à jour. Pour éviter que cette erreur se produise, définissez la taille du journal des transactions de la base de données sur 5 Go.
  4. Une fois l’installation terminée, ouvrez un navigateur et accédez à l’URL http://localhost:19100/ (si elle ne s’ouvre pas automatiquement).
    Remarque : Vous ne pouvez pas accéder à la page Administration d'instance depuis un ordinateur distant.
    La page Administration d'instance s'affiche. A ce stade, vous devez réinitialiser le cache du navigateur, faute de quoi les feuilles de style et les correctifs de JavaScript risquent de ne pas être activés.
  5. Dans la colonne Version, cliquez sur le lien Mettre à niveau en <version> pour lancer la mise à niveau. Une boîte de dialogue apparaît pour activer le mode de maintenance.
  6. Saisissez un texte de notification que les utilisateurs verront lorsqu'ils tenteront d'accéder à Silk Central, par exemple : Silk Central est actuellement indisponible car nous procédons à des mises à jour. Le système sera de nouveau en ligne sous peu. Cliquez sur Oui pour activer le mode de maintenance et démarrer la mise à jour.
  7. Une fois la mise à jour terminée, cliquez sur Démarrer pour redémarrer l'instance.
Répétez les étapes relatives à Administration des instances pour chaque instance que vous souhaitez mettre à jour.
Conseil : Rappelez à vos utilisateurs de réinitialiser le cache du navigateur, faute de quoi les feuilles de style et les correctifs de JavaScript risquent de ne pas être activés.
Sujet parent : Installation de Silk Central
Concepts associés
Connexion à une base de données
Tâches associées
Installation de Silk Central
Installation d'un serveur d'exécution Windows
Installation d'un serveur d'exécution Linux


Gestion des licences Silk Central

Cette section explique comment obtenir une stratégie de licence pour Silk Central et comment installer Silk Meter. Vous devez disposer de privilèges d'administration pour installer Silk Meter.

Remarque : Silk Central requiert Silk Meter version 2008 ou ultérieure ainsi qu'une stratégie de licence Silk Central.

Installez Silk Meter une fois pour chaque serveur de licences. Si vous disposez de plusieurs serveurs de licences, vous avez besoin de plusieurs fichiers de stratégie de licence, chacun étant associé à un serveur spécifique. Un seul serveur de licences Silk Meter peut administrer les stratégies de licence de plusieurs applications.

Si vous avez reçu une stratégie de licence Silk Central, installez-la sur votre serveur de licences. Si vous n'avez pas reçu de stratégie de licence, générez-en une.

  • Gestion des licences
    Décrit les types de licence utilisés dans Silk Central et explique à quel moment les licences sont extraites et archivées.
  • Génération d'une stratégie de licence Silk Central
    Générez une stratégie de licence Silk Central, que vous pouvez importer dans Silk Meter.
  • Recherche de l'ID hôte
    Recherchez l'ID hôte de l'ordinateur sur lequel vous voulez installer les licences. Vous avez besoin de l'ID hôte pour obtenir un fichier de stratégie de licence Silk Central.
  • Installation de Silk Meter
    Explique ce que vous devez savoir avant d'installer le logiciel de serveur de licences Silk Meter.
  • Configuration du serveur de licences Silk Meter
    Détaille la configuration du serveur de licences Silk Meter.
  • Modification de la configuration de votre serveur de licences
    Modifiez la configuration de votre serveur de licences si le nom d'hôte ou le port de votre serveur de licences Silk Meter changent.
Sujet parent : Installation de Silk Central
Tâches associées
Installation de Silk Meter sur votre serveur de licences


Gestion des licences

Silk Central propose trois types de licence.

Licences par utilisateur

Ces licences sont extraites du serveur de licences dès qu'un utilisateur accède à un espace donné de Silk Central :

Type de licence | Espace
Responsable qualité | Cette licence est extraite lorsque vous accédez à un espace de gestion des tests pour la première fois après votre connexion. Les espaces de gestion des tests Silk Central sont les suivants : Exigences, Tests, Organisation des exécutions, Suivi, Incidents (à l'exception de l'espace Issue Manager) et Rapports.
Test manuel | Cette licence est extraite lorsque vous ouvrez la fenêtre Test manuel. Une licence Test manuel est extraite lorsqu'un test est téléchargé pour être exécuté hors ligne. La licence est réintégrée lors du téléchargement des résultats.
Suivi des incidents | Cette licence est extraite lorsque vous accédez à Issue Manager.
Notez les points suivants :
  • Lorsque vous cliquez sur Déconnexion (Utilisateur > Déconnexion), les licences sont de nouveau archivées sur le serveur de licences, sauf les licences de test extraites manuellement pour les tests hors ligne.
  • Si vous vous contentez de fermer la fenêtre du navigateur sans vous déconnecter, la licence ne sera archivée qu'à expiration de la session.

La page À Propos de (Aide > À Propos de) affiche le nombre de licences en cours d'utilisation et le nombre de licences à la disposition du client auquel vous êtes connecté.

Licences sur site

Ces licences activent un ensemble de fonctionnalités spécifiques pour l’ensemble des utilisateurs, sans aucune limitation :

Type de licence | Espace
Tests mobiles | Cette licence permet d’effectuer des tests sur des appareils mobiles (appareils physiques, émulateurs et simulateurs) pour les tests manuels, automatisés et de configuration.
Sujet parent : Gestion des licences Silk Central
Sujet parent : Clients
Concepts associés
Gestion des fournisseurs d’appareil
Tâches associées
Création de clients
Modification des clients


Génération d'une stratégie de licence Silk Central

Vous devez disposer d'une licence valide pour exécuter Silk Central. Si vous avez acheté Silk Central, vous pouvez utiliser notre générateur de licences en ligne pour obtenir un fichier de stratégie de licence. Ce générateur de licences en ligne nécessite un navigateur compatible avec le protocole SSL, tel que Firefox ou Internet Explorer. Vous recevrez un courrier électronique contenant les instructions pour générer votre fichier de stratégie de licence. Si vous ne recevez pas ces instructions, contactez le service client via le site http://support.microfocus.com.

Sujet parent : Gestion des licences Silk Central
Concepts associés
Installation de Silk Central
Tâches associées
Installation de Silk Meter sur votre serveur de licences


Recherche de l'ID hôte

Pour obtenir un fichier de stratégie de licence, vous devez connaître l'ID hôte de l'ordinateur sur lequel vous voulez installer les licences. Pour les licences flottantes, il s'agit d'un serveur de licences sur lequel Silk Meter est installé. Pour les licences fixes, il s'agit généralement de l'ordinateur contrôleur.

  1. Sur l'ordinateur, ouvrez une invite de commande et saisissez la commande ipconfig/all. Les adaptateurs réseau ainsi que d'autres informations s'affichent.
  2. Notez l'ID hôte, qui correspond à l'adresse MAC ou à l'adresse physique de votre carte réseau local (par exemple, 00-BF-00-1C-D3-3D).
    Conseil : Selon votre configuration système, y compris vos machines virtuelles et connexions VPN, votre ordinateur peut comporter plusieurs adaptateurs réseau avec différentes adresses MAC. Prenez soin de noter l'ID hôte de votre carte réseau local physique.
Sujet parent : Gestion des licences Silk Central


Installation de Silk Meter

Si vous disposez déjà d'un fichier de stratégie de licence Silk Central, vous pouvez l'installer en même temps que Silk Meter. Si vous ne disposez pas d'une licence Silk Central valide, utilisez le générateur de licences en ligne pour obtenir un fichier de stratégie de licence.

Pour installer et exécuter Silk Meter sur votre serveur de licences, vous n'avez pas besoin de fichier de stratégie de licence. Cependant, vous devez importer un fichier de stratégie de licence avant de pouvoir exécuter Silk Central. Vous pouvez importer un fichier de stratégie de licence à l'aide de Silk Meter - Administrateur des Licences.

Si vous disposez de plusieurs serveurs de licences, vous avez besoin de plusieurs fichiers de stratégie de licence, chacun étant associé à un serveur spécifique. Un seul serveur de licences Silk Meter peut administrer les fichiers de stratégie de licence de plusieurs applications.

Configuration requise pour le serveur de licences Silk Meter

Avant d'installer Silk Meter, reportez-vous aux Notes de Release pour vérifier que le serveur de licences respecte la configuration requise.

  • Désinstallation d'une version précédente de Silk Meter
    Désinstallez Silk Meter avant d'installer la dernière version.
  • Installation de Silk Meter sur votre serveur de licences
    Installez le logiciel de gestion des licencesSilk Meter afin d'attribuer des licences pour vos applicationsSilk.
Sujet parent : Gestion des licences Silk Central
Tâches associées
Génération d'une stratégie de licence Silk Central


Désinstallation d'une version précédente de Silk Meter

Si une version précédente de Silk Meter est installée sur le serveur de licences, vous devez la désinstaller avant de pouvoir installer la dernière version de Silk Meter.

  1. Choisissez Démarrer > Programmes > Silk > Silk Meter > Désinstaller.
  2. Cliquez sur Oui pour désinstaller Silk Meter. La boîte de dialogue Supprimer les paramètres s'ouvre.
  3. Cliquez sur Non pour conserver vos paramètres Silk Meter.
    Avertissement : Vous devez cliquer sur Non pour conserver les stratégies de licence qui existent actuellement sur votre serveur de licences Silk Meter.
  4. Redémarrez votre ordinateur.
Silk Meter étant désinstallé, vous pouvez installer la dernière version de Silk Meter.
Sujet parent : Installation de Silk Meter


Installation de Silk Meter sur votre serveur de licences

Avant d'installerSilk Meter, assurez-vous que :
  • Votre compte utilisateur dispose de droits d'administrateur.
  • Aucune instance deSilk Meter n'est installée sur votre serveur de licences.
  1. Consultez le site des mises à jour des applications et recherchezSilk Meter.
  2. Téléchargez et enregistrez les derniers Fichiers d'installation Silk Meter.
  3. Accédez à l'emplacement où vous avez enregistré le fichier .exe et double-cliquez dessus. Pour une installation standard, suivez l'assistant d'installation de Silk Meter en utilisant les options par défaut.
    Important : Si le programme d'installation vous invite à redémarrer l'ordinateur, veillez à effectuer cette opération.
Sujet parent : Installation de Silk Meter
Tâches associées
Génération d'une stratégie de licence Silk Central


Configuration du serveur de licences Silk Meter

Pour exécuter une version de Silk Central, vous devez installer et configurer Silk Meter sur un ordinateur de votre réseau.

Le processus de communication entre Silk Central et Silk Meter repose sur les fichiers et variables suivants :
  • Variable d'environnement SILK_CONFIG_PATH
  • Fichier CosLicensingService.ref
  • Fichier CosPropertyService.ref
  • Fichier ls_segue.ref
  • Fichier silkmeter.cfg
Important : Ne supprimez pas ces fichiers.

Le programme d'installation de Silk Central crée ces objets en fonction des valeurs que vous saisissez dans les champs de l'utilitaire Select Silk Meter License Server.

Sujet parent : Gestion des licences Silk Central
Concepts associés
Installation de Silk Central


Modification de la configuration de votre serveur de licences

Servez-vous de l'utilitaire Sélectionner le Serveur de Licences Silk Meter pour modifier ou réparer la configuration du serveur de licences. Cet utilitaire est installé avec Silk Central.

  1. Choisissez Démarrer > Programmes > Silk > Silk Central 19.0 > Outils d'administration > Changer la configuration de votre serveur de licences. L'utilitaire Select Silk Meter License Server s'ouvre.
  2. Dans la zone de liste Application, sélectionnez l'application pour laquelle vous voulez configurer le serveur de licences.
  3. Cliquez sur le bouton d'option Using local or remote server pour configurer un serveur de licences Silk Meter.
  4. Dans le champ License Server Host, saisissez le nom de l'ordinateur pour le serveur de licences Silk Meter. Ne modifiez pas le paramètre Numéro de port, sauf si votre administrateur réseau a défini un port différent.
  5. Cliquez sur Appliquer pour activer la configuration du serveur de licences.
  6. Cliquez sur Tester la connexion pour vérifier qu'un serveur Silk Meter est accessible sur l'hôte et le port spécifiés. Si la connexion aboutit, le champ Etat affiche un message Succès.
    Remarque : Dans certains cas, si vous spécifiez simplement le nom du serveur de licences, tel que serveurlicences, dans le champ Hôte du serveur de licences, vous risquez de n'obtenir aucun résultat. Un message La connexion au serveur de licences Connection to Silk Meter license server failed a échoué s'affiche. Pour résoudre ce problème, indiquez le nom complet de l'hôte, tel que serveurlicences.monentreprise.com.
  7. Cliquez sur Fermer pour terminer la configuration du serveur de licences.
Sujet parent : Gestion des licences Silk Central


Logiciels testés et pris en charge

Cette rubrique répertorie les logiciels avec lesquels Silk Central 19.0 a été testé, ainsi que ceux que Silk Central prend en charge.

Systèmes d'exploitation pris en charge

  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2016
  • Microsoft Windows 7 32 bits/64 bits Service Pack 1 (serveur d'exécution)
  • Microsoft Windows 8.1 32 bits/64 bits (serveur d'exécution)
  • Microsoft Windows 10 32 bits/64 bits (serveur d'exécution)
  • Android 4.4, 5.x, 6.x, 7.x, 8.x (test d’un appareil mobile)
  • iOS 9.3, 10.x, 11.x (test d’un appareil mobile)
Important : Mise à jour pour le Runtime C universel dans Windows est requis pour tous les systèmes d'exploitation Microsoft Windows. Pour Microsoft Windows Server 2016, l'option d'installation Windows Server (Serveur avec Desktop Experience) est nécessaire.

Prise en charge des systèmes d'exploitation Linux

Silk Central ne prend en charge les systèmes d'exploitation Linux que pour le serveur d'exécution.

  • Debian
  • Redhat Enterprise Linux
  • Suse Linux
  • Ubuntu

Navigateurs Web pris en charge

  • Google Chrome
  • Internet Explorer 10 ou version ultérieure (pas de mode de compatibilité)
  • Mozilla Firefox
  • Microsoft Edge

Prise en charge des serveurs Web

  • IIS 8 32 bits/64 bits
  • IIS 10 32 bits/64 bits

Systèmes de gestion de base de données pris en charge

  • Microsoft SQL Server 2014 Service Pack 2
  • Microsoft SQL Server 2016 Service Pack 1
  • Microsoft SQL Server 2017
  • Oracle 11g (version 11.2.0.4). Oracle RAC n'est pas pris en charge.
  • Oracle 12c (version 12.1.0.2). Oracle RAC n'est pas pris en charge.

Prise en charge des logiciels Micro Focus intégrés

  • AccuRev 6.2
  • Caliber 11.4, 11.5
  • Mobile Center 2.51 ou version ultérieure
  • Silk Performer 19.0
  • Silk Test 19.0
  • StarTeam 15.x, 16.x
  • SilkTestPartner 6.3
  • Unified Functional Testing (UFT) 14.0

Prise en charge des logiciels tiers intégrés

  • VFS (Apache Commons Virtual File System)
  • Atlassian JIRA 6, 7
  • Atlassian JIRA Agile 6, 7
  • Bugzilla 4.4.13, 5.0.4
  • CA Agile Central
  • Git 2.14.2
  • IBM Rational ClearQuest 8.0
  • IBM Rational DOORS 9.5, 9.6
  • IBM Rational DOORS Next Generation 6.0
  • JUnit 4.x, 5.x
  • Java Runtime Environment 1.7 ou version ultérieure
  • Microsoft Office Excel (.xlsx) pour l'import des tests et des exigences
  • Microsoft Office Word (.doc, .docx) pour l'import des exigences
  • Microsoft Visual Studio/Visual Studio Test Agent 2015
  • NUnit 2.6.4, NUnit Console et Engine 3.8
  • SAP Solution Manager 7.2
  • Subversion 1.9
  • Team Foundation Server 2015, 2017
  • VersionOne Enterprise Edition
  • VMware vCloud Director 5.5
Sujet parent : Installation de Silk Central


Configuration et gestion de l'infrastructure

Une instance est un ensemble indépendant de services Silk Central (serveur d'applications [AS], serveur de présentation [FE] et serveur de rapports graphiques [CS]), avec leur propre base de données et connexions de serveur d'exécution (ES). Par défaut, Silk Central crée une instance unique appelée silk pour vous. L'URL par défaut est http://<nom de l'ordinateur>:19120/login (les informations de port ne sont pas requises si Silk Central est exécuté sur IIS).

  • Configuration d'un système Silk Central sécurisé
    Cette section présente comment configurer un système Silk Central sécurisé.
  • Gestion des instances
    Ajouter, supprimer ou gérer vos instances Silk Central.
  • Gestion des clients
    La zone Administration système est un environnement distinct utilisé pour configurer les clients de Silk Central.
  • Configuration des paramètres avancés
    Décrit comment configurer les paramètres avancés en vue de personnaliser votre système Silk Central.
Sujet parent : Aide à l'installation et la configuration du système


Configuration d'un système Silk Central sécurisé

Cette section présente comment configurer un système Silk Central sécurisé.
  • Instructions générales
    Après avoir installé Silk Central, vous devez tenir compte des instructions suivantes pour configurer Silk Central dans un environnement sécurisé.
  • Activation de la sécurisation des connexions au serveur Web avec SSL
    Si vous envisagez d'autoriser les utilisateurs à accéder à Silk Central en utilisant des connexions sécurisées (SSL) uniquement, activez Silk Central pour utiliser le protocole SSL (Secure Sockets Layer).
  • Activation des rapports BIRT dans les environnements SSL
    Une fois Silk Central configuré pour utiliser une connexion sécurisée au serveur Web avec SSL, activez les rapports BIRT pour travailler dans cet environnement.
  • Configuration d'un port SSL non standard pour les serveurs d'exécution
    Configurez un port SSL personnalisé via lequel le serveur d'application communique avec un serveur d'exécution.
  • Désactivation des ports inutilisés sur les serveurs d'exécution
    Désactivez les ports qui ne sont pas utilisés par les serveurs d'exécution.
  • Communication avec un système externe par SSL
    Ajoutez un certificat auto-signé au keystore Java pour communiquer par SSL avec un hôte doté d'un certificat de ce type.
Sujet parent : Configuration et gestion de l'infrastructure


Instructions générales

Après avoir installé Silk Central, vous devez tenir compte des instructions suivantes pour configurer Silk Central dans un environnement sécurisé.
  • Commencez par modifier le mot de passe par défaut de l'utilisateur sysadmin. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  • Configurez l'authentification LDAP pour activer les connexions Silk Central par le biais d'un serveur LDAP. Pour plus d'informations, reportez-vous à la rubrique Authentification LDAP.
  • Si plusieurs groupes doivent travailler avec Silk Central, assurez-vous que vos utilisateurs peuvent uniquement accéder aux seules données qu'ils sont censés voir, par la création d'instances ou de clients. Pour plus d'informations, reportez-vous à les rubriques Gestion des instances et Gestion des clients.
  • Pour garantir que l'exécution de rapports avec des requêtes avancées ne modifiera aucune donnée dans la base de données, vous pouvez créer et utiliser un utilisateur de base de données en lecture seule. Pour plus d'informations, reportez-vous à la rubrique Base de données.
  • Configurez votre pare-feu de sorte que seuls les ports requis par Silk Central soient ouverts. Pour plus d'informations sur les ports utilisés par Silk Central, reportez-vous à la rubrique Architecture de Silk Central.
  • Sauvegardez régulièrement votre base de données.
  • Utilisez les versions les plus courantes et les plus prises en charge du système d'exploitation, et veillez à installer les mises à jour régulièrement.
  • Utilisez les dernières versions et les derniers correctifs de Silk Central. Inscrivez-vous le site Micro Focus SupportLine à l'adresse http://supportline.microfocus.com pour obtenir les toutes dernières informations de support et accéder à d'autres informations à ce sujet.
Sujet parent : Configuration d'un système Silk Central sécurisé


Activation de la sécurisation des connexions au serveur Web avec SSL

Si vous envisagez d'autoriser les utilisateurs à accéder à Silk Central en utilisant des connexions sécurisées (SSL) uniquement, activez Silk Central pour utiliser le protocole SSL (Secure Sockets Layer).

Pour plus d'informations, voir aussi Communication avec un système externe par SSL, Activation des rapports BIRT dans les environnements SSL et Configuration d'un port SSL non standard pour les serveurs d'exécution.

  1. Copiez votre certificat et les fichiers principaux sur l’ordinateur du serveur de présentation.
  2. A l’aide d'un éditeur de texte, ouvrez le fichier nginx.conf.template situé dans C:\ProgramData\SilkCentral\InstanceAdministration\nginx\conf.
  3. Supprimez les marques de commentaire des lignes suivantes en retirant le signe # :
    #listen   443 ssl;
#ssl_protocols TLSv1.2 TLSv1.1 TLSv1;
#ssl_certificate    "C:/.../ssl/host.cert";
#ssl_certificate_key    "C:/.../ssl/host.key";
#add_header Strict-Transport-Security "max-age=31536000; includeSubDomains" always;
  4. Définissez le chemin de ssl_certificate et ssl_certificate_key conformément à l’emplacement dans lequel vous avez copié le certificat et les principaux. Spécifiez cet emplacement en utilisant des barres obliques à la place des barres obliques inverses.
  5. Si vous souhaitez que seules les connexions SSL soient autorisées, commentez la ligne listen 19120; en ajoutant le signe #.
  6. Facultatif : Pour configurer une redirection du port non sécurisé vers le port sécurisé, ajoutez une nouvelle section server section avec la syntaxe suivante :
    server {
  listen <port non sécurisé>;
  server_name localhost;
  return 301 https://$host$request_uri;
  }
  7. Redémarrez le Silk CentralService d’administration des instances par l’intermédiaire du Gestionnaire des services Windows.
Sujet parent : Configuration d'un système Silk Central sécurisé


Activation des rapports BIRT dans les environnements SSL

Une fois Silk Central configuré pour utiliser une connexion sécurisée au serveur Web avec SSL, activez les rapports BIRT pour travailler dans cet environnement.
  1. Arrêtez le service du serveur de rapports graphiques de l’instance que vous souhaitez configurer en utilisant la page Administration des instances.
  2. Utilisez OpenSSL pour créer un magasin de clés PKCS #12 avec la ligne de commande suivante : openssl pkcs12 -export -in ./host.cert -inkey ./host.key > ./host.p12 Exemple :
    openssl pkcs12 -export -in C:/ProgramData/SilkCentral/ssl/host.cert -inkey
C:/ProgramData/SilkCentral/ssl/host.key > C:/ProgramData/SilkCentral/ssl/host.p12
  3. Convertissez le magasin de clés host.p12 en magasin de clés Java en utilisant la ligne de commande suivante : keytool.exe -importkeystore -srckeystore ./host.p12 -destkeystore ./host.jks -srcstoretype pkcs12 Exemple :
    "C:\Program Files (x86)\Silk\Silk Central
19.0\instance_1_silk\lib\jre\bin\keytool.exe"
-importkeystore -srckeystore C:/ProgramData/SilkCentral/ssl/host.p12 -destkeystore
C:/ProgramData/SilkCentral/ssl/host.jks -srcstoretype pkcs12
  4. Ajoutez les lignes suivantes au fichier de configuration du processus du serveur de rapports graphiques sc_ChartServer.processconfig, situé dans C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\Conf :
    <Service>
  <SystemProperties>
          ...
             <SystemProperty name="javax.net.ssl.trustStore" value="<chemin d'accès au fichier host.jks>" />
             <SystemProperty name="javax.net.ssl.trustStorePassword" value="<mot de passe>" />
        </SystemProperties>
</Service>
    Exemple :
    <Service>
  <SystemProperties>
          ...
             <SystemProperty name="javax.net.ssl.trustStore" value="C:/ProgramData/SilkCentral/ssl/host.jks" />
             <SystemProperty name="javax.net.ssl.trustStorePassword" value="changeit" />
        </SystemProperties>
</Service>
  5. Redémarrez le service du serveur de rapports graphiques.
Sujet parent : Configuration d'un système Silk Central sécurisé


Configuration d'un port SSL non standard pour les serveurs d'exécution

Le port SSL par défaut via lequel le serveur d'application communique avec les serveurs d'exécution est 19125.

Remarque : Cette procédure doit être effectuée pour chaque serveur d'exécution auquel vous souhaitez vous connecter via un port SSL non standard.

Pour configurer un port SSL non standard pour un serveur d'exécution :

  1. Désactivez le serveur d'exécution pour lequel vous souhaitez configurer un port SSL non standard.
  2. Arrêtez le serveur d'exécution.
  3. Ouvrez le fichier SccExecServerBootConf.xml à l'aide d'un éditeur de texte. Ce fichier se trouve dans le dossier /conf/execserver du répertoire Silk Central sur le serveur d'exécution.
  4. Localisez la balise XML <SSLPort>. Par défaut, la balise est définie sur <19125>. Définissez la valeur sur le numéro de port que vous souhaitez utiliser pour la communication SSL.
  5. Enregistrez et fermez le fichier XML.
  6. Dans Silk Central, définissez le port SSL du serveur d'exécution sur la valeur que vous avez spécifiée dans le fichier XML.
  7. Redémarrez le serveur d'exécution.
  8. Réactivez le serveur d'exécution.
Sujet parent : Configuration d'un système Silk Central sécurisé
Sujet parent : Configuration de serveurs d'exécution
Tâches associées
Démarrage ou arrêt d'un service de serveur d'exécution local
Activation ou désactivation des serveurs d'exécution
Configuration des serveurs d'exécution physiques


Désactivation des ports inutilisés sur les serveurs d'exécution

Selon que vous utilisez une communication SSL ou non sécurisée entre le serveur d'application et le serveur d'exécution, vous devrez peut-être désactiver le port inutilisé correspondant. Vous pouvez également désactiver le port Tomcat par défaut, qui n'est jamais utilisé par Silk Central.

La procédure suivante doit être effectuée sur chaque serveur d'exécution si vous souhaitez désactiver un port inutilisé.

Pour désactiver les ports inutilisés sur le serveur d'exécution :

  1. Arrêtez le serveur d'exécution.
  2. Ouvrez le fichier SccExecServerBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central19.0 Execution Server\conf\execserver sur le serveur d'exécution.
  3. Localisez les balises XML InsecurePort et SSLPort dans la section RmiProxy du fichier.
  4. Selon que vous utilisez une communication SSL ou non sécurisée entre le serveur d'application et le serveur d'exécution, procédez comme suit :
    Communication SSL
    Définissez la valeur InsecurePort sur 0.
    Communication non sécurisée
    Définissez la valeur SSLPort sur 0.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur d'exécution.
Sujet parent : Configuration d'un système Silk Central sécurisé
Sujet parent : Configuration des paramètres avancés
Tâches associées
Gestion des instances


Communication avec un système externe par SSL

Si le certificat de l'hôte auquel vous voulez vous connecter est auto-signé, le message d'erreur suivant peut apparaître :
sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
Remarque : Ce message d'erreur ne s'affiche pas pour les certificats valides, qui sont signés par des autorités de certification.

Pour utiliser un serveur doté d'un certificat auto-signé, vous devez effectuer les étapes suivantes :

  1. Téléchargez le certificat SSL depuis le serveur. Utilisez un navigateur pour afficher le certificat et exportez-le. Par exemple, dans Mozilla Firefox, accédez à Outils > Informations sur la page > Sécurité > Afficher le certificat > Détails > Exporter.
  2. Démarrez l'outil de gestion des certificats et des clés appelé Keytool. Keytool est inclus dans le dossier d'installation du JRE, par exemple C:\Program Files (x86)\Silk\Silk Central <version>\instance_<numéro d'instance>_<nom d'instance>\lib\jre64\bin. Pour de plus amples informations sur Keytool, reportez-vous à la documentation technique de Java SE.
  3. Pour ajouter le certificat au keystore Java par défaut sur le serveur de présentation et le serveur d'application, saisissez par exemple la commande suivante dans Keytool :
    keytool
  -importcert
  -file CERTIFICATE.crt
  -keystore "C:\Program Files (x86)\Silk\Silk Central <version>\instance_<instance number>_<instance name>\lib\jre64\lib\security\cacerts"
    Vous êtes invité à saisir un mot de passe.
  4. Saisissez le mot de passe par défaut du keystore, changeit.
  5. Redémarrez le serveur de présentation et le serveur d'application pour recharger le keystore.
Sujet parent : Configuration d'un système Silk Central sécurisé
Sujet parent : Intégrations


Gestion des instances

Créez des instances supplémentaires si vous avez besoin de séparer physiquement les données des tests et les processus de vos divers clients pour accroître la sécurité des données et réduire l'influence de groupes d'utilisateurs indépendants les uns sur les autres (par exemple les départements). Avec l'aide de clients, vous pouvez séparer logiquement les données d'une instance au sein d'une base de données.

Gestion des instances

Les instances et leurs services Silk Central sont gérés par l'intermédiaire d'une interface utilisateur commune appelée Administration d'instance, à laquelle vous pouvez accéder uniquement sur le serveur où Silk Central est installé, en utilisant l'URL http://localhost:19100. Vous ne pouvez pas accéder à la page Administration d'instance depuis un ordinateur distant. Vous pouvez effectuer les actions suivantes sur une instance ou les services individuels :
  • Cliquez sur Arrêter ou Démarrer pour arrêter ou démarrer les services individuellement. Si vous arrêtez ou démarrez une instance, tous les services de l'instance sont arrêtés ou démarrés, respectivement.
  • Cliquez sur Supprimer l'instance pour supprimer une instance. Utilisez cette option uniquement si vous êtes sûr qu'une instance n'est plus nécessaire ! Cette action ne supprime pas les données dans la base de données.
    Remarque : Pour assigner un serveur d’exécution à un autre serveur d’application, vous devez supprimer le fichier suivant sur l’ordinateur sur lequel le serveur d’exécution est installé : C:\ProgramData\SilkCentral\AgentBase\ItemObjects.ser.
  • Cliquez sur Paramètres pour configurer les paramètres de l'instance.

Mode de maintenance

Avant de procéder à la maintenance au cours de laquelle une instance Silk Central n'est plus accessible pour les utilisateurs, par exemple lors de l'installation d'un nouveau correctif ou du réglage des paramètres d'un service, vous pouvez informer vos utilisateurs Silk Central que l'instance est en cours de maintenance :
  1. Sur la page Administration d'instance, cliquez sur Paramètres pour ouvrir la boîte de dialogue Paramètres.
  2. Dans l'onglet Maintenance, cochez la case Activer le mode de maintenance.
  3. Saisissez un texte de notification que les utilisateurs verront lorsqu'ils tenteront d'accéder à Silk Central, par exemple : Silk Central est actuellement indisponible car nous procédons à des mises à jour. Le système sera de nouveau en ligne sous peu.
  4. Cliquez sur OK.
  5. Lorsque vous avez terminé la maintenance et que tous les services fonctionnent à nouveau, désactivez le mode de maintenance pour permettre à vos utilisateurs d'accéder de nouveau à Silk Central.

32 bits/64 bits

  1. Sur la page Administration d'instance, cliquez sur Paramètres pour ouvrir la boîte de dialogue Paramètres.
  2. Sur l'instance, utilisez la liste Mode pour indiquer si les services du serveur de présentation, d'applications et de rapports graphiques doivent fonctionner en mode 32 bits ou 64 bits. Notez qu'un système d'exploitation 64 bits est requis pour exécuter les services en mode 64 bits. Le changement de mode nécessite le redémarrage des services d'instance.
  3. Cliquez sur OK.

Mesures JMX

Pour accéder à des informations ou effectuer des opérations via JMX, vous avez besoin de la chaîne de connexion JMX. Cliquez sur Paramètres pour ouvrir la boîte de dialogue Paramètres. Sur l'onglet Serveurs, sélectionnez le serveur requis et copiez la chaîne de connexion JMX. Pour plus d'informations, reportez-vous à la section Configuration des paramètres JMX.

Création d'une instance

Cliquez sur Nouvelle instance pour créer une instance supplémentaire. Assurez-vous de donner à l'instance un nom significatif, étant donné que ce sera le nom utilisé pour identifier les services de l'instance et des fichiers, et qu'il fait partie de l'URL dont les utilisateurs se serviront pour accéder à l'instance.

Pour chaque instance supplémentaire que vous ajoutez, au moins 10 Go d'espace disque supplémentaire sont requis, ainsi que la mémoire minimale initiale suivante :
  • Serveur de présentation : 500 Mo
  • Serveur d'applications : 300 Mo
  • Serveur de rapports graphiques : 200 Mo
En fonction de votre charge de travail, ces valeurs pourront devoir être plus élevées.

Pour plus d'informations sur la configuration optimale de Silk Central, contactez le support technique ou l'équipe chargée de votre compte.

  • Installation d'un correctif
    Lorsqu'un correctif est disponible, mettez à jour vos instances vers le correctif le plus récent.
  • Démarrage ou arrêt d'un service de serveur d'exécution local
    Utilisez le Gestionnaire de services Silk Central pour démarrer ou arrêter un service de serveur d'exécution installé localement.
  • Equilibrage de charge de serveurs de présentation
    L'équilibrage de charge est utilisé pour répartir la charge (trafic de site Web) sur plusieurs serveurs, afin d'améliorer l'expérience utilisateur via une augmentation des performances et une fiabilité accrue.
Sujet parent : Configuration et gestion de l'infrastructure
Concepts associés
Architecture de Silk Central


Démarrage ou arrêt d'un service de serveur d'exécution local

Utilisez le Gestionnaire de services Silk Central pour démarrer ou arrêter un service de serveur d'exécution installé localement.
  1. Double-cliquez sur l'icône de barre d'état système Gestionnaire de services Silk Central dans la barre des tâches Windows. La boîte de dialogue Gestionnaire de services Silk Central apparaît.
  2. Cliquez sur Démarrer ou Arrêter pour démarrer ou arrêter le service du serveur d'exécution.
  3. Cliquez sur Etat de la requête pour vérifier l'état actuel du service.
  4. Si vous souhaitez surveiller l'activité en temps réel, lancez le serveur d'exécution Silk Central avec une fenêtre de console :
    1. Cochez la case Démarrer avec la console.
    2. Cliquez sur Arrêter.
    3. Cliquez sur Démarrer.
  5. Cliquez sur le lien Fichier journal du serveur d'exécution pour afficher le fichier journal. Le fichier journal s'ouvre dans l'éditeur de texte enregistré.
  6. Cliquez sur OK pour terminer la gestion du service du serveur d'exécution. Le Gestionnaire de Services se ferme, mais reste actif dans la barre d'état système.
Sujet parent : Gestion des instances


Equilibrage de charge de serveurs de présentation

L'équilibrage de charge est utilisé pour répartir la charge (trafic de site Web) sur plusieurs serveurs, afin d'améliorer l'expérience utilisateur via une augmentation des performances et une fiabilité accrue.

Pour l'équilibrage de charge des serveurs de présentation Silk Central, vous ajoutez des informations de serveur de présentation supplémentaires à la configuration du proxy NGINX, et NGINX répartira la charge entre les serveurs de présentation.

  • Configuration de l'équilibrage de charge des serveurs de présentation
    Décrit comment installer et configurer des serveurs de présentation supplémentaires pour l'équilibrage de charge.
Sujet parent : Gestion des instances


Configuration de l'équilibrage de charge des serveurs de présentation

Si vous disposez d'une instance Silk Central en cours d'exécution et si les utilisateurs de cette instance rencontrent des problèmes de performances en raison de l'augmentation de la charge, vous pouvez configurer d'autres serveurs de présentation pour répartir celle-ci.

Situation initiale :
  • Vous avez installé Silk Central sur Serveur A.
  • Vous avez une instance en cours d'exécution qui connaît des problèmes de performance.
  • Vous voulez ajouter un serveur de présentation supplémentaire pour répartir la charge.

Pour ajouter un serveur de présentation afin d'équilibrer la charge de cette instance :

  1. Installez Silk Central sur Serveur B à l'aide du programme d'installation de Silk Central.
  2. Lorsque l'installation est terminée, accédez à l'Administration d'instance (http://localhost:19100) sur Serveur B.
  3. Comme vous avez seulement besoin d'un serveur de présentation, arrêtez le serveur d'applications et le serveur de rapports graphiques de l'instance que vous souhaitez utiliser pour l'équilibrage de charge.
  4. Cliquez sur Paramètres pour ouvrir la boîte de dialogue Paramètres de cette instance. Sur l'onglet Serveurs, sélectionnez le serveur de présentation et copiez le port du serveur de présentation.
  5. Basculez sur Serveur A et accédez à l'Administration de l'instance (http://localhost:19100).
  6. Cliquez sur Paramètres pour ouvrir la boîte de dialogue Paramètres de votre instance aux performances insatisfaisantes et activez le mode de maintenance.
  7. Dans le système de fichiers, ouvrez le fichier de propriétés personnalisées NGINX (C:\ProgramData\SilkCentral\InstanceAdministration\nginx\conf\nginxCustom.properties) et ajoutez l'URL du serveur de présentation sur Serveur B (<NOM_SERVEUR>:<PORT>), à l'aide du port du serveur de présentation copié. Notation : frontendservers.<NOM_INSTANCE>=<FE_URL1>{,<FE_URL2>,...,<FE_URLX>}

    Par exemple : frontendservers.silk=localhost:19110,silkserver2:19320

    Avertissement : En raison des restrictions NGINX, il est impossible d'utiliser le port 19120 d'un serveur de présentation. Relevez toujours le port dans la boîte de dialogue Paramètres comme décrit à l'étape 4.
  8. Retournez à la page Administration d'instance et cliquez sur Paramètres pour ouvrir la boîte de dialogue Paramètres de votre instance en manque de performances. Sur l'onglet Serveurs, sélectionnez le serveur d'applications et copiez le port du serveur d'applications.
  9. Pour établir la connexion entre le serveur de présentation sur Serveur B et l'instance de serveur d'applications sur Serveur A, ouvrez un navigateur Web et accédez directement au serveur de présentation de Serveur B à l'aide de l'adresse http://<Serveur B>:<port du serveur de présentation>. Assurez-vous que vous utilisez le port de la boîte de dialogue Paramètres, pas le port 19120 !
  10. Sur la page de connexion du serveur d'applications, entrez l'hôte ou l'adresse IP et le port du serveur d'applications copié de Server A.
  11. Retournez à la page Administration d'instance et désactivez le mode de maintenance. Cela mettra à jour la configuration NGINX.

Lorsque vos utilisateurs accèdent à l'instance à l'aide de la même URL qu'auparavant, ils sont automatiquement répartis entre les serveurs de présentation de Serveur A et de Serveur B.

Sujet parent : Equilibrage de charge de serveurs de présentation


Gestion des clients

Utilisez la zone Administration système pour configurer les clients de Silk Central. La configuration de clients comprend les activités suivantes :

  • Création, connexion et déconnexion de bases de données.
  • Création et gestion de clients.
  • Configuration de l'infrastructure du client Silk Central (serveur de rapports graphiques, serveur de messagerie et connexions proxy).
  • Entretien des services du système en analysant les informations de diagnostic et les fichiers-journaux du système.
  • Administrateur système
    Décrit le rôle de l'administrateur système.
  • Bases de données
    Décrit l'utilisation d'une base de données dans Silk Central.
  • Clients
    Les clients sont des unités distinctes au sein d'une instance Silk Central. Un client peut être par exemple un client ou une division d'une entreprise. Les clients permettent d'accroître la sécurité, mais contrairement aux instances, ils partagent la même base de données et les mêmes services Silk Central.
  • Infrastructure
    Décrit les serveur de rapports graphiques, les serveurs de messagerie et le proxy système qui forment l'infrastructure système.
  • Diagnostics du système
    Décrit l'onglet des diagnostics du système.
Sujet parent : Configuration et gestion de l'infrastructure
Concepts associés
Architecture de Silk Central


Administrateur système

L'administrateur système est le seul utilisateur pouvant accéder à l'espace Administration du système et il ne peut accéder qu'à cet espace. Cet utilisateur n'a pas accès à l'interface utilisateur de Silk Central en tant que telle.

Accédez à l'espace Administration du système en utilisant les données d'authentification suivantes :
  • nom d'utilisateur : sysadmin
  • mot de passe : sysadmin
Important : Changez ce mot de passe par défaut dès que possible. Nous recommandons de le faire dès votre première connexion à une base de données Silk Central. Pour modifier le mot de passe, cliquez sur Modifier votre mot de passe dans le menu de l'espace Administration du système (en haut à droite). Le nom d'utilisateur ne peut pas être changé.

Si aucune base de données n'est connectée, l'administrateur système est redirigé automatiquement vers l'espace Administration du système.

Sujet parent : Gestion des clients


Bases de données

Silk Central utilise des bases de données pour stocker, gérer et analyser les données. Vous devez établir une connexion à une base de données afin de pouvoir travailler avec Silk Central . Vous pouvez établir plusieurs bases de données mais seule une base de données à la fois peut être connectée. Pour vous connecter à une nouvelle base de données, vous devez d'abord vous déconnecter de la base actuelle.

Pour configurer des connexions de base de données, accédez à la page Base de données de la zone Administration du système. Seul l'administrateur système peut accéder à cette page.Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Toutes les tâches administratives qui nécessitent que la base de données soit déconnectée doivent être effectuées dehors des heures d'activité. Veillez à informer les utilisateurs de l'indisponibilité du système et de sa durée. Pour plus d'informations sur la configuration de votre base de données, veuillez contacter SupportLine . Si vous utilisez Microsoft SQL Server , nous vous recommandons de lire Recommandations sur le serveur MSSQL de Silk Central.

  • Choix d'un système de gestion de base de données relationnelle
    Choisissez un système de gestion de base de données relationnelle (SGBDR) à utiliser en tant que référentiel.
  • Privilèges d'utilisateur de base de données
    Assignez des rôles spécifiques à vos utilisateurs de base de données pour leur permettre d'effectuer certaines tâches.
  • Création d'une base de données
    Décrit comment créer une base de données.
  • Connexion à une base de données
    Explique comment se connecter à une base de données Silk Central.
  • Déconnexion d'une base de données
    Décrit comment se déconnecter d'une base de données Silk Central.
  • ID de référentiel ALM
    Décrit le mode d'identification des référentiels.
  • URI de l'ALM
    Décrit l'utilisation des URI de l'ALM.
  • Page Base de données
    Explique comment se connecter à une base de données et s'en déconnecter par l'intermédiaire de la page Base de données.
Sujet parent : Gestion des clients
Concepts associés
Administrateur système
Référence associée
Page Base de données


Choix d'un système de gestion de base de données relationnelle

Installez et configurez Oracle ou Microsoft SQL Server en suivant la procédure indiquée dans la documentation de votre système de gestion de base de données relationnelle (SGBDR).

Silk Central prend en charge les systèmes de gestion de base de données suivants :
  • Microsoft SQL Server 2014 Service Pack 2
  • Microsoft SQL Server 2016 Service Pack 1
  • Microsoft SQL Server 2017
  • Oracle 11g (version 11.2.0.4). Oracle RAC n'est pas pris en charge.
  • Oracle 12c (version 12.1.0.2). Oracle RAC n'est pas pris en charge.

Le tableau suivant décrit les exigences associées à chaque type de base de données.

SGBDR Eléments requis
Oracle
  • Espace disque logique Oracle.
  • Nom d'hôte et numéro de port du serveur, ou Single Client Access Name (SCAN). Le port par défaut est 1521.
  • Nom de l'instance Oracle ($ORACLE_SID).
  • Nom et mot de passe de votre utilisateur de base de données Silk Central. L'utilisateur doit posséder des quotas et des autorisations suffisantes.
Si besoin, demandez de l'aide à votre administrateur Oracle.
Remarque : Oracle ne crée pas de bases de données mais des schémas assignés à des noms d'utilisateur spécifiques. Par conséquent, les noms de bases de données ne sont pas assignés aux bases de données Oracle, mais à des noms d'utilisateur. Silk Central se réfère à ces noms d'utilisateur en tant que noms de base de données.
Microsoft SQL Server
  • Nom d'hôte et numéro de port du serveur.
  • Nom d'utilisateur et mot de passe du système MS SQL Server.
  • Nom de votre base de données Silk Central.
  • Nom et mot de passe de votre utilisateur de base de données Silk Central.
Remarque : Silk Central prend en charge uniquement les serveurs Microsoft SQL Server configurés pour être insensibles à la casse et sensibles aux accents. Silk Central ne prend pas en charge la modification du classement après la première connexion de la base de données, étant donné que cette opération entraîne parfois des conflits de classement. N'utilisez pas Microsoft SQL Server Express pour les environnements de production, car ses capacités sont limitées par rapport à une installation de serveur de bases de données complète.
Sujet parent : Bases de données


Privilèges d'utilisateur de base de données

En raison des risques de sécurité, nous vous recommandons de ne pas utiliser le rôle d'administrateur de base de données pour la gestion de votre base de données Silk Central. Cette rubrique répertorie les rôles de base de données pouvant être utilisés pour effectuer des tâches spécifiques, comme suit :

Microsoft SQL Server
Si Microsoft SQL Server est votre système SGBD pour Silk Central, les rôles/privilèges d'utilisateur de base de données suivants sont nécessaires pour votre base de données Silk Central :
Soit : Ou :
  • db_owner
  • db_ddladmin
  • VIEW SERVER STATE
  • db_datareader
  • db_datawriter
  • db_ddladmin
  • EXECUTE
  • VIEW SERVER STATE
Ces rôles/privilèges permettent de créer et de configurer des tables de base de données, d'utiliser une base de données créée précédemment, ainsi que d'installer et de mettre à niveau le logiciel.
Remarque : L'utilisateur de base de données Silk Central requiert ces rôles/privilèges. Dans le cas contraire, des erreurs risquent de se produire.
Oracle
Si Oracle est votre système SGBD pour Silk Central, définissez les privilèges d'utilisateur de base de données Oracle suivants pour utiliser Silk Central :
  • CREATE SESSION
  • CREATE PROCEDURE
  • CREATE SEQUENCE
  • CREATE TABLE
  • CREATE TRIGGER
  • CREATE VIEW
Remarque : L'utilisateur de base de données Silk Central requiert tous les privilèges indiqués ci-dessus. Dans le cas contraire, des erreurs risquent de se produire. Pour obtenir toutes les données d'analyse relatives à la base de données dans les diagnostics du système, il est également recommandé d'assigner le rôle SELECT_CATALOG_ROLE à votre base de données utilisateur.
Remarque : L'utilisateur Oracle doit disposer de quotas suffisants pour utiliser Silk Central.
Lors de la configuration d'un système SGBD Oracle pour Silk Central, assurez-vous que l'environnement Oracle répond aux exigences suivantes :
  • Au moins 2 Go d'espace disque logique temporaire sont disponibles.
  • Un espace disque suffisant est disponible pour l'espace disque logique temporaire.
Sujet parent : Bases de données


Création d'une base de données

Si Silk Central est actuellement connecté à une base de données, vous devez interrompre la connexion avant de pouvoir créer une nouvelle base de données.

Remarque : Si vous avez installé Silk Central à l'aide du package d'initialisation de l'évaluation, une base de données de démonstration nommée demodb est automatiquement créée et connectée. Dans ce cas, vous pouvez ignorer les étapes suivantes.

Pour créer une base de données :

  1. Si vous avez déjà configuré votre serveur d'application Silk Central, la page Base de données s'affiche dans une fenêtre du navigateur, et vous pouvez passer à l'étape 3.
    Conseil : Vous pouvez également accéder à votre site Silk Central à l'aide d'un navigateur Web. L'URL par défaut est http://<nom de l'ordinateur>:19120/login (les informations de port ne sont pas requises si Silk Central est exécuté sur IIS). Lorsque vous utilisez l'option Configuration Standard pour installer Silk Central, la page Base de données s'affiche immédiatement après la connexion à l'application. Sur l'ordinateur sur lequel le serveur de présentation est installé, vous pouvez également sélectionner Démarrer > Programmes > Silk > Silk Central > Silk Central 19.0 > Page d'accueil Silk Central.
  2. Connectez-vous à Silk Central en tant qu'administrateur système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  3. Dans le menu, cliquez sur Bases de données.
  4. Configurez les paramètres de la nouvelle base de données. Pour plus d'informations, reportez-vous à la page Base de données. Vous pouvez créer une base de données sur Microsoft SQL Server 2008 Express SP1 installé en local, sur Microsoft SQL Server installé en local ou une installation Oracle, ou encore sur un serveur réseau sur lequel MS SQL Server ou Oracle est installé. Silk Central prend en charge :
    • Microsoft SQL Server 2014 Service Pack 2
    • Microsoft SQL Server 2016 Service Pack 1
    • Microsoft SQL Server 2017
    • Oracle 11g (version 11.2.0.4). Oracle RAC n'est pas pris en charge.
    • Oracle 12c (version 12.1.0.2). Oracle RAC n'est pas pris en charge.
  5. Cliquez sur Connecter la Base de données, puis sur Oui. La boîte de dialogue Créer une Nouvelle Base de Données s'ouvre.
  6. Entrez les données d'authentification de l'administrateur de base de données, puis cliquez sur OK.
    Conseil : Si vous créez une base de données Microsoft SQL Server ou Oracle locale ou en réseau, entrez les informations de connexion fournies par votre administrateur de base de données.
    La boîte de dialogue Créer l'ID du Référentiel ALM s'ouvre.
  7. Entrez un ID du référentiel ALM unique, puis cliquez sur OK.
  8. Vous recevrez un message indiquant que le référentiel a été créé avec succès. Cliquez sur OK. La page de connexion s'affiche.
La base de données est créée et connectée. Vous pouvez maintenant vous connecter à Silk Central avec votre nom d'utilisateur et votre mot de passe.
Sujet parent : Bases de données
Concepts associés
Administrateur système
Référence associée
Page Base de données


Connexion à une base de données

Pour se connecter à une base de données :

  1. Accédez au site Silk Central à l'aide d'un navigateur Web. L'URL par défaut est http://<nom de l'ordinateur>:19120/login (les informations de port ne sont pas requises si Silk Central est exécuté sur IIS).
    Remarque : Si aucune base de données n'est connectée, vous êtes automatiquement redirigé vers l'espace Administration système.
  2. Connectez-vous à Silk Central en tant qu'administrateur système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  3. Dans le menu, cliquez sur Bases de données.
  4. Cliquez sur Déconnecter la base de données pour vous déconnecter de la base de données actuelle. Vous êtes redirigé vers la page Base de données.
  5. Modifiez les réglages nécessaires. Pour plus d'informations, reportez-vous à la page Base de données.
  6. Cliquez sur Connecter la base de données.
L'établissement d'une connexion à la base de données peut prendre de quelques minutes à quelques heures. Une boîte de dialogue apparaît lorsque la connexion est établie. Cliquez sur OK. La page de connexionSilk Central s'affiche.
Sujet parent : Bases de données
Concepts associés
Administrateur système
Référence associée
Page Base de données


Déconnexion d'une base de données

Pour se déconnecter d'une base de données :

  1. Accédez à votre site Silk Central à l'aide d'un navigateur Web. L'URL par défaut est http://<nom de l'ordinateur>:19120/login (les informations de port ne sont pas requises si Silk Central est exécuté sur IIS).
  2. Connectez-vous à Silk Central en tant qu'administrateur système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  3. Dans le menu, cliquez sur Bases de données.
  4. Cliquez sur Déconnecter la base de données pour vous déconnecter de la base de données actuelle. Vous êtes redirigé vers la page Base de données.
Sujet parent : Bases de données
Concepts associés
Administrateur système
Référence associée
Page Base de données


ID de référentiel ALM

Chaque base de données Silk Central doit disposer d'un ID unique. Cet ID est utilisé dans les URI de l'ALM pour identifier de façon unique les exigences et tests Silk Central sur plusieurs référentiels Silk Central. L'ID de référentiel doit être unique à l'échelle des installations Silk Central de votre entreprise. L'ID de référentiel fourni fait partie de l'URI de l'ALM. Pour plus d'informations sur les URI de l'ALM, reportez-vous à la rubrique URI de l'ALM. Il est recommandé d'utiliser un ID descriptif, par exemple USCA01, pour États-Unis, Californie, référentiel 01 ou GEBE02, pour Allemagne, Berlin, référentiel 02. Les caractères autorisés sont les lettres, les chiffres, le point (.) et le signe moins (-). La longueur des ID doit être comprise entre 1 et 20 caractères.

ATTENTION :
Une fois l'ID de référentiel défini, il est impossible de le modifier.
Sujet parent : Bases de données
Concepts associés
URI de l'ALM


URI de l'ALM

Les ID de référentiel sont incorporés dans les identifiants uniformes de ressources (URI, Uniform Resource Identifier) de la gestion du cycle de vie des applications (ALM, Application Lifecycle Management). Les URI de l'ALM offrent un moyen d'adresser des éléments sur une plate-forme de serveur ALM, et permettent d'identifier et de suivre des éléments entre les applications. Entre autres choses, les URI de l'ALM sont utilisés pour identifier de façon unique les exigences et tests Silk Central sur plusieurs référentiels Silk Central.

La syntaxe de l'URI de l'élément ALM est la suivante :

<ALM URI> = alm://<source project>/<source element path>[?<source version>]
 <source project> = <source type>!<project identity>

Pour Silk Central, <source type> = sctm. Pour Issue Manager, <source type> = scim.

L'identité du projet est construite de la façon suivante :

<project identity> = <repository ID>_<project ID>

<repository ID> est un identificateur unique pour chaque référentiel Silk Central et Issue Manager. Chaque référentiel génère un identificateur unique qu'il stocke. Le caractère unique est garanti pour l'ensemble des référentiels que vous avez installés. <project ID> est un identificateur de projet Silk Central ou Issue Manager. Cet identificateur est unique dans le contexte de chaque référentiel.

Chemin de l'élément source :

Pour Silk Central et Issue Manager, la syntaxe de référencement des artefacts suivante est utilisée :

Les exigences natives de Silk Central, qui ne sont pas liées à un système externe de gestion des exigences, utilisent la syntaxe suivante :

<source element path> = /<requirement ID>;ns=requirement

Les tests Silk Central utilisent la syntaxe suivante :

<source element path> = /<test ID>;ns=test

Les incidents Silk Central et Issue Manager utilisent la syntaxe suivante :

<source element path> = /<issue ID>;ns=issue
Exemple d'URI de l'ALM :
alm://sctm!USCA01_23/602;ns=test

Référentiel Silk Central USCA01, ID de projet 23, ID d'élément 602, type d'élément test.

Sujet parent : Bases de données
Concepts associés
ID de référentiel ALM


Page Base de données

Sur la page Base de données, vous pouvez connecter une base de données à Silk Central, puis la déconnecter à nouveau.

Si aucune base de données n'est connectée, vous serez automatiquement dirigé vers la page Base de données.

Si une base de données est connectée, vous devez vous connecter en tant qu'administrateur système, puis cliquer sur Base de données pour accéder à la page Base de données. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Configurez la connexion à la base de données avec les contrôles d'interface utilisateur suivants :

Elément | Description
Nom d''hôte du SGBD ou adresse IP Nom de l'ordinateur hébergeant le système SGBD (système de gestion de base de données). Saisissez le nom selon le format <nom de l'ordinateur>\<nom de l'instance>.
Système de base de données
Description du nom d'hôte
Microsoft SQL Server
<nom de l'ordinateur>\<nom de l'instance>. Par exemple : localhost.
Remarque : Un nom d'instance doit uniquement être indiqué si le système SGBD a été installé à l'aide d'une instance.
Oracle Server
<nom de l'ordinateur> ou Single Client Access Name (SCAN). Par exemple : MyDBMSHost. Si vous prévoyez de créer des rapports personnalisés avec un accès direct à la base de données, définissez un nom d'hôte du SGBD disponible sur le réseau.
Type de SGBD | Type du système SGBD auquel vous souhaitez accéder, MS SQL Server ou Oracle.
Port

Port sur lequel le système SGBD est écouté. Le port par défaut de Microsoft SQL Server, y compris Express, est 1433. Pour Oracle, le port par défaut est 1521.
Base de données / SID

Nom de la base de données MS SQL Server ou SID Oracle fourni par votre administrateur Oracle. Pour vous connecter à un environnement RAC Oracle, faites précéder le SID d'une barre oblique (/).

Pour les administrateurs de bases de données Oracle : configurez le SID Oracle de manière à utiliser le jeu de caractères UTF-8.
Nom d’utilisateur / Mot de passe
Microsoft SQL Server, y compris Express
Utilisateur de base de données disposant des informations d'identification nécessaires ou utilisateur de domaine Windows valide (domaine\utilisateur). Si vous utilisez l’authentification Windows, le serveur de base de données doit prendre en charge les protocoles LMv2 et NTLMv2. L’authentification unique sans spécification d’utilisateur n’est pas prise en charge.
Remarque : Si vous évaluez Silk Central , les données d'authentification par défaut sont sa / SilkCentral12!34.
Oracle Server
Utilisateur de base de données disposant des informations d’identification nécessaires fournies par votre administrateur Oracle.
Important : Pour les serveurs Oracle, le nom d'utilisateur de la base de données ne doit pas contenir de points (.).
Nom d''utilisateur en lecture seule Utilisateur de base de données optionnel disposant de droits en lecture seule sur toutes les tables et vues de la base de données spécifiée. Cet utilisateur sert aux actions qui ne nécessitent que des droits de lecture, par exemple pour exécuter des rapports. Cela garantit que les rapports en cours d'exécution avec des requêtes avancées ne modifieront aucune donnée dans la base de données. L'exécution de requêtes avancées peut, en effet, avoir un impact négatif sur les données. L'accès à la base de données avec un utilisateur en lecture seule a également un impact positif sur les performances.

Si votre SGBD est Microsoft SQL Server, Silk Central crée automatiquement cet utilisateur si vous spécifiez un nom et un mot de passe. Si votre SGBD est Oracle, l'administrateur de votre base de données doit créer l'utilisateur dans Oracle et votre administrateur Silk Central doit ajouter cet utilisateur à Silk Central.
Mot de passe en lecture seule

Mot de passe valide associé au champ Nom d'utilisateur en lecture seule spécifié.
Informations de version SGBD

Affiche les informations sur la version du système d'exploitation ou du SGBD.
ID du référentiel ALM | Affiche l'URI de l'ALM du référentiel.
Connecter la Base de données/Déconnecter la Base de données

Cliquez sur ce bouton pour vous connecter ou vous déconnecter à partir d'un système SGBD.
Remarque : Si la version du serveur d'exécution est une version ancienne (mais plus récente que SilkCentral Test Manager 2009 SP1) qui n'est plus valable, le serveur d'exécution est automatiquement mis à niveau vers la version actuelle de Silk Central. Silk Central affiche un message concernant cette mise à niveau dans la colonne Informations de la liste des serveurs d'exécution. Tant que la procédure de mise à niveau n'est pas terminée, le serveur d'exécution en cours de mise à niveau n'est pas utilisé.
Sujet parent : Bases de données
Concepts associés
Administrateur système


Clients

Les clients sont des unités distinctes au sein d'une instance Silk Central. Un client peut être par exemple un client ou une division d'une entreprise. Les clients permettent d'accroître la sécurité, mais contrairement aux instances, ils partagent la même base de données et les mêmes services Silk Central.

La zone Administration Système vous permet de créer des clients. Vous avez la possibilité de configurer plusieurs paramètres client qui influeront sur les projets assignés au client en question. Vous pouvez spécifier, sur le total des licences disponibles, le nombre maximum de licences utilisables pour chaque client. Les données relatives à un client ne sont accessibles que si vous êtes connecté à ce client. Une fois dans le client, tous les éléments de tous les projets sont alors accessibles.

Lors de l'installation de Silk Central, un client par défaut est automatiquement créé. Si vous mettez Silk Central à niveau à partir d'une ancienne version, tous les projets et clients existants sont assignés à ce client par défaut. Un superutilisateur est créé pour chaque client. Pour plus d'informations, reportez-vous à la rubrique Super utilisateur. Vous pouvez supprimer tous les clients, mais notez qu'au moins un client est nécessaire pour pouvoir créer des projets et des utilisateurs et utiliser Silk Central.

  • Super utilisateur
    Décrit le rôle de super utilisateur, qui dispose de toutes les autorisations dans un client.
  • Création de clients
    Explique comment créer des clients.
  • Modification des clients
    Explique comment modifier les paramètres d'un client.
  • Suppression de clients
    Décrit comment supprimer des clients.
  • Client par défaut
    Décrit le concept qui sous-tend le client par défaut créé automatiquement, quel est l'état par défaut d'un client et comment définir et annuler cet état par défaut.
  • Gestion des licences
    Décrit les types de licence utilisés dans Silk Central et explique à quel moment les licences sont extraites et archivées.
  • Page Clients
    Décrit la page Clients.
  • Autorisations du client
    Contient les autorisations relatives aux serveurs et aux rapports accordées aux clients.
Sujet parent : Gestion des clients


Super utilisateur

Le super utilisateur dispose de toutes les autorisations dans un client. En comparaison, l'administrateur système peut uniquement gérer les divers clients d'une installation Silk Central, mais n'a pas accès à l'interface utilisateur même de Silk Central.

Lorsque l'administrateur système crée un client, un super utilisateur est automatiquement créé pour ce client.

Connectez-vous en tant que super utilisateur avec les informations d'identification par défaut suivantes :

  • nom d'utilisateur : admin
  • mot de passe : admin
Important : Modifiez ce mot de passe par défaut dès que possible. Pour modifier le mot de passe, cliquez sur Administration > Gestion des utilisateurs dans le menu, cliquez sur l'onglet Comptes, puis cliquez sur Admin dans la grille. Le nom d'utilisateur ne peut pas être modifié.

Pour obtenir une liste complète des rôles et autorisations d'utilisateur disponibles, reportez-vous à la section Rôles et autorisations de l'utilisateur.

Sujet parent : Clients
Concepts associés
Options de connexion
Rôles et autorisations des utilisateurs
Rôles utilisateur
Tâches associées
Connexion à Silk Central


Création de clients

Pour créer un client :
  1. Connectez-vous à Silk Central en tant qu'administrateur système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  2. Dans le menu, cliquez sur Clients.
  3. Cliquez sur Nouveau Client. La boîte de dialogue Nouveau Client s'ouvre.
  4. Saisissez le nom du client ainsi qu'une description.
  5. Dans la rubrique Limites de licences, précisez le nombre maximum de licences utilisables simultanément pour ce client. Une fois ce nombre atteint, aucune autre licence ne pourra être obtenue sur le client sélectionné. Cette fonction est particulièrement utile si vous voulez vous assurer que les clients les plus importants disposent de suffisamment de licences tandis que des restrictions sont en place pour les clients moins importants. Les règles ci-dessous s'appliquent :
    • Aucune valeur : aucune limite n'est appliquée au nombre de licences ; le client peut donc utiliser le nombre total de licences disponibles.
    • 0 (zéro) : aucune licence ne peut être utilisée par le client, ce qui a pour effet de désactiver toutes les fonctionnalités associées à la licence sélectionnée.
    • Nombre quelconque : il s'agit du nombre de licences qui peuvent être utilisées par le client. Si ce nombre est plus élevé que le nombre total de licences disponibles, le client peut utiliser le nombre total de licences disponibles.
    Conseil : le nombre total de licences disponibles s'affiche au bas de la page Clients.
  6. Cliquez sur OK.

Connectez-vous au client en tant que superutilisateur pour effectuer des tâches d'administration spécifiques au client. Pour plus d'informations, reportez-vous à la rubrique Super Utilisateur.

Sujet parent : Clients
Concepts associés
Administrateur système
Gestion des licences
Super utilisateur
Référence associée
Page Base de données


Modification des clients

Pour modifier les paramètres d'un client :
  1. Connectez-vous à Silk Central en tant qu'administrateur système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  2. Dans le menu, cliquez sur Clients.
  3. Cliquez sur [image] (Modifier) dans la colonne Actions. La boîte de dialogue Modifier le Client s'affiche.
  4. Saisissez le nom du client ainsi que sa description.
  5. Dans la rubrique Limites de licences, précisez le nombre maximum de licences utilisables simultanément pour ce client. Une fois ce nombre atteint, aucune autre licence ne pourra être obtenue sur le client sélectionné. Cette fonction est particulièrement utile si vous voulez vous assurer que les clients les plus importants disposent de suffisamment de licences tandis que des restrictions sont en place pour les clients moins importants. Les règles ci-dessous s'appliquent :
    • Aucune valeur : aucune limite n'est appliquée au nombre de licences ; le client peut donc utiliser le nombre total de licences disponibles.
    • 0 (zéro) : aucune licence ne peut être utilisée par le client, ce qui a pour effet de désactiver toutes les fonctionnalités associées à la licence sélectionnée.
    • Nombre quelconque : il s'agit du nombre de licences qui peuvent être utilisées par le client. Si ce nombre est plus élevé que le nombre total de licences disponibles, le client peut utiliser le nombre total de licences disponibles.
    Conseil : le nombre total de licences disponibles s'affiche au bas de la page Clients.
  6. Cliquez sur OK.
Remarque : n'oubliez pas d'informer les utilisateurs de Silk Central si vous modifiez le nom du client. Les utilisateurs de Silk Central doivent saisir le nom actuel du client sur la page de connexion.

Connectez-vous au client en tant que superutilisateur pour effectuer des tâches d'administration spécifiques au client. Pour plus d'informations, reportez-vous à la rubrique Super Utilisateur.

Sujet parent : Clients
Concepts associés
Administrateur système
Gestion des licences
Super utilisateur
Référence associée
Page Base de données


Suppression de clients

Pour supprimer un client :
  1. Connectez-vous à Silk Central en tant qu'administrateur système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  2. Dans le menu, cliquez sur Clients.
  3. Cliquez sur [image] (Supprimer) dans la colonne Actions.
  4. Cliquez sur Oui pour confirmer.
Sujet parent : Clients
Concepts associés
Administrateur système
Référence associée
Page Base de données


Client par défaut

Lorsque vous installez Silk Central, un client (avec le nom Default [Par défaut]) est automatiquement créé et l'état de ce client est défini sur « par défaut ». Pour définir les clients qui ont l'état par défaut, connectez-vous à Silk Central en tant qu'administrateur système et cliquez sur Clients. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Pour définir un client par défaut, cliquez sur Définir par défaut. Pour annuler l'état par défaut, cliquez sur Annuler la valeur par défaut. L'icône [image] affiche le client qui est actuellement le client par défaut. Il est également possible qu'il n'existe aucun client par défaut défini mais uniquement un client à la fois peut avoir l'état par défaut.

L'objet du client par défaut est de simplifier la connexion : lorsque vous vous connectez à Silk Central avec un utilisateur du client par défaut, vous pouvez omettre le nom du client. Saisissez simplement votre nom d'utilisateur. Cette spécificité est particulièrement utile pour les installations Silk Central avec un seul client. Lorsque vous mettez Silk Central à niveau depuis une ancienne version, le comportement de connexion est le même qu'auparavant.

Sujet parent : Clients
Concepts associés
Administrateur système
Référence associée
Page Base de données


Page Clients

Pour accéder à cette page, connectez-vous à Silk Central en tant qu'administrateur système, puis cliquez sur Clients. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Vous pouvez utiliser cette page pour créer et gérer vos clients. Cliquez sur Nouveau client pour créer un nouveau client. Cliquez sur Définir par défaut ou Annuler la valeur par défaut pour modifier l'état par défaut du client. L'icône [image] signale le client qui est actuellement le client par défaut.

La grille sur la page contient les colonnes suivantes :

Colonne | Description
Actions | Cliquez sur les boutons [image] et [image] pour supprimer ou modifier les clients.
ID | Identificateur du client.
Nom | Nom du client. Cliquez sur [image] pour modifier le nom. N'oubliez pas d'informer les utilisateurs de Silk Central si vous modifiez le nom du client. Les utilisateurs de Silk Central doivent saisir le nom actuel du client sur la page de connexion.
Description | Décrit le client de façon plus détaillée. Cliquez sur [image] pour Modifier la description.
Test Manager | Nombre maximum de licences Test Manager utilisables simultanément.
Test manuel | Nombre maximum de licences Test manuel utilisables simultanément.
Suivi d'incidents | Nombre maximum de licences Suivi d'incidents utilisables simultanément.
Tests automatisés | Nombre maximum de licences Tests automatisés utilisables simultanément.
Créé le | Date de création du client.
Créé par | Utilisateur ayant créé le client.
Modifié le | Date de modification du client.
Modifié par | Utilisateur ayant modifié le client.
Sujet parent : Clients
Concepts associés
Administrateur système


Autorisations du client

Cette page permet de modifier les paramètres système et les autorisations accordées aux clients.

Élément | Description
Afficher les journaux du serveur de présentation et du serveur d'application pour les utilisateurs du client. | Lorsque cette case est cochée, les onglets des journaux du serveur de présentation et du serveur d'application apparaissent dans l'interface utilisateur (les journaux peuvent contenir des données propres aux clients).
Autoriser les rapports avancés pour les utilisateurs du client. | Lorsque cette case est cochée, vous pouvez créer des rapports avec des requêtes avancées. Si elle n'est pas cochée, vous pouvez toujours les exécuter mais vous ne pouvez pas en créer de nouveaux ou les modifier.
Autoriser la gestion des modèles de rapports pour les utilisateurs du client. | Lorsque cette case est cochée, vous pouvez télécharger, modifier, mettre à jour et supprimer des modèles de rapports. Les modèles de rapports peuvent contenir des instructions SQL arbitraires et lire des données d'autres clients.
Sujet parent : Clients
Concepts associés
Définition des autorisations


Infrastructure

Contient les paramètres des serveur de rapports graphiques, des serveurs de messagerie et du proxy système.

  • Serveurs de Rapports Graphiques
    Décrit le rôle des serveurs de rapports graphiques et indique comment ils sont connectés à Silk Central.
  • Serveur de messagerie
    Indique comment configurer les serveurs de messagerie.
  • Proxy système
    Décrit comment configurer un proxy système. Les serveurs d'exécution peuvent ensuite communiquer avec le serveur d'application via un proxy.
  • Emplacement du serveur d'application
    Explique les notions de base relatives au serveur d'applications Silk Central .
  • Authentification LDAP
    Explique comment configurer l'authentification LDAP pour activer les connexions Silk Central par le biais d'un serveur LDAP.
  • Ensembles d'agents de test de montée en charge Silk Performer
    Décrit les ensembles d'agents de test de montée en charge Silk Performer et la prise en charge de l'assignation de charge dynamique sur plusieurs agents de test.
Sujet parent : Gestion des clients


Serveurs de Rapports Graphiques

Un serveur de rapports graphiques est un service qui calcule des données et génère des graphiques. Vous pouvez visualiser ces graphiques dans l'application Silk Central. Vous avez la possibilité d'installer le service sur un ordinateur de votre choix lors de la configuration de Silk Central. Pour pouvoir afficher les graphiques, vous devez configurer une connexion à un serveur de rapports graphiques.

Remarque : Vous pouvez configurer autant de connexions à des serveurs de rapports graphiques que vous voulez. Silk Central implémente automatiquement un mécanisme d'équilibrage de charge pour la génération des rapports graphiques.
  • Configuration des connexions au serveur de rapports graphiques
    Décrit comment configurer une connexion au serveur de rapports graphiques.
  • Modification des connexions au serveur de rapports graphiques
    Décrit comment modifier une connexion au serveur de rapports graphiques.
  • Suppression de connexions à des serveurs de rapports graphiques
    Décrit comment supprimer une connexion à un serveur de rapports graphiques.
  • Page Serveurs de Rapports Graphiques
    Décrit la page Serveurs de Rapports Graphiques.
Sujet parent : Infrastructure


Configuration des connexions au serveur de rapports graphiques

Pour configurer une connexion au serveur de rapports graphiques :

  1. Dans le menu, cliquez sur Infrastructure > Serveurs de rapports graphiques.
  2. Si un serveur de rapports graphiques a été installé avec le serveur d'application sur le même ordinateur, une connexion entre le serveur de rapports graphiques et localhost est automatiquement configurée.
  3. Optionnel : si vos serveurs de rapports graphiques doivent communiquer avec le serveur de présentation via une autre URL que celle utilisée par les utilisateurs pour accéder à l'interface utilisateur Web, cliquez sur Configurer l'URL du Service Web et saisissez cette URL dans le champ de texte. Cela est nécessaire lorsque, par exemple, les utilisateurs accèdent à l'interface utilisateur Web via un proxy, et que vos serveurs de rapports graphiques requièrent l'adresse IP ou URL interne du serveur de présentation.
  4. Cliquez sur Nouveau Serveur de Rapports Graphiques. La boîte de dialogue Nouveau Serveur de Rapports Graphiques s'affiche.
  5. Saisissez le Nom d'hôte ou adresse IP, le Port et l'URL où le serveur de rapports graphiques est installé. Par défaut, le port est 19126 et l'URL est ChartServer.
  6. Cliquez sur Vérifier afin d'établir une connexion de test vers le serveur de rapports graphiques. La boîte de dialogue Vérification du serveur de rapports graphiques s'affiche.
    Remarque : Si le test a réussi, une image de test apparaît à l'écran. Si le test a échoué, un message d'erreur s'affiche. Vérifiez les données saisies et assurez-vous qu'un serveur de rapports graphiques est bien installé sur la machine cible.
  7. Cliquez sur Fermer. Si la connexion de test a réussi, cochez la case Actif, puis cliquez sur OK.

Vous pouvez configurer autant de connexions au serveur de rapports graphiques que vous le souhaitez. Silk Central met automatiquement en œuvre un mécanisme d'équilibrage des charges pour la génération des graphiques.

Remarque : Vous pouvez configurer une connexion au serveur de rapports graphiques uniquement si le service du serveur de rapports graphiques est installé sur l'ordinateur cible. Pour plus d'informations, reportez-vous aux instructions d'installation de votre application Silk Central.
Sujet parent : Serveurs de Rapports Graphiques


Modification des connexions au serveur de rapports graphiques

Pour modifier une connexion au serveur de rapports graphiques :

  1. Dans le menu, cliquez sur Infrastructure > Serveurs de rapports graphiques.
  2. Optionnel : si vos serveurs de rapports graphiques doivent communiquer avec le serveur de présentation via une autre URL que celle utilisée par les utilisateurs pour accéder à l'interface utilisateur Web, cliquez sur Configurer l'URL du Service Web et saisissez cette URL dans le champ de texte. Cela est nécessaire lorsque, par exemple, les utilisateurs accèdent à l'interface utilisateur Web via un proxy, et que vos serveurs de rapports graphiques requièrent l'adresse IP ou l'URL interne du serveur de présentation.
  3. Cliquez sur [image] (Modifier) dans la colonne Actions. La boîte de dialogue Modifier le Serveur de Rapports Graphiques s'affiche.
  4. Modifiez le Nom d'hôte ou adresse IP, le Port et l'URL où le serveur de rapports graphiques est installé. Par défaut, le port est 19126 et l'URL est ChartServer.
  5. Cochez/Décochez la case Actif afin d'activer/de désactiver le serveur.
  6. Cliquez sur Vérifier afin d'établir une connexion de test vers le serveur de rapports graphiques. La boîte de dialogue Vérification du serveur de rapports graphiques s'affiche.
    Remarque : Si le test a réussi, une image de test apparaît à l'écran. Si le test a échoué, un message d'erreur s'affiche. Vérifiez les données saisies et assurez-vous qu'un serveur de rapports graphiques est bien installé sur la machine cible.
  7. Cliquez sur Fermer, puis sur OK.
Sujet parent : Serveurs de Rapports Graphiques


Suppression de connexions à des serveurs de rapports graphiques

Pour supprimer une connexion à un serveur de rapports graphiques :

  1. Dans le menu, cliquez sur Infrastructure > Serveurs de rapports graphiques.
  2. Cliquez sur [image] (Modifier) dans la colonne Actions. La boîte de dialogue Modifier le Serveur de Rapports Graphiques s'affiche.
  3. Décochez la case Actif et cliquez sur OK.
  4. Cliquez sur Supprimer (Supprimer) dans la colonne Actions.
  5. Cliquez sur Oui pour confirmer.
Remarque : La connexion au serveur est alors supprimée. Cela ne supprime pas le serveur lui-même.
Sujet parent : Serveurs de Rapports Graphiques


Page Serveurs de Rapports Graphiques

Pour accéder à cette page, connectez-vous à Silk Central en tant qu'administrateur système, puis cliquez sur Infrastructure > Serveurs de Rapports Graphiques. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Cette page permet de gérer les connexions à vos serveurs de rapports graphiques. Cliquez sur Nouveau Serveur de Rapports Graphiques pour configurer une nouvelle connexion au serveur de rapports graphiques. L'option Configurer l'URL du Service Web vous permet de configurer une autre URL avec laquelle vos serveurs de rapports graphiques se connectent au serveur de présentation. La grille sur la page contient les colonnes suivantes :

Colonne | Description
Actions | Cliquez sur les boutons [image] et [image] pour Supprimer ou Modifier les connexions au serveur de rapports graphiques. Vous devez désactiver une connexion avant de pouvoir la supprimer.
URL du Serveur de Rapports Graphiques | Indique l'URL du serveur de rapports graphiques. Syntaxe : http://<computer name or IP address>:<port>/ChartServer. Le port par défaut est 19126. Cliquez sur [image] pour Modifier l'URL.
État | Indique si la connexion au serveur de rapports graphiques est active ou inactive. Cliquez sur [image] (Modifier) pour modifier l'état d'une connexion.
Créé Le | Date de création de la connexion au serveur de rapports graphiques.
Créé Par | Utilisateur ayant créé la connexion au serveur de rapports graphiques.
Modifié Le | Date de modification de la connexion au serveur de rapports graphiques.
Modifié Par | Utilisateur ayant modifié la connexion au serveur de rapports graphiques.
Sujet parent : Serveurs de Rapports Graphiques


Serveur de messagerie

Lorsque vous configurez un serveur de messagerie, Silk Central peut vous informer des résultats de votre application.

  • Configuration des serveurs de messagerie
    Décrit comment configurer les serveurs de messagerie.
  • Page Serveur de messagerie
    Décrit la page Serveur de messagerie.
Sujet parent : Infrastructure


Configuration des serveurs de messagerie

Pour configurer jusqu'à trois serveurs de messagerie :
  1. Connectez-vous à Silk Central en tant qu'administrateur système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  2. Cliquez sur Infrastructure > Serveur de messagerie.
  3. Saisissez une adresse électronique dans le champ Adresse électronique de l'administrateur système. Silk Central enverra les notifications à cette adresse.
  4. Saisissez une adresse électronique dans le champ Adresse d'expéditeur à utiliser pour les courriels. Cette adresse s'affiche comme l'adresse de l'expéditeur dans les notifications.
  5. Saisissez le nom d'hôte ou l'adresse IP de vos serveurs de messagerie dans les champs Serveur. Vous pouvez configurer jusqu'à trois serveurs de messagerie.
  6. Si les serveurs exigent des données d'authentification, saisissez-les dans les champs Nom d'utilisateur et Mot de passe.
  7. Cliquez sur Vérifier pour tester la connexion vers les serveurs. Silk Central envoie un courriel test à l'adresse de messagerie que vous avez saisie à l'étape 3.
  8. Si un message d'erreur s'affiche ou si vous ne recevez pas de courriel, vérifiez les paramètres de votre messagerie. Assurez-vous que le nom d'hôte de votre serveur de messagerie est correct et que le protocole SMTP est en cours d'exécution sur l'ordinateur.
    Remarque : SMTP avec TLS n'est actuellement pas pris en charge.
  9. Si vous recevez le courriel test, le test est réussi. Cliquez sur Enregistrer.
Sujet parent : Serveur de messagerie


Page Serveur de messagerie

Pour accéder à cette page, connectez-vous à Silk Central en tant qu'administrateur système et cliquez sur Infrastructure > Serveur de messagerie. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Utilisez cette page pour configurer jusqu'à trois serveurs de messagerie. La page affiche les éléments suivants :

Élément | Description
Adresse électronique de l'administrateur système | Indique l'adresse électronique de l'administrateur système de Silk Central.
Adresse de l'expéditeur à utiliser pour les courriels | Indiquez le nom devant apparaître dans le champ De lorsqu'un utilisateur reçoit un courriel du système. Il peut s'agir de n'importe quelle adresse électronique, par exemple System_message@mycompany.com.
Serveur 1 Serveur 2 Serveur 3 | Indiquez les noms d'hôte ou les adresses IP des serveurs qui envoient votre courriel. Pour de nombreuses sociétés, il s'agit tout simplement du serveur de messagerie. Si votre serveur de messagerie utilise l'authentification SMTP (LOGIN PLAIN), vous devez entrer un utilisateur et un mot de passe valides pour le serveur de messagerie. Contactez l'administrateur de votre serveur de messagerie si vous ne connaissez pas les données d'authentification de connexion.
Vérifier | Envoie un courriel de test au destinataire défini dans le champ Adresse électronique de l'administrateur système.
Enregistrer | Enregistre vos paramètres.
Réinitialiser | Efface toutes les valeurs des champs.
Sujet parent : Serveur de messagerie


Proxy système

Les serveurs d'exécution situés à un emplacement spécifique peuvent communiquer avec le serveur d'application via un proxy. Une fois que vous (en tant qu'administrateur système) avez configuré un serveur proxy, les clients peuvent l'activer. Pour ce faire, les clients doivent cliquer sur Administration > Serveurs d'Exécution dans le menu, puis sur [image] (Modifier) dans la colonne Actions et cocher la case Utiliser un proxy système.

  • Configuration d'un proxy système
    Indique comment et à quel niveau configurer un proxy système.
  • Page Proxy Système
    Décrit la page Proxy système.
Sujet parent : Infrastructure


Configuration d'un proxy système

Pour configurer un proxy système :
  1. Connectez-vous à Silk Central en tant qu'administrateur système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.
  2. Cliquez sur Infrastructure > Proxy Système.
  3. Saisissez le nom d'Hôte et le Port du serveur proxy.
  4. Saisissez le Nom d'utilisateur et le Mot de passe si nécessaire.
  5. Cliquez sur Vérifier pour tester la connexion au serveur proxy. La boîte de dialogue qui apparaît affiche le résultat du test.
  6. Si la connexion n'a pas pu être établie, assurez-vous que vos paramètres sont corrects.
  7. Si la connexion a pu être établie, cliquez sur Enregistrer. Le proxy système est prêt à être utilisé.
Sujet parent : Proxy système


Page Proxy Système

Pour accéder à cette page, connectez-vous à Silk Central en tant qu'administrateur système et cliquez sur Infrastructure > Proxy système. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Utilisez cette page pour configurer un proxy système. La page affiche les éléments suivants :

Élément | Description
Hôte | Nom d'hôte ou adresse IP de l'ordinateur devant servir de proxy système.
Port | Numéro du port d'écoute du proxy système. Le port par défaut est 8080.
Nom d'utilisateur (facultatif) | Indiquez un nom d'utilisateur valide si le serveur proxy demande des données d'authentification.
Mot de passe (facultatif) | Saisissez un mot de passe valide pour le nom d'utilisateur.
Vérifier | Teste la connexion au proxy avec les données d'identification que vous avez fournies.
Enregistrer | Enregistre vos paramètres.
Réinitialiser | Efface tous les éléments se trouvant sur cette page.
Sujet parent : Proxy système


Emplacement du serveur d'application

Le serveur d'application synchronise les tâches telles que la distribution des planifications, le contrôle des serveurs d'exécution et la gestion de la configuration des bases de données. Avant de pouvoir commencer à travailler avec Silk Central , vous devez spécifier l'emplacement du serveur d'applications.

  • Spécification d'un emplacement pour le serveur d'application
    Spécifiez l’emplacement du serveur d’application s’il n’a pas été configuré automatiquement.
Sujet parent : Infrastructure


Spécification d'un emplacement pour le serveur d'application

Lorsque vous vous connectez à l'instance par défaut Silk Central, vous n'avez pas besoin de spécifier un emplacement de serveur d'application. Le processus d'installation configure localhost comme étant le serveur d'application. Dans ce cas, vous pouvez ignorer cette procédure. Pour plus d'informations sur les options d'installation, reportez-vous aux instructions d'installation de l'application.

Pour spécifier un emplacement pour le serveur d'application :

  1. Une fois que vous avez installé le logiciel Silk Central, connectez-vous à Silk Central à l'aide d'un navigateur Web.
    Conseil : L'URL par défaut est http://<nom de l'ordinateur>:19120/login (les informations de port ne sont pas requises si Silk Central est exécuté sur IIS).

    Vous recevrez un message de confirmation indiquant que la connexion au serveur d'application n'a pas encore été définie.

  2. Saisissez l'Hôte ou Adresse IP, ainsi que le Port du serveur d'application. Le serveur d'application est l'ordinateur sur lequel vous avez installé le composant serveur d'application de Silk Central. Le port par défaut est le 19122.
  3. Cliquez sur Login pour continuer. Si les informations spécifiées sont correctes et si le logiciel installé s'exécute sur l'ordinateur correspondant, vous êtes redirigé sur la page de connexion.
La page Administration de base de données s'affiche.
Sujet parent : Emplacement du serveur d'application
Référence associée
Page Base de données


Authentification LDAP

Configurez l'authentification LDAP pour activer les connexions Silk Central par le biais d'un serveur LDAP.

LDAP (Lightweight Directory Access Protocol) est une norme de protocole réseau ouvert conçue pour permettre l'accès à des services d'annuaires. LDAP offre un mécanisme pour interroger et modifier les données se trouvant dans une arborescence d'informations d'annuaires (DIT ou Directory Information Tree). Ce type d'arborescence contient généralement une grande variété d'informations relatives aux différents types d'objets réseau tels que les utilisateurs, les imprimantes, les applications et d'autres ressources réseau.

  • Intégration de LDAP à Silk Central
    Décrit l'intégration de LDAP à Silk Central.
  • Logique d'authentification LDAP
    Décrit les modes d'authentification utilisables pour l'authentification LDAP.
  • Ajout de serveurs LDAP
    Ajoutez un serveur LDAP pour l'utiliser avec Silk Central.
  • Modification de serveurs LDAP
    Modifiez un profil de serveur LDAP lorsque des modifications de configuration sont nécessaires.
  • Test des serveurs LDAP
    Testez la connexion à un serveur LDAP pour vérifier si celui-ci est accessible au système.
  • Suppression de serveurs LDAP
    Supprimez un profil de serveur LDAP de la liste des profils.
  • Page Serveurs LDAP
    Répertorie les serveurs LDAP configurés pour votre système.
Sujet parent : Infrastructure
Concepts associés
Connexion et déconnexion


Intégration de LDAP à Silk Central

L'aspect le plus important de l'intégration de LDAP à Silk Central est l'authentification des utilisateurs. Dans la plupart des annuaires, il est impossible de récupérer le mot de passe d'un utilisateur. Par conséquent, il est nécessaire d'accéder à LDAP chaque fois qu'un utilisateur doit être authentifié.

L'intégration de LDAP à Silk Central prend en charge l'authentification en texte brut et l'authentification SSL. Le service d'annuaires doit autoriser les requêtes anonymes ou un utilisateur disposant de droits de lecture sur l'annuaire doit être spécifié.

Sujet parent : Authentification LDAP


Logique d'authentification LDAP

En mode d'authentification standard, un utilisateur ne peut s'authentifier auprès de LDAP que si un serveur LDAP est défini et actif. En mode d'authentification mixte, un utilisateur peut se connecter avec des données d'authentification LDAP ou locales. Si un utilisateur est connu sur un serveur LDAP, mais que les données d'authentification sont incorrectes, l'accès est refusé.

Remarque : Pour les deux modes d'authentification, un utilisateur ne peut se connecter que si son nom d'utilisateur existe dans la base de données Silk Central.

Mode d'authentification standard

Le mode d'authentification standard est activé dès lors qu'un serveur LDAP au moins est actif. Chaque serveur LDAP défini est soumis à un contrôle permettant de déterminer si un utilisateur (doté d'un nom d'utilisateur et d'un mot de passe spécifiques) peut être authentifié. L'accès est accordé lorsque l'authentification aboutit sur un des serveurs.

Mode d'authentification mixte

Si aucun serveur LDAP n'est défini, les utilisateurs ne pourront se connecter qu'avec les données d'authentification locales. Si au moins un serveur LDAP est actif et qu'un compte utilisateur est défini pour utiliser le mode d'authentification mixte, chaque serveur LDAP défini est soumis à un contrôle permettant de déterminer si un utilisateur (doté d'un nom d'utilisateur et d'un mot de passe spécifiques) peut être authentifié. Si l'utilisateur est inconnu sur tous les serveurs LDAP définis, une tentative d'authentification est effectuée au niveau de la base de données locale. L'accès est refusé si un utilisateur n'est toujours pas reconnu avec ses données d'authentification locales. Si un utilisateur est connu sur un serveur LDAP, mais que les données d'authentification sont incorrectes, l'accès est refusé.

Sujet parent : Authentification LDAP


Ajout de serveurs LDAP

Pour configurer un serveur LDAP à utiliser avec Silk Central.

  1. Dans le menu, cliquez sur Administration > Paramètres Système.
  2. Cliquez sur l'onglet Serveurs LDAP.
  3. Cliquez sur Nouveau Serveur LDAP. La boîte de dialogue Nouveau Serveur LDAP s'affiche.
  4. Saisissez un Nom pour le serveur et, optionnellement, une Description. Vous pouvez définir un nom de votre choix pour le serveur LDAP ; ce champ n'a aucune incidence sur les paramètres LDAP.
  5. Cochez la case Actif pour activer le serveur à utiliser avec Silk Central. Si elle est décochée, les services du serveur LDAP ne sont pas disponibles pour Silk Central.
  6. Saisissez le Nom d'Hôte ou l'adresse IP du serveur LDAP et le Port utilisé pour le service LDAP. Le port par défaut est 389. Lorsque vous utilisez le protocole SSL, le port LDAP par défaut est 636.
  7. Cochez la case Utiliser SSL pour vous connecter au serveur via le protocole SSL. Cette case à cocher est étroitement liée aux paramètres définis dans le champ Port. Pour plus d'informations sur la configuration de la communication avec SSL, consultez Communication avec un système externe par SSL.
  8. Facultatif : Spécifiez un Domaine si vos utilisateurs doivent se connecter à Silk Central avec le profil <domaine>\<nom d'utilisateur>. Laissez ce champ vide si vos utilisateurs doivent se connecter à Silk Central sans saisir de nom de domaine. Si votre installation Silk Central comporte plusieurs clients, assurez-vous que le nom de domaine LDAP spécifié n'est en conflit avec aucun de vos noms de client, le profil de connexion <domaine>\<nom d'utilisateur> étant également utilisé pour la connexion à des clients spécifiques.
  9. Facultatif : dans le champ Bind DN (facultatif), saisissez le nom de domaine de l'utilisateur qui doit servir à établir une liaison au service LDAP. Cet utilisateur doit disposer des droits en lecture sur le répertoire à partir de la racine Base DN donnée. Si ce champ est vide, l'accès anonyme est utilisé, sauf pour les serveurs LDAP qui ne prennent pas en charge cette fonction.
  10. Saisissez le Mot de passe de l'utilisateur défini par Bind DN (facultatif). Ce champ n'est pas requis si l'accès anonyme est autorisé.
  11. Saisissez la racine Base DN associées aux requêtes LDAP. Par exemple : DC=votresociété,DC=com.
  12. Facultatif : indiquez le Filtre utilisateur à utiliser pour interroger le serveur LDAP.

    Exemple : (memberOf=CN=Development,CN=Users,DC=yourcompany,DC=com)

    Dans cet exemple, nous interrogeons le serveur LDAP pour obtenir l'utilisateur Silk Central connecté, mais uniquement si l'utilisateur est membre de l'équipe de Development. Cette méthode peut être utile si, par exemple, vous activez la création automatique de compte mais souhaitez Silk Central créer des comptes uniquement pour les membres d'un groupe LDAP donné.

  13. Facultatif : Pour filtrer votre requête LDAP par groupes spécifiques, spécifiez un Filtre de groupe. La syntaxe est identique à celle utilisée pour le champ Filtre utilisateur.
  14. Cliquez sur Configurer les propriétés LDAP pour mapper vos attributs LDAP aux paramètres d'utilisateur et de groupe de Silk Central . Cette opération est essentielle si vous prévoyez d'importer des utilisateurs de votre serveur LDAP dans Silk Central.
  15. Facultatif : Vous pouvez configurer Silk Central pour qu'il crée automatiquement un compte utilisateur Silk Central lorsqu'un utilisateur se connecte à Silk Central pour la première fois. Si le compte utilisateur associé au nom de connexion saisi n'existe pas dans Silk Central, les identifiants de connexion saisis seront authentifiés sur le serveur LDAP. Si cette opération réussit, un compte avec le nom de connexion et le mot de passe fourni est créé dans Silk Central. A la base, les comptes récemment créés copient les paramètres généraux, y compris les paramètres de tableau de bord, de l'utilisateur Silk Central sélectionné, qui agit comme un modèle. Les nom, prénom et adresse e-mail sont obtenus à partir des valeurs LDAP. Pour ce faire, cliquez sur Configurer en regard de Création de compte utilisateur. Dans la boîte de dialogue Création de compte utilisateur, sélectionnez un utilisateur Silk Central dans la liste. Selon votre configuration LDAP, vous devrez peut-être adapter les valeurs LDAP pour les nom, prénom et adresse e-mail.
  16. Cliquez sur Test pour lancer une connexion test vers le serveur LDAP. Pour plus d'informations, reportez-vous à la rubrique Test des serveurs LDAP.
  17. Cliquez sur OK pour enregistrer vos paramètres.
  18. Si vous utilisez plusieurs serveurs LDAP : Spécifiez un numéro d'Ordre pour indiquer l'ordre dans lequel interroger les serveurs LDAP à des fins d'authentification.
Sujet parent : Authentification LDAP
Tâches associées
Importation de groupes à partir de serveurs LDAP
Ajout de projets
Modification de projets et de lotissements de projet
Communication avec un système externe par SSL
Modification de serveurs LDAP
Test des serveurs LDAP


Modification de serveurs LDAP

Pour modifier un profil de serveur LDAP :

  1. Dans le menu, cliquez sur Administration > Paramètres Système.
  2. Cliquez sur l'onglet Serveurs LDAP.
  3. Cliquez sur le nom du profil de serveur LDAP que vous souhaitez modifier. La boîte de dialogue Modifier le Serveur LDAP s'affiche.
  4. Saisissez un Nom pour le serveur et, optionnellement, une Description. Vous pouvez définir un nom de votre choix pour le serveur LDAP ; ce champ n'a aucune incidence sur les paramètres LDAP.
  5. Cochez la case Actif pour activer le serveur à utiliser avec Silk Central. Si elle est décochée, les services du serveur LDAP ne sont pas disponibles pour Silk Central.
  6. Saisissez le Nom d'Hôte ou l'adresse IP du serveur LDAP et le Port utilisé pour le service LDAP. Le port par défaut est 389. Lorsque vous utilisez le protocole SSL, le port LDAP par défaut est 636.
  7. Cochez la case Utiliser SSL pour vous connecter au serveur via le protocole SSL. Cette case à cocher est étroitement liée aux paramètres définis dans le champ Port. Pour plus d'informations sur la configuration de la communication avec SSL, consultez Communication avec un système externe par SSL.
  8. Facultatif : Spécifiez un Domaine si vos utilisateurs doivent se connecter à Silk Central avec le profil <domaine>\<nom d'utilisateur>. Laissez ce champ vide si vos utilisateurs doivent se connecter à Silk Central sans saisir de nom de domaine. Si votre installation Silk Central comporte plusieurs clients, assurez-vous que le nom de domaine LDAP spécifié n'est en conflit avec aucun de vos noms de client, le profil de connexion <domaine>\<nom d'utilisateur> étant également utilisé pour la connexion à des clients spécifiques.
  9. Facultatif : dans le champ Bind DN (facultatif), saisissez le nom de domaine de l'utilisateur qui doit servir à établir une liaison au service LDAP. Cet utilisateur doit disposer des droits en lecture sur le répertoire à partir de la racine Base DN donnée. Si ce champ est vide, l'accès anonyme est utilisé, sauf pour les serveurs LDAP qui ne prennent pas en charge cette fonction.
  10. Saisissez le Mot de passe de l'utilisateur défini par Bind DN (facultatif). Ce champ n'est pas requis si l'accès anonyme est autorisé.
  11. Saisissez la racine Base DN associées aux requêtes LDAP. Par exemple : DC=votresociété,DC=com.
  12. Facultatif : indiquez le Filtre utilisateur à utiliser pour interroger le serveur LDAP.

    Exemple : (memberOf=CN=Development,CN=Users,DC=yourcompany,DC=com)

    Dans cet exemple, nous interrogeons le serveur LDAP pour obtenir l'utilisateur Silk Central connecté, mais uniquement si l'utilisateur est membre de l'équipe de Development. Cette méthode peut être utile si, par exemple, vous activez la création automatique de compte mais souhaitez Silk Central créer des comptes uniquement pour les membres d'un groupe LDAP donné.

  13. Facultatif : Pour filtrer votre requête LDAP par groupes spécifiques, spécifiez un Filtre de groupe. La syntaxe est identique à celle utilisée pour le champ Filtre utilisateur.
  14. Cliquez sur Configurer les propriétés LDAP pour mapper vos attributs LDAP aux paramètres d'utilisateur et de groupe de Silk Central . Cette opération est essentielle si vous prévoyez d'importer des utilisateurs de votre serveur LDAP dans Silk Central.
  15. Facultatif : Vous pouvez configurer Silk Central pour qu'il crée automatiquement un compte utilisateur Silk Central lorsqu'un utilisateur se connecte à Silk Central pour la première fois. Si le compte utilisateur associé au nom de connexion saisi n'existe pas dans Silk Central, les identifiants de connexion saisis seront authentifiés sur le serveur LDAP. Si cette opération réussit, un compte avec le nom de connexion et le mot de passe fourni est créé dans Silk Central. A la base, les comptes récemment créés copient les paramètres généraux, y compris les paramètres de tableau de bord, de l'utilisateur Silk Central sélectionné, qui agit comme un modèle. Les nom, prénom et adresse e-mail sont obtenus à partir des valeurs LDAP. Pour ce faire, cliquez sur Configurer en regard de Création de compte utilisateur. Dans la boîte de dialogue Création de compte utilisateur, sélectionnez un utilisateur Silk Central dans la liste. Selon votre configuration LDAP, vous devrez peut-être adapter les valeurs LDAP pour les nom, prénom et adresse e-mail.
  16. Cliquez sur Test pour lancer une connexion test vers le serveur LDAP. Pour plus d'informations, reportez-vous à la rubrique Test des serveurs LDAP.
  17. Cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Authentification LDAP
Tâches associées
Ajout de serveurs LDAP
Test des serveurs LDAP


Test des serveurs LDAP

Pour tester la connexion à un serveur LDAP :

  1. Lors de l'ajout ou de la modification d'un profil de serveur LDAP dans Silk Central, la boîte de dialogue Ajouter un Serveur LDAP ou Modifier le Serveur LDAP affiche un bouton Test.
  2. Cliquez sur le bouton Test pour afficher la boîte de dialogue Tester la Configuration LDAP.
  3. Dans le champ Nom d'utilisateur de Test, saisissez le nom d'utilisateur à utiliser pour tester l'authentification LDAP.
  4. Indiquez le Mot de passe de Test associé à l'utilisateur à utiliser pour tester l'authentification LDAP.
  5. Cliquez sur Test pour exécuter un test d'authentification.
    Remarque : Les codes d'erreur LDAP sont inclus lorsque les tests échouent.
    Une boîte de dialogue vous indique si le test a réussi ou non.
  6. Cliquez sur Fermer pour revenir à la boîte de dialogue Ajouter un Serveur LDAP ou Modifier le Serveur LDAP. Si le test de connexion échoue, changez vos paramètres ou demandez de l'aide à votre administrateur système. Puis, reprenez à l'étape 2.
Sujet parent : Authentification LDAP
Tâches associées
Ajout de serveurs LDAP
Modification de serveurs LDAP


Suppression de serveurs LDAP

Pour supprimer un profil de serveur LDAP :

  1. Dans le menu, cliquez sur Administration > Paramètres Système.
  2. Cliquez sur l'onglet Serveurs LDAP.
  3. Si le serveur LDAP est actif, vous devez le désactiver avant de pouvoir le supprimer. Cliquez sur le nom du profil de serveur LDAP que vous souhaitez supprimer. La boîte de dialogue Modifier le Serveur LDAP s'affiche.
  4. Décochez la case Actif afin de désactiver le serveur, puis cliquez sur OK.
  5. Cliquez sur Supprimer (Supprimer) dans la colonne Actions du serveur LDAP que vous souhaitez supprimer.
  6. Cliquez sur Oui pour confirmer la suppression.
Sujet parent : Authentification LDAP


Page Serveurs LDAP

Administration > Système > Serveurs LDAP

La page Serveurs LDAP répertorie tous les serveurs LDAP configurés. Utilisez-la pour gérer vos serveurs LDAP.

À partir de cette page, vous pouvez effectuer les actions suivantes :

  • Cliquez sur Nouveau Serveur LDAP pour configurer un nouveau serveur LDAP.
  • Spécifiez un numéro d'Ordre pour indiquer l'ordre dans lequel interroger les serveurs LDAP à des fins d'authentification.
  • Cliquez sur un serveur LDAP existant dans la liste pour modifier les paramètres.
  • Cliquez sur Supprimer (Supprimer) dans la colonne Actions pour supprimer un serveur LDAP (vous devez d'abord désactiver le serveur LDAP).
Sujet parent : Authentification LDAP
Tâches associées
Ajout de serveurs LDAP
Modification de serveurs LDAP
Test des serveurs LDAP


Ensembles d'agents de test de montée en charge Silk Performer

En plus d'assigner une charge à chaque agent, vous pouvez assigner une charge Silk Performer à des ensembles d'agents dont les capacités sont définies.La fonctionnalité d'assignation de charge dynamique Silk Performer fait correspondre des exigences de tests de montée en charge spécifiques aux fonctionnalités de relance des ordinateurs agents disponibles au moment de l'exécution. Les fonctionnalités définies pour les agents de test dans Silk Performer servent à optimiser l'assignation des charges aux agents. Par exemple, si un test exige une charge qui ne peut être fournie que par un ordinateur agent doté d'un client SAPGUI, la fonctionnalité d'assignation de charge dynamique peut garantir que la charge du test n'est assignée qu'aux agents disponibles dotés de clients SAPGUI. En outre, le pourcentage de charge ou d'utilisateurs virtuels requis qui peut être alloué à chaque agent est configurable, garantissant ainsi que les limites de capacité des agents ne sont pas dépassées.

Au moment de l'exécution d'un test Silk Performer, un fichier XML d'ensembles d'agents de test de montée en charge Silk Central est extrait du serveur d'exécution approprié et utilisé pour l'assignation de charge dynamique. Vous devez indiquer l'emplacement du fichier XML d'ensembles d'agents de test de montée en charge du projet en utilisant les paramètres Administration > Système .

Un avantage de l'assignation dynamique de la charge aux ensembles d'agents de test de montée en charge est que la réussite de l'exécution des tests ne dépend pas de la présence d'un environnement d'exécution de test statique. Silk Performer peut assigner de façon dynamique la charge d'un agent non disponible à un agent disponible doté des mêmes fonctionnalités dans le même ensemble. Cette caractéristique est importante lorsque les tests de charge Silk Performer sont gérés et exécutés en fonction des planifications prédéfinies dans Silk Central. La façon dont l'équilibrage de la charge s'opère sur les agents et la santé de chaque agent ne sont pas des problèmes à considérer d'un point de vue de Silk Central.

Pour plus de détails sur l'assignation de charge dynamique, reportez-vous à l'Aide de Silk Performer.

  • Téléchargement de fichiers d'ensembles d'agents de test de montée en charge
    Ajoutez ou modifiez le fichier d'ensembles d'agents de test de montée en charge de votre projet pour prendre en charge l'assignation de charge dynamique Silk Performer.
  • Suppression de fichiers d'ensembles d'agents de test de montée en charge
    Supprimez un fichier d'ensembles d'agents de test de montée en charge afin de le retirer du serveur d'application.
  • Modification de fichiers d'ensembles d'agents de test de montée en charge
    Modifiez le fichier d'ensembles d'agents de test de montée en charge de votre projet pour prendre en charge l'assignation de charge dynamique Silk Performer.
  • Page Ensembles d'Agents de Test de Montée en Charge
    Affiche le fichier XML actuel d'ensembles d'agents de test de montée en charge.
Sujet parent : Infrastructure


Téléchargement de fichiers d'ensembles d'agents de test de montée en charge

Décrit le mode d'ajout ou de modification du fichier d'ensembles d'agents de test de montée en charge de votre projet pour prendre en charge l'assignation de charge dynamique Silk Performer.

Pour changer la définition du fichier d'ensembles d'agents de votre projet :

  1. Dans le menu, cliquez sur Administration > Paramètres Système.
  2. Cliquez sur l'onglet Ensembles d'Agents de Test de Montée en Charge.
  3. Cliquez sur Télécharger.
  4. Dans la boîte de dialogue Télécharger le Fichier d'Ensembles d'Agents, accédez à l'emplacement du fichier d'ensembles d'agents sur votre disque dur. Le fichier téléchargé apparaît sur la page Ensembles d'Agents de Test de Montée en Charge.
  5. Cliquez sur OK pour confirmer votre sélection.
Sujet parent : Ensembles d'agents de test de montée en charge Silk Performer
Tâches associées
Modification de fichiers d'ensembles d'agents de test de montée en charge


Suppression de fichiers d'ensembles d'agents de test de montée en charge

Supprimez un fichier d'ensembles d'agents de test de montée en charge afin de le retirer du serveur d'application.

Pour supprimer un fichier d'ensembles d'agents de test de montée en charge :

  1. Dans le menu, cliquez sur Administration > Paramètres Système.
  2. Cliquez sur l'onglet Ensembles d'Agents de Test de Montée en Charge.
  3. Cliquez sur Supprimer.
  4. Cliquez sur Oui pour confirmer.
Sujet parent : Ensembles d'agents de test de montée en charge Silk Performer


Modification de fichiers d'ensembles d'agents de test de montée en charge

Pour modifier la définition du fichier d'ensembles d'agents de votre projet :

  1. Dans le menu, cliquez sur Administration > Paramètres Système.
  2. Cliquez sur l'onglet Ensembles d'Agents de Test de Montée en Charge.
  3. Cliquez sur le nom du fichier d'ensembles d'agents de test de montée en charge que vous souhaitez modifier.
  4. Téléchargez le fichier.
  5. Modifiez le fichier à l'aide d'un éditeur.
  6. Téléchargez le fichier. Pour plus d'informations, reportez-vous à la rubrique Téléchargement de fichiers d'ensembles d'agents de test de montée en charge.
Sujet parent : Ensembles d'agents de test de montée en charge Silk Performer
Tâches associées
Téléchargement de fichiers d'ensembles d'agents de test de montée en charge


Page Ensembles d'Agents de Test de Montée en Charge

Administration > Paramètres Système > Ensembles d'Agents de Test de Montée en Charge

La page Ensembles d'Agents de Test de Montée en Charge affiche le fichier XML actuellement configuré des ensembles d'agents de test de montée en charge. Utilisez cette page pour gérer les fichiers d'ensembles d'agents de test de montée en charge Silk Performer pour prendre en charge l'assignation de charge dynamique.

À partir de cette page, vous pouvez effectuer les actions suivantes :

  • Cliquez sur Télécharger pour télécharger un fichier XML d'ensembles d'agents de test de montée en charge.
  • Cliquez sur Supprimer pour supprimer un fichier XML d'ensembles d'agents de test de montée en charge.
  • Cliquez sur le nom du fichier d'ensembles d'agents de test de montée en charge pour le télécharger et le modifier.
Sujet parent : Ensembles d'agents de test de montée en charge Silk Performer


Diagnostics du système

Utilisez l'onglet Diagnostics système pour récupérer les informations de diagnostic et les fichiers journaux système.

  • Diagnostics système
    Décrit le mode d'affichage et de téléchargement des diagnostics du système.
  • Journaux du Serveur de Présentation
    Décrit les fichiers journaux du serveur de présentation.
  • Journaux du serveur d'application
    Décrit les fichiers journaux du serveur d'application.
Sujet parent : Gestion des clients
Concepts associés
Informations requises par Micro Focus SupportLine


Diagnostics système

La page Diagnostics système permet de récupérer les informations système suivantes :

  • Version de l'application
  • Version et type de base de données
  • Intégrations utilisées
  • Informations sur l'environnement système et les propriétés système
  • Données JDBC
  • Statistiques de base de données : nombre de projets, types de tests, index, déclencheurs et contraintes
  • Serveur d'applications, serveur de présentation, et journaux d'accès nginx.

Cette page peut être compressée et téléchargée sur le système de fichiers local en cliquant sur Télécharger. Vous pouvez sélectionner les journaux du serveur à télécharger en sélectionnant les cases à cocher correspondantes.

  1. Vous pouvez accéder à la page Diagnostics système à distance ou, si vous ne pouvez plus vous connecter au système, localement depuis l'ordinateur sur lequel le serveur frontal s'exécute.
    • Pour l'accès à distance :
      1. Connectez-vous en tant qu'administrateur système.
      2. Cliquez sur Diagnostics du système > Diagnostics du système.
      3. Cliquez sur Ouvrir les diagnostics du système.
    • Si l'accès à distance ne fonctionne pas :
      1. Accédez à l'adresse http://localhost:19120/systemdiagnostics ou http://127.0.0.1:19120/systemdiagnostics sur l'ordinateur sur lequel le serveur de présentation s'exécute (n'utilisez pas le nom d'hôte ni l'adresse IP externe du serveur).
  2. Cochez les cases correspondant aux journaux du serveur Silk Central à télécharger.
  3. Cliquez sur Télécharger pour compresser et télécharger les données sur le système de fichiers local.
Sujet parent : Diagnostics du système
Sujet parent : Contacter Micro Focus


Journaux du Serveur de Présentation

Pour accéder à cette page, connectez-vous en tant qu'administrateur système et cliquez sur Diagnostics système > Journaux du Serveur de Présentation. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Utilisez cette page pour afficher les informations de journalisation en provenance du service du serveur de présentation Silk Central.

Pour chaque fichier journal, la page affiche les colonnes suivantes :

Colonne | Description
Actions | Cliquez sur les boutons [image] et [image] pour supprimer ou télécharger les fichiers journaux.
Nom | Nom du fichier journal.
Taille | Taille physique du fichier journal.
Date | Date du dernier enregistrement physique du fichier journal.
Sujet parent : Diagnostics du système
Concepts associés
Administrateur système


Journaux du serveur d'application

Pour accéder à cette page, connectez-vous en tant qu'administrateur système et cliquez sur Diagnostics du système > Journaux du Serveur d'Application. Pour plus d'informations, reportez-vous à la rubrique Administrateur système.

Utilisez cette page pour afficher les informations de journalisation en provenance du service du serveur d'application Silk Central.

Pour chaque fichier journal, la page affiche les colonnes suivantes :

Colonne | Description
Actions | Cliquez sur les boutons [image] et [image] pour supprimer ou télécharger les fichiers journaux.
Nom | Nom du fichier journal.
Taille | Taille physique du fichier journal.
Date | Date du dernier enregistrement physique du fichier journal.
Sujet parent : Diagnostics du système
Concepts associés
Administrateur système


Configuration des paramètres avancés

Cette section décrit comment configurer les paramètres avancés en vue de personnaliser votre système Silk Central.

  • Options de connexion
    Décrit les configurations de connexion étendues.
  • Durée d'exécution anormale
    Explique comment avertir l'administrateur par courriel lorsqu'une exécution dure trop longtemps.
  • Désactivation de la mise à jour des statistiques sur les incidents externes
    Décrit comment désactiver la mise à jour des statistiques relatives aux profils de suivi des incidents externes.
  • Formats de date et heure
    Décrit comment utiliser les paramètres du format de date et heure définis par l'utilisateur et disponibles dans Silk Central.
  • Affichage du nom d'hôte
    Décrit la façon d'afficher le nom d'hôte du serveur de présentation dans la barre de titre de votre navigateur Web.
  • Enregistrement des pièces jointes et des fichiers de résultats sur le système de fichiers
    Par défaut, Silk Central enregistre les pièces jointes et les fichiers de résultats dans la base de données, mais vous pouvez configurer Silk Central pour enregistrer ces fichiers sur le système de fichiers du serveur d'application.
  • Configuration de l'outil LQM Reporting Updater
    Configurez l'intervalle et d'autres paramètres du thread mettant à jour les tables LQM Reporting (LQM Reporting Updater).
  • Planification d'une synchronisation de groupe LDAP automatique
    Si vous avez importé des groupes d'utilisateurs de serveurs LDAP dans votre système Silk Central , vous pouvez spécifier une planification pour synchroniser automatiquement vos groupes Silk Central avec des modifications effectuées sur les serveurs LDAP.
  • Mise en cache des données dans les tests
    Décrit comment Silk Central utilise la mise en cache pour améliorer l'évolutivité du serveur de présentation et réduire le chargement des bases de données.
  • Configuration des paramètres JMX
    Décrit les emplacements auxquels les paramètres JMX peuvent être configurés.
  • Résolution du nom d'hôte du serveur d'exécution
    Il est possible qu'un serveur d'exécution ne soit plus reconnu par le serveur d'application si l'adresse IP du serveur d'exécution a changé.
  • Configuration de l'emplacement de Silk Central dans Issue Manager
    Configurez l'emplacement de votre installation Silk Central dans Issue Manager pour permettre le suivi des tests correspondant aux incidents.
  • Désactivation des ports inutilisés sur les serveurs d'exécution
    Désactivez les ports qui ne sont pas utilisés par les serveurs d'exécution.
  • Définition du nombre maximum de rapports utilisés le plus récemment
    Configurez le nombre maximum de rapports utilisés le plus récemment qui s'affichent dans la zone de liste Derniers Rapports Utilisés de l'unité Rapports.
  • Paramètres de mémoire pour les serveurs Silk Central
    Décrit les paramètres de mémoire des serveursSilk Central.
  • Définition de la taille maximale des fichiers de résultats des pas de test
    Décrit comment limiter la taille des fichiers de résultats que les testeurs peuvent attacher aux pas de tests lors de l'exécution de tests manuels.
  • Stockage des données de marqueurs de pourcentage pour les résultats de Silk Performer
    Permet de stocker les données de marqueurs de pourcentage pour les résultats de Silk Performer si vous souhaitez accéder à ces informations.
Sujet parent : Configuration et gestion de l'infrastructure


Options de connexion

Les deux configurations de connexion étendues suivantes sont disponibles :

Mémoriser mes identifiants

Modification du paramètre par défaut pour l'option Mémoriser mes identifiants sur la page de connexion de Silk Central.

En principe, lorsque les utilisateurs travaillent dans plusieurs fenêtres de navigateur, chaque session de navigateur emprunte une licence unique. L'activation de l'option Mémoriser mes identifiants permet aux utilisateurs individuels de travailler dans plusieurs sessions de navigateur sur un même ordinateur tout en empruntant une seule licence.

Chaque utilisateur peut activer ou désactiver l'option Mémoriser mes identifiants selon ses besoins ; l'administrateur peut cependant définir le paramètre par défaut.

Durée de vie des cookies

Chaque fois qu'un utilisateur accède à Silk Central, un cookie contenant les informations de connexion codées est créé. Ces cookies sont détruits lorsque les utilisateurs se déconnectent ou que les sessions expirent. Cependant, lorsque l'option Mémoriser mes identifiants est activée, les cookies ne sont pas détruits si les sessions expirent. En effet, ils restent actifs pendant une période définie. Cela permet aux utilisateurs de continuer à travailler avec Silk Central sans avoir à saisir à nouveau leurs informations de connexion après chaque expiration de session. Par défaut, les cookies restent actifs pendant 30 jours. L'administrateur peut ajuster le paramètre de durée.

  • Configuration de l'option Mémoriser mes identifiants
    Configurez l'option Mémoriser mes identifiants afin de travailler en tant qu'utilisateur ayant ouvert plusieurs sessions de navigateur sur un même ordinateur, tout en utilisant une seule licence.
  • Ajustement de la durée de vie des cookies
    Ajustez la durée de vie des cookies de connexion afin de modifier le laps de temps pendant lequel le système retient votre identifiant.
Sujet parent : Configuration des paramètres avancés
Concepts associés
Super utilisateur
Tâches associées
Connexion à Silk Central


Configuration de l'option Mémoriser mes identifiants

Pour activer ou désactiver l'option Mémoriser mes identifiants :
  1. Sur la page Administration des instances, arrêtez le serveur de présentation de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier SccFrontendBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\FontendServer sur le serveur de présentation.
  3. Localisez la balise XML BootConf\Options\Login\RememberLogin. Par défaut, la balise est définie sur <RememberLogin>true</RememberLogin>.
  4. Définissez la valeur sur false afin que la case Mémoriser mes identifiants soit par défaut décochée à l'ouverture de la page de connexion. Définissez la valeur sur true afin que la case Mémoriser mes identifiants soit par défaut cochée à l'ouverture de la page de connexion.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur de présentation.
Sujet parent : Options de connexion
Tâches associées
Gestion des instances


Ajustement de la durée de vie des cookies

Pour définir la durée de vie des cookies :

  1. Sur la page Administration des instances, arrêtez le serveur de présentation de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier SccFrontendBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\FontendServer sur le serveur de présentation.
  3. Localisez la balise XML BootConf\Options\Login\MaxCookieAge. Par défaut, la balise est définie sur <MaxCookieAge>30</MaxCookieAge>.
  4. Définissez la valeur sur le nombre de jours pendant lesquels vous souhaitez que les cookies restent actifs sur les ordinateurs des utilisateurs.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur de présentation.
Sujet parent : Options de connexion
Tâches associées
Gestion des instances


Durée d'exécution anormale

La durée d'exécution des tests est variable. Toutefois, si une exécution dure trop longtemps, l'utilisateur qui a apporté la dernière modification au plan d'exécution peut être averti par courriel.

Silk Central envoie une notification lorsque l'exécution d'un test dépasse une certaine durée. L'utilisateur peut définir le délai d'exécution d'un test à partir duquel un courriel est envoyé.

Remarque : Vous pouvez également définir un délai d'attente pour chaque test séparément, en définissant la propriété Délai d'exécution [s] dans la section Critères de Succès de l'espace Tests.
  • Définition de la durée d'exécution anormale
    Configurez la durée d'exécution anormale pour définir pendant combien de temps un test est autorisé à s'exécuter avant que Silk Central envoie une notification à l'administrateur.
Sujet parent : Configuration des paramètres avancés


Définition de la durée d'exécution anormale

Pour définir la durée d'exécution anormale :

  1. Sur la page Administration des instances, arrêtez le serveur d'application de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier TmAppServerHomeConf.xml à l'aide d'un éditeur de texte.
    Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\AppServer sur le serveur d'application.
  3. Localisez la balise XML Config\ExecutionTracking\SuspicousDuration. Par défaut, la balise est définie sur <SuspicousDuration>360</SuspicousDuration>.
  4. Définissez la valeur de la durée sur le nombre de minutes qui doivent s'écouler avant que Silk Central notifie l'administrateur au sujet des exécutions de test qui prennent trop de temps.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur d'application.
Sujet parent : Durée d'exécution anormale
Tâches associées
Gestion des instances


Désactivation de la mise à jour des statistiques sur les incidents externes

Il se peut que la mise à jour des statistiques sur les incidents des profils de suivi des incidents externes utilise une certaine quantité de mémoire. Cela peut également ralentir les performances. Pour désactiver la mise à jour :
  1. Sur la page Administration des instances, arrêtez le serveur d'application de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier TmAppServerHomeConf.xml à l'aide d'un éditeur de texte.
    Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\AppServer sur le serveur d'application.
  3. Localisez la balise XML Config/IssueStateUpdate/UpdateIssueUnitStatistics. Par défaut, la balise est définie sur true.
  4. Définissez la valeur sur false pour désactiver la mise à jour.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur d'application.
Sujet parent : Configuration des paramètres avancés
Tâches associées
Gestion des instances


Formats de date et heure

Silk Central offre des paramètres de format de date et heure définis par l'utilisateur. Chaque utilisateur Silk Central peut modifier les paramètres qui lui sont associés, qui incluent des options d'affichage des formats de date personnalisés sous la forme de date longue ou courte. Pour plus d'informations, reportez-vous à la rubrique Modification des comptes utilisateurs.

Silk Central présente des listes de formats de date et heures prédéfinis, que les utilisateurs peuvent sélectionner. Les administrateurs Silk Central peuvent renseigner ces listes de formats personnalisés.

Définition des structures

Les formats de date et heure sont spécifiés par les chaînes de structure de date et heure. Dans les chaînes de structure de date et heure, les lettres ne figurant pas entre guillemets allant de « A » à « Z » et de « a » à « z » sont considérées comme des lettres de la structure représentant les composants d'une chaîne de date ou d'heure. Le texte peut figurer entre guillemets simples (') pour éviter toute interprétation. « '' » représente un guillemet simple. Tous les autres caractères ne sont pas interprétés, ils ont simplement été copiés dans la chaîne de résultat lors de la mise en forme ou ont été mis en correspondance avec la chaîne saisie lors de l'analyse.

Les lettres de la structure suivantes sont définies. Tous les autres caractères allant de « A » à « Z » et de « a » à « z » sont réservés :
Lettre | Composant de date ou heure | Présentation | Exemples
G | Indicateur d'ère | Texte | Après J.C.
y | Année | Année | 1996 ; 96
m | Mois de l'année | Mois | Juillet ; Jul ; 07
w | Mois de l'année | Nombre | 27
W | Semaine du mois | Nombre | 2
D | Jour de l'année | Nombre | 189
j | Jour du mois | Nombre | 10
F | Jour de semaine d'un mois | Nombre | 2
E | Jour de la semaine | Texte | Mardi ; Mar
a | Marqueur Am/pm | Texte | PM
H | Heure du jour (0-23) | Nombre | 0
k | Heure du jour (1-24) | Nombre | 24
K | Heure au format am/pm (0-11) | Nombre | 0
h | Heure au format am/pm (1-12) | Nombre | 12
m | Minute de l'heure | Nombre | 30
s | Seconde de la minute | Nombre | 55
S | Milliseconde | Nombre | 978
z | Fuseau horaire | Fuseau horaire général | Pacific Standard Time ; PST ; GMT-08:00
Z | Fuseau horaire | Fuseau horaire RFC 822 | -0800

Les lettres de la structure sont généralement répétées, car leur nombre détermine la présentation exacte.

La liste suivante décrit les éléments répertoriés dans la colonne Présentation du tableau ci-dessus :
Elément
Description
Texte
Dans le cadre de la mise en forme, lorsque la structure comporte 4 lettres ou plus, la forme complète est utilisée. Sinon, la forme abrégée est utilisée, lorsqu'elle est disponible. Dans le cadre de l'analyse, les deux formes sont acceptées, indépendamment du nombre de lettres de la structure.
Nombre
Dans le cadre de la mise en forme, le nombre de lettres de la structure correspond au nombre minimum de chiffres, et un zéro est apposé aux nombres plus courts. Dans le cadre de l'analyse, le nombre de lettres de la structure est ignoré, sauf si deux champs adjacents doivent être séparés.
Année
Dans le cadre de la mise en forme, lorsque la structure comporte 2 lettres, l'année est affichée sous forme de valeur à 2 chiffres. Autrement, elle est considérée comme un Nombre.
Mois
Lorsque la structure comporte 3 lettres ou plus, le mois est considéré comme étant un Texte. Autrement, il est interprété comme étant un Nombre.
Fuseau horaire général
Les fuseaux horaires sont considérés comme étant du Texte lorsqu'ils sont associés à un nom. Lorsque la structure comporte moins de 4 lettres, l'abréviation de fuseau horaire est affichée, par exemple PST. Lorsqu'il existe 4 lettres ou plus, le nom complet est affiché, par exemple Pacific Standard Time.
Fuseau horaire RFC 822
Le format de fuseau horaire à 4 chiffres RFC 822 est utilisé, par exemple -0800.

Exemples

Les exemples suivants indiquent comment les structures de date et heure sont interprétées aux Etats-Unis. Les date et heure indiquées sont 2001-07-04 12:08:56 heure locale, fuseau Pacific Standard Time.
Structure de date et heure | Résultat
"yyyy.MM.dd G 'à' HH:mm:ss z" | 2001.07.04 Après J.C. à 12:08:56 PDT
"EEE, MMM d, ''yy" | Mer, Jul 4, '01
"h:mm a" | 12:08 PM
"hh heure(s) a, zzzz" | 12 heures PM, Pacific Daylight Time
"K:mm a, z" | 0:08 PM, PDT
"yyyyy.MMMMM.dd GGG hh:mm aaa" | 02001.Juillet.04 Après J.C 12:08 PM
"EEE, d MMM yyyy HH:mm:ss Z" | Mer, 4 Jul 2001 12:08:56 -0700
"yyMMddHHmmssZ" | 010704120856-0700
  • Personnalisation des formats de date et heure
    Personnalisez les paramètres du format de date et heure afin d'afficher les dates en fonction de vos besoins.
Sujet parent : Configuration des paramètres avancés
Tâches associées
Ajout de comptes utilisateurs
Modification des comptes utilisateurs
Suppression de comptes utilisateurs


Personnalisation des formats de date et heure

Pour personnaliser les formats de date et heure :

  1. Sur la page Administration des instances, arrêtez le serveur de présentation de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier SccFrontendBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\FontendServer sur le serveur de présentation.
  3. Localisez la balise XML DateFormats. Les balises XML <LongDateFormats> et <ShortDateFormats> affichent les formats de date disponibles par défaut. Vous pouvez ajouter ou supprimer les formats devant être disponibles ou indisponibles pour les utilisateurs.
  4. Entrez les formats d’heure tel que décrit dans la rubrique Formats de date et heure.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur de présentation.
Sujet parent : Formats de date et heure
Tâches associées
Gestion des instances


Affichage du nom d'hôte

Lorsque vous utilisez des applications Web sur plusieurs serveurs de présentation, il peut être utile de connaître l'hôte sur lequel vous travaillez. Silk Central offre un paramètre qui affiche le nom d'hôte du serveur de présentation dans la barre de titre de votre navigateur Web.

  • Affichage ou masquage du nom d'hôte dans le nom d'onglet de votre navigateur Web
    Affichez ou masquez le nom d'hôte du serveur de présentation Silk Central dans le nom d'onglet de votre navigateur Web.
Sujet parent : Configuration des paramètres avancés


Affichage ou masquage du nom d'hôte dans le nom d'onglet de votre navigateur Web

Pour afficher ou masquer le nom d'hôte dans le nom d'onglet de votre navigateur Web :

  1. Sur la page Administration des instances, arrêtez le serveur de présentation de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier SccFrontendBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\FontendServer sur le serveur de présentation.
  3. Recherchez la balise XML DisplayHostNameInTitleBar dans la section Options du fichier.
  4. Si vous définissez la valeur sur true, le nom d'hôte du serveur de présentation s'affiche dans le nom d'onglet des navigateurs Web lorsque vous accédez à Silk Central. Si vous définissez la valeur sur false, qui est la valeur par défaut, aucun nom d'hôte ne s'affiche, et si vous définissez la valeur sur n'importe quelle autre chaîne, la chaîne indiquée s'affiche. L’unité actuellement sélectionnée dans Silk Central est toujours affichée.

    Par exemple, lorsque la balise XML est définie sur true, le navigateur affiche : <unité> | NOM D’HÔTE.

    Lorsque la balise est définie sur false, le navigateur affiche : <unité> | Silk Central.

    Lorsque du texte personnalisé est saisi (comme par exemple MonTextePersonnalisé), le navigateur affiche : <unité> | MonTextePersonnalisé.

    Lorsque la balise est laissée vide, le navigateur affiche : <unité>.

  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur de présentation.
Sujet parent : Affichage du nom d'hôte
Tâches associées
Gestion des instances


Enregistrement des pièces jointes et des fichiers de résultats sur le système de fichiers

Par défaut, Silk Central enregistre les pièces jointes et les fichiers de résultats dans la base de données, mais vous pouvez configurer Silk Central pour enregistrer ces fichiers sur le système de fichiers du serveur d'application.
Il n'est pas recommandé d'enregistrer les pièces jointes et les fichiers de résultats séparément des autres données, mais vous pouvez avoir des raisons spécifiques de préférer cette approche (le coût de l'espace de base de données, par exemple). Cette approche présente l'inconvénient de vous obliger à effectuer une double gestion des données. Autrement dit, vous devez faire une sauvegarde de votre base de données et une sauvegarde de votre système de fichiers. Lorsque vous restaurez une sauvegarde de base de données, vous devez également restaurer le système de fichiers.
ATTENTION :
Si vous activez l'option permettant d'enregistrer des fichiers sur le système de fichiers, veillez à ne jamais modifier la structure ni à déplacer, mettre à jour ou supprimer des fichiers directement à cet emplacement. Seuls les services Silk Central et le système utilisé pour la sauvegarde et la restauration devraient détenir des autorisations en écriture pour le Répertoire racine du magasin de fichiers spécifié.
  1. Sur la page Administration des instances, activez le mode de maintenance sur l'instance que vous souhaitez modifier. Pour plus d'informations, reportez-vous à la rubrique Mode de maintenance.
  2. Connectez-vous à votre instance en tant qu'administrateur système et déconnectez la base de données. Pour plus d'informations, reportez-vous à la rubrique Déconnexion d'une base de données.
  3. Sur la page Administration des instances, arrêtez l'instance que vous souhaitez modifier.
  4. Ouvrez le fichier SccAppServerBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\AppServer sur le serveur d'application.
  5. Recherchez la balise XML <StoreFilesOnFileSystem> dans la section <Config>/<RdbmsSpecifics> du fichier. Définissez la valeur de cette balise sur true.
  6. Enregistrez et fermez le fichier XML.
  7. Sur la page Administration des instances, redémarrez l’instance.
  8. Connectez-vous à votre instance en tant qu'administrateur système. Sur la page Base de données, vous verrez un nouveau champ appelé Répertoire racine du magasin de fichiers, où vous devez définir un chemin local (p. ex. « c:/sc_files/testdb ») qui sera utilisé pour stocker les pièces jointes et les fichiers de résultats. Ce chemin doit déjà exister et les services des serveurs de présentation et d'application doivent détenir des autorisations complètes sur ce dossier.
  9. Cliquez sur Connecter la base de données.
Les pièces jointes et les fichiers de résultats seront désormais enregistrés à l'emplacement spécifié. Les pièces jointes et les fichiers de résultats qui sont déjà stockés dans la base de données connectée seront progressivement déplacés vers le système de fichiers. Si le système de fichiers n'est pas disponible, Silk Central enregistre les fichiers dans les tables blob de la base de données et les déplace ultérieurement vers le système de fichiers, lorsqu'il est de nouveau disponible.

Vous ne devez pas oublier qu'il n'y a actuellement aucun moyen automatique de renvoyer les fichiers dans la base de données. Activez cette option uniquement si vous envisagez de stocker définitivement vos fichiers sur le système de fichiers.

Sujet parent : Configuration des paramètres avancés


Configuration de l'outil LQM Reporting Updater

Décrit comment configurer l'intervalle et d'autres paramètres du thread mettant à jour les tables LQM Reporting (LQM Reporting Updater). Pour obtenir des informations détaillées sur les tables LQM Reporting, reportez-vous à la rubrique Schéma de modèle de base de données.

Pour configurer les paramètres de LQM Reporting Updater :

  1. Sur la page Administration des instances, arrêtez le serveur d'application de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier TmAppServerHomeConf.xml à l'aide d'un éditeur de texte.
    Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\AppServer sur le serveur d'application.
  3. Localisez la balise XML LQMReporting. Vous pouvez modifier les paramètres suivants :
    UpdateInterval
    Définit l'intervalle (en secondes) au terme duquel les tables LQM Reporting sont mises à jour avec les données les plus récentes.
    MSSqlUpdateBatchSize
    Nombre de tables de test traitées simultanément. La taille du lot détermine la quantité de ressources de mémoire et du processeur utilisées sur le serveur d'application pour le processus de mise à jour. Ce paramètre a uniquement une incidence sur les bases de données MS SQL Server.
    OracleUpdateBatchsize
    Identique au paramètre MSSqlUpdateBatchSize, mais concerne les bases de données Oracle.
    QueryTimeout
    Spécifie le délai (en secondes) au terme duquel les requêtes du processus de mise à jour de LQM Reporting sont abandonnées. 0 ou une valeur négative indique que les requêtes n'arrivent jamais à expiration.
    OracleCheckForUpdateStrategy
    Détermine la façon dont le processus de mise à jour lit les données à partir des tables source. Les valeurs autorisées sont NOWAIT et WAIT.
    • NOWAIT : Lorsque le processus de mise à jour tente de lire les données à partir des tables source alors qu'un autre processus est en train d'écrire dans ces tables, il s’interrompt et renouvelle sa tentative dès qu’il est à nouveau appelé.
    • WAIT : Le processus de mise à jour utilise un verrou de table et attend que d'autres processus aient accédé aux tables, puis lit les données à partir des tables source. L'avantage est que le processus est toujours exécuté car il n'est pas nécessaire d'attendre le déverrouillage d'une table. En revanche, cela présente un inconvénient : tous les autres processus tentant d'accéder à une table après le processus de mise à jour de LQM sont bloqués et doivent attendre que le verrou de table soit libéré par le processus.
  4. Enregistrez et fermez le fichier XML.
  5. Redémarrez le serveur d'application.
Sujet parent : Configuration des paramètres avancés
Tâches associées
Gestion des instances


Planification d'une synchronisation de groupe LDAP automatique

Si vous avez importé des groupes d'utilisateurs de serveurs LDAP dans votre système Silk Central , vous pouvez spécifier une planification pour synchroniser automatiquement vos groupes Silk Central avec des modifications effectuées sur les serveurs LDAP.
Pour définir une planification afin de synchroniser des groupes Silk Central avec des modifications effectuées sur les serveurs LDAP :
  1. Sur la page Administration des instances, arrêtez le serveur d'application de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier TmAppServerHomeConf.xml à l'aide d'un éditeur de texte.
    Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\AppServer sur le serveur d'application.
  3. Localisez la balise XML LdapUpdate. Vous pouvez modifier les paramètres suivants :
    ScheduledTime
    Horodatage (hh:mm, format 24 h) lors de la première mise à jour des données du serveur LDAP. ScheduledTime est interprété sur la base du fuseau horaire de l'environnement système du serveur d'application. Laissez ce paramètre vide pour désactiver la synchronisation automatique.
    UpdateIntervalInMinutes
    Cet intervalle (en minutes) spécifie la fréquence de synchronisation des utilisateurs et groupes LDAP, à partir de ScheduledTime. La valeur minimale est 1.
  4. Enregistrez et fermez le fichier XML.
  5. Redémarrez le serveur d'application.
Sujet parent : Configuration des paramètres avancés
Sujet parent : Gestion des groupes
Tâches associées
Importation de groupes à partir de serveurs LDAP


Mise en cache des données dans les tests

Silk Central utilise la mise en cache dans les Tests pour améliorer l'évolutivité du serveur de présentation et réduire le chargement des bases de données lorsque plusieurs utilisateurs travaillent simultanément sur le même projet. L'arborescence Tests et les filtres de test ont un impact significatif sur les serveurs de présentation et de base de données. Étant donné que les informations de l'arborescence Tests et des filtres pour des projets spécifiques peuvent être partagées entre plusieurs utilisateurs, ces espaces sont particulièrement bien adaptés à la mise en cache.

Mise en cache de l'arborescence Tests

Le cache de l'arborescence Tests conserve toutes les informations d'arborescence pour les projets actuellement utilisés dans la mémoire, et vérifie régulièrement si des modifications ont été apportées à l'arborescence de la base de données. Les administrateurs peuvent agir sur le comportement du cache en définissant les valeurs Cache/TestPlanTree/CheckForChangesInterval dans le fichier de configuration TMFrontendBootConf.xml. Il s'agit de l'intervalle maximal (en secondes) pendant lequel les informations sur l'arborescence peuvent rester obsolètes. Quel que soit ce paramètre, si une modification est appliquée à un test, un dossier ou un conteneur figurant dans le même serveur de présentation, le cache est immédiatement mis à jour avec la modification. Le paramètre Cache/TestPlanTree/CheckForChangesInterval s'applique uniquement lorsqu'une modification est apportée à un serveur de présentation différent. Lorsqu'un projet n'est pas utilisé par un utilisateur pendant plus d'une heure, le cache de l'arborescence de la totalité du projet est effacé et le projet est rechargé lorsque l'utilisateur y accède de nouveau.

Mise en cache du filtre de test

Avec la mise en cache des filtres, les ID des tests correspondant aux critères de filtres spécifiques sont mis en cache pendant une durée spécifique, en fonction du paramètre de durée de mise en cache minimale et de la durée d'exécution de chaque filtre. Les administrateurs peuvent agir sur ce comportement en définissant deux propriétés sous Cache/FilterCache/ dans le fichier de configuration TMFrontendBootConf.xml.

La première propriété, MinimalLifeTime, définit la durée minimale (en secondes) au bout de laquelle un résultat de filtre peut être supprimé du cache. La seconde propriété, LifeTimeMultiplier, rend ce paramètre minimal dépendant de la durée nécessaire pour exécuter la requête de filtre. Par exemple, si vous définissez un multiplicateur d'une valeur > 0, la durée maximale pendant laquelle un résultat peut rester dans le cache est MinimalLifeTime, ou correspond à la durée d'exécution de la requête, multipliée par l'élément LifeTimeMultiplier. Ainsi, si la durée d'exécution de votre requête de filtre est de 1 seconde et si vous utilisez les valeurs par défaut (30) pour les éléments MinimalLifeTime et LifeTimeMultiplier, le résultat du filtre est mis en cache pendant 30 secondes. Si la durée d'exécution de la requête de filtre est d'une demi-seconde, le résultat du filtre est toujours mis en cache pendant 30 secondes. Si, toutefois, la durée d'exécution de la requête de filtre est de 2 secondes, le résultat du filtre est mis en cache pendant 60 secondes.

Mise en cache du moteur de recommandation

Lorsque vous ajoutez des mots-clés à un test basé sur mots-clés ou à une séquence de mots-clés dans l'éditeur de test basé sur mots-clés, Silk Central recommande des mots-clés existants que vous pouvez utiliser comme mot-clé suivant dans votre test. Les mots-clés recommandés figurent en haut de la liste de mots-clés et sont signalés par un graphique à barres. La partie pleine du graphique indique le niveau de recommandation établi par Silk Central pour le mot-clé.

Les administrateurs peuvent influer sur l'intervalle d'actualisation du cache de recommandation en définissant la propriété RecommendationCache/ExpireAfterWrite dans le fichier de configuration TMFrontendBootConf.xml.

Mesures JMX pour la mise en cache

Silk Central offre des mesures de lecture JMX pour surveiller les processus Java sous-jacents. D'autres mesures spécifiques aux processus sont également disponibles. Les informations JMX relatives au cache de l'arborescence Tests et au cache du filtre de test se trouvent dans l'arborescence des mesures JMX sous borland.com/Frontend/TM.

Remarque : Silk Performance Explorer et d'autres outils peuvent être utilisés pour assurer le suivi de ces mesures et d'autres facteurs.
  • Mesures JMX pour la mise en cache de tests
    Les informations JMX relatives au cache de l'arborescence Tests et au cache du filtre se trouvent dans l'arborescence des mesures JMX de votre serveur de présentation, borland.com/Frontend/TM.
Sujet parent : Configuration des paramètres avancés
Référence associée
Gestion de mots-clés dans un test
Gestion de mots-clés dans une bibliothèque
Quels sont les mots-clés recommandés par Silk Central ?


Mesures JMX pour la mise en cache de tests

Les informations JMX relatives au cache de l'arborescence Tests et au cache du filtre se trouvent dans l'arborescence des mesures JMX de votre serveur de présentation, borland.com/Frontend/TM.

Mesures du cache de l'arborescence Tests

Deux mesures principales sont disponibles pour le cache de l'arborescence Tests. TestPlanTreeCache ne propose qu'une seule mesure, NumberOfCachedProjects, indiquant le nombre de projets actuellement en cache. Tous les détails du cache du projet sont fournis par la deuxième mesure, TestPlanTreeCache_<number>. Cette mesure est en fait composée des mesures suivantes :

Mesure | Description
Hits | Nombre de fois où le cache a été utilisé et où les requêtes de base de données n'ont pas été nécessaires.
LastUpdateCheckDurationInMillis | Durée, en millisecondes, requise pour que le dernier processus de mise à jour (voir LastUpdateCheckTime) recherche les mises à jour dans la base de données.
LastUpdateCheckTime | Date/heure de la dernière recherche de mise à jour.
LastUpdateDurationInMillis | Durée, en millisecondes, requise pour que le dernier processus de mise à jour (voir LastUpdateTime) mette à jour le cache à la suite d'une modification.
LastUpdateTime | Date/heure auxquelles a eu lieu la dernière mise à jour du cache en raison d'une modification apportée à l'arborescence Tests.
TreeInitializationTimeInMillis | Durée, en millisecondes, requise pour que l'intégralité de l'arborescence du projet soit chargée dans le cache. Cette valeur ne change pas tant que le cache du projet est chargé.
TreeSize | Nombre de nœuds de tests, qui correspondent à des conteneurs de tests, des dossiers de test et des tests du projet.
UpdateChecks | Nombre de vérifications effectuées à la recherche de modifications apportées à l'arborescence Tests de ce projet depuis que le cache de l'arborescence du projet a été initialisé.
Updates | Nombre de mises à jour appliquées à l'arborescence mise en cache suite à des modifications apportées à l'arborescence Tests.

Mesures du cache du filtre de test

La mesure TestPlanFilterCache se compose des trois mesures suivantes :

Mesure | Description
Hits | Nombre de fois où le cache a été utilisé et où aucune exécution séparée du filtre sur la base de données n'a été requise.
Misses | Nombre de fois où le cache du filtre n'a pas été utilisé et où le filtre a été exécuté sur la base de données.
Taille | Nombre actuel de résultats de filtre mis en cache.
Sujet parent : Mise en cache des données dans les tests
Sujet parent : Configuration des paramètres JMX


Configuration des paramètres JMX

Silk Central fournit un jeu de ports par défaut pour la configuration des paramètres JMX.

Emplacements disponibles pour la configuration des paramètres JMX

Par défaut, la communication n'est pas chiffrée sur les ports par défaut, ce qui signifie qu'aucun protocole SSL n'est exécuté.
Important : Micro Focus n'est pas responsable de vos paramètres de sécurité JMX. Veuillez vous assurer que votre service informatique configure la sécurité JMX correctement.
Paramètre | Description
com.sun.management.jmxremote.ssl | Par défaut, le protocole SSL est défini sur false .
com.sun.management.jmxremote.authenticate | Par défaut, l'authentification est définie sur false .
Vous pouvez modifier ces paramètres dans les fichiers processconfig dans C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\Conf. Notez que la connexion JMX n'est pas sécurisée tant que l'un des deux paramètres est défini sur false .

Pour accéder à des informations ou effectuer des opérations via JMX, vous avez besoin de la chaîne de connexion JMX. Cliquez sur Paramètres pour ouvrir la boîte de dialogue Paramètres. Sur l'onglet Serveurs, sélectionnez le serveur requis et copiez la chaîne de connexion JMX. Pour plus d'informations, reportez-vous à la rubrique Gestion des instances.

  • Mesures JMX pour la mise en cache de tests
    Les informations JMX relatives au cache de l'arborescence Tests et au cache du filtre se trouvent dans l'arborescence des mesures JMX de votre serveur de présentation, borland.com/Frontend/TM.
  • Mesures JMX pour la surveillance de l'outil LQM Reporting Updater
    Les informations JMX de l'outil LQM Reporting Updater se trouvent sur votre serveur d'application dans l'arborescence des mesures JMX sous borland.com/LQMReporting/TM.
  • Mesures JMX pour le Data Mart
    Les informations JMX relatives au Data Mart sont disponibles sur le serveur d'applications, dans l'arborescence des mesures JMX, sous borland.com/DataMart.
  • Mesures JMX pour la synchronisation LDAP
    Les informations JMX sur la synchronisation LDAP se trouvent sur votre serveur d'application dans l'arborescence des mesures JMX sous borland.com/LdapUpdater.
  • Mesures JMX pour la limitation de l'utilisation des services REST
    Pour limiter l'utilisation des services de l'API REST, vous pouvez rechercher les mesures JMX pertinentes sur votre serveur de présentation, sous borland.com/RestService/LimitingFilter dans l'arborescence des mesures JMX.
Sujet parent : Configuration des paramètres avancés


Mesures JMX pour la surveillance de l'outil LQM Reporting Updater

mesures de LQM Reporting Updater

Les mesures suivantes sont disponibles :

Mesure | Description
LastDataLoadResetTime | Indique les date et heure de la dernière réinitialisation des tables de LQM Reporting. Si cet attribut est nul, aucune réinitialisation n'a eu lieu depuis le début du processus.
LastDeleteDurationInMillis | Temps consommé pour retirer les nœuds supprimés des tables LQM Reporting.
LastDeleteTestsCnt | Nombre de tests supprimés lors de la dernière exécution.
LastInsertLQMTestsDuration | Temps consommé pour l'insertion de nouveaux tests dans la table LQM_Tests.
LastInsertLQMTestPDAsDuration | Temps consommé pour l'insertion de nouveaux tests dans la table LQM_TestPDAs.
LastInsertLQMTestUDAsDuration | Temps consommé pour l'insertion de nouveaux tests dans la table LQM_TestUDAs.
LastRunFromDate | Indique le début de l'intervalle de temps traité pour le cycle de mise à jour actuel.
LastRunToDate | Indique la fin de l'intervalle de temps traité pour le cycle de mise à jour actuel.
LastSelectChangedDataIterateDurationInMillis | Temps utilisé pour l'itération des données modifiées.
LastSelectChangedDataQueryDurationInMillis | Temps consommé pour interroger les données modifiées.
LastTotalUpdateDurationInMillis | Durée totale de la dernière exécution de la mise à jour.
LastUpdateFixedAttributesDurationInMillis | Durée de la dernière mise à jour des attributs corrigés.
LastUpdatePDAttributesDurationInMillis | Durée de la dernière mise à jour de la table LQM_TestPDAs .
LastUpdatesNeededCheckDurationInMillis | La durée (en millisecondes) de la dernière vérification des données modifiées ou nouvelles.
LastUpdatesNeededCheckOracleWaitForTableLocksDuration | Oracle doit faire l'objet d'un traitement spécial lors de la vérification des tests mis à jour. Il peut s'avérer nécessaire d'attendre la fin des transactions effectuées par les autres processus sur des tables de test. Cet attribut mesure le temps attendu pour que ces transactions soient réalisées.
LastUpdateTestsDurationInMillis | Durée de la dernière mise à jour des propriétés dans la table LQM_Tests.
LastUpdateUDAttributesDurationInMillis | Durée de la dernière mise à jour de la table LQM_TestUDAs .
Sujet parent : Configuration des paramètres JMX


Mesures JMX pour le Data Mart

Mesures de l'outil Data Mart Updater

Les informations JMX relatives à l'outil Data Mart Updater sont disponibles sur le serveur d'applications, dans l'arborescence des mesures JMX, sous borland.com/DataMart/TM :

Mesure | Description
AverageCheckDurationInMilliseconds | Durée moyenne requise par la recherche des lignes mises à jour, en millisecondes
AverageUpdateDurationInMilliseconds | Durée moyenne requise par la mise à jour des lignes, en millisecondes
FailedCheckCount | Nombre de recherches de mise à jour ayant échoué
FailedUpdateCount | Nombre de mises à jour ayant échoué
FastestCheckInMilliseconds | Durée minimale requise par la recherche des lignes mises à jour, en millisecondes
FastestUpdateInMilliseconds | Durée minimale requise par la mise à jour des lignes, en millisecondes
Id | ID de l'outil Data Mart Updater
IntervalInMilliseconds | Intervalle qui définit la fréquence des exécutions de l'outil Data Mart Updater, en millisecondes
LastBlockedRunDate | Date à laquelle l'exécution a été bloquée pour la dernière fois (échec de l'attente d'un accès exclusif)
LastFailedRunDate | Date à laquelle l'exécution a échoué pour la dernière fois
LastSuccessfulRunDate | Date à laquelle l'exécution a réussi pour la dernière fois
LatestDataLoadInfo | Informations sur le dernier chargement de données
SlowestCheckInMilliseconds | Durée maximale requise par la recherche des lignes mises à jour, en millisecondes
SlowestUpdateInMilliseconds | Durée maximale requise par la mise à jour des lignes, en millisecondes
SlowestWaitForExclusiveAccessInMilliseconds | Durée maximale requise par l'attente d'un accès exclusif
StartupDate | Date de l'initialisation de l'outil Data Mart Updater
SuccessfulCheckCount | Nombre de recherches de mise à jour ayant abouti
SuccessfulUpdateCount | Nombre de mises à jour ayant abouti

Mesures du service Data Mart

Les informations JMX relatives au service Data Mart sont disponibles sur le serveur d'applications, dans l'arborescence des mesures JMX, sous borland.com/DataMart/Service :

Mesure/Opération | Description
Activé | Indique si le service Data Mart est activé ou désactivé.
disable() | Désactive le service Data Mart.
enable() | Active le service Data Mart.
isEnabled() | Demande si le service Data Mart est activé ou désactivé.
Sujet parent : Configuration des paramètres JMX


Mesures JMX pour la synchronisation LDAP

Les informations JMX sur la synchronisation LDAP se trouvent sur votre serveur d'application dans l'arborescence des mesures JMX sous borland.com/LdapUpdater.
Mesure/Opération | Description
Enabled | Indique si la synchronisation LDAP automatique est activée ou désactivée.
LastDurationInMillis | Durée de la dernière synchronisation LDAP en millisecondes.
enable() | Active la synchronisation LDAP automatique.
disable() | Désactive la synchronisation LDAP automatique.
Sujet parent : Configuration des paramètres JMX


Mesures JMX pour la limitation de l'utilisation des services REST

Pour limiter l'utilisation des services de l'API REST, vous pouvez rechercher les mesures JMX pertinentes sur votre serveur de présentation, sous borland.com/RestService/LimitingFilter dans l'arborescence des mesures JMX.
Définissez la mesure Overdraft pour un jeton de session afin de spécifier la limite de l'utilisation en rafale du service REST et définissez la mesure RefillPerMinute pour spécifier la limite d'utilisation par minute permanente. Ce type de gestion des rafales d'utilisation est connu sous le nom d'algorithme à compartiment de jetons. En cas de dépassement de la limite, une réponse 429 - Too Many Requests (Nombre excessif de demandes) sera envoyée à un appel de service et l'utilisateur sera invité à réessayer ultérieurement.

Mesures LoginPasswordAuthentication

Ces mesures permettent de définir les limites de demande pour qu'un utilisateur puisse obtenir un ID de session via une authentification de base à l'aide du nom d'utilisateur et du mot de passe.

Remarque : Micro Focus recommande l'authentification via un jeton de service Web.
Mesure | Description
FilterEnabled | Indique si l'utilisation doit ou non être limitée. True ou False.
Overdraft | Nombre maximal de demandes de connexion prises en charge dans un scénario de rafale.
RefillPerMinute | Nombre moyen de demandes de connexion autorisées.
MinimumRemainingTokens | Nombre de jetons dans le compartiment contenant le nombre le plus faible de jetons depuis le démarrage du service ou depuis la définition des mesures Overdraft et RefillPerMinute.
MinimumRemainingTokensBucket | Connexion de l'utilisateur avec le compartiment contenant le nombre de jetons disponibles le plus faible.

Mesures SessionIdAuthentication

Ces mesures permettent de définir les limites de demande pour chaque jeton de service Web ou ID de session .

Mesure | Description
FilterEnabled | Indique si l'utilisation doit ou non être limitée. True ou False.
Overdraft | Nombre maximal de demandes prises en charge dans un scénario de rafale avec un jeton de service Web ou ID de session spécifique.
RefillPerMinute | Nombre moyen de demandes autorisées avec un jeton de service Web ou ID de session spécifique.
MinimumRemainingTokens | Nombre de jetons dans le compartiment contenant le nombre le plus faible de jetons depuis le démarrage du service ou depuis la définition des mesures Overdraft et RefillPerMinute.
MinimumRemainingTokensBucket | Jeton de service Web ou ID de session avec le nombre de jetons disponibles le plus faible.
Sujet parent : Configuration des paramètres JMX


Résolution du nom d'hôte du serveur d'exécution

Il est possible qu'un serveur d'exécution ne soit plus reconnu par le serveur d'application si l'adresse IP du serveur d'exécution a changé. Si le serveur d'application est redémarré, le serveur d'exécution doit être de nouveau reconnu.

Java utilise un cache pour enregistrer la résolution de nom d'hôte et empêcher les attaques par usurpation d'identité DNS. Dans Silk Central, le résultat des résolutions de noms d'hôtes positives est mis en cache indéfiniment, mais vous pouvez changer ce comportement en modifiant le fichier java.security sur le serveur d'application. De cette façon, le serveur d'application peut reconnaître les serveurs d'exécution même si leur adresse IP a changé.

Pour plus d’informations sur ce paramètre Java, visitez la page Networking Properties.

  • Désactivation de la mise en cache des résolutions de noms d'hôtes
    Désactivez la mise en cache des résolutions de noms d'hôtes (DNS) afin de spécifier que ces résolutions ne sont jamais mises en cache.
Sujet parent : Configuration des paramètres avancés


Désactivation de la mise en cache des résolutions de noms d'hôtes

Pour spécifier que les résolutions de noms d'hôtes ne doivent jamais être mises en cache :

  1. Sur la page Administration des instances, arrêtez le serveur d'application de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier java.security à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\lib\jre\lib\security sur le serveur d'application. Si votre serveur d'application s'exécute en mode 64 bits, utilisez plutôt le dossier jre64\lib\security.
  3. Localisez la ligne #networkaddress.cache.ttl=-1 et remplacez-la par networkaddress.cache.ttl=0.
    Remarque : Le caractère « # » doit être supprimé afin d'annuler le commentaire de cette ligne.
    ATTENTION :
    Vous devez informer votre administrateur réseau de cette modification, car cette opération risque d'entraîner des problèmes de sécurité.
  4. Enregistrez et fermez le fichier.
  5. Redémarrez le serveur d'application.
Sujet parent : Résolution du nom d'hôte du serveur d'exécution
Tâches associées
Gestion des instances


Configuration de l'emplacement de Silk Central dans Issue Manager

Indique comment configurer l'emplacement de votre installation Silk Central dans Issue Manager. Cela permet une traçabilité entre les incidents de Issue Manager et les tests correspondants dans Silk Central. Pour plus d'informations sur l'utilisation de la fonction de traçabilité, consultez la documentation de Issue Manager.

Pour configurer l'emplacement de Silk Central dans Issue Manager :

  1. Sur la page Administration des instances, arrêtez le serveur de présentation de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier SRFrontendBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\FontendServer sur le serveur de présentation.
  3. Localisez les balises XML Alm\ElementServiceEndpoint et Alm\LinkServiceEndpoint.
  4. Remplacez les valeurs par défaut localhost:19120 par les informations d'hôte et de port de votre installation Silk Central dans les deux balises. Si votre installation Silk Central utilise le même serveur de présentation que votre installation Issue Manager et que vous utilisez le serveur Web Tomcat avec le port par défaut, vous pouvez laisser les valeurs par défaut.
  5. Enregistrez et fermez le fichier XML.
  6. Si vous n'utilisez pas le port par défaut, modifiez le fichier configuration.xml, situé dans \instance_<numéro d'instance>_<nom d'instance>\wwwroot\AlmServices1.0. Localisez la balise XML connectString, et définissez les ports corrects. Exemple :
    <properties>
   <name>connectString</name>
   <!-- value>com.borland.tm.system.endpoint=http://gershwin:19120/services/sccsystem;
      com.borland.tm.spi.endpoint=http://gershwin:19120/services/SpiService</value  -->
   <value>com.borland.tm.system.endpoint=http://MyHost:8555/services/sccsystem;
      com.borland.tm.spi.endpoint=http://MyHost:8555/services/SpiService</value>
</properties>
  7. Redémarrez le serveur de présentation.
Sujet parent : Configuration des paramètres avancés
Tâches associées
Gestion des instances


Définition du nombre maximum de rapports utilisés le plus récemment

Pour définir le nombre maximum de rapports utilisés le plus récemment qui s'affichent dans la zone de liste Derniers Rapports Utilisés :

  1. Sur la page Administration des instances, arrêtez le serveur de présentation de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier SccFrontendBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\FontendServer sur le serveur de présentation.
  3. Recherchez la balise XML <MRUListSize> dans la section <Report> du fichier. La valeur par défaut de cette balise est 10.
  4. Définissez la valeur sur le nombre maximum de rapports que vous voulez afficher dans la zone de liste Derniers Rapports Utilisés.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur de présentation.
Sujet parent : Configuration des paramètres avancés


Paramètres de mémoire pour les serveurs Silk Central

Cette section décrit la façon dont vous pouvez modifier les paramètres de mémoire des serveurs Silk Central lorsque surviennent des erreurs liées au manque de mémoire.

Par défaut, la taille du segment de mémoire Java des serveurs d'application et de présentation Silk Central est définie sur 512 Mo (2 048 Mo pour les serveurs de présentation 64 bits). Si vous rencontrez des erreurs liées au manque de mémoire, par exemple lors de la copie d'un projet dans Silk Central, essayez d'augmenter la taille du segment de mémoire sur le serveur de présentation ou d'application.

L'erreur suivante indique que la taille du segment de mémoire Java est trop petite : java.lang.RuntimeException: java.lang.OutOfMemoryError: Java heap space at com.segue.scc.webgui.module.console.ProjectsUnit$CopyProjectThread.run(ProjectsUnit.java:1473) Caused by: java.lang.OutOfMemoryError: Java heap space. Cette erreur est consignée dans le fichier journal du serveur de présentation ou d'application. Autre indicateur de ce type de problème, le message d'erreur Le système fonctionne désormais presque à pleine capacité. Pour des raisons de sécurité, aucun autre utilisateur ne sera autorisé à se connecter, qui s'affiche lorsque vous tentez de vous connecter à Silk Central.

  • Augmentation de la taille du segment de mémoire Java sur un serveur Silk Central
    Augmentez la taille du segment de mémoire Java sur un serveurSilk Central afin d'éviter les erreurs liées au manque de mémoire.
Sujet parent : Configuration des paramètres avancés


Augmentation de la taille du segment de mémoire Java sur un serveur Silk Central

Augmentez la taille du segment de mémoire Java sur un serveurSilk Central lorsque vous recevez des erreurs liées au manque de mémoire.

Pour augmenter la taille du segment de mémoire Java sur un serveur de présentation ou d'application :

  1. Sur la page Administration des instances, arrêtez l'instance que vous souhaitez modifier.
  2. A l’aide d’un éditeur de texte, ouvrez le fichier sc_<serveur>.processconfig du serveur pour lequel vous voulez modifier les paramètres de mémoire. Le chemin d'accès par défaut de ces fichiers est C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\Conf.
  3. Pour les machines virtuelles Java 32 bits, définissez la valeur dans la balise <JvmOption32bit name="-Xmx" sous <JvmOptions32bit>. Pour les machines virtuelles Java 64 bits, définissez la valeur dans la balise <JvmOption name="-Xmx" sous <JvmOptions>.
  4. Enregistrez et fermez le fichier XML.
  5. Démarrez à nouveau l’instance.
Sujet parent : Paramètres de mémoire pour les serveurs Silk Central


Définition de la taille maximale des fichiers de résultats des pas de test

Vous pouvez limiter la taille des fichiers de résultats que les testeurs peuvent attacher aux pas de tests lors de l'exécution de tests manuels dans la fenêtre Test manuel. Pour plus d'informations, reportez-vous à la rubrique Ajout d'un fichier de résultats en pièce jointe.

Pour configurer la taille maximale des fichiers de résultats de pas de tests :

  1. Sur la page Administration des instances, arrêtez le serveur de présentation de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier SccFrontendBootConf.xml à l'aide d'un éditeur de texte. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\FontendServer sur le serveur de présentation.
  3. Localisez la balise XML <MaximumResultFileSizeInBytes>. La valeur par défaut de cette balise est 104857600, ce qui représente 100 Mo.
  4. Modifiez cette valeur selon la taille de fichier maximale que vous souhaitez autoriser. Saisissez la taille en octets.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur de présentation.
Sujet parent : Configuration des paramètres avancés
Concepts associés
Fenêtre Test manuel
Tâches associées
Joindre des fichiers de résultats


Stockage des données de marqueurs de pourcentage pour les résultats de Silk Performer

Les résultats de Silk Performer contiennent de grandes quantités de marqueurs de pourcentage qui peuvent occuper un espace considérable dans la base de données (tableauTM_PerfReportPercentileMarker). De fait, le stockage de ces informations est désactivé par défaut. Pour activer le stockage des données de marqueurs de pourcentage lors du stockage des résultats de Silk Performer, procédez comme suit :
  1. Sur la page Administration des instances, arrêtez le serveur d'application de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier TmAppServerHomeConf.xml à l'aide d'un éditeur de texte.
    Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\AppServer sur le serveur d'application.
  3. Localisez la balise XML Config/SilkPerformerResultStorage/StorePercentileMarkerData. Par défaut, la balise est définie sur false.
  4. Définissez la valeur sur true.
  5. Enregistrez et fermez le fichier XML.
  6. Redémarrez le serveur d'application.
Sujet parent : Configuration des paramètres avancés


Aide de Silk Central

Silk Central est un outil de gestion de tests logiciels puissant et complet. Silk Central contribue à la qualité et à la productivité de votre processus de test en accélérant la livraison de projets logiciels réussis et en réduisant les risques liés aux défaillances des applications. Il regroupe toutes les phases critiques des tests logiciels sur un même système de test basé sur le Web et évolutif, de sorte que vos équipes de développement logiciel locales et distribuées puissent partager leur expérience, leurs ressources et leurs informations clés.

  • Nouveautés de Silk Central 19.0
    Silk Central 19.0 contient des améliorations et des changements considérables.
  • Prise en main
    Cette section fournit des informations générales sur Silk Central.
  • Exigences
    Explique comment gérer les exigences dans Silk Central .
  • Tests
    Explique comment gérer les tests dans Silk Central .
  • Organisation des Exécutions
    Décrit l'exécution des tests dans Silk Central .
  • Suivi des incidents et analyse des résultats
    Analysez les résultats de vos tests, créez et suivez les incidents survenus, et utilisez des rapports pour documenter les résultats.
  • Administration
    Après avoir terminé la configuration initiale de Silk Central (configuration d'instance), cette section vous guide dans les étapes requises pour configurer des comptes utilisateurs, des projets, des emplacements, des serveurs d'exécution, et plus encore. Ces tâches doivent être effectuées par un administrateur.


Nouveautés de Silk Central 19.0

Silk Central 19.0 contient des améliorations et des changements considérables.

  • Accessibilité
    Afin de répondre aux exigences des personnes aveugles ou malvoyantes en matière d'accessibilité, Silk Central 19.0 se concentre sur l'amélioration de la navigation de Silk Central via l'utilisation du clavier et la lecture de commentaires sonores sur les lecteurs d'écran.
  • Administration
    Répertorie les améliorations apportées aux intégrations dans la zone d'administration de Silk Central.
  • Tests
    Répertorie les améliorations apportées aux intégrations dans la zone des tests de Silk Central.
  • Organisation des exécutions et exécution des tests
    Répertorie les améliorations apportées aux zones d’organisation des exécutions et d'exécution des tests de Silk Central.
  • Améliorations de l'API
    Silk Central 19.0 propose une nouvelle API REST pour déclencher les exécutions et obtenir les résultats des exécutions terminées. Avec cette API, il est également possible de transmettre des paramètres lors du démarrage d'une exécution.
  • Intégrations
    Répertorie les améliorations apportées aux intégrations dans Silk Central.
  • Microsoft SQL Server 2017
Sujet parent : Aide de Silk Central


Accessibilité

Afin de répondre aux exigences des personnes aveugles ou malvoyantes en matière d'accessibilité, Silk Central 19.0 se concentre sur l'amélioration de la navigation de Silk Central via l'utilisation du clavier et la lecture de commentaires sonores sur les lecteurs d'écran.

Micro Focus recommande d'utiliser NVDA en combinaison avec Mozilla Firefox.

Sujet parent : Nouveautés de Silk Central 19.0


Administration

  • Utilisation d'un jeton pour l'authentification avec les services Web
    Dans une volonté d'assister les organisations à renforcer leur sécurité, Silk Central 19.0 permet maintenant d'utiliser un jeton de service Web pour l'authentification via les services Web plutôt que via la saisie les noms d'utilisateurs et d'un mot de passe.
  • Autorisations améliorées
    Décrit les améliorations apportées aux autorisations dans Silk Central 19.0.
Sujet parent : Nouveautés de Silk Central 19.0


Utilisation d'un jeton pour l'authentification avec les services Web

Dans une volonté d'assister les organisations à renforcer leur sécurité, Silk Central 19.0 permet maintenant d'utiliser un jeton de service Web pour l'authentification via les services Web plutôt que via la saisie les noms d'utilisateurs et d'un mot de passe.

L'utilisation d'un tel jeton de service Web renforce la sécurité dans la mesure où les nom d'utilisateur et mot de passe ne sont plus envoyés sur le réseau. En outre, si vous recourez à l'intégration LDAP, l'utilisation d'un jeton de service Web rend l'authentification indépendante de votre stratégie de mise à jour du mot de passe et réduit l'effort nécessaire pour maintenir opérationnelles les intégrations. Tant qu'un jeton de service Web n'est pas supprimé ou qu'aucun nouveau jeton n'est créé pour le même utilisateur, le jeton reste valide et octroie un accès aux services Web de Silk Central. Gérez un jeton de service Web de la même façon que pour tout autre facteur d'authentification.

Sujet parent : Administration


Autorisations améliorées

Décrit les améliorations apportées aux autorisations dans Silk Central 19.0.

Autorisation d'accès au journal d'audit

Le journal d'audit contient des informations concernant certaines actions d'utilisateur, par exemple la connexion et la déconnexion. Pour protéger ces informations, une autorisation supplémentaire a été ajoutée dans Silk Central 19.0 afin de permettre aux organisations d'augmenter la granularité lors de la spécification des utilisateurs autorisés à accéder au journal d'audit.

Autorisation d'affichage et de suppression des fichiers journaux

Selon le niveau de journalisation, les fichiers journaux contiennent plus ou moins d'informations sur certains processus du système. Selon l'environnement, il peut s'agir d'informations confidentielles ou d'informations utiles concernant les scénarios d'erreur. Pour protéger ces informations contre tout affichage non autorisé et contre toute suppression involontaire, Silk Central 19.0 introduit de nouvelles autorisations d'affichage et de suppression des fichiers journaux de ce type.

Autorisation de gestion ou de suppression des motifs d'état

Pour garantir la cohérence et empêcher la création ou la personnalisation non contrôlée dans les divers projets, Silk Central 19.0 introduit des nouvelles autorisations de gestion et de suppression des motifs d'état.

Sujet parent : Administration


Tests

  • Marquage des bibliothèques comme étant en lecture seule
    Pour conserver l'état des lotissements de projet, vous pouvez désormais marquer les bibliothèques partagées comme étant en lecture seule.
  • Tests partagés
    Silk Central 19.0 incorpore d'autres améliorations au niveau de la fonctionnalité de partage de tests entre les projets.
Sujet parent : Nouveautés de Silk Central 19.0


Marquage des bibliothèques comme étant en lecture seule

L'une des principales directives en matière de lotissements est qu'ils ne doivent pas être modifiés, puisqu'ils représentent un état spécifique, par exemple une mise à jour ou un point de contrôle particuliers. Lors de l'utilisation de bibliothèques partagées avec une version précédente de Silk Central, il n'était pas possible d'empêcher les utilisateurs d'apporter des modifications aux pas de tests ou mots-clés partagés, ce qui risquait d'entraîner la modification d'un pas de test. Avec Silk Central 19.0, ce problème a été résolu et il est maintenant possible de définir les bibliothèques partagées comme étant en lecture seule. Cette fonctionnalité est contrôlée par la nouvelle autorisation Définir les bibliothèques en lecture seule.

Sujet parent : Tests


Tests partagés

Silk Central 19.0 incorpore d'autres améliorations au niveau de la fonctionnalité de partage de tests entre les projets.

Interface utilisateur de sélection plutôt que la fonction copier-coller

Dans Silk Central 18.5, les tests partagés étaient utilisés via une approche de type copier-coller. Dans Silk Central 19.0, cette approche a été remplacée par une interface utilisateur de sélection qui permet de sélectionner les tests dans une boîte de dialogue du projet consommateur. La fonction de copier-coller entre un projet en partage et un projet consommateur ne crée plus de référence.

Possibilité de détacher les tests utilisés

Selon l'approche suivie en matière de tests, les projets peuvent utiliser des tests consommateurs à partir d'un référentiel central pour la réalisation de tests cohérents d'une même fonctionnalité depuis différents projets. Lorsque les tests doivent être personnalisés en raison de la variation d'une fonctionnalité dans le contexte du projet consommateur, les tests doivent être détachés du référentiel central. Ils deviennent ainsi locaux au projet et ne nécessitent plus aucune mise à jour à partir du modèle. Il suffit donc désormais de supprimer la référence pour les tests dans le projet consommateur. Cette suppression est également consignée dans l'historique afin de conserver une trace de l'identité de l'utilisateur ayant supprimé une référence ainsi que de la date/heure de cette suppression.

Possibilité d'afficher l'utilisation d'un test spécifique

La modification d'un test dans le projet en partage peut avoir des conséquences importantes sur tous les projets consommateurs. C'est pourquoi chaque test dans le projet en partage inclut désormais un onglet Usages dans lequel tous les tests consommateurs sont répertoriés.

Gestion améliorée des modifications du type de test

Dans la version précédente de Silk Central, les modifications du type de test n'étaient pas automatiquement utilisées. Le type de test devait donc être modifié manuellement dans le projet consommateur. Avec Silk Central 19.0, les modifications apportées au type de test sont utilisées comme toute autre modification et il n'est plus nécessaire de les implémenter manuellement.

Sujet parent : Tests
Concepts associés
Tests partagés
Versions
Tâches associées
Sharing and Consuming Tests
Ajout de projets
Référence associée
Page Paramètres de Projet


Organisation des exécutions et exécution des tests

  • Exécutions externes
    Silk Central s'intègre à un plus grand nombre d'écosystèmes d'outils existants, grâce à une fonctionnalité permettant d'utiliser les résultats des tests automatisés sans que ces tests automatisés ne soient exécutés par le biais des serveurs d'exécution Silk Central.
  • Propriétés de pas de test personnalisées dans les tests manuels hors ligne
    Désormais, les propriétés de pas de test personnalisées figurent également dans les informations générées sous forme de fichier Excel à des fins de tests manuels hors ligne.
  • Visibilité de l'état actuel d'exécution des tests
    Pour offrir une vue d'ensemble améliorée des tests en cours d'exécution, la vue Exécutions en cours de la page Activités indique l'état du plan d'exécution.
Sujet parent : Nouveautés de Silk Central 19.0


Exécutions externes

Silk Central s'intègre à un plus grand nombre d'écosystèmes d'outils existants, grâce à une fonctionnalité permettant d'utiliser les résultats des tests automatisés sans que ces tests automatisés ne soient exécutés par le biais des serveurs d'exécution Silk Central.

Les avantages pour les utilisateurs travaillant dans des environnements d'exécution propriétaires existants trop complexes ou trop spéciaux pour s'adapter à l'environnement d'exécution de Silk Central, ainsi que pour les utilisateurs possédant des résultats de test automatisé provenant de plusieurs sources (des systèmes d'intégration continue par exemple) sont les suivants : ils peuvent continuer à collecter tous les résultats de la totalité de leur processus de test dans un emplacement central et à associer ces résultats à leurs exigences, versions et builds afin de profiter d'un processus holistique de génération de rapports et de prise de décision.

Le processus de création de tests (c'est-à-dire la représentation du test réel dans Silk Central) et de planification de l'exécution reste le même. Vous créez des tests dans Silk Central, puis vous les assignez à des plans d'exécution en vue de leur exécution.

La différence réside dans les paramètres de déploiement du plan d'exécution. Plutôt que de spécifier un serveur d'exécution, vous activez la fonction Exécution externe des tests assignés.

L'exécution de ce plan d'exécution aboutit à une exécution de plan d'exécution apparaissant comme les exécutions de plan d'exécution standard dans l'interface utilisateur de Silk Central, à la différence près que ce plan d'exécution attend de recevoir des résultats en provenance de l'environnement d'exécution externe.

Pour interagir depuis l'extérieur avec ces exécutions de plan d'exécution externes, Silk Central 19.0 introduit une toute nouvelle API REST pour demander les informations relatives à l'exécution de plan d'exécution elle-même et à ses exécutions de test assignées. D'autre part, la nouvelle API REST permet de télécharger les fichiers de résultat, de définir l'état des exécutions de test uniques ainsi que de finaliser l'exécution de plan d'exécution globale. L'API REST peut être explorée via une documentation interactive disponible sur l'ordinateur sur lequel Silk Central est installé, à l'URL[host]:[port][/instance]/Services1.0/swagger-ui.html, par exemple http://localhost:19120/Services1.0/swagger-ui.html.

Sujet parent : Organisation des exécutions et exécution des tests


Propriétés de pas de test personnalisées dans les tests manuels hors ligne

Désormais, les propriétés de pas de test personnalisées figurent également dans les informations générées sous forme de fichier Excel à des fins de tests manuels hors ligne.
Sujet parent : Organisation des exécutions et exécution des tests


Visibilité de l'état actuel d'exécution des tests

Pour offrir une vue d'ensemble améliorée des tests en cours d'exécution, la vue Exécutions en cours de la page Activités indique l'état du plan d'exécution.

Lorsque l'exécution de test distribuée est activée, chaque test possède un état différent dans un plan d'exécution. Par conséquent, les informations relatives à l'état d'exécution sont rendues visibles pour chaque exécution de test dans les détails de l'exécution de plan d'exécution. Chaque test est géré séparément comme un plan d'exécution auquel un test a été assigné. Pour chaque test assigné, vous pouvez maintenant voir si le test attend un serveur d'exécution, est en cours d'exécution, récupère les résultats ou est déjà terminé.

Sujet parent : Organisation des exécutions et exécution des tests


Améliorations de l'API

Silk Central 19.0 propose une nouvelle API REST pour déclencher les exécutions et obtenir les résultats des exécutions terminées. Avec cette API, il est également possible de transmettre des paramètres lors du démarrage d'une exécution.
Sujet parent : Nouveautés de Silk Central 19.0


Intégrations

  • Tests manuels sur des équipements mobiles à partir de Mobile Center
    Silk Central permet désormais d'accéder aux appareils mobiles fournis par le biais de Mobile Center en vue de leur utilisation dans le processus de test manuel.
  • Jira Agile - Extension de la limite de caractères JQL
    La chaîne JQL peut maintenant contenir jusqu'à 1 000 caractères, contre les 128 caractères autorisés dans les versions précédentes de Silk Central.
  • Prise en charge de Team Foundation Server 2017
    Silk Central 19.0 prend désormais en charge Team Foundation Server 2017 pour l'intégration de référentiels tiers et l'intégration de suivi d'incidents.
  • Intégration CI
    Silk Central 19.0 fournit des améliorations pour les intégrations CI.
  • Prise en charge de SAP Solution Manager 7.2
    Silk Central 19.0 prend désormais en charge SAP Solution Manager 7.2 pour l'intégration des exigences et l'intégration de suivi d'incidents.
Sujet parent : Nouveautés de Silk Central 19.0


Tests manuels sur des équipements mobiles à partir de Mobile Center

Silk Central permet désormais d'accéder aux appareils mobiles fournis par le biais de Mobile Center en vue de leur utilisation dans le processus de test manuel.
Sujet parent : Intégrations


Jira Agile - Extension de la limite de caractères JQL

La chaîne JQL peut maintenant contenir jusqu'à 1 000 caractères, contre les 128 caractères autorisés dans les versions précédentes de Silk Central.
Sujet parent : Intégrations


Prise en charge de Team Foundation Server 2017

Silk Central 19.0 prend désormais en charge Team Foundation Server 2017 pour l'intégration de référentiels tiers et l'intégration de suivi d'incidents.
Sujet parent : Intégrations


Intégration CI

Silk Central 19.0 fournit des améliorations pour les intégrations CI.

Possibilité de transmettre des informations d'exécution supplémentaires

Silk Central prend désormais en charge la transmission d'informations d'exécution supplémentaires lors du déclenchement d'exécutions à partir de votre serveur CI. Attention à l'entrée de blog correspondant sur le Silk Central Blog.

Support de pipeline pour Jenkins

L'intégration Silk Central Jenkins prend désormais en charge l'utilisation des pipelines, permettant une approche plus efficace pour une intégration continue.

Sujet parent : Intégrations


Prise en charge de SAP Solution Manager 7.2

Silk Central 19.0 prend désormais en charge SAP Solution Manager 7.2 pour l'intégration des exigences et l'intégration de suivi d'incidents.
Sujet parent : Intégrations


Microsoft SQL Server 2017

Silk Central 19.0 prend désormais en charge Microsoft SQL Server 2017.
Sujet parent : Nouveautés de Silk Central 19.0


Prise en main

Silk Central met en avant la qualité de l'application tout au long du cycle de développement.

Les systèmes de commerce électronique actuels sont de plus en plus complexes, et la fiabilité n'a jamais été aussi cruciale. De ce fait, la garantie de la qualité de l'application tout au long du cycle de développement est un facteur clé de réussite. La meilleure façon de vérifier la qualité d'une application sur la durée est de réaliser quotidiennement des tests clés. Silk Central vous facilite la tâche en automatisant les exécutions de test soumises à des planifications que vous pouvez configurer à votre gré, aussi bien pendant le développement de l'application qu'après son déploiement. En fournissant des rapports avec différents niveaux de détail, la vérification de l'état des applications au cours du développement est aussi simple que de contrôler un rapport HTML dans un navigateur Web.

Pour les projets logiciels complexes, les tests approfondis des nouveaux builds revêtent une importance critique. Silk Central permet de gagner du temps et des heures-hommes en automatisant ce processus.

  • Installation de Silk Central et gestion des licences associées
    Décrit comment pour installer Silk Central et obtenir les licences.
  • Concepts de Silk Central
    Cette section explique les concepts de base de Silk Central , y compris le flux de travail de base, les ressources disponibles et le but de leur utilisation.
  • Interface utilisateur
    Présente l'interface utilisateur de Silk Central.
  • Tâches de démarrage rapide
    Les tâches de démarrage rapide sont des vues d'ensemble générales des tâches principales que vous serez certainement amené à exécuter avec Silk Central .
Sujet parent : Aide de Silk Central


Installation de Silk Central et gestion des licences associées

Pour plus d'informations sur l'installation de Silk Central et la gestion des licences associées, reportez-vous à l'aide relative à l'installation de Silk Central, qui est également disponible à partir du DVD d'installation de Silk Central et du site de téléchargement de Silk Central.

Sujet parent : Prise en main
Concepts associés
Aide à l'installation et la configuration du système


Concepts de Silk Central

Cette section explique les concepts de base de Silk Central , y compris le flux de travail de base, les ressources disponibles et le but de leur utilisation.
  • Workflow
    Le workflow de gestion de test de Silk Central se compose de quatre activités principales : Définition des exigences, conception de tests, organisation des exécutions et exécution de tests, suivi et analyse des résultats des tests.
  • Exigences
    Une exigence est une condition ou une compétence dont un utilisateur a besoin pour réaliser une tâche spécifique, qui doit être remplie par l'application testée (AUT).
  • Tests
    Un test, ou scénario de test, est un ensemble de valeurs d'entrée, de conditions préalables à l'exécution, de résultats attendus et de conditions ultérieures à l'exécution, développé pour un objectif ou une condition de test spécifique, comme exercer un chemin de programme particulier ou vérifier la conformité avec une exigence spécifique (après IEEE 610).
  • Organisation des Exécutions
    L'espace Organisation des Exécutions vous permet de conserver le contrôle des exécutions de tests au cours du développement et des tests. Inclut des activités telles que : configurer et planifier des plans d'exécution, assigner des tests à ces plans, définir des dépendances de plan d'exécution et configurer le déploiement d'un serveur d'exécution, de même que le processus dynamique de fourniture de matériel au moyen de mots-clés.
Sujet parent : Prise en main


Workflow

Le workflow de gestion de test de Silk Central se compose de quatre activités principales : Définition des exigences, conception de tests, organisation des exécutions et exécution de tests, suivi et analyse des résultats des tests.

Définition des exigences

Conception de tests

Organisation des exécutions et exécution de tests

Suivi et analyse des résultats des tests

Sujet parent : Concepts de Silk Central


Exigences

Une exigence est une condition ou une compétence dont un utilisateur a besoin pour réaliser une tâche spécifique, qui doit être remplie par l'application testée (AUT).Associez vos exigences et vos tests afin de déterminer dans quelle mesure votre logiciel couvre les exigences spécifiées. Plusieurs tests peuvent couvrir une seule exigence et plusieurs exigences peuvent être couvertes par un seul test.
Sujet parent : Concepts de Silk Central


Tests

Test |  | Un test, ou scénario de test, est un ensemble de valeurs d'entrée, de conditions préalables à l'exécution, de résultats attendus et de conditions ultérieures à l'exécution, développé pour un objectif ou une condition de test spécifique, comme exercer un chemin de programme particulier ou vérifier la conformité avec une exigence spécifique (après IEEE 610). Silk Central prend en charge différents types de test, et les tests peuvent être structurés de diverses manières.
 | Types de test
 | Test manuel | Les tests manuels sont des instructions étape par étape pour les testeurs. Silk Central fournit une interface utilisateur pour exécuter efficacement des tests manuels, y compris l'option d'enregistrer des vidéos et d'effectuer des captures d'écran pendant l'exécution des tests. Si vous le souhaitez, les tests manuels peuvent être convertis ultérieurement en tests automatisés.
 | Test basé sur des mots-clés | Un test basé sur mots-clés est une séquence de mots-clés. Vous pouvez lire un test basé sur mots-clés comme tout autre test. Silk Central et Silk Test prennent en charge la méthodologie de tests basés sur mots-clés et permettent une collaboration très étroite entre les ingénieurs spécialisés dans l'automatisation et les analystes en demandant aux ingénieurs spécialisés dans l'automatisation de développer une infrastructure d'automatisation gérable composée de ressources partagées sous la forme de mots-clés dans Silk Test. Ces mots-clés peuvent alors être utilisés par des analystes soit dans Silk Test pour créer de nouveaux tests basés sur mots-clés soit dans Silk Central pour convertir leurs ressources de tests manuels existantes en tests automatisés ou pour créer de nouveaux tests basés sur mots-clés.
 | Test UFT | Le logiciel Unified Functional Testing ( UFT ), anciennement connu sous le nom de HP QuickTest Professional (QTP), permet l'automatisation des tests fonctionnels et de régression automatisés pour les applications et les environnements logiciels.
 | Test JUnit | JUnit est une infrastructure de tests d'unité pour le langage de programmation Java. Utilisez ce type de test pour les tests JUnit, Silk4J, et Selenium.
 | Test NUnit | NUnit est une infrastructure de tests d'unité pour le langage de programmation .NET Microsoft .
 | Test MSTest | MSTest est un utilitaire de ligne de commande de qui exécute des tests unitaires créés dans Microsoft . Utilisez ce type de test pour les tests MSTest et Silk4NET.
 | Test ProcessExecutor | Le type de test ProcessExecutor peut être utilisé pour exécuter une ligne de commande.
 | Test .NET Explorer | Le type de test est utilisé pour exécuter les scripts Silk Performer .NET Explorer ou un scénario de test spécifique d'un script.
 | Test Silk Performer | Les projets Silk Performer peuvent être intégrés aux tests Silk Central et exécutés directement via Silk Central . Ceci permet d'offrir des fonctions performantes d'analyse des résultats de test et de création de rapports sur ces résultats. Des tests sans intervention manuelle sont également possibles ; ils sont exécutés automatiquement par Silk Central selon des planifications préconfigurées.
 | Test Silk Test Workbench | Silk Test Workbench est un outil de test automatisé permettant d'accélérer le test fonctionnel d'applications complexes. Silk Test Workbench propose une prise en charge des applications de test développées dans une large palette d'outils de développement : Java, .NET, applications Web basées sur navigateur et composants COM, notamment (y compris des contrôles ActiveX et des objets d'automatisation).
 | Test Silk Test Classic | L'interface Silk Test Classic de Silk Central offre un moyen fiable d'automatiser les utilisateurs de Silk Test Classic . Chaque scénario de test d'un script Silk Test Classic s'exécute à l'intérieur de sa propre exécution de test et produit ses propres résultats.
 | Test de plan Silk Test Classic | Le type de test du plan Silk Test Classic est utilisé pour les plans de test Silk Test Classic . Un plan de test est généralement un document structuré hiérarchiquement qui décrit les exigences en matière de test et contient les déclarations, les scripts de test et les scénarios de test qui implémentent les exigences des tests.
 | Test Silk TestPartner | TestPartner est un produit Micro Focus qui teste des applications Web et Microsoft Windows utilisant des technologies Microsoft.
 | Structure de test
 |  | Les conteneurs de tests sont utilisés pour structurer vos ressources de test au plus haut niveau. Silk Central associe un profil de référentiel tiers défini et une application par conteneur, ce qui a des répercussions sur ce que vous pouvez faire avec les tests dans le cadre d'un conteneur spécifique.
 |  | Utilisez des dossiers pour structurer vos tests dans un conteneur.
 |  | Les packages de tests permettent de prendre en charge les types de test tiers dans Silk Central . Ils se composent d'un nœud racine de package ainsi que d'une arborescence arbitraire de nœuds de suites et de nœuds de tests.
Sujet parent : Concepts de Silk Central


Organisation des Exécutions

L'espace Organisation des Exécutions vous permet de conserver le contrôle des exécutions de tests au cours du développement et des tests. Inclut des activités telles que : configurer et planifier des plans d'exécution, assigner des tests à ces plans, définir des dépendances de plan d'exécution et configurer le déploiement d'un serveur d'exécution, de même que le processus dynamique de fourniture de matériel au moyen de mots-clés.

Un plan d'exécution est une collecte de tests assignés qui sont stockés dans un conteneur de tests unique. Un plan d'exécution peut être lancé selon des planifications configurables et déployées sur des serveurs d'exécution définis.

Les tests de configurations consistent à tester un système avec chaque configuration logicielle et matérielle prise en charge. Vous pouvez créer des suites de configurations avec un jeu de tests assignés. Tous les plans d'exécution ajoutés à la suite de configurations possèderont également le jeu de tests assignés.

Un cycle de test est une période définie comprenant une date de début, une date de fin, ainsi qu'une liste de testeurs manuels. Créez des cycles de tests afin de planifier et d'exécuter des séries spécifiques de tests manuels.

Utilisez des dossiers pour structurer vos plans d'exécution, suites de configurations et cycles de test. Vous pouvez également imbriquer des dossiers dans des dossiers.

Sujet parent : Concepts de Silk Central


Interface utilisateur

Cette section présente l'interface utilisateur de Silk Central .

  • Présentation de l'interface utilisateur
    Présente l'interface utilisateur de Silk Central.
  • Tableau de bord
    Décrit l'espace de démarrage personnalisé des utilisateurs Silk Central.
  • Paramètres du navigateur
    Décrit les réglages à effectuer au niveau des paramètres du navigateur afin d'optimiser la fonctionnalité et les performances de Silk Central.
  • Connexion et déconnexion
    Décrit le mode de connexion et de déconnexion pour Silk Central.
  • Accessibility
    Silk Central offers accessibility for users with a visual disability.
Sujet parent : Prise en main


Présentation de l'interface utilisateur

Cette rubrique présente l'interface utilisateur de Silk Central.

Structure de l'interface utilisateur de base

L'interface utilisateur de Silk Central inclut :

  • Le Menu : placé en haut de l'interface utilisateur. Il permet d'accéder rapidement aux unités fonctionnelles de Silk Central.
  • L'Espace de travail : dans cet exemple, l'Espace de travail est la partie avec des onglets qui affiche la zone de travail fonctionnelle de l'unité Silk Central actuellement sélectionnée. Cet affichage change en fonction de l'unité sur laquelle vous travaillez.

Unités de Silk Central

Le Menu permet d'accéder rapidement aux unités fonctionnelles de Silk Central. Il comprend les principales sections suivantes :

Accueil

Affiche le tableau de bord qui est votre espace de démarrage personnel. Vous pouvez personnaliser le tableau de bord en ajoutant plusieurs panneaux et en les organisant afin que vous disposiez des informations dont vous avez besoin dans la réalisation de vos tâches quotidiennes.

Exigences

Affiche les exigences de votre projet et vous permet de conserver le contrôle de ces exigences au cours du développement. Vous pouvez réaliser les tâches suivantes :

  • Créer, modifier et supprimer des exigences
  • Associer les tests aux exigences
  • Effectuer le suivi des changements apportés aux exigences
  • Générer des plans de test à partir des listes d'exigences
En outre, vous pouvez accéder aux éléments ci-dessous et les gérer :
  • Propriétés des exigences
  • Outils de gestion des exigences externes Intégrés
  • Filtres d'exigences
  • Notifications qui vous informent des changements apportés aux exigences

Tests

Vous permet de créer et de gérer des tests automatisés et manuels. En outre, vous pouvez accéder aux éléments ci-dessous et les gérer :

  • Bibliothèques, contenant les tests manuels, les pas de tests et les mots-clés souvent utilisés que vous pouvez réutiliser.
  • Propriétés des pas de tests individuels pour les tests manuels
  • Propriétés des mots-clés dans le cas de tests basés sur mots-clés
  • Attributs de test
  • Sources de données utilisables pour les tests
  • Profils de référentiel tiers dans lesquels sont stockés ces tests
  • Filtres de test
  • Notifications qui vous informent des changements apportés aux tests
  • Version et build de l'application qui fait l'objet d'un test spécifique

Organisation des exécutions

Affiche les exécutions de tests et vous permet de les gérer. Vous pouvez réaliser les tâches suivantes :

  • Configurer les plans d'exécution
  • Assigner des tests aux plans d'exécution
  • Définir des dépendances de plan d'exécution
  • Configurer le déploiement des serveurs d'exécution, notamment ceux sur lesquels les tests sont exécutés
  • Organiser et gérer l'exécution manuelle des tests
En outre, vous pouvez accéder aux éléments ci-dessous et les gérer :
  • Filtres d'exécution
  • Planifications d'exécution
  • Version et build de l'application qui fait l'objet de l'exécution spécifique d'un test
  • Notifications qui vous informent des changements concernant le processus d'exécution

Suivi

Affiche les pages Activités, Activités inter-projets, Rapport d'ensemble du projet et Objectifs qualité.

La page Activités affiche, par projet, l'activité des plans d'exécution récemment effectués, actuels et à venir.

Incidents

Affiche les incidents relatifs au projet actif et vous permet de les gérer.

En outre, vous pouvez accéder aux éléments ci-dessous et les gérer :
  • Projets dansIssue Manager, lorsqueIssue Manager comporte des incidents.
  • Profils de suivi d'incidents externes dans lesquels les incidents peuvent éventuellement résider

Rapports

Affiche des rapports qui contiennent des informations sur les exigences, les tests et les plans d'exécution et vous permet de les gérer. Vous pouvez réaliser les tâches suivantes :
  • Générer des rapports
  • Télécharger des modèles de rapport
  • Modifier les paramètres de rapports
  • Créer des rapports à partir de modèles préinstallés

Permet également d'accéder aux informations sur la fonctionnalité d'analyse de code par le biais de laquelle vous pouvez évaluer le degré de couverture du code de votre application sous test par les cas de test. Vous pouvez ensuite associer les estimations sur l'effort, les coûts et les risques aux changements de code spécifiques.

Recherche globale

Le champ Rechercher vous permet d'effectuer une recherche parmi plusieurs ressources de Silk Central. Les éléments suivants sont pris en compte lors d'une recherche globale :
  • Exigences et propriétés associées
  • Tests, dossiers et conteneurs de test et les valeurs d'attribut, propriétés et paramètres associés
  • Pas de tests et propriétés associées
  • Plans d'exécution, suites de configurations, cycles de test, dossiers et les paramètres associés
  • Dossiers de bibliothèque, pas de tests et pas de tests partagés
  • Incidents (recherchés par synopsis et description)
Remarque : L'index de recherche est régulièrement mis à jour en arrière-plan. Les résultats de recherche peuvent parfois être obsolètes.
Règles de recherche :
  • La recherche est insensible à la casse.
  • Tous les mots saisis font l'objet d'une recherche distincte. Les éléments correspondent à la recherche si au moins un mot est trouvé. Plus il y a de mots correspondant à la requête, plus l'évaluation de la recherche est élevée.
  • Les mots qui doivent correspondre à la requête reçoivent le préfixe +. Par exemple, « +test +type » renvoie uniquement les résultats correspondant à la fois à « test » et à « type ».
  • Les mots qui peuvent ne pas correspondre à la requête reçoivent le préfixe -. Par exemple, « test -copie » renvoie les résultats correspondant à « test », mais pas à « copie de test ».
  • Pour rechercher une correspondance exacte, mettez les mots de recherche entre guillemets, par exemple "gestion des comptes clients".
  • Pour limiter la recherche au nom de l'élément ou à la description, ajoutez respectivement au mot de recherche le préfixe name: ou description:. Par exemple, name:test renverra uniquement les résultats pour lesquels le nom de l'élément contient le mot test.
  • Les mots courants comme les articles ou les conjonctions sont ignorés.
Exemple :
name:"élément de test" -description:fermé
Cette recherche renvoie les éléments dont le nom contient l'expression « élément de test » et la description ne contient pas le mot « fermé ».

Projets

Affiche tous les projets de votre installation deSilk Central et vous permet de les gérer à partir d'une vue générale du responsable qualité. Vous permet également de passer d'un projet à un autre et de gérer les paramètres de ces projets.

Utilisateur

Affiche les paramètres utilisateur et vous permet de les gérer. Vous pouvez réaliser les tâches suivantes :
  • Vous déconnecter deSilk Central.
  • Imprimer la pageSilk Central actuelle.
  • Ajouter la pageSilk Central actuelle aux favoris. Ceci est particulièrement utile pour l'ajout de rapports aux Favoris lorsque les paramètres actuels sont enregistrés dans l'URL de favori.

Administration

Affiche les paramètres d'administration et vous permet de les gérer. Pour plus d'informations, reportez-vous aux rubriques Administration de cette Aide.

Aide

Cliquez dessus pour afficher l'aide contextuelle de la page actuelle. Vous avez également accès aux éléments suivants :
  • La documentation deSilk Central.
  • Les outils qui accompagnentSilk Central.
  • À Propos de : affiche des informations sur la version et la licence

Commandes de menus contextuels

Silk Central prend en charge les menus contextuels de l'environnement Windows pour plusieurs éléments de gestion de tests, par exemple les tests, les exigences, les plans d'exécution, les dossiers, les conteneurs, les rapports, etc. Les commandes des menus contextuels sont généralement accessibles dans la barre d'outils de chaque unité par un clic droit de la souris. Pour les éléments contenus dans une arborescence, les menus contextuels proposent des commandes pour développer et réduire ces éléments. Les commandes qui ne sont pas accessibles aux éléments sélectionnés sont désactivées.

Sujet parent : Interface utilisateur


Tableau de bord

Le tableau de bord de Silk Central constitue votre espace de démarrage personnel. Vous pouvez le personnaliser en ajoutant plusieurs panneaux et en les organisant afin que vous disposiez des informations dont vous avez besoin dans la réalisation de vos tâches quotidiennes.

Lorsque vous vous connectez à Silk Central pour la première fois, le tableau de bord affiche uniquement le panneau Introduction. Dans la partie supérieure, les date et heure de votre dernière connexion sont affichées. Vous pouvez rapidement Reprendre où vous en étiez en cliquant sur ce lien.

Cliquez sur les boutons situés dans la partie supérieure afin d'effectuer les actions suivantes :
  • Cliquez sur Ajouter un Panneau afin d'ajouter d'autres panneaux au tableau de bord.
  • Cliquez sur Changer la Présentation afin de modifier la présentation du tableau de bord.
  • Cliquez sur Réinitialiser afin de rétablir la vue par défaut du tableau de bord. Tous les panneaux que vous avez ajoutés, tout comme vos paramètres personnalisés, sont supprimés.

Pour organiser vos panneaux, cliquez sur l'en-tête d'un panneau et faites-le glisser jusqu'à la position souhaitée. Redimensionnez vos panneaux en faisant glisser un pied de page d'un panneau (seuls les panneaux contenant des listes sont redimensionnables).

Cliquez sur les boutons situés dans l'en-tête d'un panneau afin d'effectuer les actions suivantes :
  • Cliquez sur [image] pour supprimer le panneau du tableau de bord.
  • Cliquez sur [image] pour configurer les paramètres du panneau.
  • Cliquez sur [image] pour enregistrer le contenu du panneau au format PDF.
  • Cliquez sur [image] pour imprimer le contenu d'un panneau.

Vous avez besoin d'autorisations spécifiques pour afficher ou modifier le contenu de panneaux différents.

  • Ajout de panneaux au tableau de bord
    Décrit la façon d'ajouter des panneaux au tableau de bord.
  • Panneaux du tableau de bord
    Décrit les panneaux que vous pouvez ajouter à votre tableau de bord.
  • Silk Central Connect
    Cette rubrique décrit Silk Central Connect et son utilisation.
  • Autorisations des panneaux du tableau de bord
    Décrit les autorisations requises pour afficher ou modifier le contenu d'un panneau donné.
  • Ajout d'un rapport à un panneau de tableau de bord
    Explique comment créer un rapport et l'ajouter à un panneau de tableau de bord.
Sujet parent : Interface utilisateur


Ajout de panneaux au tableau de bord

Pour ajouter un panneau au tableau de bord :

  1. Dans le menu, cliquez sur Accueil > Mon tableau de bord.
  2. Dans le coin supérieur gauche, cliquez sur Ajouter un panneau. La boîte de dialogue Ajouter un panneau qui s'affiche répertorie les panneaux disponibles avec une courte description pour chacun.
  3. Sélectionnez un panneau.
  4. Cliquez sur OK.
  5. Si nécessaire, sélectionnez un Projet et un Intervalle de temps pour le panneau. Sélectionnez <Utiliser le projet en cours> pour que le panneau affiche toujours les données du projet actif en cours.
  6. Cliquez sur OK.

Pour la plupart des panneaux, vous devez configurer un projet car le panneau affiche uniquement les données d'un projet spécifique. Ajoutez plusieurs panneaux pour afficher en vis-à-vis les données adéquates pour d'autres projets ou configurez <Utiliser le projet en cours> pour que le panneau affiche toujours les données du projet actif en cours. Dans l'en-tête d'un panneau, cliquez sur [image] (Configurer) pour configurer un autre projet. Vous avez besoin d'autorisations spécifiques pour afficher ou modifier le contenu de panneaux différents.

Sujet parent : Tableau de bord


Panneaux du tableau de bord

Pour la plupart des panneaux, vous devez configurer un projet car le panneau affiche uniquement les données d'un projet spécifique. Ajoutez plusieurs panneaux pour afficher en vis-à-vis les données adéquates pour d'autres projets ou configurez <Utiliser le projet en cours> pour que le panneau affiche toujours les données du projet actif en cours. Dans l'en-tête d'un panneau, cliquez sur [image] (Configurer) pour configurer un autre projet. Vous avez besoin d'autorisations spécifiques pour afficher ou modifier le contenu de panneaux différents.

Vous pouvez ajouter les panneaux suivants à votre tableau de bord :

Panneau | Description
Incidents assignés | Ce panneau affiche tous les incidents (assignés à un test) relatifs au projet sélectionné. Si vous cliquez sur l'ID externe, l'incident s'affiche dans le système de suivi des incidents externe.
Informations personnalisées | Ce panneau affiche les informations personnalisables sur un projet spécifique. Les utilisateurs dotés de l'autorisation Gérer les projets peuvent ajouter du contenu tel que du texte, des images ou des liens hypertexte au panneau. Cliquez sur Modifier le contenu pour ouvrir l'éditeur HTML. Les utilisateurs ne disposant pas de l'autorisation Gérer les projets pourront uniquement consulter le contenu. Le panneau peut être utilisé pour afficher les nouveautés, des descriptions ou tout autre type d'informations en relation avec le projet.
Introduction | Ce panneau fournit une présentation rapide de Silk Central. Cliquez les liens sous Quoi de neuf ? pour obtenir des informations supplémentaires sur les fonctionnalités les plus récentes de Silk Central. Vous pouvez également rejoindre la communauté Micro Focus Community ou contacter le support Micro Focus SupportLine.
Cycle de vie des incidents | Ce panneau affiche le nombre d'incidents à l'état Ouvert, Corrigé, Vérifié, Fermé et Différé pour un profil de suivi d'incidents défini. Sélectionnez une Application dans la liste. Pour définir un profil de suivi d'incidents, cliquez sur Incidents dans le menu, cliquez sur Intégrations de suivi d'incidents, puis sur Nouveau profil. Le panneau affiche uniquement les données, si un profil est défini.
Incidents créés par testeur | Ce panneau affiche le nombre d'incidents créés par les testeurs, sous forme de graphique à barres. Si le document est imprimé ou téléchargé au format PDF, ces nombres seront également affichés dans un tableau.
Tests manuels qui me sont assignés

Ce panneau affiche tous les tests du projet sélectionné qui vous ont été assignés.

Si l'exécution des tests manuels est organisée selon des cycles de test, la liste inclut également tous les tests qui ne sont assignés à Aucun testeur spécifique sur la page Organisation des exécutions manuelles. Toutefois, cela vaut uniquement pour les cycles de test qui vous sont assignés en tant que testeur. Il s'agit d'un cas typique de travail en équipe où chaque testeur décide lui-même du test à exécuter.

Si l'exécution des tests manuels est organisée selon des plans d'exécution, la liste inclut également les tests de tous les plans d'exécution qui ne sont assignés à aucun testeur.

Cliquez sur [image] (Poursuivre le test manuel) pour ouvrir la fenêtre Test manuel.

Cliquez sur [image] (Voir les résultats de tests manuels) pour ouvrir la vue et afficher toutes les données et les pièces jointes associées au test.

Cliquez sur [image] pour obtenir des informations détaillées sur le Test, le Plan d'exécution ou le Parent du plan d'exécution.

Faites un clic droit sur un test, puis cliquez sur [image] pour télécharger un test manuel (au format Excel) afin de l'exécuter hors ligne (plusieurs tests peuvent être sélectionnés à l'aide des combinaisons de touches Ctrl + clic ou Maj + clic). Une fois le test exécuté, cliquez sur le bouton Télécharger les résultats de tests manuels hors ligne pour télécharger les résultats.

Si vous lancez un cycle de test (sur la page Organisation des exécutions manuelles) avant sa date de début, les tests de ce cycle s'affichent déjà sur le panneau. Il est possible de rendre ces test invisibles dans le panneau jusqu'à la date de début : cliquez sur [image] dans l'en-tête du tableau et cochez la case Masquer les futurs cycles de test.
Vue d'ensemble des tests manuels hors ligne | Ce panneau affiche les tests téléchargés par les testeurs et permet à Test Manager d'abandonner les exécutions hors ligne afin de libérer la licence.
Durée d'exécution prévue vs durée d'exécution réelle | Ce panneau indique si les testeurs d'un cycle de test sont planifiés pour l'exécution des tests. Si le temps réellement utilisé plus le temps planifié restant est supérieur à la capacité, le cycle de test risque de ne pas être terminé à temps.
Avancement pour l'objectif qualité | Ce panneau affiche un graphique comprenant deux barres pour chaque valeur de l'objectif Qualité sélectionné. La barre supérieure affiche le nombre de tests devant être exécutés pour répondre à l'objectif Qualité. La barre inférieure affiche le nombre de tests à l'état Réussi, En échec, Non exécuté et N/A (indisponible) avec cette valeur d'objectif Qualité. Si la barre inférieure est plus courte que la barre supérieure, cela signifie que trop peu de tests sont assignés aux plans d'exécution. Par conséquent, l'objectif Qualité ne peut pas être atteint. Sélectionnez un Objectif Qualité dans la liste.
Abonnement aux rapports | Ce panneau affiche les résultats d'un abonnement à un rapport. L'abonnement au rapport doit déjà être défini. Pour qu'il soit accessible, il vous faut sélectionner Inclure un tableau de bord et un accès externe dans la boîte de dialogue Modifier l'abonnement.
Etat de la couverture des exigences | Ce panneau affiche la couverture des exigences du projet sélectionné, réparties dans les catégories Réussi, En échec, Non exécuté et Non couvert. Cliquez sur [image] pour accéder à la Vue globale des exigences.
Silk Central Connect
Silk Central Connect combine des aspects de gestion de tests et des tests de configuration dans une interface simple d'utilisation. Il présente les avantages suivants :
  • Il permet de simplifier l'exécution automatique de tests d'unités sur un grand nombre de configurations combinant plusieurs systèmes d'exploitation et navigateurs Web.
  • Il permet de tirer parti des avantages d'Amazon Web Services en accédant facilement à de nombreuses configurations sans effectuer aucun investissement initial.
  • L'intégration étroite entre Silk Central Connect et Silk4J faciliter la création, la maintenance et l'exécution des tests.
  • L'analyse des résultats en vis-à-vis permet de comparer l'ensemble de vos tests appliqués à plusieurs configurations.

Pour plus d'informations, reportez-vous à la rubrique Silk Central Connect.
Silk Performer Tendances de Performance | Le panneau Silk Performer Tendances de Performance affiche l'état actuel du test de charge Silk Performer sélectionné ainsi que ses résultats disponibles, notamment les informations sur les tendances au cours des dernières exécutions.
Etats des tests manuels en cours d'exécution actuellement | Ce panneau affiche les états de tous les tests manuels en cours d'exécution dans le projet spécifié. Les responsables Qualité peuvent identifier les tests actuellement bloqués et contrôler l'état des tests déjà exécutés.
Journal de bord des tests | Ce panneau affiche les mises à jour en temps réel de toutes les activités effectuées lors des tests manuels. Les activités consignées dans le Journal de bord des tests débutent, terminent les tests et modifient les cycles de test en cours d'exécution. Pour plus d'informations, reportez-vous à la rubrique Journal de bord des tests.
Avancement du cycle de test | Ce panneau affiche un graphe des tests à l'état Réussi, En échec, En cours et Non exécuté pour le cycle de test défini. Il affiche également les jalons (sous forme de losanges), si vous en avez défini. Sélectionnez un Cycle de test dans la liste.
Synthèse des résultats du cycle de test | Ce panneau affiche l'état du cycle de test sélectionné, ainsi que l'état d'avancement des testeurs individuels assignés au cycle de test. Les barres sont affichées dans l'ordre suivant : nombre de Tests en échec, Tests restants et Tests réussis. Le testeur présentant le plus grand nombre de tests en échec est affiché en haut de la liste. Les nombres situés à droite des barres affichent les Tests terminés (indiqués à gauche) et les Tests assignés (indiqués à droite). Aucun testeur spécifique n'est pris en compte et n'est classé comme les autres testeurs. Cliquez sur [image] pour accéder à la vue Assignation de tests de la page Organisation des exécutions manuelles.
Chronologie du cycle de test | Ce panneau affiche tous les cycles de test du projet sélectionné sous forme de barres sur une ligne chronologique. Lorsque vous cliquez sur une barre, vous êtes dirigés vers la page Organisation des exécutions manuelles. Les barres sont de différentes couleurs, selon l'état actuel du cycle de test : bleu (en cours), orange (pas encore lancé) et gris (terminé). Placez la souris sur les barres pour obtenir des informations détaillées sur le cycle de test.
Avancement des tests selon les cycles de tests | Ce panneau affiche la durée (en heures) des tests à l'état Prévu (représentés par une ligne), ainsi que des tests à l'état En cours et Terminé (tous deux représentés sous forme d'aires empilées). Le panneau permet à un responsable qualité de prévoir si l'équipe chargée des tests sera en mesure de terminer les tests dans les temps. La date de début du graphique correspond à la date de début du premier cycle de test. La date de fin du graphique correspond à la date de fin du dernier cycle de test. Le panneau n'affiche pas la durée réelle ayant été nécessaire à l'équipe chargée des tests pour exécuter les tests.
Tests volatils | Ce panneau affiche la fréquence à laquelle les tests ont changé d'état au cours d'un plan d'exécution. Les tests n'ayant pas enregistré de changement d'état et les packages de tests ne sont pas affichés dans ce panneau. Les tests sont affichés en fonction du projet et de l'intervalle de temps sélectionnés. Le panneau permet aux responsables qualité d'être informés de ces tests volatils, qui démontrent un test instable ou un périmètre de test pour lequel des incidents sont fréquemment détectés.
Sujet parent : Tableau de bord


Silk Central Connect

Silk Central Connect combine des aspects de gestion de tests et des tests de configuration dans une interface simple d'utilisation. Il présente les avantages suivants :
  • Il permet de simplifier l'exécution automatique de tests d'unités sur un grand nombre de configurations combinant plusieurs systèmes d'exploitation et navigateurs Web.
  • Il permet de tirer parti des avantages d'Amazon Web Services en accédant facilement à de nombreuses configurations sans effectuer aucun investissement initial.
  • L'intégration étroite entre Silk Central Connect et Silk4J faciliter la création, la maintenance et l'exécution des tests.
  • L'analyse des résultats en vis-à-vis permet de comparer l'ensemble de vos tests appliqués à plusieurs configurations.
  • Vue d'ensemble
    Cette rubrique décrit Silk Central Connect et son utilisation.
  • Architecture de Silk Central Connect
    Cette section propose une vue d'ensemble de l'architecture de Silk Central Connect.
  • Conditions préalables
    Répertorie les conditions préalables requises pour utiliser Silk Central Connect.
  • Configurer les référentiels tiers
    Intégrez Silk Central Connect à votre système de référentiel tiers Subversion pour permettre à Silk Central Connect d'enregistrer des données de projets.
  • Création de tests d'application Web
    Créez un test et vérifiez comment s'affiche l'application Web dans les navigateurs disponibles à votre emplacement par défaut.
  • Personnalisation de tests d'application Web
    Créez un jeu de tests pour tester le fonctionnement de votre application Web.
  • Exécution de vos tests d'applications Web sur plusieurs navigateurs en parallèle
    Améliorez votre environnement de test afin d'exécuter les tests de vos applications Web sur plusieurs navigateurs en parallèle.
  • Analyse des résultats de test
    Analysez les résultats de test après l'exécution d'un test.
  • Planification de vos tests pour une exécution en continu
    Planifiez l'exécution de vos projets à une heure spécifique chaque jour.
  • Questions fréquentes
    Propose des réponses aux questions fréquentes au sujet de Silk Central Connect.
Sujet parent : Tableau de bord


Vue d'ensemble

Silk Central Connect offre un nouveau moyen d'exploiter la puissance du Cloud pour tester vos applications Web sur les navigateurs Web mobiles ou de bureau sans passer par la case configuration. Silk Central Connect :
  • Peut réduire de 80 % le temps et les efforts nécessaires aux tests multinavigateurs
  • Réduit le coût total de possession en éliminant l'étape de configuration matérielle pour les différents navigateurs
  • Résout les incidents plus rapidement en identifiant visuellement les endroits où l'application se bloque sur les différents navigateurs

Pour plus d'informations sur Silk4J, voir le Silk4J User Guide.

Pour plus d'informations sur la configuration des environnements de test, voir Configuration de serveurs d'exécution.

Sujet parent : Silk Central Connect


Architecture de Silk Central Connect

Silk Central Connect est basé sur l'architecture de Silk Central. En outre, il vous permet d'utiliser des serveurs d'exécution basés sur le Cloud. Si vous testez une application Web interne sur votre Intranet en utilisant des serveurs d'exécutions basés sur le Cloud, vous pouvez configurer les paramètres de tunnel pour effectuer les tests de site Web sur Intranet local.Grâce à ces paramètres, le serveur d'application Silk Central crée un tunnel vers les serveurs d'exécution hébergés sur le Cloud et agit en tant que proxy pour permettre le test d'un site Web sur votre Intranet local. Notez que cette option est plus lente que la connexion directe. Sélectionnez-la uniquement si nécessaire.

Sujet parent : Silk Central Connect


Conditions préalables

Pour utiliser Silk Central Connect, les conditions préalables suivantes sont requises :
  • Silk Central doit être installé sur votre environnement.
  • Silk4J, le plug-in Silk Test pour Eclipse, doit être installé sur votre environnement.
Sujet parent : Silk Central Connect


Configurer les référentiels tiers

Pour permettre à Silk Central Connect d'enregistrer des tests d'exécution finaux, vous devez intégrer Silk Central Connect à votre système de référentiel tiers Subversion (SVN).

  1. Sur le panneau Silk Central Connect, cliquez sur Configurer le référentiel tiers Subversion.
  2. Entrez l'URL de votre référentiel Subversion dans le champ URL. Si aucun référentiel SVN n'est configuré, Silk Central Connect configure automatiquement un référentiel basé sur des fichiers.
    Important : Un référentiel basé sur des fichiers ne peut servir qu'à des fins d'évaluations et ne doit en aucun cas être utilisé à des fins de production. De plus, ce référentiel n'est accessible que localement sur la machine et Silk4J doit également être installé sur cet ordinateur.

    Par exemple, si votre serveur Subversion se situe sur le domaine http://svn.masociete.com et si le référentiel se trouve sous TestAutomation/tronc, entrez http://svn.masociete.com/TestAutomation/tronc dans le champ URL.

  3. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder à votre référentiel pour tous les projets. Si vous utilisez un référentiel basé sur des fichiers, aucun Nom d'utilisateur ni Mot de passe n'est nécessaire.
  4. Cliquez sur Enregistrer.
Sujet parent : Silk Central Connect


Création de tests d'application Web

Immédiatement après l'installation de Silk Central Connect et la configuration de Subversion, vous pouvez créer un nouveau projet pour votre application Web. Vous pouvez ensuite utiliser l'exécution de vérification intégrée pour obtenir un premier instantané de l'application Web dans chacun des navigateurs disponibles sur votre machine locale.

  1. Sur le panneau Silk Central Connect, cliquez sur Nouveau projet. La boîte de dialogue Nouveau projet s'affiche.
  2. Si vous utilisez Silk Central Connect dans un environnement Silk Central complet, vous pouvez choisir d'ajouter votre nouveau projet Silk4J à un projet Silk Central existant ou de créer un tout nouveau projet Silk Central.
  3. Si vous créez un nouveau projet, tapez un nom pour ce projet dans le champ Nom du projet.
  4. Entrez l'URL de l'application de test dans le champ URL.
  5. Cliquez sur OK.
  6. Facultatif : si vous testez une application Web interne sur votre intranet par l'entremise de serveurs d'exécution sur le Cloud, cliquez sur Paramètres du tunnel et sélectionnez Site intranet local. Grâce à ces paramètres, le serveur d'application Silk Central crée un tunnel vers les serveurs d'exécution hébergés sur le Cloud et agit en tant que proxy pour permettre le test d'un site Web sur votre Intranet local. Notez que cette option est plus lente que la connexion directe. Sélectionnez-la uniquement si nécessaire.
  7. Cliquez sur Exécuter les tests.
  8. Sélectionnez toutes les configurations disponibles.
  9. Cliquez sur Exécuter les tests.
  10. Cliquez sur Actualiser pour vérifier si l'exécution est terminée.
  11. Lorsque l'exécution est achevée, cliquez sur le lien heure de début. Vous pouvez voir le résultat du test pour chaque configuration. Le cas de test par défaut s'appelle validateAppearance.
  12. Cliquez sur le résultat des tests de la première configuration. Vous pouvez consulter les détails des résultats des tests, qui incluent notamment une capture d'écran de l'application de test. Vous pouvez cliquer sur la capture d'écran pour l'agrandir.
  13. Cliquez parmi les résultats pour visualiser l'apparence de l'application pour toutes les configurations.

    Conseil : Appuyez sur les touches Gauche et Droite du clavier pour naviguer parmi les résultats.
Sujet parent : Silk Central Connect


Personnalisation de tests d'application Web

Pour effectuer les actions décrites dans cette rubrique, les conditions suivantes sont requises :
  • Pour être en mesure d'enregistrer des tests avec Silk4J, une version actuelle de Internet Explorer doit être installée sur votre système. Pour plus d'informations sur les versions prises en charge, reportez-vous à Notes de mise à jour.
  • Pour plus d'informations sur les navigateurs pris en charge pour la lecture, reportez-vous à Silk Test Notes de mise à jour.
  • Pour tester une application sur les navigateurs mobiles, installez un émulateur sur votre système ou connectez un appareil mobile au système. Pour plus d'informations sur le test d'applications Web mobiles, reportez-vous à Mobile Testing Tutorial.
Après que vous avez créé un projet pour une application Web, vous pouvez ajouter des tests supplémentaires ou étendre les tests existants pour évaluer des fonctionnalités supplémentaires de l'application Web.
  1. Pour ouvrir un projet dans Eclipse, effectuez l'une des opérations suivantes :
    • Sur le panneau Silk Central Connect, cliquez sur Ouvrir avec Silk4J dans la colonne Action qui correspond au projet.
    • Dans la page d'aperçu du projet, cliquez sur Ouvrir avec Silk4J.
    Lors de la création d'un projet Silk Central Connect, un modèle de projet Eclipse est enregistré dans votre référentiel tiers, avec les éléments suivants :
    • Dossier src : emplacement de stockage des nouveaux tests.
    • Dossier Lib : pour utiliser des bibliothèques Java additionnelles dans votre projet Silk4J, ajoutez-les dans ce dossier. Silk Central Connect ajoute tous les fichiers jar présents dans ce dossier au classpath lors de l'exécution des tests.
    • build.xml : fichier de build ANT qu'utilise Silk Central Connect pour édifier les tests avant l'exécution.
    • Autres fichiers relatifs à Eclipse
  2. Enregistrez les tests supplémentaires dans Silk4J.
    1. Dans l'Explorateur de packages, sélectionnez le projet auquel vous voulez ajouter le nouveau test.
    2. Dans la barre d'outils, cliquez sur Enregistrer actions.
      • Si une classe de test Silk4J est ouverte dans Eclipse, les actions enregistrées aboutissent dans ce fichier.
      • Si aucune classe de test Silk4J n'est ouverte dans Eclipse, les actions enregistrées aboutissent dans un nouveau fichier de classe de test Silk4J.

      L'application Web et la fenêtre Enregistrement s'ouvrent. Silk4J crée un état de base et démarre l'enregistrement.

    3. Effectuez les pas que vous souhaitez enregistrer pour l'application sous test.
    4. Cliquez sur Arrêter l'enregistrement. La boîte de dialogue Enregistrement terminé s'affiche.

    5. Le champ Dossier source reçoit automatiquement l'emplacement du fichier source du projet sélectionné. Pour utiliser un dossier source différent, cliquez sur Sélectionner et accédez au dossier à utiliser.
    6. Facultatif : dans la zone de texte Package, indiquez le nom du package. Pour utiliser un package existant, cliquez sur Sélectionner et choisissez le package à utiliser.
    7. Dans la zone de texte Classe de test, saisissez le nom de la classe de test.
    8. Dans la zone de texte Méthode de test, saisissez un nom pour la méthode de test.
    9. Cliquez sur OK.

    Pour plus d'informations sur Silk4J, voir le Silk4J User Guide.

  3. Assurez-vous que le test fonctionne comme prévu dans Silk4J.
    1. Dans la barre d'outils de Silk4J, cliquez sur Exécuter les tests Silk4J sélectionnés.
    2. Dans la boîte de dialogue Sélectionner le navigateur, choisissez le navigateur pour exécuter le test.

    3. Cliquez sur Exécuter. Si le test réussit et que les résultats apparaissent comme prévu, vous pouvez ajouter le test au jeu de tests pour le projet dans Silk Central Connect.
  4. Dans la barre d'outils de Silk4J, cliquez sur Valider pour valider les modifications apportées au projet dans le référentiel.
  5. De retour sur la page d'aperçu du projet dans Silk Central Connect, cliquez sur Exécuter les tests pour exécuter tous les tests du projet.
  6. Sélectionnez les configurations.

  7. Cliquez sur Exécuter les tests.
  8. Lorsque l'exécution est achevée, cliquez sur le lien heure de début. Vous pouvez voir les résultats pour chaque test et chaque configuration.

Si tous les tests se sont déroulés comme prévu pour toutes les configurations, vous pouvez étendre le jeu de tests ou planifier le projet pour des exécutions répétées.

Sujet parent : Silk Central Connect


Exécution de vos tests d'applications Web sur plusieurs navigateurs en parallèle

Lorsque vous avez vérifié que vos applications Web se comportent conformément à vos attentes sur les navigateurs disponibles sur votre machine locale, vous pouvez ajouter des serveurs d'exécution supplémentaires à votre environnement de test afin d'exécuter les tests de vos applications Web sur plusieurs navigateurs en parallèle.

Les trois options suivantes sont à votre disposition pour tester vos applications Web sur des navigateurs supplémentaires :

  1. Installer des navigateurs supplémentaires sur les serveurs d'exécution existants. Cette option vous permet de tester des navigateurs supplémentaires, mais elle allonge la durée requise pour l'exécution de la batterie de tests pour votre application testée : en effet, les navigateurs sont testés de manière séquentielle sur les serveurs d'exécution.
  2. Ajouter des serveurs d'exécution supplémentaires à votre environnement de test. Ce choix vous permet de tester des navigateurs supplémentaires sans allonger de façon trop sensible la durée d'exécution de votre batterie de tests. Les tests sont répartis entre les serveurs d'exécution en fonction des navigateurs disponibles sur chaque serveur. Toutefois, cette option augmente les besoins en matière de configurations matérielles. Pour plus d'informations sur l'ajout d'un serveur d'exécution à votre environnement de test, consultez la rubrique Configuration des serveurs d'exécution physiques.
  3. Vous connecter au Cloud.
    Remarque : Vous avez besoin d'un compte de fournisseur de Cloud pour pouvoir exécuter vos tests sur le Cloud.

    Cette option vous permet de tester un grand nombre de navigateurs différents sans rallonger la durée d'exécution de votre batterie de tests et sans besoins matériels supplémentaires. Le coût supplémentaire est directement fonction de l'ampleur de vos tests, c'est à dire la fréquence à laquelle vous exécutez votre batterie de tests et la taille de cette dernière.

Pour plus d'informations sur la configuration des environnements de test, voir Configuration de serveurs d'exécution.

Pour plus d'informations sur l'exécution sur plusieurs navigateurs de tests basés sur mots-clés, voir Tests basés sur mots-clés sur plusieurs navigateurs

Sujet parent : Silk Central Connect


Analyse des résultats de test

Après l'exécution d'un test, vous pouvez afficher les résultats de ce test.

  1. Le panneau Silk Central Connect affiche l'état de la dernière exécution de test sur l'ensemble de vos projets.

  2. Pour afficher les résultats de tous les tests et de toutes les exécutions de tests pour un projet déterminé, cliquez sur le nom du projet.

    La page d'aperçu du projet s'ouvre.

  3. Dans la page Résultats de tests, cliquez sur l'état d'un résultat de test déterminé pour voir les résultats de l'exécution du test pour chaque configuration.

  4. Dans la page Résultats de tests, cliquez sur l'état d'un test pour afficher des informations détaillées, dont les journaux d'erreurs et les fichiers TrueLog.

Sujet parent : Silk Central Connect


Planification de vos tests pour une exécution en continu

Vous pouvez planifier l'exécution de tous les tests de vos projets à la même heure chaque jour.
Remarque : Si vous exécutez Silk Central Connect au sein d'un environnement Silk Central complet, vous pouvez utiliser les fonctionnalités de planification plus avancées disponibles sous Organisation des exécutions > Vue détaillée > Planification
à la place.
  1. Sur le panneau Silk Central Connect, cliquez sur le nom du projet dont vous souhaitez planifier l'exécution quotidienne.
  2. Sur la page Vue d'ensemble du projet, cliquez sur Planifier des tests.
  3. Dans la boîte de dialogue Planifier des tests, précisez l'heure à laquelle l'exécution des tests doit démarrer chaque jour.

  4. Dans la liste des configurations disponibles, sélectionnez les configurations sur lesquelles les tests doivent être exécutés. Si vous avez déjà exécuté les tests du projet, les configurations utilisées lors de la dernière exécution sont présélectionnées. Si vous n'avez pas exécuté de tests, toutes les configurations sont présélectionnées.
  5. Cliquez sur Enregistrer.
Tous les tests du projet seront exécutés sur les configurations sélectionnées, à l'heure spécifiée, tous les jours. L'heure planifiée s'affiche sur la page Vue d'ensemble du projet. Vous pouvez supprimer la planification en cliquant sur le bouton Supprimer situé à côté de la planification.
Sujet parent : Silk Central Connect


Questions fréquentes

Cette section propose des réponses aux questions fréquentes au sujet de Silk Central Connect.

  • Pourquoi mes tests Silk4J échouent-ils ?
    Actualisez Silk Central Connect et redémarrez Eclipse pour vous assurer que la connexion entre Silk Central Connect et Silk4J fonctionne correctement.
Sujet parent : Silk Central Connect


Pourquoi mes tests Silk4J échouent-ils ?

Si l'exécution des tests Silk4J à partir de Silk Central Connect ne fonctionne pas, la connexion entre Silk Central Connect et Silk4J ne fonctionne peut-être pas correctement. Vous pouvez essayer les solutions suivantes afin d'établir la connexion : Si Silk4J a été installé avant Silk Central Connect, redémarrez Eclipse ou l'agent ouvert.

Sujet parent : Questions fréquentes


Autorisations des panneaux du tableau de bord

Pour afficher ou modifier le contenu d'un panneau donné du tableau de bord, vous devez disposer des autorisations suivantes :
Panneau | Autorisations nécessaires
Incidents assignés | Voir les ressources.
Informations personnalisées | Gérer les projets : requise pour la modification. Aucune autorisation n'est requise pour l'affichage.
Introduction | Aucune autorisation n'est requise.
Cycle de vie des incidents | Afficher les paramètres du projet.
Incidents créés par testeur | Voir les ressources.
Tests manuels qui me sont assignés | Exécuter les tests.
Durée d'exécution prévue vs durée d'exécution réelle | Afficher les cycles de test et les configurations.
Avancement pour l'objectif qualité | Afficher les objectifs Qualité.
Abonnement aux rapports | Aucune autorisation n'est requise.
Etat de la couverture des exigences | Afficher les exigences.
Silk Central Connect | Voir les ressources nécessaires pour afficher des informations dans le panneau. Autres autorisations nécessaires pour accéder à d'autres zones Silk Central à partir du panneau.
Silk Performer Tendances de Performance | Voir les ressources.
Etats des tests manuels en cours d'exécution actuellement | Voir les ressources.
Journal de bord des tests | Aucune autorisation n'est requise.
Avancement du cycle de test | Afficher les cycles de test et les configurations.
Synthèse des résultats du cycle de test | Afficher les cycles de test et les configurations.
Chronologie du cycle de test | Afficher les cycles de test et les configurations.
Avancement des tests selon les cycles de tests | Afficher les cycles de test et les configurations.
Tests volatils | Voir les ressources.
Sujet parent : Tableau de bord
Sujet parent : Définition des autorisations


Ajout d'un rapport à un panneau de tableau de bord

À partir de n'importe quel rapport de l'unité Rapports, le panneau Abonnement aux Rapports de votre tableau de bord vous permet d'afficher un rapport existant. Pour commencer, créez et configurez votre rapport, puis ajoutez le panneau à votre tableau de bord.
  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Abonnements.
  4. Cliquez sur Ajouter un abonnement. La boîte de dialogue Modifier l'abonnement s'affiche.
  5. Donnez un nom à l'abonnement dans le champ Nom.
  6. Pour modifier les paramètres d'abonnement, cliquez sur Modifier les Paramètres. La boîte de dialogue Modifier le Paramètre s'affiche. Modifiez la valeur et cliquez sur OK.
  7. Sélectionnez une planification dans la liste Planification. Si la planification souhaitée n'existe pas, vous pouvez la créer. Vous pouvez également ne sélectionner aucune planification, par exemple pour les abonnements qui seront uniquement déclenchés sur la base du résultat d'une exécution de test.
  8. Cliquez sur Inclure un tableau de bord et un accès externe pour autoriser l'accès au rapport à partir d'un panneau de tableau de bord.
  9. Cliquez sur OK. Le nouvel abonnement est répertorié dans la liste Abonnements.
  10. Dans le menu, cliquez sur Accueil > Mon tableau de bord.
  11. Dans le coin supérieur gauche, cliquez sur Ajouter un panneau. La boîte de dialogue Ajouter un panneau qui s'affiche répertorie les panneaux disponibles avec une courte description pour chacun.
  12. Sélectionnez Abonnement aux Rapports. La boîte de dialogue Configurer un Panneau s'affiche ; elle contient tous les abonnements aux rapports disponibles.
  13. Sélectionnez un abonnement à un rapport dans la liste, puis cliquez sur OK. Le panneau vient s'ajouter alors à votre tableau de bord.
Sujet parent : Tableau de bord
Sujet parent : Abonnements aux rapports


Paramètres du navigateur

Pour optimiser la fonctionnalité et les performances de Silk Central, réglez les paramètres suivants dans votre navigateur :

  • Vérifiez que le cache du navigateur est activé.
  • Si vous rencontrez des difficultés à accéder à Silk Central via votre navigateur, ajoutez le serveur Silk Central à la liste des sites approuvés par le navigateur.

Pour consulter la liste des navigateurs pris en charge, reportez-vous aux Notes de Release. Dans le menu, cliquez sur Aide > Documentation. Cliquez sur Notes de release de Silk Central19.0.

Sujet parent : Interface utilisateur


Connexion et déconnexion

Les procédures de cette section expliquent comment se connecter à Silk Central et s'en déconnecter.

  • Connexion à Silk Central
    Décrit l'accès à votre installation de Silk Central et l'utilisation des données d'authentification de votre compte.
  • Déconnexion de Silk Central
    Décrit le mode de déconnexion de Silk Central.
Sujet parent : Interface utilisateur
Concepts associés
Authentification LDAP


Connexion à Silk Central

Pour vous connecter à Silk Central :

  1. Accédez à l’URL de votre installation Silk Central.
  2. Dans la page de connexion à Silk Central, saisissez votre nom d'utilisateur selon le modèle <client>\<utilisateur> et votre mot de passe. Si vous vous connectez à Silk Central en tant qu'utilisateur du client par défaut, il est inutile de saisir le nom du client. Saisissez simplement votre nom d'utilisateur.

    Connectez-vous en tant que super utilisateur avec les informations d'identification par défaut suivantes :

    • nom d'utilisateur : admin
    • mot de passe : admin
  3. Si vous cochez la case Mémoriser mes identifiants, vous resterez connecté jusqu'à ce que vous fermiez l'onglet du navigateur. La prochaine fois que vous accéderez à Silk Central, vous serez automatiquement connecté à nouveau.
  4. Cliquez sur Connexion.
Vous avez alors accès à votre Tableau de bord personnel. Vous pouvez rapidement Continuer à travailler dans le dernier espace accédé en cliquant sur ce lien en haut de la page Tableau de bord.
Sujet parent : Connexion et déconnexion
Concepts associés
Options de connexion
Super utilisateur


Déconnexion de Silk Central

Pour vous déconnecter de Silk Central :

  1. Dans le menu, accédez à Utilisateur :<utilisateur>.
  2. Cliquez sur Déconnexion.
Sujet parent : Connexion et déconnexion


Accessibility

Silk Central offers accessibility for users with a visual disability.

Silk Central users can use the keyboard to navigate to any control or asset in any unit of the Silk Central UI. Additionally, users can use a screen reader to identify a control or asset in the UI and to understand what the control or asset is intended to do.

Sujet parent : Interface utilisateur


Tâches de démarrage rapide

Les tâches de démarrage rapide sont des vues d'ensemble générales des tâches principales que vous serez certainement amené à exécuter avec Silk Central . Ces tâches peuvent servir de didacticiels pour vous guider pas à pas dans les recommandations pour l'utilisation des principales fonctionnalités de Silk Central . Pour des renseignements détaillés, consultez les sections correspondantes dans cette aide : Exigences, Tests, Organisation d'exécutions, et Suivi des incidents et analyse des résultats.

  • Configuration des ressources nécessaires - Tâches de démarrage rapide
    Avant de pouvoir commencer à construire votre infrastructure de test, vous devez au moins configurer un projet et une application et, si vous prévoyez de créer des tests automatisés, également un profil de référentiel tiers.
  • Définition des exigences - Tâche de démarrage rapide
    Gérez vos exigences afin de pouvoir les associer à vos tests pour permettre de préciser dans quelle mesure votre logiciel satisfait les exigences spécifiées. L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être.
  • Conception des tests - Tâche de démarrage rapide
    Concevez vos tests de façon à couvrir toutes les fonctionnalités connexes avec des tests pertinents.
  • Organisation des exécutions et exécution de tests - Tâche de démarrage rapide
    Organisez et exécutez vos tests pour obtenir les données de test dont vous avez besoin.
  • Suivi et analyse des résultats de tests - Tâche de démarrage rapide
    Il existe plusieurs façons d'analyser les résultats de test de Silk Central , en fonction des informations que vous recherchez et aussi des types de test que vous exécutez.
Sujet parent : Prise en main


Configuration des ressources nécessaires - Tâches de démarrage rapide

Avant de pouvoir commencer à construire votre infrastructure de test, vous devez au moins configurer un projet et une application et, si vous prévoyez de créer des tests automatisés, également un profil de référentiel tiers. Il se peut également que vous deviez configurer certains autres paramètres comme les filtres, les propriétés, les attributs, etc. Vous devez détenir des privilèges de super utilisateur, d'administrateur, ou de gestionnaire de projet pour exécuter ces tâches.

Pour configurer les ressources nécessaires, vous devez effectuer les tâches suivantes.

  1. Ajout de projets
    Silk Central gère les exigences, les tests, leur exécution et les résultats dans le cadre d'un projet. Aussi, la première chose que vous avez à faire est de créer un projet.
  2. Ajout d'applications
    Silk Central suit les résultats des exécutions de tests dans le contexte des versions et des builds d'une application spécifique. Ainsi, une Application doit être définie avant la création de tests.
  3. Configurer les profils de référentiel tiers
    Le profil de référentiel tiers constitue une autre exigence pour la création de tests, dans le cas de tests automatisés. Les tests automatisés dans Silk Central représentent en réalité les scripts de test qui sont situés dans les systèmes de référentiel tiers, accessibles par l'intermédiaire des profils de référentiel tiers en question.
Sujet parent : Tâches de démarrage rapide


Ajout de projets

Silk Central gère les exigences, les tests, leur exécution et les résultats dans le cadre d'un projet. Aussi, la première chose que vous avez à faire est de créer un projet.

Pour créer un projet :

  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur Nouveau Projet. La page Paramètres de Projet s'affiche.
  3. Saisissez un Nom de Projet et une Description.
  4. Sélectionnez le Propriétaire du Projet.
  5. Facultatif : Entrez les Étiquettes pour votre projet. Si vous avez un grand nombre de projets, les étiquettes de projet peuvent vous aider à les filtrer, à partir de la colonne Etiquettes sur la page Liste des Projets.
  6. Facultatif : pour créer un projet basé sur le modèle Agile, choisissez Modèle de Projet Agile dans la zone de liste Modèle de Projet.
  7. Pour initialiser le projet en tant que projet Issue Manager, cliquez sur Initialiser le nouveau projet ou Réutiliser un projet existant. Pour plus d'informations, reportez-vous à la rubrique Initialisation de projets en tant que projets Issue Manager.
  8. Dans la section Tests partagés, indiquez si le projet partage des tests ou non. Sélectionnez l'une des options suivantes :
    • Pas de partage de tests : Ce projet ne partage aucun test avec d'autres projets et n'utilise aucun test à partir d'autres projets.
    • Partage de tests : Ce projet partage des tests que d'autres projets peuvent utiliser.
    • Utilisation de tests partagés depuis : Sélectionnez un projet à partir duquel le projet modifié utilise des tests partagés.
  9. La section Groupes comprend les listes des groupes disponibles et assignés. Assignez les groupes si nécessaire. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic pour sélectionner plusieurs groupes. Vous pouvez également importer des groupes d'un serveur LDAP en cliquant sur Importer un groupe LDAP. Pour plus d'informations, reportez-vous à la rubrique Importation de groupes à partir de serveurs LDAP. S'il n'existe aucun groupe d'utilisateurs, vous pouvez les assigner après les avoir créés. Vous pouvez aussi configurer l'assignation des groupes/projets sur la page Paramètres de Groupe. Les privilèges varient en fonction des rôles utilisateur. Pour plus d'informations sur les privilèges d'utilisateur, reportez-vous à la rubrique Rôles et autorisations des utilisateurs.
  10. La section Emplacements comprend les listes des sites disponibles et assignés. Assignez les sites si nécessaire. Utilisez les combinaisons Ctrl + clic ou Maj + clic pour sélectionner plusieurs emplacements. S'il n'existe aucun emplacement, vous pouvez les assigner après les avoir créés. Vous pouvez aussi configurer l'assignation des emplacements/projets sur la page des Paramètres d'Emplacement. Pour plus d'informations, reportez-vous à la rubrique Gestion des emplacements.
  11. Cliquez sur Enregistrer pour enregistrer vos paramètres. Vous êtes renvoyé sur la page Liste des Projets sur laquelle le nouveau projet est répertorié.
Sujet parent : Configuration des ressources nécessaires - Tâches de démarrage rapide
Sujet suivant : Ajout d'applications


Ajout d'applications

Silk Central suit les résultats des exécutions de tests dans le contexte des versions et des builds d'une application spécifique. Ainsi, une Application doit être définie avant la création de tests.

Pour ajouter une nouvelle application :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur Nouvelle Application. La boîte de dialogue Nouvelle Application s'affiche.
  4. Dans la zone de texte Nom, saisissez un nom pour la nouvelle application.
  5. Dans la zone de texte Description, saisissez une description de l'application.
  6. Cochez la case Actif pour que cette application soit disponible en vue d'une association avec les tests.
  7. Cliquez sur OK pour enregistrer l'application.
    Remarque : Lors de la création d'une application, Silk Central crée automatiquement une version 1.0 par défaut et un build 1 par défaut pour la nouvelle application.
Sujet parent : Configuration des ressources nécessaires - Tâches de démarrage rapide
Sujet précédent : Ajout de projets
Sujet suivant : Configurer les profils de référentiel tiers


Configurer les profils de référentiel tiers

Le profil de référentiel tiers constitue une autre exigence pour la création de tests, dans le cas de tests automatisés. Les tests automatisés dans Silk Central représentent en réalité les scripts de test qui sont situés dans les systèmes de référentiel tiers, accessibles par l'intermédiaire des profils de référentiel tiers en question.
Pour des informations détaillées sur la configuration de profils de référentiel tiers, reportez-vous à Profils de référentiel tiers.
Sujet parent : Configuration des ressources nécessaires - Tâches de démarrage rapide
Sujet précédent : Ajout d'applications


Définition des exigences - Tâche de démarrage rapide

Gérez vos exigences afin de pouvoir les associer à vos tests pour permettre de préciser dans quelle mesure votre logiciel satisfait les exigences spécifiées. L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être.

Pour gérer vos exigences, vous devez effectuer l'une ou l'intégralité des tâches suivantes.

  1. Création d'exigences
    Associez vos exigences et vos tests afin de déterminer dans quelle mesure votre logiciel couvre les exigences spécifiées.
  2. Generation des Tests à partir des Exigences
    Vous pouvez générer des tests directement depuis l'arborescence Exigences et les assigner à des exigences particulières. L'arborescence Exigences sert de modèle pour la structure/dossier test de la nouvelle arborescence Tests.
  3. Intégration d'outils de gestion d'exigences externes
    L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être.
Sujet parent : Tâches de démarrage rapide


Création d'exigences

Associez vos exigences et vos tests afin de déterminer dans quelle mesure votre logiciel couvre les exigences spécifiées.

Pour créer une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Dans l’arborescence Exigences, sélectionnez une exigence ou le nœud racine.
  3. Cliquez sur [image] (Nouvelle exigence) dans la barre d'outils pour créer une nouvelle exigence au même niveau hiérarchique, ou [image] (Nouvelle exigence enfant) pour la créer au niveau hiérarchique inférieur à celui de l'exigence sélectionnée. La boîte de dialogue Nouvelle Exigence s'affiche.
  4. Saisissez un Nom et une Description pour l'exigence.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Facultatif : décochez les cases Hérite du parent. Dans ce cas, l'exigence enfant n'héritera pas des propriétés de l'exigence parent. Par défaut, toutes les cases sont cochées.
    Remarque : Dans la Vue Détaillée de la page Propriétés et dans la Vue Globale, les propriétés héritées sont marquées d'un astérisque (*).
  6. Sélectionnez l’état Priorité, Risque ou Vérifié approprié dans les listes.
  7. Si des exigences personnalisées ont été définies, elles sont répertoriées sous la liste Vérifié. Dans le champ correspondant, entrez les données de propriété personnalisée dont vous souhaitez effectuer le suivi avec cette exigence. Cette option est désactivée pour les propriétés héritées. Pour plus de détails sur la création, la modification et la suppression de propriétés d'exigences personnalisées, reportez-vous à la rubrique Propriétés d'exigences personnalisées.
  8. Pour terminer la création d’une exigence :
    • Cliquez sur OK pour créer l'exigence et fermer la boîte de dialogue.
    • Cliquez sur OK et Nouvelle Exigence pour créer l'exigence et garder la boîte de dialogue ouverte afin de saisir les données d'une autre exigence.
    • Cliquez sur OK et Nouvelle Exigence Enfant pour créer l'exigence et garder la boîte de dialogue ouverte afin de saisir les données d'une nouvelle exigence enfant.
Sujet parent : Définition des exigences - Tâche de démarrage rapide
Sujet suivant : Generation des Tests à partir des Exigences


Generation des Tests à partir des Exigences

Vous pouvez générer des tests directement depuis l'arborescence Exigences et les assigner à des exigences particulières. L'arborescence Exigences sert de modèle pour la structure/dossier test de la nouvelle arborescence Tests.

Pour générer un nouveau test à partir de la Vue détaillée :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Faites un clic droit sur le nœud d'exigence ou de projet que vous souhaitez convertir en test, puis sélectionnez Générer les tests. La boîte de dialogue Générer les Tests à partir des Exigences s'affiche. Cette boîte de dialogue vous permet d'indiquer si les feuilles (nœuds du niveau le plus bas) de la sous-arborescence d'exigences sélectionnée doivent être converties en tests ou en dossiers de test, et si l'arborescence doit être générée en nouveau conteneur de tests ou en conteneur existant.
  3. Saisissez un nom pour le nouveau conteneur de test dans le champ Saisir le nom, puis sélectionnez une application dans la liste Sélectionner l'application afin de créer le conteneur au sein du projet Silk Central actif. La liste Sélectionner l'application contient les applications configurées par un responsable de projets. Pour des informations détaillées, reportez-vous à la section Gestion des applications ou demandez à votre gestionnaire de projet.
  4. Si vous avez défini un profil de référentiel tiers, sélectionnez le profil que vous souhaitez utiliser pour gérer les sources de tests dans la liste Sélectionner un profil de référentiel tiers. Pour obtenir des informations détaillées sur les profils de référentiel tiers, reportez-vous à la rubrique Profils de référentiel tiers ou demandez-les à votre administrateur Silk Central.
  5. Pour inclure toutes les exigences enfants de l'exigence sélectionnée dans le test, cochez la case Inclure les exigences enfants. Cette case est cochée par défaut.
  6. Pour que les nouveaux tests soient automatiquement assignés aux exigences à partir desquelles ils sont créés, cochez la case Assigner les tests nouvellement générés aux exigences. Si cette option n'est pas sélectionnée, vous devez associer manuellement les tests aux exigences.
    Remarque : Cette option n'est pas disponible si vous cochez la case Générer des dossiers de tests à partir des feuilles de l'arborescence des exigences.
  7. Cliquez sur OK pour créer le test. Le nouveau test possède la même structure que l'arborescence Exigences.
  8. Un message s'affiche. Cliquez sur Oui pour afficher le test dans l'espace Tests ou sur Non pour rester dans l'espace Exigences.
Sujet parent : Définition des exigences - Tâche de démarrage rapide
Sujet précédent : Création d'exigences
Sujet suivant : Intégration d'outils de gestion d'exigences externes


Intégration d'outils de gestion d'exigences externes

L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être.

Pour des informations détaillées sur l'intégration d'outils de gestion d'exigences externes, reportez-vous à Outils de gestion d'exigences.

Sujet parent : Définition des exigences - Tâche de démarrage rapide
Sujet précédent : Generation des Tests à partir des Exigences


Conception des tests - Tâche de démarrage rapide

Concevez vos tests de façon à couvrir toutes les fonctionnalités connexes avec des tests pertinents.

Pour concevoir vos tests, vous devez effectuer l'une ou l'intégralité des tâches suivantes.

  1. Structuration de vos ressources de test
    Les informations relatives à l'application et au profil de référentiel tiers sont spécifiées au niveau du Conteneur de tests, ce qui représente donc le nœud le plus haut dans la hiérarchie de la structure des ressources d'un test.
  2. Création de tests
    Créez un test pour tester une fonctionnalité spécifique de votre logiciel.
  3. Assignation d'exigences aux tests
    Associez vos exigences et vos tests afin de déterminer dans quelle mesure votre logiciel couvre les exigences spécifiées.
Sujet parent : Tâches de démarrage rapide


Structuration de vos ressources de test

Silk Central suit les résultats des exécutions de tests dans le contexte des versions et des builds d'une application spécifique. Ainsi, une Application doit être définie avant la création de tests.Le profil de référentiel tiers constitue une autre exigence pour la création de tests, dans le cas de tests automatisés. Les tests automatisés dans Silk Central représentent en réalité les scripts de test qui sont situés dans les systèmes de référentiel tiers, accessibles par l'intermédiaire des profils de référentiel tiers en question.Les informations relatives à l'application et au profil de référentiel tiers sont spécifiées au niveau du Conteneur de tests, ce qui représente donc le nœud le plus haut dans la hiérarchie de la structure des ressources d'un test.

Pour commencer, nous allons simplement créer un conteneur :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez le nœud racine auquel vous voulez ajouter le nouveau conteneur en tant que sous-nœud.
    Remarque : Il n'est pas possible d'imbriquer les conteneurs mais vous pouvez ajouter des sous-dossiers aux conteneurs.
  3. Cliquez sur Nouveau Conteneur de Tests dans la barre d'outils ou faites un clic droit sur le nœud et choisissez Nouveau Conteneur de Tests.

    Vous pouvez aussi faire un clic droit sur le nœud et choisir Nouveau Conteneur de Tests.

    Un nouveau nœud racine de conteneur est ajouté à l'arborescence Tests et la boîte de dialogue Nouveau Conteneur de Tests s'affiche.
  4. Saisissez un Nom et une Description pour le conteneur.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Dans la zone de liste, sélectionnez une Application prédéfinie associée à ce conteneur de tests. Pour plus de détails sur l'ajout d'un profil de produit, reportez-vous à Ajout d'applications.
  6. Dans la zone de liste Profil de référentiel tiers, choisissez un profil de référentiel tiers prédéfini. Si vous n'avez pas l'intention d'extraire des sources de tests pour le conteneur de tests, par exemple si vous disposez uniquement de tests manuels, sélectionnez ---.
    Remarque : Les serveurs d'exécution Silk Central récupèrent les sources des programmes pour les tests inclus dans le conteneur à partir du profil de référentiels tiers défini. Selon le chemin indiqué dans votre profil de référentiel tiers, vous pouvez spécifier l'utilisation d'un sous-nœud dans le champ Nœud racine du conteneur de test.
  7. Facultatif : cochez la case Nettoyer le dossier de travail avant qu'un test ne soit exécuté.

    Si cette case est cochée, les fichiers supprimés du référentiel tiers le seront également du dossier de travail. Par défaut, cette case est cochée.

  8. Facultatif : Cliquez sur Parcourir pour sélectionner le nœud racine dans le profil de référentiels tiers sélectionné. Les sources de tests sont incluses dans ce nœud racine. Le nœud racine est utilisé sur les serveurs d'exécution pour récupérer les sources d'un test.
  9. Facultatif : Lorsque Silk Central est intégré à Silk Performer, vous pouvez définir le Répertoire personnalisé de données et le Répertoire personnalisé de directives. Dans Silk Performer, le répertoire Directives est divisé en un répertoire Directives système et un répertoire Directives personnalisées. Le répertoire Données est divisé en un répertoire Données système et un répertoire Données personnalisées. Pour plus d'informations, reportez-vous à la documentation de Silk Performer.
  10. La portion Propriétés cachées de Test de la boîte de dialogue vous permet de spécifier les types de propriétés de test qui doivent s'afficher sur la page Propriétés du conteneur de tests, ainsi que les pages Propriétés de tous les dossiers de tests du conteneur. Ces paramètres n'ont aucune incidence sur l'affichage des tests individuels.
  11. Cliquez sur Modifier pour ajuster les paramètres des propriétés de test masquées. La boîte de dialogue Propriétés cachées de test s'affiche.
  12. Décochez les cases de tous les types de tests pour lesquels vous voulez afficher des propriétés.
  13. Cliquez sur OK pour enregistrer vos paramètres et fermer la boîte de dialogue Propriétés cachées de test.
  14. Cliquez sur Enregistrer pour enregistrer vos paramètres.
Sujet parent : Conception des tests - Tâche de démarrage rapide
Sujet suivant : Création de tests


Création de tests

Créez un test pour tester une fonctionnalité spécifique de votre logiciel.
Silk Central prend en charge plusieurs types de test prêts à l'emploi. Consultez Gestion des tests et sélectionnez le type de test que vous souhaitez créer, puis suivez les instructions dans les rubriques référencées.
Sujet parent : Conception des tests - Tâche de démarrage rapide
Sujet précédent : Structuration de vos ressources de test
Sujet suivant : Assignation d'exigences aux tests


Assignation d'exigences aux tests

Associez vos exigences et vos tests afin de déterminer dans quelle mesure votre logiciel couvre les exigences spécifiées.
Pour assigner manuellement des exigences aux tests :
  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez le test auquel vous voulez assigner des exigences.
  3. Cliquez sur l'onglet Exigences Assignées.
    Remarque : Si vous avez créé un filtre d'exigences, vous pouvez le sélectionner dans la liste de filtres située au-dessus de l'arborescence Exigences. Pour créer un autre filtre d’exigences, cliquez sur Exigences > Vue Détaillée dans le menu, puis sur Nouveau Filtre dans la barre d'outils.
    Toutes les exigences disponibles en vue d'une assignation sont affichées dans l'arborescence Exigences.
  4. Sélectionnez les exigences que vous souhaitez assigner. Vous pouvez utiliser les touches Ctrl et Maj de votre clavier pour sélectionner plusieurs exigences à l'aide des fonctions de sélection multiple standard du navigateur.
  5. Cliquez sur Assigner tous les éléments filtrés pour assigner toutes les exigences filtrées au test sélectionné, ou faites glisser votre sélection et déposez-la dans la zone Exigences assignées, ou cliquez sur Assigner à gauche d'une exigence. L'assignation de toutes les exigences filtrées n'est possible que si un filtre a été sélectionné et que vous avez l'autorisation soit de Gérer les exigences, soit de Gérer les ressources.
    Remarque : Les tests nouvellement générés peuvent être assignés automatiquement aux exigences à partir desquelles ils sont générés en cochant la case Assigner les tests nouvellement générés aux exigences de la boîte de dialogue Générer les Tests à partir des Exigences. Il s'agit du comportement par défaut.
Sujet parent : Conception des tests - Tâche de démarrage rapide
Sujet précédent : Création de tests


Organisation des exécutions et exécution de tests - Tâche de démarrage rapide

Pour planifier et exécuter vos tests, vous devez effectuer l'une ou l'intégralité des tâches suivantes.

  • Organisation et exécution de tests automatisés
    Créez un plan d'exécution afin d'exécuter simultanément des tests associés.
  • Organisation et exécution de tests manuels
    Cette procédure détaillée illustre les fonctionnalités de la planification de l'exécution manuelle en s'appuyant sur un exemple.
Sujet parent : Tâches de démarrage rapide


Organisation et exécution de tests automatisés

Créez un plan d'exécution afin d'exécuter simultanément des tests associés.
  1. Création de plans d'exécution
    Créez un plan d'exécution afin d'exécuter simultanément des tests associés.
  2. Assignation manuelle de tests à des plans d'exécution
    Assignez manuellement un test à un plan d'exécution pour l'ajouter aux tests déjà inclus.
  3. Démarrage de plans d'exécution
    Démarrez un plan d'exécution individuel pour l'exécuter indépendamment d'une planification.
Sujet parent : Organisation des exécutions et exécution de tests - Tâche de démarrage rapide


Création de plans d'exécution

Créez un plan d'exécution afin d'exécuter simultanément des tests associés.
  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez un dossier ou le nœud projet dans l'arborescence Plans d'exécution.
  3. Cliquez sur Nouveau plan d’exécution enfant (Nouveau plan d’exécution enfant) dans la barre d'outils ou faites un clic droit sur le dossier, le cycle de test ou le nœud, puis cliquez sur Nouveau plan d'exécution enfant. La boîte de dialogue Nouveau plan d'exécution s'affiche.
  4. Entrez un nom et une description pour le plan d'exécution.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Sélectionnez un conteneur de tests dans la zone de liste Conteneur de tests.
    Remarque : Vous ne pouvez affecter qu'un seul conteneur de tests à un plan d'exécution. Seuls les tests provenant de ce conteneur de tests peuvent être exécutés.
    La dernière version et le dernier build définis dans l'application à laquelle le conteneur appartient sont automatiquement renseignés dans les zones de liste Version et Build.
  6. Dans les zones de liste Version et Build, sélectionnez l'option appropriée pour l'application. Ces options sont utilisées lorsqu'une nouvelle mise en œuvre de ce plan d'exécution est lancée. Vous pouvez également cocher la case Lire à partir du fichier d'Informations de build. Dans ce cas, la version et le build sont lus depuis le fichier d'informations de build sur le serveur d'application au début de chaque exécution. Si un fichier d'informations de build est disponible sur le serveur d'exécution, ce dernier est utilisé par défaut pour l'exécution du test et remplace les paramètres de la boîte de dialogue Nouveau Plan d'Exécution.
  7. Sélectionnez une Priorité pour le plan d'exécution dans la zone de liste. Pour les plans d'exécution automatisés, lorsque plusieurs plans d'exécution sont mis en attente, mais qu'un seul serveur d'exécution est disponible, le paramètre Priorité détermine le plan d'exécution qui est mis en œuvre en premier. Cela est également valable si des serveurs d’exécution sont disponibles mais que plusieurs plans d’exécution requièrent un appareil mobile qui n’est pas disponible.
  8. Dans le champ Libellé du Référentiel Externe, vous pouvez spécifier que le plan d'exécution correspond à une version antérieure à la dernière version. Le libellé doit faire référence à une version présente dans le référentiel tiers auquel le conteneur de tests est associé. Si ce champ n'est pas renseignée, la dernière version du plan d'exécution sera récupérée. La propriété Libellé du Référentiel Externe est activée uniquement si le conteneur de tests associé utilise un profil de référentiel tiers prenant en charge la gestion des versions. Vérifiez que vous disposez de suffisamment d'espace disque sur le(s) serveur(s) d'exécution si vous travaillez avec plusieurs versions des fichiers source. Chaque version sera enregistrée dans son propre dossier sur chaque serveur d'exécution.
    Conseil : Si vous souhaitez extraire une branche spécifique de votre référentiel pour un plan d'exécution spécifique, spécifiez le nom de la branche dans le champ Libellé du contrôle source du plan d’exécution concerné.
  9. Cliquez sur OK pour mettre à jour l'arborescence Exécutions avec le nouveau plan d'exécution créé.
Sujet parent : Organisation et exécution de tests automatisés
Sujet suivant : Assignation manuelle de tests à des plans d'exécution


Assignation manuelle de tests à des plans d'exécution

Assignez manuellement un test à un plan d'exécution pour l'ajouter aux tests déjà inclus.
  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution auquel vous souhaitez assigner les tests sélectionnés.
  3. Cliquez sur l'onglet Tests Assignés.
  4. Cliquez sur l'option Assignation manuelle. Tous les tests du conteneur associé à l'exécution sélectionnée sont affichés dans l'arborescence Tests. Si vous avez créé un filtre de test, vous pouvez le sélectionner dans la liste de filtres située au-dessus de l'arborescence Tests. Pour créer un nouveau filtre de test, cliquez sur Tests dans le menu et cliquez sur [image] (Nouveau filtre) dans la barre d'outils.
  5. Sélectionnez les tests que vous souhaitez assigner. Vous pouvez utiliser les touches Ctrl et Maj du clavier pour sélectionner plusieurs tests à l'aide des fonctions de sélection multiple d'un navigateur standard.
  6. Faites glisser votre sélection et déposez-la dans l'espace Tests assignés, ou cliquez sur Assigner à gauche de n'importe quel test. L'assignation d'un dossier ou du conteneur du niveau le plus haut entraîne l'assignation de tous les tests enfants de ce parent au plan d'exécution sélectionné.
    Conseil : Faites un clic droit sur un nœud pour le développer et le réduire.
Sujet parent : Organisation et exécution de tests automatisés
Sujet précédent : Création de plans d'exécution
Sujet suivant : Démarrage de plans d'exécution


Démarrage de plans d'exécution

Démarrez un plan d'exécution individuel pour l'exécuter indépendamment d'une planification.
  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'exécution, sélectionnez le projet, le plan d'exécution, le dossier ou la suite de configurations que vous voulez exécuter, ou utilisez Ctrl + clic ou Maj + clic pour sélectionner plusieurs éléments.
  3. Cliquez sur [image] (Exécuter) dans la barre d'outils. Cette option est désactivée pour les cycles de test, les plans d'exécution dans les cycles de test et les tests non assignés. La boîte de dialogue Exécuter s'affiche.
  4. Dans la boîte de dialogue Exécuter, définissez les tests que vous voulez exécuter.
  5. Cochez la case Accéder à la page des activités pour passer à la page Activités après avoir défini les tests pour l'exécution.
Sujet parent : Organisation et exécution de tests automatisés
Sujet précédent : Assignation manuelle de tests à des plans d'exécution


Organisation et exécution de tests manuels

Cette procédure détaillée illustre les fonctionnalités de la planification de l'exécution manuelle en s'appuyant sur un exemple. Dans ce cas, nous partons de l'hypothèse que :

  • Les exigences sont entièrement documentées et classées selon une propriété Risk .
  • 575 tests manuels sont entièrement documentés, assignés aux exigences et classés selon un attribut Importance qui définit la nécessité d'exécuter un test donné.
  • Les objectifs de qualité, également appelés critères de sortie du projet, ont été définis en fonction de la propriété d'exigence Risk et de l'attribut de test Importance . Ces objectifs de qualité indiquent les niveaux de test requis.
  • Les seuls tests à prévoir sont ceux qui correspondent le mieux aux objectifs de qualité.
  1. Vue d'ensemble
    Présente une vue d'ensemble des espaces de la page Organisation des Exécutions Manuelles.
  2. Création d'un cycle de test
    Décrit comment créer un cycle de test en définissant une date de début, une date de fin, ainsi qu'une capacité.
  3. Ajout de testeurs manuels
    Décrit la façon d'ajouter des testeurs manuels au cycle de test et de définir la capacité.
  4. Sélection de tests et planification
    Explique comment filtrer, trier et regrouper des tests, et comment les assigner au cycle de test.
  5. Assignation de tests aux testeurs manuels
    Décrit le mode d'assignation des tests du cycle de test aux testeurs manuels.
  6. Exécution de tests manuels
    Maintenant que vous avez commencé votre plan d'exécution, vous êtes prêt à exécuter votre(vos) test(s) manuel(s) à l'aide de la fenêtre Test manuel.
Sujet parent : Organisation des exécutions et exécution de tests - Tâche de démarrage rapide


Vue d'ensemble

La page Organisation des Exécutions Manuelles comporte quatre espaces présentés sur deux écrans. Sur le premier écran, appelé Sélection de Tests, vous pouvez sélectionner et planifier vos tests en vue d'un cycle de test. Sur le second écran, appelé Assignation de tests, vous pouvez assigner les tests du cycle sélectionné aux testeurs chargés de les exécuter.

L'écran Sélection de Tests est divisé en trois espaces :

  • L'espace Critères de Filtre est situé à gauche. Grâce aux fonctionnalités de filtrage, vous pouvez limiter les tests affichés dans l'espace suivant.
  • L'espace Tests Correspondants est situé au milieu. Cette liste affiche tous les tests disponibles. Lorsque vous appliquez des filtres, seuls les tests répondant à leurs critères sont affichés.
  • L'espace Cycles de Test est situé à droite. Vous pouvez assigner des tests de la liste située au milieu à un cycle de test spécifique, qui correspond à une plage temporelle définie.

Dans le coin supérieur droit, cliquez sur Assignation de tests >>> pour accéder à l'écran Assignation de tests. Cet écran est divisé en deux espaces :

  • L'espace Cycles de Test est situé à gauche. Il s'agit du même espace que sur l'écran Sélection de Tests ; il s'affiche sur les deux écrans.
  • L'espace Tests Assignés est situé à droite. Cette liste affiche les tests qui ont été ajoutés au cycle de test actuellement sélectionné. Vous pouvez faire glisser les tests entre la liste et l'espace Cycles de Test, puis les déposer sur un testeur.

Sujet parent : Organisation et exécution de tests manuels
Sujet suivant : Création d'un cycle de test


Création d'un cycle de test

La première étape consiste à créer un cycle de test. Un cycle de test est une période définie comprenant une date de début, une date de fin, ainsi qu'une liste de testeurs manuels. Nous allons nommer notre cycle de test Semaine 21 - Équipe A.
  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles.
  2. Dans l'espace Cycles de Test situé à droite, cliquez sur Nouveau Cycle de Test. La boîte de dialogue Nouveau Cycle de Test s'affiche.
  3. Nommez le cycle de test, dans le cas présent Semaine 21 - Équipe A.
  4. Vous pouvez éventuellement entrer une description.
  5. Cliquez sur [image] en regard du champ Date de Début afin de définir la date de début du cycle de test.
  6. Cliquez sur [image] en regard du champ Date de Fin afin de définir la date de fin du cycle de test.
  7. Au format hh:mm, entrez la durée souhaitée pour ce cycle de test (Capacité). Dans le cas présent, nous avons indiqué 35:00.
  8. Cliquez sur OK.
Notre cycle de test s'affiche maintenant dans l'espace Cycles de Test. Actuellement, aucun testeur n'est assigné. L'étape suivante consiste à assigner les testeurs.

Sujet parent : Organisation et exécution de tests manuels
Sujet précédent : Vue d'ensemble
Sujet suivant : Ajout de testeurs manuels


Ajout de testeurs manuels

L'étape suivante consiste à ajouter des testeurs manuels au cycle de test. Vous allez aussi définir la capacité dont chaque testeur manuel dispose pour ce cycle de test.
  1. Dans l'en-tête du cycle de test Semaine 21 - Équipe A, cliquez sur ...Modifier les Testeurs Assignés. La boîte de dialogue Modifier les Testeurs Assignés s'affiche.
  2. Cliquez sur Ajouter/Supprimer des testeurs. La boîte de dialogue Ajouter/Supprimer des testeurs s'affiche.
  3. Dans la liste Disponible, sélectionnez un groupe d'utilisateurs.
  4. Dans la liste Disponible, sélectionnez un ou plusieurs utilisateurs dans le groupe.
  5. Cliquez sur Ajouter ou Ajouter tout pour ajouter des utilisateurs à la liste Sélectionné.
  6. Cliquez sur OK. Les utilisateurs sont désormais ajoutés à la liste dans la boîte de dialogue Modifier les Testeurs Assignés.
  7. Pour chaque utilisateur ajouté, indiquez une capacité pour le cycle de test dans le champ Capacité à l'aide du format hh:mm.
  8. Cliquez sur Fermer.
Le cycle de test affiche désormais les ressources disponibles, aussi bien pour la totalité du cycle de test que pour chaque testeur manuel. Un graphe d'avancement affiche les tests assignés qui ne sont pas encore terminés. Après avoir créé le cycle de test et ajouté des testeurs manuels, vous pouvez déterminer les tests qui doivent être effectués à l'étape suivante.

Sujet parent : Organisation et exécution de tests manuels
Sujet précédent : Création d'un cycle de test
Sujet suivant : Sélection de tests et planification


Sélection de tests et planification

Cette rubrique explique comment assigner des tests à votre cycle de test. Le but est de sélectionner les tests qui couvrent le mieux les objectifs définis en termes de qualité. Un des objectifs Qualité repose sur le risque affecté à l'exigence. En général, les éléments à haut risque sont testés en premier.
  1. Dans l'espace Critères de filtre situé sur la gauche, sous Objectifs qualité, cochez la case Risque de l'exigence. La liste Tests Correspondants est réduite afin de n'afficher que les tests critiques.
  2. Dans la zone Tests Correspondants, ouvrez le menu contextuel d'un en-tête de colonne afin de trier, de filtrer ou de regrouper les tests. Vous pourrez ainsi plus facilement sélectionner les tests à planifier.
  3. Sélectionnez un ou plusieurs tests, faites-les glisser vers l'espace Cycles de Test situé à droite et déposez-les au niveau de votre cycle de test. Pour assigner des tests à un cycle de test, vous pouvez également cliquer avec le bouton droit de la souris sur les tests sélectionnés, puis sur Assigner des tests au cycle. Lorsque vous ajoutez des tests à un cycle, l'indicateur signalant des ressources déjà utilisées est mis à jour. Déplacez la souris sur cet indicateur pour afficher des informations détaillées sur la capacité globale, la durée prévue et le temps restant.
  4. Après avoir planifié tous les tests présentant un risque critique, vous pouvez passer à ceux présentant un risque élevé. Vous planifiez ensuite ceux présentant un risque modéré, et ainsi de suite.

Les tests assignés à votre cycle figurent désormais sur la ligne Aucun testeur spécifique. Lors de la prochaine étape, nous allons assigner les tests à des testeurs manuels.

Sujet parent : Organisation et exécution de tests manuels
Sujet précédent : Ajout de testeurs manuels
Sujet suivant : Assignation de tests aux testeurs manuels


Assignation de tests aux testeurs manuels

Vous allez à présent assigner les tests du cycle de test aux testeurs manuels.
  1. Cliquez sur Assignation de Tests >>> dans le coin supérieur droit. L'écran Assignation de tests s'affiche.
  2. Dans l'espace Cycles de Test situé à gauche, cliquez sur la ligne Aucun testeur spécifique dans le cycle de test. Tous les tests qui ne sont pas assignés à un testeur apparaissent dans l'espace Tests Assignés situé à droite.
  3. Sélectionnez un ou plusieurs tests, faites-les glisser vers l'espace Cycles de Test situé à gauche et déposez-les sur un testeur manuel. Lorsque vous assignez des tests à un testeur manuel, l'indicateur de ressources est mis à jour. Déplacez la souris sur cet indicateur pour afficher des informations détaillées sur la capacité, la durée prévue et le temps restant.
  4. Une fois que vous avez terminé d'assigner des tests aux testeurs manuels, cliquez sur ... > Démarrer le cycle de test pour démarrer les tests.

Une fois le cycle de test démarré, chaque testeur manuel est informé par courriel des tests assignés. Vous pouvez ajouter une boîte de réception de test, (Les Tests Manuels qui me sont Assignés), à votre tableau de bord personnel. Tous les tests qui vous sont assignés sont répertoriés à cet emplacement.

Sujet parent : Organisation et exécution de tests manuels
Sujet précédent : Sélection de tests et planification
Sujet suivant : Exécution de tests manuels


Exécution de tests manuels

Maintenant que vous avez commencé votre plan d'exécution, vous êtes prêt à exécuter votre(vos) test(s) manuel(s) à l'aide de la fenêtre Test manuel.
Pour ouvrir la fenêtre Test manuel, cliquez sur Accueil > Mon tableau de bord dans le menu, puis cliquez sur [image] (Poursuivre le test manuel) dans le panneau Tests manuels qui me sont assignés. Si ce panneau ne s'affiche pas sur votre tableau de bord, vous devez l'ajouter. Pour plus d'informations sur le tableau de bord et les panneaux, voir Tableau de bord.

L'utilisation de la fenêtre Test manuel est intuitive, mais si vous avez besoin de plus d'informations sur le test manuel, consultez Test manuel.

Sujet parent : Organisation et exécution de tests manuels
Sujet précédent : Assignation de tests aux testeurs manuels


Suivi et analyse des résultats de tests - Tâche de démarrage rapide

Il existe plusieurs façons d'analyser les résultats de test de Silk Central , en fonction des informations que vous recherchez et aussi des types de test que vous exécutez.
Pour en savoir plus sur les fonctionnalités d'analyse de résultats Silk Central , y compris les rapports et le suivi des incidents et des activités, reportez-vous à Suivi des incidents et analyse des résultats.
  • Analyse des résultats de tests automatisés
    Affichez les résultats du test d'exécution d'un plan d'exécution pour analyser plus précisément l'origine des problèmes ou pour comparer les résultats de diverses exécutions afin de visualiser les distinctions entre les états de test.
  • Analyse des résultats des tests manuels
    La vue Résultats de Test Manuel offre un panorama clair et lisible des résultats des tests manuels, et notamment de toutes les informations comme les pièces jointes ou les incidents associés.
  • Panneaux du tableau de bord
    Le tableau de bord de Silk Central constitue votre espace de démarrage personnel. Vous pouvez le personnaliser en ajoutant plusieurs panneaux et en les organisant afin que vous disposiez des informations dont vous avez besoin dans la réalisation de vos tâches quotidiennes.
  • Rapports
    Utilisez les fonctions de rapport de Silk Central afin d'analyser vos résultats de test.
Sujet parent : Tâches de démarrage rapide


Analyse des résultats de tests automatisés

Les vues Résultats de Tests et Comparaison d'Exécutions présentent les résultats de façon claire et lisible, avec possibilité d'exploration en détail. Toutes les informations sont incluses : fichiers de résultats, captures d'écran avec miniatures, messages, traces de pile. Cela permet d'établir rapidement l'origine des échecs dans l'exécution des tests, d'autant plus qu'il est également possible de comparer en vis-à-vis les résultats de plusieurs exécutions.

Vous souhaiterez peut-être, par exemple, effectuer les tâches suivantes :
  • Analyse des exécutions de toutes les configurations au sein d'une même suite de configurations ou de plans d'exécution représentant des configurations
  • Comparaison entre des exécutions d'un même plan d'exécution, par exemple pour savoir si l'état de certains tests a changé
  • Affichage simultané de tous les tests en échec d'un même plan d'exécution

Pour analyser les résultats des exécutions de test automatisées :

  1. Dans la grille Exécutions ou la grille Dernières Exécutions > Activités, sélectionnez une ou plusieurs exécutions.
  2. Cliquez sur l'icône Voir les résultats des tests automatisés pour analyser les résultats d'une exécution donnée, ou faites un clic droit sur votre sélection et choisissez Comparer les Résultats des Tests Automatisés pour comparer plusieurs exécutions.
  3. Cliquez sur l'icône en haut de la page ou sur une icône d'état pour accéder à des informations détaillées, notamment les fichiers de résultats, les captures d'écran avec miniatures, les messages et les traces de pile.
    Conseil : Cochez la case Afficher uniquement les tests en échec pour limiter les résultats affichés.
Sujet parent : Suivi et analyse des résultats de tests - Tâche de démarrage rapide


Analyse des résultats des tests manuels

Lorsqu'un test est exécuté dans un contexte achevé ou inachevé, utilisez la vue Résultats de Test Manuel pour obtenir un panorama clair et lisible des résultats des tests manuels, et notamment de toutes les informations comme les pièces jointes ou les incidents associés. Toutes ces informations sont immédiatement visibles. Vous pouvez également imprimer et télécharger une version PDF.

La vue Résultats de Test manuel présente une arborescence sur la gauche et une vue détaillée sur la droite. L'arborescence dépend de la sélection dans laquelle la vue des résultats a été ouverte. Par exemple, si vous avez sélectionné un cycle de tests, vous pourrez afficher tous les testeurs assignés et les tests associés. La sélection d'un nœud spécifique met à jour la vue détaillée avec les informations appropriées relatives à la sélection.

Pour ouvrir la vue Résultats de Test Manuel, cliquez sur l'icône Voir les Résultats de Tests Manuels ( [image]) dans presque tous les contextes dans lesquels des tests manuels sont affichés : organisation des exécutions manuelles, panneaux du tableau de bord, pages d'activités, grille Exécutions de l'exécution, grille Exécutions du test.

Sujet parent : Suivi et analyse des résultats de tests - Tâche de démarrage rapide


Panneaux du tableau de bord

Le tableau de bord de Silk Central constitue votre espace de démarrage personnel. Vous pouvez le personnaliser en ajoutant plusieurs panneaux et en les organisant afin que vous disposiez des informations dont vous avez besoin dans la réalisation de vos tâches quotidiennes.

Pour des informations détaillées sur les panneaux du tableau de bord, reportez-vous à Tableau de bord.

Sujet parent : Suivi et analyse des résultats de tests - Tâche de démarrage rapide


Rapports

Pour des informations détaillées sur les rapports, consultez la section Rapports.

Sujet parent : Suivi et analyse des résultats de tests - Tâche de démarrage rapide


Exigences

Cette section explique comment gérer les exigences dans Silk Central .

Une exigence est une condition ou une compétence dont un utilisateur a besoin pour réaliser une tâche spécifique, qui doit être remplie par l'application testée (AUT).Associez vos exigences et vos tests afin de déterminer dans quelle mesure votre logiciel couvre les exigences spécifiées. Plusieurs tests peuvent couvrir une seule exigence et plusieurs exigences peuvent être couvertes par un seul test.L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être. L'espace Exigences vous permet de gérer et contrôler les exigences système durant la phase de développement. Vous pouvez créer, modifier et supprimer des exigences, associer des tests aux exigences, suivre les modifications apportées dans l'historique et générer des tests directement à partir des listes d'exigences.

  • Configuration des paramètres d'exigences et des intégrations
    Si vous prévoyez de gérer vos exigences dans Silk Central , vous pouvez configurer les propriétés d'exigence, les filtres et modifier les paramètres de notification. Si vous gérez vos exigences dans un autre système, vous pouvez l'intégrer à Silk Central afin d'utiliser les fonctionnalités de gestion d'exigences de Silk Central , comme l'exigence et la couverture de test. Vous avez besoin de privilèges de super utilisateur, d'administrateur, ou de gestionnaire de projet pour exécuter ces tâches.
  • Gestion des exigences
    Ajoutez ou modifiez des exigences afin d'établir et de maintenir le consensus entre clients et développeurs sur les exigences techniques et non techniques.
  • Configuration des propriétés d'exigence
    Configurer les propriétés d'exigences, les annexes, les indicateurs et la couverture.
  • Association de tests à des exigences
    Associez vos exigences et vos tests afin d'évaluer dans quelle mesure votre logiciel couvre les exigences spécifiées.
  • Import d'exigences
    Explique comment importer des exigences à partir de Microsoft Word ou Excel.
  • Vues d'exigences
    Décrit les vues disponibles dans la zone Exigences.
Sujet parent : Aide de Silk Central


Configuration des paramètres d'exigences et des intégrations

Si vous prévoyez de gérer vos exigences dans Silk Central , vous pouvez configurer les propriétés d'exigence, les filtres et modifier les paramètres de notification. Si vous gérez vos exigences dans un autre système, vous pouvez l'intégrer à Silk Central afin d'utiliser les fonctionnalités de gestion d'exigences de Silk Central , comme l'exigence et la couverture de test. Vous avez besoin de privilèges de super utilisateur, d'administrateur, ou de gestionnaire de projet pour exécuter ces tâches.
  • Propriétés de l'exigence
    Décrit les types de propriétés disponibles pour les exigences.
  • Intégration d’outils de gestion des exigences
    L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être.
  • Filtres
    Décrit le mode d'utilisation des filtres pour trouver précisément les informations dont vous avez besoin et exclure les détails non pertinents.
  • Modifier la Notification
    Décrit le mode de configuration de la notification par courriel si des exigences ou des tests sont modifiés par d'autres utilisateurs.
Sujet parent : Exigences


Propriétés de l'exigence

Les sections suivantes décrivent les deux types de propriétés d'exigence disponibles.

  • Page Propriétés d'Exigence
    Répertorie les propriétés d'exigence personnalisées, ainsi que les propriétés calculées, pour le projet actif.
  • Propriétés calculées
    Cette section contient des rubriques expliquant le mode d'utilisation des propriétés d'exigences calculées.
  • Propriétés d'exigence personnalisées
    Décrit l'utilisation des champs de propriétés personnalisées pour toutes les exigences d'un projet sélectionné.
Sujet parent : Configuration des paramètres d'exigences et des intégrations
Sujet parent : Paramètres de Projet


Page Propriétés d'Exigence

Projet : <nom du projet> > Paramètres de Projet > Propriétés d'Exigence

La page Propriétés d'Exigence répertorie les propriétés d'exigence personnalisées, ainsi que les propriétés calculées, pour le projet actif.

Propriétés Calculées

Colonne | Description
Actions | Actions réalisables au niveau de la propriété calculée.
Nom | Nom de la propriété calculée. Cliquez sur l'icône Modifier pour changer la propriété calculée.
Formule | Présente la formule de la propriété calculée.
Classification | Répertorie les classifications de la propriété calculée.
Créé le | Date de création de la propriété.
Créé par | Utilisateur ayant créé la propriété.
Modifié Le | Date de la dernière modification de la propriété.
Modifié Par | Dernier utilisateur à avoir modifié la propriété.

Propriétés Personnalisées

Colonne | Description
Actions | Actions réalisables au niveau de la propriété personnalisée.
Nom | Nom de la propriété d'exigence. Cliquez sur l'icône Modifier pour changer la propriété d'exigence.
Type | Type de propriété. Reportez-vous à la rubrique Types de propriétés d'exigence et d'attributs de test pour obtenir des descriptions de chaque type d'attribut.
Créé le | Date de création de la propriété.
Créé par | Utilisateur ayant créé la propriété.
Modifié Le | Date de la dernière modification de la propriété.
Modifié Par | Dernier utilisateur à avoir modifié la propriété.
Sujet parent : Propriétés de l'exigence


Propriétés calculées

Les propriétés calculées servent à créer une valeur unique à partir d'une formule définie par l'utilisateur et dérivée des valeurs des propriétés internes ou personnalisées. Cette valeur est alors placée dans une plage avec libellé appelée classification. La propriété calculée doit permettre d'afficher le paramètre Nom de la classification dans les grilles. La valeur d'une propriété calculée est visible partout où les valeurs des propriétés personnalisées sont affichées (Vue Globale, par exemple). Vous pouvez aussi utiliser les propriétés calculées dans les filtres et les objectifs Qualité, de la même manière que les autres propriétés d'exigences internes ou personnalisées.

Chaque propriété calculée dispose d'une classification par défaut sans borne inférieure. Toutes les autres classifications doivent disposer d'une borne inférieure. La classification permet de définir un nom et une plage pour la valeur de la propriété calculée. C'est le nom de la classification qui s'affiche dans les grilles. Si une ou plusieurs valeurs de propriété utilisées dans la formule ne sont pas définies, ou si l'évaluation de cette dernière sur une exigence particulière échoue (par exemple, une division par zéro), les caractères --- apparaissent en tant que valeur de la propriété calculée.

Dans la formule d'une propriété calculée, vous pouvez utiliser une propriété interne ou personnalisée contenue dans un projet. Cette propriété interne ou personnalisée doit être de type Nombre, Texte ou Liste avec sélection unique. Vous pouvez utiliser les opérateurs suivants dans la formule : + - * / ()

Restriction : Vous pouvez utiliser jusqu'à cinq propriétés calculées par projet. Les propriétés calculées ne peuvent pas être utilisées dans le cadre d'autres propriétés calculées.
  • Création d'une propriété calculée
    Décrit comment créer une propriété calculée.
  • Page Propriétés Calculées
    Décrit la page des propriétés calculées.
  • Valeurs des propriétés internes
    Décrit les valeurs de plusieurs propriétés internes.
Sujet parent : Propriétés de l'exigence


Création d'une propriété calculée

Les propriétés calculées permettent de créer une propriété basée sur une plage de valeurs. Cette procédure vous guide au cours du processus de création d'une propriété calculée nommée Risque personnalisé et dotée de trois classifications : Basse, Moyenne et Haute. Nous allons utiliser la propriété interne Risque et une propriété personnalisée nommée Impact de type Nombre (celle-ci doit être créée au préalable).

  1. Cliquez sur Exigences > Propriétés d'Exigence.
  2. Cliquez sur Nouvelle Propriété Calculée.
  3. Dans le champ Nom, entrez Risque personnalisé.
  4. Dans le champ Description, entrez Propriété calculée utilisant Risque et Impact (B, M, H).
  5. Sélectionnez Impact commercial dans la liste Insérer la propriété. ${Business Impact} est ajouté au champ Formule.
  6. Sélectionnez * dans la liste Insérer l'opérateur. ${Business Impact}* est ajouté au champ Formule.
  7. Sélectionnez Risque commercial dans la liste Insérer la propriété. ${Business Impact}*${Business Risk} est ajouté au champ Formule.
  8. Dans la ligne par défaut de la grille Classification, renommez l'entrée Basse. Étant donné que toutes les propriétés calculées doivent inclure une classification par défaut sans borne inférieure, celle-ci sera utilisée.
  9. Cliquez sur Ajouter une Classification. Une nouvelle ligne est ajoutée à la grille Classification.
  10. Nommez la classification Moyenne et ajoutez une Borne Inférieure de 10.
  11. Cliquez sur Ajouter une Classification. Une nouvelle ligne est ajoutée à la grille Classification.
  12. Nommez la classification Haute et ajoutez une Borne Inférieure de 20.
  13. Cliquez sur OK.
Une propriété calculée est maintenant créée et possèdera la valeur Basse, Moyenne ou Haute lorsque les propriétés Impact et Risque sont définies pour une exigence.
Sujet parent : Propriétés calculées


Page Propriétés Calculées

La page Propriétés Calculées permet d'ajouter ou de modifier une propriété calculée dans un projet. Pour accéder à cette page, cliquez sur Exigences > Propriétés d'Exigence, puis cliquez sur une propriété calculée existante ou sur Nouvelle Propriété Calculée.

Nom
Contient le nom de la propriété calculée.
Description
Saisissez une description significative de la propriété calculée, en faisant par exemple référence à la formule ou à la classification.
Formule
Contient la formule de la propriété calculée. Vous pouvez saisir manuellement la formule ou utiliser les listes Insérer la propriété et Insérer l'opérateur. Si vous saisissez la formule manuellement, les noms de champ doivent respecter la structure suivante : ${}. Les opérateurs doivent être intercalés à l'intérieur de cette structure.
Insérer la propriété
Placez le curseur là où vous souhaitez que la propriété apparaisse dans le champ Formule, puis sélectionnez l'une des propriétés système ou personnalisée dans la liste afin de l'ajouter.
Insérer l'opérateur
Placez le curseur là où vous souhaitez que l'opérateur apparaisse dans le champ Formule, puis sélectionnez un opérateur.
Grille Classifications
La grille Classifications sert à définir diverses plages de valeurs pour les propriétés calculées. Pour créer une ligne dans la grille, cliquez sur Ajouter une Classification. Pour identifier la classification, utilisez le champ Nom ; pour déterminer la valeur la plus faible de la propriété calculée, utilisez le champ Borne Inférieure. Il est important de garder à l'esprit que c'est le Nom de la classification qui apparaît dans les grilles, et non pas les valeurs des propriétés calculées. Par exemple, si le Nom de votre classification est Moyenne, que le paramètre Borne Inférieure est défini sur 5 et que la valeur de votre propriété calculée est égale à 7, tant que la valeur de la borne inférieure de la classification suivante est supérieure à 7, la valeur calculée apparaît en tant que Moyenne.
Sujet parent : Propriétés calculées


Valeurs des propriétés internes

Les valeurs de plusieurs propriétés internes peuvent être utilisées dans les formules pour les propriétés calculées. Les valeurs des propriétés prises en charge sont indiquées ci-dessous.

Risque

Nom de la valeur | Valeur interne
Basse | 1
Moyenne | 2
Haute | 3
Critique | 4

Priorité

Nom de la valeur | Valeur interne
Basse | 1
Moyenne | 2
Haute | 3
Critique | 4

Vérifié

Nom de la valeur | Valeur interne
Non | 0
Oui | 1
Sujet parent : Propriétés calculées


Propriétés d'exigence personnalisées

Vous pouvez ajouter des champs de propriétés personnalisées pour toutes les exigences du projet sélectionné dans Exigences > Propriétés d'Exigence. Les propriétés personnalisées peuvent ensuite être modifiées, tout comme les propriétés par défaut, dans la boîte de dialogue Modifier les Exigences. Les propriétés personnalisées sont affichées dans Exigences > Vue Détaillée > Propriétés. Si la seule valeur d'une propriété est une URL, Silk Central l'affiche automatiquement sous forme d'un lien qui permet d'accéder directement à d'autres applications Web à partir de Silk Central .

  • Création d'une propriété d'exigence personnalisée
    Créez une propriété d'exigence personnalisée de manière à ce qu'elle soit disponible pour toutes les exigences du projet actif.
  • Types de propriétés d'exigence et d'attributs personnalisés
    Détaille les types de propriétés d'exigence et d'attributs.
  • Modification de propriétés d'exigences personnalisées
    Modifiez une propriété d'exigence personnalisée.
  • Suppression de propriétés d'exigences personnalisées
    Supprimez une propriété d'exigence personnalisée afin de la supprimer de la liste des propriétés.
Sujet parent : Propriétés de l'exigence
Référence associée
Page Propriétés d'Exigence


Création d'une propriété d'exigence personnalisée

Pour créer une propriété d'exigence personnalisée :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Propriétés d'Exigence.
  3. Cliquez sur Nouvelle Propriété d'Exigence afin d'afficher la boîte de dialogue Nouvelle Propriété d'Exigence.
  4. Nommez la nouvelle propriété dans le champ Nom.
  5. Sélectionnez les données Type de la nouvelle propriété dans la liste Type. Reportez-vous à la rubrique Types de propriétés d'exigence et d'attributs de test pour obtenir des descriptions de chaque type d'attribut.
  6. Cliquez sur OK.
Votre propriété personnalisée est disponible pour toutes les exigences du projet actif.
Sujet parent : Propriétés d'exigence personnalisées
Référence associée
Types de propriétés d'exigence et d'attributs personnalisés


Types de propriétés d'exigence et d'attributs personnalisés

Silk Central prend en charge les types de propriétés d'exigence et d'attributs suivants :

Date

Le type Date accepte des valeurs de date.

Liste

Le type Liste accepte des listes à sélection unique ou multiple. Il est associé aux contrôles suivants :

  • Nouvel élément : permet de créer des entrées dans la liste. Cliquez pour afficher la boîte de dialogue Nouvel Élément. Renseignez les champs Nom et Poids Numérique pour l'élément de liste, puis cliquez sur OK.
    Remarque : La valeur du champ Poids Numérique est utilisée au cours du filtrage, lorsque les critères de filtre utilisent l'un des opérateurs suivants : >, >=, < ou <=. Lorsque les critères de filtre utilisent l'opérateur = ou pas, la valeur du champ Nom est utilisée pour les comparaisons.
  • Ordre : utilisez les champs de cette colonne pour trier vos attributs.
  • Autoriser la sélection multiple : cochez cette case pour permettre aux utilisateurs de sélectionner plusieurs valeurs dans la liste.
    Remarque : Vous pouvez mettre à jour une liste à sélection unique pour la transformer en liste à sélection multiple. Toutefois, il n'est pas possible de modifier une liste à sélection multiple pour en faire une liste à sélection unique.
  • Actions : utilisez les icônes de cette ligne pour supprimer ou modifier un élément de la liste.
Numéro

Le type Nombre prend en charge les valeurs numériques décimales ou entières. Il comporte les champs suivants :

  • Valeur Minimale : correspond à la plus petite valeur pouvant être saisie dans le champ.
  • Valeur Maximale : correspond à la plus grande valeur pouvant être saisie dans le champ.
  • Nombre de décimales : permet de définir le nombre de valeurs pouvant être ajoutées après la virgule. Sélectionnez 0 pour une valeur entière ou 1, 2, 3 ou 4 pour une valeur décimale.
Remarque : Les attributs et propriétés d'exigence personnalisés affichent leur valeur actuelle si leur définition est modifiée (par exemple, dans le cas d'une modification du champ Valeur Minimale ou Valeur Maximale). Pour appliquer la nouvelle définition, ouvrez et enregistrez l'élément.
Texte

Le type Texte prend en charge toutes les valeurs alphanumériques. Il comporte les champs suivants :

  • Longueur Maximale : correspond au nombre maximal de caractères pouvant être saisis dans le champ. Saisissez 0 ou laissez ce champ vide pour spécifier une longueur illimitée (pour les propriétés d'exigence uniquement).
Sujet parent : Propriétés d'exigence personnalisées
Sujet parent : Attributs


Modification de propriétés d'exigences personnalisées

Pour modifier une propriété d'exigence personnalisée créée précédemment :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Propriétés d'Exigence.
  3. Cliquez sur le nom de la propriété que vous souhaitez modifier. La boîte de dialogue Modifier la Propriété d'Exigence s'affiche.
  4. Modifiez le nom de la propriété dans le champ Nom. Lorsque la propriété est disponible, son nom est affiché dans les listes, ce qui permet d'afficher des filtres et d'appliquer des exigences. Les propriétés peuvent être utilisées dans les filtres globaux pour filtrer par propriété d'exigence et les appliquer à des exigences.
  5. Modifiez la Description de la propriété.
  6. Reportez-vous à la rubrique Types de propriétés d'exigence et d'attributs de test pour obtenir des descriptions sur chaque type de propriété d'exigence. Différentes options de modification sont disponibles, en fonction du type de données de propriété.
  7. Cliquez sur OK pour enregistrer vos modifications.
Sujet parent : Propriétés d'exigence personnalisées
Concepts associés
Filtres
Référence associée
Types de propriétés d'exigence et d'attributs personnalisés


Suppression de propriétés d'exigences personnalisées

Pour supprimer une propriété d'exigence personnalisée créée précédemment :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Propriétés d'Exigence.
  3. Cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui pour confirmer la suppression.
Sujet parent : Propriétés d'exigence personnalisées


Intégration d’outils de gestion des exigences

Important : Avant la mise à jour de Silk Central 15.0 ou antérieur à la version actuelle, effectuez un processus Synchroniser tout pour synchroniser toutes vos exigences avec vos outils intégrés de gestion des exigences.
L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être. Cette intégration est configurée sur la page Gestion des Exigences, accessible via Projet : <nom du projet> > Paramètres de Projet.
Remarque : Vous pouvez activer la création, la modification et la suppression d'exigences dans Silk Central , plutôt que seulement par le biais des modifications effectuées avec l'outil intégré. Vous pouvez autoriser des modifications directement dans l'interface utilisateur de Test Manager et/ou par l'intermédiaire des services Web de Silk Central en cochant respectivement les cases Autoriser la création, la modification et la suppression d'exigences....

Silk Central prend en charge l'intégration avec des systèmes externes de gestion des exigences (RMS) via son interface ouverte. Par la création d'un plug-in et son intégration dans Silk Central, il est possible d'intégrer tout RMS. Reportez-vous à l'Aide de l'API Silk Central pour en savoir plus sur les interfaces qui permettent l'intégration adéquate de RMS externes.

  • Synchronisation des exigences
    Explique comment synchroniser les champs de propriétés d'exigence entre Silk Central et les outils de gestion des exigences externes.
  • Intégration de Atlassian JIRA Agile
    Explique comment intégrer Atlassian JIRA Agile dans Silk Central.
  • Intégration de CA Agile Central
    Décrit le mode d'intégration de CA Agile Central et Silk Central.
  • Intégration de Caliber
    Explique comment intégrer Caliber dans Silk Central.
  • Intégration de IBM Rational DOORS
    Décrit le mode d'intégration de Silk Central et IBM Rational DOORS.
  • Intégration de IBM Rational DOORS Next Generation
    Décrit le mode d'intégration de Silk Central et IBM Rational DOORS Next Generation.
  • Intégration de SAP Solution Manager
    Décrit le mode d'intégration de Silk Central et SAP Solution Manager.
  • Utilisation des propriétés externes
    Décrit le mode d'utilisation des propriétés externes dans Silk Central.
  • Modification du mappage des propriétés
    Mappez les champs de propriétés entre Silk Central et un outil de gestion des exigences externe afin de veiller à ce que les champs de propriétés d'exigence soient renseignés précisément d'un projet à un autre.
  • Suppression de paires de valeurs de mappage des propriétés
    Supprimez une paire de valeurs de mappage des propriétés.
  • Désactivation de l'intégration de la gestion des exigences
    Désactivez l'intégration à un outil de gestion des exigences externe afin de désactiver toutes les fonctionnalités et les données d'intégration.
  • Suppression de l'intégration de la gestion des exigences
    Supprimez l'intégration à l'aide d'un outil externe de gestion des exigences afin d'effacer toutes les données connexes dans la base de données.
Sujet parent : Configuration des paramètres d'exigences et des intégrations
Sujet parent : Paramètres de Projet
Sujet parent : Intégrations
Référence associée
Page Propriétés d'Exigence


Synchronisation des exigences

Activer la synchronisation des exigences entre Silk Central et un RMS externe permet à Silk Central de recevoir les modifications apportées dans le RMS externe à chaque exécution d'une synchronisation. Si l'intégration des RMS externes est activée pour un projet, le système principal de gestion des exigences est automatiquement le système externe. Cela signifie que la synchronisation s'effectue toujours depuis l'outil RMS externe vers Silk Central. Les exigences ne peuvent plus être modifiées dans Silk Central. Les exigences récemment créées, qui n'existent pas dans l'outil externe, font néanmoins figure d'exception et ne sont téléchargées vers le système externe (principal) que si l'option Activer le téléchargement des exigences est activée dans le menu Paramètres > Gestion des Exigences.

La fonctionnalité de mappage des propriétés permet de mapper des champs de propriétés entre Silk Central et les outils externes de gestion des exigences. Par exemple, un champ personnalisé dans Silk Central (nommé User) peut être l'équivalent à un champ de propriété dans Caliber (nommé Field_2). La fonction de mappage des propriétés permet de garantir que les modifications apportées aux champs de propriétés des exigences sont correctement actualisées entre les différents projets. Si vous n'utilisez pas la fonction de mappage des propriétés, seuls le nom et la description des exigences sont mappés. Pour plus d'informations, reportez-vous à la rubrique Modification du mappage des propriétés.

Les exigences peuvent être synchronisées de différentes façons :
Synchronisation manuelle
Cliquez sur Synchroniser les modifications au niveau du dossier racine sur la page Propriétés pour synchroniser uniquement les exigences qui ont été modifiées depuis la dernière synchronisation.
Synchronisation manuelle forcée
Cliquez sur Synchroniser Tout au niveau du dossier racine sur la page Propriétés afin de forcer la synchronisation de toutes les exigences.
Synchronisation planifiée automatique
Basée sur les planifications Silk Central définies de façon globale.
Synchronisation en ligne automatique
Les modifications apportées aux exigences sont automatiquement propagées entre les différents outils. Cette option est disponible uniquement pour Caliber. Elle nécessite l'installation du client Caliber sur le serveur d'application, ainsi que l'activation de MPX sur le serveur Caliber (pour plus d'informations sur l'activation de MPX, reportez-vous au Guide d'installation de Caliber). Pour activer la synchronisation automatique entre Caliber et Silk Central, ajoutez le fichier ss.jar au serveur d'applications, dans le dossier Program Files\Silk\Silk Central <version>\lib, puis redémarrez le serveur d'applications. Pour récupérer le fichier, contactez le service client. Les données des exigences sont automatiquement mises à jour dans Silk Central lorsque des modifications sont apportées dans Caliber. De plus, les traces dans Caliber sont mises à jour lorsque des modifications sont apportées aux assignations de test dans Silk Central. Ce type de synchronisation en ligne est uniquement disponible lorsque des projets sont configurés avec le lotissement en cours.

La synchronisation automatique des exigences entre Silk Central et les outils de gestion des exigences externes peut être configurée pour avoir lieu selon des planifications globales. Pour plus de détails sur la configuration de planifications globales, reportez-vous aux rubriques Administration de cette Aide.

Remarque : Les boutons Ouvrir Caliber permettent d'exécuter un programme enregistré en tant que programme par défaut pour l'ouverture des fichiers possédant l'extension .crm. Sur certains ordinateurs, il peut s'agir du visualiseur d'exigences plutôt que de Caliber. Ce comportement peut être changé par votre administrateur. Le programme client s'appelle caliberrm.exe. Lorsqu'il est correctement configuré, ce programme s'ouvre sur l'exigence sélectionnée dans Silk Central.
L'icône de liaison située sur le nœud du projet de l'arborescence Exigences indique l'état de l'intégration de la gestion des exigences pour le projet :
Aucune configuration
L'intégration de la gestion des exigences n'est pas disponible.
Configuration manuelle
L'import, le téléchargement et la synchronisation des exigences peuvent être effectués uniquement en cliquant sur les boutons correspondants, dans le nœud de projet, dans le menu Exigences > Vue Exigences > Propriétés.
Au niveau du projet, la page Propriétés inclut les propriétés suivantes :
Propriété | Description
Système | Outil externe avec lequel l'intégration a été activée.
Etat | Indique si l'intégration a été activée ou non.
Nom du projet | Nom du projet externe auquel le projet Silk Central est associé.
Types d'exigences | Types d'exigences partagées entre plusieurs projets.
Dernière synchronisation | Date et heure de la dernière synchronisation.
État de la dernière synchronisation | État de la dernière synchronisation, notamment le nombre d'éléments créés, mis à jour et supprimés.
Remarque : Lorsque l'intégration entre Caliber et Silk Central a été activée avec synchronisation en ligne automatique, le nœud de projet affiche l'état actuel du module d'écoute des modifications apportées aux exigences en ligne. Les trois statuts possibles pour les projets de ce type sont : Connecté (synchronisé), Reconnecté (synchronisation recommandée), et Déconnecté.
  • Synchronisation des exigences entre différents outils
    Synchronisez les exigences entre Silk Central et un outil de gestion des exigences configuré de façon externe.
  • Synchronisation des exigences en fonction des planifications
    Définissez une planification globale pour synchroniser les exigences entre Silk Central et un outil de gestion des exigences configuré de façon externe.
  • Définition d'une notification par courriel pour les événements de synchronisation automatique
    Définissez une notification par courriel à envoyer lorsque des erreurs se produisent au cours de la synchronisation automatisée des exigences entre Silk Central et les outils de gestion des exigences externes.
Sujet parent : Intégration d’outils de gestion des exigences
Tâches associées
Modification du mappage des propriétés


Synchronisation des exigences entre différents outils

Remarque : Utilisez la fonction de mappage des propriétés afin de mapper les champs de propriété. Si vous n'utilisez pas la fonction de mappage des propriétés, seuls le nom et la description des exigences sont mappés. Pour plus d'informations, reportez-vous à la rubrique Modification du mappage des propriétés.

Pour synchroniser les exigences entre Silk Central et un outil de gestion des exigences configuré de façon externe :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez le nœud Projet dans l'arborescence Exigences.
  3. Cliquez sur l'onglet Propriétés. La page Propriétés affiche les propriétés de l'élément de l'arborescence sélectionné.
  4. Cliquez sur Synchroniser les modifications.
  5. Cliquez sur Oui dans la boîte de dialogue de confirmation Synchroniser les Exigences afin de commencer la synchronisation. Une boîte de dialogue s'ouvre à la fin de la synchronisation et affiche les statistiques de celle-ci, notamment le nombre d'exigences créées, mises à jour et supprimées.
  6. Cliquez sur OK pour terminer la synchronisation. Toutes les mises à jour apportées aux exigences mappées dans votre outil de gestion des exigences configuré de façon externe sont désormais reflétées dans l'arborescence Exigences.
Sujet parent : Synchronisation des exigences
Tâches associées
Modification du mappage des propriétés


Synchronisation des exigences en fonction des planifications

Vous pouvez définir des planifications globales afin de synchroniser automatiquement les exigences entre Silk Central et un outil de gestion des exigences configuré de façon externe. Pour activer la synchronisation automatique entre Caliber et Silk Central, ajoutez le fichier ss.jar au serveur d'application dans le dossier Programmes\Silk\Silk Central <version>\lib, puis redémarrez le serveur d'application. Pour récupérer le fichier, contactez le service client.

Pour synchroniser les exigences en fonction de planifications définies de façon globale :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Gestion des Exigences.
  3. Cliquez sur Modifier les planifications. La boîte de dialogue Modifier les planifications s'affiche.
  4. Sélectionnez une planification globale prédéfinie dans la liste Synchroniser les modifications pour définir le moment auquel synchroniser les modifications du système externe avec Silk Central.
  5. Sélectionnez une planification globale prédéfinie dans la liste Synchroniser tout pour définir le moment auquel synchroniser toutes les exigences du système externe avec Silk Central.
  6. Cliquez sur OK.
Pour plus d'informations sur la création de planifications globales, reportez-vous à la rubrique Ajout de planifications globales.
Sujet parent : Synchronisation des exigences


Définition d'une notification par courriel pour les événements de synchronisation automatique

Vous pouvez définir une notification par courriel afin d'alerter les utilisateurs lorsque des erreurs se produisent au cours de la synchronisation automatisée des exigences entre Silk Central et les outils de gestion des exigences externes. Tous les destinataires de la notification reçoivent des copies des fichiers journaux de synchronisation.

Pour définir une notification par courriel pour les événements de synchronisation automatique :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Gestion des Exigences.
  3. Cliquez sur Modifier la notification. La boîte de dialogue Modifier la notification s'affiche.
  4. Cochez la case Activer la notification.
  5. Sélectionnez un nom d'utilisateur dans la zone de liste Nom d'utilisateur.
  6. Si nécessaire, ajoutez des adresses électroniques supplémentaires pour les autres destinataires dans la zone de texte Autres adresses électroniques. Utilisez des points-virgules pour séparer plusieurs adresses électroniques.
  7. Cliquez sur OK.
Sujet parent : Synchronisation des exigences


Intégration de Atlassian JIRA Agile

Silk Central offre une intégration des exigences avec Atlassian JIRA Agile. Cette intégration repose sur le système de suivi des projets et des incidents JIRA.Tous les types d'incidents (c'est-à-dire le type d'objet générique dans JIRA) peuvent être synchronisés. Comme Atlassian JIRA Agile permet la création de types d'incidents personnalisés, vous pouvez spécifier, dans Silk Central, la liste des types d'incidents Atlassian JIRA Agile que vous souhaitez synchroniser, comme Anomalie ou Amélioration.

Les versions Atlassian JIRA Agile actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : Atlassian JIRA 6, 7

Restrictions : La synchronisation des exigences JIRA n'est prise en charge que pour les exigences du projet JIRA configuré. Si les exigences sont liées à des exigences (epics) localisées dans un autre projet JIRA, la synchronisation ne fonctionnera pas.

  • Activation de l'intégration avec Atlassian JIRA Agile
    Activez l'intégration avec Atlassian JIRA Agile afin de synchroniser les exigences.
  • Mappages de propriétés Atlassian JIRA Agile
    Explique comment les propriétés Atlassian JIRA Agile comme Backlog et Priorité sont mappées dans Silk Central, comment les afficher et les personnaliser.
Sujet parent : Intégration d’outils de gestion des exigences


Activation de l'intégration avec Atlassian JIRA Agile

Pour activer l'intégration avec Atlassian JIRA Agile :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet avec lequel vous voulez établir l'intégration.
  3. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  4. Cliquez sur l'onglet Gestion des Exigences.
  5. Cliquez sur Nouvelle intégration.
    Remarque : Vous pouvez activer la création, la modification et la suppression d'exigences dans Silk Central , plutôt que seulement par le biais des modifications effectuées avec l'outil intégré. Vous pouvez autoriser des modifications directement dans l'interface utilisateur de Test Manager et/ou par l'intermédiaire des services Web de Silk Central en cochant respectivement les cases Autoriser la création, la modification et la suppression d'exigences....
    La boîte de dialogue Nouvelle intégration s'affiche.
  6. Sélectionnez Atlassian JIRA Agile dans la liste, puis cliquez sur Suivant. La boîte de dialogue Modifier la configuration s'affiche.
  7. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  8. Saisissez l'URL de votre serveur JIRA Agile.
  9. Saisissez un nom d'utilisateur et un mot de passe valables pour JIRA Agile. Le nom d'utilisateur doit être un nom de profil utilisateur JIRA valide.
  10. Dans le champ Types d'incidents, spécifiez les types d'incidents que vous souhaitez synchroniser, séparés par des points-virgules (;). Tous les types d'incidents (c'est-à-dire le type d'objet générique dans JIRA) peuvent être synchronisés. Comme Atlassian JIRA Agile permet la création de types d'incidents personnalisés, vous pouvez spécifier, dans Silk Central, la liste des types d'incidents Atlassian JIRA Agile que vous souhaitez synchroniser, comme Anomalie ou Amélioration.
  11. Facultatif : pour limiter la quantité d'exigences en cours de synchronisation, vous pouvez utiliser le champ JQL personnalisé pour pré-filtrer les exigences avant leur synchronisation. Créez une requête à l'aide de JIRA Query Language (JQL) au sein de votre système JIRA Agile, puis copiez-collez la chaîne dans le champ JQL personnalisé. Pour plus d'informations sur JQL, consultez la Documentation de recherche avancée d'Atlassian.
    Conseil :
    • N'incluez pas de déclarations ORDER BY dans votre requête JQL.
    • La chaîne JQL ne doit pas dépasser 1 000 caractères.
    • La requête JQL est utilisée en plus de votre projet configuré et des types d'incident, elle ne remplace pas ces paramètres.
  12. Cliquez sur Tester la Connexion afin de vérifier l'exactitude des données d'authentification de l'hôte et de l'utilisateur que vous avez indiquées. Un message de réussite de la connexion s'affiche si les paramètres sont corrects. Cliquez sur OK pour poursuivre.
    Remarque : Consultez votre administrateur système si vous ne parvenez pas à établir de connexion.
  13. Cliquez sur Charger. La liste Projet affiche tous les projets de JIRA Agile pour lesquels vous disposez d'autorisations.
  14. Dans la liste Projet, sélectionnez le projet externe auquel le projet Silk Central doit être intégré.
  15. Cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Intégration de Atlassian JIRA Agile


Mappages de propriétés Atlassian JIRA Agile

Les propriétés suivantes ont un mappage par défaut entre JIRA Agile et Silk Central :
  • Les User Stories du Backlog de JIRA Agile sont reflétées dans Silk Central lorsque la valeur de la propriété Sprint est définie sur Backlog. Cela vous permet de les retrouver facilement en créant un filtre.
  • Les valeurs Priorité par défaut des User Stories dans JIRA Agile sont mappées à la propriété Priorité de Silk Central. Si vous n'utilisez pas les valeurs Priorité par défaut de JIRA Agile, vous pouvez personnaliser ce mappage.

Affichage des Backlog Stories de JIRA Agile dans Silk Central

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Créez un nouveau filtre avec les critères suivants :
    • Critères de Sélection : Attributs Externes Personnalisés
    • Propriété : Sprint
    • Valeur : Backlog
  3. Cliquez sur Appliquer pour appliquer immédiatement le filtre ou sur Appliquer et Enregistrer si vous souhaitez pouvoir réutiliser le filtre par la suite.

Mappage des valeurs Priorité de JIRA Agile à la propriété Priorité de Silk Central

Les valeurs Priorité par défaut des User Stories dans JIRA Agile sont mappées comme suit à la propriété Priorité de Silk Central :
  • Blocker=SC_Priority_Critical
  • Critical=SC_Priority_High
  • Major=SC_Priority_Medium
  • Minor=SC_Priority_Low
  • Trivial=SC_Priority_Low
Si vous n'utilisez pas les valeurs Priorité par défaut de JIRA Agile, ou si vous souhaitez personnaliser le mappage, votre administrateur Silk Central devra personnaliser les paramètres comme suit :
  1. Arrêtez le serveur d'application.
  2. Ouvrez le fichier propertyMappings.properties à l'aide d'un éditeur de texte. Ce fichier se trouve sur le serveur d'application, dans le fichier plug-in JIRA Agile nommé JIRAAgile.zip du dossier plugins.
  3. Cherchez SC_Priority=Priority, sous lequel vous pouvez personnaliser le mappage des valeurs Priorité de JIRA Agile à la propriété Priorité de Silk Central.
    Remarque : Les valeurs Priorité de Silk Central doivent porter le préfixe SC_Priority_.
  4. Enregistrez et fermez le fichier.
  5. Redémarrez le serveur d'application.
Sujet parent : Intégration de Atlassian JIRA Agile
Tâches associées
Création de filtres
Démarrage ou arrêt d'un service de serveur d'exécution local


Intégration de CA Agile Central

L'intégration de l'outil de gestion de projets CA Agile Central permet de définir des User Stories que vous pouvez ensuite utiliser en tant qu'exigences dans Silk Central. Vous pouvez alors créer des tests dans Silk Central pour couvrir ces exigences. Pour mettre à jour les tests que vous avez créés en tenant compte des changements apportés aux User Stories correspondants dans CA Agile Central, synchronisez les exigences.

Une application Web hybride fournie avec Silk Central vous permet d'afficher les informations de couverture de test associées au User Story à partir de Silk Central dans CA Agile Central . Vous pouvez associer chaque test dans Silk Central à un ou plusieurs User Stories dans CA Agile Central. Pour associer des tests à un User Story, assignez à chaque test un attribut ayant la valeur de l'ID de User Story mis en forme dans CA Agile Central.

Les propriétés de User Story suivantes sont toujours synchronisées à partir du service REST de CA Agile Central. Les champs personnalisés sont également synchronisés s'ils sont spécifiés dans la configuration de l'intégration. Vous pouvez utiliser ces propriétés pour filtrer et catégoriser les User Stories :
Propriété
Description
Nom
Nom du User Story dans CA Agile Central.
ID CA Agile Central
Identificateur du User Story dans CA Agile Central. Cette propriété correspond à l'ID externe de l'exigence dans Silk Central.
Description
Description du User Story dans CA Agile Central.
Itération
Dans CA Agile Central, itération qui contient le User Story.
Projet
Dans CA Agile Central, projet qui contient le User Story.
Release
Dans Rally, release qui contient le User Story.
Etat
État d'avancement du User Story dans CA Agile Central. Les états suivants sont disponibles :
  • Défini
  • En cours
  • Terminé
  • Accepté
Estimation Planifiée (Story Points)
Dans CA Agile Central, durée estimée pour l'achèvement du User Story. Cette durée est estimée en Story Points.
  • Activation de l'intégration avec CA Agile Central
    Activez l'intégration avec CA Agile Central afin de synchroniser les exigences.
  • Création d'une application HTML personnalisée dans CA Agile Central
    Créez une application personnalisée dans CA Agile Central à l'aide du code HTML ou Javascript afin d'afficher les informations de couverture de test associées au User Story.
  • Association de User Stories disponibles dans CA Agile Central à des tests
    Associez les User Stories disponibles dans CA Agile Central aux tests utilisés dans Silk Central.
Sujet parent : Intégration d’outils de gestion des exigences


Activation de l'intégration avec CA Agile Central

Pour activer l'intégration avec CA Agile Central :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet avec lequel vous voulez établir l'intégration.
  3. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  4. Cliquez sur l'onglet Gestion des Exigences.
  5. Cliquez sur Nouvelle intégration.
    Remarque : Vous pouvez activer la création, la modification et la suppression d'exigences dans Silk Central , plutôt que seulement par le biais des modifications effectuées avec l'outil intégré. Vous pouvez autoriser des modifications directement dans l'interface utilisateur de Test Manager et/ou par l'intermédiaire des services Web de Silk Central en cochant respectivement les cases Autoriser la création, la modification et la suppression d'exigences....
    La boîte de dialogue Nouvelle intégration s'affiche.
  6. Sélectionnez CA Agile Central dans la liste, puis cliquez sur Suivant. La boîte de dialogue Modifier la configuration s'affiche.
  7. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  8. Entrez l'URL.
  9. Entrez les données d'authentification Nom d'utilisateur et Mot de passe pour CA Agile Central ou entrez une clé API valide. Vous pouvez utiliser une clé API pour accéder à vos données d'abonnement CA Agile Central sans utiliser votre nom d'utilisateur ou votre mot de passe. Pour plus d'informations sur les clés API CA Agile Central, reportez-vous à la page Application Manager CA Agile Central.
  10. Facultatif : si l'accès direct à Internet est restreint et que le service REST de CA Agile Central se trouve sur une machine en dehors du périmètre du réseau interne, utilisez les champs Hôte du proxy et Port du proxy afin de spécifier un proxy via lequel Silk Central peut se connecter à CA Agile Central.
    Remarque : Pour vous connecter à CA Agile Central à l'aide d'un proxy, vous devez renseigner les deux champs Hôte du proxy et Port du proxy.
  11. Facultatif : si vous voulez synchroniser les champs personnalisés, entrez leur nom dans le champ Champs Personnalisés en les séparant par une virgule. Vous devez utiliser les noms de champ internes, et non les noms affichés.
  12. Cliquez sur Tester la Connexion afin de vérifier l'exactitude des données d'authentification de l'hôte et de l'utilisateur que vous avez indiquées. Un message de réussite de la connexion s'affiche si les paramètres sont corrects. Cliquez sur OK pour poursuivre.
    Remarque : Consultez votre administrateur système si vous ne parvenez pas à établir de connexion.
  13. Cliquez sur OK.
  14. Cliquez sur Charger. La zone de liste Projet affiche tous les projets de tous les espaces de travail de CA Agile Central pour lesquels vous possédez des autorisations.
  15. Dans la zone de liste Projet, sélectionnez le projet externe auquel le projet Silk Central doit être intégré.
  16. Cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Intégration de CA Agile Central


Création d'une application HTML personnalisée dans CA Agile Central

Créez une application personnalisée dans CA Agile Central à l'aide du code HTML ou Javascript afin d'afficher les informations de couverture de test associées au User Story.

Pour créer une application HTML personnalisée :

  1. Dans CA Agile Central, accédez à l'onglet dans lequel votre application personnalisée doit figurer.
  2. Cliquez sur Customize Page, puis sur Add App. Le catalogue App Catalog s'affiche.
  3. Cliquez sur Custom HTML sous Custom, puis cliquez sur Add This App.
  4. Saisissez un titre et basculez vers Silk Central.
  5. Dans le menu, cliquez sur Aide > Outils.
  6. Cliquez sur État de l'Itération CA Agile Central, puis copiez le code HTML.
  7. Rebasculez vers CA Agile Central et collez le code HTML dans le champ HTML.
  8. Configurez le script dans le champ pour qu'il corresponde à votre environnement Silk Central :
    • Vérifiez si la source de script valide est définie, par exemple <script type="text/javascript" src="http://localhost:19120/silkroot/script/sctm-toolkit.js"></script>.
    • Vérifiez si l'URL valide de Silk Central est définie, par exemple var SCTM_URL = "http://localhost:19120/".
    • Vérifiez si l'ID de projet Silk Central valide est défini, par exemple var SCTM_PROJECT_ID = 0.
    • Vérifiez si un nom d'attribut valide est défini, par exemple var SCTM_ATTRIBUTE_FOR_RALLY_US = "rallyattr".
    • Assurez-vous que l'utilisation de FormattedID dans CA Agile Central est activée, var USE_FORMATTED_ID = true.
  9. Cliquez sur Enregistrer. Votre application HTML personnalisée est créée dans CA Agile Central.
Sujet parent : Intégration de CA Agile Central


Association de User Stories disponibles dans CA Agile Central à des tests

Pour associer des User Stories disponibles dans CA Agile Central à des tests utilisés dans Silk Central :

  1. Dans Silk Central, sélectionnez le projet qui contient les tests auxquels vous souhaitez associer les User Stories disponibles dans CA Agile Central.
  2. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  3. Cliquez sur l'onglet Attributs.
  4. Cliquez sur Nouvel Attribut. La boîte de dialogue Nouvel Attribut s'affiche.
  5. Saisissez rallyattr dans le champ Nom.
  6. Dans la liste Type, sélectionnez Texte.
  7. Cliquez sur OK pour créer le nouvel attribut.
  8. Assignez le nouvel attribut à chaque test auquel vous souhaitez associer des User Stories disponibles dans CA Agile Central.
  9. Définissez l'attribut sur la valeur du paramètre FormattedID du User Story CA Agile Central approprié pour chaque test. Si vous assignez plusieurs User Stories à un même test, séparez les ID par une virgule sans intercaler d'espace. Par exemple, US10,US12,US14.
Sujet parent : Intégration de CA Agile Central


Intégration de Caliber

Cette section décrit le mode d'intégration de Caliber dans Silk Central.

Avant de pouvoir configurer l'intégration de Caliber, vous devez installer le client Caliber sur le serveur d'application Silk Central et sur le serveur de présentation. De plus, vous devez vous assurer que la prise en charge MPX est activée dans Caliber. La configuration de l'intégration avec Caliber nécessite la définition de données d'authentification Caliber. Dès lors que les exigences sont synchronisées entre Silk Central et Caliber, ces données d'authentification permettent de se connecter à Silk Central et, ainsi, de récupérer une licence Silk Central. La licence est libérée dès la fin de la procédure de synchronisation. Nous recommandons la création d'un utilisateur Silk Central dédié pour les synchronisations, qui sera utilisé par toutes les intégrations d'exigences Silk Central. De cette manière, vous pouvez vous assurer qu'une seule licence Caliber est utilisée lors de la procédure de synchronisation.

Les versions de Caliber actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : Caliber 11.4, 11.5

Remarque : Les attributs Caliber Liste d'utilisateurs à sélection multiple et Liste de groupes à sélection multiple définis par l'utilisateur doivent être mis en correspondance avec le type d'attribut de texte Silk Central et non pas le type de liste.
  • Activation de l'intégration avec Caliber
    Activez l'intégration avec Caliber afin de synchroniser les exigences.
  • Prise en charge des lotissements pour l'intégration Caliber
    Décrit le mode de sélection du lotissement actuel ou des lotissements existants définis par l'utilisateur pour l'intégration Caliber.
  • Gestion des assignations de tests dans Caliber
    Décrit la façon dont Caliber gère les assignations de tests dans Silk Central.
  • Copie de projets intégrés à Caliber
    Gérez les lotissements Caliber afin de copier un projet intégré à Caliber.
  • Création d'un lotissement pour un projet intégré à Caliber
    Gérez les lotissements Caliber pour créer un lotissement de projet Caliber intégré à Silk Central.
  • Génération de tests à partir de scénarios et de simulations
    Générer des tests à partir des Scénario et Simulation d'objets Caliber .
Sujet parent : Intégration d’outils de gestion des exigences


Activation de l'intégration avec Caliber

Pour activer l'intégration avec Caliber :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet avec lequel vous voulez établir l'intégration.
  3. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  4. Cliquez sur l'onglet Gestion des Exigences.
  5. Cliquez sur Nouvelle intégration.
    Remarque : Vous pouvez activer la création, la modification et la suppression d'exigences dans Silk Central , plutôt que seulement par le biais des modifications effectuées avec l'outil intégré. Vous pouvez autoriser des modifications directement dans l'interface utilisateur de Test Manager et/ou par l'intermédiaire des services Web de Silk Central en cochant respectivement les cases Autoriser la création, la modification et la suppression d'exigences....
    La boîte de dialogue Nouvelle intégration s'affiche.
  6. Sélectionnez Caliber dans la liste, puis cliquez sur Suivant. La boîte de dialogue Modifier la configuration s'affiche.
  7. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  8. Entrez le Nom d'hôte de la machine sur laquelle le serveur externe est installé.
  9. Entrez les données d'authentification Nom d'utilisateur et Mot de passe pour le serveur de gestion des exigences.
  10. Cliquez sur Tester la Connexion afin de vérifier l'exactitude des données d'authentification de l'hôte et de l'utilisateur que vous avez indiquées. Un message de réussite de la connexion s'affiche si les paramètres sont corrects. Cliquez sur OK pour poursuivre.
    Remarque : Consultez votre administrateur système si vous ne parvenez pas à établir de connexion.
  11. Cliquez sur OK.
  12. Dans la zone de liste Projet, sélectionnez le projet externe auquel le projet Silk Central doit être intégré. Les types d'exigences disponibles avec le projet sélectionné sont automatiquement renseignés dans le champ Types d'exigences. Les lotissements disponibles avec le projet sélectionné sont automatiquement renseignés dans le champ Lotissement.
  13. Sélectionnez un Lotissement depuis le projet externe devant être intégré au projet Silk Central. Vos sélections sont affichées dans la boîte de dialogue Modifier la configuration.
  14. Cliquez sur OK.
  15. Sélectionnez un ou plusieurs types d'exigences à partir du projet externe devant être intégré au projet Silk Central. Utilisez la combinaison Ctrl + clic pour sélectionner plusieurs types d'exigences.
  16. Cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Intégration de Caliber


Prise en charge des lotissements pour l'intégration Caliber

Vous pouvez sélectionner le lotissement en cours ou des lotissements existants définis par l'utilisateur pour l'intégration Caliber. Vous ne pouvez pas importer les exigences loties modifiées dans Silk Central. Les exigences qui ne proviennent pas du lotissement en cours peuvent uniquement être modifiées dans Caliber si la version de l'exigence utilisée pour le lotissement est modifiée. Ces modifications sont mises à jour uniquement dans les exigences de Silk Central lorsqu'une synchronisation manuelle ou planifiée est effectuée.

Vous pouvez modifier un lotissement après l'avoir importé dansSilk Central. Vous pouvez transformer le lotissement configuré en un autre lotissement défini par l'utilisateur ou en lotissement en cours. Après une modification de ce type, la prochaine synchronisation du lotissement (manuelle ou planifiée) permettra de mettre à jour le projet Silk Central, puis de mettre à jour, de créer ou de supprimer des exigences selon les besoins. Lorsqu'un lotissement est modifié, un message s'affiche pour signaler que les changements prendront effet après la prochaine synchronisation.

Sujet parent : Intégration de Caliber


Gestion des assignations de tests dans Caliber

Les tests assignés sont affichés, gérés et créés sous la forme de traces (« Tracer vers ») d'exigences synchronisées dans Caliber.

La Traçabilité Externe de Silk Central doit être activée pour un projet Caliber dans l'Administrateur Caliber et le serveur de présentation Silk Central doit être configuré. Cliquez sur Modifier pour la Traçabilité Externe Silk Central pour le projet correct dans l'Administrateur Caliber.

Lorsqu'un projet est synchronisé avec un projet Silk Central, les tests assignés des exigences Silk Central synchronisées seront affichés sous la forme de traces (« Tracer vers ») de l'exigence Caliber. Si vous modifiez ces assignations dans Silk Central, les modifications sont immédiatement répercutées dans Caliber.

Sujet parent : Intégration de Caliber


Copie de projets intégrés à Caliber

Pour gérer des lotissements Caliber lors de la copie de projets Silk Central :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Gestion des Exigences.
  3. Assurez-vous que le lotissement que vous souhaitez enregistrer est sélectionné.
    Remarque : En cas de modification d'un lotissement, vous devez effectuer une synchronisation afin de mettre à jour les exigences du projet avec les modifications apportées au lotissement, et ce avant de pouvoir copier un projet Silk Central associé. La configuration de l'intégration est uniquement copiée si vous sélectionnez un lotissement autre que celui en cours d'utilisation. Si vous sélectionnez le lotissement courant, vous devez indiquer si vous souhaitez conserver la configuration de l'intégration dans le projet d'origine ou la déplacer vers le projet copié.
  4. Si le lotissement que vous souhaitez enregistrer n'est pas sélectionné, cliquez sur Modifier la Configuration. La boîte de dialogue Modifier la Configuration s'affiche.
  5. Cliquez sur Parcourir en regard de la zone de texte Nom de Projet. La boîte de dialogue Parcourir les Projets s'affiche.
  6. Sélectionnez le lotissement que vous souhaitez enregistrer, puis confirmez votre sélection.
  7. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  8. Cliquez sur Copier le projet dans la colonne Actions du projet que vous souhaitez copier.
    Remarque : Pour plus de détails sur la copie d'un projet, reportez-vous aux rubriques Administration de cette Aide.
    La boîte de dialogue Copier le Projet s'affiche.
  9. Sélectionnez les éléments que vous souhaitez copier dans le nouveau projet, puis confirmez votre sélection.
  10. Appliquez le lotissement souhaité afin de continuer à utiliser le projet Silk Central.
    Remarque : Suite à la copie d'un projet, le projet d'origine et la copie sont identiques. Définissez le lotissement que vous continuerez d'utiliser en appliquant le lotissement correspondant.
Sujet parent : Intégration de Caliber


Création d'un lotissement pour un projet intégré à Caliber

Pour créer un lotissement de projet Caliber intégré à Silk Central :

  1. Créer un lotissement du projet Silk Central. Pendant le processus, un message Silk Central s'affiche, vous demandant si vous souhaitez activer l'intégration à Caliber pour le nouveau lotissement.
  2. Cliquez sur Oui. Une fois le nouveau lotissement créé, la boîte de dialogue Projet Lotissement - Adapter les Paramètres de Projet s'affiche.
  3. Cliquez sur Modifier pour modifier les paramètres d'intégration des exigences.

    La boîte de dialogue Modifier la configuration s'affiche.

  4. Cliquez sur Parcourir en regard de la zone de texte Nom de projet. La boîte de dialogue Parcourir les Projets s'affiche.
  5. Sélectionnez un projet Caliber, un lotissement et les types d'exigence pour la synchronisation.
  6. Cliquez sur OK pour fermer la boîte de dialogue Parcourir les projets.
  7. Cliquez sur OK pour fermer la boîte de dialogue Modifier la configuration.
  8. Cliquez sur Terminer pour fermer la boîte de dialogue Projet lotissement - adapter les paramètres de projet.
Sujet parent : Intégration de Caliber


Génération de tests à partir de scénarios et de simulations

Générer des tests à partir des Scénario et Simulation d'objets Caliber .

Pour générer des tests à partir des Scénario et Simulation d'objets Caliber :

  1. Etablissez l'intégration avec Caliber . Pour plus d'informations, reportez-vous à la rubrique Activation de l'intégration avec Caliber.
  2. Sélectionnez Scénario ou Simulation dans l'arborescence Exigences à partir de laquelle vous voulez générer les tests.
  3. Dans l'onglet Propriétés, cliquez sur Générer les tests. La boîte de dialogue Générer les tests s'affiche.
  4. Utilisez la combinaison Ctrl + clic ou Maj + clic pour sélectionner les tests que vous voulez générer.
  5. Cliquez sur Générer tout pour générer tous les tests, ou sur Générer le sélectionné pour générer les tests sélectionnés. L'arborescence Tests s'affiche.
  6. Sélectionnez le dossier auquel vous souhaitez ajouter les tests générés.
    Remarque : Les tests qui existent déjà dans le dossier de destination sélectionné ne sont pas créés, mais mis à jour. Aucun des tests contenus dans le dossier n'est supprimé.
  7. Cliquez sur OK.
Sujet parent : Intégration de Caliber
Tâches associées
Synchronisation des exigences entre différents outils
Activation de l'intégration avec Caliber


Intégration de IBM Rational DOORS

Cette section décrit le mode d'intégration de Silk Central et IBM Rational DOORS. Silk Central 19.0 offre une prise en charge prête à l'emploi de IBM Rational DOORS, sans que vous ayez besoin de personnaliser en quoi que ce soit votre installation DOORS. Cependant, si vous procédez à une mise à niveau de Silk Central 15.5 ou d'une version précédente et que vous utilisez des fichiers dxl personnalisés, il vous faudra remplacer les fichiers dxl du dossier lib\dxl contenu dans votre dossier d'installation Silk Central par ces fichiers dxl personnalisés.

Les versions de IBM Rational DOORS actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : IBM Rational DOORS 9.5, 9.6

  • Activation de l'intégration avec IBM Rational DOORS
    Activez l'intégration avec IBM Rational DOORS afin de synchroniser les exigences.
Sujet parent : Intégration d’outils de gestion des exigences


Activation de l'intégration avec IBM Rational DOORS

Pour intégrer Silk Central et DOORS, installez le client DOORS sur la machine du serveur de présentation Silk Central. Si vous utilisez plus d'un serveur de présentation, il vous faut installer le client DOORS sur chacun des serveurs de présentation configurés en vue de l'intégration avec DOORS.

Pour activer l'intégration avec DOORS :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet avec lequel vous voulez établir l'intégration.
  3. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  4. Cliquez sur l'onglet Gestion des Exigences.
  5. Cliquez sur Nouvelle intégration.
    Remarque : Vous pouvez activer la création, la modification et la suppression d'exigences dans Silk Central , plutôt que seulement par le biais des modifications effectuées avec l'outil intégré. Vous pouvez autoriser des modifications directement dans l'interface utilisateur de Test Manager et/ou par l'intermédiaire des services Web de Silk Central en cochant respectivement les cases Autoriser la création, la modification et la suppression d'exigences....
    La boîte de dialogue Nouvelle intégration s'affiche.
  6. Sélectionnez IBM Rational DOORS dans la liste, puis cliquez sur Suivant. La boîte de dialogue Modifier la configuration s'affiche.
  7. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  8. Dans le champ URL du service de gestion des exigences, saisissez l'URL du service Web d'exigence DOORS de Silk Central. La valeur par défaut doit déjà pointer vers l'emplacement approprié. Par exemple http://MySCTMHost:19120/services/doorsrequirementsmanagement.
  9. Entrez les données d'authentification Nom d'utilisateur et Mot de passe pour le serveur de gestion des exigences.
  10. Le chemin d'installation par défaut du client DOORS s'affiche dans le champ Chemin d'installation DOORS. Si ce chemin n'est pas correct, entrez la destination correcte dans la structure de dossiers du serveur de présentation.
  11. Cliquez sur Tester la Connexion afin de vérifier l'exactitude des données d'authentification de l'hôte et de l'utilisateur que vous avez indiquées. Un message de réussite de la connexion s'affiche si les paramètres sont corrects. Cliquez sur OK pour poursuivre.
    Remarque : Consultez votre administrateur système si vous ne parvenez pas à établir de connexion.
  12. Cliquez sur Parcourir à côté du champ Nom du projet pour ouvrir la boîte de dialogue Parcourir les types d'exigences. Dans le champ Projet, sélectionnez le projet externe avec lequel le projet Silk Central doit se synchroniser.

    Les types d'exigences disponibles avec le projet sélectionné sont automatiquement renseignés dans le champ Types d'exigences. Sélectionnez les types d'exigences à synchroniser, puis cliquez sur OK. Utilisez la combinaison Ctrl + clic pour sélectionner plusieurs types d'exigences.

    Vos sélections s'affichent à présent dans la boîte de dialogue Modifier la configuration.
  13. Cliquez sur OK pour enregistrer vos paramètres.
    ATTENTION :
    Comme l'objet d'application DOORS qui sert pour la communication ne prend pas en charge de données de connexion mais nécessite un client DOORS en cours d'exécution, le Silk Central démarre chaque processus client DOORS avec les données de connexion fournies, puis utilise ces mêmes données pour tous les objets d'application suivants. Par conséquent, un seul jeu de données de connexion à DOORS est pris en charge à la fois pour les communications. Il est recommandé d'utiliser les mêmes données de connexion à DOORS pour toutes les configurations, pour que les tâches d'intégration puissent s'effectuer sur le serveur de présentation pour tous les projets à la fois. Lors de l'utilisation d'un second jeu de données de connexion, ce second jeu ne fonctionne qu'après expiration de toutes les sessions qui utilisent le premier jeu.
Sujet parent : Intégration de IBM Rational DOORS


Intégration de IBM Rational DOORS Next Generation

Cette section décrit le mode d'intégration de Silk Central et IBM Rational DOORS Next Generation. Silk Central 19.0 propose une assistance prête à l'emploi pour IBM Rational DOORS Next Generation , sans que vous n'ayez besoin de personnaliser quoi que ce soit dans votre installation DOORS.
Remarque : Tous les éléments du projet sont synchronisés, sauf les éléments de collection DOORS eux-mêmes, Module et Collection.

Les versions IBM Rational DOORS Next Generation actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : IBM Rational DOORS Next Generation 6.0

  • Activation de l'intégration avec IBM Rational DOORS Next Generation
    Activez l'intégration avec IBM Rational DOORS Next Generation afin de synchroniser les exigences.
Sujet parent : Intégration d’outils de gestion des exigences


Activation de l'intégration avec IBM Rational DOORS Next Generation

Pour activer l'intégration avec IBM Rational DOORS Next Generation :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet avec lequel vous voulez établir l'intégration.
  3. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  4. Cliquez sur l'onglet Gestion des Exigences.
  5. Cliquez sur Nouvelle intégration.
    Remarque : Vous pouvez activer la création, la modification et la suppression d'exigences dans Silk Central , plutôt que seulement par le biais des modifications effectuées avec l'outil intégré. Vous pouvez autoriser des modifications directement dans l'interface utilisateur de Test Manager et/ou par l'intermédiaire des services Web de Silk Central en cochant respectivement les cases Autoriser la création, la modification et la suppression d'exigences....
    La boîte de dialogue Nouvelle intégration s'affiche.
  6. Sélectionnez IBM Rational DOORS Next Generation dans la liste, puis cliquez sur Suivant. La boîte de dialogue Modifier la configuration s'affiche.
  7. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  8. Dans le champ URL nouvelle génération DOORS, tapez l'URL complète du serveur IBM Rational DOORS Next Generation , par exemple https://MyDOORSHost.MyDomain.com:9443/rm.
  9. Dans le champ URL d'authentification, saisissez l'URL complète du serveur IBM Rational Jazz Team, par exemple https://MyDOORSHost.MyDomain.com:9443/jts.
    Remarque : Le nouveau serveur d'authentification IBM Rational n'est pas pris en charge pour l'authentification, seul le serveur IBM Rational Jazz Team est pris en charge.
  10. Entrez les données d'authentification Nom d'utilisateur et Mot de passe pour le serveur IBM Rational DOORS Next Generation.
  11. Cliquez sur Tester la Connexion afin de vérifier l'exactitude des données d'authentification de l'hôte et de l'utilisateur que vous avez indiquées. Un message de réussite de la connexion s'affiche si les paramètres sont corrects. Cliquez sur OK pour poursuivre.
    Remarque : Consultez votre administrateur système si vous ne parvenez pas à établir de connexion.
  12. Cliquez sur Charger à côté de la liste Nom de projet pour remplir la liste avec les projets DOORS disponibles. Sélectionnez le projet externe avec lequel le projet Silk Central doit se synchroniser.
  13. Cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Intégration de IBM Rational DOORS Next Generation


Intégration de SAP Solution Manager

Pour acheter le plug-in SAP Solution Manager, veuillez contacter votre représentant commercial.

SAP Solution Manager simplifie le support technique des systèmes distribués, couvrant le déploiement de la solution mais aussi son exploitation et son amélioration continue. SAP Solution Manager est une solution robuste et centralisée d'administration et de gestion des applications, qui combine les outils, le contenu et l'accès direct à SAP afin d'améliorer la fiabilité des solutions et d'abaisser le coût total de possession. Pour plus d'informations sur SAP Solution Manager, reportez-vous à la documentation SAP Solution Manager.

L'intégration entre Silk Central et SAP Solution Manager permet la synchronisation des processus métier et des incidents SAP Solution Manager en tant qu'exigences et incidents Silk Central.

  • System Requirements for SAP Solution Manager Integration
    Describes system requirements for the SAP Solution Manager integration plugin.
  • Configuration de SAP Solution Manager
    Indique où vous pouvez obtenir des informations sur la configuration de SAP Solution Manager, en vue d'une intégration à Silk Central.
  • Ajout de profils de suivi d'incidents SAP Solution Manager
    Décrit le mode de création d'un profil de suivi d'incidents pour SAP Solution Manager.
  • Activation de l'intégration des exigences à SAP Solution Manager
    Décrit comment activer l'intégration des exigences à SAP Solution Manager.
Sujet parent : Intégration d’outils de gestion des exigences
Sujet parent : Intégrations des profils de suivi d'incidents


System Requirements for SAP Solution Manager Integration

The following are the system requirements for the SAP Solution Manager integration plugin:

  • SAP Solution Manager 7.2.
  • Silk Central 19.0 or later.
  • The Silk Central Integration Hub for SAP Solution Manager must be installed in SAP Solution Manager.
Sujet parent : Intégration de SAP Solution Manager


Configuration de SAP Solution Manager

Configurez SAP Solution Manager pour activer l'intégration à Silk Central.

Pour plus d'informations, consultez les fichiers Configuration_Guide_SilkCentral_Integration_Hub_for_SAP.pdf et User_Guide_SilkCentral_Integration_Hub_for_SAP.pdf, inclus dans le plug-in SAP Solution Manager.

Dans le cadre de cette intégration, pour obtenir des liens valides entre SAP Solution Manager à Silk Central, la machine du serveur de présentation de Silk Central doit posséder un nom complet valide.

Sujet parent : Intégration de SAP Solution Manager


Ajout de profils de suivi d'incidents SAP Solution Manager

Pour ajouter un profil de suivi d'incidents SAP Solution Manager :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Suivi des Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Suivi d'Incidents.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Saisissez une Description pour le nouveau profil.
  6. Dans la zone de liste Type, sélectionnez SAP Solution Manager.
  7. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder au système de suivi des incidents.
  8. Saisissez l'URL du service Web Z-SCTM_ADAPTER de SAP Solution Manager.
  9. Cliquez sur Charger les Projets pour charger tous les projets à partir du serveur et compléter la zone de liste Projet, puis sélectionnez un projet dans la zone de liste Projet.
  10. Cliquez sur Charger le Type d'Incident par Défaut pour charger tous les types d'incident possibles et compléter la zone de liste Type d'Incident par Défaut.
  11. Dans la zone de liste Type d'Incident par Défaut, sélectionnez un type d'incident. Si vous créez des liens vers des incidents existants dans SAP Solution Manager et que vous ne spécifiez pas le type d'incident, ce type sera utilisé en lieu et place.
  12. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  13. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Intégration de SAP Solution Manager
Tâches associées
Mappage des états des incidents


Activation de l'intégration des exigences à SAP Solution Manager

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet avec lequel vous voulez établir l'intégration.
  3. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  4. Cliquez sur l'onglet Gestion des Exigences.
  5. Cliquez sur Nouvelle intégration.
    Remarque : Vous pouvez activer la création, la modification et la suppression d'exigences dans Silk Central , plutôt que seulement par le biais des modifications effectuées avec l'outil intégré. Vous pouvez autoriser des modifications directement dans l'interface utilisateur de Test Manager et/ou par l'intermédiaire des services Web de Silk Central en cochant respectivement les cases Autoriser la création, la modification et la suppression d'exigences....
    La boîte de dialogue Nouvelle intégration s'affiche.
  6. Sélectionnez SAP Solution Manager dans la liste, puis cliquez sur Suivant. La boîte de dialogue Modifier la configuration s'affiche.
  7. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  8. Entrez l'URL du service Web Z_SCTM_ADAPTER de SAP Solution Manager.
  9. Renseignez les champs Nom d'utilisateur et Mot de passe.
  10. Cliquez sur Tester la connexion afin de vérifier l'exactitude des données d'authentification de l'hôte et de l'utilisateur que vous avez indiquées. Si les paramètres sont corrects, un message Test connection was successful (Connexion de test réussie) s'affiche.
  11. Cliquez sur Charger pour charger toutes les combinaisons de solutions et de branches disponibles et sélectionnez la combinaison de votre choix. Silk Central stocke ces combinaisons de solutions et de branches en tant que projets.
  12. Facultatif : cochez la case Activer la création d'exigences non assignées afin de permettre la création et la modification d'exigences non mappées dans les projets Silk Central configurés pour l'intégration.
  13. Cliquez sur OK pour confirmer et pour fermer la boîte de dialogue.
Sujet parent : Intégration de SAP Solution Manager


Utilisation des propriétés externes

Cette section décrit le mode d'utilisation des propriétés externes dans Silk Central.

  • Modification de propriétés externes
    Modifiez des propriétés externes.
  • Affichage des propriétés externes
    Affichez les propriétés externes.
Sujet parent : Intégration d’outils de gestion des exigences


Modification de propriétés externes

Pour modifier des propriétés externes :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dont vous comptez modifier les propriétés externes.
  3. Cliquez sur l'onglet Propriétés. La page Propriétés affiche les propriétés de l'élément de l'arborescence sélectionné.
  4. Cliquez sur Modifier les Propriétés Externes. La boîte de dialogue Modifier les Propriétés Externes s'affiche. Toutes les propriétés de l'exigence externe s'affichent ici. Modifiez toutes les propriétés en fonction de vos besoins.
    Remarque : Les propriétés modifiables de cette boîte de dialogue comportent des champs d'entrée et des contrôles vous permettant de modifier les propriétés. Si une règle de mappage existe pour un attribut, ce dernier est suivi d'un astérisque (*).
  5. Cliquez sur OK pour enregistrer vos modifications et fermer la boîte de dialogue.
Sujet parent : Utilisation des propriétés externes


Affichage des propriétés externes

Pour afficher les propriétés externes :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence.
  3. Cliquez sur l'onglet Propriétés. La page Propriétés affiche les propriétés de l'élément de l'arborescence sélectionné.
  4. Cliquez sur Voir les Propriétés Externes. La boîte de dialogue Voir les Propriétés Externes s'ouvre. Toutes les propriétés de l'exigence externe s'affichent ici.
  5. Fermez la boîte de dialogue.
Sujet parent : Utilisation des propriétés externes


Modification du mappage des propriétés

La fonctionnalité de mappage des propriétés permet de mapper des champs de propriétés entre Silk Central et des outils de gestion des exigences externe. Par exemple, une propriété d'exigence personnalisée dans Silk Central (nommée User) peut être équivalente à une propriété personnalisée dans Caliber (nommée User_ID). La fonction de mappage des propriétés permet de garantir que les champs de propriétés d'exigence sont renseignés précisément d'un projet à un autre lors de l'import et du téléchargement des exigences. Si plusieurs types d'exigences existent, vous devez mapper chaque type séparément.

Remarque : Si vous n'utilisez pas la fonction de mappage des propriétés, seuls le nom et la description des exigences sont mappés.

Pour modifier le mappage des propriétés :

Remarque : Les règles suivantes s'appliquent pour la synchronisation des propriétés comportant des valeurs booléennes : étant donné que Silk Central ne prend pas en charge le type de données booléennes, vous devez créer une liste de sélection unique comprenant les deux éléments suivants :
  • Nom = Oui, Poids Numérique = 1
  • Nom = Non, Poids Numérique = 0
Remarque : Lors du mappage de listes, les propriétés d'exigences des deux applications doivent posséder les mêmes noms d'options pour chaque élément de la liste. Ces propriétés sont par ailleurs sensibles à la casse.
  1. Sélectionnez le projet.
  2. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  3. Cliquez sur l'onglet Gestion des Exigences.
  4. Cliquez sur l'option Modifier le Mappage de la Propriété correspondant à l'outil externe configuré. La boîte de dialogue Modifier le Mappage de la Propriété s'ouvre.
  5. Sélectionnez un type d'exigence externe dans la liste Types d'Exigences. Toutes les exigences personnalisées de ce type sont ensuite affichées ci-dessous dans la zone de sélection.
  6. Sélectionnez la propriété d'exigence personnalisée dont vous établissez le mappage.
  7. Dans la zone de liste située sur la droite, sélectionnez la propriété personnalisée Silk Central afin d'établir le mappage vers la propriété personnalisée externe que vous avez sélectionnée.
  8. Cliquez sur Ajouter un Mappage afin de mapper les exigences. Les résultats sont affichés dans la zone Mappage de la propriété personnalisée.
  9. La zone Mappage de la propriété système affiche les deux mappages préconfigurés pour un nom d'exigence et une description. Ceux-ci ne peuvent pas être supprimés.
  10. Cliquez sur OK pour enregistrer vos modifications.
Sujet parent : Intégration d’outils de gestion des exigences


Suppression de paires de valeurs de mappage des propriétés

Pour supprimer une paire de valeurs de mappage des propriétés :

  1. Sélectionnez le projet.
  2. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  3. Cliquez sur l'onglet Gestion des Exigences.
  4. Cliquez sur l'option Modifier le Mappage de la Propriété correspondant à l'outil externe configuré. La boîte de dialogue Modifier le Mappage de la Propriété s'ouvre.
  5. Sélectionnez la paire de valeurs de mappage des propriétés dans la zone de sélection Mappage de la propriété personnalisée.
  6. Cliquez sur Supprimer le Mappage.
  7. Cliquez sur OK pour enregistrer vos modifications.
Sujet parent : Intégration d’outils de gestion des exigences


Désactivation de l'intégration de la gestion des exigences

Pour désactiver la configuration de l'intégration de la gestion des exigences :

  1. Sélectionnez le projet.
  2. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  3. Cliquez sur l'onglet Gestion des Exigences.
  4. Cliquez sur le bouton Désactiver la Configuration de l'outil de gestion des exigences dont vous souhaitez désactiver l'intégration.
Toutes les fonctionnalités et les données d'intégration sont désactivées, mais ne sont pas supprimées du projet.
Sujet parent : Intégration d’outils de gestion des exigences


Suppression de l'intégration de la gestion des exigences

Pour supprimer l'intégration de la gestion des exigences :

  1. Sélectionnez le projet.
  2. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  3. Cliquez sur l'onglet Gestion des Exigences.
  4. Cliquez sur l'option Supprimer la Configuration de l'outil de gestion des exigences pour lequel vous voulez supprimer l'intégration. Ce bouton est disponible uniquement si la configuration est désactivée. La boîte de dialogue Supprimer l'Association Externe s'affiche.
  5. Cliquez sur Oui.
Toutes les données connexes sont supprimées de la base de données.
Sujet parent : Intégration d’outils de gestion des exigences


Filtres

Les filtres sont un moyen efficace de trouver précisément les informations dont vous avez besoin et d'exclure les détails non pertinents. Ils font ressortir les éléments qui répondent à vos besoins et permettent de faire rapidement le tri dans les exigences, les éléments de test et les plans d'exécution. En définissant des filtres globaux, vous pouvez créer des critères de filtrage complexes disponibles dans Silk Central sans avoir à définir des critères à chaque fois que vous voulez filtrer une liste.

Selon vos besoins, vous pouvez créer des filtres, modifier ceux qui existent, les sélectionner, les supprimer ou désactiver le filtrage au niveau du projet. Les projets ne comportent aucun filtre par défaut. Vous pouvez accéder aux filtres et les modifier à partir des barres d'outils des unités Silk Central et de l'unité Paramètres de projet.

Remarque : Les filtres ne sont pas appliqués aux rapports. Le filtre Changements Récents permet d'afficher les changements et les ajouts apportés aux tests par d'autres utilisateurs à l'échelle du projet depuis votre dernier acquittement. Le bouton bascule Montrer les Modifications/Montrer Tout et le bouton Acquitter de l'espace Tests permettent de voir quels changements ont été apportés par les autres utilisateurs. L'administrateur système peut configurer des notifications par courriel afin que vous receviez une alerte lorsque les paramètres des tests sont modifiés. Les alertes par courriel incluent des liens permettant d'accéder directement à une vue répertoriant les changements récents.
  • Création de filtres
    Créez un filtre pour limiter les informations qui s'affichent.
  • Création de filtres avancés
    Décrit comment créer un filtre personnalisé avancé.
  • Modification de filtres
    Modifiez un filtre pour limiter les informations affichées.
  • Copie de filtres
    Copiez un filtre afin de le modifier et créez un filtre à partir de la copie.
  • Suppression de filtres
    Supprimez un filtre lorsque le sous-jeu d'informations n'est plus requis.
  • Détails des filtres globaux
    Fournit des détails pour les filtres globaux.
  • Changements Récents
    Permet d'afficher et d'acquitter efficacement les changements et les ajouts que les autres utilisateurs ont apportés aux exigences, aux tests ou aux plans d'exécution à l'échelle du projet depuis le dernier acquittement des changements.
  • Application de filtres
    Appliquez un filtre personnalisé à l'arborescence sélectionnée.
Sujet parent : Configuration des paramètres d'exigences et des intégrations
Sujet parent : Configuration des paramètres de test et des intégrations
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Sujet parent : Paramètres de Projet


Création de filtres

Pour créer un filtre :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Filtres afin d'afficher la liste des filtres disponibles.
  3. Cliquez sur Nouveau Filtre. La boîte de dialogue Nouveau filtre s'affiche.
  4. Renseignez le champ Nom du nouveau filtre. Ce nom est affiché dans les zones de liste lorsque le filtre est disponible.
  5. Sélectionnez une Catégorie dans la liste afin de rendre le filtre disponible dans la zone Exigences, Tests ou Organisation des exécutions de Silk Central.
  6. Facultatif : renseignez le champ Description du nouveau filtre.
  7. Facultatif : cochez la case Visible d'autres utilisateurs afin que les autres utilisateurs puissent voir le filtre.
  8. Facultatif : cochez la case Modifiable par d'autres utilisateurs afin que les autres utilisateurs puissent modifier le filtre.
    Remarque : Si les cases Visible d'autres utilisateurs et Modifiable par d'autres utilisateurs sont cochées, cela signifie que le filtre est public. Pour supprimer des filtres non publics (privés), vous devez être le propriétaire du filtre ou disposer de l'autorisation Supprimer les filtres privés d'autres utilisateurs.
  9. Sélectionnez une catégorie de critères de filtre dans la liste Critères de sélection. Les catégories disponibles dépendent de la catégorie de filtre général que vous avez sélectionnée.
    Remarque : Vous pouvez combiner les filtres en sélectionnant l'option Filtre de Test Imbriqué ou Filtre d'Exigence Imbriquée. La sélection de l'une de ces catégories vous permet d'inclure un filtre existant dans votre nouveau filtre.
  10. Sélectionnez une Propriété, un Opérateur et une Valeur pour le filtre dans les listes respectives.
    Propriété
    Les propriétés disponibles dépendent de la catégorie de filtre sélectionnée à l'étape précédente. Définit la propriété pour laquelle vous définissez un paramètre de filtre. Si vous avez sélectionné une catégorie d'attributs, la liste des propriétés inclut des attributs personnalisés sur lesquels vous pouvez effectuer des requêtes.
    Opérateur
    Spécifie l'opérateur des filtres. L'opérateur dépend du type de propriété sélectionné. Par exemple, si vous avez sélectionné une propriété basée sur un type de champ de chaîne, les opérateurs suivants sont disponibles :
    Opérateur | Description
    = La chaîne est égale à la valeur définie.
    pas | La chaîne diffère de la valeur définie.
    contient | La chaîne contient la valeur définie.
    ne contient pas | La chaîne ne contient pas la valeur définie.
    Valeur
    Entrez la valeur que vous souhaitez filtrer. Selon le type de propriété que vous avez sélectionné, les valeurs seront soit des chaînes que vous pouvez saisir dans le champ, soit une sélection de valeurs prédéfinies que vous pouvez sélectionner dans la zone de liste. Les caractères génériques autorisés pour les chaînes sont * (toute quantité de caractères) et ? (exactement un caractère).
  11. Facultatif : cliquez sur Plus si vous souhaitez ajouter plusieurs catégories au nouveau filtre. Répétez cette procédure afin de définir de nouvelles catégories.
    Remarque : Si vous définissez plusieurs catégories de filtres, vous devez spécifier si les catégories doivent être prises en compte, en plus des catégories existantes (relation ET), ou si le filtre doit renvoyer la valeur Vrai lorsque l'une des catégories de filtres est prise en compte (relation OU). Sélectionnez l'opérateur ET ou OU afin de définir la relation de catégorie de filtre. Vous ne pouvez pas définir des relations ET, OU imbriquées.
  12. Facultatif : pour supprimer des catégories de filtres, cliquez sur Moins. La dernière catégorie de filtre est supprimée.
  13. Cliquez sur OK pour enregistrer le nouveau filtre ou cliquez sur Annuler pour abandonner l'opération.
Sujet parent : Filtres


Création de filtres avancés

Les filtres personnalisés avancés vous permettent de combiner des filtres simples en vue de créer des filtres complexes appliquant simultanément plusieurs critères de filtre.

Pour créer un filtre personnalisé avancé :

  1. Dans le menu, sélectionnez la zone appropriée : Exigences, Tests ou Organisation des Exécutions.
  2. Cliquez sur [image] (Nouveau Filtre) dans la barre d'outils. La boîte de dialogue Nouveau Filtre s'affiche.
  3. Si nécessaire, cliquez sur Avancé pour afficher l'intégralité de la boîte de dialogue.
  4. Cliquez sur Plus afin d'afficher un deuxième jeu de champs de paramètres de filtre, à partir duquel vous pouvez définir un deuxième jeu de paramètres de filtre.
  5. Sélectionnez un opérateur logique pour l'application des requêtes de filtrage. Par exemple, avec l'opérateur and, les éléments filtrés doivent répondre aux deux jeux de critères, tandis qu'avec l'opérateur or, les éléments filtrés doivent répondre à l'un des jeux de critères (mais pas les deux).
  6. Pour supprimer une chaîne de paramètres de filtre, cliquez sur Supprimer.
  7. Pour afficher d'autres champs de paramètres de filtre et créer des requêtes de filtre supplémentaires, cliquez sur Plus. Pour supprimer les jeux de paramètres de filtre en trop, cliquez sur Moins.
Sujet parent : Filtres


Modification de filtres

Pour modifier un filtre :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Filtres afin d'afficher la liste des filtres disponibles.
  3. Cliquez sur le nom du filtre que vous souhaitez modifier. La boîte de dialogue Modifier le Filtre s'affiche.
  4. Modifiez le Nom et la Description du filtre.
  5. Sélectionnez une catégorie de critères de filtre dans la liste Critères de sélection. Les catégories disponibles dépendent de la catégorie de filtre général que vous avez sélectionnée.
    Remarque : Vous pouvez combiner les filtres en sélectionnant l'option Filtre de Test Imbriqué ou Filtre d'Exigence Imbriquée. La sélection de l'une de ces catégories vous permet d'inclure un filtre existant dans votre nouveau filtre.
  6. Sélectionnez une Propriété, un Opérateur et une Valeur pour le filtre dans les listes respectives.
    Propriété
    Les propriétés disponibles dépendent de la catégorie de filtre sélectionnée à l'étape précédente. Définit la propriété pour laquelle vous définissez un paramètre de filtre. Si vous avez sélectionné une catégorie d'attributs, la liste des propriétés inclut des attributs personnalisés sur lesquels vous pouvez effectuer des requêtes.
    Opérateur
    Spécifie l'opérateur des filtres. L'opérateur dépend du type de propriété sélectionné. Par exemple, si vous avez sélectionné une propriété basée sur un type de champ de chaîne, les opérateurs suivants sont disponibles :
    Opérateur | Description
    = La chaîne est égale à la valeur définie.
    pas | La chaîne diffère de la valeur définie.
    contient | La chaîne contient la valeur définie.
    ne contient pas | La chaîne ne contient pas la valeur définie.
    Valeur
    Entrez la valeur que vous souhaitez filtrer. Selon le type de propriété que vous avez sélectionné, les valeurs seront soit des chaînes que vous pouvez saisir dans le champ, soit une sélection de valeurs prédéfinies que vous pouvez sélectionner dans la zone de liste. Les caractères génériques autorisés pour les chaînes sont * (toute quantité de caractères) et ? (exactement un caractère).
  7. Cliquez sur OK pour enregistrer la définition de filtre modifiée.
Sujet parent : Filtres


Copie de filtres

Créez un filtre en copiant un filtre existant et en modifiant ses paramètres.

  1. Dans le menu, sélectionnez la zone appropriée : Exigences, Tests ou Organisation des Exécutions.
  2. Dans la barre d'outils de l'espace sélectionné, sélectionnez un filtre dans la zone de liste.
  3. Cliquez sur Copier le Filtre. La boîte de dialogue Modifier le Filtre s'affiche avec les paramètres du filtre d'origine.
  4. Modifiez les propriétés du filtre, puis cliquez sur OK.
Sujet parent : Filtres


Suppression de filtres

Pour supprimer un filtre :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Filtres afin d'afficher la liste des filtres disponibles.
  3. Cliquez sur l'option Supprimer le Filtre associée au filtre que vous souhaitez supprimer. Une boîte de dialogue vous invitant à confirmer la suppression s'affiche.
  4. Cliquez sur Oui pour supprimer le filtre sélectionné ou sur Non pour abandonner l'opération. Si vous cliquez sur Oui, vous serez renvoyé à la liste des filtres qui n'affiche plus le filtre supprimé.
Sujet parent : Filtres


Détails des filtres globaux

Les filtres globaux vous permettent de trier rapidement les éléments dans un espace Silk Central, en mettant en surbrillance uniquement ceux qui répondent à vos besoins.

Pour afficher les détails d'un filtre global, cliquez sur Projet : <nom du projet> > Paramètres de Projet > Filtres dans le menu, puis cliquez sur le nom du filtre.

L'espace Silk Central spécifique dans lequel un nouveau filtre est disponible est défini en sélectionnant la catégorie de filtre général.

Chaque filtre global doit disposer d'une propriété, d'un opérateur et d'une valeur issus des zones de liste respectives :

Propriété
Les propriétés disponibles dépendent de la catégorie de filtre. Elle définit la propriété pour laquelle vous définissez un paramètre de filtre. Si vous avez sélectionné une catégorie d'attributs, la liste des propriétés inclut des attributs personnalisés sur lesquels vous pouvez effectuer des requêtes.
Opérateur
Spécifie l'opérateur des filtres. L'opérateur dépend du type de propriété. Par exemple, si vous sélectionnez une propriété qui est basée sur un type de champ de chaîne, les opérateurs disponibles sont = (égal à la valeur définie), pas (différent de la valeur définie), contient (contient la valeur définie à un endroit de la chaîne) et ne contient pas (ne contient pas la valeur définie dans la chaîne).
Valeur
Valeur que vous voulez filtrer. Selon le type de propriété que vous avez sélectionné, les valeurs seront soit des chaînes que vous pouvez saisir dans le champ, soit une sélection de valeurs prédéfinies que vous pouvez sélectionner dans la zone de liste.
Sujet parent : Filtres


Changements Récents

Le filtre Changements Récents permet d'afficher et d'acquitter efficacement les changements et les ajouts que les autres utilisateurs ont apportés aux exigences, aux tests ou aux plans d'exécution à l'échelle du projet depuis le dernier acquittement des changements.

Les deux boutons situés tout à droite de la barre d'outils, le bouton bascule Montrer les Modifications / Montrer Tout et le bouton Acquitter, permettent de visualiser les changements apportés par d'autres utilisateurs.

Remarque : L'administrateur système peut configurer des notifications par courriel afin que vous receviez une alerte lorsque les paramètres des tests sont modifiés. Les alertes par courriel incluent des liens permettant d'accéder directement à une vue répertoriant les changements récents.
Sujet parent : Filtres


Application de filtres

Après avoir créé et stocké un filtre personnalisé, vous pouvez l'appliquer à l'arborescence sélectionnée. Vous pouvez appliquer les filtres pour les exigences, les tests et les plans d'exécution. Seuls les éléments qui répondent aux critères de filtrage appliqués sont affichés dans l'arborescence.

Remarque : Les exigences filtrées sont renvoyées en lecture seule et ne peuvent pas être modifiées. Le bouton Modifier les Propriétés est désactivé pour les exigences filtrées.

Pour appliquer un filtre stocké :

  1. Dans le menu, sélectionnez la zone appropriée : Exigences, Tests ou Organisation des Exécutions.
  2. Sur la barre d'outils, dans la zone de liste Filtre, sélectionnez le filtre souhaité.
  3. Tous les éléments qui répondent aux critères du filtre sont affichés.
    Remarque : Pour supprimer le filtre et afficher tous les éléments, dans la zone de liste Filtre de la barre d'outils, sélectionnez <Aucun Filtre>.
Sujet parent : Filtres


Modifier la Notification

Silk Central peut vous envoyer une notification par courriel lorsque des exigences ou des tests sont modifiés par d'autres utilisateurs. Chaque utilisateur peut choisir d'activer l'option de notification des changements. Une fois que la notification a été activée, effectuez un premier acquittement. A partir de là, vous pouvez consulter et acquitter les changements intervenus depuis le dernier acquittement. Pour éviter un trop grand nombre de notifications, un seul courriel d'alerte vous est envoyé lorsqu'un changement survient, quel que soit le nombre de changements effectués par d'autres utilisateurs depuis votre dernier acquittement. Les alertes par courriel incluent des liens permettant d'accéder directement à une vue répertoriant les changements récents.

Avant de pouvoir activer la notification des changements pour les exigences ou les tests, vous devez configurer votre adresse électronique dans les paramètres utilisateur de Silk Central.

Remarque : La notification des changements fonctionne uniquement si votre administrateur a configuré un serveur de messagerie. Si la notification des changements n'est pas activée, contactez votre administrateur Silk Central.
  • Activation de la notification des changements
    Activez la notification des changements afin de recevoir une notification par courriel lorsque des exigences ou des tests sont modifiés par d'autres utilisateurs.
  • Désactivation de la notification des changements
    Désactivez la notification des changements afin de ne plus recevoir de notification par courriel lorsque des exigences ou des tests sont modifiés par d'autres utilisateurs.
  • Changements déclenchant la notification
    Répertorie les changements qui déclenchent une notification.
  • Page Notifications
    Répertorie les événements de notification du projet actif.
Sujet parent : Configuration des paramètres d'exigences et des intégrations
Sujet parent : Configuration des paramètres de test et des intégrations
Sujet parent : Paramètres de Projet


Activation de la notification des changements

Pour activer la notification des changements :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Notifications.
  3. Cliquez sur Configurer la Notification par Courriel pour ouvrir la boîte de dialogue Configurer la Notification par Courriel.
  4. Si vous souhaitez recevoir une notification par courriel lorsque des modifications sont apportées aux exigences dans le projet sélectionné, cochez la case Changements apportés aux Exigences.
  5. Si vous souhaitez recevoir une notification par courriel lorsque des modifications sont apportées aux tests dans le projet sélectionné, cochez la case Changements apportés aux Tests.
  6. Cliquez sur OK pour enregistrer les paramètres de notification ou cliquez sur Annuler pour abandonner l'opération sans enregistrer les modifications.
Vous recevrez une notification par courriel lorsque des modifications pour lesquelles vous avez activé la notification sont effectuées.
Sujet parent : Modifier la Notification


Désactivation de la notification des changements

Pour désactiver la notification des changements :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Notifications.
  3. Cliquez sur Configurer la Notification par Courriel pour ouvrir la boîte de dialogue Configurer la Notification par Courriel.
  4. Si vous ne souhaitez pas recevoir de notification par courriel lorsque des modifications sont apportées aux exigences dans le projet sélectionné, décochez la case Changements apportés aux Exigences.
  5. Si vous ne souhaitez pas recevoir de notification par courriel lorsque des modifications sont apportées aux tests dans le projet sélectionné, décochez la case Changements apportés aux Tests.
  6. Cliquez sur OK pour enregistrer les paramètres de notification ou cliquez sur Annuler pour abandonner l'opération sans enregistrer les modifications.
Sujet parent : Modifier la Notification


Changements déclenchant la notification

Une fois que vous avez activé la notification des changements pour être informé des modifications apportées aux exigences ou aux tests, vous recevez une alerte par courriel, après votre déconnexion. Cette alerte vous est envoyée si un ou plusieurs des paramètres suivants sont modifiés :
Espace Modifications
Exigences
  • Une exigence est créée ou supprimée.
  • Le nom ou la description d'une exigence sont modifiés.
  • Une propriété système est modifiée.
  • Une exigence est définie comme étant obsolète.
  • Une exigence est récupérée.
  • Un test est assigné à une exigence ou en est supprimé.
  • Une propriété personnalisée d'exigence est créée, modifiée ou supprimée.
Tests
  • Un conteneur est créé ou modifié.
  • Une application est modifiée.
  • Un profil de référentiel tiers est modifié.
  • L'option « Nettoyer le dossier de travail avant qu'un test ne soit exécuté » est modifiée.
  • Le nœud racine est modifié.
  • Le répertoire de données personnalisées est modifié.
  • Le répertoire de directives est modifié.
  • Les propriétés cachées du test sont modifiées.
  • L'interface Silk Test Classic est modifié.
  • Un dossier de test est créé, modifié ou supprimé.
  • Un test est créé, modifié ou supprimé.
  • La durée prévue est modifiée.
  • Un pas de test est ajouté ou modifié.
Sujet parent : Modifier la Notification


Page Notifications

Projet : <nom du projet> > Paramètres de Projet > Notifications

La page Notifications répertorie les événements de notification du projet actif. Pour chaque événement de notification, la page Notifications affiche les colonnes suivantes :

Colonne | Description
Événements de Notification | Nom de l'événement de notification configuré pour le projet actif.
Etat | État de l'événement de notification. Actif ou Inactif.

Cliquez sur le bouton Configurer... dans chaque section pour modifier les valeurs.

Courrier électronique

Lorsqu'un événement de notification par courrier électronique est activé, une notification par courriel est envoyée à l'utilisateur qui a activé l'événement, la première fois que l'un des paramètres spécifiés est modifié.

Remarque : Vous devez avoir indiqué une adresse électronique pour recevoir les notifications par courriel.

Marquage d'Exigence

Vous pouvez configurer des notifications différemment pour les exigences internes et externes. Par défaut, le marquage de toutes les exigences est activé. Pour plus d'informations, reportez-vous à la rubrique Indicateurs.

Sujet parent : Modifier la Notification


Gestion des exigences

Ajoutez ou modifiez des exigences afin d'établir et de maintenir le consensus entre clients et développeurs sur les exigences techniques et non techniques.
  • Création d'exigences
    Indique comment créer des exigences directement dans Silk Central et explique comment celles-ci peuvent hériter des propriétés de leurs parents.
  • Modification d'exigences
    Explique comment modifier les propriétés d'exigences.
  • Marquage d'exigences comme obsolètes
    Marquez une exigence comme obsolète si elle n'est pas requise sur le moment et que vous ne voulez pas la supprimer.
  • Récupération des exigences obsolètes
    Convertissez une exigence obsolète à l'état Actif pour la réutiliser.
  • Suppression définitive d'exigences obsolètes
    Supprimez une exigence de façon définitive si vous ne souhaitez plus la réactiver.
  • Rapports sur les exigences
    Les rapports sur les exigences détaillent l'état des exigences fonctionnelles, telles que les exigences portant sur la compatibilité, l'interface utilisateur ou les fonctions, lesquelles doivent être remplies lors de la phase de développement.
  • Couverture
    Décrit comment couvrir vos exigences par des tests.
  • Indicateurs
    Décrit le mode d'utilisation des indicateurs.
Sujet parent : Exigences


Création d'exigences

Pour créer une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Dans l’arborescence Exigences, sélectionnez une exigence ou le nœud racine.
  3. Cliquez sur [image] (Nouvelle exigence) dans la barre d'outils pour créer une nouvelle exigence au même niveau hiérarchique, ou [image] (Nouvelle exigence enfant) pour la créer au niveau hiérarchique inférieur à celui de l'exigence sélectionnée. La boîte de dialogue Nouvelle Exigence s'affiche.
  4. Saisissez un Nom et une Description pour l'exigence.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Facultatif : décochez les cases Hérite du parent. Dans ce cas, l'exigence enfant n'héritera pas des propriétés de l'exigence parent. Par défaut, toutes les cases sont cochées.
    Remarque : Dans la Vue Détaillée de la page Propriétés et dans la Vue Globale, les propriétés héritées sont marquées d'un astérisque (*).
  6. Sélectionnez l’état Priorité, Risque ou Vérifié approprié dans les listes.
  7. Si des exigences personnalisées ont été définies, elles sont répertoriées sous la liste Vérifié. Dans le champ correspondant, entrez les données de propriété personnalisée dont vous souhaitez effectuer le suivi avec cette exigence. Cette option est désactivée pour les propriétés héritées. Pour plus de détails sur la création, la modification et la suppression de propriétés d'exigences personnalisées, reportez-vous à la rubrique Propriétés d'exigences personnalisées.
  8. Pour terminer la création d’une exigence :
    • Cliquez sur OK pour créer l'exigence et fermer la boîte de dialogue.
    • Cliquez sur OK et Nouvelle Exigence pour créer l'exigence et garder la boîte de dialogue ouverte afin de saisir les données d'une autre exigence.
    • Cliquez sur OK et Nouvelle Exigence Enfant pour créer l'exigence et garder la boîte de dialogue ouverte afin de saisir les données d'une nouvelle exigence enfant.
Sujet parent : Gestion des exigences
Concepts associés
Propriétés d'exigence personnalisées


Modification d'exigences

Pour modifier les propriétés d'une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Dans l’arborescence Exigences, sélectionnez une exigence.
  3. Cliquez sur [image] (Modifier) dans la barre d'outils. Vous pouvez également cliquer avec le bouton droit sur une exigence et cliquer sur Modifier, ou cliquer sur l'onglet Propriétés et cliquer sur Modifier les propriétés. La boîte de dialogue Modifier l'exigence s'affiche.
  4. Saisissez un Nom et une Description pour l'exigence.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Facultatif : décochez les cases Hérite du parent. Dans ce cas, l'exigence enfant n'héritera pas des propriétés de l'exigence parent. Par défaut, toutes les cases sont cochées.
    Remarque : Dans la Vue Détaillée de la page Propriétés et dans la Vue Globale, les propriétés héritées sont marquées d'un astérisque (*).
  6. Sélectionnez l’état Priorité, Risque ou Vérifié approprié dans les listes.
  7. Si des exigences personnalisées ont été définies, elles sont répertoriées sous la liste Vérifié. Dans le champ correspondant, entrez les données de propriété personnalisée dont vous souhaitez effectuer le suivi avec cette exigence. Cette option est désactivée pour les propriétés héritées. Pour plus de détails sur la création, la modification et la suppression de propriétés d'exigences personnalisées, reportez-vous à la rubrique Propriétés d'exigences personnalisées.
  8. Cliquez sur OK pour enregistrer vos modifications.
Sujet parent : Gestion des exigences
Concepts associés
Propriétés d'exigence personnalisées


Marquage d'exigences comme obsolètes

La suppression d'exigences les détruit définitivement. Il est parfois préférable de marquer les exigences comme obsolètes. Les exigences obsolètes peuvent être masquées, affichées et récupérées.

Pour marquer une exigence comme obsolète :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Dans l’arborescence Exigences, sélectionnez une exigence.
  3. Cliquez sur Supprimer (Supprimer) dans la barre d'outils ou faites un clic droit sur l'exigence et sélectionnez Supprimer. Une boîte de dialogue s'affiche.
  4. Cliquez sur Oui.
    Remarque : La case Détruire définitivement est décochée par défaut.
Remarque : Les exigences devenues obsolètes sont indiquées en italiques dans l'arborescence Exigences.

Pour afficher les exigences obsolètes, cliquez avec le bouton droit sur une exigence dans l'arborescence des Exigences et cliquez sur Afficher les exigences obsolètes.

Pour masquer les exigences obsolètes, cliquez avec le bouton droit sur une exigence dans l'arborescence des Exigences et cliquez sur Masquer les exigences obsolètes.

Sujet parent : Gestion des exigences


Récupération des exigences obsolètes

Pour récupérer une exigence obsolète :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Si les exigences obsolètes sont masquées, cliquez avec le bouton droit sur une exigence dans l'arborescence des Exigences et cliquez sur Afficher les exigences obsolètes.
  3. Faites un clic droit sur l'exigence obsolète dans l'arborescence Exigences et cliquez sur Récupérer.
Remarque : Les exigences devenues obsolètes sont indiquées en italiques dans l'arborescence Exigences.

Pour masquer à nouveau les exigences obsolètes, cliquez avec le bouton droit sur une exigence dans l'arborescence des Exigences et cliquez sur Masquer les exigences obsolètes.

Sujet parent : Gestion des exigences


Suppression définitive d'exigences obsolètes

Pour supprimer définitivement une exigence obsolète :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Si les exigences obsolètes sont masquées, cliquez avec le bouton droit sur une exigence dans l'arborescence des Exigences et cliquez sur Afficher les exigences obsolètes.
  3. Dans l'arborescence Exigences, sélectionnez une exigence obsolète.
  4. Cliquez sur Supprimer (Supprimer) dans la barre d'outils ou faites un clic droit sur l'exigence et sélectionnez Supprimer. Une boîte de dialogue s'affiche.
  5. Cliquez sur Oui pour supprimer définitivement l'exigence.
Remarque : Les exigences devenues obsolètes sont indiquées en italiques dans l'arborescence Exigences.

Pour masquer à nouveau les exigences obsolètes, cliquez avec le bouton droit sur une exigence dans l'arborescence des Exigences et cliquez sur Masquer les exigences obsolètes.

Sujet parent : Gestion des exigences


Rapports sur les exigences

Les rapports sur les exigences détaillent l'état des exigences fonctionnelles, telles que les exigences portant sur la compatibilité, l'interface utilisateur ou les fonctions, lesquelles doivent être remplies lors de la phase de développement.

Les exigences peuvent également concerner les objectifs des responsables de l'application en termes de fiabilité, d'évolutivité et de performances. Les rapports de gestion des exigences permettent aux responsables de déterminer si une couverture de test adéquate a été mise en place afin de vérifier que les exigences liées au système sont satisfaites durant la phase de développement. Lorsqu'un rapport référence une exigence qui inclut du contenu formaté en HTML, ce contenu est affiché dans le rapport.

  • Rapports sur les états
    Décrit les rapports sur les états disponibles pour l'espace Exigences.
  • Rapports d'avancement
    Décrit les rapports d'avancement disponibles pour l'espace Exigences.
  • Rapports de document
    Décrit les rapports de document disponibles pour les exigences.
  • Rapport Tous les Incidents Connexes
    Fournit une liste détaillée de tous les incidents relatifs aux tests assignés pour une exigence.
Sujet parent : Gestion des exigences
Sujet parent : Rapports par défaut


Rapports sur les états

Les rapports sur les états suivants sont disponibles pour l'espace Exigences :
Vue d'ensemble de l'état des exigences
Représente une synthèse groupée de toutes les exigences en fonction de leur couverture actuelle. La couverture est définie par les états Réussi, En Échec, Non Exécuté et Non Couvert.
Couverture des exigences de plus haut niveau
Représente une liste de toutes les exigences de plus haut niveau. Pour chaque exigence, le nombre d'exigences enfants couvertes et non couvertes par des tests est affiché.
État des exigences avec une priorité supérieure à <X>
Représente un résumé de toutes les exigences en fonction de la couverture d'exigence en cours. Le groupe d'exigences renvoyé est restreint par le paramètre Priority, qui spécifie la priorité d'exigence la plus faible considérée dans les données.
Rapport d'analyse d'impact des exigences
Affiche les détails des tests groupés par plan d'exécution associé à l'exigence. Ce rapport permet à l'utilisateur d'obtenir de la visibilité sur les éléments de test qui pourraient être impactés par un changement apporté à l'exigence. Le rapport inclut le nom, l'état, la date/l'heure de la dernière exécution, les testeurs manuels, la durée prévue et les incidents liés à chaque test. Les états suivants sont utilisés :
Réussi
Le test s'est déroulé correctement.
Echec
Le test a échoué.
SO
Le test est associé à une exigence mais n'est pas soumis pour exécution.
Non exécuté
Le test est associé à une exigence et soumis pour exécution mais n'est pas encore exécuté.
Rapport de Traçabilité des Exigences de Projet
Affiche toutes les exigences du projet avec leurs tests associés et les incidents. Les états suivants sont utilisés :
Réussi
Le test s'est déroulé correctement.
Echec
Le test a échoué.
SO
Le test est associé à une exigence mais n'est pas soumis pour exécution.
Non exécuté
Le test est associé à une exigence et soumis pour exécution mais n'est pas encore exécuté.
Sujet parent : Rapports sur les exigences


Rapports d'avancement

Les rapports d'avancement suivants sont disponibles pour l'espace Exigences :
Couverture des Exigences à travers les Builds <x> et <y>
Représente un résumé de toutes les exigences en fonction de la couverture d'exigence en cours. Le groupe d'exigences renvoyé est restreint par le paramètre Priority, qui spécifie la priorité d'exigence la plus faible considérée dans les données.
Couverture des exigences durant les <x> derniers jours
Représente une tendance de la couverture des exigences en prenant en considération la couverture globale sur X jours.
Couverture spécifique des exigences durant les <x> derniers jours
Représente une tendance de la couverture des exigences en prenant en considération une couverture spécifique sur X jours.
Sujet parent : Rapports sur les exigences


Rapports de document

Les rapports de document suivants sont disponibles pour les exigences :
Toutes les exigences
Toutes les exigences sont représentées avec toutes leurs informations.
Exigence avec exigences enfants
L'exigence sélectionnée est affichée avec son ID. Des détails complets sur les exigences enfants de l'exigence sont affichés.
Sujet parent : Rapports sur les exigences


Rapport Tous les Incidents Connexes

Le rapport Tous les Incidents Connexes fournit une liste détaillée de tous les incidents relatifs aux tests assignés pour une exigence. Il explique la relation entre les exigences, les tests assignés et les incidents survenus. Le paramètre d'entrée du rapport Tous les Incidents Connexes est l'identificateur de l'exigence.

Sujet parent : Rapports sur les exigences


Couverture

Cette section décrit comment couvrir vos exigences par des tests.

  • Modes de couverture
    Décrit les modes de couverture disponibles pour les exigences.
  • Basculement entre les différents modes de couverture
    Basculez entre les modes Couverture Directe et Couverture Complète pour inclure ou exclure les exigences enfants au niveau du calcul de la couverture de test.
  • Page Couverture
    Affiche l'état de tous les tests assignés à l'exigence.
Sujet parent : Gestion des exigences


Modes de couverture

Silk Central fournit deux modes de couverture : Couverture Complète et Couverture Directe. L'état d'une exigence en mode de couverture complète prend en compte l'état des exigences enfants et offre une vue cumulative des tests qui couvrent l'exigence. Si une ou plusieurs exigences enfants sont à l'état Non Couvert, la couverture complète de l'exigence sélectionnée possède également l'état Non Couvert, et ce même si la couverture de l'exigence est à l'état Couvert. Le mode de couverture complète permet d'évaluer facilement si les exigences sont couvertes par les tests ou non.

L'état d'une exigence en mode de couverture directe est calculé en fonction de l'état des tests directement assignés à l'exigence. Les exigences enfants ne sont pas prises en compte dans les calculs.

Sujet parent : Couverture


Basculement entre les différents modes de couverture

Pour basculer entre le mode Couverture Directe et le mode Couverture Complète :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Cliquez sur Montrer la Couverture Directe / Montrer la Couverture Complète pour afficher l'une ou l'autre de ces couvertures.
Sujet parent : Couverture


Page Couverture

Exigences > Vue Détaillée > Couverture

La page Couverture, à laquelle vous pouvez uniquement accéder à partir de la Vue Détaillée, affiche les propriétés de base de l'exigence ou du projet sélectionné. Elle affiche également l'état de tous les tests assignés à l'exigence, y compris le nombre et le pourcentage de tests à l'état Réussi, En Échec, Non Exécuté et Non Couvert. Un récapitulatif de tous les tests assignés est affiché sous la zone Total. Les exigences qui ne sont pas couvertes par des tests affichent l'état Non Couvert.

La page Vue Détaillée affiche les mêmes informations d'état de couverture dans un graphe des points chauds.

Pour afficher l'état de tous les tests assignés aux exigences enfants de l'exigence sélectionnée, en plus de tous les tests directement assignés à l'exigence, cochez la case Couverture Complète.

Remarque : Dans les pages Vue Détaillée et Couverture, les totaux des tests sont cumulés au niveau parent. Par exemple, les totaux des exigences incluent les tests des exigences enfants et les totaux des projets incluent les tests de toutes les exigences.

La page Couverture affiche les propriétés suivantes pour chaque exigence ou projet sélectionné :

Propriété | Description

Nom de l'exigence

Nom du projet

 Nom de l'exigence ou du projet sélectionné.
Priorité | Priorité assignée à l'exigence sélectionnée.
Risque | Risque assigné à l'exigence sélectionnée.
Nombre d'Exigences (Calc.) | Nombre total d'exigences couvertes. Les exigences non couvertes et les dossiers pour lesquels aucun test n'est assigné ne sont pas inclus dans ce nombre. Il s'agit par exemple des dossiers héritant de la couverture de leurs exigences enfants, mais ne consistant pas en une exigence.
Nombre d'Exigences (Total) | Nombre total d'exigences situées sous l'entité sélectionnée (dossiers inclus).

Etat de l'exigence

Etat du Projet

 État de l'exigence ou du projet sélectionné.
  • Réussi
  • Echec
  • Non Exécuté
  • Non Couvert
Nombre d'Exigences Réussies | Nombre total et pourcentage des exigences du projet dont les tests ont réussi.
Nombre d'Exigences en Echec | Nombre total et pourcentage des exigences du projet dont les tests ont échoué.
Nombre d'Exigences Non Exécutées | Nombre total et pourcentage des exigences du projet dont les tests n'ont pas été exécutés.
Nombre d'Exigences Non Couvertes | Nombre total et pourcentage des exigences du projet non couvertes par les tests.
Total | Nombre total d'exigences du projet.
Sujet parent : Couverture
Référence associée
Vue globale des exigences


Indicateurs

Les indicateurs signalent qu'une exigence a été modifiée ou doit être vérifiée. Les exigences avec indicateurs apparaissent dans l'arborescence Exigences avec des icônes d'indicateurs. Les propriétés des exigences comportent aussi une section qui permet de visualiser les informations relatives aux indicateurs.

Vous pouvez ajouter et supprimer des indicateurs selon vos besoins ; les autres utilisateurs verront l'indicateur en consultant l'exigence. Vous pouvez également ajouter un indicateur à une exigence et à tous ses enfants. Un élément ne peut comporter qu'un seul indicateur à la fois ; si vous définissez un indicateur sur un élément qui en comporte déjà, celui-ci est écrasé. Les modifications apportées à l'indicateur de l'exigence sont conservées dans l'historique.

Si vous procédez à une intégration avec un outil externe de gestion des exigences, vous verrez également apparaître les indicateurs issus des exigences externes nouvelles ou mises à jour. Les scénarios suivants illustrent la façon dont les indicateurs sont appliqués pour les exigences intégrées :

  • Si vous ajoutez une exigence à l'outil de gestion après la synchronisation initiale, une nouvelle synchronisation a lieu ; lorsque la nouvelle exigence est ajoutée à Silk Central, elle est affichée avec un indicateur ajouté pour indiquer qu'elle a été créée au cours d'une mise à jour.
  • Si vous modifiez une exigence qui a été synchronisée avec Silk Central, l'exigence dans Silk Central sera signalée par un indicateur mis à jour afin de signifier la mise à jour.
  • Définition d'un indicateur
    Définissez un indicateur sur une exigence pour signaler aux autres utilisateurs que celle-ci a été modifiée ou doit être vérifiée.
  • Retrait d'un indicateur
    Retirez un indicateur dans une exigence une fois que tous les changements ont été acquittés ou que l'exigence a été vérifiée.
  • Création d'un filtre pour les exigences marquées
    Créez un filtre pour les exigences marquées afin d'afficher uniquement les exigences de l'arborescence Exigences s'appliquant à la condition de filtre.
Sujet parent : Gestion des exigences
Référence associée
Page Notifications


Définition d'un indicateur

Définissez un indicateur sur une exigence pour signaler aux autres utilisateurs que celle-ci a été modifiée ou doit être vérifiée.

Pour définir un indicateur sur une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Faites un clic droit sur l'exigence et choisissez Indicateur > Positionner un Indicateur. La boîte de dialogue Positionner un Indicateur s'ouvre.
  4. Dans le champ Commentaire, saisissez un commentaire relatif à l'indicateur.
  5. Pour définir l'indicateur au niveau de tous les enfants de l'exigence actuellement sélectionnée, cochez la case Positionner un indicateur sur les exigences enfants.
  6. Cliquez sur OK.
    Remarque : Les informations relatives à l'indicateur sont disponibles sur la page Propriétés de l'exigence.
Sujet parent : Indicateurs
Référence associée
Page Propriétés d'Exigence


Retrait d'un indicateur

Retirez un indicateur dans une exigence une fois que tous les changements ont été acquittés ou que l'exigence a été vérifiée.

Pour retirer un indicateur dans une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Pour retirer un indicateur unique : Faites un clic droit sur l'exigence et choisissez Indicateur > Retirer l'indicateur.
  4. Pour retirer l'indicateur de tous les enfants de l'exigence sélectionnée : Faites un clic droit sur l'exigence et choisissez Indicateur > Retirer l'indicateur - Inclure les Enfants. Les informations relatives à l'indicateur sont supprimées sur la page Propriétés de l'exigence.
Remarque : Vous pouvez aussi retirer l'indicateur en cliquant sur Retirer l'Indicateur sur la page Propriétés de l'exigence.
Sujet parent : Indicateurs
Référence associée
Page Propriétés d'Exigence


Création d'un filtre pour les exigences marquées

Créez un filtre pour les exigences marquées afin d'afficher uniquement les exigences de l'arborescence Exigences s'appliquant à la condition de filtre.

Pour créer un filtre pour les exigences marquées :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Cliquez sur Nouveau Filtre. La boîte de dialogue Nouveau filtre s'affiche.
  3. Sélectionnez Propriété des Exigences dans la liste Critères de Sélection.
  4. Sélectionnez État de l'Exigence dans la liste Propriété.
  5. Sélectionnez = dans la liste Opérateur.
  6. Sélectionnez l'une des valeurs suivantes dans la liste Valeur :
    Aucun
    Aucun indicateur n'est sélectionné.
    Marquée Manuellement
    L'utilisateur a ajouté manuellement un indicateur à une exigence.
    Marquée Nouvelle
    Une exigence a été créée.
    Marquée Modifiée
    Une exigence a été mise à jour.
    Obsolète
    Une exigence est marquée comme obsolète.
  7. Cliquez sur Enregistrer et sur Appliquer.
    Remarque : Si des exigences enfants sont marquées, mais qu'une ou plusieurs exigences parentes ne sont pas marquées, le chemin complet de l'exigence enfant marquée s'affiche (mais avec les exigences parentes désactivées). Vous pouvez définir ou effacer l'indicateur des exigences parentes figurant à cet état.
Sujet parent : Indicateurs
Référence associée
Page Propriétés d'Exigence


Configuration des propriétés d'exigence

Configurer les propriétés d'exigences, les annexes, les indicateurs et la couverture.

Outre les propriétés par défaut données, vous pouvez également créer vos propres propriétés d'exigence dans Silk Central. Ces propriétés personnalisées peuvent être modifiées dans la boîte de dialogue Modifier l'exigence comme les propriétés par défaut.

Pour créer des propriétés personnalisées pour le projet actif, cliquez sur Exigences > Propriétés d'exigence dans le menu, puis sur Nouvelle propriété d'exigence.

Les propriétés personnalisées sont affichées dans la Vue détaillée des exigences de la page Propriétés et dans la Vue globale des exigences.

Pour plus d'informations sur les propriétés personnalisées des exigences, reportez-vous à la rubrique Propriétés d'exigence personnalisées.

  • Remplacement des propriétés d'exigence
    Décrit comment remplacer la valeur de propriété d'une ou plusieurs exigences.
  • Recherche des propriétés d'exigences
    Utilisez l'option Rechercher pour localiser les propriétés d'exigences qui répondent aux critères de recherche.
  • Page Propriétés d'Exigence
    Présente des informations générales concernant l'exigence sélectionnée ou le projet.
  • Pièces jointes d'une exigence
    Explique comment utiliser les pièces jointes d'une exigence.
Sujet parent : Exigences
Concepts associés
Propriétés d'exigence personnalisées


Remplacement des propriétés d'exigence

Pour remplacer la valeur de propriété d'une ou plusieurs exigences :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Cliquez sur Remplacer (Remplacer) dans la barre d'outils ou faites un clic droit sur l'exigence et cliquez sur Remplacer. La boîte de dialogue Remplacer s'affiche.
  3. Sélectionnez une propriété d'exigence dans la liste Rechercher dans. Cette liste contient toutes les propriétés personnalisées et par défaut.
  4. Dans la zone Valeur à rechercher, définissez le critère de recherche. Les contrôles d'interface utilisateur de la zone Valeur à rechercher diffèrent selon la propriété sélectionnée. Par exemple : si vous sélectionnez la propriété Risque, deux listes s'affichent ; si vous sélectionnez la propriété Description, un champ de texte et deux cases à cocher s'affichent.
  5. Dans la zone Remplacer par, saisissez la valeur par laquelle vous voulez remplacer les données identifiées.
  6. Optionnel : cochez la case Sensible à la casse pour différencier les lettres majuscules et minuscules.
  7. Optionnel : cochez la case Correspondant au mot entier seulement pour inclure uniquement les instances autonomes complètes de la chaîne.
  8. Cliquez sur OK. La première exigence qui répond aux critères est mise en surbrillance dans l'arborescence Exigences.
  9. Cliquez sur l'une des options suivantes :
    • Remplacer : remplace la valeur de propriété de l'exigence en surbrillance.
    • Remplacer Tout : remplace la valeur de propriété de toutes les exigences qui contiennent la valeur définie.
    • Rechercher le Suivant : met en surbrillance l'exigence suivante qui contient la valeur définie.
    • Rechercher le Précédent: met en surbrillance l'exigence précédente qui contient la valeur définie.
    • Nouveau Remplacement : ouvre à nouveau la boîte de dialogue Remplacer, où vous pouvez définir de nouvelles valeurs.
    • Fermer : ferme la boîte de dialogue.
    Remarque : Si vous cliquez sur Remplacer Tout, toutes les propriétés héritées sont écrasées. Dans ce cas, les exigences enfants perdent également leur paramètre d'héritage. Utilisez l'option Remplacer uniquement sur une exigence parent si vous voulez que les exigences enfants héritent de la nouvelle valeur.
Sujet parent : Configuration des propriétés d'exigence


Recherche des propriétés d'exigences

Dans l'espace Exigences, vous pouvez trouver des exigences répondant à certains critères de recherche à l'aide de la commande Rechercher. Vous pouvez également remplacer les valeurs de propriété identifiées par d'autres valeurs que vous indiquez à l'aide de la commande Remplacer. Ces deux commandes disposent des fonctions Rechercher le Suivant et Rechercher le Précédent qui vous permettent de passer en revue les différentes propriétés identifiées.

Pour rechercher une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Dans la barre d'outils, sélectionnez Rechercher pour ouvrir la boîte de dialogue Rechercher.
    Remarque : Vous pouvez également faire un clic droit sur une exigence et choisir Rechercher.
  3. Sélectionnez une propriété d'exigence dans la liste Rechercher dans. Cette liste contient toutes les propriétés personnalisées et par défaut.
  4. Dans la zone Valeur à rechercher, définissez le critère de recherche. Les contrôles d'interface utilisateur de la zone Valeur à rechercher diffèrent selon la propriété sélectionnée. Par exemple : si vous sélectionnez la propriété Risque, deux listes s'affichent ; si vous sélectionnez la propriété Description, un champ de texte et deux cases à cocher s'affichent.
  5. Cliquez sur OK pour lancer la recherche. La première exigence qui répond aux critères est mise en surbrillance dans la vue arborescente. La première exigence qui répond aux critères est mise en surbrillance dans la vue arborescente.
  6. Dans la boîte de dialogue Rechercher, cliquez sur Rechercher le Suivant pour atteindre l'exigence suivante de la liste qui répond à vos critères de recherche. Dans la boîte de dialogue Rechercher, cliquez sur Rechercher le Précédent pour revenir à l'exigence précédente de la liste qui répond à vos critères de recherche.
    Remarque : Lorsque vous atteignez la dernière ou la première exigence qui correspond aux critères de recherche et que vous cliquez respectivement sur Rechercher le Suivant ou Rechercher le Précédent, la recherche commence au début.
Sujet parent : Configuration des propriétés d'exigence


Page Propriétés d'Exigence

Exigences > Vue Détaillée > Propriétés

La page Propriétés d'Exigence présente des informations générales concernant l'exigence sélectionnée ou le projet.

Lorsque les exigences sont synchronisées avec un système externe de gestion des exigences, certains éléments sont parfois signalés avec un point d'exclamation (!). Cela signifie que le champ signalé n'est pas mappé au système externe de gestion des exigences. Utilisez la fonction de mappage des propriétés afin de mapper les champs de propriété. Si vous n'utilisez pas la fonction de mappage des propriétés, seuls le nom et la description des exigences sont mappés. Pour plus d'informations, reportez-vous à la rubrique Modification du mappage des propriétés.

Les valeurs signalées par un astérisque (*) sont des valeurs héritées d'une exigence parent.

Cliquez sur Modifier les Propriétés de l'Exigence pour modifier les propriétés affichées.

Le tableau suivant concerne uniquement les exigences marquées.

Elément | Description
Marqué Par | Précise qui a défini l'indicateur et à quelle date.
Commentaire | Fournit des commentaires sur l'indicateur.
Retirer l'Indicateur | Cliquez sur ce bouton pour supprimer l'indicateur.

Le tableau suivant répertorie les propriétés de l'exigence sélectionnée ou du projet, telles qu'elles figurent sur la page Propriétés.

Propriété | Description
Nom de l'exigence | Nom de l'exigence.
ID de l'exigence | Identificateur de l'exigence.
Description | Description de l'exigence.
Priorité | Priorité configurée pour l'exigence.
Risque | Risque configuré pour l'exigence.
Vérifié | Statut de vérification de l'exigence. Oui ou Non.
Propriétés Personnalisées | Si des propriétés personnalisées ont été configurées pour l'exigence, elles sont répertoriées ici.
Document | Document source (le cas échéant) à partir duquel l'exigence est dérivée.
Créé le | Date à laquelle cette exigence a été créée.
Créé par | Nom de l'utilisateur ayant créé cette exigence.
Modifié Le | Date à laquelle cette exigence a été modifiée.
Modifié Par | Nom du dernier utilisateur ayant mis à jour cette exigence.
Sujet parent : Configuration des propriétés d'exigence
Concepts associés
Synchronisation des exigences
Tâches associées
Modification du mappage des propriétés


Pièces jointes d'une exigence

Vous pouvez charger plusieurs fichiers ou liens en pièces jointes des exigences ou supprimer ces pièces jointes. Lorsque vous coupez puis collez des exigences qui présentent des pièces jointes, ces dernières sont automatiquement incluses dans les copies effectuées.

Les types de pièce jointe suivants sont disponibles :

  • Fichiers téléchargés
  • Références à des chemins UNC
  • Références à des URL, notamment aux URL StarTeam
  • Ajout de fichiers en pièce jointe à des exigences
    Joignez un fichier à une exigence pour ajouter des informations supplémentaires à cette dernière.
  • Ajout de liens en pièce jointe à des exigences
    Joignez un lien à une exigence pour ajouter des informations supplémentaires à cette dernière.
  • Affichage des pièces jointes d'une exigence
    Affichez une pièce jointe d'une exigence pour obtenir des informations supplémentaires sur cette exigence.
  • Téléchargement de fichiers à partir d'exigences
    Téléchargez sur votre disque local tous les fichiers joints à partir d'une exigence.
  • Suppression de pièces jointes à des exigences
    Supprimez la pièce jointe d'une exigence lorsque les informations de cette exigence ne sont plus nécessaires.
  • Page Pièces jointes aux exigences
    Répertorie les fichiers et liens en pièces jointes de l'exigence sélectionnée.
Sujet parent : Configuration des propriétés d'exigence


Ajout de fichiers en pièce jointe à des exigences

Pour joindre un fichier à une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Cliquez sur l'onglet Pièces Jointes.

    Lorsque l'intégration de gestion des exigences a été activée entre un projet Silk Central et un projet Caliber, la page Pièces jointes contient un bouton Ouvrir Caliber qui permet de gérer directement les pièces jointes d'une exigence dans Caliber.

  4. Cliquez sur Attacher un Fichier. La boîte de dialogue Attacher un Fichier s'affiche.
  5. Cliquez sur Choisir un Fichier et sélectionnez le fichier que vous voulez joindre depuis votre système de fichiers local.
  6. Saisissez une Description pour la pièce jointe.
  7. Cliquez sur OK. La pièce jointe est chargée sur le serveur et associée à l'exigence sélectionnée.
Sujet parent : Pièces jointes d'une exigence


Ajout de liens en pièce jointe à des exigences

Pour joindre un fichier à une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Cliquez sur l'onglet Pièces Jointes.

    Lorsque l'intégration de gestion des exigences a été activée entre un projet Silk Central et un projet Caliber, la page Pièces jointes contient un bouton Ouvrir Caliber qui permet de gérer directement les pièces jointes d'une exigence dans Caliber.

  4. Cliquez sur Attacher un Lien. La boîte de dialogue Attacher un Lien s'affiche.
  5. Dans le champ Lien, saisissez l'URL.
  6. Saisissez une Description pour le lien mis en pièce jointe.
  7. Cliquez sur OK. Le lien est associé à l'exigence sélectionnée.
Sujet parent : Pièces jointes d'une exigence


Affichage des pièces jointes d'une exigence

Pour afficher une pièce jointe d'une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Cliquez sur l'onglet Pièces Jointes.

    Lorsque l'intégration de gestion des exigences a été activée entre un projet Silk Central et un projet Caliber, la page Pièces jointes contient un bouton Ouvrir Caliber qui permet de gérer directement les pièces jointes d'une exigence dans Caliber.

Une liste de toutes les pièces jointes associées à l'exigence apparaît. Chaque nom de pièce jointe fait office de lien. Les liens vers les fichiers joints ouvrent la boîte de dialogue Enregistrer sous qui permet de télécharger les pièces jointes sur le système de fichiers local. Les liens joints se connectent directement aux destinations des liens dans les nouvelles fenêtres de navigateur.
Sujet parent : Pièces jointes d'une exigence


Téléchargement de fichiers à partir d'exigences

Pour télécharger tous les fichiers à partir d'une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Cliquez sur l'onglet Pièces Jointes.

    Lorsque l'intégration de gestion des exigences a été activée entre un projet Silk Central et un projet Caliber, la page Pièces jointes contient un bouton Ouvrir Caliber qui permet de gérer directement les pièces jointes d'une exigence dans Caliber.

  4. Dans la section Pièces Jointes, cliquez sur Télécharger Tous les Fichier. Tous les fichiers joints sont alors téléchargés sur votre disque local dans une archive zip, selon la configuration des paramètres de téléchargement de votre navigateur.
    Remarque : Pour éviter tout téléchargement excessif, l'option Télécharger Tous les Fichiers est désactivée si la case Inclure les Pièces Jointes Dépendantes est cochée.
Sujet parent : Pièces jointes d'une exigence


Suppression de pièces jointes à des exigences

Pour supprimer la pièce jointe d'une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Cliquez sur l'onglet Pièces Jointes.

    Lorsque l'intégration de gestion des exigences a été activée entre un projet Silk Central et un projet Caliber, la page Pièces jointes contient un bouton Ouvrir Caliber qui permet de gérer directement les pièces jointes d'une exigence dans Caliber.

  4. Cliquez sur Supprimer dans la colonne Actions de la pièce jointe que vous souhaitez supprimer.
  5. Cliquez sur Oui dans la boîte de dialogue de confirmation afin de supprimer la pièce jointe du projet.
    Remarque : Une seule pièce jointe peut être supprimée à la fois.
Sujet parent : Pièces jointes d'une exigence


Page Pièces jointes aux exigences

Exigences > Vue détaillée > Pièces jointes

La page Pièces Jointes répertorie les fichiers et liens qui sont en pièces jointes de l'exigence sélectionnée. Les pièces jointes sont indiquées dans l'ordre de leur chargement, bien que la liste puisse être triée selon les propriétés Nom, Créé Le et Créé Par.

Remarque : Pour afficher les éventuelles pièces jointes des exigences enfants de l'exigence sélectionnée, cochez la case Inclure les Pièces Jointes Dépendantes.
Remarque : Les icônes de fichier indiquent si les documents sont directement en pièces jointes de l'exigence sélectionnée ou d'une exigence enfant de cette dernière.
Icône simple
Le fichier est directement joint à l'exigence sélectionnée.
Icône double
Le fichier est joint à une exigence enfant de celle sélectionnée.

La page Pièces Jointes présente les colonnes suivantes pour chaque pièce jointe répertoriée :

Colonne | Description
Actions | Cliquez sur Supprimer pour supprimer la pièce jointe.
Icône de pièce jointe | Dépend du type de pièce jointe.
Nom | Nom de la pièce jointe.
Taille | Taille de la pièce jointe.
Description | Description de la pièce jointe.
Créé le | Date de création de la pièce jointe.
Créé par | Utilisateur ayant créé la pièce jointe.
Sujet parent : Pièces jointes d'une exigence


Association de tests à des exigences

Associez vos exigences et vos tests afin d'évaluer dans quelle mesure votre logiciel couvre les exigences spécifiées.
  • Assignation de tests à des exigences à partir de la Vue Matricielle
    À partir de la Vue Matricielle, assignez manuellement un test à une exigence afin d'afficher la couverture de test de cette dernière.
  • Assignation manuelle de tests aux exigences
    Assignez manuellement un test à une exigence afin d'afficher la couverture de test de cette dernière.
  • Localisation de tests assignés dans l'arborescence Tests
    Localisez un test assigné dans l'arborescence Tests pour savoir à quel dossier ou conteneur de tests appartient le test.
  • Suppression d'assignations de tests
    Supprimez un test assigné dans une exigence lorsqu'il ne correspond plus à cette dernière.
  • Génération de tests à partir de la Vue détaillée des exigences
    Générez un nouveau test à partir de la Vue détaillée dans l'espace Exigences afin d'assigner les tests à des exigences spécifiques.
  • Page Tests Assignés
    Répertorie tous les tests qui sont assignés à l'exigence sélectionnée.
Sujet parent : Exigences


Assignation de tests à des exigences à partir de la Vue Matricielle

Pour assigner un ou plusieurs tests à une ou plusieurs exigences, à partir de la Vue Matricielle de l'espace de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Cliquez sur Vue Matricielle dans la barre d'outils.
  3. Sélectionnez les tests que vous voulez assigner aux exigences. Vous pouvez utiliser les touches Ctrl et Maj du clavier pour sélectionner plusieurs tests à l'aide des fonctions de sélection multiple d'un navigateur standard.
  4. Faites un clic droit sur les tests sélectionnés et sélectionnez Enregistrer la Sélection.
  5. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  6. Sélectionnez l'exigence à laquelle vous souhaitez assigner les tests sélectionnés.
  7. Cliquez sur l'onglet Tests Assignés.
  8. Cliquez sur Assigner la Sélection Enregistrée.
    Remarque : Seuls les tests résidant dans le conteneur de tests des exigences sont assignés. Vous pouvez assigner les tests sélectionnés à plusieurs exigences, mais vous ne pouvez pas les assigner à des exigences de projets différents. La sélection persiste jusqu'à ce que vous fassiez une autre sélection ou fermiez Silk Central.
Sujet parent : Association de tests à des exigences


Assignation manuelle de tests aux exigences

Pour assigner manuellement des tests à une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Cliquez sur l'onglet Tests assignés. Tous les tests disponibles en vue d'une assignation sont affichés dans la fenêtre Test.
  4. Si vous avez créé un filtre de test, vous pouvez le sélectionner dans la liste de filtres située au-dessus de l'arborescence Test. Pour créer un filtre de test, accédez à l'espace Tests et cliquez sur Nouveau filtre dans la barre d'outils.
  5. Sélectionnez les tests que vous souhaitez assigner. Vous pouvez utiliser les touches Ctrl et Maj du clavier pour sélectionner plusieurs tests à l'aide des fonctions de sélection multiple d'un navigateur standard.
  6. Faites glisser votre sélection et déposez-la dans l'espace Tests assignés, ou cliquez sur Assigner à gauche de n'importe quel test. L'assignation d'un conteneur ou d'un dossier de tests permet d'assigner tous les tests qu'il contient à l'exigence sélectionnée. Les tests situés à l'intérieur des sous-dossiers de ces conteneurs et de ces dossiers sont aussi assignés.
    Conseil : Faites un clic droit sur un nœud pour le développer et le réduire.
Sujet parent : Association de tests à des exigences


Localisation de tests assignés dans l'arborescence Tests

Pour localiser un test assigné dans l'arborescence Tests :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Cliquez sur Vue Exigences dans la barre d'outils.
  3. Dans l'arborescence Exigences, sélectionnez une exigence à laquelle au moins un test a été assigné.
  4. Cliquez sur l'onglet Tests Assignés.
  5. Dans la colonne Actions d'un test, cliquez sur Localiser pour identifier le dossier ou le conteneur de tests dans lequel le test est stocké. Le dossier ou le conteneur de tests correspondant est mis en surbrillance dans la fenêtre Tests.
Sujet parent : Association de tests à des exigences


Suppression d'assignations de tests

Pour supprimer une assignation de tests :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Cliquez sur Vue Exigences dans la barre d'outils.
  3. Dans l'arborescence Exigences, sélectionnez une exigence à laquelle au moins un test a été assigné.
  4. Dans la colonne Actions du test assigné que vous souhaitez supprimer, cliquez sur Supprimer, ou utilisez Ctrl + clic ou Maj + clic pour sélectionner plusieurs tests et appuyez sur Suppr.
    Remarque : Pour supprimer toutes les assignations de tests dans l'exigence sélectionnée, cliquez sur Supprimer Tout.
Sujet parent : Association de tests à des exigences


Génération de tests à partir de la Vue détaillée des exigences

Vous pouvez générer des tests directement depuis l'arborescence Exigences et les assigner à des exigences particulières. L'arborescence Exigences sert de modèle pour la structure/dossier test de la nouvelle arborescence Tests.

Pour générer un nouveau test à partir de la Vue détaillée :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Faites un clic droit sur le nœud d'exigence ou de projet que vous souhaitez convertir en test, puis sélectionnez Générer les tests. La boîte de dialogue Générer les Tests à partir des Exigences s'affiche. Cette boîte de dialogue vous permet d'indiquer si les feuilles (nœuds du niveau le plus bas) de la sous-arborescence d'exigences sélectionnée doivent être converties en tests ou en dossiers de test, et si l'arborescence doit être générée en nouveau conteneur de tests ou en conteneur existant.
  3. Saisissez un nom pour le nouveau conteneur de test dans le champ Saisir le nom, puis sélectionnez une application dans la liste Sélectionner l'application afin de créer le conteneur au sein du projet Silk Central actif. La liste Sélectionner l'application contient les applications configurées par un responsable de projets. Pour des informations détaillées, reportez-vous à la section Gestion des applications ou demandez à votre gestionnaire de projet.
  4. Si vous avez défini un profil de référentiel tiers, sélectionnez le profil que vous souhaitez utiliser pour gérer les sources de tests dans la liste Sélectionner un profil de référentiel tiers. Pour obtenir des informations détaillées sur les profils de référentiel tiers, reportez-vous à la rubrique Profils de référentiel tiers ou demandez-les à votre administrateur Silk Central.
  5. Pour inclure toutes les exigences enfants de l'exigence sélectionnée dans le test, cochez la case Inclure les exigences enfants. Cette case est cochée par défaut.
  6. Pour que les nouveaux tests soient automatiquement assignés aux exigences à partir desquelles ils sont créés, cochez la case Assigner les tests nouvellement générés aux exigences. Si cette option n'est pas sélectionnée, vous devez associer manuellement les tests aux exigences.
    Remarque : Cette option n'est pas disponible si vous cochez la case Générer des dossiers de tests à partir des feuilles de l'arborescence des exigences.
  7. Cliquez sur OK pour créer le test. Le nouveau test possède la même structure que l'arborescence Exigences.
  8. Un message s'affiche. Cliquez sur Oui pour afficher le test dans l'espace Tests ou sur Non pour rester dans l'espace Exigences.
Sujet parent : Association de tests à des exigences
Concepts associés
Gestion des applications
Profils de référentiel tiers


Page Tests Assignés

Exigences > Vue Détaillée > Tests Assignés

La page Tests Assignés répertorie tous les tests qui sont assignés à l'exigence sélectionnée. Si un test est assigné à plusieurs plans d'exécution et que la case Afficher dans le Contexte de l'Exécution est cochée, le test est affiché sur une ligne séparée de la grille de chaque plan d'exécution.

Tous les tests disponibles pour assignation sont affichés dans l'arborescence Tests située à droite. Pour assigner un test à l'exigence sélectionnée, double-cliquez sur l'entrée dans l'arborescence ou cliquez sur Assigner à gauche de l'entrée.

Si vous avez créé un filtre de test, vous pouvez le sélectionner dans la liste de filtres située au-dessus de l'arborescence Tests. Pour créer un filtre de test, accédez à l'espace Tests et cliquez sur Nouveau filtre dans la barre d'outils.

Pour assigner automatiquement des tests nouvellement générés aux exigences à partir desquelles ils sont générés, cochez la case Assigner les tests nouvellement générés aux Exigences dans la boîte de dialogue Générer les Tests à partir des Exigences.

La vue par défaut affiche uniquement les tests qui sont assignés directement à l'exigence sélectionnée. Cochez la case Couverture Complète pour afficher en outre tous les tests qui sont assignés à des exigences enfants de l'exigence sélectionnée. Lorsque la case Couverture Complète est cochée, les tests qui ne sont pas assignés à l'exigence sélectionnée, mais à un enfant de celle-ci, sont affichés avec une superposition au-dessus de l'icône de type de test.

Si vous avez copié un jeu de tests depuis Tests > Vue Matricielle dans le presse-papiers, cliquez sur Assigner la Sélection Enregistrée pour assigner le jeu complet à l'exigence sélectionnée. Cliquez sur Supprimer Tout pour supprimer tous les tests assignés depuis l'exigence.

Pour assigner des incidents existants à un ou plusieurs tests directement dans la grille, faites un clic droit sur un test et cliquez sur Assigner des incidents existants. Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.

La page Tests Assignés affiche les colonnes suivantes pour chaque test répertorié :

Colonne | Description
Actions Vous pouvez effectuer les actions suivantes sur un test assigné :
  • Cliquez sur Supprimer pour supprimer le test assigné depuis l'exigence.
  • Dans l'arborescence Tests située à droite, cliquez sur Localiser pour accéder au test assigné.
Tester | Nom du test assigné. Cliquez pour afficher et modifier le test. Dans le cas des tests de configuration, le test est répertorié séparément pour chaque configuration.
Plan d'exécution | Cette colonne s'affiche uniquement si la case Afficher dans le Contexte de l'Exécution est cochée. Il s'agit du nom du plan d'exécution qui inclut le test assigné. Pour les tests de configuration.
Parent du plan d'exécution | Suite de configurations, dossier ou cycle de test dans le contexte desquels le plan d'exécution est exécuté. Cliquez pour accéder à la suite ou au dossier dans l'arborescence Plans d'Exécution. Si le plan d'exécution n'est pas inclus dans un dossier ou une suite de configurations, aucun élément ne s'affiche.
Etat État du test assigné dans chaque plan d'exécution auquel le test est assigné. Pour afficher l'état de toutes les exécutions des tests affichés dans chaque plan d'exécution, cochez la case Afficher dans le Contexte de l'Exécution.
  • Réussi
  • Echec
  • Non exécuté
  • SO
Pour les tests ou les packages de tests qui sont inclus dans une suite de configurations, l'état est une agrégation de tous les états de l'ensemble des configurations de la suite :
  • Lorsque le test n'est assigné qu'à la suite de configurations, l'état est Réussi uniquement si le test a réussi pour toutes les configurations. Si l'état Réussi n'est pas affiché pour toutes les configurations, l'état de l'exécution la moins performante est propagé, avec la priorité descendante suivante :
    1. SO
    2. Non exécuté
    3. Echec
    4. Réussi
    L'état d'une exigence assignée au test est En Échec si le test échoue pour une ou plusieurs configurations.
  • Il n'est pas recommandé d'assigner le test à une suite de configurations et à un ou plusieurs plans d'exécution simples. Toutefois, dans ce cas, l'agrégation des états de configuration correspond à un état, et les derniers états des plans d'exécution représentent d'autres états. L'état de la dernière exécution détermine le dernier état du test.
  • Si le test est assigné uniquement à un plan d'exécution simple, l'état est mis à jour en fonction de l'état de la dernière exécution.
Dernière exécution | Date et heure de la dernière exécution du test.
Incidents | Cette colonne s'affiche uniquement si la case Afficher dans le Contexte de l'Exécution n'est pas cochée. Incidents associés à ce test.
Sujet parent : Association de tests à des exigences
Concepts associés
Icônes personnalisées


Import d'exigences

Silk Central vous permet d'importer des exigences à partir de Microsoft Word et Excel. Vous pouvez importer une exigence dans l'espace Exigences, puis gérer toutes les exigences incluses dans Silk Central. L'import est un événement ponctuel.

  • Import d'exigences à partir d'un fichier Word
    Importez des exigences à partir d'un fichier Microsoft Word afin de les gérer dans Silk Central.
  • Mise à jour des exigences à partir d'un fichier Word
    Mettez à jour les exigences à partir d'un fichier Microsoft Word pour appliquer les changements qui ont été apportés au fichier Word.
  • Fichier Word des exigences
    Décrit le contenu du fichier Word d'exigences à partir duquel vous pouvez importer des exigences dans Silk Central.
  • Import d'exigences à partir d'un fichier Excel
    Importez des exigences à partir d'un fichier Microsoft Excel afin de les gérer dans Silk Central.
  • Import d'exigences à partir d'un fichier Excel
    Mettez à jour les exigences à partir d'un fichier Microsoft Excel pour appliquer les changements qui ont été apportés au fichier Excel.
  • Fichier d'exigences Excel et mappage
    Décrit le contenu du fichier d'exigences Excel et le mappage correspondant dans Silk Central.
Sujet parent : Exigences


Import d'exigences à partir d'un fichier Word

Afin d'importer des exigences, vous devez créer un fichier d'exigences dans Word. Pour plus d'informations, reportez-vous à la rubrique Fichier Word des exigences.

Test Manager utilise les informations du fichier Word ainsi qu'un fichier de mappage pour déterminer les données à conserver et collecte uniquement les informations mappées à des styles particuliers. Test Manager utilise un fichier de mappage pour mapper les exigences du fichier Word à celles de Silk Central. Un fichier de mappage par défaut, nommé RequirementsPropertiesDefaultMapping.xml, est présélectionné pour l'import. Vous pouvez choisir un fichier de mappage personnalisé pour mapper vos exigences.

Fonctionnalités docx : les fonctionnalités des fichiers docx sont identiques à celles des fichiers doc, avec les améliorations suivantes :
  • Les images et tout autre objet intégré (OLE) (par exemple : PDF, Excel) sont détectés et importés sous forme de pièces jointes à l'exigence.
  • Les descriptions peuvent contenir des hyperliens.

Pour importer des exigences à partir d'un fichier Word dans l'unité Exigences :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Faites un clic droit sur l'exigence que vous voulez utiliser comme nœud parent des exigences importées et choisissez l'option Importer depuis Word. La boîte de dialogue Import des Exigences depuis un Fichier Word s'ouvre.
  3. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est RequirementsPropertiesDefaultMapping.xml.
  4. Facultatif : cliquez sur [image] pour modifier le fichier de mappage. cliquez sur [image] pour supprimer le fichier de mappage. Pour plus d'informations, reportez-vous à la rubrique Fichier Word des exigences.
    Remarque : Ces actions nécessitent les autorisations Modifier les fichiers de mappage d'import Office/Supprimer les fichiers de mappage d'import Office, respectivement.
  5. Cochez la case Import ponctuel s'il s'agit d'un import ponctuel en bloc des exigences, qui ne sera géré que dans Silk Central après l'import. Si vous sélectionnez cette option, les exigences sont importées directement dans le nœud sélectionné sans créer de dossier racine commun. Vous ne pouvez pas utiliser l'option Mettre à Jour depuis Word... pour mettre ensuite à jour les exigences importées.
  6. Indiquez le chemin complet du fichier des exigences dans le champ Fichier des Exigences ou cliquez sur Choisir un fichier pour rechercher le fichier des exigences.
  7. Cliquez sur OK. Un message vous signale si l'import a réussi. Cliquez sur OK pour fermer le message.
Sujet parent : Import d'exigences
Concepts associés
Fichier Word des exigences
Tâches associées
Mise à jour des exigences à partir d'un fichier Word


Mise à jour des exigences à partir d'un fichier Word

Silk Central vous permet de mettre à jour des exigences importées à partir de Microsoft Word. Vous pouvez modifier les exigences dans le document Word, puis les mettre à jour dans l'espace Exigences. Vous pouvez également modifier le fichier de mappage afin de changer le mappage des exigences dans l'espace Exigences.
Remarque : Vous pouvez uniquement mettre à jour les exigences pour lesquelles un ID externe unique est défini dans le fichier Word précédemment importé. Silk Central a besoin de cet ID pour identifier les exigences qui requièrent une mise à jour.
  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Faites un clic droit sur le nœud parent des exigences précédemment importées (par exemple Importé depuis le fichier RequirementExample.docx) et choisissez Mettre à Jour depuis Word. La boîte de dialogue Mettre à jour les Exigences depuis un Fichier Word s'ouvre.
  3. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est RequirementsPropertiesDefaultMapping.xml.
  4. Facultatif : cliquez sur [image] pour modifier le fichier de mappage. cliquez sur [image] pour supprimer le fichier de mappage. Pour plus d'informations, reportez-vous à la rubrique Fichier Word des exigences.
    Remarque : Ces actions nécessitent les autorisations Modifier les fichiers de mappage d'import Office/Supprimer les fichiers de mappage d'import Office, respectivement.
  5. Indiquez le chemin complet du fichier des exigences dans le champ Fichier des Exigences ou cliquez sur Parcourir pour rechercher le fichier des exigences.
  6. Cliquez sur OK. Un message indique si la mise à jour a réussi. Cliquez sur OK pour fermer le message.
Sujet parent : Import d'exigences
Concepts associés
Fichier Word des exigences
Tâches associées
Import d'exigences à partir d'un fichier Word


Fichier Word des exigences

Créez un fichier d'exigences dans Word en vue d'importer les exigences dans Silk Central ou de les mettre à jour. Dans le fichier des exigences, vous pouvez définir les exigences ainsi que leur hiérarchie, leurs priorités, leurs risques, leur état de vérification et leurs propriétés personnalisées.

Pour mapper les exigences de votre fichier à celles figurant dans Silk Central, utilisez un fichier de mappage XML. Ce fichier permet de mapper les styles du document Word avec les propriétés d'exigence dans Silk Central. Vous pouvez nommer les styles Word comme vous le souhaitez, dès lors que vous les mappez correctement dans votre fichier de mappage.

Si vous voulez pouvoir mettre à jour les exigences, vous devez définir un style pour l'ID externe et affecter un ID externe unique à chaque exigence de votre fichier d'exigences. Dans l'exemple suivant, vous pouvez voir un exemple d'exigence incluant deux sous-exigences et les ID externes correspondants :
Word, fichier Styles appliqués
Customer Account Management - Basics
ID_1
As user of the web shop I want to be able to ...
Medium
High
No

Customer Account Management - Personal Details
ID_1.1
As user of the web shop I want to be able to ...
Medium
Medium
No

Customer Account Management - Shipping Details
ID_1.2
As user of the web shop I want to be able to ...
Medium
Medium
No

Formatted with Word style "Heading 1"
Formatted with Word style "ExternalID"
Formatted with Word style "Description"
Formatted with Word style "Priority"
Formatted with Word style "Risk"
Formatted with Word style "Reviewed"

Formatted with Word style "Heading 2"
Formatted with Word style "ExternalID"
Formatted with Word style "Description"
Formatted with Word style "Priority"
Formatted with Word style "Risk"
Formatted with Word style "Reviewed"

Formatted with Word style "Heading 2"
Formatted with Word style "ExternalID"
Formatted with Word style "Description"
Formatted with Word style "Priority"
Formatted with Word style "Risk"
Formatted with Word style "Reviewed"

Vous pouvez éventuellement modifier le nom du fichier de mappage dans le champ Enregistrer sous. Ce fichier est enregistré sur le serveur d'applications, sous <répertoire de données Silk Central>\OfficeImportMappingFiles\requirements\<ID client> (par exemple C:\ProgramData\SilkCentral\instance_<numéro d'instance>_<nom d'instance>\OfficeImportMappingFiles).

Sujet parent : Import d'exigences
Tâches associées
Import d'exigences à partir d'un fichier Word
Mise à jour des exigences à partir d'un fichier Word


Import d'exigences à partir d'un fichier Excel

Avant d'importer des exigences, vous devez créer un fichier d'exigences dans Excel. Pour plus d'informations, reportez-vous à la rubrique Exigences Excel et fichier de mappage.

Test Manager utilise les informations du fichier Excel ainsi qu'un fichier de mappage pour déterminer les données à conserver et collecte uniquement les informations mappées à des noms de colonnes particuliers. Silk Central utilise un fichier de mappage pour mapper les exigences du fichier Excel à celles de Silk Central. Un fichier de mappage par défaut, nommé RequirementPropertiesXlsxDefaultMapping.xml, est présélectionné pour l'import. Vous pouvez choisir un fichier de mappage personnalisé pour mapper vos exigences.

Remarque : l'importation de pièces jointes (images, graphiques) n'est pas prise en charge.

Pour importer des exigences à partir d'un fichier Excel dans l'unité Exigences :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Faites un clic droit sur l'exigence que vous souhaitez utiliser comme nœud parent des exigences importées et choisissez l'option Importer depuis Excel. La boîte de dialogue Importer des Exigences depuis un Fichier Excel s'ouvre.
  3. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est RequirementPropertiesXlsxDefaultMapping.xml.
  4. Facultatif : cliquez sur [image] pour modifier le fichier de mappage. Cliquez sur [image] pour supprimer le fichier de mappage. Pour plus d'informations, reportez-vous à la rubrique Exigences Excel et fichier de mappage.
    Remarque : Ces actions nécessitent les autorisations Modifier les fichiers de mappage d'import Office/Supprimer les fichiers de mappage d'import Office, respectivement.
  5. Cochez la case Import ponctuel s'il s'agit d'un import ponctuel en bloc des exigences, qui ne sera géré que dans Silk Central après l'import. Si vous sélectionnez cette option, les exigences sont importées directement dans le nœud sélectionné sans créer de dossier racine commun. Vous ne pouvez pas utiliser l'option Mettre à Jour depuis Excel... pour mettre ensuite à jour les exigences importées.
  6. Indiquez le chemin complet du fichier des exigences dans le champ Fichier des Exigences ou cliquez sur Choisir un fichier pour rechercher le fichier des exigences.
  7. Cliquez sur OK. Un message vous signale si l'import a réussi. Cliquez sur OK pour fermer le message.
Sujet parent : Import d'exigences
Tâches associées
Import d'exigences à partir d'un fichier Excel
Référence associée
Fichier d'exigences Excel et mappage


Import d'exigences à partir d'un fichier Excel

Silk Central vous permet de mettre à jour des exigences importées à partir de Microsoft Excel. Vous pouvez modifier les exigences dans le document Excel, puis les mettre à jour dans l'espace Exigences. Vous pouvez également modifier le fichier de mappage afin de changer le mappage des exigences dans l'espace Exigences.
Remarque : Vous pouvez uniquement mettre à jour les exigences pour lesquelles un ID externe unique est défini dans le fichier Excel précédemment importé. Silk Central a besoin de cet ID pour identifier les exigences qui requièrent une mise à jour.
  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Faites un clic droit sur le nœud parent des exigences précédemment importées (par exemple Importé depuis le fichier RequirementExample.xslx) et choisissez Mettre à jour depuis Excel. La boîte de dialogue Mettre à jour les Exigences depuis un Fichier Excel s'ouvre.
  3. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est RequirementPropertiesXlsxDefaultMapping.xml.
  4. Facultatif : cliquez sur [image] pour modifier le fichier de mappage. Cliquez sur [image] pour supprimer le fichier de mappage. Pour plus d'informations, reportez-vous à la rubrique Exigences Excel et fichier de mappage.
    Remarque : Ces actions nécessitent les autorisations Modifier les fichiers de mappage d'import Office/Supprimer les fichiers de mappage d'import Office, respectivement.
  5. Indiquez le chemin complet du fichier des exigences dans le champ Fichier des Exigences ou cliquez sur Parcourir pour rechercher le fichier des exigences.
  6. Cliquez sur OK. Un message indique si la mise à jour a réussi. Cliquez sur OK pour fermer le message.
Sujet parent : Import d'exigences
Tâches associées
Import d'exigences à partir d'un fichier Excel
Référence associée
Fichier d'exigences Excel et mappage


Fichier d'exigences Excel et mappage

Créez un fichier d'exigences dans Excel de manière à pouvoir importer ces exigences dans Silk Central ou les mettre à jour. Dans le fichier des exigences, vous pouvez définir les exigences ainsi que leur hiérarchie, leurs priorités, leurs risques, leur état de vérification et leurs propriétés personnalisées.

Pour mapper les exigences de votre fichier à celles figurant dans Silk Central, utilisez un fichier de mappage XML. Ce fichier permet de mapper les colonnes du document Excel aux propriétés d'exigences de Silk Central. L'autorisation Modifier les fichiers de mappage d'import Office est nécessaire afin de modifier le fichier de mappage.

Mappages de Propriétés

Cliquez sur Modifier le Mappage dans la boîte de dialogue Importer des Exigences depuis un Fichier Excel ou Mettre à jour les Exigences depuis un Fichier Excel pour mapper comme suit les exigences de votre fichier Excel avec Silk Central :
  • Ligne d'En-Tête : spécifiez la ligne de votre fichier d'exigences Excel qui contient les noms de colonnes à utiliser pour le mappage des propriétés.
  • Première Ligne de Données : spécifiez la ligne qui contient la première exigence. Cette ligne, ainsi que toutes les lignes suivantes, seront interprétées comme étant des exigences.
  • Caractères Séparateurs : spécifiez les caractères devant être interprétés comme des séparateurs au sein des valeurs de propriétés. Ce paramètre est utilisé pour les propriétés à plusieurs listes.
  • Nom, Description : spécifiez les noms de colonnes de la ligne d'en-tête qui sont mappés au nom de l'exigence et ceux qui sont mappés à la description de l'exigence.
  • GUID externe : spécifiez le nom de la colonne de la ligne d'en-tête qui contient l'ID propre à chaque exigence dans votre fichier d'exigences. Ces ID peuvent être utilisés dans GUID parent externe pour créer une hiérarchie parmi vos exigences.
  • GUID parent externe : spécifiez le nom de la colonne de la ligne d'en-tête qui contient le parent d'une exigence donnée. Pour préciser le parent d'une exigence, saisissez dans votre fichier d'exigences le GUID externe du parent. Si cette cellule ne contient pas de données, l'exigence est directement ajoutée à l'exigence racine créée. Les règles ci-dessous s'appliquent :
    • Si une exigence n'a pas d'ID parent, elle est ajoutée comme enfant de l'exigence racine créée.
    • Si l'ID parent d'une exigence n'est pas valable, l'exigence est ajoutée comme enfant de l'exigence racine créée.
    • Si l'ID externe d'une exigence est défini comme ID parent, l'exigence est ajoutée comme enfant de l'exigence racine créée.
    • Si deux exigences ou plus ont entre elles une dépendance circulaire via leur ID parent, elles ne sont pas importées dans Silk Central.
  • Priorité, Risque, Vérifié : spécifiez les noms de colonnes de la ligne d'en-tête qui sont mappés aux valeurs localisées de ces propriétés.
  • Si vous avez personnalisé des propriétés, vous devez préciser les noms des colonnes de la ligne d'en-tête pour que chacune d'entre elles soit correctement mappée.
  • Enregistrer sous : spécifiez le nom du fichier à enregistrer qui contient vos informations de mappage. Ce fichier est enregistré sur le serveur d'applications, sous <répertoire de données Silk Central>\OfficeImportMappingFiles\requirements\xlsx\<ID client> (par exemple C:\ProgramData\SilkCentral\instance_<numéro d'instance>_<nom d'instance>\OfficeImportMappingFiles\requirements\xlsx\1).

Exemple de fichier d'exigences Excel

Vous pouvez voir ci-dessous un exemple d'exigence incluant deux sous-exigences et les ID externes correspondants. Cet exemple de fichier d'exigences Excel correspond aux mappages de propriétés par défaut.
1 | RequirementName | RequirementDescription | ID | ID parent | Priorité | Risque | Vérifié
2 | Gestion de compte client - Infos de base | En tant qu'utilisateur de la boutique en ligne, je veux pouvoir ... | ID_1 |  | Moyenne | Elevée | Non
3 | Gestion de compte client - Coordonnées | En tant qu'utilisateur de la boutique en ligne, je veux pouvoir ... | ID_1.1 | ID_1 | Moyenne | Moyenne | Non
4 | Gestion de compte client - Infos de livraison | En tant qu'utilisateur de la boutique en ligne, je veux pouvoir ... | ID_1.2 | ID_1 | Moyenne | Moyenne | Non
Sujet parent : Import d'exigences
Tâches associées
Import d'exigences à partir d'un fichier Excel
Import d'exigences à partir d'un fichier Excel


Vues d'exigences

Silk Central propose plusieurs vues et outils pour gérer vos exigences.

  • Arborescence des exigences
    Décrit l'arborescence Exigences.
  • Fonctions de la barre d'outils des exigences
    Fournit des commandes importantes pour la gestion de vos exigences.
  • Vue globale des exigences
    Présente l'état de tous les tests assignés au projet actif sur un graphe des points chauds.
  • Historique des exigences
    Explique comment utiliser l'historique des exigences pour assurer le suivi des changements apportés aux exigences.
Sujet parent : Exigences


Arborescence des exigences

Les exigences sont affichées, organisées et gérées par le biais de la structure arborescente hiérarchique Exigences. Chaque nœud de l'arborescence Exigences représente une exigence. À chaque exigence peut être associé un nombre quelconque d'exigences enfants. L'arborescence Exigences vous permet d'organiser les exigences selon un nombre illimité de niveaux hiérarchiques.

Remarque : Lorsque l'arborescence Exigences contient plus d'éléments qu'il n'est possible d'en afficher en une seule fois sans que cela ait un impact sur le temps de réponse, ceux-ci sont affichés par incréments. Au bas de l'onglet, les liens représentant des numéros de page permettent de parcourir les éléments de l'arborescence page après page. Pour afficher tous les éléments sous la forme d'une liste unique, cliquez sur le lien [All].
  • Fonctions du clavier (Exigences)
    L'arborescence prend en charge le clavier.
  • Réduction ou développement de l'arborescence Exigences
    Réduisez et développez l'arborescence Exigences afin de consolider et d'afficher les niveaux de hiérarchie en fonction de vos besoins en matière d'affichage
  • Filtrage de l'arborescence Exigences
    Décrit le mode d'ajout d'un filtre dans l'arborescence Exigences.
Sujet parent : Vues d'exigences


Fonctions du clavier (Exigences)

Les actions suivantes peuvent appliquées aux noeuds sélectionnés :

Touches | Action
Vers le haut | Déplacer la sélection vers le haut
Vers le bas | Déplacer la sélection vers le bas
Droite | Développer l'élément
Gauche | Réduire l'élément
F2 | Modifier l'élément
Ctrl + C | Copier l'élément
Ctrl + X | Couper l'élément
Ctrl + V | Coller l'élément
Suppr | Supprimer l'élément
Ctrl + Haut | Déplacer l'élément vers le haut
Ctrl + Bas | Déplacer l'élément vers le bas
Clic | Sélectionnez un élément et définissez-le comme élément en cours.
Ctrl + clic | Modifiez le statut de sélection de l'élément sur lequel vous avez cliqué et ajoutez/supprimez des éléments supplémentaires avec quelques clics de plus.
Maj + clic | Sélectionnez la plage comprise entre l'élément actuellement sélectionné et l'élément récemment sélectionné.
Maj + Haut | Sélectionnez l'élément ci-dessus.
Maj + Bas | Sélectionnez l'élément ci-dessous.
Entrée | Assigner l'élément (uniquement dans l'arborescence d'affectation)
Sujet parent : Arborescence des exigences


Réduction ou développement de l'arborescence Exigences

Pour réduire ou développer l'arborescence Exigences :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Dans l'arborescence Exigences, sélectionnez le dossier des exigences et continuez avec l'une des options suivantes :
    • Pour développer le dossier des exigences, cliquez sur Développer à gauche du nom de dossier.
    • Pour réduire le dossier des exigences, cliquez sur Réduire à gauche du nom de dossier.
    • Faites un clic droit sur le dossier et sélectionnez Développer ou Réduire. Vous pouvez développer deux, trois ou tous les niveaux en même temps via la commande du menu contextuel.
Sujet parent : Arborescence des exigences


Filtrage de l'arborescence Exigences

Si vous filtrez une sous-arborescence, seul le nœud sélectionné et les nœud enfants sont affichés. Tous les autres nœuds sont temporairement masqués. Cela peut s'avérer utile pour générer un fichier PDF contenant un sous-ensemble de toutes les exigences.

Pour filtrer une sous-arborescence de l'arborescence Exigences :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Faites un clic droit sur l'arborescence Exigences, puis cliquez sur Filtrer la sous-arborescence.
    Remarque : Un filtre personnalisé est ainsi automatiquement ajouté à la liste des filtres, qui se trouve dans la barre d'outils. Pour enregistrer ce filtre, cliquez sur [image] (Modifier le Filtre), puis cliquez sur Avancé et saisissez un nom pour le filtre.
  3. Pour désactiver le filtre, sélectionnez <Aucun Filtre> dans la liste des filtres de la barre d'outils.
Sujet parent : Arborescence des exigences
Concepts associés
Filtres


Fonctions de la barre d'outils des exigences

Exigences > Vue Détaillée

Exigences > Vue Globale

La barre d'outils des exigences fournit des commandes importantes pour la gestion de vos exigences.

Remarque : Certaines commandes de la barre d'outils des exigences sont également accessibles par le biais des menus contextuels dans l'arborescence Exigences.

Les commandes suivantes sont incluses dans la barre d'outils des exigences :

Commande | Icône | Description
Vue Détaillée | Vue Exigences | Affiche la Vue Détaillée, qui vous permet d'explorer en détail les propriétés d'une seule exigence.
Vue Globale | Vue Globale | Affiche la Vue Globale, laquelle présente les propriétés sélectionnées de toutes les exigences dans une seule vue.
Nouvelle Exigence | Nouvelle Exigence | Ajoute une nouvelle exigence au projet actif.
Nouvelle Exigence Enfant | Nouvelle Exigence Enfant | Ajoute une nouvelle exigence enfant à l'exigence sélectionnée.
Modifier | Modifier | Modifie l'exigence sélectionnée.
Supprimer | Supprimer | Signale l'exigence sélectionnée dans l'arborescence comme obsolète ou la détruit définitivement. Les exigences obsolètes peuvent êtres masquées, affichées et récupérées.
Couper | Couper | Coupe une exigence dans l'arborescence Exigences et l'enregistre dans le presse-papiers.
Copier | Copier | Copie une exigence depuis l'arborescence Exigences vers le presse-papiers.
Coller | Coller | Colle une exigence depuis le presse-papiers vers l'arborescence Exigences.
Coller comme Enfant | Coller comme Enfant | Colle une exigence à partir du presse-papiers en tant qu'enfant de l'exigence actuellement sélectionnée.
Déplacer vers le Haut | Déplacer vers le Haut | Déplace une exigence vers le haut de l'arborescence Exigences.
Déplacer vers le Bas | Déplacer vers le Bas | Déplace une exigence vers le bas de l'arborescence Exigences.
Rechercher | Rechercher | Lance une recherche sur l'ensemble des exigences du projet actif en fonction de paramètres configurables.
Remplacer | Remplacer | Remplace les instances des valeurs trouvées par une nouvelle valeur.
Nouveau Filtre | Nouveau Filtre | Crée un nouveau filtre pour l'arborescence Exigences.
Filtres |  | Répertorie les filtres disponibles pour l'arborescence Exigences.
Modifier le Filtre | Modifier le Filtre | Modifie le filtre sélectionné.
Supprimer le Filtre | Supprimer le Filtre | Supprime le filtre sélectionné.
Copier le Filtre | Supprimer le Filtre | Copie le filtre sélectionné.
Montrer les Modifications | Montrer les Modifications | Montre les modifications récentes apportées aux exigences et à leurs propriétés.
Acquitter | Acquitter | Acquitte les modifications apportées aux exigences et à leurs propriétés.
Montrer la Couverture Directe Montrer la Couverture Complète | Montrer la Couverture Complète Montrer la Couverture Directe | Passe du mode de couverture directe au mode de couverture complète et inversement. Ce bouton est désactivé dans Vue Détaillée.
Exporter en PDF | Exporter en PDF | Génère et télécharge un fichier PDF incluant tous les nœuds actuellement visibles dans l'arborescence Exigences. Ce bouton est désactivé dans Vue Détaillée.
Sujet parent : Vues d'exigences


Vue globale des exigences

Exigences > Vue Globale

La Vue globale présente l'état de tous les tests assignés au projet actif, y compris le nombre et le pourcentage de tests dont l'état est Réussi, En Échec, Non Exécuté et Non Couvert. La Vue globale donne des informations sur l'état de couverture par le biais d'un graphe des points chauds utilisant les couleurs suivantes :

Couleur | Description
Vert | Tests réussis.
Rouge | Tests en échec.
Orange | Tests n'ayant pas encore été exécutés.
Gris | Tests présentant un autre état.

Les exigences qui ne sont pas couvertes par des tests affichent l'état Non Couvert.

La Vue Globale affiche toutes les propriétés d'exigence personnalisées sous forme de colonnes.

Remarque : Les totaux des tests sont cumulés au niveau parent pour tous les plans d'exécution affichés. Si vous appliquez un filtre à l'arborescence Exigences, les totaux des tests sont basés sur les exigences filtrées uniquement. Par exemple, les totaux des exigences incluent les tests de toutes les exigences enfants sélectionnées avec le filtre et les totaux des projets incluent les tests de toutes les exigences sélectionnées avec le filtre.

La Vue Globale enregistre de manière séparée les paramètres d'affichage de chaque utilisateur et de chaque projet.

Sujet parent : Vues d'exigences


Historique des exigences

Silk Central fournit un historique complet de tous les changements qui ont été apportés aux exigences. Les données de l'historique sont en lecture seule et ne peuvent être ni modifiées ni définitivement supprimées.

Le filtre Changements Récents, auquel vous accédez en cliquant sur Montrer les modifications dans la barre d'outils, vous permet de consulter et d'acquitter efficacement les derniers changements et ajouts apportés aux exigences.

Remarque : Lorsque vous supprimez une exigence à l'aide de l'option Détruire définitivement, vous supprimez une exigence qui est marquée comme obsolète ou, si vous acquittez tous les changements récents, une entrée est ajoutée dans le fichier d'historique du projet incluant les exigences.
  • Affichage des changements récents
    Affichez les changements récents apportés aux exigences.
  • Suivi de l'historique d'une exigence
    Décrit le mode de suivi de l'historique d'une exigence.
  • Page sur l'historique des exigences
    Détaille l'historique de révision de l'exigence sélectionnée ou du projet.
Sujet parent : Vues d'exigences


Affichage des changements récents

Pour afficher les changements récents apportés aux exigences :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Cliquez sur Montrer les Modifications pour filtrer toutes les exigences à l'exception de celles qui ont été modifiées depuis votre dernier acquittement.
    Remarque : Le filtre des changements récents est sélectionné automatiquement dans la zone de liste Filtre.
  3. Une fois que vous avez vérifié les changements, vous pouvez les accepter en cliquant sur Acquitter. La fonction d'acquittement réinitialise le filtre des changements récents.
  4. Cliquez à nouveau sur Montrer Tout pour supprimer le filtrage et afficher toutes les exigences.
Sujet parent : Historique des exigences
Concepts associés
Changements Récents


Suivi de l'historique d'une exigence

Pour afficher l'historique d'une exigence :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Sélectionnez l'exigence dans l'arborescence Exigences.
  3. Cliquez sur l'onglet Historique.
  4. Optionnel : lorsque l'intégration de gestion des exigences est activée entre un projet Silk Central et un projet Caliber, vous pouvez cliquer sur Ouvrir Caliber dans la page Historique pour afficher directement l'historique des exigences synchronisées dans Caliber.
Les propriétés de toutes les révisions qui ont été consignées par Silk Central s'affichent dans un tableau.
Sujet parent : Historique des exigences


Page sur l'historique des exigences

Exigences > Vue détaillée > <Exigence> > Historique

La page Historique détaille l'historique de révision de l'exigence sélectionnée ou du projet. Les actions suivantes génèrent des entrées au sein des historiques des exigences :

  • Ajout d'une exigence
  • Modification d'une exigence
  • Marquage d'une exigence comme obsolète
  • Ajout d'une pièce jointe à une exigence
  • Suppression d'une pièce jointe à une exigence
  • Import ou mise à jour d'une exigence via MS Word ou MS Excel

Pour chaque changement effectué, la page affiche les colonnes suivantes :

Colonne | Description
Rev. | Numéro de la révision. 1-n.
Modifié Le | Date et heure du changement.
Modifié Par | Utilisateur à l'origine du changement.
Remarques | Description du changement, générée automatiquement. Exemple : « supprimé » ou « créé ».
Remarque : Lorsque la page contient plus d'éléments qu'il n'est possible d'en afficher en une seule fois sans que cela ait un impact sur le temps de réponse, ceux-ci sont affichés par incréments. Utilisez la barre de navigation en bas de la page pour parcourir les éléments.
Sujet parent : Historique des exigences


Tests

Cette section explique comment gérer les tests dans Silk Central .

Un test, ou scénario de test, est un ensemble de valeurs d'entrée, de conditions préalables à l'exécution, de résultats attendus et de conditions ultérieures à l'exécution, développé pour un objectif ou une condition de test spécifique, comme exercer un chemin de programme particulier ou vérifier la conformité avec une exigence spécifique (après IEEE 610). Silk Central prend en charge différents types de test, et les tests peuvent être structurés de diverses manières. L'espace Tests vous permet de contrôler les tests au cours du cycle de vie du développement du système. Vous pouvez créer, planifier et gérer les tests automatisés et les tests manuels. Vous pouvez télécharger et associer des fichiers et des liens en tant que pièces jointes aux conteneurs de tests et aux tests. Vous pouvez facilement associer les incidents trouvés aux tests qui ont permis de les détecter. Vous pouvez également effectuer le suivi complet des changements apportés au test.

  • Configuration des paramètres de test et des intégrations
    Avant de pouvoir commencer à construire votre infrastructure de test, vous devez au moins configurer un projet et une application et, si vous prévoyez de créer des tests automatisés, également un profil de référentiel tiers.
  • Structuration de vos ressources de test
    Silk Central suit les résultats des exécutions de tests dans le contexte des versions et des builds d'une application spécifique. Ainsi, une Application doit être définie avant la création de tests.
  • Gestion des tests
    Ajoutez un nouveau test pour votre infrastructure de tests ou configurez les tests existants.
  • Configuration des propriétés de test
    Configurer les propriétés de test comme les attributs, les paramètres, les annexes, et les critères de succès.
  • Essai d'exécution d'un test
    Vous pouvez procéder à un essai d'exécution pour vérifier si un test se déroule comme prévu.
  • Bibliothèques
    Les bibliothèques sont des collections de pas de tests et mots-clés qui sont partagés entre des tests de plusieurs projets.
  • Association d'exigences aux tests
    Associez vos exigences et vos tests afin de déterminer dans quelle mesure votre logiciel couvre les exigences spécifiées.
  • Rapports de tests
    Décrit les rapports portant sur les tests.
  • Plans d'Exécution Assignés
    Assignez des tests à des plans d'exécution en vue de maintenir le contrôle sur les exécutions de test pendant le développement et les tests.
  • Vues de test
    Décrit les vues disponibles dans la zone Tests.
Sujet parent : Aide de Silk Central


Configuration des paramètres de test et des intégrations

Avant de pouvoir commencer à construire votre infrastructure de test, vous devez au moins configurer un projet et une application et, si vous prévoyez de créer des tests automatisés, également un profil de référentiel tiers. Il se peut également que vous deviez configurer certains autres paramètres comme les filtres, les propriétés, les attributs, etc. Vous devez détenir des privilèges de super utilisateur, d'administrateur, ou de gestionnaire de projet pour exécuter ces tâches.

  • Gestion des applications, composants, versions et builds
    Décrit la création et l'organisation des applications, des composants d'application, des versions d'applications et des numéros de build des versions d'applications.
  • Profils de référentiel tiers
    Les profils de référentiel tiers permettent àSilk Central de s'intégrer à des systèmes de référentiel tiers externes. La définition de profils de référentiel tiers permet de spécifier l'emplacement dans lequel les serveurs d'exécution Silk Central doivent récupérer les sources des programmes en vue de l'exécution des tests.
  • Propriétés de Pas de Test
    Décrit comment utiliser les propriétés de pas de test pour ajouter des propriétés à un pas de test manuel.
  • Attributs
    Décrit le mode d'utilisation des attributs personnalisés afin de personnaliser les informations pour les tests et les plans d'exécution.
  • Sources de données pour les tests pilotés par les données
    Les tests pilotés par les données sont des tests dérivés des valeurs d'une source de données existante, par exemple une feuille de calcul ou une base de données. Les sources de données sont gérées dans un périmètre spécifique au projet.
  • Filtres
    Décrit le mode d'utilisation des filtres pour trouver précisément les informations dont vous avez besoin et exclure les détails non pertinents.
  • Modifier la Notification
    Décrit le mode de configuration de la notification par courriel si des exigences ou des tests sont modifiés par d'autres utilisateurs.
Sujet parent : Tests


Gestion des applications, composants, versions et builds

Silk Central permet de créer et d'organiser des applications, des composants d'application, des versions d'applications et des numéros de build des versions d'applications. Vous pouvez ensuite associer les spécifications des applications à des tests, et associer des versions et des builds à des plans d'exécution. Vous pouvez même importer des applications et des composants qui étaient définis précédemment dans Issue Manager.

  • Les composants sont des éléments d'applications discrets qui font l'objet d'un suivi séparé à des fins de test.
  • Les versions sont des releases d'applications qui font l'objet d'un suivi séparé à des fins de développement et de test.
  • Les builds sont des itérations de versions qui font l'objet d'un suivi séparé à des fins de développement et de test.

Silk Central permet également de configurer des désignations de plate-forme pour les tests, par exemple des systèmes d'exploitation. De même que pour la configuration d'applications, de versions et de builds, vous pouvez assigner des noms, des descriptions et l'état actif/inactif aux plates-formes.

  • Gestion des applications
    Décrit le mode de configuration des applications dans Silk Central.
  • Gestion des composants
    Décrit le mode de configuration des composants à l'intérieur des applications.
  • Gestion des versions
    Décrit le mode de configuration des versions à l'intérieur des applications.
  • Gestion des builds
    Décrit le mode de gestion des builds dans les versions.
  • Gestion des plates-formes
    Décrit le mode de configuration des plates-formes dans Silk Central .
Sujet parent : Configuration des paramètres de test et des intégrations
Sujet parent : Administration


Gestion des applications

Décrit le mode de configuration des applications dans Silk Central.

  • Ajout d'applications
    Ajoutez une nouvelle application pour l'associer à des tests.
  • Modification d'applications
    Modifiez une application existante.
  • Activation et désactivation des applications
    Décrit la façon d'activer ou de désactiver une application existante dans Silk Central.
  • Tri de la liste des applications
    Déplacez des applications vers le haut ou vers le bas dans la liste et triez celle-ci par ordre alphabétique.
  • Suppression d'applications
    Supprimez une application existante afin de la supprimer définitivement de la liste des applications.
  • Page de Configuration de l'Application
    Utilisez cette page pour configurer les applications, les composants, les versions et les builds.
Sujet parent : Gestion des applications, composants, versions et builds


Ajout d'applications

Pour ajouter une nouvelle application :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur Nouvelle Application. La boîte de dialogue Nouvelle Application s'affiche.
  4. Dans la zone de texte Nom, saisissez un nom pour la nouvelle application.
  5. Dans la zone de texte Description, saisissez une description de l'application.
  6. Cochez la case Actif pour que cette application soit disponible en vue d'une association avec les tests.
  7. Cliquez sur OK pour enregistrer l'application.
    Remarque : Lors de la création d'une application, Silk Central crée automatiquement une version 1.0 par défaut et un build 1 par défaut pour la nouvelle application.
Sujet parent : Gestion des applications


Modification d'applications

Pour modifier une application existante :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Dans la colonne Actions de l'application que vous souhaitez modifier, cliquez sur Modifier. La boîte de dialogue Modifier l'Application s'affiche.
  4. Apportez toutes les modifications requises au Nom, à la Description et à l'état Actif de l'application sélectionnée, puis cliquez sur OK.
Sujet parent : Gestion des applications


Activation et désactivation des applications

Pour activer ou désactiver une application existante :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur l'icône État associée à l'application que vous voulez activer ou désactiver. Une boîte de dialogue vous invitant à confirmer l'activation ou la désactivation s'affiche.
  4. Confirmez le message pour basculer l'état de l'application sur Actif ou Inactif.
Sujet parent : Gestion des applications
Sujet parent : Gestion des versions


Tri de la liste des applications

Pour déplacer une application vers le haut ou vers le bas dans la liste, ou pour trier la liste par ordre alphabétique :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Dans la colonne Actions de l'élément que vous souhaitez déplacer, cliquez sur Déplacer vers le Haut ou Déplacer vers le Bas.
  4. Pour trier les noms de la liste par ordre alphabétique, cliquez sur Trier par Nom.
Sujet parent : Gestion des applications


Suppression d'applications

Pour supprimer une application existante :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Désactivez l'application que vous souhaitez supprimer. Pour plus d'informations, reportez-vous à la rubrique Activation et désactivation des applications.
  4. Dans la colonne Actions de l'application que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  5. Cliquez sur Oui pour poursuivre la suppression ou sur Non pour l'abandonner.
Sujet parent : Gestion des applications
Tâches associées
Activation et désactivation des applications


Page de Configuration de l'Application

Administration > Applications, Versions et Builds > Applications

Utilisez cette page pour configurer les applications, les composants, les versions et les builds.

Cliquez sur Nouvelle Application pour créer une application. Cliquez sur Trier par Nom pour trier les noms des applications par ordre alphabétique.

Pour chaque application répertoriée, la page affiche les colonnes suivantes :

Colonne | Description
Actions Vous pouvez effectuer les actions suivantes sur une application :
Déplace l'application d'une ligne vers le haut dans la liste.
Déplace l'application d'une ligne vers le bas dans la liste.
Permet de modifier le nom, la description et l'état de l'application.
Supprime définitivement l'application. Les applications doivent être inactives avant que vous puissiez les supprimer ; en outre, la suppression n'est pas autorisée si une application est déjà associée à un test.
Nom | Nom de l'application, tel qu'il est affiché dans l'interface utilisateur et dans les rapports. Cliquez sur le nom d'une application pour en modifier les composants, les versions et les builds.
Description | Description textuelle de l'application.
Etat | État de l'application, Actif ou Inactif. Cliquez sur l'état pour basculer entre Actif et Inactif.
Créé le | Date de création de l'application.
Créé par | Utilisateur ayant créé l'application.

Pour une application sélectionnée, la page affiche les détails des composants, des versions et des builds inclus.

La page affiche les colonnes suivantes pour les composants de l'application :

Colonne | Description
Actions | Vous pouvez supprimer le composant dans cette colonne.
Nom | Nom du composant. Cliquez pour ouvrir la boîte de dialogue Modifier le Composant.
Description | Description du composant.
Créé le | Date de création du composant.
Créé par | Utilisateur ayant créé le composant.
Etat | État du composant. Actif ou Inactif. Cliquez pour basculer entre ces deux états.

Cliquez sur Nouveau Composant pour créer un composant. Cliquez sur Trier par Nom pour trier les noms des composants par ordre alphabétique. Cliquez sur Mettre à jour pour actualiser la liste des composants.

La page affiche les éléments suivants pour les versions de l'application :

Elément | Description
Actions | Vous pouvez supprimer la version dans cette colonne, ou la déplacer vers le haut ou vers le bas dans la liste.
Nom | Nom de la version. Cliquez pour ouvrir la boîte de dialogue Modifier la Version.
Description | Description de la version.
Créé le | Date de création de la version.
Créé par | Utilisateur ayant créé la version.
Etat | État de la version. Actif ou Inactif. Cliquez pour basculer entre ces deux états.

Cliquez sur Nouvelle Version pour créer une version. Cliquez sur Trier par Nom pour trier les noms des versions par ordre alphabétique.

La page affiche les éléments suivants pour les builds de l'application :

Elément | Description
Actions | Vous pouvez supprimer le build ou le marquer.
Nom | Nom du build. Cliquez pour ouvrir la boîte de dialogue Modifier le Build.
Description | Description du build.
Créé le | Date de création du build.
Créé par | Utilisateur ayant créé le build.
Etat | État du build. Actif ou Inactif. Cliquez pour basculer entre ces deux états.

Cliquez sur Nouveau Build pour créer un build. Cliquez sur Trier par Nom pour trier les noms des builds par ordre alphabétique. Cliquez sur Mettre à jour pour actualiser la liste des composants.

Remarque : Vous devez sélectionner une version spécifique dans la zone de liste Builds pour activer ces boutons.

Cliquez sur Retour pour revenir à la liste des applications.

Sujet parent : Gestion des applications


Gestion des composants

Les composants sont des éléments d'applications discrets qui font l'objet d'un suivi séparé à des fins de test.

  • Ajout de composants
    Ajoutez un nouveau composant pour en effectuer le suivi séparément lors du test d'une application.
  • Modification de composants
    Modifiez un composant existant appartenant à une application.
  • Activation et désactivation des composants
    Activez ou désactivez le composant existant d'une application.
  • Tri de la liste des composants
    Déplacez des composants vers le haut ou vers le bas dans la liste et triez celle-ci par ordre alphabétique.
  • Suppression de composants
    Supprimez un composant existant d'une application.
Sujet parent : Gestion des applications, composants, versions et builds


Ajout de composants

Pour ajouter un nouveau composant à une application :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Cliquez sur Nouveau Composant. La boîte de dialogue Nouveau Composant s'affiche.
  5. Dans la zone de texte Nom, saisissez un nom pour le nouveau composant.
  6. Dans la zone de texte Description, saisissez une description du composant.
  7. Sélectionnez le Type du composant. Les valeurs disponibles sont Software et Documentation.
  8. Cochez la case Actif pour que ce composant soit disponible en vue d'une association avec les applications.
  9. Cliquez sur OK pour enregistrer le composant ou sur Annuler pour abandonner l'opération.
Sujet parent : Gestion des composants


Modification de composants

Pour modifier un composant existant appartenant à une application :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Sélectionnez le composant que vous souhaitez modifier.
  5. La boîte de dialogue Modifier le Composant s'affiche, avec le Nom, la Description et l'état Actif du composant sélectionné. Apportez toutes les modifications requises, puis cliquez sur OK.
    Remarque : Le type d'un composant peut uniquement être modifié après avoir désactivé ce composant. Pour plus d'informations, reportez-vous à la rubrique Activation et désactivation des composants.
Sujet parent : Gestion des composants


Activation et désactivation des composants

Pour activer ou désactiver un composant existant :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Cliquez sur l'icône État associée au composant que vous voulez activer ou désactiver. Une boîte de dialogue vous invitant à confirmer l'activation ou la désactivation s'affiche.
  5. Confirmez le message pour basculer l'état du composant sur Actif ou Inactif.
Sujet parent : Gestion des composants


Tri de la liste des composants

Pour déplacer un composant vers le haut ou vers le bas dans la liste, ou pour trier la liste par ordre alphabétique :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Dans la zone de liste Type de Composant, sélectionnez le type de composant pour lequel vous voulez afficher les composants.
  5. Dans la colonne Actions de l'élément que vous souhaitez déplacer, cliquez sur Déplacer vers le Haut ou Déplacer vers le Bas.
  6. Pour trier les noms de la liste par ordre alphabétique, cliquez sur Trier par Nom.
Sujet parent : Gestion des composants


Suppression de composants

Pour supprimer un composant existant d'une application :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Désactivez le composant que vous souhaitez supprimer. Pour plus d'informations, reportez-vous à la rubrique Activation et désactivation des composants.
  5. Dans la colonne Actions du composant, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  6. Cliquez sur Oui pour poursuivre la suppression ou sur Non pour l'abandonner.
Sujet parent : Gestion des composants


Gestion des versions

Les versions sont des releases d'applications qui font l'objet d'un suivi séparé à des fins de développement et de test.

  • Ajout de versions
    Ajoutez une nouvelle version à une application afin d'effectuer le suivi séparé d'une release spécifique à des fins de développement et de test.
  • Modification de versions
    Modifiez une version existante figurant dans une application.
  • Activation et désactivation des applications
    Décrit la façon d'activer ou de désactiver une application existante dans Silk Central.
  • Tri de la liste des versions
    Déplacez des versions vers le haut ou vers le bas dans la liste et triez celle-ci par ordre alphabétique.
  • Suppression des versions
    Supprimez une version existante d'une application afin de la supprimer définitivement de la liste des versions.
Sujet parent : Gestion des applications, composants, versions et builds


Ajout de versions

Pour ajouter une nouvelle version à une application :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Cliquez sur Nouvelle Version. La boîte de dialogue Nouvelle Version s'affiche.
  5. Dans la zone de texte Nom, saisissez un nom pour la nouvelle version.
  6. Dans la zone de texte Description, saisissez une description de la version.
  7. Cochez la case Actif pour que cette version soit disponible en vue d'une association avec les applications.
  8. Cliquez sur OK pour enregistrer la version ou sur Annuler pour abandonner l'opération.
Sujet parent : Gestion des versions


Modification de versions

Pour modifier une version existante figurant dans une application :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Sélectionnez la version que vous souhaitez modifier. La boîte de dialogue Modifier la Version s'affiche.
  5. Apportez toutes les modifications requises au Nom, à la Description et à l'état Actif de la version sélectionnée, puis cliquez sur OK.
Sujet parent : Gestion des versions


Tri de la liste des versions

Pour déplacer une version vers le haut ou vers le bas dans la liste, ou pour trier la liste par ordre alphabétique :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Dans la colonne Actions de l'élément que vous souhaitez déplacer, cliquez sur Déplacer vers le Haut ou Déplacer vers le Bas.
  5. Pour trier les noms de la liste par ordre alphabétique, cliquez sur Trier par Nom.
Sujet parent : Gestion des versions


Suppression des versions

Pour supprimer une version existante d'une application :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Désactivez la version que vous souhaitez supprimer. Pour plus d'informations, reportez-vous à la rubrique Activation et désactivation des versions.
  5. Dans la colonne Actions de l'application que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  6. Cliquez sur Oui pour poursuivre la suppression ou sur Non pour l'abandonner.
Sujet parent : Gestion des versions


Gestion des builds

Les builds sont des itérations de versions qui font l'objet d'un suivi séparé à des fins de développement et de test.

  • Ajout de builds
    Ajoutez un nouveau build pour tester une itération spécifique d'une version.
  • Modification de builds
    Modifiez un build existant figurant dans une version.
  • Activation et désactivation des builds
    Activez ou désactivez le build existant d'une version.
  • Tri de la liste des builds
    Déplacez des builds vers le haut ou vers le bas dans la liste et triez celle-ci par ordre alphabétique.
  • Marquage de builds
    Le marquage vous permet d'identifier des exécutions de test spécifiques d'un build.
  • Suppression de builds
    Supprimez un build existant d'une version.
Sujet parent : Gestion des applications, composants, versions et builds


Ajout de builds

Pour ajouter un nouveau build à une version :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Dans la zone de liste Builds de la Version, sélectionnez la version pour laquelle vous voulez ajouter un build.
  5. Cliquez sur Nouveau Build. La boîte de dialogue Nouveau Build s'affiche.
  6. Dans la zone de texte Nom, saisissez un nom pour le nouveau build.
  7. Dans la zone de texte Description, saisissez une description du build.
  8. Cochez la case Actif pour que ce build soit disponible en vue d'une association avec les versions.
  9. Cliquez sur OK pour enregistrer le build ou sur Annuler pour abandonner l'opération.
Sujet parent : Gestion des builds


Modification de builds

Pour modifier un build existant figurant dans une version :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Sélectionnez le build que vous souhaitez modifier.
  5. La boîte de dialogue Modifier le Build s'affiche, détaillant le Nom, la Description et l'état Actif du build sélectionné. Apportez toutes les modifications requises, puis cliquez sur OK.
  6. Cochez la case Marqué pour marquer le build.
Sujet parent : Gestion des builds


Activation et désactivation des builds

Pour activer ou désactiver un build existant :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Cliquez sur l'icône État associée au build que vous voulez activer ou désactiver. Une boîte de dialogue vous invitant à confirmer l'activation ou la désactivation s'affiche.
  5. Confirmez le message pour basculer l'état du build sur Actif ou Inactif.
Sujet parent : Gestion des builds


Tri de la liste des builds

Pour déplacer un build vers le haut ou vers le bas dans la liste, ou pour trier la liste par ordre alphabétique :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Dans la zone de liste Builds de la Version, sélectionnez la version pour laquelle vous voulez consulter les builds.
  5. Dans la colonne Actions de l'élément que vous souhaitez déplacer, cliquez sur Déplacer vers le Haut ou Déplacer vers le Bas.
  6. Pour trier les noms de la liste par ordre alphabétique, cliquez sur Trier par Nom.
Sujet parent : Gestion des builds


Marquage de builds

Vous pouvez supprimer les exécutions de builds marqués. Si la sélection d'exécutions que vous tentez de supprimer contient des builds marqués, vous recevez un avertissement et devez confirmer l'action. Les builds marqués ne sont pas supprimés si vous effectuez une suppression en volume (ou pour un intervalle de temps spécifique) en cliquant avec le bouton droit sur le nœud d'exécution.

Pour marquer un build existant :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Dans la section Builds, cliquez sur Marquer le build dans la colonne Actions du build que vous souhaitez marquer. Une boîte de dialogue de confirmation s'affiche.
  5. Cliquez sur Oui pour poursuivre le marquage ou sur Non pour l'abandonner.
Sujet parent : Gestion des builds


Suppression de builds

Pour supprimer un build existant d'une version :
  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Applications. La page Applications qui s'affiche répertorie toutes les applications existantes.
  3. Cliquez sur le nom d'une application. La page Détails de l'application relative à l'application s'ouvre.
  4. Désactivez le build que vous souhaitez supprimer. Pour plus d'informations, reportez-vous à la rubrique Activation et désactivation des builds.
  5. Dans la colonne Actions du build, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  6. Cliquez sur Oui pour poursuivre la suppression ou sur Non pour l'abandonner.
Sujet parent : Gestion des builds


Gestion des plates-formes

Configurez des désignations de plate-forme pour les test , par exemple des systèmes d'exploitation. De même que pour la configuration d'applications, de versions et de builds, vous pouvez assigner des noms, des descriptions et l'état actif/inactif aux plates-formes.

  • Ajout de plates-formes
    Ajoutez une désignation de nouvelle plate-forme pour les tests.
  • Modification de plates-formes
    Modifiez une plate-forme existante.
  • Activation et désactivation des plates-formes
    Activez ou désactivez une plate-forme existante dans Silk Central.
  • Tri de la liste des plates-formes
    Déplacez des plates-formes vers le haut ou vers le bas dans la liste et triez celle-ci par ordre alphabétique.
  • Suppression de plates-formes
    Supprimez une plate-forme existante afin de la supprimer définitivement de la liste des plates-formes.
  • Page de Configuration de la Plate-Forme
    Utilisez cette page pour configurer des plates-formes.
Sujet parent : Gestion des applications, composants, versions et builds


Ajout de plates-formes

Pour ajouter une nouvelle plate-forme :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Plates-Formes. La page Plates-Formes qui s'affiche répertorie toutes les plates-formes existantes.
  3. Cliquez sur Nouvelle Plate-Forme. La boîte de dialogue Nouvelle Plate-Forme s'affiche.
  4. Dans la zone de texte Nom, saisissez un nom pour la nouvelle plate-forme.
  5. Dans la zone de texte Description, saisissez une description de la plate-forme.
  6. Cochez la case Actif pour que cette plate-forme soit disponible en vue d'une association avec les tests.
  7. Cliquez sur OK pour enregistrer la plate-forme.
Sujet parent : Gestion des plates-formes


Modification de plates-formes

Pour modifier une plate-forme existante :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Plates-Formes. La page Plates-Formes qui s'affiche répertorie toutes les plates-formes existantes.
  3. Dans la colonne Actions de la plate-forme que vous souhaitez modifier, cliquez sur Modifier.
  4. La boîte de dialogue Modifier la Plate-Forme s'affiche, avec le Nom, la Description et l'état Actif de la plate-forme sélectionnée. Apportez toutes les modifications requises, puis cliquez sur OK.
Sujet parent : Gestion des plates-formes


Activation et désactivation des plates-formes

Remarque : Les plates-formes associées à un test ne peuvent pas être désactivées.

Pour activer ou désactiver une plate-forme existante :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Plates-Formes. La page Plates-Formes qui s'affiche répertorie toutes les plates-formes existantes.
  3. Cliquez sur l'icône État associée à la plate-forme que vous voulez activer ou désactiver. Une boîte de dialogue vous invitant à confirmer l'activation ou la désactivation s'affiche.
  4. Confirmez le message pour basculer l'état de la plate-forme sur Actif ou Inactif.
Sujet parent : Gestion des plates-formes


Tri de la liste des plates-formes

Pour déplacer une plate-forme vers le haut ou vers le bas dans la liste, ou pour trier la liste par ordre alphabétique :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Plates-Formes. La page Plates-Formes qui s'affiche répertorie toutes les plates-formes existantes.
  3. Dans la colonne Actions de l'élément que vous souhaitez déplacer, cliquez sur Déplacer vers le Haut ou Déplacer vers le Bas.
  4. Pour trier les noms de la liste des plates-formes par ordre alphabétique, cliquez sur Trier par Nom.
Sujet parent : Gestion des plates-formes


Suppression de plates-formes

Pour supprimer une plate-forme existante :

  1. Dans le menu, cliquez sur Administration > Applications, Versions et Builds.
  2. Cliquez sur l'onglet Plates-Formes. La page Plates-Formes qui s'affiche répertorie toutes les plates-formes existantes.
  3. Désactivez la plate-forme que vous souhaitez supprimer. Pour plus d'informations, reportez-vous à la rubrique Activation et désactivation des plates-formes.
  4. Dans la colonne Actions de la plate-forme que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  5. Cliquez sur Oui pour poursuivre la suppression ou sur Non pour l'abandonner.
Sujet parent : Gestion des plates-formes
Tâches associées
Activation et désactivation des plates-formes


Page de Configuration de la Plate-Forme

Administration > Plates-formes

Utilisez cette page pour configurer des plates-formes.

Pour créer une plate-forme, cliquez sur Nouvelle Plate-Forme. Pour plus d'informations, reportez-vous à la rubrique Ajout de plates-formes.

Pour trier les noms de la liste des plates-formes par ordre alphabétique, cliquez sur Trier par Nom. Pour plus d'informations, reportez-vous à la rubrique Tri de la liste des plates-formes.

Pour chaque plate-forme répertoriée, la page affiche les colonnes suivantes :

Colonnes | Description
Actions L'utilisateur peut effectuer les actions suivantes sur une plate-forme :
Déplace la plate-forme d'une ligne vers le haut dans la liste.
Déplace la plate-forme d'une ligne vers le bas dans la liste.
Supprime définitivement la plate-forme. Les plates-formes doivent être inactives avant que vous puissiez les supprimer ; en outre, la suppression n'est pas autorisée si une plate-forme est déjà associée à un test.
Nom | Nom de la plate-forme, tel qu'il est affiché dans l'interface utilisateur et dans les rapports. Cliquez sur le nom d'une plate-forme pour en modifier le nom, la description et l'état.
Description | Description textuelle de la plate-forme.
Etat | État de la plate-forme, Actif ou Inactif. Cliquez sur l'état pour basculer entre Actif et Inactif.
Créé le | Date de création de la plate-forme.
Créé par | Utilisateur ayant créé la plate-forme.
Sujet parent : Gestion des plates-formes
Tâches associées
Ajout de plates-formes
Tri de la liste des plates-formes


Profils de référentiel tiers

Les profils de référentiel tiers permettent àSilk Central de s'intégrer à des systèmes de référentiel tiers externes. La définition de profils de référentiel tiers permet de spécifier l'emplacement dans lequel les serveurs d'exécution Silk Central doivent récupérer les sources des programmes en vue de l'exécution des tests.

Vous devez disposer du double de la quantité d'espace disque disponible sur le serveur d'exécution pour héberger les fichiers source, car Silk Central vérifie l'arborescence des référentiels tiers, puis génère un répertoire de travail contenant les fichiers source exécutables.

Des systèmes de référentiel tiers supplémentaires peuvent être configurés par l'installation d'un plug-in personnalisé. Pour des informations détaillées, reportez-vous à l'aide de l'API Silk Central . Les systèmes de référentiel tiers suivants sont pris en charge par Silk Central et exploitables en l'état :

  • AccuRev
    Décrit le mode de configuration des profils de référentiel tiers AccuRev.
  • Apache Commons Virtual File System (VFS)
    Décrit la configuration des profils de référentiel tiers VFS.
  • Git
    Décrit le mode de configuration des profils de référentiel tiers Git.
  • Microsoft Team Foundation Server
    Décrit la configuration des profils de référentiel tiers Team Foundation Server.
  • Silk Test Workbench
    Décrit le mode de configuration des profils de référentiel tiers Silk Test Workbench.
  • StarTeam
    Décrit le mode de configuration des profils de référentiel tiers StarTeam.
  • Subversion
    Décrit le mode de configuration des profils de référentiel tiers Subversion.
  • SilkTestPartner
    Décrit le mode de configuration des profils de référentiel tiers TestPartner.
  • Universal Naming Convention
    Décrit le mode de configuration des profils de référentiel tiers Universal Naming Convention.
  • Suppression de profils de référentiel tiers
    Supprimez un profil de référentiel tiers existant lorsqu'il n'est plus requis.
  • Page Profils de Référentiels Tiers
    Répertorie tous les profils de suivi d'incidents qui sont configurés pour l'intégration de systèmes de référentiel tiers externes dans Silk Central .
Sujet parent : Configuration des paramètres de test et des intégrations
Sujet parent : Paramètres de Projet
Concepts associés
Aide de l'API Silk Central


AccuRev

Cette section décrit le mode de configuration des profils de référentiel tiers de AccuRev.

AccuRev est un outil de gestion de configuration logicielle doté d'une architecture basée sur des flux qui prend en charge les environnements de développement complexes, aussi bien parallèles que distribués, pour vous aider à accélérer votre processus de développement et à améliorer la réutilisation de vos actifs.

Les versions de AccuRev actuellement prises en charge pour l’intégration avec Silk Central sont les suivantes : AccuRev 6.2

  • Ajout de profils de référentiel tiers AccuRev
    Créez un profil de référentiel tiers AccuRev pour récupérer les sources des programmes en vue de l'exécution des tests à partir de AccuRev.
  • Modification de profils de référentiel tiers AccuRev
    Modifiez un profil de référentiel tiers AccuRev existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers AccuRev

Pour créer un profil de référentiel tiers AccuRev :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Référentiel Tiers.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez AccuRev.
  6. Saisissez un AccuRev Nom d'utilisateur et un Mot de passe valides.
  7. Indiquez le nom du serveur AccuRev auquel vous voulez accéder. Si vous n'utilisez pas le port par défaut de AccuRev, saisissez <nom du serveur>:<numéro de port>.
  8. Entrez le nom du Flux AccuRev, par exemple flux de secours.
  9. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  10. Indiquez le Répertoire de Projet que ce profil doit utiliser. Cliquez sur Parcourir pour afficher la boîte de dialogue Sélectionner le répertoire du projet. La boîte de dialogue Sélectionner le répertoire du projet s'ouvre. Sélectionnez le répertoire de projet souhaité dans la vue arborescente et cliquez sur OK. Si vous laissez ce champ vide, le répertoire de projet correspond au répertoire racine.
  11. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : AccuRev


Modification de profils de référentiel tiers AccuRev

Pour modifier un profil de référentiel tiers AccuRev :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre référentiel.
  6. Modifiez le nom du serveur AccuRev auquel vous voulez accéder. Si vous n'utilisez pas le port par défaut de AccuRev, saisissez <nom du serveur>:<numéro de port>.
  7. Modifiez le nom du Flux AccuRev, par exemple flux de secours.
  8. Facultatif : Modifiez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central copie les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  9. Modifiez le Répertoire de Projet que ce profil doit utiliser.
  10. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : AccuRev


Apache Commons Virtual File System (VFS)

Cette section décrit la configuration des profils de référentiel tiers Virtual File System (VFS).

Un VFS correspond à une couche d'abstraction reposant sur un système de fichiers plus concret. Un VFS a pour objet de permettre aux applications clientes d'accéder à différents types de systèmes de fichiers concrets de façon uniforme. Apache Commons VFS propose une API unique pour accéder à différents systèmes de fichiers. Il présente une vue uniforme des fichiers issus de diverses sources. Les protocoles actuellement pris en charge pour VFS par Silk Central sont les suivants :

Protocole
Description
HTTP
Copie le fichier spécifié. Ce type de protocole est aussi pris en charge pour la copie et la décompression de fichiers ZIP, JAR ou d'autres formats similaires. Sur un serveur HTTP, la spécification d'un fichier .zip est requise. Par exemple : zip:http://myTestServer/myTests.zip. Le fichier .zip sera extrait sur le serveur d'exécution.
FTP
Copie le fichier spécifié. Ce type de protocole est aussi pris en charge pour la copie et la décompression de fichiers ZIP, JAR ou d'autres formats similaires.
SMB
Server Message Block (SMB) copie tous les fichiers et dossiers. Ce protocole peut être utilisé à la place d'un profil UNC. Par exemple, le chemin SMB VFS smb://server-name/shared-resource-path équivaut au chemin UNC \\server-name\shared-resource-path.
Remarque : Lorsque vous créez un test ProcessExecutor qui utilise VFS en tant que référentiel tiers, vous devez spécifier le chemin complet vers l'exécutable dans la zone de texte Nom de l'Exécutable.
  • Ajout de profils de référentiel tiers VFS
    Créez un profil de référentiel tiers VFS pour récupérer les sources des programmes en vue de l'exécution des tests depuis VFS.
  • Modification de profils de référentiel tiers VFS
    Modifiez un profil de référentiel tiers VFS existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers VFS

Pour créer un profil de référentiel tiers VFS :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Référentiel Tiers.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez VFS.
  6. Saisissez l'URL du Référentiel VFS auquel vous voulez accéder. Ce champ est sensible à la casse. Spécifiez le type de protocole approprié dans l'URL :
    FTP
    ftp://<URL de serveur FTP>
    HTTP
    http://<URL de serveur HTTP>
    SMB
    smb://<URL de serveur Samba>
    Remarque : Les formats HTTP, FTP et SMB sont aussi pris en charge pour les fichiers compressés. Pour pointer vers un fichier compressé, l'URL doit être ajustée au format <type de fichier compressé>:<protocole>://<URL du serveur pointant vers le fichier compressé> pour inclure le type du fichier compressé. Par exemple, zip:http://193.80.200.135/<chemin>/archive.zip ou jar:http://193.80.200.135/<chemin>/archive.jar.
  7. Saisissez un Nom d'utilisateur et un Mot de passe VFS valides. Ces données d'authentification serviront à accéder à votre référentiel VFS. Le protocole SMB permet d'inclure le nom de domaine dans le nom d'utilisateur en appliquant le format suivant : domain/username.
  8. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  9. Indiquez le Répertoire de Projet que ce profil doit utiliser. Cliquez sur Parcourir pour afficher la boîte de dialogue Sélectionner le répertoire du projet. La boîte de dialogue Sélectionner le répertoire du projet s'ouvre. Sélectionnez le répertoire de projet souhaité dans la vue arborescente et cliquez sur OK. Si vous laissez ce champ vide, le répertoire de projet correspond au répertoire racine.
  10. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : Apache Commons Virtual File System (VFS)


Modification de profils de référentiel tiers VFS

Pour modifier un profil de référentiel tiers VFS :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Modifiez l'URL du Référentiel VFS auquel vous souhaitez accéder.
    Remarque : Ce champ est sensible à la casse.
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre référentiel.
  7. Facultatif : Modifiez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central copie les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  8. Modifiez le Répertoire de Projet que ce profil doit utiliser.
  9. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : Apache Commons Virtual File System (VFS)


Git

Cette section décrit le mode de configuration des profils de référentiel tiers de Git.

Git est un système distribué de contrôle de version et de gestion de code source (SCM) qui met l'accent sur la vitesse. Chaque répertoire de travail de Git est un référentiel à part entière, avec des possibilités complètes d'historique et de suivi de version, qui ne dépend ni d'un accès réseau, ni d'un serveur central.

  • Ajout de profils de référentiel tiers Git
    Créez un profil de référentiel tiers Git pour récupérer les sources des programmes en vue de l'exécution des tests à partir de Git.
  • Modification de profils de référentiel tiers Git
    Modifiez un profil de référentiel tiers Git existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers Git

Pour créer un profil de référentiel tiers Git :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Référentiel Tiers.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez Git.
  6. Saisissez l'URL du GitRéférentiel auquel vous voulez accéder.
    Remarque : Ce champ est sensible à la casse.
  7. Saisissez un Git Nom d'utilisateur et un Mot de passe valides.
  8. Facultatif : Spécifier une branche pour extraire une branche spécifique. Laissez ce champ vide pour extraire la branche principale.
  9. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  10. Indiquez le Répertoire de Projet que ce profil doit utiliser. Cliquez sur Parcourir pour afficher la boîte de dialogue Sélectionner le répertoire du projet. La boîte de dialogue Sélectionner le répertoire du projet s'ouvre. Sélectionnez le répertoire de projet souhaité dans la vue arborescente et cliquez sur OK. Si vous laissez ce champ vide, le répertoire de projet correspond au répertoire racine.
  11. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Conseil : Si vous souhaitez extraire une branche spécifique de votre référentiel pour un plan d'exécution spécifique, spécifiez le nom de la branche dans le champ Libellé du contrôle source du plan d’exécution concerné. Pour plus d’informations, reportez-vous à la rubrique Création de plans d'exécution. Cela remplacera la branche spécifiée dans le profil de contrôle source Git.
Sujet parent : Git
Tâches associées
Création de plans d'exécution


Modification de profils de référentiel tiers Git

Pour modifier un profil de référentiel tiers Git :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Saisissez l'URL du GitRéférentiel auquel vous voulez accéder.
    Remarque : Ce champ est sensible à la casse.
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre référentiel.
  7. Facultatif : Spécifier une branche pour extraire une branche spécifique. Laissez ce champ vide pour extraire la branche principale.
  8. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  9. Indiquez le Répertoire de Projet que ce profil doit utiliser. Cliquez sur Parcourir pour afficher la boîte de dialogue Sélectionner le répertoire du projet. La boîte de dialogue Sélectionner le répertoire du projet s'ouvre. Sélectionnez le répertoire de projet souhaité dans la vue arborescente et cliquez sur OK. Si vous laissez ce champ vide, le répertoire de projet correspond au répertoire racine.
  10. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Conseil : Si vous souhaitez extraire une branche spécifique de votre référentiel pour un plan d'exécution spécifique, spécifiez le nom de la branche dans le champ Libellé du contrôle source du plan d’exécution concerné. Pour plus d’informations, reportez-vous à la rubrique Création de plans d'exécution. Cela remplacera la branche spécifiée dans le profil de contrôle source Git.
Sujet parent : Git
Tâches associées
Création de plans d'exécution


Microsoft Team Foundation Server

Cette section décrit la configuration des profils de référentiel tiers Team Foundation Server (TFS).

Les versions TFS actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : Team Foundation Server 2015, 2017

Remarque : Pour ajouter un profil de référentiel tiers TFS, vous devez installer le client de ligne de commande Microsoft Visual Studio Team Explorer Everywhere 2015 (version anglaise) sur le serveur de présentation et chaque serveur d'exécution, sur lesquels vous voulez utiliser le profil de référentiel tiers. Vous pouvez télécharger le client de ligne de commande à partir du site du référentiel GitHub de Microsoft Vous devez exécuter Team Explorer Everywhere et accepter le contrat de licence pour que l'intégration fonctionne. Pour plus d'informations, reportez-vous à cet article de la base de connaissances.
  • Ajout de profils de référentiel tiers TFS
    Créez un profil de référentiel tiers TFS pour récupérer les sources des programmes en vue de l'exécution des tests depuis TFS.
  • Modification de profils de référentiel tiers TFS
    Modifiez un profil de référentiel tiers TFS existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers TFS

Pour ajouter un profil de référentiel tiers TFS, vous devez installer le client de ligne de commande Microsoft Visual Studio Team Explorer Everywhere 2015 (version anglaise) sur le serveur de présentation et chaque serveur d'exécution, sur lesquels vous voulez utiliser le profil de référentiel tiers. Vous pouvez télécharger le client de ligne de commande à partir du site du référentiel GitHub de Microsoft Vous devez exécuter Team Explorer Everywhere et accepter le contrat de licence pour que l'intégration fonctionne. Pour plus d'informations, reportez-vous à cet article de la base de connaissances.

Pour créer un profil de référentiel tiers TFS :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Référentiel Tiers.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez Team Foundation Server.
  6. Saisissez l'URL de votre installation TFS. Par exemple, http://serveurtfs:8080/tfs.
  7. Saisissez le Domaine de l'utilisateur TFS.
  8. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder à votre référentiel.
  9. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  10. Indiquez le Répertoire de Projet que ce profil doit utiliser. Cliquez sur Parcourir pour afficher la boîte de dialogue Sélectionner le répertoire du projet. La boîte de dialogue Sélectionner le répertoire du projet s'ouvre. Sélectionnez le répertoire de projet souhaité dans la vue arborescente et cliquez sur OK. Si vous laissez ce champ vide, le répertoire de projet correspond au répertoire racine.
  11. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : Microsoft Team Foundation Server


Modification de profils de référentiel tiers TFS

Pour ajouter un profil de référentiel tiers TFS, vous devez installer le client de ligne de commande Microsoft Visual Studio Team Explorer Everywhere 2015 (version anglaise) sur le serveur de présentation et chaque serveur d'exécution, sur lesquels vous voulez utiliser le profil de référentiel tiers. Vous pouvez télécharger le client de ligne de commande à partir du site du référentiel GitHub de Microsoft Vous devez exécuter Team Explorer Everywhere et accepter le contrat de licence pour que l'intégration fonctionne. Pour plus d'informations, reportez-vous à cet article de la base de connaissances.

Pour modifier un profil de référentiel tiers TFS :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Modifiez l'URL du Référentiel TFS auquel vous souhaitez accéder.
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre référentiel.
  7. Facultatif : Modifiez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central copie les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  8. Modifiez le Répertoire de Projet que ce profil doit utiliser.
  9. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : Microsoft Team Foundation Server


Silk Test Workbench

Cette section décrit le mode de configuration des profils de référentiel tiers de Silk Test Workbench.

Silk Test Workbench est un outil de test automatisé qui accélère le test fonctionnel des applications complexes. Silk Test Workbench propose une prise en charge des applications de test développées dans une large palette d'outils de développement : Java, .NET, applications Web basées sur navigateur et composants COM notamment (y compris des contrôles ActiveX et des objets d'automatisation). Grâce à Silk Test Workbench, vous pouvez enregistrer les sessions utilisateur avec vos applications pour créer des tests, développer un test en ajoutant une logique de test et de validation, puis lire les tests afin de vérifier que les applications fonctionnent comme prévu.

Remarque : Pour ajouter un profil de référentiel tiers Silk Test Workbench, le client Silk Test Workbench doit être installé sur tous les serveurs d'exécution sur lesquels vous voulez utiliser le profil de référentiel tiers.
  • Ajout de profils de référentiel tiers Silk Test Workbench
    Créez un profil de référentiel tiers Silk Test Workbench pour récupérer les sources des programmes en vue de l'exécution des tests à partir de Silk Test Workbench.
  • Modification de profils de référentiel tiers Silk Test Workbench
    Modifiez un profil de référentiel tiers Silk Test Workbench existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers Silk Test Workbench

Pour créer un profil de référentiel tiers Silk Test Workbench :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Suivi d'Incidents.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez Test Silk Test Workbench.
  6. Dans la zone de liste Type de base de données, sélectionnez une base de données de type SQL Server ou Oracle.
    Remarque : Les bases de données de type Microsoft Office Access ne sont pas prises en charge. Lorsque vous vous connectez à une base de données Oracle Silk Test Workbench, il existe une exigence Silk Test Workbench qui implique que le nom TNS soit identique au nom du serveur hôte.
  7. Dans la zone de texte Serveur de base de données, saisissez le nom du serveur de bases de données Silk Test Workbench.
  8. Dans la zone de texte Nom de la base de données, saisissez le nom de la base de données Silk Test Workbench.
  9. Dans la zone de texte Port de la base de données, saisissez le numéro de port du serveur de bases de données Silk Test Workbench.
  10. Dans la zone de texte Nom du schéma/propriétaire de la base de données, saisissez le nom du propriétaire ou du schéma de la base de données Silk Test Workbench.
  11. Dans la zone de texte Utilisateur de la base de données, saisissez le nom de l'utilisateur de la base de données.
  12. Dans la zone de texte Mot de passe de base de données, saisissez le mot de passe de l'utilisateur de la base de données.
  13. Facultatif : Saisissez le nom et le mot de passe d'un utilisateur Silk Test Workbench valide dans les champs Nom d'utilisateur Silk Test Workbench et Mot de passe Silk Test Workbench. Si ces champs sont laissés vides, l'utilisateur Windows qui exécute le service du serveur d'exécution est utilisé.
  14. Cliquez sur Récupérer. Tous les projets sont répertoriés dans la liste Projets.
  15. Sélectionnez un ou plusieurs projets.
  16. Cliquez sur OK.
Sujet parent : Silk Test Workbench


Modification de profils de référentiel tiers Silk Test Workbench

Pour modifier un profil de référentiel tiers Silk Test Workbench :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Modifiez le Type de base de données Silk Test Workbench.
    Remarque : Les bases de données de type Microsoft Office Access ne sont pas prises en charge.
  6. Modifiez les autres paramètres en fonction de vos besoins.
  7. Cliquez sur OK.
Sujet parent : Silk Test Workbench


StarTeam

Cette section décrit le mode de configuration des profils de référentiel tiers de StarTeam.

StarTeam encourage la communication et la collaboration entre les équipes grâce au contrôle centralisé de tous les éléments du projet. L'accès protégé mais souple garantit que les membres de l'équipe peuvent travailler quand et comme cela leur convient grâce à une vaste palette de clients Web, de bureau, IDE et de ligne de commande. StarTeam offre une solution complète exclusive qui intègre la gestion des exigences et des changements, le suivi des anomalies et des versions de fichiers, les threads de discussion, ainsi que la gestion de projets et de tâches.

Les versions de StarTeam actuellement prises en charge pour l’intégration avec Silk Central sont les suivantes : StarTeam 15.x, 16.x

  • Ajout de profils de référentiel tiers StarTeam
    Créez un profil de référentiel tiers StarTeam pour récupérer les sources des programmes en vue de l'exécution des tests à partir de StarTeam.
  • Modification de profils de référentiel tiers StarTeam
    Modifiez un profil de référentiel tiers StarTeam existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers StarTeam

Pour créer un profil de référentiel tiers StarTeam :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Référentiel Tiers.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez StarTeam.
  6. Saisissez le Nom d'hôte de votre serveur StarTeam.
  7. Saisissez le Port qui doit être utilisé pour la connexion au serveur StarTeam. Si le port n'est pas modifié, utilisez le port par défaut 49201.
  8. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder à votre référentiel.
  9. Indiquez si le profil prend en charge l'Encryptage.
  10. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  11. Indiquez le Répertoire de Projet que ce profil doit utiliser. Cliquez sur Parcourir pour afficher la boîte de dialogue Sélectionner le répertoire du projet. La boîte de dialogue Sélectionner le répertoire du projet s'ouvre. Sélectionnez le répertoire de projet souhaité dans la vue arborescente et cliquez sur OK. Si vous laissez ce champ vide, le répertoire de projet correspond au répertoire racine.
  12. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : StarTeam


Modification de profils de référentiel tiers StarTeam

Pour modifier un profil de référentiel tiers StarTeam :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Choisissez l'une des options suivantes :
    • Modifiez le Nom d'hôte de votre serveur StarTeam.
    • Modifiez le port qui doit être utilisé pour la connexion au serveur StarTeam. Si le port n'est pas modifié, utilisez le port par défaut 49201.
    • Indiquez si le profil prend en charge l'Encryptage.
  6. Modifiez le Répertoire de Projet que ce profil doit utiliser.
  7. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre référentiel.
  8. Facultatif : Modifiez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central copie les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  9. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : StarTeam


Subversion

Cette section explique comment configurer les profils de référentiel tiers Subversion (SVN).

Le profil Subversion (SVN) succède au profil Concurrent Versions System (CVS). Subversion gère les versions à l'aide de numéros de transaction. À chaque validation, le numéro de transaction est augmenté de façon incrémentielle.

Ce que les autres systèmes de référentiel tiers nomment libellés est nommé balises dans Subversion. Ces balises sont codées dans l'URL de Subversion. Par exemple, http://MyHost/svn/MyApp/trunk est une URL Subversion et http://MyHost/svn/MyApp/tags/build1012 est une balise Subversion.

Silk Central prend en charge les balises Subversion. Si une URL Subversion inclut le répertoire trunk, vous pouvez définir un libellé tags/build1012. Ce libellé remplace trunk dans l'URL Subversion.

Remarque : Si une URL Subversion n'inclut pas trunk et que vous définissez un libellé, Silk Central renvoie une erreur.
  • Ajout de profils de référentiel tiers Subversion
    Créez un profil de référentiel tiers Subversion pour récupérer les sources des programmes en vue de l'exécution des tests depuis Subversion.
  • Modification de profils de référentiel tiers Subversion
    Modifiez un profil de référentiel tiers Subversion existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers Subversion

Pour créer un profil de référentiel tiers Subversion :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Référentiel Tiers.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez Subversion.
  6. Saisissez l'URL du Référentiel Subversion auquel vous voulez accéder.
    Si vous ne connaissez pas l'URL du référentiel, contactez votre administrateur Subversion.
    Remarque : Pour utiliser SSH, ajoutez ssh à l'URL (par exemple svn+ssh://<hostname>:<port>).
  7. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder à votre référentiel.
  8. Saisissez un Nom d'utilisateur SSH et un Mot de passe SSH ou un Fichier de clé SSH. Ces données d'authentification sont utilisées pour l'accès au serveur SSH. Le mot de passe remplace le fichier de clés ; par conséquent, si vous disposez seulement d'un fichier de clés, ne complétez pas le champ Mot de passe SSH. Si vous utilisez un fichier de clé, le chemin de ce fichier doit être valide sur chaque serveur d'exécution qui utilise le profil de référentiel tiers.
  9. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  10. Indiquez le Répertoire de Projet que ce profil doit utiliser. Cliquez sur Parcourir pour afficher la boîte de dialogue Sélectionner le répertoire du projet. La boîte de dialogue Sélectionner le répertoire du projet s'ouvre. Sélectionnez le répertoire de projet souhaité dans la vue arborescente et cliquez sur OK. Si vous laissez ce champ vide, le répertoire de projet correspond au répertoire racine.
  11. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : Subversion


Modification de profils de référentiel tiers Subversion

Pour modifier un profil de référentiel tiers Subversion :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Modifiez l'URL du référentiel Subversion auquel vous voulez accéder. Si vous ne connaissez pas l'URL du référentiel, contactez votre administrateur Subversion.
    Remarque : Si vous ne parvenez pas à extraire les fichiers, lors de la modification de l'URL du Référentiel Subversion, supprimez le répertoire de mise en miroir de référentiels tiers sur votre serveur d'exécution. Par exemple, C:\ProgramData\SilkCentral\SrcCtrlMirrors.
    Remarque : Pour utiliser SSH, ajoutez ssh à l'URL (par exemple svn+ssh://<hostname>:<port>).
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre référentiel.
  7. Saisissez un Nom d'utilisateur SSH et un Mot de passe SSH ou un Fichier de clé SSH. Ces données d'authentification sont utilisées pour l'accès au serveur SSH. Le mot de passe remplace le fichier de clés ; par conséquent, si vous disposez seulement d'un fichier de clés, ne complétez pas le champ Mot de passe SSH. Si vous utilisez un fichier de clé, le chemin de ce fichier doit être valide sur chaque serveur d'exécution qui utilise le profil de référentiel tiers.
  8. Facultatif : Modifiez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central copie les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir.
  9. Modifiez le Répertoire de Projet que ce profil doit utiliser.
  10. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : Subversion


SilkTestPartner

Cette section décrit le mode de configuration des profils de référentiel tiers de TestPartner.

TestPartner est un produit Micro Focus qui teste des applications Web et Microsoft Windows utilisant des technologies Microsoft. TestPartner enregistre les actions de l'utilisateur pour produire rapidement de puissants tests. Chaque test enregistré s'affiche sous la forme d'une série d'actions claires et concises facilement compréhensibles par tous les testeurs, qu'ils soient débutants ou confirmés. Vous pouvez enregistrer les sessions utilisateur avec l'application, ajouter des fonctions de validation et relancer ultérieurement la lecture des sessions pour vous assurer que l'application fonctionne comme prévu.

Remarque : Pour ajouter un profil de référentiel tiers TestPartner , le client TestPartner doit être installé sur tous les serveurs d'exécution sur lesquels vous voulez utiliser le profil de référentiel tiers.
  • Ajout de profils de référentiel tiers TestPartner
    Créez un profil de référentiel tiers TestPartner pour récupérer les sources des programmes en vue de l'exécution des tests à partir de TestPartner.
  • Modification de profils de référentiel tiers TestPartner
    Modifiez un profil de référentiel tiers TestPartner existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers TestPartner

Pour créer un profil de référentiel tiers TestPartner :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Référentiel Tiers.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez TestPartner.
    Remarque : Lorsque vous vous connectez à une base de données Oracle TestPartner, il existe une exigence TestPartner qui implique que le nom TNS soit identique au nom du serveur hôte.
  6. Dans la zone de liste Type de base de données, sélectionnez une base de données de type SQL Server ou Oracle.
  7. Dans le champ Serveur de base de données, saisissez le nom du serveur de bases de données.
  8. Dans la zone de texte Nom de la base de données, saisissez le nom de la base de données.
  9. Dans la zone de texte Port de la base de données, saisissez le numéro de port du serveur de bases de données.
  10. Dans la zone de texte Nom du schéma/propriétaire de la base de données, saisissez le nom du propriétaire ou du schéma de la base de données.
  11. Dans la zone de texte Utilisateur de la base de données, saisissez le nom de l'utilisateur de la base de données.
  12. Dans la zone de texte Mot de passe de base de données, saisissez le mot de passe de l'utilisateur de la base de données.
  13. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder à votre référentiel.
  14. Utilisez la zone de texte Répertoire de projet pour filtrer les scripts de la base de données qui sont disponibles pour être utilisés en tant que tests. Cliquez sur Parcourir pour afficher la boîte de dialogue Sélectionner le répertoire du projet.
    La boîte de dialogue Sélectionner le répertoire du projet propose une arborescence à trois niveaux dans laquelle vous pouvez effectuer votre choix :
    Premier niveau
    Totalité de la base de données TestPartner. Notez que, si vous sélectionnez ce niveau, la zone de texte Répertoire de projet reste vide.
    Deuxième niveau
    Projet TestPartner.
    Troisième niveau
    Type de script dans un projet TestPartner donné.

    Sélectionnez l'une des options ci-dessus et cliquez sur OK. Le chemin est ajouté dans la zone de texte Répertoire de projet.

  15. Cliquez sur OK.
Sujet parent : SilkTestPartner


Modification de profils de référentiel tiers TestPartner

Pour modifier un profil de référentiel tiers TestPartner :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Choisissez l'une des options suivantes :
    • Modifiez le Type de base de données TestPartner.
    • Modifiez le Serveur de base de données TestPartner.
    • Modifiez le Nom de la base de données TestPartner.
    • Modifiez le numéro TestPartner du serveur de base de données TestPartner.
    • Modifiez le Nom du schéma/propriétaire de la base de données TestPartner.
    • Modifiez l'Utilisateur de la base de données TestPartner.
    • Modifiez le Mot de passe de base de données TestPartner.
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre référentiel.
  7. Modifiez le Répertoire de Projet que ce profil doit utiliser.
  8. Cliquez sur OK.
Sujet parent : SilkTestPartner


Universal Naming Convention

Cette section décrit la configuration des profils de référentiel tiers Universal Naming Convention (UNC).

UNC, sigle de Universal Naming Convention ou Uniform Naming Convention, est un format PC qui indique l'emplacement de ressources sur un réseau local (LAN). UNC utilise le format suivant : \\nom-serveur\chemin-ressources-partagées.

Par exemple, pour accéder au fichier test.txt du répertoire examples sur le serveur partagé silo, vous devez indiquer : \\silo\examples\test.txt.

Vous pouvez également utiliser UNC pour identifier des périphériques partagés, tels que les imprimantes. L'objectif de l'utilisation d'UNC est de proposer un format permettant d'identifier chaque ressource partagée avec une adresse unique.

UNC n'est pris en charge que par les systèmes d'exploitation Microsoft Windows. Si vous envisagez d'utiliser un serveur d'exécution autre que Windows, vous pouvez utiliser à la place le profil de référentiel tiers Apache Commons VFS.

  • Ajout de profils de référentiel tiers UNC
    Créez un profil de référentiel tiers UNC pour récupérer les sources des programmes en vue de l'exécution des tests depuis UNC.
  • Modification de profils de référentiel tiers UNC
    Modifiez un profil de référentiel tiers UNC existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Profils de référentiel tiers
Sujet parent : Intégrations de profils de référentiel tiers


Ajout de profils de référentiel tiers UNC

Pour créer un profil de référentiel tiers UNC :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Référentiel Tiers.
  4. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Dans la zone de liste Source du système de contrôle, sélectionnez UNC.
  6. Saisissez le Chemin UNC auquel vous voulez accéder. Il s'agit du chemin vers l'emplacement des sources de tests.
    Conseil : Pour éviter d'extraire des fichiers inutiles, indiquez le dossier à un niveau hiérarchique où résident les sources réellement nécessaires à l'exécution du test.
  7. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir. Si vous avez besoin d'un dossier de travail statique, assurez-vous qu'il n'est pas situé dans le chemin UNC, car cela entraînera des extractions récursives.
  8. Saisissez un Nom d'utilisateur UNC et un Mot de passe UNC valides. Ces données d'authentification sont requises pour l'accès au chemin UNC du fichier de configuration.
  9. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : Universal Naming Convention


Modification de profils de référentiel tiers UNC

Pour modifier un profil de référentiel tiers UNC :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Cliquez sur le nom du profil de référentiel tiers que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Référentiel Tiers s'affiche.
  4. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  5. Saisissez le Chemin UNC auquel vous voulez accéder. Il s'agit du chemin vers l'emplacement des sources de tests.
    Conseil : Pour éviter d'extraire des fichiers inutiles, indiquez le dossier à un niveau hiérarchique où résident les sources réellement nécessaires à l'exécution du test.
  6. Facultatif : Indiquez le Dossier de travail commun dans lequel le serveur d'exécution Silk Central doit copier les fichiers source. Ce répertoire doit correspondre à un chemin local. Par exemple C:\TempSources\.
    Avertissement : Il est recommandé de laisser ce champ vide et laisser Silk Central utiliser à la place un dossier de travail temporaire. La spécification d'un dossier de travail statique peut entraîner des résultats inattendus lors d'exécutions en parallèle. L'emplacement temporaire peut être interrogé à partir du paramètre prédéfini #sctm_source_root_dir. Si vous avez besoin d'un dossier de travail statique, assurez-vous qu'il n'est pas situé dans le chemin UNC, car cela entraînera des extractions récursives.
  7. Modifiez le Nom d'utilisateur UNC et le Mot de passe UNC. Ces données d'authentification sont requises pour l'accès au chemin UNC de votre fichier de configuration.
  8. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.

Si le test de connexion réussit, vous êtes renvoyé à la page Référentiel Tiers.

Sujet parent : Universal Naming Convention


Suppression de profils de référentiel tiers

Pour supprimer un profil de référentiel tiers :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Référentiel Tiers. La page Référentiel Tiers qui s'ouvre répertorie tous les profils de référentiel tiers qui ont été créés pour le système.
  3. Dans la colonne Actions du profil de référentiel tiers que vous souhaitez supprimer, cliquez sur Supprimer le profil de référentiel tiers. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui. Vous êtes renvoyé sur la page Référentiel Tiers.
Sujet parent : Profils de référentiel tiers


Page Profils de Référentiels Tiers

Projet : <nom du projet> > Paramètres de projet > Référentiel tiers

Utilisez cette page pour configurer des profils afin d'intégrer des systèmes de référentiel tiers externes dans Silk Central . Cliquez sur Nouveau Profil pour créer un profil de référentiel tiers. Pour chaque profil de référentiel tiers, la page affiche les colonnes suivantes :

Elément | Description
Nom | Nom du profil tel qu'affiché dans l'interface utilisateur Silk Central et dans les rapports. Cliquez sur le nom d'un profil pour modifier ce dernier.
Type | Système de référentiel tiers externe.
Dossier de travail | Dossier de travail local ou mappé dans lequel les référentiels temporaires sont extraits.
Créé le | Date de création du profil de référentiel tiers.
Créé par | Utilisateur ayant créé le profil de référentiel tiers.
Modifié Le | Date de dernière modification du profil de référentiel tiers.
Modifié Par | Dernier utilisateur ayant modifié le profil de référentiel tiers.
Actions | Supprimer le profil de référentiel tiers
Sujet parent : Profils de référentiel tiers


Propriétés de Pas de Test

Utilisez les propriétés de pas de test pour ajouter des propriétés à un pas de test manuel. Ajoutez une propriété de pas de test personnalisée à un projet dans Projets : <nom du projet> > Paramètres de Projet pour ajouter cette propriété à tous les pas de tests manuels du projet. Ajoutez une propriété de pas de test personnalisée à une bibliothèque de l'arborescence Bibliothèques pour ajouter cette propriété à tous les pas de tests manuels de la bibliothèque. Les propriétés de pas de test peuvent ensuite être modifiées en même temps que les propriétés par défaut dans la boîte de dialogue Modifier le Pas de Test Manuel.

  • Création de propriétés de pas de test
    Créez une propriété de pas de test afin d'étendre un pas de test manuel.
  • Modification des propriétés de pas de test
    Décrit comment modifier une propriété de pas de test.
  • Suppression de propriétés de pas de test
    Décrit comment supprimer une propriété de pas de test.
  • Page Propriétés de Pas de Test
    Répertorie toutes les propriétés qui peuvent être alimentées dans les pas de tests manuels à l'échelle du projet actif.
Sujet parent : Configuration des paramètres de test et des intégrations
Sujet parent : Paramètres de Projet


Création de propriétés de pas de test

Pour créer une propriété de pas de test :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Propriétés de Pas de Test.
  3. Cliquez sur Nouvelle Propriété. La boîte de dialogue Nouvelle Propriété de Pas de Test s'affiche.
  4. Nommez la nouvelle propriété dans le champ Nom.
    Remarque : Les champs de propriétés de pas de test sont toujours déclarés en tant que chaîne de type.
  5. Cliquez sur OK afin que votre propriété soit disponible pour tous les pas de tests manuels dans le projet Silk Central sélectionné.
    Remarque : Pour créer une propriété de pas de test pour une bibliothèque, sélectionnez le nœud de bibliothèque dans l'arborescence Bibliothèques, puis passez au deuxième pas de test.
Sujet parent : Propriétés de Pas de Test


Modification des propriétés de pas de test

Pour modifier une propriété de pas de test créée précédemment :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Propriétés de Pas de Test.
  3. Cliquez sur le nom de la propriété que vous souhaitez modifier. La boîte de dialogue Modifier la Propriété de Pas de Test s'affiche.
  4. Modifiez le nom de la propriété dans le champ Nom.
  5. Cliquez sur OK pour enregistrer vos modifications ou cliquez sur Annuler pour annuler l'opération sans enregistrer.
Sujet parent : Propriétés de Pas de Test


Suppression de propriétés de pas de test

Pour supprimer une propriété de pas de test créée précédemment :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Propriétés de Pas de Test.
  3. Cliquez sur Supprimer la propriété dans la colonne Actions de la propriété que vous souhaitez supprimer. Une boîte de dialogue vous invitant à confirmer la suppression s'affiche.
  4. Cliquez sur Oui pour terminer l'opération ou cliquez sur Non pour l'abandonner.
Sujet parent : Propriétés de Pas de Test


Page Propriétés de Pas de Test

Projet : <nom du projet> > Paramètres de Projet > Propriétés de Pas de Test

La page Propriétés de Pas de Test répertorie toutes les propriétés qui peuvent être alimentées dans les pas de tests manuels à l'échelle du projet actif. Pour chaque propriété de pas de test personnalisée, la page Propriétés de Pas de Test affiche les colonnes suivantes :

Colonne | Description
Nom | Nom de la propriété de pas de test.
Actions Les actions suivantes peuvent appliquées à une propriété :
  • Supprimer la propriété
  • Déplacer vers le Haut
  • Déplacer vers le Bas
Sujet parent : Propriétés de Pas de Test


Attributs

Vous pouvez utiliser des attributs personnalisés pour personnaliser les informations relatives aux tests et aux plans d'exécution. Bien que certains attributs soient disponibles grâce à la fonctionnalité intégrée de Silk Central, notamment la priorité, les composants et les plates-formes, vous pouvez définir des attributs personnalisés pour catégoriser les tests et les plans d'exécution en fonction de vos besoins ou pour rendre les tests compatibles avec des cas de tests spécifiques.

  • Création d'attributs personnalisés
    Créez un attribut personnalisé afin de personnaliser les informations relatives aux tests et aux plans d'exécution.
  • Types de propriétés d'exigence et d'attributs personnalisés
    Détaille les types de propriétés d'exigence et d'attributs.
  • Modification d'attributs personnalisés
    Modifiez un attribut personnalisé afin d'appliquer la personnalisation en fonction de vos besoins en matière de test.
  • Suppression d'attributs personnalisés
    Supprimez un attribut personnalisé lorsque les informations personnalisées ne sont plus requises.
  • Page Attributs
    Répertorie les attributs qui ont été créés pour le projet en cours.
Sujet parent : Configuration des paramètres de test et des intégrations
Sujet parent : Paramètres de Projet


Création d'attributs personnalisés

Pour créer un attribut personnalisé :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Attributs pour afficher la liste des attributs actuels.
  3. Cliquez sur Nouvel Attribut. La boîte de dialogue Nouvel Attribut s'affiche.
  4. Renseignez le champ Nom du nouvel attribut. Ce nom est affiché dans les zones de liste lorsque l'attribut peut être utilisé.
  5. Renseignez le champ Description du nouvel attribut.
  6. Sélectionnez l'attribut Type. Reportez-vous à la rubrique Types de propriétés d'exigence et d'attributs personnalisés pour obtenir des descriptions sur chaque type d'attribut.
  7. Cliquez sur OK.
Sujet parent : Attributs
Référence associée
Types de propriétés d'exigence et d'attributs personnalisés


Modification d'attributs personnalisés

Pour modifier un attribut personnalisé :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Attributs pour afficher la liste des attributs actuels.
  3. Cliquez sur le nom de l'attribut que vous souhaitez modifier. La boîte de dialogue Modifier l'Attribut s'affiche.
  4. Modifiez le Nom de l'attribut. Lorsque l'attribut est disponible, son nom s'affiche dans les zones de liste pour les filtres, les plans d'exécution et les tests. Vous pouvez utiliser les attributs dans des filtres globaux pour filtrer par attribut et les appliquer à des tests et des plans d'exécution.
  5. Modifiez la Description de l'attribut.
  6. Reportez-vous à la rubrique Types de propriétés d'exigence et d'attributs personnalisés pour obtenir des descriptions sur chaque type d'attribut. Différentes options de modification sont disponibles, en fonction du type de données d'attribut.
  7. Cliquez sur OK. Vous êtes renvoyé à la liste Attributs.
Sujet parent : Attributs
Concepts associés
Attributs de test
Filtres
Référence associée
Types de propriétés d'exigence et d'attributs personnalisés


Suppression d'attributs personnalisés

Pour supprimer un attribut personnalisé :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Attributs pour afficher la liste des attributs actuels.
  3. Vous devez désactiver un attribut pour pouvoir le supprimer. Dans la colonne État, cliquez sur l'icône ou le lien Actif puis cliquez sur Oui dans la boîte de dialogue de confirmation afin de désactiver l'attribut.
  4. Une fois l'attribut inactif, cliquez sur Supprimer l'attribut pour le supprimer. Une boîte de dialogue vous invitant à confirmer la suppression s'affiche.
  5. Cliquez sur Oui pour supprimer l'attribut sélectionné ou sur Non pour annuler l'opération. Si vous cliquez sur Oui, vous serez renvoyé sur la page Attributs sur laquelle l'attribut supprimé n'est plus affiché.
  6. Si une erreur s'affiche, assurez-vous que l'attribut sélectionné n'est pas appliqué à un test ou plan d'exécution, ou utilisé avec un filtre global. Vous pouvez uniquement supprimer les attributs non utilisés.
Sujet parent : Attributs


Page Attributs

Projet : <nom du projet> > Paramètres de Projet > Attributs

La page Attributs répertorie les attributs qui ont été créés pour le projet en cours. Pour chaque attribut, la page Attributs affiche les colonnes suivantes :

Colonne | Description
Actions | Actions réalisables au niveau de l'attribut.
Nom | Nom de l'attribut. Lorsque l'attribut est disponible, son nom s'affiche dans les zones de liste pour les filtres, les plans d'exécution et les tests. Vous pouvez utiliser les attributs dans des filtres globaux pour filtrer par attribut et les appliquer à des tests et des plans d'exécution. Cliquez sur l'icône Modifier pour changer le nom de l'attribut.
Type | Type d'attribut. Reportez-vous à la rubrique Types de propriétés d'exigence et d'attributs personnalisés pour obtenir des descriptions sur chaque type d'attribut.
Etat | État de l'attribut (actif ou inactif).
Colonne de rapport | Nom de la colonne de l'attribut dans le tableau LQM Reporting. Utilisez ce nom de colonne pour interroger l'attribut sélectionné dans le tableau LQM Reporting. Pour obtenir des informations détaillées, reportez-vous à la documentation du modèle de base de données.
Créé le | Date de création de l'attribut.
Créé par | Utilisateur ayant créé l'attribut.
Modifié le | Date de la dernière modification de l'attribut.
Modifié par | Dernier utilisateur à avoir modifié l'attribut.
Sujet parent : Attributs
Référence associée
Types de propriétés d'exigence et d'attributs personnalisés


Sources de données pour les tests pilotés par les données

Les tests pilotés par les données sont des tests dérivés des valeurs d'une source de données existante, par exemple une feuille de calcul ou une base de données. Les sources de données sont gérées dans un périmètre spécifique au projet.
Conseil : Pour acquitter les modifications apportées à votre source de données dans Silk Central, vous devez synchroniser votre profil de source de données avec votre source de données si cette dernière est mise à jour ou modifiée.
  • Limites des sources de données
    Les sources de données ont des limites spécifiques pour empêcher Silk Central d'entrer dans un état instable en raison d'une trop grande production de données.
  • Configuration des sources de données JDBC
    Configurez une source de données JDBC pour les tests pilotés par les données, en vue de les synchroniser dans Silk Central.
  • Configuration de sources de données Microsoft Excel ou CSV
    Configurez une source de données Microsoft Excel ou CSV pour les tests pilotés par les données, en vue de les synchroniser dans Silk Central.
  • Téléchargement de fichiers Excel à partir d'une source de données
    Téléchargez un fichier Excel à partir d'une source de données Silk Central.
  • Synchronisation des sources de données
    Synchronisez une source de données afin de mettre à jour les tests associés en reflétant les modifications dans la source de données.
  • Téléchargement de fichiers Excel mis à jour dans une source de données
    Téléchargez un fichier Excel mis à jour dans la source de données pour remplacer le fichier actuellement téléchargé.
  • Suppression de sources de données
    Supprimez définitivement une source de données lorsqu'elle n'est plus requise.
  • Page de configuration des sources de données
    Répertorie toutes les sources de données configurées pour l'intégration des tests pilotés par les données dans Silk Central.
Sujet parent : Configuration des paramètres de test et des intégrations
Sujet parent : Paramètres de Projet
Concepts associés
Tests pilotés par les données
Création de tests pilotés par les données


Limites des sources de données

Les sources de données ont des limites spécifiques pour empêcher Silk Central d'entrer dans un état instable en raison d'une trop grande production de données.

Tests atomiques et non atomiques

Pour plus d'informations sur les types de tests pilotés par les données, disponibles dans Silk Central, consultez Tests atomiques et non atomiques pilotés par les données.

Limites

Les sources de données pour les tests pilotés par les données ont les limites par défaut suivantes :
  • 100 lignes pour les tests non atomiques
  • 1000 lignes pour les tests atomiques
  • 20 000 lignes + cellules pour les sources de données XLSX (20 000 étant la quantité de lignes + la quantité de cellules. Par exemple : Si vous avez 3000 lignes avec 6 colonnes, le montant calculé est 3000 + (3000 * 6) = 21000, la limite est donc dépassée.)
  • 220 caractères pour les noms d'ensembles de données (noms de feuilles Excel/noms de tables)
  • 220 caractères pour les noms clés de colonne
  • La longueur concaténée de toutes les clés primaires ne doit pas dépasser 255 caractères pour les sources de données aux formats JDBC, Excel et CSV
  • 2000 caractères par cellule (les chaînes plus longues seront tronquées). Remarque : les tests Silk Test Classic pilotés par les données n'acceptent que les chaînes de sources de données entre guillemets. Si la longueur de chaîne dans une cellule dépasse 2000 caractères, la chaîne est tronquée et les guillemets fermants sont absents, ce qui entraîne une erreur.

Modification de la limite par défaut

Les limites par défaut peuvent être modifiées, si nécessaire. Modifiez ces valeurs avec prudence afin d'éviter la génération excessive de données. Avant de tenter de modifier ces valeurs, arrêtez le serveur d'applications et redémarrez-le après avoir enregistré vos modifications.

Les limites de ligne pour les tests atomiques et non atomiques peuvent être configurées dans le fichier TmAppServerHomeConf.xml. Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\AppServer sur le serveur d'application. Modifiez les valeurs des balises XML Config/DataDriven/MaxRowsAtomic et Config/DataDriven/MaxRows, respectivement.

La limite de cellule XLSX peut être configurée dans le fichier configuration.properties, dans la source de données du plug-in Excel (DS-Excel.zip). Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\Plugins sur le serveur d'application. Modifiez la valeur de la propriété excel.importcelllimit en conséquence.

Sujet parent : Sources de données pour les tests pilotés par les données


Configuration des sources de données JDBC

ATTENTION :
La longueur concaténée de toutes les clés primaires ne doit pas dépasser 255 caractères pour les sources de données JDBC.

Pour configurer une source de données JDBC :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Sources de Données. La page Sources de Données qui s'affiche répertorie toutes les sources de données qui ont été créées pour le système.
  3. Cliquez sur Nouvelle Source de Données pour ouvrir la boîte de dialogue Nouvelle Source de Données.
  4. Saisissez un Nom pour la source de données.
  5. Dans la zone de liste Type de Source de Données, sélectionnez JDBC.
    Remarque : Si vous configurez une source de données ODBC, vous devez renseigner manuellement les champs Classe de Pilote et URL ODBC. Par exemple , Classe de Pilote : sun.jdbc.odbc.JdbcOdbcDriver, URL : jdbc:odbc:MyDatabaseName. Vous devez également configurer une source de données ODBC dans MS Windows, dans la section Outils d'administration. Pour plus d'informations, reportez-vous à l'Aide de Microsoft Windows. Si votre serveur de présentation et votre serveur d'application se trouvent sur des machines différentes, assurez-vous que le nom de votre source de données système configurée dans Microsoft Windows correspond au nom de la source de données ODBC. Ces noms sont sensibles à la casse.
  6. Si vous sélectionnez JDBC pour l'option Type de Source de Données, la zone de texte Classe de Pilote est renseignée automatiquement. Dans la zone de texte URL, remplacez la valeur du nom d'hôte <nom d'hôte> par le nom de l'ordinateur hébergeant la source de données, et remplacez la valeur du nom de la base de données <nom de la base de données> par le nom de la base de données cible.
  7. Dans les zones de texte Nom d'utilisateur et Mot de passe, entrez des données d'authentification de base de données valides.
  8. Facultatif : si vous utilisez une base de données comportant plusieurs tables et souhaitez limiter la source de données à des tables spécifiques, vous pouvez rechercher et sélectionner les tables spécifiques à inclure :
    1. Cliquez sur [...] en regard de la zone de texte Table.
    2. La boîte de dialogue Sélectionner un Filtre de Table s'affiche. Sélectionnez les tables à inclure dans votre source de données.
    3. Cliquez sur OK.
  9. Optionnel : l'option Colonne Clé est utilisée dans le cadre des tests afin de déterminer les colonnes devant être utilisées en tant que clé primaire dans les feuilles de données d'une source de données. Cela s'avère utile si des modifications doivent être apportées à votre source de données, par exemple lors de l'ajout ou de la suppression de lignes dans une feuille de données. Même en cas de modification de votre source de données, les tests permettront toujours de déterminer les colonnes ou les lignes devant être utilisées. Les noms des tests créés à partir de sources de données pilotées par les données reprennent les valeurs de la colonne clé, plutôt que les numéros de colonnes. Pour configurer une colonne clé :
    1. Cliquez sur [...] en regard de la zone de texte Colonne Clé.
    2. La boîte de dialogue Sélectionner la Colonne Clé s'affiche. Sélectionnez une colonne à définir comme colonne clé dans la liste correspondante.
    3. Cliquez sur OK.
  10. Cliquez sur OK dans la boîte de dialogue Nouvelle Source de Données.
Sujet parent : Sources de données pour les tests pilotés par les données


Configuration de sources de données Microsoft Excel ou CSV

ATTENTION :
Les feuilles de données Excel utilisant une protection par mot de passe ne peuvent pas être configurées en tant que sources de données pour Silk Central. Désactivez la protection par mot de passe d'une feuille de données afin de l'utiliser en tant que source de données lors d'un test piloté par les données. La longueur concaténée de toutes les clés primaires ne doit pas dépasser 255 caractères aux formats Excel et CSV.

Pour configurer une source de données Microsoft Excel ou CSV :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Sources de Données. La page Sources de Données qui s'affiche répertorie toutes les sources de données qui ont été créées pour le système.
  3. Cliquez sur Nouvelle Source de Données pour ouvrir la boîte de dialogue Nouvelle Source de Données.
  4. Saisissez un Nom pour la source de données.
  5. Dans la zone de liste Type de Source de Données, sélectionnez MS Excel pour configurer une source de données Microsoft Excel ou sélectionnez CSV pour configurer une source de données CSV.
  6. Dans la zone de liste Profil de référentiel tiers, sélectionnez le profil de référentiel tiers préconfiguré hébergeant votre fichier de données. Pour obtenir des informations détaillées sur la configuration des profils de référentiel tiers, reportez-vous à la rubrique Profils de référentiel tiers.
  7. Cliquez sur Parcourir pour ouvrir la boîte de dialogue Sélectionner le chemin d'accès au Référentiel Tiers. Recherchez et sélectionnez un fichier de source de données du type sélectionné dans votre chemin d'accès au référentiel tiers.
  8. Facultatif : MS Excel uniquement. Si vous utilisez une feuille de calcul Excel comportant plusieurs feuilles de données et souhaitez limiter la source de données à des feuilles spécifiques, vous pouvez rechercher et sélectionner les feuilles de données spécifiques à inclure. Pour ce faire :
    1. Cliquez sur [...] en regard de la zone de texte Filtre de feuille de données.
    2. La boîte de dialogue Sélectionner un Filtre de Feuille de Calcul s'affiche. Sélectionnez les feuilles de calcul à inclure dans votre source de données.
    3. Cliquez sur OK.
  9. Optionnel : l'option Colonne Clé est utilisée dans le cadre des tests afin de déterminer les colonnes devant être utilisées en tant que clé primaire dans les feuilles de données d'une source de données. Cela s'avère utile si des modifications doivent être apportées à votre source de données, par exemple lors de l'ajout ou de la suppression de lignes dans une feuille de données. Même en cas de modification de votre source de données, les tests permettront toujours de déterminer les colonnes ou les lignes devant être utilisées. Les noms des tests créés à partir de sources de données pilotées par les données reprennent les valeurs de la colonne clé, plutôt que les numéros de colonnes.
    Remarque : MS Excel uniquement : Si la source de données comprend plusieurs feuilles de données, seules les colonnes portant les mêmes noms pourront être définies en tant que colonnes clé.

    Pour configurer une colonne clé :

    1. Cliquez sur [...] en regard de la zone de texte Colonne Clé.
    2. La boîte de dialogue Sélectionner la Colonne Clé s'affiche. Sélectionnez une colonne à définir comme colonne clé dans la liste correspondante.
    3. Cliquez sur OK.
  10. Cliquez sur OK dans la boîte de dialogue Nouvelle Source de Données.
Sujet parent : Sources de données pour les tests pilotés par les données
Concepts associés
Profils de référentiel tiers


Téléchargement de fichiers Excel à partir d'une source de données

Remarque : Il n'est pas possible de télécharger les fichiers à partir de sources de données JDBC et ODBC.

Pour télécharger un fichier Excel à partir d'une source de données :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Sources de Données. La page Sources de Données qui s'affiche répertorie toutes les sources de données qui ont été créées pour le système.
  3. Cliquez sur l'icône Télécharger dans la colonne Actions de la source de données à partir de laquelle vous voulez effectuer le téléchargement. La boîte de dialogue Téléchargement de Fichier s'affiche.
  4. Cliquez sur Ouvrir pour ouvrir immédiatement le fichier, ou cliquez sur Enregistrer pour spécifier l'emplacement d'enregistrement du fichier sur votre système local.
Sujet parent : Sources de données pour les tests pilotés par les données


Synchronisation des sources de données

Vous devez synchroniser une source de données à chaque fois qu'elle est modifiée ou mise à jour, si vous souhaitez informer Silk Central des modifications. La synchronisation d'une source de données propage les modifications récentes aux tests associés.

Pour synchroniser une source de données mise à jour :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Sources de Données. La page Sources de Données qui s'affiche répertorie toutes les sources de données qui ont été créées pour le système.
  3. Cliquez sur l'icône Synchroniser dans la colonne Actions qui correspond à votre source de données afin de propager le fichier mis à jour aux tests associés.
  4. Une boîte de dialogue de confirmation, demandant de confirmer la suppression, s'affiche. Cliquez sur Oui pour synchroniser tous les tests avec la source de données mise à jour, ou sur Non pour abandonner la synchronisation.
    ATTENTION :
    Lorsque vous synchronisez une source de données, toutes les exécutions en cours qui dépendent de cette source de données sont abandonnées. Les résultats de tests incomplets au sein de ces exécutions sont perdus.
  5. Cliquez sur OK dans la boîte de dialogue confirmant la réussite de l'opération.
Sujet parent : Sources de données pour les tests pilotés par les données


Téléchargement de fichiers Excel mis à jour dans une source de données

Remarque : Il n'est pas possible de télécharger les fichiers dans des sources de données JDBC et ODBC.

Pour télécharger un fichier Excel mis à jour dans une source de données :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Sources de Données. La page Sources de Données qui s'affiche répertorie toutes les sources de données qui ont été créées pour le système.
  3. Cliquez sur l'icône Télécharger dans la colonne Actions de la source de données à partir de laquelle vous voulez effectuer le téléchargement.
  4. Cliquez sur Parcourir dans la boîte de dialogue Attacher un Fichier.
  5. Sélectionnez le fichier Excel mis à jour qui doit remplacer le fichier Excel téléchargé. Cliquez sur Ouvrir.
  6. Cliquez sur OK dans la boîte de dialogue Attacher un Fichier.
  7. Une boîte de dialogue vous demandant de confirmer le remplacement du fichier existant s'ouvre. Cliquez sur Oui pour continuer.
  8. Après avoir téléchargé le fichier de source de données mis à jour, une autre boîte de dialogue vous demandant si vous souhaitez synchroniser les tests avec la source de données mise à jour s'ouvre. Cliquez sur Oui pour procéder à la synchronisation immédiatement ou sur Non pour procéder à la synchronisation ultérieurement.
    Remarque : Après avoir téléchargé un fichier de source de données mis à jour, vous devez synchroniser la source de données afin que les tests associés soient mis à jour.
Sujet parent : Sources de données pour les tests pilotés par les données


Suppression de sources de données

Remarque : Les sources de données utilisées par les tests ne peuvent pas être supprimées.

Pour supprimer une source de données :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Sources de Données. La page Sources de Données qui s'affiche répertorie toutes les sources de données qui ont été créées pour le système.
  3. Cliquez sur l'icône Supprimer dans la colonne Actions de la source de données que vous souhaitez supprimer.
  4. Une boîte de dialogue de confirmation s'affiche. Cliquez sur Oui pour supprimer la source de données ou sur Non pour annuler l'opération.
Sujet parent : Sources de données pour les tests pilotés par les données


Page de configuration des sources de données

Projet : <nom du projet> > Paramètres de Projet > Sources de Données

La page Source de Données répertorie toutes les sources de données configurées pour l'intégration des tests pilotés par les données dans Silk Central. Cliquez sur Nouvelle Source de Données pour créer une source de données. Pour chaque source de données, la page affiche les colonnes suivantes :

Colonne | Description
Nom | Nom de la source de données, tel qu'affiché dans l'interface utilisateur de Silk Central et dans les rapports. Cliquez sur le nom pour modifier les paramètres de source de données.
Type Type de Source de Données:
  • CSV
  • JDBC
  • MS Excel
Nom de fichier | Nom du fichier qui est utilisé comme source de données, par exemple datasource.xlsx.
Profil de référentiel tiers | Nom de profil de référentiel tiers qui héberge le fichier de données.
Créé le | Date de création de la source de données.
Créé par | Utilisateur ayant créé la source de données.
Modifié Le | Date de dernière modification de la source de données.
Modifié Par | Dernier utilisateur ayant modifié la source de données.
Actions Vous pouvez effectuer les actions suivantes au niveau d'une source de données :
  • Supprimer
  • Télécharger
  • Télécharger
  • Synchroniser
Sujet parent : Sources de données pour les tests pilotés par les données


Structuration de vos ressources de test

Silk Central suit les résultats des exécutions de tests dans le contexte des versions et des builds d'une application spécifique. Ainsi, une Application doit être définie avant la création de tests.

Le profil de référentiel tiers constitue une autre exigence pour la création de tests, dans le cas de tests automatisés. Les tests automatisés dans Silk Central représentent en réalité les scripts de test qui sont situés dans les systèmes de référentiel tiers, accessibles par l'intermédiaire des profils de référentiel tiers en question.Les informations relatives à l'application et au profil de référentiel tiers sont spécifiées au niveau du Conteneur de tests, ce qui représente donc le nœud le plus haut dans la hiérarchie de la structure des ressources d'un test. Dans un conteneur de tests, vous pouvez ainsi utiliser des dossiers pour structurer vos ressources de tests selon vos besoins et votre processus.

Rappelez-vous que même si vous pouvez avoir plusieurs conteneurs de tests, un plan d'exécution peut exécuter les tests d'un seul conteneur de tests en raison de la relation résultat/build/version de test. Par conséquent, vous devez concevoir la structure des ressources de votre test en fonction des tests que vous souhaitez exécuter ensemble dans le cadre d'un plan d'exécution.

  • Conteneurs de tests
    Les conteneurs de tests sont utilisés pour structurer vos ressources de test au plus haut niveau. Silk Central associe un profil de référentiel tiers défini et une application par conteneur, ce qui a des répercussions sur ce que vous pouvez faire avec les tests dans le cadre d'un conteneur spécifique.
  • Dossiers de test
    Utilisez des dossiers pour structurer vos tests dans un conteneur.
  • Packages de tests
    Les packages de tests permettent de prendre en charge les types de test tiers dans Silk Central . Ils se composent d'un nœud racine de package ainsi que d'une arborescence arbitraire de nœuds de suites et de nœuds de tests.
Sujet parent : Tests


Conteneurs de tests

Les conteneurs de tests sont utilisés pour structurer vos ressources de test au plus haut niveau. Silk Central associe un profil de référentiel tiers défini et une application par conteneur, ce qui a des répercussions sur ce que vous pouvez faire avec les tests dans le cadre d'un conteneur spécifique.

Lorsque vous atteignez l'étape de l'organisation de vos exécutions de tests, seuls les tests d'un conteneur précis sont disponibles. Il serait donc pertinent de limiter le plus possible la quantité de conteneurs spécifiés.

  • Ajout de conteneurs de tests
    Ajoutez un conteneur à des tests afin d'utiliser un profil de référentiel tiers autre que celui défini pour le projet.
  • Ajout de liens vers des conteneurs
    Ajoutez un lien à l'arborescence Tests afin de référencer un conteneur dans le même projet.
  • Modification de conteneurs de tests
    Modifiez les propriétés d'un conteneur de tests.
Sujet parent : Structuration de vos ressources de test


Ajout de conteneurs de tests

Remarque : Nous recommandons d'utiliser les conteneurs de tests avec précaution car ils lient l'application au profil de référentiel tiers.

Pour ajouter un nouveau conteneur de tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez le nœud racine auquel vous voulez ajouter le nouveau conteneur en tant que sous-nœud.
    Remarque : Il n'est pas possible d'imbriquer les conteneurs mais vous pouvez ajouter des sous-dossiers aux conteneurs.
  3. Cliquez sur Nouveau Conteneur de Tests dans la barre d'outils ou faites un clic droit sur le nœud et choisissez Nouveau Conteneur de Tests.

    Vous pouvez aussi faire un clic droit sur le nœud et choisir Nouveau Conteneur de Tests.

    Un nouveau nœud racine de conteneur est ajouté à l'arborescence Tests et la boîte de dialogue Nouveau Conteneur de Tests s'affiche.
  4. Saisissez un Nom et une Description pour le conteneur.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Dans la zone de liste, sélectionnez une Application prédéfinie associée à ce conteneur de tests. Pour plus de détails sur l'ajout d'un profil de produit, reportez-vous à Ajout d'applications.
  6. Dans la zone de liste Profil de référentiel tiers, choisissez un profil de référentiel tiers prédéfini. Si vous n'avez pas l'intention d'extraire des sources de tests pour le conteneur de tests, par exemple si vous disposez uniquement de tests manuels, sélectionnez ---.
    Remarque : Les serveurs d'exécution Silk Central récupèrent les sources des programmes pour les tests inclus dans le conteneur à partir du profil de référentiels tiers défini. Selon le chemin indiqué dans votre profil de référentiel tiers, vous pouvez spécifier l'utilisation d'un sous-nœud dans le champ Nœud racine du conteneur de test.
  7. Facultatif : cochez la case Nettoyer le dossier de travail avant qu'un test ne soit exécuté.

    Si cette case est cochée, les fichiers supprimés du référentiel tiers le seront également du dossier de travail. Par défaut, cette case est cochée.

  8. Facultatif : Cliquez sur Parcourir pour sélectionner le nœud racine dans le profil de référentiels tiers sélectionné. Les sources de tests sont incluses dans ce nœud racine. Le nœud racine est utilisé sur les serveurs d'exécution pour récupérer les sources d'un test.
  9. Facultatif : Lorsque Silk Central est intégré à Silk Performer, vous pouvez définir le Répertoire personnalisé de données et le Répertoire personnalisé de directives. Dans Silk Performer, le répertoire Directives est divisé en un répertoire Directives système et un répertoire Directives personnalisées. Le répertoire Données est divisé en un répertoire Données système et un répertoire Données personnalisées. Pour plus d'informations, reportez-vous à la documentation de Silk Performer.
  10. La portion Propriétés cachées de Test de la boîte de dialogue vous permet de spécifier les types de propriétés de test qui doivent s'afficher sur la page Propriétés du conteneur de tests, ainsi que les pages Propriétés de tous les dossiers de tests du conteneur. Ces paramètres n'ont aucune incidence sur l'affichage des tests individuels.
  11. Cliquez sur Modifier pour ajuster les paramètres des propriétés de test masquées. La boîte de dialogue Propriétés cachées de test s'affiche.
  12. Décochez les cases de tous les types de tests pour lesquels vous voulez afficher des propriétés.
  13. Cliquez sur OK pour enregistrer vos paramètres et fermer la boîte de dialogue Propriétés cachées de test.
  14. Cliquez sur Enregistrer pour enregistrer vos paramètres.
Le nouveau conteneur est ajouté à l'arborescence Tests.
Sujet parent : Conteneurs de tests
Concepts associés
Profils de référentiel tiers
Tâches associées
Ajout d'applications


Ajout de liens vers des conteneurs

Dans l'arborescence Tests, vous pouvez ajouter un lien vers un conteneur de tests dans le même projet. Les conteneurs de tests liés sont affichés en mode lecture seule à la position à laquelle le lien est inséré dans l'arborescence.

Pour ajouter un lien vers un conteneur de tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit dans l'arborescence Tests sous laquelle vous voulez afficher le conteneur de tests lié.
  3. Choisissez Nouveau Lien si vous souhaitez lier le conteneur de tests au niveau hiérarchique du nœud sélectionné, ou choisissez Nouveau Lien Enfant afin de lier le conteneur de tests à un niveau inférieur par rapport au nœud sélectionné. La boîte de dialogue Sélectionner un Conteneur de Tests pour la mise en relation s'affiche.
  4. Sélectionnez le conteneur de tests que vous souhaitez référencer.
    Remarque : Si le conteneur de tests référencé et le conteneur dans lequel vous ajoutez le lien utilisent des profils de référentiel tiers différents, une boîte de dialogue de confirmation s'affiche et vous êtes invité à valider la création du lien. La création d'un lien de l'intérieur d'un conteneur de tests vers un autre conteneur de tests avec des profils de référentiel tiers différents peut provoquer des problèmes lorsque vous téléchargez ou exécutez un test dans le conteneur lié. Cliquez sur Non si vous voulez d'abord modifier le répertoire personnalisé de directives de l'un des conteneurs, ou cliquez sur Oui pour créer le lien malgré tout.
  5. Cliquez sur OK pour confirmer votre sélection.
Le conteneur lié est placé à l'intérieur du conteneur sélectionné sous la forme d'une entité en lecture seule. Toute modification apportée au conteneur de tests original est répercutée dans le conteneur lié.
Sujet parent : Conteneurs de tests


Modification de conteneurs de tests

Pour modifier les propriétés d'un conteneur de tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez le conteneur de tests que vous souhaitez modifier.
  3. Cliquez sur Modifier dans la barre d'outils. Vous pouvez également faire un clic droit sur le conteneur de tests et choisir Modifier. La boîte de dialogue Modifier le Conteneur de Tests s'affiche.
  4. Modifiez les propriétés du conteneur de tests.
  5. Cliquez sur OK pour appliquer vos modifications.
Sujet parent : Conteneurs de tests
Référence associée
Propriétés du test


Dossiers de test

Utilisez des dossiers pour structurer vos tests dans un conteneur.
  • Ajout de dossiers de test
    Ajoutez un dossier de test à l'arborescence Tests.
  • Modification de dossiers de test
    Modifiez les propriétés d'un dossier de test.
  • Tri des dossiers de test
    Déplacez les dossiers de test vers le haut ou vers le bas dans l'arborescence Tests pour trier les tests.
Sujet parent : Structuration de vos ressources de test
Tâches associées
Couper, copier, coller, et supprimer des éléments de test


Ajout de dossiers de test

Pour ajouter un nouveau dossier de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez l'élément de test à partir duquel vous voulez ajouter le nouveau dossier.
  3. Cliquez Nouveau Dossier de Test Enfant dans la barre d'outils. Vous pouvez aussi faire un clic droit sur l'élément et choisir Nouveau Dossier de Test pour ajouter le nouveau dossier à partir de l'élément sélectionné, ou choisir Nouveau Dossier de Test Enfant en tant que sous-nœud de l'élément sélectionné.
    Remarque : Pour les conteneurs de tests, vous pouvez ajouter des dossiers de tests uniquement en tant que sous-nœuds.
    Un nouveau nœud de dossier est ajouté à l'arborescence Tests et la boîte de dialogue Nouveau Dossier s'affiche.
  4. Indiquez un nom et une description pour le dossier.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Cliquez sur OK pour enregistrer vos paramètres.
Le nouveau dossier est ajouté à l'arborescence Tests.
Sujet parent : Dossiers de test


Modification de dossiers de test

Pour modifier les propriétés d'un dossier de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le dossier dans l'arborescence.
  3. Cliquez sur Modifier dans la barre d'outils. Vous pouvez également faire un clic droit sur le dossier de test et choisir Modifier. La boîte de dialogue Modifier le Dossier Test s'affiche.
  4. Modifiez les champs Nom et Description du dossier en fonction de vos besoins.
  5. Cliquez sur OK pour accepter vos modifications.
Sujet parent : Dossiers de test


Tri des dossiers de test

Pour déplacer un dossier vers le haut ou vers le bas dans l'arborescence Tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le dossier dans l'arborescence.
  3. Cliquez sur Déplacer vers le Haut dans la barre d'outils pour déplacer le dossier un niveau au-dessus dans l'arborescence ou sur Déplacer vers le Bas pour le déplacer un niveau en dessous.
Sujet parent : Dossiers de test


Packages de tests

Les packages de tests permettent de prendre en charge les types de test tiers dans Silk Central . Ils se composent d'un nœud racine de package ainsi que d'une arborescence arbitraire de nœuds de suites et de nœuds de tests.

Les packages de tests fournissent également aux utilisateurs des informations détaillées sur l'exécution d'un test. Les packages de tests, nœuds de suites et nœuds de tests peuvent être assignés séparément (avec leurs incidents et pièces jointes respectifs) aux exigences. Cette fonctionnalité est similaire pour tous les types de tests. Lorsqu'un test tiers est converti en package de tests, tous les tests contenus dans le package peuvent être exécutés séparément. Les nœuds de tests et nœuds de suite contenus dans un package de tests sont dotés d'une propriété supplémentaire, à savoir l'ID Externe.

Les packages de tests présentent l'avantage d'une structure qui peut être tenue à jour automatiquement avec chaque exécution de test. La structure d'un package de tests peut être mise à jour en fonction des résultats de ses exécutions. Le fichier <dossier d'installation Silk Central >\wwwroot\silkroot\xsl\output.xsd contient un schéma XML pour la structure des fichiers XML de sortie des packages de tests.

Les packages de tests respectent la pleine fonctionnalité des tests individuels, à quelques exceptions près :

  • Les conteneurs de tests qui contiennent les packages de tests ne peuvent pas être liés.
  • Les packages de tests ne peuvent pas être pilotés par les données, car ils ne possèdent pas de propriétés de pilotage par les données.
  • Tous les critères de succès, à l'exception du délai d'exécution, sont désactivés et masqués pour les nœuds des packages de tests.
Remarque : Les tests Silk Performer , Silk Test Classic et manuels ne peuvent pas être convertis en packages de tests, car la structure de ces tests n'est pas prise en charge par défaut dans Silk Central .

Les informations que fournit la structure interne d'un package de tests sont spécifiques et ne sont plus pertinentes lorsque vous copiez le package de tests. Pour réutiliser un package de tests, vous devez copier ce package, reconvertir le package copié dans le test parent, appliquer le test en fonction de vos besoins, puis convertir le test modifié en package de tests.

  • Création d'un package de tests
    Créez un package de tests à partir d'un test tiers afin de mettre en miroir la structure du type de test tiers dans Silk Central.
  • Utilisation des ID externes
    Utilisez les ID externes pour identifier de manière unique les méthodes de tests dans les packages de tests.
  • Réutilisation d'un package de tests
    Réutilisez les informations contenues dans le nœud parent d'un package de tests pour créer d'autres packages de tests.
  • Reconversion d'un package de tests en test
    Reconvertissez un package de tests vers le test initial afin de créer un autre package à partir du nœud parent.
  • Réinitialisation d'un package de tests
    Réinitialisez un package de tests afin de supprimer les tests non exécutés qu'il contient.
Sujet parent : Structuration de vos ressources de test


Création d'un package de tests

Pour créer un package de tests à partir d'un test tiers :

  1. Exécutez le test une fois afin de créer le fichier output.xml, qui comprend la structure du package de tests. Pour plus d'informations sur l'exécution d'un test, reportez-vous à la rubrique Essai d'exécution d'un test.
  2. Dans le menu, cliquez sur Tests > Vue Détaillée.
  3. Dans l'arborescence Tests, faites un clic droit sur le test et choisissez Convertir en Package de Tests. Le test sélectionné en converti en une hiérarchie représentant la structure du résultat de la dernière exécution.
Sujet parent : Packages de tests
Tâches associées
Essai d'exécution d'un test


Utilisation des ID externes

Vous pouvez utiliser les ID externes pour identifier de manière unique les nœuds de tests et de suites dans les packages de tests. Un ID externe est fourni en tant que propriété de chaque nœud de test et chaque nœud de suite. L'ID externe généré automatiquement identifie une méthode de test unique par le nom complet de la classe et la méthode en ajoutant le symbole "~".

Pour les tests JUnit, le schéma suivant est utilisé pour l'ID externe généré automatiquement : ~<nom du package>.<nom de la classe>#<nom de la méthode>.

Lors de la refactorisation des classes de tests JUnit, la création automatique de l'ID externe n'est pas applicable, car les informations sur les résultats des tests antérieurs à la refactorisation seront perdues au moment de la création d'un test. Dans ce cas, l'ID externe du test doit être défini manuellement. La méthode refactorisée est à nouveau identifiable, car l'ID externe ne change pas lors du déplacement d'un test JUnit ou lors du changement de son nom. L'ID externe peut être défini manuellement dans le code source en tant qu'annotation.

L'exemple de code suivant illustre une annotation pour les tests JUnit :

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

@Retention(RetentionPolicy.RUNTIME)
public @interface ExternalId {
  String externalId();
}

L'annotation est utilisable dans un test JUnit pour annoter les classes et les méthodes de tests, comme illustré :

import static org.junit.Assert.*;
import org.junit.Test;

import com.borland.runner.ExternalId;

@ExternalId(externalId="JUnit4test")
public class JUnit4test {

  @Test
  @ExternalId(externalId="MyExtId1")
  public void test1() {
    ...
  }

  @Test
  @ExternalId(externalId="MyExtId2")
  public void test2() {
    ...
  }
}

Notez que l'utilisation des ID externes avec l'exécuteur JUnit « org.junit.runners.Parameterized » n'est pas prise en charge pour les méthodes de tests, car l'ID externe n'est pas unique pour les exécutions répétées d'une méthode avec différents paramètres. Comme solution de contournement, un ID externe peut être spécifié au niveau de la classe, mais doit être omis au niveau de la méthode. Voici un exemple :

@RunWith(Parameterized.class)
@ExternalId(externalId="parameterizedWithExtId")
public class TestCaseParameterizedWithExternalId {

  @Parameters
  public static Collection<Object[]> parameterFeeder() {
    return Arrays.asList(new Object[][] {
        { "param_name1", "param_value1" }, // set of parameters per run, type matching constructor must exist!
        { "param_name3", "param_value3" },
        { "param_name2", "param_value2" },
      }
    );
  }

  private String paramName;
  private String paramValue;

  public TestCaseParameterizedWithExternalId(String paramName, String paramValue) {
    this.paramName = paramName;
    this.paramValue = paramValue;
  }

  @Test
  public void testWithParams() {
    System.out.println(String.format("run with parameter: name='%s', value='%s'", paramName, paramValue));
  }

}
Remarque : Le paramètre de l'ID externe pour un test JUnit n'est possible que pour les tests qui utilisent JUnit 4.4 ou version supérieure.
Sujet parent : Packages de tests


Réutilisation d'un package de tests

Les informations que fournit la structure interne d'un package de tests sont spécifiques et ne sont plus pertinentes lorsque vous copiez le package de tests. Pour réutiliser un package de tests, vous devez copier ce package, reconvertir le package copié dans le test parent, appliquer le test en fonction de vos besoins, puis convertir le test modifié en package de tests.

Pour réutiliser les informations d'un package de tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit sur le package de tests à réutiliser dans l'arborescence Tests et sélectionnez Copier.
  3. Dans l'arborescence Tests, sélectionnez le nœud auquel vous voulez ajouter le package de tests copié.
  4. Faites un clic droit sur le nœud sélectionné et choisissez Coller, si vous voulez ajouter le package copié au même niveau dans l'arborescence, ou sélectionnez Coller comme Enfant pour l'ajouter en tant que sous-nœud du nœud sélectionné.
    ATTENTION :
    Les informations figurant désormais dans le package de tests copié ne sont pas cohérentes.
  5. Faites un clic droit sur le package copié et sélectionnez Reconvertir le Package en Test. Les informations du package sont supprimées du test parent.
  6. Modifiez le test afin qu'il corresponde à vos besoins. Pour plus d'informations, reportez-vous à la rubrique Modification de tests.
  7. Faites un clic droit sur le test modifié et sélectionnez Convertir en Package de Tests.
Votre copie du package de tests initial présente désormais des propriétés différentes.
Sujet parent : Packages de tests
Tâches associées
Modification de tests


Reconversion d'un package de tests en test

Reconvertissez un package de tests vers le test initial afin de créer un autre package à partir du nœud parent.
Remarque : La reconversion d'un package de test en test masque les informations sur les résultats d'exécution au niveau du test. Vous pouvez tout de même consulter ces informations dans la vue chronologique ou dans un fichier de résultats.

Pour reconvertir un package de tests vers le test initial :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, faites un clic droit sur le package de tests.
  3. Cliquez sur Reconvertir le Package en Test.
Le package de tests est alors reconverti vers le test initial.
Sujet parent : Packages de tests


Réinitialisation d'un package de tests

Pour réinitialiser un package de tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, faites un clic droit sur le package de tests.
  3. Cliquez sur Réinitialiser le Package de Test.
Tous les tests qui n'ont pas été exécutés au cours de la dernière exécution du package de tests sont supprimés.
Sujet parent : Packages de tests


Gestion des tests

Ajoutez un nouveau test pour votre infrastructure de tests ou configurez les tests existants.
  • Types de test
    Silk Central prend en charge les types de test prêts à l'emploi suivants :
  • Tests partagés
    Les tests périodiques et leurs assignations d'exigences peuvent être gérés de manière centralisée et peuvent être partagés et utilisés dans plusieurs projets.
  • Modification de tests
    Modifiez un test afin de changer ses propriétés.
  • Impression des tests
    Imprimez des tests dans l'ordre sélectionné.
  • Page Exécutions de Tests
    Répertorie les résultats d'exécutions de tests pour le test sélectionné.
  • Page Incidents de test
    Permet de saisir et de suivre des incidents relatifs à un test sélectionné.
  • Versions
    Décrit le mode d’utilisation des versions des objets partagés et des tests.
Sujet parent : Tests


Types de test

Silk Central prend en charge les types de test prêts à l'emploi suivants :
  • Tests Manuels
    Les tests manuels sont des instructions étape par étape pour les testeurs. Silk Central fournit une interface utilisateur pour exécuter efficacement des tests manuels, y compris l'option d'enregistrer des vidéos et d'effectuer des captures d'écran pendant l'exécution des tests. Si vous le souhaitez, les tests manuels peuvent être convertis ultérieurement en tests automatisés.
  • Tests basés sur mots-clés
    La méthodologie de tests logiciels basés sur mots-clés utilise des mots-clés pour symboliser une fonctionnalité à tester. Les tests basés sur mots-clés permettent de créer une infrastructure d'automatisation des tests.
  • Tests Unified Functional Testing (UFT)
    Le logiciel Unified Functional Testing ( UFT ), anciennement connu sous le nom de HP QuickTest Professional (QTP), permet l'automatisation des tests fonctionnels et de régression automatisés pour les applications et les environnements logiciels.
  • Tests JUnit
    JUnit est une infrastructure de tests d'unité pour le langage de programmation Java. Utilisez ce type de test pour les tests JUnit, Silk4J, et Selenium.
  • Tests MSTest
    MSTest est un utilitaire de ligne de commande de qui exécute des tests unitaires créés dans Microsoft . Utilisez ce type de test pour les tests MSTest et Silk4NET.
  • Tests NUnit
    NUnit est une infrastructure de tests d'unité pour le langage de programmation .NET Microsoft .
  • Tests ProcessExecutor
    Le type de test ProcessExecutor peut être utilisé pour exécuter une ligne de commande.
  • Tests Silk Performer .NET Explorer
    Le type de test est utilisé pour exécuter les scripts Silk Performer .NET Explorer ou un scénario de test spécifique d'un script.
  • Tests Silk Performer
    Les projets Silk Performer peuvent être intégrés aux tests Silk Central et exécutés directement via Silk Central . Ceci permet d'offrir des fonctions performantes d'analyse des résultats de test et de création de rapports sur ces résultats. Des tests sans intervention manuelle sont également possibles ; ils sont exécutés automatiquement par Silk Central selon des planifications préconfigurées.
  • Tests Silk Test Classic
    L'interface Silk Test Classic de Silk Central offre un moyen fiable d'automatiser les utilisateurs de Silk Test Classic . Chaque scénario de test d'un script Silk Test Classic s'exécute à l'intérieur de sa propre exécution de test et produit ses propres résultats.
  • Tests Silk Test Workbench
    Silk Test Workbench est un outil de test automatisé permettant d'accélérer le test fonctionnel d'applications complexes. Silk Test Workbench propose une prise en charge des applications de test développées dans une large palette d'outils de développement : Java, .NET, applications Web basées sur navigateur et composants COM, notamment (y compris des contrôles ActiveX et des objets d'automatisation).
  • SilkTestPartner Tests
    TestPartner est un produit Micro Focus qui teste des applications Web et Microsoft Windows utilisant des technologies Microsoft.
  • Tests de Windows Script Host
    Décrit le mode de création d'un environnement destiné à l'hébergement de scripts avec Windows Script Host.
Sujet parent : Gestion des tests


Tests Manuels

Les tests manuels sont des instructions étape par étape pour les testeurs. Silk Central fournit une interface utilisateur pour exécuter efficacement des tests manuels, y compris l'option d'enregistrer des vidéos et d'effectuer des captures d'écran pendant l'exécution des tests. Si vous le souhaitez, les tests manuels peuvent être convertis ultérieurement en tests automatisés.
  • Création ou modification de tests manuels
    Créez ou modifiez un test manuel afin de fournir des instructions détaillées à vos testeurs manuels.
  • Ajout ou modification de pas de test manuel
    Utilisez la page Pas de Tests pour ajouter ou modifier un pas de test manuel.
  • Conversion de tests manuels en tests automatisés
    Convertissez un test manuel en test automatisé avant d'ajouter le test à vos régressions.
  • Conversion de tests automatisés en tests manuels
    Convertissez un test automatisé en test manuel, pour l'automatiser à nouveau avec un autre type de test, par exemple.
  • Page Pas de Tests
    Répertorie tous les pas de tests manuels inclus dans le test ou l'objet partagé sélectionné.
  • Export, mises à jour et import de tests
    Explique comment modifier les tests en les exportant, en les mettant à jour ou en les important.
Sujet parent : Types de test
Concepts associés
Gestion des objets partagés
Versions
Export, mises à jour et import de tests


Création ou modification de tests manuels

Pour ajouter ou modifier un test manuel :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test manuel dans la zone de liste Type.
  6. Dans la zone de texte Durée Prévue, entrez la durée attendue pour l'exécution de ce test manuel.
  7. Cliquez sur Terminer.
Sujet parent : Tests Manuels
Tâches associées
Essai d'exécution d'un test


Ajout ou modification de pas de test manuel

Ajoutez ou modifiez les pas de test manuels d'un test ou d'un objet partagé sur la page Pas de Tests.

Pour ajouter ou modifier un pas de test manuel :

  1. Pour un objet partagé, cliquez sur Tests > Bibliothèques dans le menu. Pour un test, cliquez sur Tests > Vue Détaillée dans le menu.
  2. Sélectionnez le nœud dont vous souhaitez ajouter ou modifier les pas de tests dans l'arborescence Tests ou Bibliothèques.
  3. Cliquez sur l'onglet Pas de tests.
  4. Cliquez sur le pas de test que vous souhaitez modifier, ou utilisez les icônes de la barre d'outils Pas de tests pour insérer un nouveau pas. Les détails du pas de test sont affichés dans la vue Modifier le Pas de Test.
  5. Modifiez le nom, la description de l'action, les résultats attendus et les propriétés du pas de test dans les champs correspondants. Vous pouvez insérer des valeurs de sources de données dans des pas de tests manuels sous forme de paramètres (voir Ajout d'une valeur de source de données à un pas de test manuel). Les paramètres utilisent la syntaxe ${<nom>}, par exemple ${nom_utilisateur}. Lors de la conversion d'un test manuel en test basé sur mots-clés, ces paramètres sont automatiquement ajoutés au mot-clé généré.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  6. Effectuez l'une des actions suivantes pour terminer la modification du pas de test :
    • Cliquez sur OK et Nouveau Pas de Test pour enregistrer vos modifications et ajouter un nouveau pas après le pas de test actuel.
    • Cliquez sur OK pour enregistrer vos modifications.
    • Cliquez sur Annuler pour annuler vos modifications.
Sujet parent : Tests Manuels
Sujet parent : Gestion des objets partagés
Tâches associées
Ajout d'une valeur de source de données à un pas de test manuel


Conversion de tests manuels en tests automatisés

Vous pouvez convertir un test manuel dans un type de test automatisé pris en charge, par exemple basé sur mots-clés, Silk Performer, Silk Test Classic, NUnit et JUnit, ainsi que dans tous les plug-ins installés. Le processus transfère les paramètres de test manuel vers le test automatisé, et ajoute des paramètres automatisés au nouveau test automatisé.

Les paramètres de test manuel transférés vers les tests automatisés sont les suivants :
  • Nom
  • Description
  • Exigences Assignées
  • Plans d'Exécution Assignés
  • Incidents assignés
  • Pièces jointes
  • Pas de tests

Pour convertir un test manuel en un test automatisé :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit sur le test manuel dans l'arborescence Tests et sélectionnez Automatiser avec.
  3. Sélectionnez le type de test automatisé dans le menu contextuel.
  4. Pour plus d'informations sur le remplissage des champs de la boîte de dialogue, reportez-vous à la rubrique appropriée dans Création de tests.
Sujet parent : Tests Manuels
Concepts associés
Gestion des tests
Tâches associées
Exécution manuelle de tests automatisés
Tests basés sur mots-clés


Conversion de tests automatisés en tests manuels

Vous pouvez convertir un test automatisé en test manuel. Cela est utile, par exemple, si vous souhaitez convertir un test automatisé en un autre type de test, par exemple de Silk Test Classic vers Silk4J. Dans ce cas, vous convertirez le test Silk Test Classic en test manuel, puis vous l'automatiserez avec Silk4J.
Remarque : Restrictions : la conversion d'un test automatisé en test manuel est uniquement possible dans le cas d'un test automatisé standard, ce qui exclut les nœuds de package, les nœuds pilotés par les données et les nœuds liés.
  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit sur le test dans l'arborescence Tests et sélectionnez Convertir en Test Manuel.
  3. Confirmez le message.
    ATTENTION :
    Les propriétés spécifiques au type de test sont supprimées. Si un test automatisé est en cours d'exécution, les résultats du test sont supprimés une fois l'exécution du test terminée.
Sujet parent : Tests Manuels


Page Pas de Tests

Tests > Vue Détaillée > <test manuel> > Pas de Tests

Tests > Bibliothèques > <objet partagé> > Pas de Tests

La page Pas de Tests répertorie tous les pas de tests manuels inclus dans le test ou l'objet partagé sélectionné. Cette page prend en charge la fonctionnalité standard de sélection multiple de styles de l'Explorateur Windows.

Pour créer un objet partagé, sélectionnez les pas de tests que vous voulez partager et cliquez sur Créer des Pas de Tests Partagés.

La page inclut les éléments de barre d'outils suivants :

Elément de barre d'outils | Description
Nouveau pas de test | Ajoutez un nouveau pas de test à la fin de la liste.
Insérer un pas de test | Insérez un nouveau pas de test avant le pas de test sélectionné.
Nouvel appel aux pas de tests partagés | Ajoutez un appel à un objet partagé à la fin de la liste.
Insérer un appel à des pas de tests partagés | Ajoutez un appel à des pas de test partagés d'une bibliothèque avant le pas de test sélectionné.
Supprimer | Supprimez les pas de tests sélectionnés dans la liste.
Couper | Coupez le pas de test sélectionné dans la liste et déplacez-le vers le presse-papiers.
Copier | Copiez les pas de tests sélectionnés dans le presse-papiers.
Coller | Collez une copie des pas de test contenus dans le presse-papiers sur la ligne située au-dessus du pas sélectionné dans la liste.
Déplacer vers le haut | Déplacez le pas de test sélectionné d'un cran vers le haut dans la liste.
Déplacer vers le bas | Déplacez le pas de test sélectionné d'un cran vers le bas dans la liste.
Gérer les pièces jointes Ouvre la boîte de dialogue Pièces Jointes, qui permet de réaliser les actions suivantes :
Télécharger le fichier
Téléchargez et attachez un fichier au pas de test sélectionné.
Attacher un lien
Attachez un lien au pas de test sélectionné.
Télécharger tous les fichiers
Téléchargez tous les fichiers joints à partir du pas de test sélectionné.
Supprimer
Supprimez le fichier ou le lien.
Développer l'arborescence des pas de tests partagés | Lorsque les pas du test ou de l'objet partagé appellent un objet partagé dans une bibliothèque, cliquez ici pour afficher les pas de tests d'origine. Les pas de tests résolus sont indiqués par une flèche ; vous pouvez y accéder en cliquant sur leur nom. Vous ne pouvez pas modifier les pas de tests lorsque cette vue est activée.
Réduire l'arborescence des pas de tests partagés | Affichez les pas de tests appelés depuis un objet partagé dans une bibliothèque sous la forme d'un pas de test unique. Activez cette vue pour modifier les pas de tests.
Créer des pas de tests partagés | Créez un objet partagé à partir des pas de test sélectionnés.
Extraire de la bibliothèque | Extrayez les appels issus d'autres objets partagés. Cette option copie tous les pas de tests des appels que vous avez sélectionnés dans la grille vers le test manuel ou l'objet partagé.
La page Pas de Tests prend en charge les raccourcis clavier suivants pour les éléments de test :
Touches | Action
- | Déplacer vers le haut
+ | Déplacer vers le bas
Ctrl + A | Sélectionner tout
Ctrl + C | Copier
Ctrl + X | Couper
Ctrl + V | Coller
Inser | Insérer
Suppr | Supprimer

Les pas de tests sont affichés dans une grille avec les colonnes suivantes :

Colonne | Description
Ordre | Numéro du pas de test dans la séquence d'exécution.
Nom | Nom du pas de test.
Description de l'action | Action que vous devez effectuer pour exécuter le pas de test.
Résultats attendus | Résultat attendu du pas de test.
Pièces jointes | Quantité de liens ou de fichiers qui sont joints au pas de test.

La vue Modifier le Pas de Test affiche les détails du pas de test sélectionné et permet d'en modifier le nom, la description de l'action, les résultats attendus et les propriétés.

Les boutons suivants sont disponibles dans la vue Modifier le Pas de Test :

Bouton | Description
OK et nouveau pas de test | Cliquez lorsque vous avez terminé de modifier le pas de test actuel et que vous souhaitez enregistrer vos changements et ajouter un nouveau pas de test après celui en cours.
OK | Cliquez une fois que vous avez fini de modifier le pas de test actuel et que vous voulez enregistrer vos changements.
Rétablir | Cliquez pour annuler vos changements.
Sujet parent : Tests Manuels
Sujet parent : Gestion des objets partagés


Export, mises à jour et import de tests

L'intégration de Silk Central avec Excel vous permet d'utiliser deux options distinctes pour modifier vos tests, à savoir :

  • Exporter et mettre à jour : cette option vous permet de créer des tests dans Silk Central, de les exporter vers Excel pour apporter des modifications, puis de répercuter les mises à jour dans Silk Central.
  • Importer : cette option vous permet de créer des tests dans Excel, puis de les importer dans Silk Central .

Dans les deux cas, vous avez besoin d'un fichier de mappage pour synchroniser les colonnes entre les deux applications.

Remarque : Actuellement,Silk Central prend uniquement en charge les fichiers.xslx pour l'import, lequel se limite aux tests manuels.
  • Règles d'export, de mise à jour et d'import
    Décrit le comportement qui s'applique lors des processus d'import, d'export et de mise à jour.
  • Export et mise à jour de test
    Décrit comment exporter et mettre à jour des tests.
  • Import de test
    Explique comment importer un test depuis Microsoft Excel.
  • Fichier de mappage
    Décrit le fichier de mappage utilisé pour la mise à jour et l'import de tests.
  • Gestion des versions de tests
    Décrit la gestion des versions de tests lors d'une mise à jour ou d'un import depuis Excel.
Sujet parent : Tests Manuels
Concepts associés
Tests Manuels


Règles d'export, de mise à jour et d'import

Les règles métier suivantes s'appliquent lors des processus d'export, de mise à jour et d'import :

Règles générales

  • Si une ligne de test ne comporte pas de TestID ou de Chemin d'accès dans Excel, elle est considérée comme un nouveau test et créée dans un nouveau dossier du conteneur de tests à partir duquel la fonction d'import a été exécutée.
  • Vous pouvez ajouter des ID de tests existants pour actualiser les tests lors des mises à jour et des ID de pas de tests partagés pour ajouter de nouveaux pas de tests partagés lors des imports/mises à jour.
  • Les nouveaux tests automatiques ne sont ni importés ni mis à jour.
  • Les valeurs des attributs hérités ne sont pas exportées.
  • Si un test est transféré dans une autre hiérarchie de dossiers dans Excel, le transfert est ignoré durant la mise à jour.
  • Si un test est manquant dans Excel (car il a été supprimé), il n'est pas supprimé lors de la mise à jour.
  • Le processus d'import utilise la colonne Chemin d'accès pour les (nouveaux) noms de dossier.
  • Il est impossible d'utiliser A-Z comme nom de colonne personnalisée. Ceci est réservé aux A-Z d'Excel, qui peuvent être utilisés pour le mappage.

Pas de tests partagés

  • Ils sont ajoutés pour l'import et la mise à jour.
  • Ils sont supprimés et réorganisés pour la mise à jour.
  • Ils ne seront pas mis à jour.
  • Si le paramètre Excel SharedStepID n'existe pas dans Silk Central , une erreur est signalée.

Tests pilotés par les données

  • Les tests enfants pilotés par les données non atomiques ne sont pas exportés.
  • Tous les tests peuvent être importés, mais leurs propriétés pilotées par les données ne peuvent pas être exportées vers ou importées depuis Excel.
  • La mise à jour à partir d'Excel est prise en charge uniquement si le dossier cible ne contient pas de tests pilotés par les données.
Sujet parent : Export, mises à jour et import de tests


Export et mise à jour de test

Cette section décrit comment exporter et mettre à jour des tests pour Microsoft Excel dans Silk Central.

Utilisez la fonction d'export et mise à jour vers Excel pour pouvoir apporter des modifications en volume à des tests existants.

Remarque : Les champs suivants ne sont pas modifiables dans Excel : État, Type de Test, ID du Pas de Test et Ordre du Pas de Test.

Présentation de l'export et de la mise à jour

La section qui suit décrit le processus d'export et de mise à jour :

  • Sélectionnez le conteneur ou le dossier.
  • Exportez-le vers Excel.
  • Apportez des modifications dans Excel.
  • Vérifiez/créez le fichier de mappage.
  • Réimportez le fichier dans Silk Central pour le mettre à jour.
  • Export d'un test dans Excel
    Décrit la procédure à suivre pour exporter des tests dans Excel.
  • Mise à jour d'un test à partir d'Excel
    Téléchargez un test depuis Silk Central vers Excel pour le mettre à jour dans Excel.
Sujet parent : Export, mises à jour et import de tests


Export d'un test dans Excel

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit sur le conteneur ou le dossier de tests comportant les tests que vous souhaitez exporter.
  3. Sélectionnez Exporter vers Excel... La boîte de dialogue Export des tests vers Excel s'affiche.
  4. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est TestPropertiesDefaultMapping.xml. Pour plus d’informations sur la création de fichiers de mappage personnalisés, reportez-vous à la rubrique Modification du fichier de mappage de test.
  5. Facultatif : cliquez sur [image] pour modifier le fichier de mappage. Cliquez sur [image] pour supprimer le fichier de mappage.
    Remarque : Ces actions nécessitent les autorisations Modifier les fichiers de mappage d'import Office/Supprimer les fichiers de mappage d'import Office, respectivement.
  6. Cliquez sur OK.
Les informations sur le test sont enregistrées dans le fichier Excel pour que vous puissiez les modifier.
Sujet parent : Export et mise à jour de test
Tâches associées
Mise à jour d'un test à partir d'Excel
Modification du fichier de mappage de test


Mise à jour d'un test à partir d'Excel

Pour mettre à jour un test à partir d'Excel, vous devez d'abord l'exporter depuis Silk Central.
  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit sur un conteneur ou un dossier de tests qui contient les tests que vous voulez mettre à jour.
  3. Sélectionnez Mettre à jour depuis Excel... La boîte de dialogue Mettre à jour les tests à partir d'un fichier Excel s'ouvre.
  4. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est TestPropertiesDefaultMapping.xml. Pour plus d’informations sur la création de fichiers de mappage personnalisés, reportez-vous à la rubrique Modification du fichier de mappage de test.
  5. Facultatif : cliquez sur [image] pour modifier le fichier de mappage. Cliquez sur [image] pour supprimer le fichier de mappage.
    Remarque : Ces actions nécessitent les autorisations Modifier les fichiers de mappage d'import Office/Supprimer les fichiers de mappage d'import Office, respectivement.
  6. Sélectionnez le fichier Excel dans le champ Fichier de test (.xlsx).
  7. Cliquez sur OK.
Sujet parent : Export et mise à jour de test
Tâches associées
Export d'un test dans Excel
Modification du fichier de mappage de test


Import de test

Cette section décrit comment importer des tests depuis Microsoft Excel vers Silk Central.

Silk Central vous permet d'importer des tests depuis Microsoft Excel (Excel) vers tout conteneur ou dossier de l'espace Tests, puis de gérer et d'exécuter tous les tests importés dans Silk Central. L'import est un événement ponctuel.

Avant d'importer des tests, vous devez créer un fichier de test dans Excel. Pour plus d'informations, reportez-vous à la rubrique Fichier de test.

Silk Central utilise les informations stockées dans le fichier Excel et dans un fichier de mappage pour déterminer quelles sont les données à stocker. Silk Central utilise un fichier de mappage pour mettre en correspondance les tests du fichier Excel avec ceux de l'espace Tests. Un fichier de mappage par défaut, nommé TestPropertiesDefaultMapping.xml, est présélectionné pour l'import. Vous pouvez choisir un fichier de mappage personnalisé pour mettre vos tests en correspondance. Pour plus d'informations sur les fichiers de mappage, reportez-vous à la rubrique Modification du fichier de mappage de test.

  • Import d'un test à partir d'un fichier Excel
    Importez un test à partir d'un fichier Microsoft Excel pour l'ajouter à l'espace Tests.
  • Fichier de test
    Décrit le contenu du fichier Excel de test, à partir duquel vous pouvez importer des tests.
Sujet parent : Export, mises à jour et import de tests
Concepts associés
Fichier de test
Tâches associées
Modification du fichier de mappage de test


Import d'un test à partir d'un fichier Excel

Pour importer un test à partir d'un fichier Excel dans l'espace Tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, faites un clic droit sur le dossier ou le conteneur que vous souhaitez utiliser comme nœud parent du test importé et choisissez Importer depuis un fichier Excel. La boîte de dialogue Importer des Tests depuis un Fichier Excel s'affiche.
  3. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est TestPropertiesDefaultMapping.xml. Pour plus d’informations sur la création de fichiers de mappage personnalisés, reportez-vous à la rubrique Modification du fichier de mappage de test.
  4. Facultatif : cliquez sur [image] pour modifier le fichier de mappage. Cliquez sur [image] pour supprimer le fichier de mappage.
    Remarque : Ces actions nécessitent les autorisations Modifier les fichiers de mappage d'import Office/Supprimer les fichiers de mappage d'import Office, respectivement.
  5. Cochez la case Import ponctuel pour importer les tests directement dans le nœud sélectionné sans créer de dossier racine commun.
  6. Saisissez le nom complet du fichier de test dans le champ Fichier de test ou cliquez sur Choisir un fichier pour rechercher le fichier de test.
  7. Cliquez sur OK.
Sujet parent : Import de test
Concepts associés
Fichier de test
Tâches associées
Modification du fichier de mappage de test


Fichier de test

Vous pouvez créer un fichier de test dans Excel afin d'importer des tests dansSilk Central. Dans le fichier de test, vous pouvez définir tous les tests et les pas de test, ainsi que leurs propriétés, attributs et paramètres.

Pour mettre en correspondance les tests de votre fichier de test avec les tests deSilk Central, utilisez un fichier de mappage XML. Le fichier de mappage définit l'emplacement des éléments dans votre fichier de test pourSilk Central. Vous pouvez attribuer aux éléments du fichier de test le nom de votre choix, à condition de les mettre en correspondance correctement dans le fichier de mappage. Pour plus d'informations sur les fichiers de mappage, reportez-vous à la rubrique Modification du fichier de mappage de test.

Remarque : Actuellement,Silk Central prend uniquement en charge les fichiers.xslx pour l'import, lequel se limite aux tests manuels.

Mappages de Propriétés

Cliquez sur Modifier le Mappage dans la boîte de dialogue Importer des tests depuis un fichier Excel ou Mettre à jour les tests depuis un fichier Excel pour mapper comme suit les tests de votre fichier Excel avec Silk Central :
  • Ligne d'En-Tête : spécifiez la ligne de votre fichier Excel qui contient les noms de colonnes à utiliser pour le mappage des propriétés.
  • Première Ligne de Données : spécifiez la ligne qui contient le premier test. Cette ligne, ainsi que toutes les lignes suivantes, seront interprétées comme étant des tests.
  • Caractères Séparateurs : spécifiez les caractères devant être interprétés comme des séparateurs au sein des valeurs de propriétés. Ce paramètre est utilisé pour les propriétés à plusieurs listes.
  • Nom, Description : spécifiez les noms de colonnes de la ligne d'en-tête qui sont mappés au nom du test et ceux qui sont mappés à la description de l'exigence.
  • Durée prévue : Durée prévue pour l'exécution de ce test manuel.
  • Propriétés de Pas de Test : Nom, description d'action et résultat attendu du pas de test.
  • ID d'exigences assignées : Si des exigences devaient être assignées au test, spécifiez l'ID de ces exigences sous forme de liste séparée par des virgules. Assurez-vous que cette colonne est formatée en tant que "Texte" dans Excel, sinon l'affectation pourrait ne pas fonctionner.
Sujet parent : Import de test
Tâches associées
Modification du fichier de mappage de test


Fichier de mappage

Le fichier de mappage est utilisé durant la mise à jour lors d'un export ou d'une mise à jour et durant l'import quand les données alimentent Silk Central depuis Excel.

  • Modification du fichier de mappage de test
    Modifiez le fichier de mappage de test directement à partir de l'interface utilisateur lors de l'import d'un test à partir d'un fichier Excel.
Sujet parent : Export, mises à jour et import de tests


Modification du fichier de mappage de test

L'autorisation Modifier les fichiers de mappage d'import Office est nécessaire afin de modifier le fichier de mappage :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, faites un clic droit sur le dossier ou le conteneur que vous souhaitez utiliser comme nœud parent du test importé et choisissez Importer depuis un fichier Excel. La boîte de dialogue Importer des Tests depuis un Fichier Excel s'affiche.
  3. Cliquez sur Modifier le Mappage. La boîte de dialogue Modifier le Mappage s'affiche.
  4. Modifiez les variables du fichier de test dans les zones de texte.
    Remarque : Pour plus d'informations sur les variables incluses dans le fichier de test, reportez-vous à la rubrique Fichier de test.
  5. Facultatif : modifiez le nom du fichier de mappage.
  6. Cliquez sur OK pour enregistrer vos modifications ou cliquez sur Annuler pour annuler ces modifications.
Sujet parent : Fichier de mappage
Concepts associés
Fichier de test


Gestion des versions de tests

Silk Central crée des versions de tests lors de l'import et de la mise à jour des processus.

Lorsque vous effectuez une mise à jour d'Excel vers Silk Central , deux nouvelles versions de l'arborescence des tests sont créées. Le processus de gestion des versions enregistre un instantané avant et après le processus de mise à jour.

Exporter-Mettre à Jour

Les tests contiennent des commentaires par défaut pour préciser que leur mise à jour a été effectuée depuis Excel s'ils ont été ajoutés ou modifiés.

Importer

Les tests contiennent les commentaires par défaut de Créé.

Sujet parent : Export, mises à jour et import de tests
Tâches associées
Mise à jour d'un test à partir d'Excel


Tests basés sur mots-clés

Un test basé sur mots-clés est une méthodologie de tests logiciels qui sépare la conception de test du développement de test et qui permet donc l'implication d'autres professions, par exemple des analystes, dans le processus d'automatisation des tests. Silk Central et Silk Test prennent en charge la méthodologie de tests basés sur mots-clés et permettent une collaboration très étroite entre les ingénieurs spécialisés dans l'automatisation et les analystes en demandant aux ingénieurs spécialisés dans l'automatisation de développer une infrastructure d'automatisation gérable composée de ressources partagées sous la forme de mots-clés dans Silk Test. Ces mots-clés peuvent alors être utilisés par des analystes soit dans Silk Test pour créer de nouveaux tests basés sur mots-clés soit dans Silk Central pour convertir leurs ressources de tests manuels existantes en tests automatisés ou pour créer de nouveaux tests basés sur mots-clés.

  • Un test basé sur mots-clés est une séquence de mots-clés. Vous pouvez lire un test basé sur mots-clés comme tout autre test.
  • Une séquence de mots-clés est un mot-clé qui est une combinaison d'autres mots-clés. Les séquences de mots-clés regroupent des combinaisons de mots-clés souvent rencontrées en un seul mot-clé, réduisant les efforts de maintenance et gardant vos tests bien organisés.
  • Un mot-clé est une combinaison définie d'une ou de plusieurs actions sur un objet de test. L'implémentation d'un mot-clé peut être effectuée avec divers outils et langages de programmation, par exemple Java ou .NET.

Deux phases sont nécessaires pour créer des tests basés sur mots-clés :
  1. Conception du test.
  2. Implémentation des mots-clés.
  • Avantages des tests basés sur mots-clés
    Répertorie les avantages de l'utilisation de la méthodologie de tests basés sur mots-clés pour effectuer des tests fonctionnels et de régression.
  • Mots-clés
    Décrit les mots-clés et comment les utiliser.
  • Vue d'ensemble de l'automatisation des tests
    Décrit l'automatisation des tests et les infrastructures d'automatisation des tests.
  • Création d'un test basé sur mots-clés dans Silk Central
    Créez un test basé sur mots-clés pour votre infrastructure d'automatisation des tests.
  • Création d'un test basé sur mots-clés en automatisant un test manuel
    Convertissez un test manuel dans Silk Central en test automatisé basé sur mots-clés pour votre infrastructure d'automatisation des tests.
  • Gestion de mots-clés dans un test
    Gérez les mots-clés dans votre test basé sur mots-clés afin de spécifier la séquence des actions.
  • Gestion de mots-clés dans une bibliothèque
    Gérez les mots-clés dans votre séquence de mots-clés afin de spécifier la séquence des actions.
  • Tests basés sur mots-clés sur plusieurs navigateurs
    Exécutez des tests basés sur mots-clés sur plusieurs navigateurs, au moyen de paramètres.
  • Création d'une bibliothèque basée sur mots-clés avec Java
    Utilisez Java pour créer une bibliothèque basée sur des mots-clés que vous pourrez charger sur Silk Central. Cette bibliothèque vous permet d'intégrer facilement votre infrastructure de tests dans Silk Central, par exemple si vous avez déjà des tests Selenium.
  • Téléchargement d'une bibliothèque de mots-clés à partir de la ligne de commande
    Téléchargez une bibliothèque de mots-clés externe à partir d'une ligne de commande Java pour intégrer Silk Central et vos tests basés sur mots-clés dans votre système de création de builds à intégration continue (Jenkins, par exemple).
  • Exécution de tests basés sur mots-clés Silk4J/Silk4NET sans chargement de bibliothèque
    Exécutez des tests basés sur mots-clés Silk4J/Silk4NET dans Silk Central sans avoir à charger une bibliothèque de mots-clés.
  • Exemple : mots-clés avec des paramètres
    Décrit l'utilisation de mots-clés avec des paramètres.
  • Quels sont les mots-clés recommandés par Silk Central ?
    Décrit l'algorithme de base appliqué par Silk Central pour recommander les mots-clés à utiliser dans des tests basés sur mots-clés.
Sujet parent : Types de test


Avantages des tests basés sur mots-clés

Utiliser une méthodologie de tests basés sur mots-clés présente les avantages suivants :
  • Le test basé sur mots-clés sépare l'automatisation des tests de la conception de cas de test, ce qui permet une meilleure répartition du travail et une meilleure collaboration entre les ingénieurs de test qui implémentent les mots-clés et les experts qui conçoivent les cas de test.
  • Les tests peuvent être développés de manière anticipée, sans nécessiter d'accès à l'application en cours de test, et les mots-clés peuvent être implémentés ultérieurement.
  • Les tests peuvent être développés sans connaissance en programmation.
  • A long terme, les tests basés sur mots-clés nécessitent une maintenance moindre. Vous ne devez gérer que les mots-clés. Tous les tests basés sur ces mots-clés sont automatiquement mis à jour.
  • Les cas de test sont concis.
  • Les cas de test sont faciles à lire et à comprendre, même pour un public non initié.
  • Les cas de test sont faciles à modifier.
  • De nouveaux cas de test peuvent réutiliser des mots-clés existants qui facilitent notamment l'obtention d'une plus grande couverture de test.
  • La complexité interne de l'implémentation des mots-clés n'est pas visible pour un utilisateur qui doit créer ou exécuter un test basé sur mots-clés.
Sujet parent : Tests basés sur mots-clés


Mots-clés

Un mot-clé est une combinaison définie d'une ou de plusieurs actions sur un objet de test. L'implémentation d'un mot-clé peut être effectuée avec divers outils et langages de programmation, par exemple Java ou .NET. Dans Silk Test, un mot-clé est une méthode de test annotée (@Keyword). Les mots-clés sont enregistrés comme éléments de mot-clé.

Vous pouvez concevoir et gérer les tests basés sur mots-clés et les mots-clés associés dans Silk Central, alors que l'implémentation s'effectue dans un outil de tests fonctionnels. Silk Central et Silk Test prennent en charge la méthodologie de tests basés sur mots-clés et permettent une collaboration très étroite entre les ingénieurs spécialisés dans l'automatisation et les analystes en demandant aux ingénieurs spécialisés dans l'automatisation de développer une infrastructure d'automatisation gérable composée de ressources partagées sous la forme de mots-clés dans Silk Test. Ces mots-clés peuvent alors être utilisés par des analystes soit dans Silk Test pour créer de nouveaux tests basés sur mots-clés soit dans Silk Central pour convertir leurs ressources de tests manuels existantes en tests automatisés ou pour créer de nouveaux tests basés sur mots-clés.

Une séquence de mots-clés est un mot-clé qui est une combinaison d'autres mots-clés. Les séquences de mots-clés regroupent des combinaisons de mots-clés souvent rencontrées en un seul mot-clé, réduisant les efforts de maintenance et gardant vos tests bien organisés.

Sujet parent : Tests basés sur mots-clés


Vue d'ensemble de l'automatisation des tests

L'automatisation des tests désigne l'utilisation de logiciels pour contrôler l'exécution de tests en utilisant des vérifications pour comparer les résultats réels et les résultats attendus de l'exécution.

Une infrastructure d'automatisation des tests est un système intégré qui définit les règles d'automatisation d'une application spécifique. Ce système intègre les tests, les sources de données de tests, les détails d'objet et divers modules réutilisables. Ces composants doivent être assemblés pour représenter un processus métier. Cette infrastructure constitue la base de l'automatisation des tests et facilite l'effort d'automatisation.

Sujet parent : Tests basés sur mots-clés


Création d'un test basé sur mots-clés dans Silk Central

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un nœud de conteneur ou de dossier dans l'arborescence Tests dans laquelle insérer un nouveau test.
  3. Cliquez sur Nouveau Test Enfant (Nouveau Test Enfant) dans la barre d’outils ou faites un clic droit sur l’arborescence et choisissez Nouveau Test Enfant.

    Un nouveau nœud de test est ajouté à la vue arborescente, et la boîte de dialogue Nouveau Test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Dans la liste Type, sélectionnez le type de test Test basé sur mots-clés.
  6. Sélectionnez la bibliothèque contenant les mots-clés que vous voulez utiliser. Vous devez indiquer la bibliothèque pour stocker l'ensemble des mots-clés utilisés par le test basé sur mots-clés.
  7. Cliquez sur Terminer.
Sujet parent : Tests basés sur mots-clés


Création d'un test basé sur mots-clés en automatisant un test manuel

Pour convertir un test manuel en test basé sur mots-clés dans Silk Central :
  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Cliquez avec le bouton droit sur le test manuel dans l'arborescence Tests et sélectionnez Automatiser avec... > Test basé sur mots-clés dans le menu contextuel. La boîte de dialogue Propriétés Test basé sur mots-clés s'affiche.
  3. Sélectionnez la bibliothèque contenant les mots-clés que vous voulez utiliser. Vous devez indiquer la bibliothèque pour stocker l'ensemble des mots-clés utilisés par le test basé sur mots-clés.
  4. Cliquez sur Terminer.
L'automatisation d'un test manuel comme test basé sur mots-clés génère les éléments suivants :
  • Le test manuel est converti en test automatisé basé sur mots-clés contenant un mot-clé non implémenté pour chaque pas de test. Ces mots-clés sont ajoutés à la bibliothèque qui a été sélectionnée pour ce test.
  • Si le test contient des appels à des pas partagés qui existent déjà en tant que séquences de mots-clés, ces séquences sont référencées.
  • Si le test contient des appels à des pas partagés qui n'existent pas en tant que séquences de mots-clés, ces objets de pas partagés sont référencés et améliorés pour être également des séquences de mots clés, contenant un mot-clé non implémenté pour chaque pas de test. Cela s'applique également aux pas partagés imbriqués (pas partagés qui référencent d'autres pas partagés). Si la hiérarchie de pas partagés imbriqués contient plus de 30 niveaux, les mots-clés non implémentés pour les appels à des pas partagés en dessous de ce niveau sont créés.
  • Si le test contient des appels à des pas partagés qui se trouvent dans une autre bibliothèque, les mots-clés non implémentés de ces pas sont créés et référencés.

Si vos pas de tests contiennent des paramètres auxquels vous voulez accéder dans les mots-clés générés, la description de l'action d'un pas de test doit utiliser la bonne syntaxe. Les paramètres utilisent la syntaxe ${<nom>}, par exemple ${nom_utilisateur}. Lors de la conversion d'un test manuel en test basé sur mots-clés, ces paramètres sont automatiquement ajoutés au mot-clé généré.

Sujet parent : Tests basés sur mots-clés


Gestion de mots-clés dans un test

Tests > Vue Détaillée > <test> > Mots-clés
La page Mots-clés vous permet de gérer les mots-clés du test basé sur mots-clés sélectionné. Vous pouvez effectuer les actions suivantes :
Tâche | Etapes
Ouverture d'un test ou d'une séquence de mots-clés dans Silk Test | Cliquez sur Ouvrir avec Silk Test pour ouvrir le test ou la séquence de mots-clés sélectionné(e) dans Silk Test.
Ajout d'un mot-clé
  1. Cliquez sur Nouveau mot-clé en bas de la liste de mots-clés ou faites un clic droit sur un mot-clé et choisissez Insérer mot-clé dessus dans le menu contextuel.
    Remarque : Vous pouvez laisser à Silk Central le soin de recommander des mots-clés en fonction de leur utilisation. Activez ou désactivez la recommandation de mots-clés à l'aide de l'option Activer les recommandations ou Désactiver les recommandations du menu contextuel. Pour plus d'informations, reportez-vous à la rubrique Quels sont les mots-clés recommandés par Silk Central ?.
  2. Sélectionnez un mot-clé dans la liste des mots-clés disponibles ou saisissez un nouveau nom pour créer un mot-clé.
  3. Cliquez sur Enregistrer.
Vous pouvez également double-cliquer sur un mot-clé existant dans le volet Tous les mots-clés qui se trouve sur la droite, ou encore le faire glisser et le déposer.
Conseil : Vous pouvez sélectionner plusieurs mots-clés à l'aide de la combinaison Ctrl + clic. Lorsque vous les déposez, ils sont classés dans l'ordre où vous les avez sélectionnés.
Suppression d'un mot-clé | Cliquez sur Supprimer dans la colonne Actions du mot-clé que vous souhaitez supprimer. Cliquez sur Enregistrer.
Changement de l'ordre des mots-clés | Utilisez la fonction « glisser-déplacer » pour placer un mot-clé à l'endroit voulu. Cliquez sur Enregistrer.
Création d'une séquence de mots-clés (mot-clé composé d'autres mots-clés)
  1. Dans la liste des mots-clés, sélectionnez ceux que vous voulez combiner. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic sur la colonne de numéro de ligne pour sélectionner plusieurs mots-clés.
  2. Faites un clic droit sur votre sélection et cliquez sur Combiner.
  3. Renseignez les champs Nom et Description pour la nouvelle séquence de mots-clés.
Extraction de mots-clés d'une séquence de mots-clés | Faites un clic droit sur une séquence de mots-clés et cliquez sur Extraire les mots-clés. La séquence de mots-clés d'origine est remplacée par les mots-clés qu'elle contenait, mais elle n'est pas supprimée de la bibliothèque. Cliquez sur Enregistrer.
Copier et coller des mots-clés dans les tests ou les séquences de mots-clés
  1. Dans la liste des mots-clés, sélectionnez ceux que vous voulez copier. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic sur la colonne de numéro de ligne pour sélectionner plusieurs mots-clés.
  2. Appuyez sur Ctrl +C pour copier votre sélection, ou sur Ctrl +X si vous voulez déplacer les mots-clés.
  3. Ouvrez le test ou la séquence de mots-clés dans lequel vous souhaitez copier les mots-clés et sélectionnez la ligne au-dessus de celle dans laquelle les mots-clés seront insérés.
  4. Appuyez sur Ctrl+V.
Conseil : Vous pouvez également coller vos mots-clés sélectionnés dans Excel, puis les copier et les coller dans vos tests ou vos séquences de mots-clés.
Définition de paramètres d'une séquence de mots-clés
  1. Cliquez sur Paramètres au-dessus de la liste des mots-clés. La boîte de dialogue Paramètres s'affiche.
  2. Cliquez sur Ajouter un paramètre.
  3. Saisissez un Nom pour le nouveau paramètre. S'il s'agit d'un paramètre sortant (c'est-à-dire qu'il retourne une valeur et qu'il ne nécessite pas de valeur d'entrée), cochez la case Sortie.
  4. Cliquez sur OK.
  5. Cliquez sur Enregistrer.
Remarque : Un mot-clé ou une séquence de mots-clés peut inclure un total combiné de 20 paramètres d'entrée et de sortie.
Modification d'un mot-clé non implémenté
  1. Cliquez sur Modifier dans la colonne Actions du mot-clé non implémenté que vous souhaitez modifier.
  2. Sélectionnez un Groupe ou indiquez un nouveau groupe pour le mot-clé.
  3. Saisissez une Description pour le mot-clé. Cette information est précieuse pour l'ingénieur chargé d'implémenter le mot-clé.
  4. Cliquez sur OK.
  5. Facultatif : cliquez sur un champ de paramètre pour ajouter des paramètres au mot-clé. Si le mot-clé est implémenté avec Silk Test, ces paramètres apparaîtront dans le bouchon créé.
  6. Cliquez sur Enregistrer.
Recherche d'un mot-clé
Pour trouver un mot-clé donné, utilisez le champ de recherche du volet Tous les mots-clés, situé dans la à droite. Lorsque vous saisissez des caractères alphanumériques, toutes les correspondances existantes sont automatiquement intégrées à la liste. Conseils pour la recherche :
  • La recherche est insensible à la casse : en entrant doAction vous trouverez aussi des résultats pour doaction et DOAction.
  • Entrez uniquement des lettres majuscules pour effectuer une recherche en mettant en majuscule la première lettre des mots liés (CamelCase ) : EDC permettra de trouver les entrées Entrer détails camion, Entrer détails contact et EntrerDétailsContact.
  • Les noms de mots-clés et de groupes sont pris en compte : en entrant test vous trouverez tous les mots-clés qui contiennent la chaîne de caractères test, ainsi que tous les mots-clés des groupes dont le nom contient aussi la chaîne test.
  • ? remplace de zéro à un caractère : en entrant test?utilisateur vous trouverez des résultats pour testUtilisateur et testsUtilisateur.
  • * remplace de 0 à n caractères : en entrant mon*motclé vous trouverez aussi des résultats pour monMotclé, monNouveauMotclé et mon_autre_motclé.
  • <chaîne>. limite la recherche aux noms de groupes : en entrant groupe. vous trouverez tous les mots-clés des groupes dont le nom contient la chaîne de caractères groupe.
  • .<chaîne> limite la recherche aux noms de mots-clés : en entrant .motclé vous trouverez tous les mots-clés contenant la chaîne de caractères motclé.
  • <chaîne>.<chaîne> recherche un mot-clé dans un groupe donné : en entrant groupe.mot vous trouverez monMotclé dans le groupe monGroupe.
  • Utilisez des guillemets pour rechercher une correspondance exacte : 'Contact' permettra de trouver les entrées Contact et MonContact, mais pas contact.
Recherche de mots-clés non implémentés dans la bibliothèque | Si vous souhaitez basculer dans la bibliothèque contenant les mots-clés non implémentés du test ou de la séquence de mots-clés sélectionné(e), cliquez sur Draft keywords dans le coin supérieur droit de la page de l'éditeur.
Sujet parent : Tests basés sur mots-clés
Concepts associés
Mise en cache des données dans les tests
Référence associée
Gestion de mots-clés dans une bibliothèque
Quels sont les mots-clés recommandés par Silk Central ?


Gestion de mots-clés dans une bibliothèque

La page Mots-clés propose deux vues de Tests > Bibliothèques, en fonction de l'objet sélectionné.

Bibliothèque

Si l'objet sélectionné est une bibliothèque, tous les mots-clés et les séquences de mots-clés dans cette bibliothèque sont affichés. Les bibliothèques qui contiennent des bibliothèques de mots-clés téléchargées sont accompagnées du symbole [image]. Vous pouvez effectuer les actions suivantes :
Tâche | Pas de tests
Implémentation d'un mot-clé (ajout de code pour pouvoir exécuter le mot-clé dans un test) Conditions préalables : Si le mot-clé contient des paramètres, vous devez spécifier une valeur pour chaque paramètre avant d'implémenter le mot-clé.
  1. Cliquez sur Implémenter avec Silk Test (Implémenter avec Silk Test) dans la colonne Actions du mot-clé que vous souhaitez implémenter.
    Remarque : Si un avertissement de sécurité s'affiche dans votre navigateur car vous ouvrez une application externe, confirmez l'ouverture.
  2. Le client Silk Test s'ouvre. Pour obtenir des informations détaillées, reportez-vous à la documentation du client Silk Test.
  3. Une fois que vous avez implémenté un mot-clé, téléchargez-le dans Silk Central.
Modification d'un mot-clé implémenté dans Silk Test | Cliquez sur Ouvrir avec Silk Test (Ouvrir avec Silk Test) pour ouvrir le mot-clé dans le client Silk Test. Pour obtenir des informations détaillées, reportez-vous à la documentation du client Silk Test.
Conversion d'un mot-clé non implémenté en séquence de mots-clés (mot-clé composé d'autres mots-clés) | Cliquez sur Créer une séquence de mots-clés dans la colonne Actions du mot-clé que vous voulez convertir en séquence de mots-clés. Le mot-clé d'origine est alors remplacé par une séquence de mots-clés avec le même nom et l'éditeur de mots-clés s'ouvre.
Conversion d'une séquence de mots-clés en mot-clé non implémenté Si vous avez accidentellement créé une séquence de mots-clés, vous devrez peut-être la convertir à nouveau en mot-clé non implémenté. Cliquez sur Convertir en mot-clé non implémenté (Convertir en mot-clé non implémenté) dans la colonne Actions de la séquence de mots-clés que vous souhaitez convertir.
Remarque : La conversion d'une séquence de mots-clés en mot-clé non implémenté supprimera la séquence et tous les mots-clés qu'elle contient. Cette action ne peut pas être annulée.
Modification d'une séquence de mots-clés | Cliquez sur Accéder à pour ouvrir la séquence de mots-clés dans l'éditeur de mots-clés.
Regroupement de mots-clés Pour mieux structurer les mots-clés au sein d'une bibliothèque, vous pouvez les regrouper :
  • Les séquences de mots-clés Silk Central peuvent être placées dans des sous-dossiers. Les noms de dossiers se manifestent comme noms de groupes et vos mots-clés sont regroupés en conséquence dans la liste.
  • Les groupes de mots-clés implémentés sont définis dans le code implémenté. Ces noms de groupes sont utilisés par Silk Central et vos mots-clés sont regroupés en conséquence dans la liste.
Affichage des tests et des séquences de mots-clés qui font référence à un mot-clé ou une séquence de mots-clés spécifique | Pour afficher l'ensemble des tests et séquences de mots-clés qui font référence à un mot-clé ou un séquence de mots-clés spécifique, sélectionnez l'entrée appropriée dans la liste des mots-clés et la liste Référencé par affichera tous les tests basés sur mots-clés et séquences de mots-clés y faisant référence. Il vous suffit de cliquer sur le nom pour accéder à la référence correspondante.
Remplacement des mots-clés dans les tests et séquences de mots-clés de référence Pour remplacer des références dans le mot-clé ou la séquence de mots-clés sélectionné(e) par une autre référence, sélectionnez l'entrée appropriée dans la liste des mots-clés et utilisez la liste Référencé par pour sélectionner les objets dans lesquels vous souhaitez remplacer la référence.
  1. Sélectionnez le mot-clé ou la séquence de mots-clés que vous souhaitez remplacer.
  2. Dans la liste Référencé par, utilisez Ctrl + clic ou Maj + clic pour sélectionner les objets dans lesquels vous souhaitez remplacer la référence.
  3. Faites un clic droit sur la sélection et choisissez Remplacer le mot-clé dans les références sélectionnées. La boîte de dialogue Remplacer les références s'affiche.
  4. Sélectionnez le mot-clé par lequel vous souhaitez remplacer le mot-clé actuel.
  5. Si le mot-clé sélectionné contient des paramètres, cliquez sur Suivant. Sinon, cliquez sur OK et l'opération est terminée.
  6. Les paramètres du mot-clé sélectionné sont répertoriés. Pour chaque paramètre, sélectionnez le paramètre correspondant du mot-clé précédent ou saisissez une valeur.
  7. Cliquez sur OK.

Séquence de mots-clés

Si l'objet sélectionné est une séquence de mots-clés (mot-clé composé d'autres mots-clés), l'éditeur de mots-clés s'affiche dans la page Mots-clés. Vous pouvez alors gérer les mots-clés de la séquence de mots-clés sélectionnée. Vous pouvez effectuer les actions suivantes :
Tâche | Pas de tests
Ouverture d'un test ou d'une séquence de mots-clés dans Silk Test | Cliquez sur Ouvrir avec Silk Test pour ouvrir le test ou la séquence de mots-clés sélectionné(e) dans Silk Test.
Ajout d'un mot-clé
  1. Cliquez sur Nouveau mot-clé en bas de la liste de mots-clés ou faites un clic droit sur un mot-clé et choisissez Insérer mot-clé dessus dans le menu contextuel.
    Remarque : Vous pouvez laisser à Silk Central le soin de recommander des mots-clés en fonction de leur utilisation. Activez ou désactivez la recommandation de mots-clés à l'aide de l'option Activer les recommandations ou Désactiver les recommandations du menu contextuel. Pour plus d'informations, reportez-vous à la rubrique Quels sont les mots-clés recommandés par Silk Central ?.
  2. Sélectionnez un mot-clé dans la liste des mots-clés disponibles ou saisissez un nouveau nom pour créer un mot-clé.
  3. Cliquez sur Enregistrer.
Vous pouvez également double-cliquer sur un mot-clé existant dans le volet Tous les mots-clés qui se trouve sur la droite, ou encore le faire glisser et le déposer.
Conseil : Vous pouvez sélectionner plusieurs mots-clés à l'aide de la combinaison Ctrl + clic. Lorsque vous les déposez, ils sont classés dans l'ordre où vous les avez sélectionnés.
Suppression d'un mot-clé | Cliquez sur Supprimer dans la colonne Actions du mot-clé que vous souhaitez supprimer. Cliquez sur Enregistrer.
Changement de l'ordre des mots-clés | Utilisez la fonction « glisser-déplacer » pour placer un mot-clé à l'endroit voulu. Cliquez sur Enregistrer.
Création d'une séquence de mots-clés (mot-clé composé d'autres mots-clés)
  1. Dans la liste des mots-clés, sélectionnez ceux que vous voulez combiner. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic sur la colonne de numéro de ligne pour sélectionner plusieurs mots-clés.
  2. Faites un clic droit sur votre sélection et cliquez sur Combiner.
  3. Renseignez les champs Nom et Description pour la nouvelle séquence de mots-clés.
Extraction de mots-clés d'une séquence de mots-clés | Faites un clic droit sur une séquence de mots-clés et cliquez sur Extraire les mots-clés. La séquence de mots-clés d'origine est remplacée par les mots-clés qu'elle contenait, mais elle n'est pas supprimée de la bibliothèque. Cliquez sur Enregistrer.
Définition de paramètres d'une séquence de mots-clés
  1. Cliquez sur Paramètres au-dessus de la liste des mots-clés. La boîte de dialogue Paramètres s'affiche.
  2. Cliquez sur Ajouter un paramètre.
  3. Saisissez un Nom pour le nouveau paramètre. S'il s'agit d'un paramètre sortant (c'est-à-dire qu'il retourne une valeur et qu'il ne nécessite pas de valeur d'entrée), cochez la case Sortie.
  4. Cliquez sur OK.
  5. Cliquez sur Enregistrer.
Modification d'un mot-clé non implémenté
  1. Cliquez sur Modifier dans la colonne Actions du mot-clé non implémenté que vous souhaitez modifier.
  2. Sélectionnez un Groupe ou indiquez un nouveau groupe pour le mot-clé.
  3. Saisissez une Description pour le mot-clé. Cette information est précieuse pour l'ingénieur chargé d'implémenter le mot-clé.
  4. Cliquez sur OK.
  5. Facultatif : cliquez sur un champ de paramètre pour ajouter des paramètres au mot-clé. Si le mot-clé est implémenté avec Silk Test, ces paramètres apparaîtront dans le bouchon créé.
  6. Cliquez sur Enregistrer.
Recherche d'un mot-clé
Pour trouver un mot-clé donné, utilisez le champ de recherche du volet Tous les mots-clés, situé dans la à droite. Lorsque vous saisissez des caractères alphanumériques, toutes les correspondances existantes sont automatiquement intégrées à la liste. Conseils pour la recherche :
  • La recherche est insensible à la casse : en entrant doAction vous trouverez aussi des résultats pour doaction et DOAction.
  • Entrez uniquement des lettres majuscules pour effectuer une recherche en mettant en majuscule la première lettre des mots liés (CamelCase ) : EDC permettra de trouver les entrées Entrer détails camion, Entrer détails contact et EntrerDétailsContact.
  • Les noms de mots-clés et de groupes sont pris en compte : en entrant test vous trouverez tous les mots-clés qui contiennent la chaîne de caractères test, ainsi que tous les mots-clés des groupes dont le nom contient aussi la chaîne test.
  • ? remplace de zéro à un caractère : en entrant test?utilisateur vous trouverez des résultats pour testUtilisateur et testsUtilisateur.
  • * remplace de 0 à n caractères : en entrant mon*motclé vous trouverez aussi des résultats pour monMotclé, monNouveauMotclé et mon_autre_motclé.
  • <chaîne>. limite la recherche aux noms de groupes : en entrant groupe. vous trouverez tous les mots-clés des groupes dont le nom contient la chaîne de caractères groupe.
  • .<chaîne> limite la recherche aux noms de mots-clés : en entrant .motclé vous trouverez tous les mots-clés contenant la chaîne de caractères motclé.
  • <chaîne>.<chaîne> recherche un mot-clé dans un groupe donné : en entrant groupe.mot vous trouverez monMotclé dans le groupe monGroupe.
  • Utilisez des guillemets pour rechercher une correspondance exacte : 'Contact' permettra de trouver les entrées Contact et MonContact, mais pas contact.
Recherche de mots-clés non implémentés dans la bibliothèque | Si vous souhaitez basculer dans la bibliothèque contenant les mots-clés non implémentés du test ou de la séquence de mots-clés sélectionné(e), cliquez sur Draft keywords dans le coin supérieur droit de la page de l'éditeur.
Sujet parent : Tests basés sur mots-clés
Sujet parent : Bibliothèques
Concepts associés
Mise en cache des données dans les tests
Référence associée
Gestion de mots-clés dans un test
Quels sont les mots-clés recommandés par Silk Central ?


Tests basés sur mots-clés sur plusieurs navigateurs

Les tests basés sur mots-clés qui sont implémentés avec Silk Test et contiennent un BrowserBaseState peuvent être paramétrés dans Silk Central de façon à pouvoir être exécutés sur plusieurs navigateurs. Pour configurer les navigateurs que vous souhaitez tester :
  1. Créez une suite de configurations et assignez les tests basés sur mots-clés que vous souhaitez exécuter sur plusieurs navigateurs. Pour plus de détails sur la création d'une suite de configurations, voir Création d'une suite de configurations.
  2. Dans l'onglet Configurations, cliquez sur Ajout/Suppression de paramètres et créez un nouveau paramètre nommé silktest.configurationName.
  3. Cliquez sur Nouvelle configuration pour ajouter les configurations que vous souhaitez tester. Pour chaque configuration, précisez le navigateur que vous souhaitez tester en saisissant l'une des valeurs suivantes pour le paramètre silktest.configurationName :
    • Internet Explorer
    • Firefox
    • Chrome
  4. Exécutez la suite de configurations.
Sujet parent : Tests basés sur mots-clés


Création d'une bibliothèque basée sur mots-clés avec Java

Utilisez Java pour créer une bibliothèque basée sur des mots-clés que vous pourrez charger sur Silk Central. Cette bibliothèque vous permet d'intégrer facilement votre infrastructure de tests dans Silk Central, par exemple si vous avez déjà des tests Selenium.
  1. Sélectionnez Aide > Outils et téléchargez l'outil de création de bibliothèque basée sur mots-clés Java.
  2. Ajoutez le fichier téléchargé com.borland.silk.keyworddriven.jar au classpath de votre projet Java.
  3. Créez une classe Java destinée à accueillir vos mots-clés.
  4. Annotez les méthodes Java que vous souhaitez utiliser comme mots-clés. L'exemple suivant montre une classe contenant un mot-clé :
    import com.borland.silk.keyworddriven.annotations.Argument;
import com.borland.silk.keyworddriven.annotations.Keyword;

public class Keywords {

  @Keyword("My Keyword")
  public void myKeyword(@Argument("Username") String name) {
    System.out.println(name);
  }
}
  5. Compilez vos sources et créez une archive Java (jar). Si vous utilisez Java version 9 ou ultérieure, vérifiez que la propriété Created-By dans le fichier MANIFEST.MF contient la version de Java utilisée pour la création de la bibliothèque.
  6. Faites appel à l'outil de ligne de commande contenu dans le fichier jar téléchargé avec les arguments suivants :
    • java
    • -jar com.borland.silk.keyworddriven.jar
    • -build
    • Nom de bibliothèque à créer.
    • Type de bibliothèque : seul le langage Java est actuellement pris en charge.
    • Chemin des binaires où réside votre fichier jar de bibliothèque de mots-clés et, le cas échéant, toute autre bibliothèque requise.
    • Nom du package de bibliothèque de sortie (archive zip) à créer.
    L'exemple suivant montre la ligne de commande permettant de créer une bibliothèque basée sur mots-clés :
    java -jar com.borland.silk.keyworddriven.jar -build
MyLibrary Java ./output "./output/library.zip"
Sélectionnez Tests > Bibliothèques > <bibliothèque> > Propriétés. Vous pouvez charger l'archive zip générée dans Silk Central à l'aide de l'outil de ligne de commande ou via la section Bibliothèque de mots-clés.
Sujet parent : Tests basés sur mots-clés
Sujet parent : Bibliothèques
Concepts associés
Gestion des bibliothèques de mots-clés et des propriétés des bibliothèques
Tâches associées
Téléchargement d'une bibliothèque de mots-clés à partir de la ligne de commande


Téléchargement d'une bibliothèque de mots-clés à partir de la ligne de commande

Téléchargez une bibliothèque de mots-clés externe à partir d'une ligne de commande Java pour intégrer Silk Central et vos tests basés sur mots-clés dans votre système de création de builds à intégration continue (Jenkins, par exemple).
Pour télécharger votre bibliothèque de mots-clés à partir d'une ligne de commande Java :
  1. Sélectionnez Aide > Outils et téléchargez l'outil de création de bibliothèque basée sur mots-clés Java.
  2. Faites appel à l'outil de ligne de commande contenu dans le fichier jar téléchargé avec les arguments suivants :
    • java
    • -jar com.borland.silk.keyworddriven.jar
    • -upload
    • Nom de la bibliothèque à mettre à jour ou à créer dans Silk Central (si elle n'existe pas déjà).
    • Nom du package de la bibliothèque (archive zip) à télécharger.
    • nom_hôte:port du serveur frontal Silk Central.
    • Jeton de service Web de l'utilisateur de Silk Central. Requis pour l'authentification. Vous pouvez générer un jeton de service Web dans la page Paramètres utilisateur de Silk Central, accessible en cliquant sur le nom d'utilisateur dans le menu Silk Central.
      Remarque : Pour des raisons de sécurité, Micro Focus vous recommande d'utiliser un jeton de service Web pour l'authentification plutôt que d'envoyer votre nom d'utilisateur et votre mot de passe sur le réseau.
    • Nom d'utilisateur de l'utilisateur Silk Central. Non requis en cas d'utilisation d'un jeton de service Web pour l'authentification.
    • Mot de passe de l'utilisateur Silk Central. Non requis en cas d'utilisation d'un jeton de service Web pour l'authentification.
    • Informations de mise à jour (décrivant les modifications appliquées à la bibliothèque) présentées entre guillemets.
    • [-allowUsedKeywordDeletion], un indicateur facultatif permettant d'autoriser la suppression de mots-clés utilisés dans un test ou une séquence de mots-clés. Par défaut, une erreur est signalée en cas de tentative de suppression de mots-clés utilisés.
    L'exemple suivant illustre la ligne de commande permettant de télécharger une bibliothèque dans Silk Central avec Java 9 ou version ultérieure :
    java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"Ma bibliothèque" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy : mots-clés manquants implémentés"

Exemples

L'exemple suivant décrit la ligne de commande permettant de télécharger une bibliothèque dans Silk Central avec Java 8 ou version précédente en utilisant un jeton de service Web pour l'authentification :
java -jar com.borland.silk.keyworddriven.jar -upload
"Ma bibliothèque" "./output/library.zip" silkcentral:19120 scToken "Build xy : mots-clés manquants implémentés"
Pour charger la même bibliothèque avec Java 8 ou version précédente en utilisant le nom d'utilisateur et le mot de passe pour l'authentification, utilisez une commande semblable à celle ci-après :
java -jar com.borland.silk.keyworddriven.jar -upload
"Ma bibliothèque" "./output/library.zip" silkcentral:19120 scLogin scPassword "Build xy: mots-clés manquants implémentés"
Les commandes correspondantes avec Java 9 ou version ultérieure sont :
java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"Ma bibliothèque" "./output/library.zip" silkcentral:19120 scToken "Build xy : mots-clés manquants implémentés"
java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"Ma bibliothèque" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy : mots-clés manquants implémentés"
Remarque : Lorsque vous téléchargez une bibliothèque basée sur mots-clés avec Java 9 ou version ultérieure, vérifiez que la variable JAVA_HOME est définie sur les serveurs d'exécution et qu'elle pointe vers un JDK doté de la version Java correspondante.
Sujet parent : Tests basés sur mots-clés
Concepts associés
Intégrations du serveur d'intégration continue
Services Web Silk Central
Tâches associées
Création d'une bibliothèque basée sur mots-clés avec Java


Exécution de tests basés sur mots-clés Silk4J/Silk4NET sans chargement de bibliothèque

Si votre infrastructure d'automatisation des tests existante comprend des tests basés sur mots-clés Silk4J ouSilk4NET et que vous souhaitez les exécuter à partir de Silk Central, vous pouvez utiliser la fonctionnalité JUnit et la fonctionnalité de package de tests de Silk Central. Pour ce faire, procédez comme suit :
  1. Créez un profil de référentiel tiers pointant vers les éléments de votre projet Silk Test (voir Profils de référentiel tiers).
  2. Créez un conteneur de test qui utilisera ce profil de référentiel tiers (voir Ajout de conteneurs de tests).
  3. Créez un test JUnit (voir Création de tests) et appliquez la configuration suivante :
    • Pour les tests basés sur mots-clés implémentés dans Silk4J :
      • Spécifiez le classpath. Si vous utilisez la structure de création Silk Test par défaut, spécifiez .\output.
      • Les fichiers .kdt doivent se trouver dans le dossier que vous avez spécifié comme classpath. Ils doivent être soit regroupés dans un fichier .jar, soit placés dans un dossier du classpath.
    • Pour les tests basés sur mots-clés implémentés dans Silk4NET :
      • Spécifiez le classpath ./Keyword Driven Tests.

      • Créez un paramètre pour le conteneur de tests de vos tests (voir Création de paramètres personnalisés) appelé silktest.keyworddriven.dotnetassembly et comportant un chemin relatif à .Net Assembly, par exemple \bin\Release\Silk4NETProject.dll.

      • Le dossier Silk Test appelé Keyword Driven Tests et contenant les fichiers .kdt doit résider dans le dossier racine du référentiel tiers.
  4. Assignez le test à un plan d'exécution (voir Tests assignés).
  5. Facultatif : Une fois le test exécuté, cliquez sur le test à l'aide du bouton droit de la souris et sélectionnez Convertir en Package de Tests pour obtenir une structure de package (voir Création d'un package de tests).
Sujet parent : Tests basés sur mots-clés


Exemple : mots-clés avec des paramètres

Cette rubrique illustre la manière dont vous pouvez utiliser des mots-clés avec des paramètres. Un mot-clé ou une séquence de mots-clés peut inclure un total combiné de 20 paramètres d'entrée et de sortie.

Tout d'abord, créez un test basé sur mots-clés contenant les mots-clés que vous souhaitez utiliser. Pour cela, enregistrez l'intégralité du test ou créez un nouveau test en ajoutant les mots-clés dans l'éditeur de test basé sur mots-clés.

Dans le présent exemple, le test basé sur mots-clés comprend les mots-clés suivants :
Démarrer l'application
Il s'agit du mot-clé standard qui lance l'application testée et définit l'état de base.
Login
Ce mot-clé se connecte à l'application testée avec un utilisateur spécifique, identifié par un nom et un mot de passe.
GetCurrentUser
Ce mot-clé renvoie le nom de l'utilisateur qui est actuellement connecté à l'application testée.
AssertEquals
Ce mot-clé compare deux valeurs.
Logout
Ce mot-clé déconnecte l'utilisateur de l'application testée.

L'étape suivante consiste à ajouter les paramètres aux mots-clés. Pour cela, ouvrez les scripts de test associés aux mots-clés et ajoutez les paramètres aux méthodes.

Pour ajouter les paramètres d'entrée UserName et Password au mot-clé Login, remplacez
@Keyword("Login")
public void login() {
  ...
}
par
@Keyword("Login")
public void login(String UserName, String Password) {
  ...
}
Pour ajouter le paramètre de sortie UserName au mot-clé GetCurrentUser, remplacez
@Keyword("GetCurrentUser")
public void getCurrentUser() {
  ...
}
par
@Keyword("GetCurrentUser")
public void getCurrentUser(OutParameter CurrentUser) {
  ...
}

Dans l'éditeur de test basé sur mots-clés, le test basé sur mots-clés doit se présenter comme suit :

Vous pouvez maintenant spécifier les valeurs réelles des paramètres d'entrée dans l'éditeur de test basé sur mots-clés. Pour récupérer la valeur du paramètre de sortie UserName du mot-clé GetCurrentUser, indiquez une variable telle que ${current user}. Vous pouvez ensuite transmettre la valeur stockée dans la variable aux mots-clés suivants.

Sujet parent : Tests basés sur mots-clés


Quels sont les mots-clés recommandés par Silk Central ?

Lorsque vous ajoutez des mots-clés à un test basé sur mots-clés ou à une séquence de mots-clés dans l'éditeur de test basé sur mots-clés, Silk Central recommande des mots-clés existants que vous pouvez utiliser comme mot-clé suivant dans votre test. Les mots-clés recommandés figurent en haut de la liste de mots-clés et sont signalés par un graphique à barres. La partie pleine du graphique indique le niveau de recommandation établi par Silk Central pour le mot-clé.

Silk Central procède de la façon suivante pour recommander les mots-clés :

  • Lorsque vous ajoutez le premier mot-clé à un test basé sur mots-clés ou à une séquence de mots-clés, Silk Central recherche des mots-clés similaires utilisés comme premier mot-clé dans d'autres tests basés sur mots-clés ou séquences de mots-clés. Les mots-clés les plus fréquemment utilisés sont les plus recommandés.
  • Lorsque vous ajoutez des mots-clés supplémentaires à un test basé sur mots-clés ou à une séquence de mots-clés qui contient déjà d'autres mots-clés, Silk Central effectue les recommandations suivantes :
    • Si des mots-clés sont placés avant la position choisie pour l'ajout d'un nouveau mot-clé dans le test basé sur mots-clés ou la séquence de mots-clés, Silk Central compare ces mots-clés avec les combinaisons de mots-clés dans l'ensemble des autres tests basés sur mots-clés et des séquences de mots-clés et conseille ceux qui sont le plus souvent employés à la suite de la combinaison de mots-clés.
    • S'il existe des mots-clés non pas avant, mais après la position choisie pour l'ajout d'un nouveau mot-clé dans le test basé sur mots-clés ou la séquence de mots-clés, Silk Central compare ces mots-clés avec les combinaisons de mots-clés dans l'ensemble des autres tests basés sur mots-clés et des séquences de mots-clés et conseille ceux qui sont le plus souvent employés avant la combinaison de mots-clés.
  • Par ailleurs, Silk Central prend en compte le degré de similitude des mots-clés trouvés. Ainsi, si le nom et le groupe de deux mots-clés correspondent, Silk Central recommande plus fortement ces mots-clés par rapport à deux mots-clés dont seul le nom correspond.
Sujet parent : Tests basés sur mots-clés
Concepts associés
Mise en cache des données dans les tests
Référence associée
Gestion de mots-clés dans un test
Gestion de mots-clés dans une bibliothèque


Tests Unified Functional Testing (UFT)

Le logiciel Unified Functional Testing ( UFT ), anciennement connu sous le nom de HP QuickTest Professional (QTP), permet l'automatisation des tests fonctionnels et de régression automatisés pour les applications et les environnements logiciels.
  • Création ou modification de tests Unified Functional Testing (UFT)
    Créez ou modifiez un test UFT afin d'exécuter des tests UFT dans Silk Central.
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Création ou modification de tests Unified Functional Testing (UFT)

Pour exécuter des tests UFT, il est nécessaire que le logiciel Unified Functional Testing est installé sur le même ordinateur que les serveurs d'exécution Silk Central.

Pour ajouter ou modifier un test UFT :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test Unified Functional Testing dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de test Unified Functional Testing s'ouvre.

  6. Dans le champ Test, sélectionnez l'emplacement du référentiel tiers du test UFT à exécuter.
    Conseil : Vous pouvez sélectionner le test (.tsp) ou le dossier dans lequel il est situé.
  7. Facultatif : Cochez l'option Valider les add-ins HPE UFT pour valider tous les add-ins spécifiés du test UFT sélectionné.
  8. Facultatif : Cochez l'option Afficher l'application HPE UFT pour afficher l'application soumise au test pendant l'exécution du test.
  9. Facultatif : Cochez l'option Consigner les messages de débogage pour consigner les messages de débogage dans les résultats d'exécution du test.
  10. Facultatif : Utilisez les cases à cocher Hériter du parent pour hériter des paramètres du test UFT parent.
  11. Cliquez sur Terminer.
Remarque : Les paramètres sont transmis au testUFT lorsque vous définissez des paramètres portant le même nom que les paramètres de test définis dans le test UFT.

Les fichiers de résultats UFT initiaux, run_results.xml et run_results.html, sont disponibles dans l'onglet Fichiers des résultats d'exécution du test.

Sujet parent : Tests Unified Functional Testing (UFT)


Tests JUnit

JUnit est une infrastructure de tests d'unité pour le langage de programmation Java. Utilisez ce type de test pour les tests JUnit, Silk4J, et Selenium.
  • Création ou modification de tests JUnit
    Créez ou modifiez un test JUnit pour votre infrastructure de tests d'unité Java.
  • Accès aux paramètres Silk Central au moyen des propriétés système Java
    Répertorie les paramètres Silk Central accessibles au moyen des propriétés système Java dans les tests JUnit.
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Création ou modification de tests JUnit

Pour ajouter ou modifier un test JUnit :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test JUnit dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de Test JUnit s'affiche.

  6. Indiquez un Classpath Java valide à utiliser sur le serveur d'exécution.

    Nous vous conseillons d'utiliser un classpath relatif. Le classpath relatif est ensuite développé sur le classpath complet sur le serveur d'exécution. Lors de l'utilisation d'un classpath relatif, les modifications apportées à l'emplacement du profil de référentiel tiers ne nécessitent aucune autre modification au niveau du classpath.

    Le classpath relatif doit pointer vers le nœud racine du conteneur de tests comprenant le test JUnit, par exemple JUnit_tests. Le classpath relatif du serveur d’exécution est ensuite développé de manière à inclure le dossier de travail du profil de référentiel tiers (par exemple C:\temp) et les noms des fichiers de test (par exemple tests.jar). Par exemple, si vos tests sont packagés dans un fichier jar appelé tests.jar et que les autres fichiers jar nécessaires à l'exécution sont stockés dans un sous-dossier lib, votre classpath sera ./tests.jar;./lib/*.

    Vous pouvez également utiliser un classpath complet. Le classpath complet doit pointer vers l'archive ou vers le dossier comportant les classes de test.

  7. Facultatif : Dans le champ Classe de test, entrez le nom complet de la classe de test JUnit. Si le champ n'est pas renseigné, tous les tests du classpath seront exécutés.
  8. Facultatif : Dans le champ Méthode de test, entrez le nom de la méthode de test appropriée. La méthode doit être disponible dans la classe de test. Si le champ Méthode de test n'est pas renseigné, tous les tests inclus dans la suite seront exécutés.
  9. Facultatif : Indiquez le chemin d'installation de Java Runtime Environment (JRE) pour l'option Répertoire d'Accueil Java. Le chemin doit être valide sur le serveur d'exécution sur lequel le test est exécuté.
    Remarque : Les tests JUnit peuvent être exécutés dans JRE 1.7 et versions ultérieures. Si vous utilisez une version plus ancienne de JRE, des messages contenant java.lang.UnsupportedClassVersionError ou Unrecognized option: -javaagent s'afficheront dans l'onglet Messages.
  10. Facultatif : Dans le champ Options JVM, vous pouvez spécifier les options de la ligne de commande. Vous pouvez spécifier plusieurs options, mais vous devez les entrer dans l'ordre qui convient. Par exemple, pour utiliser la VM client et définir la taille maximale du segment de mémoire sur 512 Mo, entrez -client -Xmx512m. Vous pouvez également utiliser des variables d'environnement, par exemple -Xmx${MY_MEMORY}.
  11. Cochez la case Enregistrer la Couverture externe de l’Application Sous Test pour obtenir la couverture de code de l'application sous test définie pour le plan d'exécution dans la partie Paramètres d'analyse de code de Silk Central > Organisation des Exécutions > Analyse de Code. Si la case est décochée, la couverture de code de la machine virtuelle qui exécute le test sera également enregistrée.
  12. Facultatif : Dans le champ Profil de Couverture, entrez les bibliothèques JAR ou les fichiers de classes spécifiques dont les informations de couverture de code doivent être surveillées. Notez que ce champ spécifie le profil de couverture du test JUnit, et non le profil de l'application sous test.

    Nous vous conseillons d'utiliser le profil de couverture relatif dans le nœud racine du conteneur de tests, qui est ensuite développé sur le serveur d'exécution. Vous pouvez également utiliser un chemin complet. Utilisez des points-virgules pour séparer plusieurs fichiers jar, comme illustré dans les exemples suivants :

    • tests.jar;C:\tests\testutils.jar
    • ${testenv}\tests.jar;${testenv}\testutils.jar
    Remarque : Le paramètre de profil de couverture est ignoré si la case Enregistrer la Couverture externe de l'Application Sous Test est cochée.
  13. Cliquez sur Terminer.
Remarque : Les paramètres sont transmis au processus Java en tant que propriétés système, par exemple -Dhost_under_test=10.5.2.133. Utilisez la méthode System.getProperty() pour accéder aux propriétés système. Par exemple, pour accéder à la propriété host_under_test transmise antérieurement, utilisez System.getProperty(“host_under_test”);.
Sujet parent : Tests JUnit
Tâches associées
Essai d'exécution d'un test


Accès aux paramètres Silk Central au moyen des propriétés système Java

N'importe quelle classe de test JUnit peut accéder à un paramètre de test du test sous-jacent en tant que propriété système Java ; le lanceur transmet ces paramètres à la machine chargée de l'exécution à l'aide de l'argument de machine virtuelle « -D ».

En plus des paramètres définis par le client, vous pouvez toujours appeler les propriétés système Java suivantes à partir d'un test JUnit :
Paramètre
Description
#sctm_execdef_name
Nom du plan d'exécution en cours. Si l'exécution a été déclenchée à partir de la zone Tests, le paramètre a pour valeur Tests non assignés.
#sctm_execdef_id
Identifiant numérique (clé de base de données) du plan d'exécution en cours.
#sctm_product
Nom du produit tel qu'il est défini dans le conteneur de tests exécutés.
#sctm_version
Nom de la version à laquelle les résultats de l'exécution sont associés.
#sctm_build
Nom de la version à laquelle les résultats de l'exécution sont associés.
#sctm_keywords
Liste utilisant des virgules comme séparateurs et contenant les mots-clés définis pour ce plan d'exécution.
#sctm_regular_execdef_run_id
Identifiant numérique (clé de base de données) de l'exécution de plan d'exécution régulière. Pour les tests d'initialisation et de nettoyage, cette propriété contient l'ID de l'exécution régulière.
#sctm_test_results_dir
Chemin du répertoire dans lequel résident les fichiers de résultat du test.
#sctm_test_name
Nom du test Silk Central en cours d'exécution.
#sctm_test_id
Identifiant numérique (clé de base de données) du test en cours d'exécution.
#sctm_source_root_dir
Chemin local du répertoire racine du conteneur de tests, dans lequel résident tous les fichiers sous contrôle de version
#external_id
Identifiant unique d'un scénario de test dans un package de tests à exécuter. Vous pouvez l'utiliser comme un filtre si seuls certains scénarios de test dans un package de tests doivent être exécutés.

#is_test_package_root
Si true, le test en cours d'exécution est le nœud racine du package de tests (par défaut). Si false, seuls certains scénarios de test spécifiques d'un package de tests spécifié par #external_id sont exécutés
#sctm_data_driven_parent_test_name
Nom du test parent, si le test exécuté est une ligne pilotée par les données.
#sctm_data_driven_parent_test_id
Identifiant numérique (clé de base de données) du test parent, si le test exécuté est une ligne pilotée par les données.
Sujet parent : Tests JUnit
Concepts associés
Paramètres de test
Référence associée
Paramètres prédéfinis


Tests MSTest

MSTest est un utilitaire de ligne de commande de qui exécute des tests unitaires créés dans Microsoft . Utilisez ce type de test pour les tests MSTest et Silk4NET.
  • Création ou modification de tests MSTest
    Créez ou modifiez un test MSTest pour votre infrastructure de tests d'unité Visual Studio .
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Création ou modification de tests MSTest

Remarque : Le plug-in MSTest prend en charge les tests de type unitaire uniquement. Les résultats des autres types de tests sont ignorés.

Pour ajouter ou modifier un test MSTest :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test MSTest dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de Test MSTest s'affiche.

  6. Vous pouvez exécuter un conteneur de tests, une liste de tests, une classe de test ou une méthode de test unique :
    • Pour exécuter un conteneur de tests, cliquez sur Parcourir en regard du champ Fichier de test et sélectionnez un fichier .dll. Vous pouvez contraindre l'exécution en renseignant uniquement le champ Classe de test ou les champs Classe de test et Méthode de test.
    • Pour exécuter une liste de tests, cliquez sur Parcourir en regard du champ Fichier de test et sélectionnez un fichier .vsmdi (Visual Studio Test Meta Data). Entrez un nom dans le champ Nom de la liste de tests. Vous pouvez contraindre l'exécution en renseignant les champs Classe de test et Méthode de test.
  7. Cliquez sur Terminer.
Remarque : Pour exécuter MSTest sur un serveur d'exécution, vous devez installer une distribution Visual Studio ou Visual Studio Test Agent. Ajoutez le dossier contenant MSTest.exe à votre variable de chemin d'accès, puis redémarrez le serveur d'exécution. Le chemin par défaut est le suivant : C:\Program Files (x86)\Microsoft Visual Studio <version>\Common7\IDE. Actuellement, MSTest distribué avec Microsoft Visual Studio/Visual Studio Test Agent 2015 est pris en charge.
Sujet parent : Tests MSTest
Tâches associées
Démarrage ou arrêt d'un service de serveur d'exécution local
Essai d'exécution d'un test


Tests NUnit

NUnit est une infrastructure de tests d'unité pour le langage de programmation .NET Microsoft .
  • Création ou modification de tests NUnit
    Créez ou modifiez un test NUnit pour votre infrastructure de tests d'unité Microsoft .NET.
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Création ou modification de tests NUnit

Remarque : Nous vous conseillons d'ajouter le dossier .\bin de votre installation NUnit dans le chemin d'accès système. Cliquez sur Démarrer > Panneau de configuration > Système > Avancé > Variables d'environnement pour ajouter un chemin d'accès tel que C:\Program Files\NUnit 2.2\bin à la variable d'environnement système PATH.

Pour ajouter ou modifier un test NUnit :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test NUnit dans la liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de Test NUnit s'affiche.

  6. Cliquez sur Parcourir pour rechercher et sélectionner l'assembly NUnit depuis lequel extraire un test.
  7. Entrez le répertoire de travail dans la zone de texte Répertoire NUnit.

    Pour NUnit 2, ce répertoire constitue le chemin d'accès local au fichier nunit-console.exe, par exemple C:\Program Files\NUnit 2.2\bin. Pour NUnit 3, ce répertoire constitue le chemin d'accès complet au fichier nunit3-console.exe, par exemple C:\Program Files (x86)\NUnit.org\nunit-console\nunit3-console.exe.

  8. Dans la zone de texte Options NUnit, entrez une ou plusieurs options de ligne de commande de la console NUnit afin d'indiquer la façon dont les tests NUnit sont spécifiés. Par exemple, pour spécifier que le test NUnit Flex4TestApp (situé sous SilkTest.Ntf.Test.Flex) doit être exécuté, définissez l'option d'exécution comme suit :
    Pour NUnit 2 :
    /run:SilkTest.Ntf.Test.Flex.Flex4TestApp
    Pour NUnit 3 :
    /test:SilkTest.Ntf.Test.Flex.Flex4TestApp
    Remarque : lorsque vous ajoutez plusieurs options, vous devez les séparer en indiquant chacune d'entre elles sur une ligne distincte de la zone de texte.
  9. Cliquez sur Terminer.
Sujet parent : Tests NUnit
Tâches associées
Essai d'exécution d'un test


Tests ProcessExecutor

Le type de test ProcessExecutor peut être utilisé pour exécuter une ligne de commande.
  • Création ou modification de tests ProcessExecutor
    Créez ou modifiez un test ProcessExecutor afin de lancer un exécutable.
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Création ou modification de tests ProcessExecutor

Pour ajouter ou modifier un test ProcessExecutor :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test ProcessExecutor dans la zone de liste Type. Cliquez sur Suivant. La boîte de dialogue Propriétés de test ProcessExecutor s'ouvre.
  6. Dans le champ Nom de l'Exécutable, entrez le nom complet de l'exécutable.
  7. Dans le champ Liste des Arguments, entrez tous les arguments de la méthode de test ProcessExecutor.
    Remarque : chaque argument doit apparaître sur une ligne séparée dans le champ.
  8. Configurez le Dossier de Travail. Il s'agit du dossier où l'exécutable s'exécute.
  9. Si la commande exécutée produit des fichiers de résultats de tests JUnit, par exemple une exécution JUnit Ant ou Maven, vous pouvez spécifier un profil de dossier dans lequel rechercher les fichiers XML de résultats JUnit. L'emplacement du dossier est relatif au répertoire de travail, par exemple test-results. Le dossier racine dans lequel la recherche débute est le dossier de travail dans lequel sont récupérés tous les fichiers de résultats JUnit dont le chemin correspond au profil entré.
Pendant l'exécution de l'exécutable, les deux variables d'environnement suivantes peuvent être utilisées :
Variable d'environnement
Description
SCTM_EXEC_RESULTSFOLDER
Tous les fichiers de ce dossier sont enregistrés en tant que fichiers de résultats dans Silk Central. Si un fichier output.xml est créé dans ce dossier pendant l'exécution, il est traité par Silk Central.
SCTM_EXEC_SOURCESFOLDER
C'est le dossier où se trouvent tous les fichiers source utilisés pendant l'exécution.

Exemple

L'exemple contient un type de test ProcessExecutor qui exécute Windows Script Host à partir de la ligne de commande avec le switch /c et deux paramètres :

Propriétés de test ProcessExecutor

  • /c : commande selon laquelle la ligne de commande doit s'arrêter après l'exécution
  • cscript : Windows Script Host
  • parareadwrite.js : fichier jscript nommé parareadwrite.js
  • %SCTM_EXEC_RESULTSFOLDER% : variable Silk Central contenant l'emplacement du fichier Résultat sur le serveur d'exécution. Les fichiers stockés à cet emplacement sont automatiquement téléchargés sur Silk Central et sont disponibles dans l'onglet Fichiers sous Exécution de Test. Dans cet exemple, le script parareadwrite.js génère un fichier output.xml qui est ensuite sauvegardé dans le dossier Résultat et téléchargé sur Silk Central.
Sujet parent : Tests ProcessExecutor
Tâches associées
Essai d'exécution d'un test


Tests Silk Performer .NET Explorer

Le type de test est utilisé pour exécuter les scripts Silk Performer .NET Explorer ou un scénario de test spécifique d'un script.
  • Création ou modification de tests Silk Performer .NET Explorer
    Créez ou modifiez un test pour exécuter des scripts Silk Performer .NET Explorer ou un scénario de test spécifique d'un script.
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Création ou modification de tests Silk Performer .NET Explorer

Pour ajouter ou modifier un test .NET Explorer :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test Silk Performer .NET Explorer dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de Test .NET Explorer s'affiche.

  6. Accédez au script .NET Explorer et sélectionnez-le afin de l'appliquer au test. Le script est un fichier .nef.
  7. Entrez le chemin d'accès au fichier exécutable NetExplorer.exe sur le serveur d'exécution. Par exemple, C:\Program Files\MyCustomSPFolder\DotNET Explorer\NetExplorer.exe. Vous pouvez également définir une variable d'environnement sur vos serveurs d'exécution et en faire une référence, par exemple ${SP_HOME}\NetExplorer.exe.
  8. Dans le champ Scénario de test, entrez le nom du scénario de test .NET Explorer à exécuter. Si cette zone de texte n'est pas renseignée, tous les cas de test figurant dans le script sont exécutés. Il n'est pas possible de spécifier plusieurs scénarios de test.
    Remarque : Les cas de test InitTestCase et EndTestCase sont toujours exécutés.
  9. Cliquez sur Terminer.
Sujet parent : Tests Silk Performer .NET Explorer
Tâches associées
Essai d'exécution d'un test


Tests Silk Performer

  • Création ou modification de tests Silk Performer
    Créez ou modifiez un test Silk Performer afin d'exécuter des projets Silk Performer dans Silk Central .
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests
Concepts associés
Utilisation des projets Silk Performer
Tâches associées
Création ou modification de tests Silk Performer


Création ou modification de tests Silk Performer

Pour ajouter ou modifier un test Silk Performer :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test Silk Performer dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de test Silk Performer - Sélectionner le projet s'affiche.

  6. Cliquez sur Parcourir, sélectionnez un projet Silk Performer enregistré dans votre système de fichiers, puis cliquez sur Suivant.
  7. Sélectionnez l'un des profils de modèle de montée en charge définis pour le projet dans la liste Charge.
  8. Cliquez sur Terminer pour créer le cas de test.
Sujet parent : Tests Silk Performer
Concepts associés
Utilisation des projets Silk Performer
Tests Silk Performer
Tâches associées
Essai d'exécution d'un test


Tests Silk Test Classic

L'interface Silk Test Classic de Silk Central offre un moyen fiable d'automatiser les utilisateurs de Silk Test Classic . Chaque scénario de test d'un script Silk Test Classic s'exécute à l'intérieur de sa propre exécution de test et produit ses propres résultats.

Le type de test du plan Silk Test Classic est utilisé pour les plans de test Silk Test Classic . Un plan de test est généralement un document structuré hiérarchiquement qui décrit les exigences en matière de test et contient les déclarations, les scripts de test et les scénarios de test qui implémentent les exigences des tests.

Lorsque vous observez des exécutions de tests Silk Test Classic en cours sur la page Activités, le plan d'exécution en cours propose un lien hypertexte qui ouvre une Vue détaillée. Cette vue permet de surveiller étroitement l'état du plan d'exécution en cours. Pour les exécutions de test de Silk Test Classic , le composant central de cette vue comprend deux parties : La partie supérieure affiche les informations générales relatives au test, au script, au scénario de test ainsi qu'aux données de test. La partie inférieure affiche tous les messages de sortie générés par Silk Test Classic , avec leur degré de sévérité.

Dans les versions précédentes de Silk Central , l'invocation de Silk Test Classic était implémentée au moyen d'une interface de ligne de commande. La nouvelle interface fonctionne à l'aide de la communication interprocessus. Vous pouvez spécifier si l'interface Silk Test Classic de Silk Central doit être utilisée en configurant des paramètres de conteneur de tests.

Pour tous les paramètres de test Silk Test Classic qui ne sont pas définis par le biais des propriétés de test Silk Test Classic de l'interface graphique de Silk Central , les paramètres par défaut de Silk Test Classic sont utilisés, par exemple à partir de partner.ini.

  • Création ou modification de tests Silk Test Classic
    Créez ou modifiez des tests Silk Test Classic afin d'exécuter des tests Silk Test Classic dans Silk Central .
  • Création ou modification de tests de plan Silk Test Classic
    Créez ou modifiez un test de plan Silk Test Classic afin d'importer la structure d'un plan de test dans Silk Central .
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests
Concepts associés
Tests Silk Test Classic
Tâches associées
Création ou modification de tests Silk Test Classic


Création ou modification de tests Silk Test Classic

Pour ajouter ou modifier un test Silk Test Classic :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test Silk Test Classic dans la zone de liste Type. Pour importer plusieurs scénarios de test Silk Test Classic en même temps, sélectionnez Import de multiples scénarios de test Silk Test Classic . Cliquez sur Suivant.

    La boîte de dialogue Propriétés de Test - Sélectionner le Script de Test s'affiche.

  6. Cliquez sur Parcourir et sélectionnez le fichier de script de test dans le projet Silk Test Classic défini ou dans le répertoire du référentiel tiers. Le script de test, qui porte l'extension de fichier .t ou .g.t, est défini par rapport au nœud racine du conteneur de test dans le profil de référentiel tiers. Par exemple, /<projet Silk Test Classic>/MyScript.t.
  7. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de Test - Sélectionner le Cas de Tests s'affiche.

    Remarque : Si le script Silk Test Classic est un fichier .g.t piloté par les données (par exemple SilkTestScript1.g.t), les sources de données sont entièrement contrôlées dans le fichier de script et non par le biais des propriétés pilotées par les données de Silk Central. La case Piloté par les Données est cochée par défaut lorsque vous utilisez un fichier de script piloté par les données. Pour plus d'informations sur les tests Silk Test Classic pilotés par les données, reportez-vous à la documentation de Silk Test Classic.
  8. Sélectionnez un cas de test parmi ceux disponibles dans le fichier de script défini ou spécifiez un cas de test personnalisé. Lorsque le champ du cas de test personnalisé est déjà rempli, cela signifie que le test Silk Test Classic a été créé automatiquement, à l'aide de la fonctionnalité d'export de Silk Test Classic. Lorsque vous utilisez le champ personnalisé pour spécifier le cas de test, vous pouvez terminer son nom par des parenthèses « () ». A l'intérieur des parenthèses, vous pouvez spécifier des données de test, y compris des paramètres. Si vous spécifiez des données dans le champ personnalisé, les valeurs de la propriété Données de Test sont remplacées.
  9. Facultatif : entrez des arguments d'exécution supplémentaires dans la zone de test Données de Test. Ces arguments sont traités par Silk Test Classic lors de l'exécution du test. si plusieurs arguments sont transmis à Silk Test Classic, ils doivent être séparés par une virgule (,). Si un argument String est transmis à Silk Test Classic, il doit être placé entre guillemets (""). Lorsque les données de test sont plus complexes, il est recommandé d'utiliser des paramètres dans les données de test, par exemple ${ParameterName}. Les paramètres sont remplacés automatiquement dans les exécutions de test.
    Remarque : La longueur maximum de ce champ est 2 000 caractères.
  10. Définissez si le test doit fournir un fichier TrueLog.
    Conseil : Lorsque vous exécutez vos tests avec l'agent ouvert, ce paramètre doit être activé dans Silk Central et Silk Test, sinon aucun fichier TrueLog ne sera fourni. Le mode d'exécution par défaut pour les tests pilotés par les données est basé sur un plan. Lorsque vous utilisez le mode d'exécution basé sur un script pour un test piloté par les données, modifiez le paramètre DataDrivenScriptMode dans l'élément Silk Test Classic de SccExecServerBootConf.xml. Pour plus d'informations, reportez-vous à la documentation de Silk Test Classic.
  11. Si nécessaire, spécifiez un fichier d'ensemble d'options. Par défaut, Silk Central ferme tous les fichiers d'ensemble d'options Silk Test Classic ouverts. Pour définir un fichier d'ensemble d'options, spécifiez le nom du fichier par rapport au nœud racine du conteneur de tests dans le profil de référentiel tiers.
  12. Cliquez sur Terminer pour créer le test Silk Test Classic.
    Remarque : Si vous possédez des cas de test Silk Test Classic nécessitant plus d'une heure de traitement, ajustez les paramètres de délai pour Silk Central. Sinon, Silk Central considère qu'une erreur s'est produite et met fin à l'exécution. Pour plus de détails sur les paramètres de délai, reportez-vous aux rubriques Administration de cette Aide.
Sujet parent : Tests Silk Test Classic
Concepts associés
Tests Silk Test Classic
Tests Silk Test Classic
Paramètres de test
Tâches associées
Essai d'exécution d'un test


Création ou modification de tests de plan Silk Test Classic

Pour ajouter ou modifier un test de plan Silk Test Classic :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Plan Silk Test Classic dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés du plan s'affiche.

  6. Dans le champ Fichier Plan entrez le nom complet du fichier de plan de test (.pln) à exécuter. Cliquez sur Parcourir pour rechercher le fichier.
  7. Dans la zone de texte du Fichier de Projet entrez le nom du projet Silk Test Classic contenant le fichier et les paramètres d'environnement. Cliquez sur Parcourir pour rechercher le fichier du projet.
  8. Dans la zone de texte Ensemble d'options, entrez le nom complet du fichier de l'ensemble d'options qui contient les paramètres d'environnement. Cliquez sur Parcourir pour rechercher le fichier de l'ensemble d'options.
  9. Dans la zone de texte Fichier de Données pour les attributs et les requêtes, saisissez le chemin par défaut du fichier d'initialisation du plan de test. Cliquez sur Parcourir pour rechercher le fichier d'initialisation du plan de test.
  10. Dans la zone de texte Nom de la Requête de Plan de Test, entrez le nom complet de la requête de plan de test enregistrée.
  11. Cliquez sur Terminer.

Pour conserver la structure de votre test de plan Silk Test Classic dans Silk Central, lancez une exécution d'essai. Une fois l'exécution d'essai terminée, le fichier output.xml est ajouté aux fichiers de résultats de votre exécution de plan d'exécution. Cela vous permet de convertir votre test en package de tests et de contrôler ainsi la totalité de la structure de test.

Sujet parent : Tests Silk Test Classic
Tâches associées
Création d'un package de tests
Essai d'exécution d'un test


Tests Silk Test Workbench

Silk Test Workbench est un outil de test automatisé permettant d'accélérer le test fonctionnel d'applications complexes. Silk Test Workbench propose une prise en charge des applications de test développées dans une large palette d'outils de développement : Java, .NET, applications Web basées sur navigateur et composants COM, notamment (y compris des contrôles ActiveX et des objets d'automatisation).
  • Conditions préalables requises pour exécuter STW.EXE avec Silk Central
    Répertorie les conditions préalables requises à l'exécution de STW.EXE avec un serveur d'exécution Silk Central .
  • Création ou modification de tests Silk Test Workbench
    Créez ou modifiez un test Silk Test Workbench afin d'exécuter des tests Silk Test Workbench dans Silk Central .
  • Ouverture de Silk Test Workbench dans le cadre du fichier de résultat
    Décrit comment ouvrir Silk Test Workbench dans le cadre du fichier de résultat.
  • Consultation des fichiers de résultats d'exécution d'un test visuel
    Décrit comment ouvrir Silk Test Workbench pour afficher la dernière capture d'écran d'un test visuel lorsqu'une erreur de rejeu se produit.
  • Page Paramètres de test -Silk Test Workbench
    Décrit le mappage des types de données pour les paramètres deSilk Test Workbench.
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Conditions préalables requises pour exécuter STW.EXE avec Silk Central

Pour exécuter STW.EXE avec un serveur d'exécution Silk Central et pour réussir à se connecter à une base de données Silk Test Workbench , les conditions préalables suivantes sont requises :
  1. Exécutez le serveur d'exécution Silk Central comme un processus, et non pas comme un service.
  2. Utilisez l'authentification de base de données pour vous connecter à la base de données Silk Test Workbench . Silk Test Workbench peut utiliser l'authentification Windows ou l'authentification de base de données lors de la connexion à une base de données SQL Server Silk Test Workbench .
  3. Configurez l'instance de serveur de base de données pour utiliser un port statique.
Si ces conditions préalables ne sont pas remplies, Silk Test Workbench peut renvoyer l'erreur suivante lors de la tentative d'exécution d'STW.EXE avec un serveur d'exécution Silk Central :
Erreur 3 : DSN, nom d'utilisateur ou mot de passe incorrect.
Sujet parent : Tests Silk Test Workbench


Création ou modification de tests Silk Test Workbench

Pour ajouter ou modifier un test Silk Test Workbench :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test Silk Test Workbench dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de test Silk Test Workbench - Sélectionner les Tests s'affiche.

  6. Dans la liste Tests Silk Test Workbench, sélectionnez un ou plusieurs scripts.
  7. Dans la zone de texte Options de Rejeu, entrez le nom d'une option de rejeu Silk Test Workbench prédéfinie ou conservez la valeur par défaut Valeurs système par défaut.
    Remarque : Pour un test Silk Test Workbench, il est impératif qu'une option de rejeu soit définie. L'option de suppression sur un test Silk Test Workbench a pour effet de réinitialiser l'option de rejeu à la valeur par défaut définie dans Valeurs système par défaut.
  8. Cliquez sur Terminer.
Sujet parent : Tests Silk Test Workbench
Tâches associées
Essai d'exécution d'un test


Ouverture de Silk Test Workbench dans le cadre du fichier de résultat

  1. Dans le menu, cliquez sur Organisation des Exécutions.
  2. Sélectionnez le plan d'exécution.
  3. Cliquez sur l'onglet Exécutions.
  4. Dans la grille Exécutions de Tests située en bas, cliquez sur l'ID d'Exécution associé au test dont vous souhaitez afficher les détails. La boîte de dialogue Résultats d'exécution de test s'affiche.
  5. Cliquez sur l'onglet Fichiers.
  6. Cliquez sur le fichier result.stwx pour ouvrir Silk Test Workbench dans le cadre du fichier de résultat.
    Remarque : Silk Test Workbench doit être installé sur l'ordinateur sur lequel vous tentez d'ouvrir le fichier.
Sujet parent : Tests Silk Test Workbench


Consultation des fichiers de résultats d'exécution d'un test visuel

  1. Dans le menu, cliquez sur Organisation des Exécutions.
  2. Sélectionnez le plan d'exécution.
  3. Cliquez sur l'onglet Exécutions.
  4. Dans l'espace Dernières Exécutions, cliquez sur l'ID d'Exécution du plan d'exécution adéquat afin d'afficher les résultats de l'exécution du test.
  5. La colonne Actions affiche les icônes et les liens pour Silk Test Workbench :
    • detail.htm - Fichier de pas détaillé de Silk Test Workbench.
    • result.stwx - Cliquez pour ouvrir le résultat dans Silk Test Workbench .
    • error.png - Cliquez pour accéder à une capture d'écran de la dernière erreur.
Sujet parent : Tests Silk Test Workbench


Page Paramètres de test -Silk Test Workbench

Tests > Vue Détaillée > <élément de test> > Jeu de données

Lors de la modification des paramètres pour les passer d'un testSilk Central à un testSilk Test Workbench, ces paramètres doivent être définis comme des paramètres d'entrée dans le scriptSilk Test Workbench et ils doivent porter le même nom dansSilk Central que dans ce script. Les types de données suivants doivent être utilisés :

<ph conref="SILKPERF-591A03C9-REUSE-COMMON-CON#SILKPERF-591A03C9-REUSE-COMMON-CON/DOTNETEXPSHORT"><?xm-replace_text Phrase?></ph> | <ph conref="SILKPERF-591A03C9-REUSE-COMMON-CON#SILKPERF-591A03C9-REUSE-COMMON-CON/DOTNETEXPSHORT"><?xm-replace_text Phrase?></ph>
Chaîne | Texte
Nombre | Nombre (Long)
Nombre | Nombre (Long Long)
Nombre | Énumération
Flottant | Nombre (Double)
Booléen | Booléen (Vrai/Faux)
Sujet parent : Tests Silk Test Workbench
Sujet parent : Paramètres de test


SilkTestPartner Tests

TestPartner est un produit Micro Focus qui teste des applications Web et Microsoft Windows utilisant des technologies Microsoft.
  • Création ou modification de tests Silk TestPartner
    Configurez les propriétés de test TestPartner afin de créer un test TestPartner.
  • Ajout de plusieurs testsTestPartner
    Vous pouvez ajouter plusieurs tests TestPartner lorsque vous créez un test TestPartner.
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Création ou modification de tests Silk TestPartner

Pour ajouter ou modifier un test TestPartner :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test Silk TestPartner dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de test - Sélectionner le script de test s'ouvre.

  6. Cliquez sur Parcourir.

    La boîte de dialogue Choisir un Fichier s'affiche. Les éléments disponibles dans cette boîte de dialogue sont basés sur l'option Répertoire de projet définie dans le profil de référentiel tiers TestPartner associé.

  7. Sélectionnez un script dans la liste, puis cliquez sur OK.
    Remarque : Pour ajouter plusieurs tests TestPartner, reportez-vous à la rubrique Ajout de plusieurs tests TestPartner.
  8. Dans la zone de texte Options de Rejeu, entrez le nom d'une option de rejeu TestPartner prédéfinie ou conservez la valeur par défaut Valeurs système par défaut.
  9. Cliquez sur Terminer.
Sujet parent : SilkTestPartner Tests
Tâches associées
Essai d'exécution d'un test
Ajout de plusieurs testsTestPartner


Ajout de plusieurs testsTestPartner

Pour ajouter plusieurs tests TestPartner , vous devez d'abord suivre les étapes décrites dans la rubrique Création de tests Silk TestPartner .

Pour ajouter plusieurs tests TestPartner :

  1. Dans la liste Type de la boîte de dialogue Nouveau test, sélectionnez Test TestPartner.
  2. Cliquez sur Suivant. La boîte de dialogue Propriétés de Test - Sélectionner le Script de Test s'affiche.
  3. Cliquez sur Parcourir.

    La boîte de dialogue Choisir un Fichier s'affiche. Les éléments disponibles dans cette boîte de dialogue sont basés sur l'option Répertoire de projet définie dans le profil de référentiel tiers TestPartner associé.

  4. Dans la zone de texte Options de Rejeu, entrez le nom d'une option de rejeu TestPartner prédéfinie ou conservez la valeur par défaut Valeurs système par défaut.
    Remarque : L'import attribue l'option de rejeu définie à tous les scripts importés. Si vous avez besoin de modifier l'option de rejeu pour un script, modifiez le test après l'import.
  5. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de Test - Sélectionner les Scripts s'affiche.

  6. Dans la zone de texte Scripts TestPartner, sélectionnez les scripts à importer en utilisant la combinaison Ctrl + clic.
  7. Cliquez sur Terminer.
Sujet parent : SilkTestPartner Tests
Tâches associées
Création ou modification de tests Silk TestPartner


Tests de Windows Script Host

Windows Script Host (WSH) fait partie de la plate-forme Windows et crée un environnement destiné à l'hébergement de scripts. Lorsqu'un script doit être exécuté sur le serveur d'exécution, WSH joue le rôle d'hôte. Il rend les objets et les services accessibles au script et fournit un ensemble de consignes dans lequel s'exécute le script. WSH gère notamment la sécurité et appelle le moteur de script qui convient.

  • Création ou modification de tests Windows Script Host (WSH)
    Créez ou modifiez un test Windows Script Host (WSH) pour des scripts de test compatibles avec WSH.
  • Langages de script pris en charge
    Répertorie les langages de script pris en charge par WSH.
  • Propriétés de test WSH
    Décrit les propriétés que vous pouvez configurer pour WSH.
  • Utilisation des paramètres dans les tests WSH
    Décrit le mode d'utilisation des paramètres dans les tests WSH.
  • Affichage des informations renvoyées par WSH
    Décrit le mode d'affichage des informations renvoyées par WSH sur un test.
Sujet parent : Types de test
Sujet parent : Intégration des outils d'automatisation des tests


Création ou modification de tests Windows Script Host (WSH)

Pour ajouter ou modifier un test WSH :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Si vous créez un test, sélectionnez Test Windows Script Host dans la zone de liste Type. Cliquez sur Suivant.

    La boîte de dialogue Propriétés de test WSH s'ouvre.

  6. Cliquez sur Parcourir, puis sélectionnez un script de test Scripting Windows.
  7. Spécifiez l'emplacement de tous les paramètres supplémentaires requis dans la zone de texte Switches.
    Remarque : Vous pouvez ajouter d'autres switches à transmettre au script. Pour plus de détails sur les switches pouvant être utilisés, reportez-vous à la section Propriétés de test WSH et à la documentation relative à l'hôte de script Microsoft.
  8. Cliquez sur Terminer.
Sujet parent : Tests de Windows Script Host
Tâches associées
Essai d'exécution d'un test


Langages de script pris en charge

WSH fonctionne avec tous les langages pour les moteurs de script compatibles WSH. La plate-forme Windows prend en charge, de manière native, les scripts Visual Basic dotés de l'extension de fichier .vbs, ainsi que les scripts écrits en langage JavaScript et dotés de l'extension de fichier .js.

Pour les autres langages de scripts, un interpréteur de script dédié doit être installé sur le serveur d'exécution. Par exemple, si vous installez un interpréteur Perl sur un serveur d'exécution, celui-ci enregistrera un moteur de script Perl dans l'environnement WSH pour l'extension .pls. Lorsqu'un fichier doté de l'extension .pls est transmis à l'outil WSH avec l'exécutable cscript.exe, il appelle l'interpréteur approprié grâce à l'extension de fichier. Ainsi, le client de WSH, en l'occurrence le serveur d'exécution de Silk Central, n'a pas besoin de connaître l'emplacement d'installation de l'interpréteur Perl.

Remarque : Après avoir installé un interpréteur de script, par exemple Active Perl, essayez d'exécuter un script en local sur le serveur d'exécution, en appelant l'outil de ligne de commande WSH avec un exemple de script avant d'exécuter le script dans Silk Central. Pour ce faire, ouvrez un shell de commande sur le serveur d'exécution et saisissez cscript <somescript>, où <somescript> correspond au chemin d'accès à un script de votre choix, disponible sur votre serveur d'exécution. C'est exactement le script que Silk Central invoquera lors de l'exécution d'un test WSH sur un serveur d'exécution. Si le script est exécuté, cela signifie que le moteur de script a été correctement enregistré.
Les langages de script suivants sont compatibles avec WSH :
Langage de script
Extension de fichier
Perl
.pls
Python
.py, .pyw
REXX
.REXX
TCL
.tcl
Sujet parent : Tests de Windows Script Host


Propriétés de test WSH

Propriété | Description
Script | Vous pouvez définir n'importe quel fichier pour lequel un moteur de script est enregistré pour le langage de script utilisé dans le fichier. Les fichiers de script avec référentiel tiers sont déployés automatiquement vers les serveurs d'exécution, qui sont comparables à des sources de test pour les autres types de test.
Switches Vous pouvez saisir et transmettre les paramètres suivants vers cscript.exe au cours de l'exécution du test :
//B
Le mode Batch supprime du script toutes les requêtes d'interface utilisateur sans ligne de commande. Nous vous conseillons d'utiliser cette option pour empêcher qu'un script attende une saisie utilisateur dans le cas d'une exécution sans intervention manuelle au niveau du serveur d'exécution.
//U
Nous vous conseillons d'utiliser le format Unicode pour les E/S redirigées depuis la console.
//T:nn
Expiration, en secondes. Temps maximum autorisé pour l'exécution du script. Valeur par défaut : aucune restriction. Cette option permet d'éviter un nombre excessif d'exécutions des scripts. Elle définit un délai. Lorsque le temps d'exécution dépasse la valeur indiquée, Cscript interrompt le moteur de script à l'aide de la méthode IActiveScript::InterruptThread et met fin au processus. Il existe une fonction de rappel. Si le délai est invoqué, la fonction OnTimeOut est appelée pour autoriser la réinitialisation. Bien qu'il soit possible de créer des boucles infinies avec cette fonction, elle est généralement plus utile que nuisible.
//logo
Affiche une bannière indiquant le temps d'exécution, qui s'affiche au début du fichier journal log.txt. Il s'agit du paramètre par défaut.
//nologo
Empêche l'affichage de la bannière d'exécution lors de l'exécution.
//D
Lance le débogage actif.
//E:engine
Utilise le moteur pour exécuter un script.
//Job:xxxx
Exécute une tâche WSF.
//X
Exécute le script dans l'outil de débogage.
Sujet parent : Tests de Windows Script Host


Utilisation des paramètres dans les tests WSH

Les paramètres définis pour un test WSH ajoutent automatiquement une paire nom-valeur à la ligne de commande comme argument supplémentaire et définissent les paramètres comme variables d'environnement pour le processus appelé. Cette fonctionnalité vous permet d'accéder à tous les paramètres définis pour votre test dans le script WSH.

Par exemple, un test WSH est défini avec myscript.js comme script et //B comme commutateur. En outre, le test requiert un paramètre nommé IPAddress dont la valeur est 192.168.1.5 et un autre paramètre nommé Port dont la valeur est 1492. Dans cet exemple, la ligne de commande obtenue pour l'exécution WSH est la suivante :

csript myscript.js //B IPAddress=192.168.1.5 Port=1492
Sujet parent : Tests de Windows Script Host


Affichage des informations renvoyées par WSH

Pour collecter les résultats d'une exécution WSH, le script WSH doit générer un fichier nommé output.xml dans le répertoire de travail actuel du test WSH. Tous les fichiers qui se trouvent dans ce répertoire sont stockés dans la base de données et sont téléchargeables via la liste des fichiers pour l'exécution du test. Les fichiers ne sont pas stockés lorsque leur extension est définie via la propriété Extensions de fichiers à exclure des résultats dans l'espace Projets.

Remarque : Le répertoire de travail actuel est créé de façon dynamique pour chaque exécution WSH. N'utilisez pas de chemin d'accès absolu au moment de la création du fichier. Tout chemin d'accès relatif utilisé renverra correctement au répertoire de travail actuel.

Toute information qu'un script écrit dans la sortie WSH standard est consignée dans le fichier texte log.txt qui se trouve dans le répertoire de travail actuel. Ce fichier est stocké dans la base de données et est consultable dès lors qu'il est inclus dans la liste des fichiers de l'exécution du test.

L'exemple suivant illustre la procédure d'impression des informations consignées à partir d'un script :

 WScript.Echo "This info will be written to the log.txt file"

La structure XML de output.xml commence par l'élément ResultElement qui définit un attribut nommé TestItem, qui indique le nom de l'élément ResultElement.

L'élément ResultElement doit contenir un élément nommé ErrorCount, un élément nommé WarningCount (en option) et une liste d'éléments Incident.

Les éléments ErrorCount et WarningCount doivent contenir un nombre positif ou zéro. Les éléments ErrorCount et WarningCount de l'élément ResultElement de niveau supérieur servent à évaluer les critères de succès, qui déterminent si un test est concluant ou non. Le fichier XML peut contenir des éléments supplémentaires qui ne sont pas visibles dans l'interface utilisateur de Silk Central. Le fichier output.xml est toutefois stocké dans la base de données et est consultable dès lors qu'il est inclus dans la liste des fichiers du test exécuté.

L'élément Incident représente un événement qui s'est produit au moment de l'exécution du test WSH. Message et Severity apparaissent dans la liste de messages des exécutions de tests de l'interface utilisateur de Silk Central. Un élément Incident doit contenir des éléments Message et Severity.

L'élément Severity doit présenter l'une des valeurs suivantes :

  • Info
  • Warning
  • Error (ou Exception)
  • Failure

Vous pouvez stocker des informations supplémentaires dans le fichier de résultat. L'élément ResultElement peut contenir un nombre quelconque de sous-éléments ResultElements. Ainsi, le regroupement des informations ne représente aucune difficulté. Grâce à ces sous-éléments, la lecture du fichier de résultat est plus simple. Pour des raisons de compatibilité avec les tests d'unité, JUnit et NUnit, l'élément ResultElement peut être nommé TestSuite ou Test.

L'élément ResultElement peut contenir les éléments supplémentaires suivants :

  • FailureCount, de même type que le nombre d'erreurs
  • RunCount, si un test est exécuté plusieurs fois
  • Timer, par exemple pour la durée du test
  • WasSuccess, pour la compatibilité avec les fichiers de résultats NUnit
  • Asserts, pour la compatibilité avec les fichiers de résultats NUnit

L'élément Incident peut contenir une liste d'éléments Detail.

L'élément Detail représente des informations détaillées sur un Incident. Il doit définir des éléments TestName et Info. L'élément TestName sert à fournir des informations détaillées sur l'emplacement de l'Incident. L'élément Info contient des informations détaillées sur l'Incident, par exemple, une trace de pile.

Remarque : Jusqu'à Silk Central 8.1, la valeur des éléments Message et Info devait être codée dans une URL (ISO-8859-1). Depuis la version 8.1.1, le codage des URL n'est plus autorisé.

Exemple de fichier de résultat

<ResultElement TestItem="WshOutputTest">
  <ErrorCount>1</ErrorCount>
  <WarningCount>1</WarningCount>
  <Incident>
    <Message>some unexpected result</Message>
    <Severity>Error</Severity>
    <Detail>
      <TestName>function main()</TestName>
      <Info>some additional info; eg. stacktrace</Info>
    </Detail>
  </Incident>
  <Incident>
    <Message>some warning message</Message>
    <Severity>Warning</Severity>
    <Detail>
      <TestName>function main()</TestName>
      <Info>some additional info; eg. stacktrace</Info>
    </Detail>
  </Incident>
</ResultElement>

Exemple de script Java

Le script suivant a été utilisé pour générer l'exemple de fichier de résultat. Pour essayer ce script, enregistrez-le avec l'extension .js.

function dumpOutput(dumpFile)
{
  dumpFile.WriteLine("<ResultElement TestItem=\"WshOutputTest\">");
  dumpFile.WriteLine("  <ErrorCount>1</ErrorCount>");
  dumpFile.WriteLine("  <WarningCount>1</WarningCount>");
    dumpFile.WriteLine("  <Incident>");
    dumpFile.WriteLine("    <Message>some unexpected result</Message>");
    dumpFile.WriteLine("    <Severity>Error</Severity>");
    dumpFile.WriteLine("    <Detail>");
    dumpFile.WriteLine("      <TestName>function main()</TestName>");
    dumpFile.WriteLine("      <Info>some additional info; eg. stacktrace</Info>");
    dumpFile.WriteLine("    </Detail>");
    dumpFile.WriteLine("  </Incident>");
    dumpFile.WriteLine("  <Incident>");
    dumpFile.WriteLine("    <Message>some warning message</Message>");
    dumpFile.WriteLine("    <Severity>Warning</Severity>");
    dumpFile.WriteLine("    <Detail>");
    dumpFile.WriteLine("      <TestName>function main()</TestName>");
    dumpFile.WriteLine("      <Info>some additional info; eg. stacktrace</Info>");
    dumpFile.WriteLine("    </Detail>");
    dumpFile.WriteLine("  </Incident>");
  dumpFile.WriteLine("</ResultElement>");
}

function main()
{
  var outFile;
  var fso;
  fso = WScript.CreateObject("Scripting.FileSystemObject");
  outFile = fso.CreateTextFile("output.xml", true, true);
  outFile.WriteLine("<?xml version=\"1.0\" encoding=\"UTF-16\"?>");

  dumpOutput(outFile);
  outFile.Close();
  WScript.Echo("Test is completed");
}

main();
WScript.Quit(0);

Exemple de script Visual Basic

Le script Visual Basic suivant génère également l'exemple de fichier de résultat et l'enregistre sous Output.xml. Pour essayer ce script, enregistrez-le avec l'extension .vbs.

WScript.Echo "starting"

Dim outFile
Dim errCnt
Dim warningCnt

outFile = "output.xml"
errCnt = 1 ' retrieve that from your test results
warningCnt = 1 ' retrieve that from your test results

Set FSO = CreateObject("Scripting.FileSystemObject")
Set oTX = FSO.OpenTextFile(outFile, 2, True, -1) ' args: file, 8=append/2=overwrite, create, ASCII

oTX.WriteLine("<?xml version=""1.0"" encoding=""UTF-16""?>")
oTX.WriteLine("<ResultElement TestItem=""PerlTest"">")
oTX.WriteLine("  <ErrorCount>" & errCnt & "</ErrorCount>")
oTX.WriteLine("  <WarningCount>" & warningCnt & "</WarningCount>")
oTX.WriteLine("  <Incident>")
oTX.WriteLine("    <Message>some unexpected result</Message>")
oTX.WriteLine("    <Severity>Error</Severity>")
oTX.WriteLine("    <Detail>")
oTX.WriteLine("      <TestName>function main()</TestName>")
oTX.WriteLine("      <Info>some additional info; eg. stacktrace</Info>")
oTX.WriteLine("    </Detail>")
oTX.WriteLine("  </Incident>")
oTX.WriteLine("  <Incident>")
oTX.WriteLine("    <Message>some warning message</Message>")
oTX.WriteLine("    <Severity>Warning</Severity>")
oTX.WriteLine("    <Detail>")
oTX.WriteLine("      <TestName>function main()</TestName>")
oTX.WriteLine("      <Info>some additional info; eg. stacktrace</Info>")
oTX.WriteLine("    </Detail>")
oTX.WriteLine("  </Incident>")
oTX.WriteLine("</ResultElement>")
Sujet parent : Tests de Windows Script Host


Tests partagés

Les tests périodiques et leurs assignations d'exigences peuvent être gérés de manière centralisée et peuvent être partagés et utilisés dans plusieurs projets.

If your project is configured to consume tests from a specific project that is sharing tests (see Adding Projects), you can reuse these tests into your project by selecting them through the selection UI.

  • Sharing and Consuming Tests
    Manage recurring tests and their requirement assignments centrally and share and consume these tests across projects.
  • Maintien à jour des versions des tests partagés - Acceptation et application des modifications
    Mettez à jour les tests consommateurs en fonction de la dernière version des tests partagés, ou appliquez des mises à jour depuis les tests consommateurs vers les tests partagés.
  • Partage de tests en dehors d'un projet consommateur
    Partager des tests en dehors d'un projet consommateur.
Sujet parent : Gestion des tests


Sharing and Consuming Tests

Manage recurring tests and their requirement assignments centrally and share and consume these tests across projects.
If your project is configured to consume tests from a specific project that is sharing tests (see Adding Projects), you can reuse these tests into your project by selecting them through the selection UI.
To insert shared tests into your project:
  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Right-click on the test container or the test folder into which you want to insert the shared tests.
  3. Select Shared Tests.
  4. Select Insert Shared Tests. The Browse Tests dialog appears.
  5. Select the tests that you want to insert.
    Conseil : To narrow down the displayed test set, either set some criteria in the Search field or select a pre-defined filter from the list.
  6. Click OK. The selected tests are inserted. The test properties contain a Shared Test Reference, which means a link to the shared test.
  7. To detach a consuming test from a shared test, click Delete in the Shared Test Reference field.
    Remarque : To remove a reference to a shared test, you require the Tests and Executions - Manage assets permission.
    After removing the reference to a shared test, the test will no longer have any connection to the shared test. Updates will therefore no longer be pushed and received between the shared test and the consuming test.

To see all tests that are consume a specific shared test, click Tests > Details View in the menu and select the Usages tab.

When consuming tests, consider the following:
  • The project that consumes the tests must be configured to reuse tests from the project that is sharing the tests.
  • You can only insert tests into an existing test container.
  • The actions Accept Changes and Push Changes to Shared Test handle differing test types between a consuming test and the corresponding shared test, by resulting in the same test type being used in both tests.
  • When accepting changes from a test which uses either shared steps or keywords, the corresponding libraries must be visible in both the project that consumes the test and the project that shares the test.
  • To retain assigned requirements, the project that consumes a test must have the same requirements system configured as the project that is sharing the test.
  • Data-driven children, test package children, and linked test containers cannot be shared.
  • Inherited test properties, parameters, and attributes are not considered in consuming tests. Such tests will inherit what is inherited in the consuming project. Accepting changes from the original test can lead to properties, parameters, and attributes being removed in consuming tests if inheritance is being used, as these properties, parameters, and attributes might not be available in the consuming project.
  • Assigned issues are not copied to consuming tests.
  • If you use test attributes, they must have the same name and type in both projects.
  • When copying or baselining a consuming project, the references to the project that is sharing tests are retained. However, these references are deleted when exporting a consuming project.
  • The bulk export/update interface and the web services do not yet consider links to original assets.
  • You can also insert folders, including their complete hierarchy.
Sujet parent : Tests partagés
Sujet parent : Utilisation de l'arborescence Tests
Tâches associées
Ajout de projets
Modification de projets et de lotissements de projet


Maintien à jour des versions des tests partagés - Acceptation et application des modifications

La gestion des tests périodiques et de leurs assignations d'exigences dans un projet ainsi que leur partage entre plusieurs autres projets fait gagner du temps par rapport à la gestion individuelle de ces tests dans chaque projet. Ce type de gestion des tests revient à maintenir à jour les tests via le réglage des descriptions, l'ajout de nouveaux pas de test, la mise à jour des scripts, la modification des assignations d'exigences, etc. Pour distribuer ces modifications vers vos tests consommateurs, vous devez créer une nouvelle version de test pour vos tests partagés. Pour plus d'informations, reportez-vous à la rubrique Création d'une version. Lorsqu'une nouvelle version est créée, tous les tests consommateurs de tous les projets utilisés sont signalés, c'est-à-dire marqués avec une flèche bleue vers le haut, afin d'indiquer que des mises à jour sont disponibles pour ces tests. Pour mettre à jour les tests vers la dernière version, cliquez avec le bouton droit sur les tests utilisés signalés de la sorte, puis sélectionnez Tests partagés > Accepter les changements. Pour conserver la version actuelle et supprimer le marqueur, sélectionnez Tests partagés > Ignorer les changements. Les tests utilisés seront à nouveau marqués avec chaque nouvelle version d'un test partagé.

Il se peut également que vous soyez amené à mettre à jour le test utilisé, et que vous souhaitiez ensuite appliquer ces modifications au test partagé. Pour cela, cliquez sur Appliquer les changements au test partagé dans l'onglet Historique de votre test consommateur. L'application des modifications entraîne la création de ce qui suit :
  • Une nouvelle version du test consommateur.
  • Un point de restauration pour le test partagé, c'est-à-dire une nouvelle version de l'état actuel du test partagé.
  • Une nouvelle version du test partagé incluant les modifications appliquées.
Les autres tests consommateurs recevront alors une notification de mise à jour concernant les modifications apportées au test partagé.
Sujet parent : Tests partagés
Concepts associés
Versions
Tâches associées
Création d'une version
Affichage d'une version
Retour à la version précédente


Partage de tests en dehors d'un projet consommateur

Partager des tests en dehors d'un projet consommateur.
Une fois que vous avez étendu le jeu de tests dans un projet qui utilise des tests provenant d'un projet partageant des tests, vous pouvez mettre ces nouveaux tests à disposition d'autres projets consommateurs en les ajoutant au jeu de tests partagés dans le projet en partage.
  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet consommateur qui contient les nouveaux tests.
  3. Dans le menu, cliquez sur Tests > Vue Détaillée.
  4. Cliquez avec le bouton droit sur le dossier de tests ou sur le test que vous souhaitez partager.
  5. Sélectionnez Tests partagés > Partager des tests.
    Remarque : Cette action est disponible uniquement si la sélection ne contient aucun test déjà partagé.
  6. Dans le projet en partage, sélectionnez le dossier cible dans lequel vous souhaitez insérer les dossiers ou tests sélectionnés.
  7. Cliquez sur OK. Les dossiers de tests ou tests sélectionnés sont copiés en tant qu'enfants du dossier sélectionné dans le projet en partage.
Sujet parent : Tests partagés
Sujet parent : Utilisation de l'arborescence Tests


Modification de tests

Pour modifier un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test ou le package de tests que vous souhaitez modifier.
  3. Cliquez sur [image] (Modifier) dans la barre d'outils.

    Vous pouvez également cliquer sur l'onglet Propriétés puis cliquer sur Modifier, ou encore faire un clic droit sur le test ou le package de tests et choisir Modifier.

    La boîte de dialogue Modifier le Test s'affiche.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  4. Modifiez les champs Nom et Description du test sélectionné. Si le test sélectionné est un package de tests, la case Mettre à jour la Structure du Package au niveau du Résultat est disponible. Cochez la case Mettre à jour la Structure du Package au niveau du Résultat si vous souhaitez mettre à jour la structure du package de tests en fonction des résultats de l'exécution du test.
  5. Configurez les propriétés du test ou du package de tests en fonction du type de test, tel que décrit dans la rubrique Configuration des propriétés de test.
Sujet parent : Gestion des tests
Concepts associés
Configuration des propriétés de test
Packages de tests


Impression des tests

Pour imprimer des tests :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Utilisez la combinaison Ctrl + clic ou Maj + clic pour sélectionner les tests que vous voulez imprimer.
  3. Faites un clic droit sur la sélection et choisissez Imprimer les Détails du Test. La boîte de dialogue Détails du test s'affiche.
  4. Cliquez sur Imprimer ou Exporter en PDF.
Conseil : Vous pouvez également sélectionner des tests ou des dossiers dans l'arborescence des Tests et sélectionner Imprimer les détails du test.
Sujet parent : Gestion des tests


Page Exécutions de Tests

Tests > Vue Détaillée > <test> > Exécutions

La page Exécutions est disponible sur les nœuds de tests de la Vue Détaillée et répertorie les résultats des exécutions de tests du test sélectionné.

La présentation des données sous forme de grille dans la page Exécutions facilite le filtrage, le tri et le groupement d'un grand nombre d'exécutions de tests.

Pour chaque exécution, la page affiche les colonnes suivantes :

Colonne | Description
Actions Actions pouvant être appliquées à l'exécution de test.
Nouvel incident
Cliquez pour ouvrir la boîte de dialogue Nouvel Incident et créer un incident pour le test.
Assigner des incidents existants
Permet d'assigner au test des incidents à partir d'un système de suivi d'incidents configuré de façon externe.
Etat | État de l'exécution. Pour les tests qui font partie d'un plan d'exécution en cours d'exécution, l'état est mis à jour en fonction de l'état actuel de l'exécution de test. Si l'exécution actuelle est abandonnée, l'état est redéfini sur celui qui était antérieur à l'exécution.
Motif d'état | Raison pour laquelle une exécution de test donnée présente l'état Réussi, En Échec ou Non Exécuté.
ID d'exécution | ID d'exécution de test. Cliquez pour ouvrir la boîte de dialogue Résultats d'exécution de test. Si le test est en cours d'exécution, cliquez dessus pour afficher les détails de l'exécution.
Type d'exécution | La colonne Type d'Exécution affiche le type de test pendant chaque exécution. Le type de test peut changer entre deux exécutions, par exemple lorsque vous convertissez le test manuel en test automatisé.
Heure de début | Heure à laquelle l'exécution a démarré. S'il s'agit d'un test manuel dont l'exécution est en cours, Silk Central ajoute (En exécution) à la date et à l'heure.
Durée | Durée de l'exécution du test en h/mm/ss.
Plan d'exécution | Nom du plan d'exécution assigné ou Tests non assignés s'il s'agissait d'une exécution d'essai ou que les résultats étaient téléchargés. Cliquez dessus pour ouvrir le plan d'exécution.
Exécuté Par | Serveur d'exécution à partir duquel le test a été exécuté.
Incidents trouvés | Affiche le nombre d'incidents assignés à l'exécution de test. Si aucun incident n'est assigné à l'exécution de test, la colonne est vide. Cliquez sur le lien pour accéder à l'incident dans la page Incidents de Tests > Vue Détaillée.
Erreurs | Nombre d'erreurs générées au moment de l'exécution.
Avertissements | Nombre d'avertissements générés au moment de l'exécution.
Version | Version utilisée pour l'exécution du test.
Build | Numéro du build utilisé pour l'exécution du test.
Parent du plan d'exécution | Suite de configurations, dossier ou cycle de test dans le contexte desquels le plan d'exécution est exécuté. Cliquez pour accéder à la suite ou au dossier dans l'arborescence Plans d'Exécution. Si le plan d'exécution n'est pas inclus dans un dossier ou une suite de configurations, aucun élément ne s'affiche.
Commentaire d''exécution | Pour les exécutions de test Silk Performer, Silk Performer utilise cette colonne afin d'ajouter des informations concernant l'exécution de test lors du téléchargement des résultats. Pour tous les autres types de tests, vous pouvez utiliser cette colonne afin d'ajouter des informations concernant l'exécution.

Pour comparer deux exécutions de tests ou plus, utilisez les touches Ctrl ou Maj afin de les sélectionner. Effectuez un clic droit sur votre sélection et cliquez sur Comparer les résultats des tests automatisés ou sur Rapports > Comparaison d'exécutions de tests.

Sujet parent : Gestion des tests
Concepts associés
Rapport de comparaison des exécutions de test
Tâches associées
Comparaison des résultats de test de plusieurs exécutions de test
Assignation d'incidents existants
Référence associée
Résultats d'exécution de test


Page Incidents de test

Tests > Vue Détaillée > <élément de test> > Incidents

La page Incidents vous permet de saisir et de suivre les incidents relatifs à un test, conteneur ou dossier sélectionné.

Nouvel incident
Cliquez sur cette option pour assigner de nouveaux incidents au test sélectionné. Ce bouton s'affiche uniquement si l'objet sélectionné est un test.
Assigner des incidents existants
Cliquez sur cette option pour assigner des incidents au test sélectionné à partir d'un système externe de suivi d'incidents. Ce bouton s'affiche uniquement si l'objet sélectionné est un test.
Mettre à jour les états des incidents
Cliquez sur cette option pour mettre à jour les états des incidents.

Pour chaque incident, la page affiche les colonnes suivantes :

Colonne | Description
Actions | Actions réalisables au niveau de l'incident. Cliquez sur [image] pour supprimer l'incident. Les incidents externes ne sont pas supprimés.
ID d''incident | ID automatiquement attribué à l'incident. Cliquez sur cette option pour modifier l'incident.
Test assigné | Test assigné à l'incident. Cette colonne s'affiche uniquement si l'objet sélectionné est un conteneur ou un dossier.
Synopsis | Synoptique de l'incident.
Etat | État de l'incident.
ID Externe | Indique si l'incident est suivi par un système externe de suivi d'incidents. Cliquez sur un numéro d'incident externe pour le lier directement au système externe de suivi d'incidents.
Priorité | La priorité de l'incident s'affiche telle qu'elle est définie dans le système de suivi des incidents externe. Les systèmes de suivi des incidents suivants prennent en charge cette fonction : Atlassian JIRA, Bugzilla, Silk Central Issue Manager et StarTeam.
Exécution de Test | ID de l'exécution de test auquel l'incident est assigné. Cliquez sur cet ID pour accéder à la page Détails de la boîte de dialogue Résultats d'exécution de test qui se trouve dans l'espace Organisation des Exécutions.
Créé le | Date de création de l'incident.
Créé par | Utilisateur ayant créé l'incident.
Profil | Nom du profil de suivi d'incidents, tel que défini dans le menu Silk Central > Paramètres > Suivi d'Incidents.
Sujet parent : Gestion des tests
Concepts associés
Incidents
Issue Manager


Versions

Les versions peuvent être créées pour des objets (étapes et mots-clés) et des tests partagés. Une version est une révision d'un élément dans un certain état. Les jeux de données et les propriétés, paramètres et attributs de test hérités ne sont pas inclus dans les versions de test.

Vous pouvez créer manuellement des versions d’objets partagés et de tests ou revenir aux versions précédentes. Toutes les versions d’un objet partagé ou d’un test sont répertoriées dans la page Historique de l'élément. Lorsque vous copiez un projet, les versions sont également copiées. Si vous travaillez avec des tests partagés, consultez également Conservation des versions des tests partagés.

  • Création d'une version
    Créez une version d’un objet partagé ou d’un test, afin de pouvoir revenir sur les modifications ultérieures.
  • Affichage d'une version
    Affichez les détails d'une version pour vérifier si cette version répond à vos besoins en matière de test.
  • Comparaison de versions
    Pour afficher les différences entre deux versions d’un objet partagé ou d’un test, comparez-les.
  • Retour à la version précédente
    Pour annuler les modifications apportées à un objet partagé ou à un test, revenez à la version précédente.
  • Affichage des changements récents
    Affichez les changements récents apportés aux tests.
  • Suivi de l'historique d'un test
    Décrit le mode de suivi de l'historique d'un test.
  • Page Historique de test
    Décrit en détail l'historique de révision du test, du conteneur de tests, du dossier ou du projet sélectionné.
  • Page historique de la bibliothèque
    Présente l'historique de l'objet partagé qui est sélectionné.
Sujet parent : Gestion des tests
Sujet parent : Bibliothèques
Concepts associés
Maintien à jour des versions des tests partagés - Acceptation et application des modifications
Tâches associées
Création d'une version
Affichage d'une version
Retour à la version précédente


Création d'une version

Pour pouvoir annuler un ensemble de modifications à appliquer à un objet partagé ou un test, créez une version de l'élément.

Pour créer une version d’un objet partagé ou d’un test :

  1. Pour un objet partagé, cliquez sur Tests > Bibliothèques dans le menu. Pour un test, cliquez sur Tests > Vue Détaillée dans le menu.
  2. Sélectionnez l'objet partagé dans l'arborescence Bibliothèques, ou le test dans l'arborescence Tests.
  3. Cliquez sur Créer une Version dans la barre d'outils. Cette action est uniquement possible si l'objet partagé ou le test a été modifié. La boîte de dialogue Créer une Version s'affiche.
  4. Facultatif : entrez un commentaire sur la version dans la zone de texte Commentaire.
  5. Cliquez sur OK. La nouvelle version est affichée sur la page Historique.
Sujet parent : Versions
Concepts associés
Maintien à jour des versions des tests partagés - Acceptation et application des modifications
Versions
Tâches associées
Affichage d'une version
Retour à la version précédente


Affichage d'une version

Pour vérifier si une version donnée d’un objet partagé ou d’un test répond à vos besoins en matière de test, affichez les détails de la version.

Pour afficher les détails d’une version d’un objet partagé ou d’un test :

  1. Pour un objet partagé, cliquez sur Tests > Bibliothèques dans le menu. Pour un test, cliquez sur Tests > Vue Détaillée dans le menu.
  2. Sélectionnez l'objet partagé dans l'arborescence Bibliothèques, ou le test dans l'arborescence Tests.
  3. Cliquez sur l'onglet Historique.
  4. Faites un clic droit sur la version dont vous voulez connaître les détails.
  5. Cliquez sur Voir la Version <ID>.
  6. La boîte de dialogue Voir la Version s'ouvre. Si la version inclut des pièces jointes, vous pouvez les afficher en cliquant sur leur numéro dans la colonne Pièces Jointes de la section Pas de Tests.
    Remarque : Utilisez les flèches pour changer de numéro de version et afficher des versions supplémentaires.
Sujet parent : Versions
Concepts associés
Maintien à jour des versions des tests partagés - Acceptation et application des modifications
Versions
Tâches associées
Création d'une version
Retour à la version précédente


Comparaison de versions

Pour afficher les différences entre deux versions d’un objet partagé ou d’un test, comparez-les.

Pour comparer deux versions d’un objet partagé ou d’un test :

  1. Pour un objet partagé, cliquez sur Tests > Bibliothèques dans le menu. Pour un test, cliquez sur Tests > Vue Détaillée dans le menu.
  2. Sélectionnez l'objet partagé dans l'arborescence Bibliothèques, ou le test dans l'arborescence Tests.
  3. Cliquez sur l'onglet Historique.
  4. Sélectionnez les deux versions que vous souhaitez comparer à l'aide de la combinaison Ctrl + clic.
  5. Faites un clic droit sur la sélection.
  6. Sélectionnez Comparer les Versions <x> et <y>. La boîte de dialogue Comparer les Versions s'ouvre et affiche tout le contenu ajouté, modifié et supprimé.
    Remarque : Utilisez les flèches pour modifier les numéros de versions et comparer les versions supplémentaires.
Sujet parent : Versions


Retour à la version précédente

Pour annuler les modifications apportées à un objet partagé ou à un test, revenez à la version précédente. En cas de retour à une version précédente, notez ces cas particuliers :
  • Si la valeur d'un attribut hérité a été modifiée par rapport à la version actuelle, la dernière valeur est à nouveau héritée dans la version rétablie.
  • Si le type d'un attribut a été modifié par rapport à la version actuelle, l'attribut est ignoré dans la version rétablie.
  • Si la valeur d'un attribut de type liste n'existe plus dans la version actuelle, la valeur d'origine est ajoutée de nouveau à l'attribut et est utilisée dans la version rétablie.

Pour revenir à la version précédente d’un objet partagé ou d’un test :

  1. Pour un objet partagé, cliquez sur Tests > Bibliothèques dans le menu. Pour un test, cliquez sur Tests > Vue Détaillée dans le menu.
  2. Sélectionnez l'objet partagé dans l'arborescence Bibliothèques, ou le test dans l'arborescence Tests.
  3. Cliquez sur l'onglet Historique.
  4. Faites un clic droit sur la version à rétablir pour l’objet partagé ou le test.
  5. Cliquez sur Revenir à la Version <ID>.
  6. La version sélectionnée de l'objet partagé ou du test est rétablie et une autre version est créée dans la page Historique. Les pièces jointes et les jeux de données ne sont pas rétablis dans les tests.
Sujet parent : Versions
Concepts associés
Maintien à jour des versions des tests partagés - Acceptation et application des modifications
Versions
Tâches associées
Création d'une version
Affichage d'une version


Affichage des changements récents

Pour afficher les changements récents apportés aux tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Cliquez sur Montrer les Modifications pour filtrer tous les éléments de test à l'exception de ceux qui ont été modifiés depuis votre dernier acquittement.
    Remarque : Le filtre des changements récents est sélectionné automatiquement dans la zone de liste Filtre.
  3. Une fois que vous avez vérifié les changements, vous pouvez les accepter en cliquant sur Acquitter. La fonction d'acquittement réinitialise le filtre des changements récents.
  4. Cliquez à nouveau sur Montrer Tout pour supprimer le filtrage et afficher tous les tests.
Remarque : Tous les changements de tests génèrent des entrées dont la date est confirmée dans l'historique des tests.
Sujet parent : Versions
Concepts associés
Changements Récents


Suivi de l'historique d'un test

Silk Central fournit un historique complet de tous les changements qui ont été apportés aux tests. Les données de l'historique sont en lecture seule et ne peuvent être ni modifiées ni définitivement supprimées.

Pour effectuer le suivi de l'historique d'un élément de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test dans l'arborescence Tests.
  3. Cliquez sur l'onglet Historique.
Les propriétés du test s'affichent dans un tableau.
Sujet parent : Versions


Page Historique de test

Tests > Vue Détaillée > <élément de test> > Historique

La page Historique détaille l'historique de révision du test, du conteneur de tests, du dossier ou du projet sélectionné. Elle inclut également une entrée pour chaque lotissement de projet qui inclut l'élément sélectionné, avec un lien vers le lotissement et l'élément correspondant dans le lotissement. Si l'élément sélectionné a été créé dans le cadre d'un lotissement de projet, la première entrée de la page Historique inclut des liens vers le projet d'origine et l'élément correspondant dans le projet d'origine. Ces liens permettent uniquement d'accéder à des projets ou des lotissements actifs. Pour plus d'informations sur les lotissements de projet, reportez-vous aux rubriques Administration de cette Aide.

La page Historique inclut également une entrée pour chaque version du test sélectionné, et permet de créer de nouvelles versions, de rétablir une version antérieure, ou d'afficher les différences entre deux versions sélectionnées.

Pour chaque changement effectué, la page affiche les colonnes suivantes :

Colonne | Description
Actions | Uniquement pour les entrées de version. Les actions pouvant être appliquées sont Voir la Version, Revenir à la Version et Supprimer la Version.
Version | Uniquement pour les entrées de version. Version d’un test.
Commentaire | Commentaire relatif aux changements.
Créé le | Date et heure du changement.
Créé par | Utilisateur à l'origine du changement.
Remarque : Lorsque la page contient plus d'éléments qu'il n'est possible d'en afficher en une seule fois sans que cela ait un impact sur le temps de réponse, ceux-ci sont affichés par incréments. Utilisez la barre de navigation en bas de la page pour parcourir les éléments.
Sujet parent : Versions
Concepts associés
Versions


Configuration des propriétés de test

Configurer les propriétés de test comme les attributs, les paramètres, les annexes, et les critères de succès.
  • Propriétés du test
    Décrit toutes les propriétés et informations utiles relatives au test, dossier de test, package de tests ou conteneur de tests sélectionné.
  • Attributs de test
    Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux tests. Vous pouvez filtrer l'espace Tests pour afficher uniquement les tests associés à un attribut spécifique, et assigner ces tests à des plans d'exécution. Par exemple, un attribut Plate-forme peut être appliqué aux composants d'application et un attribut Priorité peut être appliqué aux tests.
  • Paramètres de test
    Les paramètres sont des valeurs d'entrée librement configurables, qui peuvent être assignées à différents types de tests et utilisées de différentes façons. Ils permettent de définir les tests à partir de données de test.
  • Pièces jointes de test
    La section Pièces Jointes répertorie tous les fichiers et liens qui ont été téléchargés en tant que pièces jointes au conteneurs de tests, dossier ou test sélectionné.
  • Tests pilotés par les données
    Décrit comment utiliser les tests pilotés par les données.
  • Critères de Succès
    Explique comment déterminer si un test réussit ou non.
Sujet parent : Tests
Concepts associés
Attributs de test
Paramètres de test
Pièces jointes de test
Référence associée
Propriétés du test


Propriétés du test

Tests > Vue détaillée > Propriétés

La page Propriétés fournit des détails sur toutes les propriétés du test, dossier de test, package de tests ou conteneur de tests sélectionné. Vous avez la possibilité de développer et de réduire les informations de chaque section sur cette page. Cela vous permet de personnaliser les informations affichées selon vos besoins spécifiques. Pour les nœuds de tests, les propriétés suivantes sont configurées lors de la création des tests :

Propriété | Description
Nom du test | Nom du test.
ID du Test | Identificateur de base de données du test.
Description Description du test.
Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
Etat
Pour les tests ou les packages de tests qui sont inclus dans une suite de configurations, l'état est une agrégation de tous les états de l'ensemble des configurations de la suite :
  • Lorsque le test n'est assigné qu'à la suite de configurations, l'état est Réussi uniquement si le test a réussi pour toutes les configurations. Si l'état Réussi n'est pas affiché pour toutes les configurations, l'état de l'exécution la moins performante est propagé, avec la priorité descendante suivante :
    1. SO
    2. Non exécuté
    3. Echec
    4. Réussi
    L'état d'une exigence assignée au test est En Échec si le test échoue pour une ou plusieurs configurations.
  • Il n'est pas recommandé d'assigner le test à une suite de configurations et à un ou plusieurs plans d'exécution simples. Toutefois, dans ce cas, l'agrégation des états de configuration correspond à un état, et les derniers états des plans d'exécution représentent d'autres états. L'état de la dernière exécution détermine le dernier état du test.
  • Si le test est assigné uniquement à un plan d'exécution simple, l'état est mis à jour en fonction de l'état de la dernière exécution.
Dernière exécution | Date de la dernière exécution du test. Pour les tests qui font partie d'un plan d'exécution en cours, la dernière exécution est mise à jour en fonction de l'exécution du test en cours.
Exécutions Assignées Répertorie tous les plans d'exécution auxquels le test sélectionné est assigné. Pour chaque plan d'exécution de la liste, la grille affiche les colonnes suivantes :
Colonne
Description
Exécution
Nom du plan d'exécution. Cliquez pour afficher ou modifier le plan d'exécution.
Etat
Etat de la dernière exécution du test dans le plan d'exécution. L'état est Non Exécuté si le test n'a pas été exécuté au cours de la dernière exécution du plan d'exécution. Pour les tests pilotés par les données ou les packages de tests, l'état de toutes les dernières exécutions s'affiche sous la forme d'un graphique à barres.
Dernière exécution
Date de la dernière exécution du test dans le cadre du plan d'exécution.
Parent du plan d'exécution
Suite de configurations, dossier ou cycle de test dans le contexte desquels le plan d'exécution est exécuté. Cliquez pour accéder à la suite ou au dossier dans l'arborescence Plans d'Exécution. Si le plan d'exécution n'est pas inclus dans un dossier ou une suite de configurations, aucun élément ne s'affiche.
Créé le | Date et heure auxquelles le test a été créé.
Créé par | Nom de l'utilisateur qui a créé le test.
Modifié le | Date et heure auxquelles le test a été modifié pour la dernière fois.
Modifié Par | Nom de l'utilisateur qui a modifié le test pour la dernière fois.
Durée prévue [hh:mm] | Durée prévue pour l'exécution du test. Uniquement pour les tests manuels.
Propriétés du test | Propriétés de test spécifiques du type de test.
Critères de succès | Tous les critères de succès configurés pour le test. Pour les nœuds des packages de tests, tous les critères de succès sont désactivés ou masqués, excepté le délai d'exécution.
Dossier d'intégration par défaut | Affiche le nom du conteneur ou du dossier dans lequel les tests des systèmes externes de gestion d'exigences sont créés par défaut. Pour plus d'informations, reportez-vous à la rubrique Définition d'un nœud de test en tant qu'intégration par défaut pour des outils d'organisation agile externes.
Sujet parent : Configuration des propriétés de test
Concepts associés
Configuration des propriétés de test
Attributs de test
Paramètres de test
Pièces jointes de test


Attributs de test

Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux tests. Vous pouvez filtrer l'espace Tests pour afficher uniquement les tests associés à un attribut spécifique, et assigner ces tests à des plans d'exécution. Par exemple, un attribut Plate-forme peut être appliqué aux composants d'application et un attribut Priorité peut être appliqué aux tests.
Remarque : L'héritage des attributs est similaire à l'héritage des propriétés et des critères de succès. Les attributs assignés à un nœud parent sont hérités dans tous les sous-dossiers et tests enfants.
  • Assignation d'attributs à des tests
    Assignez un attribut à un test afin de pouvoir filtrer les catégories de tests caractérisées par l'attribut spécifié.
  • Modification d'attributs de test
    Modifiez un attribut de test afin de modifier les caractéristiques du test.
  • Suppression d'attributs de test
    Supprimez un attribut d'un test lorsque ce dernier n'est plus caractérisé par l'attribut.
Sujet parent : Configuration des propriétés de test
Concepts associés
Attributs
Configuration des propriétés de test
Paramètres de test
Pièces jointes de test
Référence associée
Propriétés du test


Assignation d'attributs à des tests

Pour assigner un attribut à un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test auquel vous voulez assigner un attribut.
  3. Dans la section Attributs, cliquez sur Ajouter un Attribut. La boîte de dialogue Ajouter des attributs s'affiche.
  4. Cliquez sur Supprimer dans la colonne Ajouter de l'attribut que vous voulez assigner. Selon le type d'attribut que vous avez sélectionné, une boîte de dialogue Modifier l'Attribut s'affiche, dans laquelle vous pouvez spécifier les valeurs d'attributs disponibles que vous voulez assigner au test.
  5. Sélectionnez la valeur de l'attribut et cliquez sur OK pour l'assigner au test.
Sujet parent : Attributs de test


Modification d'attributs de test

Pour modifier un attribut de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test dont vous souhaitez modifier un attribut assigné.
  3. Dans la section Attributs, cliquez sur l’icône Modifier de l’attribut que vous souhaitez modifier. La boîte de dialogue Modifier l'Attribut s'affiche. Les options disponibles dans la boîte de dialogue Modifier l'Attribut varient en fonction du type d'attribut sélectionné.
  4. Sélectionnez la valeur requise, puis cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Attributs de test


Suppression d'attributs de test

Pour supprimer un attribut d'un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test dont vous souhaitez supprimer un attribut assigné.
  3. Dans la section Attributs, cliquez sur l'icône Supprimer de l'attribut que vous souhaitez supprimer. La boîte de dialogue de confirmation de suppression d'attribut s'affiche.
  4. Cliquez sur Oui afin de supprimer l'attribut.
    Remarque : Les Attributs hérités ne peuvent pas être supprimés.
Sujet parent : Attributs de test


Paramètres de test

Les paramètres sont des valeurs d'entrée librement configurables, qui peuvent être assignées à différents types de tests et utilisées de différentes façons. Ils permettent de définir les tests à partir de données de test.

Les paramètres de test inclus dans une propriété d’un test, par exemple Données de Test pour les tests Silk Test Classic, sont répertoriés en haut. Les paramètres inutilisés sont ajoutés au bas de la liste et grisés, afin de signifier leur état désactivé.

Silk Performer
Ces tests utilisent des paramètres prédéfinis qui représentent les attributs de projet définis dans un test Silk Performer sélectionné.
JUnit, Silk4J
Toute classe de test JUnit et Silk4J peut accéder à un paramètre personnalisé du test sous-jacent en tant que propriété système Java ; le programme de lancement transmet ces paramètres à la machine virtuelle en cours d'exécution, à l'aide de l'argument VM -D. Dans le cadre du test, les valeurs du paramètre sont accessibles via System.getProperty("myParam").
NUnit, Silk4NET
Pour NUnit et Silk4NET, chaque paramètre est défini en tant que variable d'environnement. Dans le cadre du test, les valeurs du paramètre sont accessibles via Environment.GetEnvironmentVariable("myParam").
Silk Test Classic
Les paramètres peuvent être transmis à Silk Test Classic s’ils sont spécifiés dans le champ Données de test des Propriétés de test du test Silk Test Classic dans Silk Central. Par exemple, si vous voulez transmettre les valeurs de vos paramètres Silk Central Name et Password à Silk Test Classic, spécifiez "${Name}", "${Password}" dans le champ Données de Test des Propriétés de test. Votre script Silk Test Classic requiert également deux paramètres qui recevront les valeurs spécifiées.
Exemple :
[-] testcase ProcessParams(STRING name, STRING password)
   [ ] Print(name)
   [ ] Print(password)
Processus externes
Pour tous les types de test où l'exécution s'effectue dans un processus externe (WSH, Process Executor, NUnit, JUnit, MSTest, DotNetExplorer), chaque paramètre est défini en tant que variable d'environnement pour le processus. Cela est également le cas si le nom du paramètre correspond au nom de la variable du système d'exploitation, de sorte que la valeur de la variable du système soit remplacée par celle du paramètre, sauf lorsque la valeur du paramètre est une chaîne vide.
Silk Test Workbench
Le paramètre doit être défini avec le même nom dans le test Silk Test Workbench pour être défini lorsqu'il est exécuté dans Silk Central.
Tests de configurations
Vous pouvez remplacer les paramètres de test dans un plan d'exécution. Pour en savoir plus, reportez-vous à la rubrique Paramètres du plan d'exécution.
Types de tests personnalisés
Pour plus de détails sur les types de tests personnalisés, reportez-vous à l’Aide de l’Aide de l’API Silk Central.
  • Paramètres prédéfinis
    Silk Central donne des informations sur les propriétés du plan d'exécution lors des exécutions de test en tant que paramètres.
  • Création de paramètres personnalisés
    Créez un paramètre personnalisé afin de configurer des valeurs d'entrée pour différents types de tests.
  • Ajout de paramètres prédéfinis aux tests Silk Performer
    Décrit le mode d'ajout d'un paramètre prédéfini à un test.
  • Modification de paramètres prédéfinis
    Modifiez la valeur de paramètres prédéfinis en cas de modification des descriptions des tests.
  • Suppression d'assignations de paramètres prédéfinies
    Supprimez une assignation de paramètre prédéfinie lorsqu'un test n'est plus décrit par le paramètre.
  • Paramètres à l'intérieur de valeurs de paramètres
    Décrit l'utilisation de valeurs de paramètres qui contiennent des paramètres.
  • Notations des paramètres
    Décrit les notations de paramètres prises en charge.
  • Remplacement de jetons de paramètre lors de l'exécution
    Décrit la façon dont les espaces réservés sont remplacés par la valeur saisie pour le paramètre au moment de l'exécution.
  • Page Paramètres de test -Silk Test Workbench
    Décrit le mappage des types de données pour les paramètres deSilk Test Workbench.
Sujet parent : Configuration des propriétés de test
Concepts associés
Paramètres du plan d'exécution
Configuration des propriétés de test
Attributs de test
Pièces jointes de test
Référence associée
Paramètres prédéfinis
Accès aux paramètres Silk Central au moyen des propriétés système Java
Propriétés du test


Paramètres prédéfinis

Silk Central donne des informations sur les propriétés du plan d'exécution lors des exécutions de test en tant que paramètres.
Ces paramètres peuvent être lus en tant que variables d'environnement par votre outil d'automatisation des tests (voir Paramètres de test). De plus, n'importe quelle classe de test JUnit peut accéder à un paramètre de test du test sous-jacent en tant que propriété système Java (voir Accès aux paramètres Silk Central au moyen des propriétés système Java). Utilisez les méthodes AttributeGet pour lire ces paramètres dans un script Silk Performer.

Ces valeurs de paramètre peuvent également être référencées dans les espaces réservés, comme décrit dans Remplacement de jetons de paramètre lors de l'exécution.

Les paramètres prédéfinis suivants sont accessibles :

Paramètre
Description
#sctm_execdef_name
Nom du plan d'exécution en cours. Si l'exécution a été déclenchée à partir de la zone Tests, le paramètre a pour valeur Tests non assignés.
#sctm_execdef_id
Identifiant numérique (clé de base de données) du plan d'exécution en cours.
#sctm_product
Nom du produit tel qu'il est défini dans le conteneur de tests exécutés.
#sctm_version
Nom de la version à laquelle les résultats de l'exécution sont associés.
#sctm_build
Nom de la version à laquelle les résultats de l'exécution sont associés.
#sctm_keywords
Liste utilisant des virgules comme séparateurs et contenant les mots-clés définis pour ce plan d'exécution.
#sctm_regular_execdef_run_id
Identifiant numérique (clé de base de données) de l'exécution de plan d'exécution régulière. Pour les tests d'initialisation et de nettoyage, cette propriété contient l'ID de l'exécution régulière.
#sctm_test_results_dir
Chemin du répertoire dans lequel résident les fichiers de résultat du test.
#sctm_test_name
Nom du test Silk Central en cours d'exécution.
#sctm_test_id
Identifiant numérique (clé de base de données) du test en cours d'exécution.
#sctm_source_root_dir
Chemin local du répertoire racine du conteneur de tests, dans lequel résident tous les fichiers sous contrôle de version
#external_id
Identifiant unique d'un scénario de test dans un package de tests à exécuter. Vous pouvez l'utiliser comme un filtre si seuls certains scénarios de test dans un package de tests doivent être exécutés.

#is_test_package_root
Si true, le test en cours d'exécution est le nœud racine du package de tests (par défaut). Si false, seuls certains scénarios de test spécifiques d'un package de tests spécifié par #external_id sont exécutés
#sctm_data_driven_parent_test_name
Nom du test parent, si le test exécuté est une ligne pilotée par les données.
#sctm_data_driven_parent_test_id
Identifiant numérique (clé de base de données) du test parent, si le test exécuté est une ligne pilotée par les données.
Sujet parent : Paramètres de test
Sujet parent : Paramètres du plan d'exécution
Concepts associés
Paramètres de test
Référence associée
Accès aux paramètres Silk Central au moyen des propriétés système Java


Création de paramètres personnalisés

Pour créer un paramètre personnalisé :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le nœud de test pour lequel créer un paramètre.
  3. Dans la section Paramètres, cliquez sur Ajouter un Paramètre Personnalisé. La boîte de dialogue Valoriser le Paramètre Personnalisé s'affiche.
  4. Nommez le paramètre.
  5. Dans la zone de liste Type, sélectionnez le type de paramètre.
    • String
    • Numéro
    • Flottant
    • Booléen
    • Mot de passe
    • Caractère
  6. Définissez la valeur de paramètre à assigner au test sélectionné.
    Remarque : Les valeurs des paramètres de type Chaîne de Caractères doivent être définies entre guillemets (“) si vous souhaitez utiliser le paramètre dans les exécutions Silk Test Classic.
  7. Cliquez sur OK.
    Remarque : Les paramètres sont automatiquement assignés à tous les sous-dossiers et tests enfants des nœuds auxquels ils ont été assignés.
Sujet parent : Paramètres de test


Ajout de paramètres prédéfinis aux tests Silk Performer

Pour ajouter un paramètre prédéfini à un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez le nœud de test auquel vous voulez ajouter un paramètre prédéfini.
  3. Dans la section Paramètres, cliquez sur Ajouter un Paramètre Prédéfini.
    Remarque : Le bouton Ajouter un Paramètre Prédéfini est disponible uniquement pour les tests Silk Performer pour lesquels la propriété Projet est déjà définie.
    La boîte de dialogue Ajouter un Paramètre Prédéfini qui s'affiche répertorie tous les attributs de projet disponibles dans le fichier de projet.
  4. Pour ajouter l'un des paramètres répertoriés, cliquez sur l'icône d'ajout correspondante.
  5. Dans la boîte de dialogue qui s'affiche, spécifiez la valeur réelle du paramètre.
  6. Cliquez sur Enregistrer pour ajouter le paramètre au nœud actif de l'arborescence Tests.
Sujet parent : Paramètres de test


Modification de paramètres prédéfinis

Pour modifier un paramètre prédéfini :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le nœud de test dont vous modifiez un paramètre existant.
  3. Dans la section Paramètres, cliquez sur l’icône Modifier du paramètre que vous souhaitez modifier. La boîte de dialogue Valoriser le Paramètre Personnalisé s'affiche.
  4. Modifiez les valeurs de paramètres selon vos besoins.
    Remarque : Les paramètres hérités ne peuvent pas être modifiés. Décochez la case Hérite du parent afin d'autoriser la modification du paramètre Valeur du paramètre. Les paramètres Nom et Type ne peuvent pas être modifiés.
Sujet parent : Paramètres de test


Suppression d'assignations de paramètres prédéfinies

Pour supprimer une assignation de paramètre prédéfinie :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez le nœud de test dont vous souhaitez supprimer l'assignation d'un paramètre existant.
  3. Dans la section Paramètres, cliquez sur Supprimer dans la colonne Actions du paramètre que vous souhaitez supprimer.
    Remarque : Les paramètres hérités ne peuvent pas être supprimés. Décochez la case Hérite du parent dans la boîte de dialogue Définition de Paramètres afin de permettre la suppression d'un paramètre hérité.
  4. Cliquez sur Oui dans la boîte de dialogue Supprimer le paramètre afin de supprimer le paramètre.
Sujet parent : Paramètres de test


Paramètres à l'intérieur de valeurs de paramètres

Vous pouvez utiliser des valeurs de paramètres qui contiennent des paramètres. Le résultat de l'évaluation de telles valeurs de paramètres est affiché en gras dans l'interface utilisateur. L'exemple suivant indique comment utiliser un tel paramètre :
parameterA := aaa
parameterB := bbb + ${parameterA}
Valeurs évaluées :
parameterA = aaa
parameterB = bbb + aaa
Sujet parent : Paramètres de test


Notations des paramètres

Les notations de paramètres suivantes sont prises en charge :

Pour tous les tests :
${<parameter>}

Tous les caractères sont autorisés pour les noms de paramètres, à l'exception de $, {, } et #.

Notation obsolète pour les tests manuels :
#<parameter>#

Dans le cas des tests manuels, les caractères suivants sont autorisés pour les noms de paramètres : 0-9, a-z, A-Z et _.

Notation supplémentaire pour les tests Silk Test Classic :
$<parameter>

Dans le cas des tests Silk Test Classic, les caractères suivants sont autorisés pour les noms de paramètres : 0-9, a-z, A-Z et _.

Sujet parent : Paramètres de test


Remplacement de jetons de paramètre lors de l'exécution

Toute saisie de chaîne pour une propriété de test peut contenir un espace réservé se présentant sous la forme suivante : ${parametername}. parametername doit correspondre au nom d'un paramètre défini ou hérité pour le test. Lors de l'exécution, l'espace réservé est remplacé par la valeur saisie pour le paramètre avec le nom indiqué. Ainsi, les chaînes récurrentes sont plus facilement personnalisables dans les propriétés et cela facilite la modification des définitions communes.

Lorsque Silk Central détecte un paramètre avec la notation ${parametername}, il commence par vérifier si celui-ci est inclus dans les paramètres définis, et si tel n'est pas le cas, il vérifie si le paramètre est défini comme variable d'environnement sur le serveur d'exécution. Les valeurs de variable d'environnement sont utilisées comme définies au moment du démarrage du serveur d'exécution. Le nom de la variable Silk Central correspond uniquement au nom de la variable d'environnement si la casse est exactement la même, ou si tous les caractères sont en minuscules ou en majuscules. Exemple : Silk Central correspond à la variable d'environnement SilkHome contre ${SilkHome},${silkhome} et ${SILKHOME}, mais pas contre ${silkHome}.

Par exemple, si la valeur d'une propriété classpath JUnit est junit.jar;${MyWorkingDir}/myclasses et que le paramètre MyWorkingDir présente la valeur C:/Temp/MyWorking, la valeur de propriété effective qui en résulte est junit.jar;C:/Temp/MyWorking/myclasses.

Remarque : La valeur d'un paramètre peut aussi contenir d'autres espaces réservés de paramètres, ce qui permet de réaliser des imbrications basées sur le même principe.
Sujet parent : Paramètres de test


Pièces jointes de test

La section Pièces Jointes répertorie tous les fichiers et liens qui ont été téléchargés en tant que pièces jointes au conteneurs de tests, dossier ou test sélectionné.

Cochez la case Inclure les Pièces Jointes Dépendantes afin d'afficher également toutes les pièces jointes des tests, dossiers et conteneurs de tests dépendant du nœud sélectionné.

  • Ajout de fichiers en pièces jointes aux éléments de tests
    Joignez un fichier à un élément de test pour ajouter des informations supplémentaires à ce dernier.
  • Ajout de liens en pièces jointes aux éléments de tests
    Joignez un lien à un élément de test pour ajouter des informations supplémentaires au test.
  • Affichage des pièces jointes de tests
    Affichez une pièce jointe de test pour obtenir des informations supplémentaires sur le test.
  • Téléchargement de fichiers à partir d'éléments de test
    Téléchargez sur votre disque local tous les fichiers joints à partir d'un élément de test.
  • Suppression de pièces jointes d'éléments de test
    Supprimez une pièce jointe d'un élément de test lorsque les informations supplémentaires ne sont plus requises.
Sujet parent : Configuration des propriétés de test
Concepts associés
Configuration des propriétés de test
Attributs de test
Paramètres de test
Référence associée
Propriétés du test


Ajout de fichiers en pièces jointes aux éléments de tests

Pour joindre un fichier à un élément de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un conteneur, un dossier ou un test.
  3. Dans la section Pièces Jointes, cliquez sur Attacher un Fichier. La boîte de dialogue Attacher un Fichier s'affiche.
  4. Cliquez sur Choisir un Fichier pour sélectionner un fichier sur votre système de fichiers local.
  5. Facultatif : Saisissez une Description pour la pièce jointe.
  6. Cliquez sur OK pour télécharger la pièce jointe sur le serveur et l'associer à l'élément sélectionné.
Sujet parent : Pièces jointes de test


Ajout de liens en pièces jointes aux éléments de tests

Pour joindre un lien à un élément de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un conteneur, un dossier ou un test.
  3. Dans la section Pièces Jointes, cliquez sur Attacher un Lien. La boîte de dialogue Attacher un Lien s'affiche.
  4. Dans le champ Lien, saisissez l'URL.
  5. Facultatif : Saisissez une Description pour le lien mis en pièce jointe.
  6. Cliquez sur OK pour associer le lien à l'élément sélectionné.
Sujet parent : Pièces jointes de test


Affichage des pièces jointes de tests

Pour un élément de test sélectionné, la page Pièces Jointes répertorie les fichiers et les liens joints. Par défaut, les pièces jointes s'affichent dans l'ordre dans lequel elles sont téléchargées, mais il est possible de les trier par colonnes. Pour afficher les pièces jointes associées aux éléments enfants de l'élément sélectionné, cochez la case Inclure les Pièces Jointes Dépendantes.

Pour afficher la pièce jointe d'un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez l'élément pour lequel vous souhaitez afficher une pièce jointe.
  3. Dans la section Pièces jointes, cliquez sur le nom de la pièce jointe. Le nom de chaque pièce jointe répertoriée fait office de lien. Les liens de pièces jointes ouvrent une boîte de dialogue Enregistrer sous qui vous permet de télécharger la pièce jointe dans votre système de fichiers local. Les pièces jointes de liens s'associent directement aux destinations des liens dans une nouvelle fenêtre de navigateur.
Sujet parent : Pièces jointes de test


Téléchargement de fichiers à partir d'éléments de test

Pour télécharger tous les fichiers à partir d'un élément de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un conteneur, un dossier ou un test.
  3. Cliquez sur l'onglet Pièces Jointes.
  4. Dans la section Pièces Jointes, cliquez sur Télécharger Tous les Fichier. Tous les fichiers joints sont alors téléchargés sur votre disque local dans une archive zip, selon la configuration des paramètres de téléchargement de votre navigateur.
    Remarque : Pour éviter tout téléchargement excessif, l'option Télécharger Tous les Fichiers est désactivée si la case Inclure les Pièces Jointes Dépendantes est cochée.
Sujet parent : Pièces jointes de test


Suppression de pièces jointes d'éléments de test

Pour supprimer une pièce jointe d'un élément de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez l'élément dont vous souhaitez supprimer une pièce jointe.
  3. Dans la section Pièces Jointes, cliquez sur Supprimer dans la colonne Actions de la pièce jointe que vous souhaitez supprimer.
  4. Cliquez sur Oui dans la boîte de dialogue de confirmation afin de supprimer la pièce jointe du projet.
    Remarque : Une seule pièce jointe peut être supprimée à la fois.
Sujet parent : Pièces jointes de test


Tests pilotés par les données

Les tests pilotés par les données sont des tests dérivés des valeurs d'une source de données existante, par exemple une feuille de calcul ou une base de données. Avant de pouvoir utiliser des tests pilotés par les données, vous devez configurer une source de données. Pour plus d'informations sur la configuration des sources de données, consultez la rubrique Sources de données pour les tests pilotés par les données.

  • Création de tests pilotés par les données
    Créez un test piloté par les données.
  • Ajout d'une valeur de source de données à un pas de test manuel
    Ajoutez une valeur de source de données à un pas de test manuel.
  • Téléchargement de données CSV à partir d'une source de données
    Téléchargez des données CSV à partir d'une source de données.
  • Modification de propriétés de pilotage par les données
    Modifiez des propriétés de pilotage par les données.
  • Suppression de propriétés de pilotage par les données
    Supprimez toutes les propriétés de pilotage par les données lorsque ces dernières ne sont plus pertinentes et lorsque vous voulez supprimer une source de données.
  • Tests atomiques et non atomiques pilotés par les données
    Décrit les types disponibles de tests pilotés par les données.
  • Utilisation des feuilles de calcul
    Décrit comment utiliser les feuilles de calcul en tant que sources de données pour les tests pilotés par les données.
  • Considérations en matière d'import des données
    Fournit des informations supplémentaires sur l'import de données à partir de sources de données externes.
Sujet parent : Configuration des propriétés de test
Concepts associés
Sources de données pour les tests pilotés par les données
Création de tests pilotés par les données
Tests Silk Test Classic


Création de tests pilotés par les données

Pour créer un test piloté par les données :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Créez un test. Pour plus d'informations, reportez-vous à la rubrique Création de tests.
  3. Cliquez sur l'onglet Propriétés du test nouvellement créé.
  4. Dans la section Propriétés de pilotage par les données, cliquez sur Modifier. La boîte de dialogue Propriétés de pilotage par les données s'affiche.
  5. Sélectionnez une source de données préconfigurée dans la liste Source de Données. Pour plus d'informations sur la configuration des sources de données, consultez la rubrique Sources de données pour les tests pilotés par les données.
    Remarque : Votre source de données peut contenir jusqu'à 100 lignes. Si elle en contient plus, vous devez saisir dans la boîte de dialogue Propriétés de pilotage par les données une requête qui renverra 100 lignes maximum. De cette façon, il est impossible de générer plus de 100 tests à partir d'une même source de données.
  6. Cliquez sur Suivant pour continuer.
  7. Sélectionnez un jeu de données dans la liste Jeu de Données. Pour les sources de données Excel, il s'agit d'un nom de feuille de calcul. Pour les sources de données de base de données, il s'agit d'un nom de table.
  8. Cochez la case Chaque ligne de données est une instance de test afin que chaque ligne de votre jeu de données soit considérée comme un test distinct (test non atomique). Vous pouvez autrement ne pas la cocher afin de créer un seul test pour toutes les lignes de données de votre jeu de données (test atomique). Pour obtenir des informations détaillées, consultez Tests atomiques et non atomiques pilotés par les données.
  9. Facultatif : Vous pouvez entrer une requête SQL dans le champ Requête de Filtre afin de filtrer votre jeu de données en fonction d'une requête de syntaxe SQL.
    Seules les requêtes de clause WHERE simples sont prises en charge. Par exemple, pour filtrer les données de manière à inclure uniquement les lignes de données contenant la valeur Boston dans la colonne Ville, saisissez Requête de filtre suivante :
    City = 'Boston'
  10. Cochez la case Activer les propriétés de pilotage par les données afin d'activer la fonctionnalité de pilotage par les données. La source de données configurée est utilisée uniquement dans le cadre de ce test si ce paramètre est activé.
  11. Cliquez sur Terminer pour enregistrer vos paramètres.
    Remarque : Les paramètres des propriétés de pilotage par les données sont affichés dans la section Propriétés de pilotage par les données de la page Propriétés de chaque test.
    Remarque : Pour utiliser la fonctionnalité de test piloté par les données de Silk Central avec des scripts Silk Performer, les sources de données dont les noms de colonnes correspondent aux attributs de projet Silk Performer correspondants doivent être utilisées conjointement avec les méthodes AttributeGet.
Sujet parent : Tests pilotés par les données
Concepts associés
Sources de données pour les tests pilotés par les données
Tests pilotés par les données
Tâches associées
Gestion des tests


Ajout d'une valeur de source de données à un pas de test manuel

Pour ajouter une valeur de source de données à un pas de test manuel :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Créez un nouveau test piloté par les données. Sélectionnez Manuel comme type de test et configurez les pas de test.
    Remarque : Pour visualiser les valeurs associées à votre source de données, agrandissez la section Propriétés de pilotage par les données sur la page Propriétés du test.
  3. Cliquez sur l'onglet Pas de tests.
  4. Sélectionnez le pas de test devant faire référence à la valeur de la source de données.
  5. Dans la zone de texte Description de l'Action, saisissez le paramètre qui indique la référence à la colonne appropriée dans votre source de données, en utilisant la syntaxe ${<nom de colonne>}. Par exemple, si vous voulez qu'un pas de test récupère les paramètres de mot de passe dans une feuille de calcul possédant une colonne nommée Mot de passe, vous devez écrire le paramètre sous la forme ${mot de passe}. Lorsque vous exécutez le pas de test manuel, le paramètre est remplacé par la valeur réelle récupérée dans la source de données correspondante pilotée par les données.
Sujet parent : Tests pilotés par les données
Concepts associés
Tests Manuels


Téléchargement de données CSV à partir d'une source de données

Pour télécharger des données CSV à partir d’une source de données :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un test dépendant de la source de données à partir de laquelle télécharger des données.
  3. Cliquez sur l'onglet Propriétés.
  4. Dans la section Propriétés de pilotage par les données, cliquez sur l'option Télécharger dans la colonne Actions de la source de données ou du jeu de données, en fonction de l'entité contenant les données que vous souhaitez télécharger.
  5. Spécifiez l'emplacement de votre système local sur lequel les données doivent être téléchargées.
  6. Cliquez sur OK pour télécharger les données au format CSV.
Sujet parent : Tests pilotés par les données
Concepts associés
Tests Manuels


Modification de propriétés de pilotage par les données

Pour modifier des propriétés de pilotage par les données :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test possédant la propriété que vous souhaitez modifier.
  3. Cliquez sur l'onglet Propriétés.
  4. Dans la section Propriétés de pilotage par les données, cliquez sur Modifier dans la colonne Actions de la propriété que vous souhaitez modifier.
  5. Modifiez la propriété en fonction de vos besoins.
  6. Cliquez sur OK pour enregistrer vos modifications.
Sujet parent : Tests pilotés par les données


Suppression de propriétés de pilotage par les données

Supprimez toutes les propriétés de pilotage par les données lorsque ces dernières ne sont plus pertinentes et lorsque vous voulez supprimer une source de données.
Pour supprimer des propriétés de pilotage par les données :
  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez le nœud à partir duquel vous voulez supprimer les propriétés de pilotage par les données.
  3. Cliquez sur l'onglet Propriétés.
  4. Dans la section Propriétés de pilotage par les données, cliquez sur Supprimer. Toutes les propriétés de pilotage par les données sont supprimées du nœud.
    Remarque : Les propriétés de pilotage par les données sont aussi supprimées de tous les sous-nœuds qui héritent des propriétés du nœud.
Sujet parent : Tests pilotés par les données


Tests atomiques et non atomiques pilotés par les données

Avant de planifier des tests pilotés par les données, vous devez prendre connaissance des deux différents types disponibles dans Silk Central :
tests atomiques pilotés par les données
Un résultat de test unique est généré pour toutes les lignes de votre source de données. Cela signifie que le test n'est considéré comme réussi que si son exécution a réussi avec chacune des lignes de données. Si l'exécution échoue avec une des lignes de données, le test entier est marqué comme ayant échoué.
Tests non atomiques pilotés par les données
Chaque ligne de votre source de données est représentée par un test à part. Cela signifie que chaque ligne de données produit un résultat de test : réussi ou en échec. Par exemple, si votre source de données est une feuille de calcul de quatre lignes, vous obtenez le test original créé en tant que test parent, et quatre nouveaux tests enfants, un pour chacune des lignes de données.

Pour plus d'informations sur la création de tests pilotés par les données, consultez Création de tests pilotés par les données.

Le test parent ainsi créé n'a pas de paramètres associés, car il ne constitue qu'une instance de structure pour ses tests enfants et n'a pas la fonction d'un test réel. Toutes les valeurs de la source de données sont répertoriées sur la page Propriétés de pilotage par les données du test parent.

Lors de l'assignation d'un test parent à une exigence, les liens vers les exigences sont hérités uniquement lors de l'utilisation de tests atomiques pilotés par les données.

Vous ne pouvez pas assigner le test parent d'un test non atomique piloté par les données à l'exécution d'un test d'initialisation ou de réinitialisation, puisqu'un tel nœud parent est traité comme un dossier. Vous pouvez cependant assigner l’un des nœuds enfants à l’exécution d’un test d’initialisation ou de réinitialisation, de même qu’un test atomique piloté par les données.

Pour plus d'informations sur les limites des sources de données, consultez Limites des sources de données.

Sujet parent : Tests pilotés par les données


Utilisation des feuilles de calcul

Si votre source de données est une feuille de calcul Microsoft Excel, suivez les consignes ci-après pour configurer votre test piloté par les données de façon réussie et gérable :

  • Définissez des noms de colonne auto-descriptifs. La configuration de votre source de données dans Silk Central sera ainsi plus facile à tenir à jour.
  • Si vous utilisez plusieurs feuilles de calcul, utilisez des noms de colonne cohérents entre les différentes feuilles de calcul. Vous pourrez ainsi plus facilement appliquer des filtres pour sélectionner les colonnes dans le cadre de la configuration de votre source de données.
  • Définissez certaines colonnes en tant que colonnes clés. Les colonnes clés permettent de tenir à jour votre fichier de source de données, tandis que Silk Central conserve la possibilité d'identifier des lignes de données spécifiques en fonction de la valeur de la colonne clé, même si l'ordre des lignes change. Les valeurs d'une colonne clé doivent être uniques.
Sujet parent : Tests pilotés par les données


Considérations en matière d'import des données

Lors de l'import de lignes de données à partir d'une source de données externe, Silk Central ne tient pas compte de la fonctionnalité de tri des lignes utilisée dans la source de données externe. C'est pourquoi l'ordre des lignes de données dans Silk Central peut différer de celui de la source de données externe. Silk Central ignore également les paramètres de format ayant été appliqués dans la source de données externe. Par exemple, si vous avez mis en forme des cellules de date dans une feuille de calcul Excel afin d'afficher la date sous un certain format, Silk Central ignorera ce paramètre et importera les valeurs de date au format de base « YYYY.MM.DD HH:MM:SS.M ».

Remarque : Votre source de données peut contenir jusqu'à 100 lignes. Si votre source de données contient plus de 100 lignes, vous devez saisir une requête retournant au plus 100 lignes dans la boîte de dialogue Propriétés de pilotage par les données. Cela permet d'éviter de générer plus de 100 tests à partir d'une seule source de données.
Sujet parent : Tests pilotés par les données


Critères de Succès

Les critères de succès permettent de déterminer si un test réussit ou non. Vous pouvez assigner un ou plusieurs critères de succès à chaque nœud de test dans l'espace Tests. Si un critère de succès n'est pas rempli au cours de l'exécution du test auquel il est assigné, l'exécution est marquée En Échec, sauf pour le critère de succès du délai d'exécution, pour lequel l'exécution du test est marquée comme Non Exécuté. Pour un package de tests, tous les critères de succès sont désactivés ou masqués, excepté le délai d'exécution.

Dans le menu Vue détaillée, lorsque vous sélectionnez un nœud dans l'arborescence Tests, le tableau Critères de succès figurant sur la page Propriétés du nœud affiche tous les critères de succès configurés pour le nœud sélectionné. Ce tableau inclut le nom de chaque critère, indique si le critère est actif ou non, affiche la valeur maximale du critère, et signale si le critère est hérité ou non.

Un critère de succès n'est évalué que lorsqu'il est actif. Pour savoir comment activer ou désactiver des critères de succès, reportez-vous à la rubrique Modification de critères de succès. Les types de critères de succès disponibles varient en fonction du type de test. Les critères de succès suivants sont actuellement disponibles dans Silk Central :

Critère de Succès
Description
Erreurs Autorisées
Nombre maximal d'erreurs autorisées pour le test. Ce critère de succès est actif par défaut.
Avertissements Autorisés
Nombre maximal d'avertissements autorisés pour le test.
Délai d'exécution [s]
Délai maximal autorisé pour le test, en secondes.
Page Time: Avg. Page Time Maximum(s)
Durée moyenne maximale autorisée pour le chargement d'une page.
Page Time: Max. Page Time [s]
Durée maximale autorisée pour le chargement d'une page.
Transaction Response Time: Avg. Trans(Busy)ok [s]
Temps de réponse moyen maximal autorisé pour une transaction dans le test.
Transaction Response Time: Max. Trans(Busy)ok [s]
Temps de réponse maximal autorisé pour une transaction dans le test.

L'héritage des critères de succès fonctionne de manière semblable à l'héritage des propriétés. Les critères de succès assignés à un nœud parent sont hérités dans tous les sous-dossiers et tests enfants.

  • Modification de critères de succès
    Modifiez un critère de succès afin de l'adapter aux besoins en matière de test ayant évolué.
Sujet parent : Configuration des propriétés de test


Modification de critères de succès

Dans la Vue Détaillée, lorsque vous sélectionnez un nœud dans l'arborescence Tests, la page Propriétés du nœud affiche les critères de succès qui lui sont associées. Le tableau Critères de Succès inclut le nom de chaque critère, indique si le critère est actif ou non, affiche la valeur maximale du critère, et signale si le critère est hérité ou non.

Remarque : Pour les nœuds des packages de tests, tous les critères de succès sont désactivés ou masqués, excepté le délai d'exécution.

Pour modifier les critères de succès d'un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un conteneur de tests, un dossier de tests ou un test.
  3. Cliquez sur l'onglet Propriétés. La page Propriétés affiche les propriétés de l'élément de l'arborescence sélectionné.
  4. Cliquez sur Modifier à droite des Critères de Succès. La boîte de dialogue Modifier les Critères de Succès s'affiche.
  5. Décochez la case Hérite du parent en regard des critères de succès que vous modifiez.
  6. Modifiez les valeurs en fonction de vos besoins.
  7. Spécifiez si les critères doivent être actifs ou inactifs en cochant ou en décochant leurs cases Actif respectives.
  8. Cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Critères de Succès


Essai d'exécution d'un test

Vous pouvez procéder à un essai d'exécution pour vérifier si un test se déroule comme prévu.

Pour procéder à un essai d'exécution :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit sur le test concerné dans l'arborescence Tests.
  3. Sélectionnez Essai d'exécution.
  4. La boîte de dialogue Accéder aux activités apparaît. Cliquez sur Oui pour analyser les résultats sur la page Activités ou sur Non pour rester sur la page Web en cours. Pour plus d'informations, reportez-vous à la rubrique Activités.
    Remarque : Cochez la case Ne plus afficher cette boîte de dialogue (pour cette session) si vous ne souhaitez pas être de nouveau invité à accéder à la page Activités. Ce paramètre sera supprimé lorsque vous vous déconnecterez de Silk Central .

Après avoir effectué avec succès un essai d'exécution, vous êtes prêt à commencer à organiser vos exécutions.

Sujet parent : Tests
Concepts associés
Activités


Bibliothèques

Les bibliothèques sont des collections de pas de tests et mots-clés qui sont partagés entre des tests de plusieurs projets.

Le partage des objets réduit la quantité de pas de tests et mots-clés que doit gérer un ingénieur de test. Les bibliothèques sont affichées, organisées et gérées par le biais d'une structure arborescente hiérarchique appelée Bibliothèques. L'arborescence Bibliothèques permet d'organiser les pas de tests et mots-clés partagés dans autant de niveaux hiérarchiques que vous le souhaitez. Vous pouvez modifier ou supprimer les nœuds de l'arborescence. Faites un clic droit sur un nœud de l'arborescence pour le couper ou le copier et le coller à un autre emplacement. La page Visibilité permet de définir les projets pour lesquels la bibliothèque sélectionnée est visible. Le nœud racine de l'arborescence Bibliothèques est appelé Bibliothèques et n'est pas modifiable.

La page Usages de chaque objet de l'arborescence répertorie les tests, les objets partagés, les mots-clés ou les séquences de mots-clés qui utilisent l'objet sélectionné. Vous pouvez ainsi estimer l'impact d'un changement au niveau de l'objet.

Remarque : Les objets de l'unité Bibliothèques peuvent être créés, modifiés et affichés par les rôles Responsable Qualité, Testeur et SuperUtilisateur. Les rôles Responsable Qualité et SuperUtilisateur permettent aussi de supprimer des objets dans l'unité Bibliothèques. Les utilisateurs dotés des rôles Chef de projet, Analyste ou Utilisateur des Rapports peuvent consulter les objets dans l'unité Bibliothèques.
  • Création d'une bibliothèque
    Créez une bibliothèque afin d'insérer une collection de pas de tests manuels ou mots-clés à partager entre les tests et les projets.
  • Gestion des bibliothèques de mots-clés et des propriétés des bibliothèques
    Gérez vos bibliothèques de mots-clés ainsi que les propriétés du nœud sélectionné dans l'arborescence Bibliothèques.
  • Rendre les bibliothèques accessibles aux projets
    Déterminez quels projets ont accès aux objets partagés dans la bibliothèque sélectionnée.
  • Gestion de mots-clés dans une bibliothèque
    Gérez les mots-clés dans votre séquence de mots-clés afin de spécifier la séquence des actions.
  • Création d'une bibliothèque basée sur mots-clés avec Java
    Utilisez Java pour créer une bibliothèque basée sur des mots-clés que vous pourrez charger sur Silk Central. Cette bibliothèque vous permet d'intégrer facilement votre infrastructure de tests dans Silk Central, par exemple si vous avez déjà des tests Selenium.
  • Fonctions du clavier (Bibliothèques)
    L'arborescence prend en charge le clavier et la sélection multiple.
  • Gestion des objets partagés
    Décrit le concept des objets partagés dans Silk Central.
  • Versions
    Décrit le mode d’utilisation des versions des objets partagés et des tests.
Sujet parent : Tests
Concepts associés
Lotissements de projet


Création d'une bibliothèque

  1. Dans le menu, cliquez sur Tests > Bibliothèques.
  2. Dans l'arborescence Bibliothèques, sélectionnez le nœud racine, nommé Bibliothèques.
  3. Dans la barre d'outils, cliquez sur Nouvelle Bibliothèque pour créer une bibliothèque.
    Remarque : Vous pouvez également faire un clic droit sur le nœud racine, puis choisir Nouvelle Bibliothèque.
Sujet parent : Bibliothèques


Gestion des bibliothèques de mots-clés et des propriétés des bibliothèques

Tests > Bibliothèques > <bibliothèque> > Propriétés

Pour afficher ou modifier les propriétés d'un nœud dans l'arborescence Bibliothèques, sélectionnez-le et cliquez sur l'onglet Propriétés.

Pour définir la bibliothèque sur lecture seule, cochez la case Lecture seule. Lorsqu'une bibliothèque est accessible en lecture seule, les actions suivantes sont désactivées :
  • Ajout de pas de tests et dossiers partagés à la bibliothèque.
  • Modification des pas de tests et dossiers partagés dans la bibliothèque.
  • Téléchargement d'une bibliothèque de mots-clés dans l'interface utilisateur, à partir de Silk Test, ou à l'aide de l'API de service Web.
  • Extraction de pas de tests partagés à partir d'un test dans la bibliothèque.
  • Combinaison de mots-clés dans un test basé sur mots-clés qui utilise la bibliothèque.

Dans la section Bibliothèque de mots-clés, utilisez les boutons Télécharger et Supprimer pour télécharger ou supprimer une bibliothèque de mots-clés externe.

Sujet parent : Bibliothèques
Tâches associées
Création d'une bibliothèque basée sur mots-clés avec Java


Rendre les bibliothèques accessibles aux projets

Tests > Bibliothèques > <bibliothèque> > Visibilité

Sur la page Visibilité, vous pouvez rendre la bibliothèque sélectionnée visible pour tous les projets ou restreindre sa visibilité à certains projets spécifiques. Pour modifier la visibilité de la bibliothèque sélectionnée dans un projet, cliquez sur Modifier la Visibilité.

La boîte de dialogue Modifier la visibilité affiche les projets pouvant être assignés à la bibliothèque par l'utilisateur actuel. La boîte de dialogue inclut les éléments suivants :
Elément | Description
Tous les Projets | Cliquez sur ce bouton d'option pour assigner tous les projets à la bibliothèque.
Projets Sélectionnés | Cliquez sur ce bouton d'option pour assigner les projets sélectionnés dans la liste à la bibliothèque.
Tout sélectionner | Cliquez pour assigner tous les projets répertoriés à la bibliothèque.
Désélectionner Tout | Cliquez pour annuler l'assignation de tous les projets répertoriés de la bibliothèque.
Remarque : Les projets utilisant actuellement la bibliothèque sont grisés et vous ne pouvez pas annuler leur assignation de la bibliothèque.

Lors de la création d'un lotissement d'un projet qui utilise des objets partagés, les bibliothèques qui incluent ces objets sont par défaut visibles dans le nouveau lotissement de projet. Pour plus d'informations sur les lotissements de projet, reportez-vous aux rubriques Administration de cette Aide.

Sujet parent : Bibliothèques
Concepts associés
Administration


Fonctions du clavier (Bibliothèques)

Les actions suivantes peuvent appliquées aux noeuds sélectionnés :

Touches | Action
Vers le haut | Déplacer la sélection vers le haut
Vers le bas | Déplacer la sélection vers le bas
Droite | Développer l'élément
Gauche | Réduire l'élément
F2 | Modifier l'élément
Ctrl + C | Copier l'élément
Ctrl + X | Couper l'élément
Ctrl + V | Coller l'élément
Suppr | Supprimer l'élément
Clic | Sélectionnez un élément et définissez-le comme élément en cours.
Ctrl + clic | Modifiez le statut de sélection de l'élément sur lequel vous avez cliqué et ajoutez/supprimez des éléments supplémentaires avec quelques clics de plus.
Maj + clic | Sélectionnez la plage comprise entre l'élément actuellement sélectionné et l'élément récemment sélectionné.
Maj + Haut | Sélectionnez l'élément ci-dessus.
Maj + Bas | Sélectionnez l'élément ci-dessous.
Sujet parent : Bibliothèques


Gestion des objets partagés

Un objet partagés est une collection de pas de tests manuels et / ou de mots-clés, incluse dans une bibliothèque, qui peut être utilisée dans plusieurs tests et dans de multiples projets.

  • Appel de pas de tests partagés
    Décrit l'ajout d'un objet partagé d'une bibliothèque en tant que pas de test unique à un test manuel ou à un autre objet partagé.
  • Création d'un objet partagé
    Pour réutiliser un jeu de pas de tests à partir d'un test manuel ou d'un objet partagé, créez un objet partagé sur la page Pas de tests.
  • Extraction de pas de tests partagés des bibliothèques
    Pour rendre un test manuel ou un objet partagé indépendant des autres objets partagés, extrayez les pas de tests des bibliothèques comprenant les objets partagés.
  • Gestion des propriétés des pas de tests partagés
    Gérez toutes les propriétés qui peuvent être alimentées dans les pas de tests manuels à l'échelle du projet actif.
  • Ajout ou modification de pas de test manuel
    Utilisez la page Pas de Tests pour ajouter ou modifier un pas de test manuel.
  • Exportation et mise à jour d'objets pas de tests partagés
    Décrit la procédure à suivre pour exporter et mettre à jour des objets pas de tests partagés.
  • Page Pas de Tests
    Répertorie tous les pas de tests manuels inclus dans le test ou l'objet partagé sélectionné.
Sujet parent : Bibliothèques


Appel de pas de tests partagés

Pour réduire l'effort nécessaire à la gestion des mêmes pas de tests dans divers tests et projets, vous pouvez ajouter des pas de tests partagés d'une bibliothèque en tant que pas de test unique à un test ou un objet partagé.

Vous pouvez ajouter un appel uniquement à tous les pas de tests d'un objet partagé, et non pas à une sélection de ces pas. Lorsque vous ajoutez un appel à un objet partagé, tous les pas de tests partagés sont affichés en tant que pas de test unique dans le test ou l'objet partagé appelant et vous pouvez ajouter des pas de tests supplémentaires avant et après les pas de tests appelés. Les pas de tests initiaux sont affichés uniquement pendant l'exécution du test de référence. Il est impossible de supprimer l'objet partagé. Pour le supprimer, vous devez d'abord supprimer tous les appels qui le concernent.

Le nom de l'objet partagé, dont les pas de tests sont appelés, s'affiche en tant que nom du pas de test sur la page Pas de Tests. Cliquez sur le nom pour accéder à l'objet partagé appelé.

  • Ajout d'un appel à des pas de tests partagés
    Ajoutez un appel à un objet partagé afin d'utiliser ces derniers au cours d'un test manuel ou dans un autre objet partagé.
  • Boîte de dialogue Appel à des Pas de Tests Partagés
    La boîte de dialogue Appel à des Pas de Tests Partagés permet de parcourir les objets partagés dans l'arborescence Bibliothèques.
Sujet parent : Gestion des objets partagés


Ajout d'un appel à des pas de tests partagés

Pour ajouter un appel à un objet partagé :

  1. Dans le menu, cliquez sur Tests > Vue détaillée pour ajouter les pas de tests partagés à un test ou cliquez sur Tests > Bibliothèques pour ajouter les pas de tests partagés à un autre objet partagé.
  2. Dans l'arborescence correspondante, cliquez sur le nœud auquel vous voulez ajouter les pas de tests partagés.
  3. Cliquez sur l'onglet Pas de tests.
  4. Pour ajouter les pas de tests partagés à la fin de la liste des pas de tests, cliquez sur Nouvel appel aux pas de tests partagés. Pour l'insérer au-dessus du pas de test, cliquez sur Insérer un appel à des pas de tests partagés. La boîte de dialogue Appel à des pas de tests partagés s'ouvre.
  5. Dans l'arborescence, sélectionnez le nœud des pas de tests partagés dont vous souhaitez ajouter les pas de tests.
    Remarque : Pour un test, l'arborescence affiche uniquement les bibliothèques visibles pour le projet actif. Pour plus d'informations, reportez-vous à la rubrique Page visibilité.
  6. Cliquez sur OK.
Sujet parent : Appel de pas de tests partagés
Référence associée
Rendre les bibliothèques accessibles aux projets


Boîte de dialogue Appel à des Pas de Tests Partagés

La boîte de dialogue Appel à des Pas de Tests Partagés permet de parcourir les objets partagés dans l'arborescence Bibliothèques. Pour ouvrir la boîte de dialogue, choisissez un test manuel dans l'arborescence Tests ou un objet partagé dans l'arborescence Bibliothèques, cliquez sur l'onglet Pas de Tests et cliquez sur Nouvel appel aux pas de tests partagés.

Pour rechercher des bibliothèques, des dossiers et des objets partagés existants dans l'arborescence Bibliothèques, saisissez leur nom dans la zone de texte Rechercher de la boîte de dialogue et appuyez sur Entrée. La recherche ne tient pas compte de la casse et ne se limite pas aux mots entiers. Les bibliothèques et dossiers renvoyés par la recherche sont affichés avec la totalité de leur sous-arborescence.

Sujet parent : Appel de pas de tests partagés


Création d'un objet partagé

Vous pouvez créer un objet partagé à la page Pas de tests d'un test manuel ou d'un objet partagé.

Pour créer un objet partagé :

  1. Pour un objet partagé, cliquez sur Tests > Bibliothèques dans le menu. Pour un test, cliquez sur Tests > Vue Détaillée dans le menu.
  2. Accédez à la page Pas de tests du test manuel ou de l'objet partagé comportant les pas de tests que vous souhaitez partager.
  3. Sélectionnez les pas de tests avec les combinaisons Ctrl + clic ou Maj + clic.
  4. Cliquez sur Créer des pas de tests partagés. La boîte de dialogue Créer des Pas de Tests Partagés s'affiche.
  5. Nommez le nouvel objet partagé dans la zone de texte Nom.
  6. Choisissez l'emplacement du nouvel objet partagé dans l'arborescence Bibliothèques.
  7. Cliquez sur OK. L'objet partagé est créé et les pas de tests sélectionnés sont remplacés par un appel à l'objet partagé.
Sujet parent : Gestion des objets partagés


Extraction de pas de tests partagés des bibliothèques

Pour rendre un test manuel ou un objet partagé indépendant des autres objets partagés, extrayez les pas de tests des bibliothèques comprenant les objets partagés. Tous les pas de tests appelés sont ensuite copiés dans le test manuel ou l'objet partagé.

Pour extraire les pas de tests partagés inclus dans un test manuel ou un objet partagé :

  1. Pour un objet partagé, cliquez sur Tests > Bibliothèques dans le menu. Pour un test, cliquez sur Tests > Vue Détaillée dans le menu.
  2. Dans l'arborescence correspondante, cliquez sur le nœud dans lequel vous souhaitez résoudre les pas de tests partagés.
  3. Cliquez sur l'onglet Pas de Tests.
  4. Sélectionnez les pas de tests que vous souhaitez extraire à l'aide de la combinaison Ctrl + clic ou Maj + clic.
  5. Cliquez sur Détacher de la bibliothèque et confirmez le message.
Sujet parent : Gestion des objets partagés


Gestion des propriétés des pas de tests partagés

Tests > Propriétés de Pas de Test

Tests > Bibliothèques > <bibliothèque> > Propriétés de pas de test

Pour créer, modifier ou afficher les propriétés de pas d'objets partagés dans l'arborescence Bibliothèques, sélectionnez la bibliothèque et cliquez sur l'onglet Propriétés de Pas de Test. La page Propriétés de Pas de Test répertorie toutes les propriétés qui peuvent être alimentées dans les pas de tests manuels à l'échelle du projet actif. Pour créer une propriété de pas de test, cliquez sur Nouvelle Propriété. Les actions que vous pouvez appliquer à une propriété sont Supprimer, Déplacer vers le Haut et Déplacer vers le Bas.

Sujet parent : Gestion des objets partagés
Concepts associés
Propriétés de Pas de Test


Exportation et mise à jour d'objets pas de tests partagés

Utilisez la fonction d'export et de mise à jour vers Excel pour pouvoir apporter des modifications en masse à des objets pas de tests partagés.

Présentation de l'export et de la mise à jour

La section qui suit décrit le processus d'export et de mise à jour :

  • Sélectionnez la bibliothèque.
  • Exportez-le vers Excel.
  • Apportez des modifications dans Excel.
  • Vérifiez/créez le fichier de mappage.
  • Lancez la mise à jour dans Silk Central.
  • Exportation d'objets pas de tests partagés dans Excel
    Exportez dans Excel des objets pas de tests partagés pour effectuer des modifications en masse.
  • Mise à jour des objets pas de test partagés depuis Excel
    Après avoir mis à jour vos objets pas de test partagés dans Excel, remettez-les à jour dans Silk Central.
Sujet parent : Gestion des objets partagés


Exportation d'objets pas de tests partagés dans Excel

Exportez dans Excel des objets pas de tests partagés pour effectuer des modifications en masse.
  1. Dans le menu, cliquez sur Tests > Bibliothèques.
  2. Cliquez avec le bouton droit de la souris sur la bibliothèque contenant les objets pas de tests partagés que vous souhaitez exporter, puis sélectionnez Exporter vers Excel. La boîte de dialogue Export de la Bibliothèque vers Excel s'affiche.
  3. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est LibraryPropertiesDefaultMapping.xml.
  4. cliquez sur Modifier le Mappage pour modifier le fichier de mappage. La boîte de dialogue Modifier le Mappage s'affiche.
  5. Spécifiez les colonnes Excel que vous souhaitez mapper aux propriétés et aux propriétés de pas de test (le cas échéant). L'exemple suivant explique la procédure de mappage :

    Mappage des propriétés de pas de tests partagés

  6. Vous pouvez éventuellement modifier le nom du fichier de mappage dans le champ Enregistrer sous. Cliquez sur OK. La boîte de dialogue Export de la Bibliothèque vers Excel s'affiche.
  7. Cliquez sur OK. Le fichier Excel est alors créé et téléchargé dans votre navigateur.
Ouvrez le fichier Excel et modifiez vos objets de pas de tests partagés. Une fois les modifications effectuées, enregistrez le fichier pour le charger de nouveau dans Silk Central.

Restrictions : Si vous créez, supprimez ou déplacez des objets de pas de tests partagés dans le fichier Excel, ces modifications seront ignorées lors de la mise à jour dans Silk Central.

Sujet parent : Exportation et mise à jour d'objets pas de tests partagés
Tâches associées
Mise à jour des objets pas de test partagés depuis Excel
Référence associée
Gestion des propriétés des pas de tests partagés


Mise à jour des objets pas de test partagés depuis Excel

Après avoir mis à jour vos objets pas de test partagés dans Excel, remettez-les à jour dans Silk Central.
  1. Dans le menu, cliquez sur Tests > Bibliothèques.
  2. Faites un clic droit sur la bibliothèque qui inclut les objets pas de test partagés que vous souhaitez mettre à jour et sélectionnez Mettre à jour depuis Excel.... La boîte de dialogue Mettre à jour la Bibliothèque depuis un Fichier Excel s'affiche.
  3. Sélectionnez le fichier de mappage dans la zone de liste Choisir un Fichier de Mappage. Le fichier de mappage par défaut est LibraryPropertiesDefaultMapping.xml.
  4. Facultatif : cliquez sur Modifier le Mappage pour modifier le fichier de mappage. Cela n'est nécessaire que si le fichier de mappage qui était utilisé pour l'export d'objets pas de test partagés a été modifié, ou si les en-têtes de colonnes ont été modifiés dans le fichier Excel. Pour obtenir des informations détaillées sur les propriétés de mappage et les propriétés de pas, reportez-vous à la rubrique Export d'objets pas de test partagés vers Excel.
  5. Cliquez sur Choisir un Fichier pour sélectionner le fichier Excel dans le champ Fichier de bibliothèque (.xlsx).
  6. Cliquez sur OK. Vos modifications sont mises à jour dans Silk Central.
Sujet parent : Exportation et mise à jour d'objets pas de tests partagés
Tâches associées
Exportation d'objets pas de tests partagés dans Excel
Référence associée
Gestion des propriétés des pas de tests partagés


Page historique de la bibliothèque

La page Historique affiche l'historique de l'objet partagé qui est sélectionné.

La page Historique inclut une entrée pour chaque version de l'objet partagé qui est sélectionné et vous permet de créer de nouvelles versions, de consulter les détails des versions, de revenir à une version précédente et d'afficher les différences entre les versions.

Pour afficher uniquement les versions de la page Historique et aucune autre entrée, ouvrez le menu contextuel de la colonne Version, sélectionnez Filtre, puis saisissez 0 dans le champ >.

La page affiche les éléments suivants pour chaque entrée répertoriée :

Elément | Description
Actions | Uniquement pour les entrées de version. Les actions exécutables sur une version sélectionnée sont les suivantes : Voir la Version, Supprimer la Version et Revenir à la Version.
Version | Uniquement pour les entrées de version. Version de l'objet partagé.
Commentaire | Commentaire relatif aux changements.
Créé le | Date et heure auxquelles cette entrée d'historique a été créée.
Créé par | Nom de l'utilisateur ayant créé cette entrée d'historique.
Sujet parent : Versions


Association d'exigences aux tests

Associez vos exigences et vos tests afin de déterminer dans quelle mesure votre logiciel couvre les exigences spécifiées.
  • Assignation d'exigences aux tests
    Assignez une exigence à un test lorsque celle-ci doit être couverte par le test.
  • Tri des exigences assignées
    Triez les exigences assignées pour configurer la page Exigences Assignées selon vos besoins.
  • Localisation des exigences assignées
    Localisez une exigence assignée dans l'arborescence Exigences Assignées pour l'assigner à un test.
  • Suppression d'assignations d'exigences
    Supprimez une assignation d'exigence lorsque le test ne couvre plus l'exigence.
  • Page Exigences Assignées du test
    Répertorie les exigences assignées au test ou au projet sélectionné.
Sujet parent : Tests


Assignation d'exigences aux tests

Pour assigner manuellement des exigences aux tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez le test auquel vous voulez assigner des exigences.
  3. Cliquez sur l'onglet Exigences Assignées.
    Remarque : Si vous avez créé un filtre d'exigences, vous pouvez le sélectionner dans la liste de filtres située au-dessus de l'arborescence Exigences. Pour créer un autre filtre d’exigences, cliquez sur Exigences > Vue Détaillée dans le menu, puis sur Nouveau Filtre dans la barre d'outils.
    Toutes les exigences disponibles en vue d'une assignation sont affichées dans l'arborescence Exigences.
  4. Sélectionnez les exigences que vous souhaitez assigner. Vous pouvez utiliser les touches Ctrl et Maj de votre clavier pour sélectionner plusieurs exigences à l'aide des fonctions de sélection multiple standard du navigateur.
  5. Cliquez sur Assigner tous les éléments filtrés pour assigner toutes les exigences filtrées au test sélectionné, ou faites glisser votre sélection et déposez-la dans la zone Exigences assignées, ou cliquez sur Assigner à gauche d'une exigence. L'assignation de toutes les exigences filtrées n'est possible que si un filtre a été sélectionné et que vous avez l'autorisation soit de Gérer les exigences, soit de Gérer les ressources.
    Remarque : Les tests nouvellement générés peuvent être assignés automatiquement aux exigences à partir desquelles ils sont générés en cochant la case Assigner les tests nouvellement générés aux exigences de la boîte de dialogue Générer les Tests à partir des Exigences. Il s'agit du comportement par défaut.
Sujet parent : Association d'exigences aux tests
Tâches associées
Génération de tests à partir de la Vue détaillée des exigences


Tri des exigences assignées

Pour trier les exigences assignées :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un test.
  3. Cliquez sur l'onglet Exigences Assignées.
  4. Cliquez sur l'en-tête de colonne de la propriété que vous voulez utiliser pour trier les exigences. Une petite flèche pointant vers le haut ou vers le bas indique la colonne sur laquelle est basé le tri, ainsi que son sens (croissant ou décroissant).
  5. Si nécessaire, recliquez sur l'en-tête de la colonne pour inverser le sens du tri.
Sujet parent : Association d'exigences aux tests


Localisation des exigences assignées

Pour localiser une exigence assignée dans l'arborescence Exigences Assignées :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un test.
  3. Cliquez sur l'onglet Exigences Assignées.
  4. Dans la colonne Actions d'une exigence, cliquez sur Localiser pour identifier le nœud de l'arborescence Exigences Assignées dans lequel les exigences sont stockées.
Le nœud d'exigence parente correspondant est développé et l'exigence assignée est mise en surbrillance.
Sujet parent : Association d'exigences aux tests


Suppression d'assignations d'exigences

Pour supprimer une exigence assignée :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un test qui dispose d'au moins une exigence assignée.
  3. Cliquez sur l'onglet Exigences Assignées.
  4. Dans la colonne Actions de l'exigence assignée, cliquez sur Supprimer, ou utilisez Ctrl + clic ou Maj + clic pour sélectionner plusieurs exigences et appuyez sur Suppr.
    Remarque : Pour supprimer toutes les assignations d'exigences dans le test sélectionné, cliquez sur Supprimer Tout.
Sujet parent : Association d'exigences aux tests


Page Exigences Assignées du test

Tests > Vue détaillée > <Elément de test> > Exigences assignées

La page Exigences Assignées répertorie les exigences qui ont été assignées au projet ou au test sélectionné, et vous permet d'assigner d'autres exigences. L'arborescence Exigences Disponibles répertorie toutes les exigences pouvant être assignées.

Remarque : Si vous avez créé un filtre d'exigences, vous pouvez le sélectionner dans la liste de filtres située au-dessus de l'arborescence Exigences. Pour créer un autre filtre d’exigences, cliquez sur Exigences > Vue Détaillée dans le menu, puis sur Nouveau Filtre dans la barre d'outils.

Pour chaque exigence assignée, la page affiche les colonnes suivantes :

Colonne | Description
Actions | Actions pouvant être appliquées à l'exigence sélectionnée. Supprimer l'Exigence, Localiser, puis Voir la Description.
Exigence | Nom de l'exigence assignée. Cliquez pour ouvrir la page Exigences > Propriétés .
Priorité | Priorité de l'exigence.
Risque | Risque potentiel associé à l'exigence.
Vérifié | État de vérification de l'exigence.
Sujet parent : Association d'exigences aux tests


Rapports de tests

Cette section décrit les rapports portant sur les tests qui sont fournis avec Silk Central. Les rapports sur les tests vous donnent une vue d'ensemble de l'avancement de vos tests et de l'état des incidents sur une période donnée ou une plage de builds.

  • Rapports sur les états
    Décrit les rapports sur les états disponibles pour l'espace Tests.
  • Rapports d'avancement
    Décrit les rapports d'avancement disponibles pour l'espace Tests.
  • Rapports sur les tests manuels
    Décrit les rapports relatifs aux tests manuels qui sont disponibles pour l'espace Tests.
  • Rapport Comparaison à la référence des tests
    Le rapport Comparaison à la référence des tests compare un projet loti avec le lotissement et affiche le nombre de tests modifiés, supprimés et créés.
  • Rapport de comparaison des exécutions de test
    Les rapports de comparaison des exécutions de test comparent les deux dernières exécutions d'un test en fournissant des informations détaillées à propos du contexte, des états, des erreurs, des avertissements, des durées, des propriétés, des attributs, des paramètres et des critères de succès.
Sujet parent : Tests
Sujet parent : Rapports par défaut


Rapports sur les états

Les rapports sur les états suivants sont disponibles pour l'espace Tests :
Tests par composant
Représente une vue d'ensemble de la couverture des composants par test; Facilite la mise en évidence des composants nécessitant de l'activité de test supplémentaire.
Tests implémentés (par composant)
Représente une vue d'ensemble de la couverture des composants par les tests dont l'attribut Implémenté est réglé sur Oui.
Tests en échec (par composant)
Représente une vue d'ensemble des tests en échec par composant; Facilite l'identification des composants les plus critiques de l'environnement.
Tests (par conteneur de tests)
Représente le taux de réussite pour chaque conteneur de tests indiquant le nombre de tests réussis.
Rapport de planification des objectifs qualité

Représente le nombre de tests dans chaque critère d'objectif, avec la durée prévue cumulée pour les critères d'objectif.

Remarque : La valeur de la durée prévue concerne uniquement les tests manuels. Aucune durée prévue n'est définie pour les tests automatisés.

Ce rapport est divisé en trois sections pour chaque objectif Qualité défini dans un projet :

  • Périmètre de Test : compare le nombre total de tests disponibles avec le nombre total de tests requis pour chaque élément d'un objectif Qualité.
  • Durée Prévue Obligatoire : compare la durée prévue requise pour les éléments des objectifs Qualité.
  • Tableau Valeur : répertorie tous les éléments objectif Qualité et leurs métriques associées : Tests Disponibles, Objectif (%), Tests Requis et Durée Prévue pour les Tests Manuels.
Remarque : Pour un attribut ou une propriété à sélection multiple, le test sera pris en compte pour chaque occurrence correspondante.
Rapport d'exécution des objectifs qualité
Affiche le nombre de tests exécutés pour chaque élément de chaque objectif. Ce rapport est divisé en deux sections pour chaque objectif Qualité défini dans un projet :
  • Graphe État d'Exécution - Répertorie chaque élément objectif Qualité avec un état d'exécution codé en couleur et une valeur récapitulative.
  • Tableau Valeur : répertorie tous les éléments objectif Qualité, ainsi que leurs métriques d'exécution : Réussi, En Echec, Non Exécuté, N/A, Total, Tests pour Atteindre l'Objectif et % d'Exécution de l'Objectif.
Vue d'ensemble de l'état des tests
Représente une vue d'ensemble de l'état de tous tests, organisée par état Réussi, En Échec, Non Exécuté et N/A.
Vue d'ensemble de l'état des tests (par conteneur de tests)
Représente une vue d'ensemble de l'état de tous les tests d'un conteneur spécifique, organisée par état Réussi, En Échec, Non Exécuté et N/A.
Sujet parent : Rapports de tests


Rapports d'avancement

Les rapports d'avancement suivants sont disponibles pour l'espace Tests :
Avancement des Tests pour les Builds <x> et <y>
Représente une tendance dans l'avancement des tests qui résulte de l'analyse des états des tests dans le contexte des builds. L'utilisateur doit spécifier une plage de builds comprenant un build de début et de fin.
Couverture des tests manuels depuis le build <x> (cumulatif)
Représente une tendance dans l'avancement des tests manuels, à l'exclusion de tous les types de tests automatisés, qui résulte de l'analyse des états des tests dans le contexte des builds. L'utilisateur doit spécifier un numéro de build de départ qui est utilisé comme base de calcul d'un avancement cumulatif.
Couverture de tests automatisés pour les builds (non cumulatif)
Représente la couverture des tests automatisés résultant de l'analyse des états des tests dans le contexte des builds. L'utilisateur doit spécifier une version et une application ; le rapport illustre la couverture de test qui peut être atteinte avec les tests automatisés par build.
Avancement des tests pour le dossier spécifique sur les <x> derniers jours
Représente la tendance de la progression des tests résultant de l'analyse des états des tests pour le nœud de l'arborescence des tests avec l''ID spécifié et pour les <x> derniers jours.
Avancement des tests sur les <x> derniers jours
Représente une tendance de l'avancement des tests en prenant en considération les états des tests sur les X derniers jours.
Avancement des tests ce mois-ci
Représente la tendance de la progression des tests résultant de l'analyse des états des tests pour le mois en cours.
Pourcentage de tests réussis au cours des <x> derniers jours (par composant)
Représente une liste de pourcentages de tests réussis par composant sur les X derniers jours ; aide à identifier les composants les plus critiques de l'environnement.
Tests créés dans les <x> derniers jours (par composant)
Représente la liste des nouveaux tests par composant sur les X derniers jours. Aide à identifier les composants manquant d'activité de test.
Sujet parent : Rapports de tests


Rapports sur les tests manuels

Voici les rapports relatifs aux tests manuels disponibles pour l'espace Tests :
Historique des durées d'exécutions prévues vs réelles (par utilisateur)
Représente une vue d'ensemble des durées d'exécutions prévues et actuellement requises pour achever les tests manuels par utilisateur sur une période de temps donnée.
Durées d'exécution prévue vs réelle (état par utilisateur)
Représente la progression en termes d'heures planifiées vs réalisées pour les tests manuels actuellement en attente par utilisateur. Les tests manuels sont pris en compte uniquement si les résultats des tests ont été saisis par l'utilisateur et sont assignés à celui qui saisit les résultats.
Document de résultats de test manuel
Un rapport imprimable sur les cas de tests manuels portant sur les derniers résultats de tous les tests assignés au plan d'exécution spécifié.
Document de résultats de test manuel (Microsoft Word)
Un rapport imprimable (Microsoft Word) sur les cas de tests manuels portant sur les derniers résultats de tous les tests assignés au plan d'exécution spécifié.
Résultats de test manuel par plan d'exécution
Un rapport imprimable sur les cas de tests manuels portant sur les derniers résultats de tous les tests assignés au dossier de plan d'exécution spécifié ou au cycle de test.
Durée prévue vs réelle des tests manuels (résumé)
Représente une vue d'ensemble des écarts entre les durées prévues et réelles d'exécution des tests manuels, vus au jour le jour.
Sujet parent : Rapports de tests


Rapport Comparaison à la référence des tests

Le rapport Comparaison à la référence des tests compare un projet loti avec le lotissement et affiche le nombre de tests modifiés, supprimés et créés.

Les paramètres d'entrée du rapport Comparaison à la référence des tests sont les identifiants du projet et le lotissement.

Sujet parent : Rapports de tests
Tâches associées
Comparaison d'un projet et d'un lotissement


Rapport de comparaison des exécutions de test

Les rapports de comparaison des exécutions de test comparent les deux dernières exécutions d'un test en fournissant des informations détaillées à propos du contexte, des états, des erreurs, des avertissements, des durées, des propriétés, des attributs, des paramètres et des critères de succès.
Remarque : Les rapports de comparaison des exécutions ne conviennent pas pour la comparaison des tests manuels aux tests automatisés. Lorsque le nom du rapport inclut (Deux Dernières Exécutions), vous pouvez uniquement comparer les deux dernières exécutions du plan d'exécution ou du test.
Sujet parent : Rapports de tests


Plans d'Exécution Assignés

Assignez des tests à des plans d'exécution en vue de maintenir le contrôle sur les exécutions de test pendant le développement et les tests.
  • Affichage des exécutions assignées
    Affichez tous les plans d'exécution auxquels le test sélectionné est assigné.
Sujet parent : Tests


Affichage des exécutions assignées

Pour afficher tous les plans d'exécution auxquels le test sélectionné est assigné :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test pour lequel vous voulez afficher les affectations de plans d'exécution.
  3. Cliquez sur l'onglet Propriétés. Dans la section Exécutions, la liste complète des plans d'exécution auxquels le test est assigné s'affiche dans la grille Plans d'exécution assignés.
Sujet parent : Plans d'Exécution Assignés
Référence associée
Propriétés du test


Vues de test

Silk Central propose plusieurs vues et outils pour gérer vos tests.

  • Utilisation de l'arborescence Tests
    Décrit le mode d'utilisation de l'arborescence Tests.
  • Fonctions de la barre d'outils des tests
    Fournit des commandes importantes pour la gestion de vos tests.
  • Vue globale des tests
    Offre une vue générale des informations importantes, de l'état et des dernières exécutions de tous les tests du projet sélectionné.
  • Utilisation des tests dans la Vue Matricielle
    Décrit le mode d'utilisation des tests dans la Vue Matricielle.
Sujet parent : Tests


Utilisation de l'arborescence Tests

Tests > Vue Détaillée

Comme pour les exigences, les tests sont affichés, organisés et gérés dans une structure hiérarchique : l'arborescence Tests. L'arborescence Tests vous permet d'organiser les tests sur plusieurs niveaux de hiérarchie. Chaque nœud de l'arborescence représente un test, un dossier de tests ou un conteneur de tests.

Remarque : Lorsque la page contient plus d'éléments qu'il n'est possible d'en afficher en une seule fois sans que cela ait un impact sur le temps de réponse, ceux-ci sont affichés par incréments. Utilisez la barre de navigation en bas de la page pour parcourir les éléments.
  • Fonctions du clavier (tests)
    L'arborescence prend en charge le clavier et la sélection multiple.
  • Développement ou réduction de l'arborescence Tests
    Développez et réduisez l'arborescence Tests afin de consolider et d'afficher les niveaux de la hiérarchie en fonction de vos besoins d'affichage.
  • Couper, copier, coller, et supprimer des éléments de test
    Couper, copier, coller et supprimer des éléments de test pour construire et gérer les tests de votre projet.
  • Opération consistant à copier et coller un élément de test d'un projet à un autre
    Copiez-collez un élément de test d'un projet à un autre pour réutiliser l'élément dans différents projets.
  • Sharing and Consuming Tests
    Manage recurring tests and their requirement assignments centrally and share and consume these tests across projects.
  • Partage de tests en dehors d'un projet consommateur
    Partager des tests en dehors d'un projet consommateur.
  • Réorganisation des éléments de tests
    Réorganisez les tests, dossiers de tests et conteneurs de tests dans l'arborescence Tests pour appliquer cette dernière selon vos besoins.
  • Définition d'un nœud de test en tant qu'intégration par défaut pour des outils d'organisation agile externes
    Définissez un nœud de test en tant que nœud d'intégration par défaut pour permettre la création de tests dans Silk Central par le biais d'un outil d'organisation agile externe.
  • Filtrage sur un dossier ou un conteneur
    Filtrez sur un dossier ou un conteneur pour afficher uniquement son contenu.
  • Recherche des propriétés de test
    Recherchez une valeur de propriété spécifique pour trouver tous les tests qui incluent la valeur.
  • Remplacement des propriétés de test
    Recherchez une valeur de propriété spécifique pour la remplacer dans les tests qui incluent la valeur.
  • Page Contenu de test
    Affiche les éléments enfants du projet, conteneur de tests ou dossier sélectionné.
Sujet parent : Vues de test


Fonctions du clavier (tests)

Les actions suivantes peuvent appliquées aux noeuds sélectionnés :

Touches | Action
Vers le haut | Déplacer la sélection vers le haut
Vers le bas | Déplacer la sélection vers le bas
Droite | Développer l'élément
Gauche | Réduire l'élément
F2 | Modifier l'élément
Ctrl + C | Copier l'élément
Ctrl + X | Couper l'élément
Ctrl + V | Coller l'élément
Suppr | Supprimer l'élément
Ctrl + Haut | Déplacer l'élément vers le haut
Ctrl + Bas | Déplacer l'élément vers le bas
Clic | Sélectionnez un élément et définissez-le comme élément en cours.
Ctrl + clic | Modifiez le statut de sélection de l'élément sur lequel vous avez cliqué et ajoutez/supprimez des éléments supplémentaires avec quelques clics de plus.
Maj + clic | Sélectionnez la plage comprise entre l'élément actuellement sélectionné et l'élément récemment sélectionné.
Maj + Haut | Sélectionnez l'élément ci-dessus.
Maj + Bas | Sélectionnez l'élément ci-dessous.
Entrée | Assigner l'élément (uniquement dans l'arborescence d'affectation)
Sujet parent : Utilisation de l'arborescence Tests


Développement ou réduction de l'arborescence Tests

Vous pouvez consolider les niveaux de l'arborescence Tests ou afficher tous les niveaux selon vos besoins d'affichage.

Pour réduire ou développer les niveaux de l'arborescence Tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le conteneur ou le dossier de tests dans l'arborescence Tests et poursuivez la procédure avec l'une des options suivantes :
    • Cliquez sur Développer à gauche du nom de l'élément de test pour développer cet élément.
    • Cliquez sur Réduire à gauche du nom de l'élément de test pour réduire cet élément.
    • Faites un clic droit sur l'élément et sélectionnez Développer ou Réduire.
Sujet parent : Utilisation de l'arborescence Tests


Couper, copier, coller, et supprimer des éléments de test

La barre d'outils dans l'espace Tests vous permet de facilement couper, copier, coller et supprimer des éléments de test dans l'arborescence Tests, dans le projet actuel et entre les projets. Ces fonctions d'édition simplifient le processus de construction et de gestion des tests de votre projet.

Les types de donnée copiés avec les tests et les dossiers de tests sont les propriétés, les attributs, les paramètres et les annexes. Les affectations, les incidents, les exécutions et l'historique ne sont pas copiés.

Remarque : Les conteneurs ne peuvent pas être copiés ou collés.

Pour couper, copier, coller ou supprimer des éléments de test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez les éléments que vous souhaitez modifier. Vous pouvez sélectionner plusieurs éléments avec les combinaisons Ctrl + clic ou Maj + clic.
  3. Cliquez sur le bouton approprié dans la barre d'outils :
    Bouton
    Description
    Supprime les éléments sélectionnés dans l'arborescence.
    Coupe les éléments sélectionnés dans l'arborescence et les place dans le presse-papiers.
    Copie les éléments sélectionnés dans le presse-papiers.
    Colle une copie des éléments conservés dans le presse-papiers au même niveau que l'élément actuellement sélectionné.
    Coller comme Enfant
    Colle une copie des éléments conservés dans le presse-papiers en tant que sous-nœud de l'élément actuellement sélectionné.
    Remarque : Ces commandes sont également disponibles via le menu contextuel de l'arborescence des tests et des raccourcis clavier.
Sujet parent : Utilisation de l'arborescence Tests
Référence associée
Page Contenu de test


Opération consistant à copier et coller un élément de test d'un projet à un autre

Pour copier et coller un dossier de test ou un test d'un projet à un autre :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet source.
  3. Dans le menu, cliquez sur Tests > Vue Détaillée.
  4. Cliquez sur Couper pour couper l'élément ou sur Copier pour le copier dans le presse-papiers.
  5. Dans le menu, cliquez sur Projets > Liste des Projets.
  6. Sélectionnez le projet de destination.
  7. Sélectionnez le conteneur et le dossier de destination.
  8. Cliquez sur Coller.
Remarque : Ces commandes sont également disponibles via le menu contextuel de l'arborescence des tests et des raccourcis clavier.
Sujet parent : Utilisation de l'arborescence Tests


Réorganisation des éléments de tests

Pour réorganiser un test, un dossier de tests ou un conteneur de tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez l'élément de test que vous souhaitez réorganiser.
  3. Cliquez sur Déplacer vers le Haut pour déplacer l'élément de test d'un niveau vers le haut ou cliquez sur Déplacer vers le Bas pour déplacer l'élément de test d'un niveau vers le bas.
Sujet parent : Utilisation de l'arborescence Tests


Définition d'un nœud de test en tant qu'intégration par défaut pour des outils d'organisation agile externes

Pour utiliser des appels de service Web afin de créer des tests dans Silk Central par le biais d'un outil d'organisation agile externe, définissez un dossier ou un conteneur dans l'arborescence des Tests en tant que nœud par défaut, où le service Web créera le test. Si vous ne spécifiez pas le nœud d'intégration par défaut, une fenêtre de message d'erreur s'affiche.

Pour spécifier le nœud d'intégration par défaut dans l'arborescence des Tests :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence des Tests, sélectionnez le dossier ou le conteneur que vous voulez définir comme nœud d'intégration par défaut.
  3. Cliquez avec le bouton droit sur le dossier ou le conteneur et sélectionnez Définir comme intégration par défaut.
    Remarque : Si un nœud d'intégration par défaut existe déjà, le nœud par défaut est remplacé par le nouveau nœud.
Le nœud d'intégration par défaut est défini sur le nœud sélectionné, permettant à l'outil d'organisation agile de créer des tests à cet endroit.
Remarque : Le nœud d'intégration par défaut est indiqué dans la page des Propriétés du projet, dans laquelle se trouve le nœud.
Sujet parent : Utilisation de l'arborescence Tests
Référence associée
Propriétés du test


Filtrage sur un dossier ou un conteneur

Pour filtrer sur un dossier ou un conteneur :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit sur le dossier ou le conteneur dans l'arborescence que vous voulez filtrer et sélectionnez Filtrer la Sous-Arborescence. L'arborescence affiche uniquement le contenu du dossier ou conteneur sélectionné et la hiérarchie allant jusqu'au nœud racine.
Remarque : Pour supprimer le filtre et afficher tous les éléments, dans la zone de liste Filtre de la barre d'outils, sélectionnez <Aucun Filtre>. Les dossiers vides ne sont pas affichés dans la sous-arborescence filtrée.
Sujet parent : Utilisation de l'arborescence Tests


Recherche des propriétés de test

Dans l'espace Tests, la commande Rechercher permet de localiser les valeurs des propriétés de test qui répondent aux critères de recherche. Utilisez les fonctions Suivant, Précédent, Premier et Dernier pour parcourir les résultats d'une recherche correspondant à une valeur de propriété donnée. La fonction Rechercher est activée dans l'ensemble des catégories fonctionnelles et plug-ins de Silk Central.

Remarque : Vous pouvez localiser les valeurs des propriétés des tests pilotés par les données à l'aide de la commande Rechercher.
Remarque : Lorsqu'un filtre est appliqué à l'arborescence Tests, la commande Rechercher est exécutée uniquement sur les tests affichés par cette arborescence Tests après filtrage.

Pour rechercher une valeur de propriété de test spécifique :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Cliquez sur Rechercher dans la barre d'outils. La boîte de dialogue Rechercher s'affiche.
  3. Dans la zone de liste Catégorie, sélectionnez la catégorie fonctionnelle ou le plug-in Silk Central sur lesquels vous voulez effectuer la recherche.
    Conseil : Lorsque vous définissez une propriété de plug-in personnalisée, elle est automatiquement ajoutée à la liste.
  4. Dans la zone de liste Rechercher dans, sélectionnez la propriété dans laquelle la requête doit rechercher la valeur. Les propriétés disponibles dans cette liste varient en fonction de la catégorie sélectionnée.
  5. Dans le champ Valeur à rechercher, saisissez la chaîne alphanumérique que la requête doit rechercher.

    Des paramètres optionnels sont disponibles pour préciser davantage la requête. Cochez les cases de ceux qui vous semblent appropriés :

  6. Dans l'arborescence Tests, choisissez l'emplacement dans lequel la recherche doit commencer. Les options suivantes sont disponibles :
    Bouton d'option
    Description
    Débuter de la sélection
    Indique que la recherche commence au niveau de l'élément de test actuellement sélectionné.
    Débuter d'en haut
    Indique que la recherche commence à la racine de l'arborescence Tests.
    Rechercher dans le sous-arbre uniquement
    Indique que la recherche s'effectue uniquement dans la sous-arborescence dont le nœud racine correspond à l'élément actuellement sélectionné dans l'arborescence Tests.
  7. Cochez les cases appropriées pour préciser davantage la requête. Les cases à cocher suivantes sont disponibles :
    Case à cocher
    Description
    Distinction MAJ/min
    Indique que la chaîne est recherchée en tenant compte de la casse.
    Remarque : Si vous utilisez un serveur SQL sensible à la casse, les recherches qui ne tiennent pas compte de la casse ne sont pas prises en charge pour les champs suivants :
    • Description du Test
    • Description du pas de test manuel
    • Description de l'action du pas de test manuel
    • Résultats attendus du pas de test manuel
    Correspondant au mot entier seulement
    Indique que les résultats de la recherche incluent uniquement des instances autonomes complètes de la chaîne de requête.
    Inclure des valeurs en lecture seule
    Indique que les résultats de la recherche incluent des chaînes de texte qui ne sont pas directement modifiables, car elles proviennent d'un autre test, référencé depuis un conteneur de tests lié, ou sont appelées depuis une source de données au cours d'un test piloté par les données.
  8. Cliquez sur Rechercher pour commencer la recherche et passer au premier conteneur de tests, dossier de test ou test renvoyé par la requête.
  9. Si votre requête renvoie plusieurs éléments de test, vous disposez d'une série d'options pour les parcourir.
    Remarque : La commande Rechercher permet d'explorer les éléments de test où la chaîne de recherche est une valeur héritée.
Sujet parent : Utilisation de l'arborescence Tests
Tâches associées
Remplacement des propriétés de test


Remplacement des propriétés de test

La commande Remplacer permet de remplacer les valeurs de propriétés identifiées par de nouvelles valeurs. La fonction Remplacer est activée dans l'ensemble des catégories fonctionnelles et plug-ins de Silk Central.

Remarque : Les valeurs des propriétés d'un test piloté par les données ne peuvent pas être remplacées à l'aide de la commande Remplacer.
Remarque : Lorsqu'un filtre est appliqué à l'arborescence Tests, la commande Remplacer est exécutée uniquement sur les tests affichés par cette arborescence Tests après filtrage.

Pour remplacer une valeur de propriété de test identifiée :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans la barre d'outils, cliquez sur Remplacer. La boîte de dialogue Remplacer s'affiche.
  3. Dans la zone de liste Catégorie, sélectionnez la catégorie fonctionnelle ou le plug-in Silk Central sur lesquels vous voulez effectuer la recherche.
    Conseil : Lorsque vous définissez une propriété de plug-in personnalisée, elle est automatiquement ajoutée à la liste.
  4. Dans la zone de liste Rechercher dans, sélectionnez la propriété dans laquelle la requête doit rechercher la valeur. Les propriétés disponibles dans cette liste varient en fonction de la catégorie sélectionnée.
  5. Dans le champ Valeur à rechercher, saisissez la chaîne alphanumérique que la requête doit rechercher.

    Des paramètres optionnels sont disponibles pour préciser davantage la requête. Cochez les cases de ceux qui vous semblent appropriés :

  6. Dans le champ Remplacer par, saisissez la chaîne alphanumérique par laquelle vous voulez remplacer les valeurs trouvées.
  7. Cliquez sur Rechercher pour commencer la recherche et passer au premier conteneur de tests, dossier de test ou test renvoyé par la requête. Alternativement, cliquez sur Remplacer Tout pour remplacer toutes les instances de la chaîne recherchée par la chaîne de remplacement.
  8. Si votre requête renvoie plusieurs éléments de test, vous disposez d'une série d'options pour les parcourir.
    Remarque : La commande Remplacer ne permet pas de rechercher des éléments de test dans lesquels la chaîne recherchée est une valeur héritée.
Sujet parent : Utilisation de l'arborescence Tests
Tâches associées
Recherche des propriétés de test


Page Contenu de test

Tests > Vue Détaillée > Contenu

La page Contenu affiche les éléments enfants du projet, conteneur de tests ou dossier sélectionné dans l'arborescence Tests. Cette page prend en charge la fonctionnalité standard de sélection multiple de l'Explorateur Windows.

Conseil : Pour accéder au dossier ou au conteneur sélectionné, appuyez sur la touche Entrée ou double-cliquez sur l'élément sélectionné. Appuyez sur la touche Retour arrière ou cliquez sur Monter dans la barre d'outils pour accéder au niveau supérieur.
Remarque : Un conteneur de tests ne peut pas être copié ou collé.
Conseil : Comme avec les éléments de test répertoriés dans l'arborescence Tests, vous pouvez faire un clic droit sur les éléments figurant dans la page Contenu pour accéder aux commandes contextuelles appropriées à l'aide d'un menu contextuel. Les commandes indisponibles sont grisées. Pour pouvoir coller un élément de test dans la page Contenu, vous devez sélectionner explicitement un élément dans cette page, afin de le mettre en évidence dans l'application.
Remarque : Lorsque la page contient plus d'éléments qu'il n'est possible d'en afficher en une seule fois sans que cela ait un impact sur le temps de réponse, ceux-ci sont affichés par incréments. Utilisez la barre de navigation en bas de la page pour parcourir les éléments.

La page Contenu prend en charge les raccourcis clavier suivants pour les éléments de test :

Touches | Action
Monter | Déplacer la sélection vers le haut
Descendre | Déplacer la sélection vers le bas
Droite | Désélectionner
Gauche | Désélectionner
F2 | Modifier l'élément
Ctrl + A | Sélectionner tout
Ctrl + C | Copier l'élément
Ctrl + X | Couper l'élément
Ctrl + V | Coller l'élément
Suppr | Supprimer l'élément
Ctrl + Haut | Déplacer l'élément vers le haut
Ctrl + Bas | Déplacer l'élément vers le bas
Clic | Sélectionnez un élément et définissez-le comme élément en cours.
Ctrl + clic | Modifiez le statut de sélection de l'élément sur lequel vous avez cliqué et ajoutez/supprimez des éléments supplémentaires avec quelques clics de plus.
Maj + clic | Sélectionnez la plage comprise entre l'élément actuellement sélectionné et l'élément récemment sélectionné.
Maj + Haut | Etendre la sélection vers le haut
Maj + Bas | Etendre la sélection vers le bas :
Pos1 | Sélectionner le premier élément
Maj + Pos1 | Sélectionner jusqu'au premier élément
Fin | Sélectionner le dernier élément
Maj + Fin | Sélectionner jusqu'au dernier élément
Sujet parent : Utilisation de l'arborescence Tests


Fonctions de la barre d'outils des tests

Tests > Vue Détaillée

La barre d'outils des tests fournit des commandes importantes pour la gestion de vos tests.

Remarque : Les commandes de la barre d'outils des tests sont également disponibles dans les menus contextuels de l'arborescence Tests.

Les commandes suivantes sont incluses dans la barre d'outils des tests :

Commande | Icône | Description
Vue Globale | Vue Globale | Affiche la Vue Globale, qui affiche les propriétés sélectionnées de tous les éléments de tests dans une seule vue.
Vue Détaillée | Vue du Plan de Test | Affiche la Vue Détaillée, qui vous permet d'explorer en détail les propriétés d'un seul test.
Vue Matricielle | Vue Matricielle | Affiche la Vue Matricielle, qui affiche tous les tests d'une grille.
Haut | Haut | Accède au niveau supérieur de la hiérarchie de l'arborescence de navigation, quel que soit l'emplacement actuel du curseur.
Nouveau Conteneur de Tests | Nouveau Conteneur de Tests | Permet la création de conteneurs de tests.
Nouveau Dossier de Test Enfant | Nouveau Dossier de Test Enfant | Permet la création de dossiers de tests en tant que sous-nœuds du dossier ou du conteneur sélectionné.
Nouveau Test Enfant | Nouveau Test Enfant | Permet la création de tests en tant que sous-nœuds du dossier ou du conteneur sélectionné.
Modifier | Modifier | Modifie l'élément de test sélectionné.
Créer une version | Créer une version | Crée une version du test manuel sélectionné.
Supprimer | Supprimer | Supprime l'élément de test sélectionné.
Couper | Couper | Coupe un élément de test dans l'arborescence Tests et l'enregistre dans le presse-papiers.
Copier | Copier | Copie un élément de test depuis l'arborescence Tests vers le presse-papiers.
Coller | Coller | Colle un élément de test depuis le presse-papiers vers l'arborescence Tests.
Coller comme Enfant | Coller comme Enfant | Colle un élément de test depuis le presse-papiers en tant qu'élément enfant dans l'élément de test actuellement sélectionné.
Déplacer vers le haut | Déplacer vers le haut | Déplace un élément de test vers le haut dans l'arborescence Tests.
Déplacer vers le bas | Déplacer vers le bas | Déplace un élément de test vers le bas dans l'arborescence Tests.
Rechercher | Rechercher | Lance une recherche sur l'ensemble des éléments de tests du projet actif en fonction de paramètres configurables.
Remplacer | Remplacer | Remplace les instances des valeurs trouvées par une nouvelle valeur.
Nouveau filtre | Nouveau filtre | Crée un filtre personnalisé pour l'arborescence Tests.
Filtres |  | Répertorie les filtres disponibles pour l'arborescence Tests.
Modifier le Filtre | Modifier le Filtre | Modifie le filtre personnalisé qui est actuellement sélectionné.
Supprimer le Filtre |  | Supprime le filtre personnalisé qui est actuellement sélectionné.
Copier le Filtre | Supprimer le Filtre | Copie le filtre personnalisé qui est actuellement sélectionné.
Afficher les modifications | Afficher les modifications | Affiche les modifications récemment apportées aux tests.
Acquitter | Acquitter | Acquitte les modifications apportées aux tests.
Télécharger au format .xlsx | Acquitter | Cette fonction est activée dans la Vue globale et dans la Vue matricielle. Dans la Vue globale, cette action génère une feuille Excel qui inclut toutes les lignes actuellement visibles. Dans la Vue matricielle, cette action génère une feuille Excel qui inclut toutes les lignes, non seulement les lignes visibles.
Sujet parent : Vues de test


Vue globale des tests

Tests > Vue Globale

La Vue Globale offre une vue générale des informations importantes, de l'état et des dernières exécutions de tous les tests du projet sélectionné.

Pour chaque conteneur de tests, dossier de tests et test, la Vue Globale affiche les colonnes suivantes :

Elément | Description
Dernière exécution | Date de la dernière exécution du test ou du projet sélectionné
Etat Etat de la dernière exécution de test : Si une exécution est en cours d'exécution, l'état Non exécuté est affiché.
  • Réussi
  • Echec
  • Non exécuté
  • N / A
Pour les conteneurs et les dossiers de tests, une barre d'état affiche le nombre de tests avec l'état correspondant.
Dernier build | Build sur lequel la dernière exécution a été effectuée
Dernière exécution terminée | Date de la dernière exécution de test manuel terminée. Pour les tests automatisés, cet état est identique à Dernière exécution.
Dernière exécution terminée à l'état | Etat de la dernière exécution de test manuel terminée. Pour les tests automatisés, cet état est identique à Etat.
Dernière exécution terminée de la build | Build sur lequel la dernière exécution de test manuel a été effectuée. Pour les tests automatisés, cet état est identique à Dernier build.
Nombre de tests | Nombre de tests.
Durée prévue | Cumul de la Durée Prévue pour les tests manuels
Incidents assignés | Nombre d'incidents assignés au test
Modifié le | Date du dernier changement de l'élément de test sélectionné
Modifié Par | Dernier utilisateur qui a changé l'élément de test sélectionné
Attributs | Si vous avez assigné des attributs à vos tests, vous pouvez choisir de les afficher dans la grille. Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux tests. Vous pouvez utiliser les attributs pour le filtrage et l'établissement de rapports.
Sujet parent : Vues de test


Utilisation des tests dans la Vue Matricielle

La Vue Matricielle de l'espace Tests complète la Vue Globale et la Vue Détaillée en facilitant le filtrage, le tri et le regroupement de très nombreux tests. La Vue Matricielle facilite l'identification de points de correspondance entre les tests et la recherche d'informations de test spécifiques. Vous pouvez utiliser les raccourcis clavier standard de Windows pour faciliter la sélection et la manipulation de jeux spécifiques de tests dans la Vue Matricielle. Vous pouvez exécuter une série de tests et y accéder à partir de la Vue Matricielle. Vous pouvez également créer des plans d'exécution en sélectionnant plusieurs tests à la fois dans la Vue Matricielle.

La Vue Matricielle offre un certain nombre de fonctions de personnalisation des vues qui facilitent la gestion de plusieurs tests. Vous pouvez afficher ou masquer des colonnes, ajuster leur largeur, ainsi que les déplacer en cliquant dessus et en les faisant glisser. Pour améliorer les performances lorsque vous disposez de nombreux tests, les vues de pages sont décomposées de façon à contenir 50 tests chacune. Vous pouvez parcourir les pages à l'aide des boutons Premier, Dernier, Suivant et Précédent. Vous pouvez aussi saisir un numéro de page dans le champ Page et appuyer sur la touche Entrée pour accéder à la page en question. Les fonctions de tri, de regroupement et de filtrage disponibles dans les commandes de menu contextuel aident à mieux organiser et regrouper les tests et à identifier les points de correspondance entre les tests. Toutes vos préférences en matière de personnalisation des vues sont enregistrées en même temps que votre projet et seront disponibles la prochaine fois que vous consulterez la Vue Matricielle.

  • Accès aux tests à partir de la Vue Matricielle
    Accédez à un test de la vue Tests directement depuis la Vue Matricielle.
  • Création d'un plan d'exécution dans la Vue Matricielle
    Créez un plan d'exécution dans la Vue Matricielle afin d'assigner directement des tests au plan d'exécution.
  • Modification des propriétés et des attributs de plusieurs tests
    Décrit comment modifier les valeurs des propriétés et des attributs pour deux tests ou plus.
  • Affichage et masquage de colonnes dans la Vue Matricielle
    Affichez et masquez des colonnes dans la Vue Matricielle de manière à afficher les informations dont vous avez besoin.
  • Groupement des tests dans la Vue Matricielle
    Groupez des tests dans la Vue Matricielle pour faciliter l'affichage de tests avec des valeurs communes.
  • Suppression du groupement des tests dans la Vue Matricielle
    Supprimez le groupement des tests dans la Vue Matricielle pour afficher les tests triés.
  • Tri des tests dans la Vue Matricielle
    Décrit le mode de tri des tests dans la Vue Matricielle.
  • Réorganisation des colonnes dans la Vue Matricielle
    Réorganisez les colonnes dans la Vue Matricielle pour qu'elles s'affichent dans l'ordre de votre choix.
  • Redimensionnement des colonnes dans la Vue Matricielle
    Modifiez la largeur des colonnes afin qu'elles s'affichent selon la largeur de votre choix.
  • Filtrage de tests dans la Vue Matricielle
    Décrit le mode de filtrage des tests dans la Vue Matricielle.
  • Restauration des paramètres par défaut de la Vue Matricielle
    Explique comment restaurer les paramètres par défaut de la Vue Matricielle pour votre projet.
  • Assignation d'incidents existants à des tests dans la Vue Matricielle
    Indique comment assigner des incidents existants à un ou plusieurs tests dans la Vue Matricielle.
Sujet parent : Vues de test


Accès aux tests à partir de la Vue Matricielle

Vous pouvez accéder à un test de la vue Tests directement depuis la Vue Matricielle.

Pour accéder à la page Propriétés d'un test depuis la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Cliquez sur le Nom du test auquel vous voulez accéder. Vous pouvez aussi faire un clic droit sur la ligne du test et sélectionner Accéder au Test.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Création d'un plan d'exécution dans la Vue Matricielle

Pour créer un plan d'exécution dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Sélectionnez les tests que vous souhaitez assigner à votre plan d'exécution à l'aide de la fonctionnalité de sélection multiple de la Vue Matricielle.
  3. Faites un clic droit sur les tests et choisissez Créer le Plan d'Exécution. La boîte de dialogue Nouveau Plan d'Exécution s'affiche.
  4. Entrez les spécifications de votre nouveau plan d'exécution.
Remarque : Tous les tests sélectionnés doivent figurer dans le même conteneur. Si tel n'est pas le cas, le plan d'exécution n'est pas créé et un message d'erreur s'affiche. Le conteneur de tests est présélectionné dans la boîte de dialogue Nouveau Plan d'Exécution et ne peut pas être modifié.
Sujet parent : Utilisation des tests dans la Vue Matricielle
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Tâches associées
Création de plans d'exécution


Modification des propriétés et des attributs de plusieurs tests

Pour modifier les valeurs des propriétés ou des attributs pour plusieurs tests :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Sélectionnez les tests pour lesquels vous voulez modifier les propriétés ou les attributs. Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.
  3. Faites un clic droit et sélectionnez Modification multiple. La boîte de dialogue Modification multiple s'ouvre. Cette boîte de dialogue vous permet de définir la propriété ou l'attribut sélectionné à la même valeur pour tous les tests sélectionnés.
    Conseil : Faites un clic droit sur la cellule sélectionnée d'une colonne d'attribut ou de propriété permet de présélectionner cet attribut ou cette propriété dans la boîte de dialogue Modification multiple.
  4. Sélectionnez Propriétés ou Attributs dans la liste Catégorie.
  5. Cliquez sur le Nom de la propriété ou de l'attribut à modifier.
  6. Sélectionnez la Valeur de la propriété ou de l'attribut qui sera appliqué à tous les tests sélectionnés.
  7. Cliquez sur OK. La valeur de la propriété ou de l'attribut sélectionné est appliquée à tous les tests sélectionnés.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Affichage et masquage de colonnes dans la Vue Matricielle

Pour afficher et masquer des colonnes dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel d'un en-tête de colonne.
  3. Développez le sous-menu Colonnes afin d'afficher toutes les colonnes disponibles dans le projet.
  4. Cochez les cases de toutes les colonnes que vous souhaitez afficher dans la Vue Matricielle. Vos préférences d'affichage des colonnes seront enregistrées et affichées à chaque ouverture du projet actif.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Groupement des tests dans la Vue Matricielle

Outre le tri simple par colonne, vous pouvez répartir les tests dans des groupes pour faciliter l'affichage. Les groupes reposent sur des valeurs communes partagées dans la colonne sur laquelle est basé le groupement.

Pour grouper les tests dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne sur laquelle le regroupement doit être basé et sélectionnez Grouper en fonction de ce champ. Les tests sont organisés en groupes en fonction des valeurs communes partagées dans la colonne que vous avez sélectionnée.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Suppression du groupement des tests dans la Vue Matricielle

Pour supprimer le groupement des tests dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel d'un en-tête de colonne.
  3. Décochez la case Afficher en Groupes.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Tri des tests dans la Vue Matricielle

Pour trier les tests dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne que vous voulez utiliser pour trier les tests.
  3. Sélectionnez Tri par Ordre Croissant pour que les tests soient classés par ordre croissant, ou sélectionnez Tri par Ordre Décroissant pour qu'ils soient classés par ordre décroissant. Vos préférences de tri sont enregistrées et affichées à chaque ouverture du projet actif.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Réorganisation des colonnes dans la Vue Matricielle

Pour réorganiser les colonnes dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Sélectionnez l'en-tête de la colonne que vous voulez déplacer.
  3. Faites glisser la colonne jusqu'à l'emplacement souhaité, puis relâchez le curseur. Vos préférences d'ordre des colonnes sont enregistrées et affichées à chaque ouverture du projet actif.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Redimensionnement des colonnes dans la Vue Matricielle

Pour ajuster la largeur d'une colonne dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Sélectionnez le séparateur vertical de l'en-tête de la colonne à ajuster.
  3. Faites glisser la limite de la colonne jusqu'à l'emplacement souhaité, puis relâchez le curseur. Vos préférences de largeur de colonne seront enregistrées et affichées à chaque ouverture du projet actif.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Filtrage de tests dans la Vue Matricielle

Vous pouvez filtrer la liste des tests en fonction des valeurs des colonnes. Vous pouvez spécifier les données suivantes :
  • Filtrer les chaînes à appliquer aux champs de données textuelles.
  • Filtres de calendrier pour les champs de date, à l'aide des opérateurs Avant, Après ou Le.
  • Opérateurs numériques pour les champs numériques. >, < et =.
  • Filtrage de valeurs textuelles dans la Vue Matricielle
    Filtrez des valeurs textuelles dans la Vue Matricielle pour afficher uniquement les tests qui répondent aux critères définis.
  • Filtrage de valeurs de date dans la Vue Matricielle
    Filtrez des valeurs de date dans la Vue Matricielle pour afficher uniquement les tests qui répondent aux critères définis.
  • Filtrage de valeurs numériques dans la Vue Matricielle
    Filtrez des valeurs numériques dans la Vue Matricielle pour afficher uniquement les tests qui répondent aux critères définis.
  • Filtrage de valeurs booléennes dans la Vue Matricielle
    Filtrez des valeurs booléennes dans la Vue Matricielle pour afficher uniquement les tests qui répondent aux critères définis.
  • Filtrage de valeurs à l'aide d'une liste prédéfinie dans la Vue Matricielle
    Filtrez des valeurs à l'aide d'une liste prédéfinie dans la Vue Matricielle pour afficher uniquement les tests qui répondent aux critères définis.
  • Suppression de filtres spécifiques de la Vue Matricielle
    Supprimez un filtre spécifique appliqué à une colonne dans la Vue Matricielle afin d'afficher les tests exclus.
  • Suppression de tous les filtres de la Vue Matricielle
    Supprimez tous les filtres appliqués à une colonne dans la Vue Matricielle pour afficher tous les tests.
Sujet parent : Utilisation des tests dans la Vue Matricielle
Concepts associés
Filtres


Filtrage de valeurs textuelles dans la Vue Matricielle

Pour filtrer des valeurs textuelles dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne de valeurs textuelles sur laquelle sera basé le filtre.
  3. Développez le sous-menu Filtres du menu contextuel, de manière à afficher le champ Filtres.
  4. Saisissez la chaîne de texte dans le champ.
  5. Appuyez sur Entrée. Tous les tests qui répondent aux critères du filtre (par exemple, tous ceux dont le nom inclut la chaîne spécifiée) sont alors affichés de façon dynamique dans la liste filtrée.
Sujet parent : Filtrage de tests dans la Vue Matricielle


Filtrage de valeurs de date dans la Vue Matricielle

Pour filtrer des valeurs de date dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne de date sur laquelle sera basé le filtre.
  3. Placez le curseur au-dessus de Filtres dans le menu contextuel afin d'afficher le sous-menu Avant, Après ou Le.
  4. Placez le curseur sur Après pour définir une date avant laquelle (cette dernière étant incluse) tous les tests doivent être exclus. Placez le curseur sur Avant pour définir une date après laquelle (cette dernière étant incluse) tous les tests doivent être exclus. Placez votre curseur sur Le pour exclure tous les tests à l'exception de ceux qui présentent la date définie. L'outil Calendrier s'affiche.
  5. Sélectionnez une date à l'aide de l'outil Calendrier ou cliquez sur Aujourd'hui pour spécifier la date du jour.
    Conseil : Vous devez explicitement cliquer sur une date dans l’outil Calendrier ou cliquer sur Saisir pour activer les changements relatifs au filtrage basé sur la date.
    Tous les tests correspondant aux critères du filtre s'affichent de façon dynamique dans la liste filtrée.
Sujet parent : Filtrage de tests dans la Vue Matricielle


Filtrage de valeurs numériques dans la Vue Matricielle

Pour filtrer des valeurs numériques dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne de valeurs numériques sur laquelle sera basé le filtre.
  3. Dans le menu contextuel, développez le sous-menu Filtres pour afficher les opérateurs >, < et =.
  4. Dans le champ >, saisissez un nombre au-dessous duquel (celui-ci étant inclus) tous les tests doivent être exclus. Dans le champ <, saisissez un nombre au-dessus duquel (celui-ci étant inclus) tous les tests doivent être exclus. Dans le champ =, saisissez un nombre pour exclure tous les tests à l'exception de ceux qui présentent le nombre spécifié.
    Remarque : Les valeurs numériques sont arrondies à deux décimales.
  5. Appuyez sur Entrée. Tous les tests correspondant aux critères du filtre s'affichent de façon dynamique dans la liste filtrée.
Sujet parent : Filtrage de tests dans la Vue Matricielle


Filtrage de valeurs booléennes dans la Vue Matricielle

Pour filtrer des valeurs booléennes dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne de valeurs booléennes sur laquelle sera basé le filtre.
  3. Dans le menu contextuel, développez le sous-menu Filtres pour afficher les valeurs disponibles.
  4. Cliquez sur l'un des boutons d'option Oui ou Non. Tous les tests correspondant aux critères du filtre s'affichent de façon dynamique dans la liste filtrée.
Sujet parent : Filtrage de tests dans la Vue Matricielle


Filtrage de valeurs à l'aide d'une liste prédéfinie dans la Vue Matricielle

Pour filtrer des valeurs à l'aide d'une liste prédéfinie dans la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne qui possède une valeur de filtre prédéfinie, par exemple TypeNoeud, sur laquelle sera basé le filtre.
  3. Dans le menu contextuel, développez le sous-menu Filtres pour afficher les valeurs disponibles.
  4. Cochez les cases des valeurs de filtrage qui vous intéressent. Tous les tests qui répondent au moins à un critère seront affichés.
Sujet parent : Filtrage de tests dans la Vue Matricielle


Suppression de filtres spécifiques de la Vue Matricielle

Remarque : Vous pouvez identifier les colonnes filtrées par leur titre, qui s'affiche en gras et en italique. Si vous masquez une colonne, tous les filtres qui lui sont appliqués sont supprimés.

Pour supprimer un filtre spécifique de la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne dont vous souhaitez supprimer le filtre.
  3. Décochez la case Filtres.
Sujet parent : Filtrage de tests dans la Vue Matricielle


Suppression de tous les filtres de la Vue Matricielle

Remarque : Vous pouvez identifier les colonnes filtrées par leur titre, qui s'affiche en gras et en italique. Si vous masquez une colonne, tous les filtres qui lui sont appliqués sont supprimés.

Pour supprimer tous les filtres de la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel d'un en-tête de colonne et sélectionnez Réinitialiser les filtres.
Sujet parent : Filtrage de tests dans la Vue Matricielle


Restauration des paramètres par défaut de la Vue Matricielle

En restaurant les paramètres par défaut de la Vue Matricielle, vous réinitialisez tous les paramètres définis par l'utilisateur pour le projet en cours. Les paramètres définis par l'utilisateur sont les suivants :
  • Ordre des colonnes
  • Largeur des colonnes
  • Colonnes affichées et masquées
  • Filtres appliqués
  • Tri
  • Groupement

Pour restaurer les paramètres par défaut de la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Ouvrez le menu contextuel d'un en-tête de colonne et sélectionnez Réinitialiser la vue.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Assignation d'incidents existants à des tests dans la Vue Matricielle

Pour assigner des incidents existants à un ou plusieurs tests :
  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Faites un clic droit sur un test. Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.
  3. Cliquez sur Assigner des incidents existants, sélectionnez un Profil et saisissez les numéros d'incidents dans le champ ID de l'incident, en les séparant par des virgules.
Sujet parent : Utilisation des tests dans la Vue Matricielle


Organisation des Exécutions

L'espace Organisation des Exécutions vous permet de conserver le contrôle des exécutions de tests au cours du développement et des tests. Inclut des activités telles que : configurer et planifier des plans d'exécution, assigner des tests à ces plans, définir des dépendances de plan d'exécution et configurer le déploiement d'un serveur d'exécution, de même que le processus dynamique de fourniture de matériel au moyen de mots-clés. Les plans d'exécution sont affichés, organisés et gérés par le biais de la structure arborescente hiérarchique Plans d'Exécution. À chaque plan d'exécution peut être associé un nombre quelconque de tests enfants. L'arborescence Plans d'Exécution vous permet d'organiser les plans d'exécution au sein de dossiers, avec un nombre illimité de niveaux hiérarchiques.

  • Organisation des Exécutions Manuelles
    Décrit l'organisation des exécutions manuelles et le mode de création des plans d'exécution à partir des objectifs Qualité.
  • Tests de configurations
    Décrit comment tester les configurations dans Silk Central.
  • Gestion des plans d'exécution, des dossiers et des suites de configurations
    Décrit l'utilisation des plans d'exécution dans Silk Central.
  • Vues de l'organisation des exécutions
    Explique les vues disponibles dans l'espace Organisation des exécutions.
  • Utilisation des projets Silk Performer
    Les projets Silk Performer peuvent être intégrés aux tests Silk Central et exécutés directement par le biais de Silk Central.
  • Tests Silk Test Classic
    Décrit l'exécution des tests dans Silk Test Classic.
Sujet parent : Aide de Silk Central


Organisation des Exécutions Manuelles

Pour accéder à cette page, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles.

L'un des défis classiques à relever pour la planification de vos tests est un trop grand nombre de tests et un manque de ressources. Il est important d'exécuter les tests de façon optimale. Pour vous y aider, la page Organisation des Exécutions Manuelles est divisée en deux vues :

Sélection de Tests
Sélectionnez des tests manuels et planifiez-les dans les cycles de test.
Assignation de tests
Planifiez l'exécution de tests manuels en détail. Déterminez quel testeur manuel doit exécuter chaque test dans un cycle spécifique.

Pour accéder à la vue Sélection de Tests, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles.

Sur la page Organisation des Exécutions Manuelles, dans le coin supérieur droit, cliquez sur Assignation de tests pour accéder à la vue Assignation de tests. Pour revenir à la vue Sélection de Tests, cliquez sur Sélection de Tests dans le coin supérieur gauche.

  • Procédure détaillée
    Cette procédure détaillée illustre les fonctionnalités de la planification de l'exécution manuelle en s'appuyant sur un exemple.
  • Sélection de Tests
    Décrit la vue Sélection de Tests, l'utilisation des cycles de test, ainsi que le filtrage et l'assignation des tests manuels.
  • Assignation de tests
    Répertorie les tests manuels assignés à des cycles de test et des testeurs spécifiques.
  • Test manuel
    Décrit la fonctionnalité de test manuel de Silk Central et explique comment exécuter de façon efficace des tests manuels à l'intérieur de la fenêtre Test manuel.
Sujet parent : Organisation des Exécutions
Référence associée
Page Propriétés du Cycle de Test


Procédure détaillée

Cette procédure détaillée illustre les fonctionnalités de la planification de l'exécution manuelle en s'appuyant sur un exemple. Dans ce cas, nous partons de l'hypothèse que :

  • Les exigences sont entièrement documentées et classées selon une propriété Risk .
  • 575 tests manuels sont entièrement documentés, assignés aux exigences et classés selon un attribut Importance qui définit la nécessité d'exécuter un test donné.
  • Les objectifs de qualité, également appelés critères de sortie du projet, ont été définis en fonction de la propriété d'exigence Risk et de l'attribut de test Importance . Ces objectifs de qualité indiquent les niveaux de test requis.
  • Les seuls tests à prévoir sont ceux qui correspondent le mieux aux objectifs de qualité.
  1. Vue d'ensemble (procédure détaillée)
    Présente une vue d'ensemble des espaces de la page Organisation des Exécutions Manuelles.
  2. Création d'un cycle de test (procédure détaillée)
    Décrit comment créer un cycle de test en définissant une date de début, une date de fin, ainsi qu'une capacité.
  3. Ajout de testeurs manuels (procédure détaillée)
    Décrit la façon d'ajouter des testeurs manuels au cycle de test et de définir la capacité.
  4. Sélection de tests et planification (procédure détaillée)
    Explique comment filtrer, trier et regrouper des tests, et comment les assigner au cycle de test.
  5. Assignation de tests aux testeurs manuels (procédure détaillée)
    Décrit le mode d'assignation des tests du cycle de test aux testeurs manuels.
Sujet parent : Organisation des Exécutions Manuelles


Vue d'ensemble (procédure détaillée)

La page Organisation des Exécutions Manuelles comporte quatre espaces présentés sur deux écrans. Sur le premier écran, appelé Sélection de Tests, vous pouvez sélectionner et planifier vos tests en vue d'un cycle de test. Sur le second écran, appelé Assignation de tests, vous pouvez assigner les tests du cycle sélectionné aux testeurs chargés de les exécuter.

L'écran Sélection de Tests est divisé en trois espaces :

  • L'espace Critères de Filtre est situé à gauche. Grâce aux fonctionnalités de filtrage, vous pouvez limiter les tests affichés dans l'espace suivant.
  • L'espace Tests Correspondants est situé au milieu. Cette liste affiche tous les tests disponibles. Lorsque vous appliquez des filtres, seuls les tests répondant à leurs critères sont affichés.
  • L'espace Cycles de Test est situé à droite. Vous pouvez assigner des tests de la liste située au milieu à un cycle de test spécifique, qui correspond à une plage temporelle définie.

Dans le coin supérieur droit, cliquez sur Assignation de tests >>> pour accéder à l'écran Assignation de tests. Cet écran est divisé en deux espaces :

  • L'espace Cycles de Test est situé à gauche. Il s'agit du même espace que sur l'écran Sélection de Tests ; il s'affiche sur les deux écrans.
  • L'espace Tests Assignés est situé à droite. Cette liste affiche les tests qui ont été ajoutés au cycle de test actuellement sélectionné. Vous pouvez faire glisser les tests entre la liste et l'espace Cycles de Test, puis les déposer sur un testeur.

Sujet parent : Procédure détaillée
Sujet suivant : Création d'un cycle de test (procédure détaillée)


Création d'un cycle de test (procédure détaillée)

La première étape consiste à créer un cycle de test. Un cycle de test est une période définie comprenant une date de début, une date de fin, ainsi qu'une liste de testeurs manuels. Nous allons nommer notre cycle de test Semaine 21 - Équipe A.
  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles.
  2. Dans l'espace Cycles de Test situé à droite, cliquez sur Nouveau Cycle de Test. La boîte de dialogue Nouveau Cycle de Test s'affiche.
  3. Nommez le cycle de test, dans le cas présent Semaine 21 - Équipe A.
  4. Vous pouvez éventuellement entrer une description.
  5. Cliquez sur [image] en regard du champ Date de Début afin de définir la date de début du cycle de test.
  6. Cliquez sur [image] en regard du champ Date de Fin afin de définir la date de fin du cycle de test.
  7. Au format hh:mm, entrez la durée souhaitée pour ce cycle de test (Capacité). Dans le cas présent, nous avons indiqué 35:00.
  8. Cliquez sur OK.
Notre cycle de test s'affiche maintenant dans l'espace Cycles de Test. Actuellement, aucun testeur n'est assigné. L'étape suivante consiste à assigner les testeurs.

Sujet parent : Procédure détaillée
Sujet précédent : Vue d'ensemble (procédure détaillée)
Sujet suivant : Ajout de testeurs manuels (procédure détaillée)


Ajout de testeurs manuels (procédure détaillée)

L'étape suivante consiste à ajouter des testeurs manuels au cycle de test. Vous allez aussi définir la capacité dont chaque testeur manuel dispose pour ce cycle de test.
  1. Dans l'en-tête du cycle de test Semaine 21 - Équipe A, cliquez sur ...Modifier les Testeurs Assignés. La boîte de dialogue Modifier les Testeurs Assignés s'affiche.
  2. Cliquez sur Ajouter/Supprimer des testeurs. La boîte de dialogue Ajouter/Supprimer des testeurs s'affiche.
  3. Dans la liste Disponible, sélectionnez un groupe d'utilisateurs.
  4. Dans la liste Disponible, sélectionnez un ou plusieurs utilisateurs dans le groupe.
  5. Cliquez sur Ajouter ou Ajouter tout pour ajouter des utilisateurs à la liste Sélectionné.
  6. Cliquez sur OK. Les utilisateurs sont désormais ajoutés à la liste dans la boîte de dialogue Modifier les Testeurs Assignés.
  7. Pour chaque utilisateur ajouté, indiquez une capacité pour le cycle de test dans le champ Capacité à l'aide du format hh:mm.
  8. Cliquez sur Fermer.
Le cycle de test affiche désormais les ressources disponibles, aussi bien pour la totalité du cycle de test que pour chaque testeur manuel. Un graphe d'avancement affiche les tests assignés qui ne sont pas encore terminés. Après avoir créé le cycle de test et ajouté des testeurs manuels, vous pouvez déterminer les tests qui doivent être effectués à l'étape suivante.

Sujet parent : Procédure détaillée
Sujet précédent : Création d'un cycle de test (procédure détaillée)
Sujet suivant : Sélection de tests et planification (procédure détaillée)


Sélection de tests et planification (procédure détaillée)

Cette rubrique explique comment assigner des tests à votre cycle de test. Le but est de sélectionner les tests qui couvrent le mieux les objectifs définis en termes de qualité. Un des objectifs Qualité repose sur le risque affecté à l'exigence. En général, les éléments à haut risque sont testés en premier.
  1. Dans l'espace Critères de filtre situé sur la gauche, sous Objectifs qualité, cochez la case Risque de l'exigence. La liste Tests Correspondants est réduite afin de n'afficher que les tests critiques.
  2. Dans la zone Tests Correspondants, ouvrez le menu contextuel d'un en-tête de colonne afin de trier, de filtrer ou de regrouper les tests. Vous pourrez ainsi plus facilement sélectionner les tests à planifier.
  3. Sélectionnez un ou plusieurs tests, faites-les glisser vers l'espace Cycles de Test situé à droite et déposez-les au niveau de votre cycle de test. Pour assigner des tests à un cycle de test, vous pouvez également cliquer avec le bouton droit de la souris sur les tests sélectionnés, puis sur Assigner des tests au cycle. Lorsque vous ajoutez des tests à un cycle, l'indicateur signalant des ressources déjà utilisées est mis à jour. Déplacez la souris sur cet indicateur pour afficher des informations détaillées sur la capacité globale, la durée prévue et le temps restant.
  4. Après avoir planifié tous les tests présentant un risque critique, vous pouvez passer à ceux présentant un risque élevé. Vous planifiez ensuite ceux présentant un risque modéré, et ainsi de suite.

Les tests assignés à votre cycle figurent désormais sur la ligne Aucun testeur spécifique. Lors de la prochaine étape, nous allons assigner les tests à des testeurs manuels.

Sujet parent : Procédure détaillée
Sujet précédent : Ajout de testeurs manuels (procédure détaillée)
Sujet suivant : Assignation de tests aux testeurs manuels (procédure détaillée)


Assignation de tests aux testeurs manuels (procédure détaillée)

Vous allez à présent assigner les tests du cycle de test aux testeurs manuels.
  1. Cliquez sur Assignation de Tests >>> dans le coin supérieur droit. L'écran Assignation de tests s'affiche.
  2. Dans l'espace Cycles de Test situé à gauche, cliquez sur la ligne Aucun testeur spécifique dans le cycle de test. Tous les tests qui ne sont pas assignés à un testeur apparaissent dans l'espace Tests Assignés situé à droite.
  3. Sélectionnez un ou plusieurs tests, faites-les glisser vers l'espace Cycles de Test situé à gauche et déposez-les sur un testeur manuel. Lorsque vous assignez des tests à un testeur manuel, l'indicateur de ressources est mis à jour. Déplacez la souris sur cet indicateur pour afficher des informations détaillées sur la capacité, la durée prévue et le temps restant.
  4. Une fois que vous avez terminé d'assigner des tests aux testeurs manuels, cliquez sur ... > Démarrer le cycle de test pour démarrer les tests.

Une fois le cycle de test démarré, chaque testeur manuel est informé par courriel des tests assignés. Vous pouvez ajouter une boîte de réception de test, (Les Tests Manuels qui me sont Assignés), à votre tableau de bord personnel. Tous les tests qui vous sont assignés sont répertoriés à cet emplacement.

Sujet parent : Procédure détaillée
Sujet précédent : Sélection de tests et planification (procédure détaillée)


Sélection de Tests

La vue Sélection de Tests est la première qui s'affiche lorsque vous accédez à la page Organisation des Exécutions Manuelles. Dans cette page, vous pouvez limiter la liste des tests manuels avec des filtres et des objectifs Qualité, créer et modifier des cycles de test et assigner les tests manuels filtrés aux cycles de test.

La vue Sélection de Tests est divisée en trois espaces :
  • L'espace Critères de Filtre est situé à gauche. Grâce aux filtres, vous pouvez limiter les tests affichés dans l'espace suivant.
  • L'espace Tests Correspondants est situé au milieu. Cette liste affiche tous les tests disponibles. Lorsque vous appliquez des filtres, seuls les tests répondant à leurs critères sont affichés.
  • L'espace Cycles de Test est situé à droite. Vous pouvez assigner des tests de la liste située au milieu à un cycle de test.
  • Critères de Filtre
    Décrit le mode d'application des filtres et des objectifs Qualité dans l'espace Critères de Filtre.
  • Tests Correspondants
    Décrit l'espace Tests Correspondants.
  • Cycles de test
    Un cycle de test est une période définie comprenant une date de début, une date de fin, ainsi qu'une liste de testeurs manuels. Créez des cycles de tests afin de planifier et d'exécuter des séries spécifiques de tests manuels.
Sujet parent : Organisation des Exécutions Manuelles


Critères de Filtre

La zone Critères de filtre propose les options de filtre suivantes :

Résumé du filtre

Répertorie tous les filtres appliqués à la page.

Pour supprimer un filtre dans la liste, cliquez sur [image] en regard de ce dernier.

Filtre des tests

Contient une liste de tous les filtres de test du projet en cours.

Sélectionnez un filtre de test. Les tests filtrés sont affichés dans l'espace Tests Correspondants.

Objectifs Qualité / Suivi des Assignations

Affiche une liste des objectifs Qualité dans le projet, ainsi que leurs valeurs.

Sélectionnez une ou plusieurs valeurs d'objectif Qualité. Les tests filtrés sont affichés dans l'espace Tests Correspondants.

Chaque valeur d'objectif Qualité dispose d'une barre Suivi des Assignations. Cette barre indique le nombre de tests déjà assignés à un plan d'exécution et ceux qui ne le sont pas encore.

Avertissement : Ces nombres incluent les tests manuels et automatisés.

Placez la souris au-dessus d'une barre pour afficher les données suivantes :

  • Nombre total de tests correspondants.
  • Nombre de tests pour atteindre l'objectif.
  • Nombre de Tests déjà assignés.
  • Nombre de Tests non encore assignés.

Si la valeur Tests déjà assignés est supérieure à la valeur Nombre de tests pour atteindre l'objectif, un point d'exclamation apparaît. Cela signifie que le nombre de tests assignés dépasse les besoins.

Avertissement : Ces nombres incluent les tests manuels et automatisés.
Conteneur/Dossier

Affiche la hiérarchie de test des conteneurs/dossiers.

Sélectionnez un conteneur ou dossier pour afficher uniquement les tests enfants du nœud sélectionné dans la zone Tests correspondants.

Remarque : Vous ne pouvez sélectionner qu'un seul filtre de test et une seule valeur par objectif Qualité.

Si vous sélectionnez plusieurs valeurs d'objectif Qualité (issues de différents objectifs Qualité), ou une valeur d'objectif Qualité et un filtre de test, seuls les tests qui répondent à tous les critères sont affichés dans l'espace Nombre total de tests correspondants.

Sujet parent : Sélection de Tests


Tests Correspondants

L'espace Tests Correspondants affiche les tests manuels qui répondent aux critères de filtrage sélectionnés. Par défaut, comme aucun objectif Qualité ni filtre n'est sélectionné, tous les tests manuels s'affichent dans la grille.

Dans l'espace Critères de Filtre, sélectionnez des valeurs pour les filtres et les objectifs Qualité afin de limiter la liste des tests manuels.

La légende de la grille Tests Correspondants affiche les données suivantes :

  • Nombre de tests actuellement sélectionnés.
  • Durée prévue totale des tests actuellement sélectionnés.

Vous pouvez effectuer les actions suivantes dans la grille :

  • Pour assigner un test manuel à un cycle de test, faites-le glisser vers l'en-tête du cycle en question. Vous pouvez également cliquer sur l'action Assigner d'un test ou cliquer avec le bouton droit de la souris sur les tests sélectionnés, puis sur Assigner des tests au cycle.
  • Pour assigner un test manuel à un testeur manuel, faites-le glisser sur ce dernier dans le cycle de test.
  • Ouvrez le menu contextuel d'un en-tête de colonne pour trier, grouper et filtrer des tests manuels, ajouter ou supprimer des colonnes, ainsi que réinitialiser les filtres ou la vue.
  • Faites un clic droit sur un test manuel pour afficher ses détails ou l'imprimer.
  • Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.
  • Vous pouvez assigner plusieurs fois des tests à différents cycles de test/testeurs. La colonne Assigné affiche une coche verte si le test est assigné au moins une fois.
  • Cliquez sur [image] pour afficher les détails du test.
  • Cliquez sur [image] pour afficher le test dans la Vue Détaillée des Tests.
Sujet parent : Sélection de Tests


Cycles de test

Un cycle de test est une période définie comprenant une date de début, une date de fin, ainsi qu'une liste de testeurs manuels. Créez des cycles de tests afin de planifier et d'exécuter des séries spécifiques de tests manuels.

L'espace Cycles de Test répertorie tous les cycles de test du projet en cours. Il s'agit de la partie centrale de la page Organisation des Exécutions Manuelles qui s'affiche dans les vues Sélection de Tests et Assignation de tests. Les cycles de test sont classés par ordre chronologique.

Cliquez sur Nouveau Cycle de Test en haut de l'espace Cycles de Test pour créer un cycle de test. Cliquez sur Afficher/Masquer les cycles de test si vous voulez masquer des cycles de test. En outre, utilisez le champ Recherche pour afficher uniquement les cycles de test contenant le mot recherché. Le masquage des cycles de tests vous permet de garder l'espace Cycles de test organisé et d'améliorer les performances. Il est particulièrement utile lorsque vous avez beaucoup de cycles de test.

Dans l'en-tête d'un cycle de test, cliquez sur Actions (...) pour accéder au menu. Cliquez sur [image] pour localiser le cycle de test dans l'arborescence Organisation des exécutions.

Dans un cycle de test, cliquez sur un testeur manuel pour afficher les tests assignés dans l'espace Tests Assignés.

Cliquez sur l'en-tête d'un cycle de test pour le sélectionner. Les tests assignés au cycle de test (mais pas à un testeur manuel spécifique) sont répertoriés dans l'espace Tests Assignés. Si l'espace Tests Assignés ne s'affiche pas, cliquez sur Assignation de tests dans l'angle supérieur droit.

Les cases des cycles de test affichent :

  • Le nom du cycle de test
  • Les dates de début et de fin
  • Un graphe qui montre l'avancement des tests. Il montre la probabilité de terminer tous les tests d'ici la fin du cycle de test. Placez la souris sur une des barres pour afficher le nombre de tests non terminés.
  • La capacité restante. Ce valeur est calculé de la façon suivante : La somme des durées prévues des tests assignés moins la somme des capacités des testeurs manuels. Il s'affiche pour le cycle de test et chaque testeur. Si un cycle de test ou un testeur manuel est surchargé de tests, la case verte devient rouge. Placez la souris sur cette case pour obtenir des informations détaillées.
  • Les numéros des tests assignés et des tests terminés pour le cycle de test et chaque testeur. Placez la souris sur ces numéros pour obtenir des informations détaillées.
  • Les testeurs manuels assignés à chaque cycle de test. Cliquez sur les numéros des testeurs assignés pour développer ou réduire les informations détaillées.
  • Création de cycles de test
    Décrit comment créer un cycle de test sur la page Organisation des Exécutions Manuelles.
  • Ajout de testeurs manuels à un cycle de test
    Décrit la façon d'ajouter des testeurs manuels à un cycle de test et d'indiquer une capacité.
  • Modification des testeurs assignés
    Décrit comment ajouter des testeurs manuels à des cycles de test, ou les supprimer de ces derniers, et indique comment définir la capacité de chaque testeur individuel.
  • Ajout de jalons
    Indique comment ajouter des jalons à vos cycles de test, une mesure qui s'avère utile lorsque la capacité des testeurs n'est pas uniformément étalée sur l'ensemble du cycle de test.
  • Assignation de tests aux cycles de test
    Décrit le mode d'assignation des tests aux cycles de test sur la page Organisation des Exécutions Manuelles.
  • Assignation de tests aux testeurs manuels
    Décrit le mode d'assignation des tests d'un cycle de test aux testeurs manuels afin de répartir la charge de travail entre les testeurs.
  • Déplacement de tests d'un cycle de test à l'autre
    Décrit le déplacement de tests d'un cycle de test à un autre sur la page Organisation des Exécutions Manuelles.
  • Déplacement de tests d'un testeur à l'autre
    Décrit le déplacement de tests d'un testeur manuel à un testeur ayant des disponibilités afin de répartir la charge de travail au sein d'un cycle de test.
  • Suppression de tests dans des cycles de test
    Décrit le mode de suppression de tests assignés dans des cycles de test sur la page Organisation des Exécutions Manuelles.
  • Suppression de tests assignés à des testeurs manuels
    Décrit la suppression de tests assignés à des testeurs manuels sur la page Organisation des Exécutions Manuelles.
  • Import de tests à partir d'un plan d'exécution
    Décrit comment importer des tests manuels à partir d'un plan d'exécution dans un cycle de test.
  • Synchronisation des cycles de test
    Synchronisez les cycles de test si vous souhaitez mettre à jour les exécutions en cours d'un cycle de test à partir des modifications effectuées au cours des tests assignés.
  • Duplication de cycles de test
    Décrit comment dupliquer des cycles de test.
  • Cycles de test invisibles
    Décrit comment masquer les cycles de test pour conserver sa clarté à la page Organisation des exécutions manuelles et améliorer les performances.
  • Démarrage de cycles de test
    Décrit la façon de démarrer un cycle de test pour exécuter les tests manuels qui lui sont assignés.
  • Fin des cycles de test
    Décrit la façon de terminer un cycle de test pour mettre fin à tous les tests qui lui sont assignés.
  • Suppression de cycles de test
    Décrit comment supprimer des cycles de test.
Sujet parent : Sélection de Tests
Sujet parent : Assignation de tests


Création de cycles de test

Remarque : Vous pouvez également créer des cycles de test dans Organisation des Exécutions Vue Détaillée et dans Vue Globale.

Pour créer un cycle de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'espace Cycles de Test, cliquez sur Nouveau Cycle de Test. La boîte de dialogue Nouveau Cycle de Test s'affiche.
  3. Entrez un Nom pour le cycle de test.
  4. Vous pouvez éventuellement renseigner le champ Description.
  5. Cliquez sur [image] en regard du champ Date de Début afin de définir la date de début du cycle de test.
  6. Cliquez sur [image] en regard du champ Date de Fin afin de définir la date de fin du cycle de test.
  7. Au format hh:mm, entrez la durée du cycle de test (Capacité).

    Cette capacité sera remplacée par la somme des capacités du testeur dès que vous ajoutez un testeur au cycle de test.

  8. Cliquez sur OK. Le cycle de test est ajouté à l'espace Cycles de Test.
Sujet parent : Cycles de test


Ajout de testeurs manuels à un cycle de test

Une fois que vous avez créé un cycle de test, vous pouvez y ajouter des testeurs manuels et définir la capacité.

Vous pouvez aussi ajouter des testeurs manuels en passant par Organisation des Exécutions Vue Détaillée. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée. Sur le côté gauche, sélectionnez un cycle de test et cliquez sur Ajouter/Supprimer des testeurs dans la page Propriétés.

Pour ajouter des testeurs manuels à un cycle de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'en-tête d'un cycle de test de l'espace Cycles de Test, cliquez sur ... > Modifier les Testeurs Assignés. La boîte de dialogue Modifier les Testeurs Assignés s'affiche.
  3. Cliquez sur Ajouter/Supprimer des testeurs. La boîte de dialogue Ajouter/Supprimer des testeurs s'affiche.
  4. Dans la liste Disponible, sélectionnez le groupe d'utilisateurs que vous voulez utiliser.
  5. Dans la liste Disponible, sélectionnez un ou plusieurs utilisateurs. Vous pouvez sélectionner plusieurs utilisateurs avec les combinaisons Ctrl + clic ou Maj + clic.
  6. Cliquez sur Ajouter ou Ajouter tout pour ajouter des utilisateurs à la liste Sélectionné.
  7. Cliquez sur OK. Les utilisateurs sont alors ajoutés à la liste des testeurs.
  8. Dans le champ Capacité, définissez une capacité pour chaque utilisateur du cycle de test au format hh:mm.
  9. Cliquez sur Fermer. Le paramètre Capacité du cycle de test est mis à jour avec la valeur cumulative de la capacité de chaque testeur manuel.
Sujet parent : Cycles de test


Modification des testeurs assignés

Vous pouvez ajouter des testeurs manuels à des cycles de test, ou les supprimer de ces derniers, et définir la capacité de chaque testeur individuel.

Pour modifier les testeurs assignés :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'en-tête d'un cycle de test de l'espace Cycles de Test, cliquez sur ... > Modifier les Testeurs Assignés. La boîte de dialogue Modifier les Testeurs Assignés s'affiche.
  3. Cliquez sur Ajouter/Supprimer des testeurs. La boîte de dialogue Ajouter/Supprimer des testeurs s'affiche.
  4. Dans la liste Disponible, sélectionnez le groupe d'utilisateurs que vous voulez utiliser.
  5. Ajoutez ou supprimez des testeurs :
    • Sélectionnez un ou plusieurs utilisateurs dans la liste Disponible, puis cliquez sur Ajouter ou Ajouter tout.
    • Sélectionnez un ou plusieurs utilisateurs dans la liste Sélectionné, puis cliquez sur Supprimer ou Supprimer Tout.
    Vous pouvez sélectionner plusieurs utilisateurs avec les combinaisons Ctrl + clic ou Maj + clic.
  6. Cliquez sur OK. Les utilisateurs sont à présent ajoutés à la liste Testeurs Assignés, ou supprimés de celle-ci.
  7. Dans le champ Capacité, définissez une capacité pour chaque utilisateur du cycle de test au format hh:mm.
  8. Cliquez sur Fermer. Le paramètre Capacité du cycle de test est mis à jour avec la valeur cumulative de la capacité de chaque testeur manuel.
Vous pouvez également modifier les testeurs assignés dans la Vue Détaillée. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée. Sur le côté gauche, sélectionnez un cycle de test et cliquez sur Ajouter/Supprimer des testeurs dans la page Propriétés.
Sujet parent : Cycles de test


Ajout de jalons

Un jalon est un objectif qui doit être atteint avant une date spécifiée. Les jalons sont utiles lorsque la capacité des testeurs n'est pas uniformément étalée sur l'ensemble du cycle de test. Ces jalons sont représentés par des marques sur les graphes (du tableau de bord) réparties selon la date et la capacité.

Voici un exemple de jalons dans le contexte d'un cycle de test :

  • Au moins 20 % des tests doivent être terminés d'ici le 13 septembre.
  • Au moins 50 % des tests doivent être terminés d'ici le 15 septembre.
  • 100 % des tests doivent être terminés d'ici le 19 septembre (fin du cycle de test).

Pour ajouter un jalon :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'en-tête d'un cycle de test de l'espace Cycles de test, cliquez sur ... > Modifier les jalons. La boîte de dialogue Modifier les jalons s'affiche.
  3. Cliquez sur Ajouter un jalon, définissez une date d'échéance et cliquez sur OK.
  4. Pour modifier un jalon, cliquez sur [image]. Pour supprimer un jalon, cliquez sur [image].
  5. Ajoutez des jalons supplémentaires et cliquez sur Fermer.
Remarque : Si vous dupliquez un cycle de test ou si vous modifiez la date de début ou de fin, vérifiez que les jalons sont toujours situés dans la période définie pour le cycle de test.
Sujet parent : Cycles de test


Assignation de tests aux cycles de test

Pour assigner des tests à un cycle de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'espace Tests correspondants, sélectionnez des tests et faites-les glisser sur l'en-tête d'un cycle de test. Vous pouvez également cliquer sur l'action Assigner d'un test ou cliquer avec le bouton droit de la souris sur les tests sélectionnés, puis sur Assigner des tests au cycle. Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic. Les tests sont ajoutés au cycle de test.
Remarque : Vous pouvez assigner un test plusieurs fois à différents testeurs/cycles de test. Dans l'espace Tests Correspondants, la colonne Assigné affiche une coche verte si le test est assigné au moins une fois.
Sujet parent : Cycles de test


Assignation de tests aux testeurs manuels

Remarque : Avant de pouvoir assigner des tests aux testeurs manuels, vous devez ajouter des testeurs manuels au cycle de test.

Assignez des tests aux testeurs manuels pour répartir la charge de travail entre les testeurs.

Vous pouvez assigner un test plusieurs fois à différents testeurs/cycles de test. Dans l'espace Tests Correspondants, la colonne Assigné affiche une coche verte si le test est assigné au moins une fois.

Vous pouvez aussi assigner des tests aux testeurs manuels dans la vue Assignation de tests. Cliquez sur Assignation de Tests dans le coin supérieur droit. Sélectionnez des tests dans l'espace Tests assignés et faites-les glisser sur un testeur manuel dans un cycle de test.

Pour assigner des tests aux testeurs manuels :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans un cycle de test, cliquez sur Testeur(s) assigné(s) pour développer la liste des testeurs manuels.
  3. Sélectionnez des tests dans l'espace Tests correspondants et faites-les glisser sur un testeur manuel dans un cycle de test. Vous pouvez également cliquer sur l'action Assigner d'un test ou cliquer avec le bouton droit de la souris sur les tests sélectionnés, puis sur Assigner des tests au cycle. Déposez les tests sélectionnés sur l'icône [image] pour les assigner à tous les testeurs. Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.
Sujet parent : Cycles de test


Déplacement de tests d'un cycle de test à l'autre

Vous pouvez déplacer des tests d'un cycle de test à un autre. Cette opération peut s'avérer utile si vous ne pouvez pas terminer tous les tests dans le délai imparti et que vous voulez déplacer ces tests vers le cycle de test suivant.

Pour déplacer des tests d'un cycle de test à un autre :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Cliquez sur Assignation de Tests dans le coin supérieur droit. La page Organisation des Exécutions Manuelles bascule sur la vue Assignation de Tests.
  3. Dans l'espace Cycles de Test situé à gauche, cliquez sur l'en-tête d'un cycle de test.
  4. Sélectionnez des tests dans l'espace Tests assignés et faites-les glisser vers un autre cycle de test. Vous pouvez également cliquer sur l'action Réassigner pour un test ou cliquer avec le bouton droit de la souris sur les tests sélectionnés, puis sélectionner Réassigner des tests.

    Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.

Sujet parent : Cycles de test


Déplacement de tests d'un testeur à l'autre

Vous pouvez déplacer des tests d'un testeur manuel à un testeur ayant des disponibilités afin de répartir la charge de travail au sein d'un cycle de test.

Pour déplacer un test d'un testeur manuel à un autre :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Cliquez sur Assignation de Tests dans le coin supérieur droit. La page Organisation des Exécutions Manuelles bascule sur la vue Assignation de Tests.
  3. Dans l'espace Cycles de Test situé à gauche, cliquez sur un testeur manuel. Les tests qui sont assignés au testeur manuel sont affichés dans l'espace Tests Assignés.
  4. Sélectionnez des tests dans l'espace Tests assignés, puis faites-les glisser vers un autre testeur manuel. Vous pouvez également cliquer sur l'action Réassigner pour un test ou cliquer avec le bouton droit de la souris sur les tests sélectionnés, puis sélectionner Réassigner des tests.

    Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.

Sujet parent : Cycles de test


Suppression de tests dans des cycles de test

Pour supprimer des tests dans un cycle de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Cliquez sur Assignation de Tests dans le coin supérieur droit. La page Organisation des Exécutions Manuelles bascule sur la vue Assignation de Tests.
  3. Dans l'espace Cycles de Test situé à gauche, cliquez sur l'en-tête d'un cycle de test. Les tests qui sont assignés au cycle de test sont affichés dans l'espace Tests Assignés.
  4. Cliquez sur [image] pour supprimer un test dans le cycle de test.

    Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.

Remarque : Vous ne pouvez pas déplacer des tests issus d'un cycle de test terminé. Vous pouvez copier un test issu d'un cycle terminé en le faisant glisser vers un autre cycle ou un autre testeur.
Sujet parent : Cycles de test


Suppression de tests assignés à des testeurs manuels

Pour supprimer des tests assignés à un testeur manuel :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Cliquez sur Assignation de Tests dans le coin supérieur droit. La page Organisation des Exécutions Manuelles bascule sur la vue Assignation de Tests.
  3. Dans l'espace Cycles de Test situé à gauche, cliquez sur un testeur manuel. Les tests qui sont assignés au testeur manuel sont affichés dans l'espace Tests Assignés.
  4. Vous pouvez supprimer des tests dans le cycle, ou bien simplement les retirer au testeur manuel tout en les conservant dans le cycle :
    • Pour retirer un test à un testeur manuel et le supprimer du cycle de test : cliquez sur [image].
    • Pour retirer un test à un testeur manuel tout en le conservant dans le cycle : cliquez sur un test dans l'espace Tests Assignés et faites-le glisser sur Aucun testeur spécifique dans l'espace Cycles de Test.

    Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.

Remarque : Vous ne pouvez pas retirer de tests à un testeur manuel assigné à un cycle de test terminé. Vous pouvez copier un test issu d'un cycle terminé en le faisant glisser vers un autre cycle ou un autre testeur.
Sujet parent : Cycles de test


Import de tests à partir d'un plan d'exécution

Vous avez besoin de l'autorisation Gérer les cycles de test et les configurations pour importer des tests à partir d'un plan d'exécution.
Pour importer des tests à partir d'un plan d'exécution :
  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'en-tête d'un cycle de test de l'espace Cycles de test, cliquez sur ... > Importer des tests depuis un plan d'exécution. La boîte de dialogue Sélectionner le Plan d'Exécution s'affiche.
  3. Sélectionnez un plan d'exécution et cliquez sur OK. Tous les tests du plan d'exécution sont assignés à l'élément Aucun testeur spécifique du cycle de test.
Sujet parent : Cycles de test


Synchronisation des cycles de test

Synchronisez les cycles de test si vous souhaitez mettre à jour les exécutions en cours d'un cycle de test à partir des modifications effectuées au cours des tests assignés.
Vous devez détenir l'autorisation Gérer les cycles de test et les configurations pour pouvoir synchroniser un cycle de test.
Pour synchroniser un cycle de test :
  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'en-tête d'un cycle de test de l'espace Cycles de test, cliquez sur ... > Synchroniser le Cycle de Test.
  3. Confirmez le message si vous souhaitez vraiment mettre à jour les exécutions en cours d'un cycle de test à partir des modifications effectuées au cours des tests assignés.
Sujet parent : Cycles de test


Duplication de cycles de test

Vous devez disposer de l'autorisation Gérer les cycles de test et les configurations pour pouvoir dupliquer un cycle de test.
Pour dupliquer un cycle de test :
  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'en-tête d'un cycle de test de l'espace Cycles de test, cliquez sur ... > Dupliquer le cycle de test. La boîte de dialogue Dupliquer le cycle de test s'affiche. Les propriétés (Nom, Description, Date de Début, Date de Fin et Capacité) sont dupliquées et renseignées dans les champs.
  3. Facultatif : choisissez comment vous souhaitez copier l'assignation du test. Par exemple, vous pouvez décider de ne pas copier les tests à l'état Réussi, pour ne relancer le cycle de test que sur les tests à l'état En échec et Non exécuté.
  4. Cliquez sur OK. Le cycle de test est dupliqué avec tous les tests et testeurs assignés.
Sujet parent : Cycles de test


Cycles de test invisibles

Vous pouvez masquer les cycles de test pour conserver sa clarté à la page Organisation des exécutions manuelles et améliorer les performances. Cela est particulièrement utile quand le nombre de cycles de test est élevé.

Pour masquer un cycle de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans la zone Cycles de tests, cliquez sur Afficher/Masquer les cycles de test. En outre, utilisez le champ Recherche pour afficher uniquement les cycles de test contenant le mot recherché. La boîte de dialogue Cycles de test visibles s'affiche.
  3. Décochez tous les cycles de test à masquer puis cliquez sur OK. Pour masquer tous les cycles de test terminés, cliquez sur Désélectionner terminé.
    Conseil : Ouvrez le menu contextuel d'un en-tête de colonne afin de trier, de filtrer ou de regrouper les cycles de test. Si vous sélectionnez plusieurs cycles de tests, vous pouvez utiliser la barre d'espacement pour activer ou désactiver les éléments sélectionnés.
  4. Pour masquer rapidement un cycle de test donné, vous pouvez aussi cliquer sur ... dans l'en-tête d'un cycle de test, puis sur Masquer le cycle de test.
  5. Pour afficher un cycle de test masqué, cliquez à nouveau sur Afficher/Masquer les cycles de test et cochez le cycle de test.
Si vous masquez un cycle de test dans la page Organisation des exécutions manuelles, vous pouvez encore le voir dans l'arborescence Plans d'exécution de la Vue détaillée et de la Vue globale, ainsi que dans les panneaux du tableau de bord et dans les rapports. Les paramètres de visibilité sont définis par l'utilisateur. Chaque utilisateur peut définir le cycle de test à afficher et à masquer.
Sujet parent : Cycles de test


Démarrage de cycles de test

Remarque : Avant de démarrer un cycle de test, vérifiez que sa date de début correspond à la date en cours. Si tel n'est pas le cas, vérifiez que vous êtes disponible pour démarrer le cycle de test à une autre date.

Pour démarrer un cycle de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'en-tête d'un cycle de test de l'espace Cycles de Test, cliquez sur ... > Démarrer le Cycle de Test.

    Un cycle de test ne peut être démarré qu'une seule fois. Si le cycle de test est déjà lancé, cette action est désactivée. Un cycle de test en cours d'exécution affiche la mention Avancement des Tests entre les dates de début et de fin. Un cycle de test qui n'a pas démarré affiche la mention Non Démarré. Un cycle de test terminé affiche la mention Terminé.

    La boîte de dialogue Démarrer le Cycle de Test s'affiche.
  3. Sélectionnez la Version et le Build du produit que vous souhaitez tester. Tous les produits spécifiés dans le conteneur de test des tests assignés sont répertoriés.
    Remarque : Pour modifier la version et le build après le démarrage d'un cycle de test, cliquez sur ... > Mettre à jour les Versions et les Builds.
  4. Cliquez sur OK.

Les tests manuels assignés sont répartis entre les testeurs manuels. Les testeurs sont notifiés par courriel et les tests s'affichent dans le panneau Les Tests Manuels qui me sont Assignés de leur tableau de bord.

Après le démarrage d'un cycle de test, vous avez encore la possibilité de modifier un test en cours d'exécution, de modifier la version et le build du produit, d'assigner des tests supplémentaires, de supprimer des tests ou de les déplacer entre les différents testeurs.

Sujet parent : Cycles de test


Fin des cycles de test

Remarque : Avant de terminer un cycle de test, vérifiez que sa date de fin correspond à la date en cours. Si tel n'est pas le cas, vérifiez que vous êtes disponible pour terminer le cycle de test à une autre date.

Pour terminer un cycle de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'espace Cycles de test, dans l'en-tête d'un cycle de test, cliquez sur ... > Terminer le cycle de test.

    Si le cycle de test n'est pas encore lancé, cette action est désactivée. Un cycle de test qui n'est pas en cours d'exécution affiche la mention Non encore Démarré entre les dates de début et de fin. Un cycle de test en cours d'exécution affiche la mention Avancement des Tests. Un cycle de test terminé affiche la mention Terminé.

  3. La boîte de dialogue Terminer le Cycle de Test s'affiche. Sélectionnez l'action que vous souhaitez entreprendre pour les tests qui n'ont pas été exécutés et cliquez sur Terminer. Le changement d'état sélectionné ne sera appliqué qu'aux tests non exécutés pour lesquels aucun motif d'état n'a été défini.
Remarque : Les cycles de test terminés sont verrouillés. Vous ne pouvez ni ajouter, ni supprimer de tests ou de testeurs dans un cycle de test terminé. Vous pouvez copier un test issu d'un cycle terminé en le faisant glisser vers un autre cycle ou un autre testeur.
Sujet parent : Cycles de test


Suppression de cycles de test

Remarque : Vous pouvez également supprimer des cycles de test dans Organisation des exécutionsVue détaillée et Vue globale. Faites un clic droit sur un cycle de test et cliquez sur Supprimer.

Pour supprimer un cycle de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Dans l'en-tête d'un cycle de test de l'espace Cycles de test, cliquez sur ...Supprimer le cycle de test.
  3. Cliquez sur Oui dans la boîte de dialogue de Confirmation de la Suppression.
Sujet parent : Cycles de test


Assignation de tests

Pour accéder à cette page, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. Dans l'angle supérieur droit, cliquez sur Assignation de tests.

La vue Assignation de tests est la seconde vue de la page Organisation des Exécutions Manuelles. Elle vous permet d'organiser les tests manuels qui sont assignés au cycle de test sélectionné.

  • Cycles de test
    Un cycle de test est une période définie comprenant une date de début, une date de fin, ainsi qu'une liste de testeurs manuels. Créez des cycles de tests afin de planifier et d'exécuter des séries spécifiques de tests manuels.
  • Tests manuels de configurations
    Décrit le mode d'assignation des configurations aux tests manuels dans l'espace Tests Assignés.
Sujet parent : Organisation des Exécutions Manuelles


Tests manuels de configurations

Vous pouvez exécuter un test manuel avec différentes configurations logicielles et matérielles.

Pour assigner des configurations à un test manuel :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Organisation des Exécutions Manuelles. La page Organisation des Exécutions Manuelles s'affiche.
  2. Cliquez sur Assignation de Tests dans le coin supérieur droit. La page Organisation des Exécutions Manuelles bascule sur la vue Assignation de Tests.
  3. Dans l'espace Tests Assignés, faites un clic droit sur un test.

    Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.

  4. Cliquez sur Spécifier les Configurations. La boîte de dialogue Spécifier les Configurations s'affiche.
  5. Cliquez sur > ou < pour attribuer ou annuler l'attribution des configurations sélectionnées. Vous pouvez également créer une nouvelle configuration en saisissant un nouveau nom dans le champ Sélectionner ou entrer des configurations et en cliquant sur >.

    Pour modifier et organiser vos configurations de façon plus détaillée, cliquez sur Organisation des Exécutions > Configurations.

    Pour chaque configuration, une instance du test est ajoutée à la grille Tests Assignés.
    Remarque : Si vous annulez l'attribution d'une configuration, cette configuration sera désactivée pour le contrôleur actuellement sélectionné. Cependant, les instances assignées à d'autres testeurs ne seront pas retirées.
  6. Cliquez sur OK.
Vous pouvez assigner les nouvelles instances de tests à différents testeurs manuels et cycles de test.
Sujet parent : Assignation de tests


Test manuel

La fonctionnalité de test manuel de Silk Central permet aux testeurs d'exécuter de façon efficace des tests manuels. La fenêtre Test manuel offre une interface utilisateur intuitive et facile d'utilisation, qui contient uniquement les informations pertinentes pour le testeur manuel au sein du processus d'exécution.

Les testeurs manuels disposent d'un accès rapide à la fenêtre Test manuel par le biais du panneau de tableau de bord Tests manuels qui me sont assignés. Pour plus d'informations sur le tableau de bord et les panneaux, voir Tableau de bord. La fenêtre Test manuel se présente comme suit : l'espace de présentation répertorie les tests contenus dans le plan d'exécution ou le cycle de test sélectionné. L'espace des pas de tests, situé en dessous, affiche la liste des pas configurés pour le test sélectionné. Les testeurs manuels peuvent traiter les pas du haut vers le bas.

Si vous êtes testeur manuel, vous pouvez marquer les tests et les pas de test que vous avez exécutés avec succès, créer un texte décrivant les résultats, créer et assigner des incidents et joindre vos fichiers de résultats. En outre, vous pouvez effectuer des captures d'écran sous forme d'images ou de vidéos pour illustrer la façon dont vous avez exécuté un test ou un pas de test, ou pour montrer un incident survenu pendant le processus de test.

Le chronomètre intégré vous indique le temps qu'il vous a fallu pour exécuter un test et une barre graphique fournit une représentation visuelle de vos progrès. Le Journal de bord des tests (panneau pouvant être ajouté à votre tableau de bord) indique les mises à jour en temps réel sur toutes les activités qui se sont déroulées au cours d'une phase de test manuelle d'un projet.

  • Fenêtre Test manuel
    Décrit la structure de base et les zones de la fenêtre Test manuel.
  • Captures d'écran
    Explique comment effectuer des captures d'écran et utiliser la fenêtre Capture d'écran à l'aide des commandes au clavier.
  • Enregistrement de vidéos
    Décrit comment enregistrer des vidéos dans la fenêtre Test manuel.
  • Joindre des fichiers de résultats
    Indique comment joindre un fichier de résultats.
  • Assignation ou création d'incidents
    Indique comment créer un nouvel incident ou comment assigner un incident existant.
  • Sélection des appareils mobiles pour les tests manuels
    Sélectionnez un appareil mobile (appareil physique, émulateur ou simulateur) sur lequel exécuter votre test manuel.
  • Démarrage de l'analyse de code
    Décrit comment démarrer l'analyse de code dans la fenêtre Test manuel.
  • Modification de la version et du build
    Décrit comment modifier la version et le build dans la fenêtre Test manuel.
  • États des tests et des pas de test
    Décrit comment Silk Central calcule automatiquement un état de test d'après les états de pas de test et comment définir manuellement un état de test.
  • Impression de tests manuels
    Décrit comment imprimer un test manuel ou le télécharger au format PDF. Vous pouvez utiliser le formulaire imprimé pour renseigner les résultats de test par vous-même.
  • Journal de bord des tests
    Décrit l'objectif et les fonctionnalités du Journal de bord des tests.
  • Tests manuels hors ligne
    Décrit comment télécharger des tests manuels et les exécuter hors ligne.
Sujet parent : Organisation des Exécutions Manuelles
Concepts associés
Tableau de bord


Fenêtre Test manuel

Pour ouvrir la fenêtre Test manuel, cliquez sur Accueil > Mon Tableau de Bord dans le menu, puis sur [image] (Poursuivre le Test Manuel) dans le panneau Tests Manuels qui me sont Assignés. Si ce panneau n'apparaît pas sur votre tableau de bord, ajoutez-le. Pour plus d'informations sur le tableau de bord et les panneaux, reportez-vous à la rubrique Tableau de bord.

Vous pouvez également accéder à la fenêtre Test manuel depuis la page Activités (dans le menu, cliquez sur Suivi > Activités) dans la grille Exécutions en Cours ou depuis la page Exécution en Cours.

La fenêtre Test manuel affiche deux zones :
  • la vue d'ensemble dans la partie supérieure,
  • la zone des pas de test dans la partie inférieure.
  • Espace de présentation
    Décrit la structure et les contrôles d'interface utilisateur de l'espace de présentation.
  • Espace Pas de Tests
    Décrit la structure et les commandes d'interface utilisateur de l'espace Pas de Tests.
  • Interface utilisateur relative aux appareils mobiles
    L’interface utilisateur relative aux appareils mobiles apparaît lorsque vous sélectionnez un appareil mobile pour exécuter votre test manuel.
Sujet parent : Test manuel
Concepts associés
Tableau de bord


Espace de présentation

L'espace de présentation est l'espace situé en haut de la fenêtre Test manuel.

L'espace de présentation contient :

Elément | Bouton | Description
Plan d'exécution ou Cycle de test | Nom du plan d'exécution ou du cycle de test contenant les tests.
Modifier les paramètres Cliquez sur ce bouton pour modifier les paramètres suivants :
  • Vous pouvez définir si le test/pas suivant doit être automatiquement sélectionné lorsque l'état d'un test/pas a été modifié.
  • Vous pouvez définir les informations de test supplémentaires à afficher dans l'espace de présentation.
  • Vous pouvez masquer ou afficher certaines actions (comme l'action Modifier les informations de version et de build).
  • Vous pouvez définir si les vidéos doivent être enregistrées avec ou sans son.
Ces paramètres peuvent être définis individuellement pour chaque utilisateur.
Terminer | Cliquez sur Terminer pour terminer l'exécution. Cette option s'affiche uniquement si vous ouvrez un test qui n'est pas assigné ou qui est assigné à un plan d'exécution. Il ne s'affiche pas si vous ouvrez un test assigné à un cycle de tests. Sélectionnez l'action que vous souhaitez entreprendre pour les tests qui n'ont pas été exécutés et cliquez sur Terminer. Le changement d'état sélectionné ne sera appliqué qu'aux tests non exécutés pour lesquels aucun motif d'état n'a été défini.
Réussi | Cliquez sur ce bouton pour spécifier l'état du test actuellement sélectionné sur Réussi et sélectionner automatiquement le test suivant. Il s'agit du paramètre par défaut de ce bouton.
Echec | Cliquez sur ce bouton pour spécifier l'état du test actuellement sélectionné sur En échec et sélectionner automatiquement le test suivant.
Nom du test | La liste qui s'affiche répertorie tous les tests du plan d'exécution ou du cycle de test ainsi que leur état actuel. Cliquez sur un test ou appuyez sur les touches Haut et Bas pour parcourir les tests et leurs pas. Si vous avez défini un test pour qu'il s'exécute avec une certaine configuration, le nom de cette configuration s'affiche en regard du nom du test, entre parenthèses. Pour plus d'informations, reportez-vous à la rubrique Tests manuels de configurations. Cliquez sur [image] pour afficher le test dans la Vue Détaillée de l'espace Tests.
Exigences assignées | Cliquez sur ce bouton pour afficher les exigences qui ont été assignées au test. Ce bouton s'affiche uniquement s'il existe au moins une exigence assignée. Le nombre à côté du bouton indique le nombre d'exigences assignées.
Incidents assignés | Cliquez sur ce bouton pour afficher les incidents qui ont été assignés au test. Ce bouton s'affiche uniquement s'il existe au moins un incident assigné. Le nombre à côté du bouton indique le nombre d'incidents assignés. La boîte de dialogue Incidents affichent à la fois les incidents assignés au test et les incidents assignés aux pas de test.
Pièces jointes assignées | Cliquez sur ce bouton pour afficher les pièces jointes qui ont été assignées au test. Ce bouton s'affiche uniquement s'il existe au moins une pièce jointe assignée. Le nombre à côté du bouton indique le nombre de pièces jointes assignées.
Bloquer/Débloquer | Cliquez sur ce bouton pour définir le test sur bloqué/débloqué. La définition d'un test sur bloqué permet d'indiquer que ce test ne peut pas être poursuivi en raison de certaines restrictions, comme un problème au niveau de l'infrastructure informatique, par exemple.
Etat du test | État du test. Il peut être défini automatiquement ou manuellement. Cliquez sur [image] en regard de l'icône d'état pour sélectionner un état. Pour plus d'informations, reportez-vous à la rubrique États des tests et des pas de test.
Modifier la version et le build

Cliquez sur ce bouton pour modifier la version et le build. Pour plus d'informations, reportez-vous à la rubrique Modification de la version et du build.
Commentaire d''exécution | Saisissez un commentaire de haut niveau pour l'exécution de test. Cela permet d'accélérer le processus de révision de l'exécution de test, car le commentaire s'affiche dans les grilles d'exécution du test.
Capturer l''écran | Cliquez sur ce bouton pour faire une capture de votre écran et la joindre au test. L'image capturée est ajoutée à la liste des pièces jointes. Pour plus d'informations, reportez-vous à la rubrique Captures d'écran.
Enregistrer une vidéo | Cliquez sur ce bouton pour enregistrer une vidéo des actions effectuées sur votre écran et la joindre au test. La vidéo est ajoutée à la liste des pièces jointes. Vous pouvez également l'enregistrer dans votre système de fichiers local. Pour plus d'informations, reportez-vous à la rubrique Enregistrement de vidéos.
Joindre le fichier de résultats | Cliquez sur ce bouton pour joindre un fichier de résultats au test. Pour plus d'informations, reportez-vous à la rubrique Ajout d'un fichier de résultats en pièce jointe.
Assigner ou créer un incident | Cliquez sur ce bouton pour créer un nouvel incident et le joindre au test ou pour assigner un incident existant. Pour plus d'informations, reportez-vous à la rubrique Assignation ou création d'incidents.
Sélectionner l’appareil | Sélectionnez un appareil mobile (appareil physique, émulateur ou simulateur) sur lequel exécuter votre test manuel. Pour plus d'informations, reportez-vous à la rubrique Sélection des appareils mobiles.
Démarrer l''analyse de code | Cliquez sur ce bouton pour lancer le processus d'analyse. La boîte de dialogue Démarrer l'Analyse de Code s'affiche. Sélectionnez un Profil et entrez un ou plusieurs Noms d'hôtes. Si les informations sur la couverture existent déjà pour ce test, vous pouvez les remplacer en cochant cette case. Cliquez sur Démarrer l'Analyse de Code pour lancer réellement le processus. Lorsque vous cliquez sur Démarrer l'Analyse de Code, Silk Central conserve les informations d'analyse de code pour l'exécution du test.
Synchroniser l''exécution de test | Cliquez sur ce bouton pour synchroniser une exécution de test avec un test adapté. Si vous lancez l'exécution d'un test, et que vous décidez dans le même temps de modifier ce test dans l'unité Tests, vous pouvez synchroniser l'exécution de test avec le test adapté.
Remarque : Pour fermer une boîte de dialogue, cliquez n'importe où en dehors de celle-ci ou cliquez sur [image] (Fermer).
Sujet parent : Fenêtre Test manuel
Tâches associées
Tests manuels de configurations
Modification de la version et du build
Captures d'écran
Enregistrement de vidéos
Joindre des fichiers de résultats
Assignation ou création d'incidents
Référence associée
États des tests et des pas de test


Espace Pas de Tests

L'espace Pas de Tests est situé sous l'espace de présentation dans la fenêtre Test manuel.

L'espace Pas de Tests se présente comme suit :

Elément | Bouton | Description
Modifier le Temps Consommé |  | Cliquez sur ce bouton afin d'indiquer manuellement la durée d'exécution du test. Lorsque vous ouvrez la fenêtre Test manuel ou que vous sélectionnez un autre test, le minuteur démarre automatiquement. Si l'icône représentant deux-points clignote, cela signifie que le minuteur est déclenché. Cliquez sur [image] pour suspendre le minuteur, cliquez sur [image] pour le démarrer. Les chiffres sur la gauche représentent le temps écoulé, ceux sur la droite désignent la durée planifiée.
Barre de progression |  | Permet de visualiser la progression du test. Elle indique combien de pas ont déjà été exécutés.
Publier le Message dans le Journal de bord |  | Cliquez sur ce bouton pour publier un message dans le Journal de bord des tests.
Réussi |  | Cliquez sur ce bouton pour spécifier l'état du pas de test actuellement sélectionné sur Réussi et sélectionner automatiquement le test suivant. Il s'agit du paramètre par défaut de ce bouton.
Echec |  | Cliquez sur ce bouton pour spécifier l'état du pas de test actuellement sélectionné sur En échec et sélectionner automatiquement le test suivant. Il s'agit du paramètre par défaut de ce bouton.
Afficher/Masquer les Détails |  | Cliquez sur ce bouton pour développer un pas de test et afficher des informations détaillées le concernant, comme la Description de l'Action ou les Résultats Attendus, ainsi que tous les boutons et le champ de résultat.
Nom du Pas de Test |  | Nom du pas de test. Les noms de pas ayant l'état Non Exécuté apparaissent en gras.
Incidents assignés |  | Cliquez sur ce bouton pour afficher les incidents assignés au pas de test. Ce bouton s'affiche uniquement s'il existe au moins un incident assigné. Le nombre à côté du bouton indique le nombre d'incidents assignés.
Pièces jointes assignées |  | Cliquez sur ce bouton pour afficher les pièces jointes assignées au pas de test. Ce bouton s'affiche uniquement s'il existe au moins une pièce jointe assignée. Le nombre à côté du bouton indique le nombre de pièces jointes assignées.
État du pas de test |  | État du pas de test. Cliquez sur [image] en regard de l'icône d'état pour sélectionner un état. Silk Central calcule automatiquement l'état d'un test d'après l'état des pas. Pour plus d'informations, reportez-vous à la rubrique États des tests et des pas de test.
Champ de résultat |  | Saisissez le texte du résultat dans ce champ. Cliquez n'importe où à l'extérieur du champ pour enregistrer le texte.
Capturer l''écran |  | Cliquez sur ce bouton pour faire une capture de votre écran et la joindre au pas de test. L'image capturée est ajoutée à la liste des pièces jointes. Pour plus d'informations, reportez-vous à la rubrique Captures d'écran.
Enregistrer une Vidéo |  | Cliquez sur ce bouton pour enregistrer une vidéo des actions effectuées sur votre écran et la joindre au pas de test. La vidéo est ajoutée à la liste des pièces jointes. Vous pouvez également l'enregistrer dans votre système de fichiers local. Pour plus d'informations, reportez-vous à la rubrique Enregistrement de vidéos.
Joindre le fichier de résultats |  | Cliquez sur ce bouton pour joindre un fichier de résultats au pas de test. Pour plus d'informations, reportez-vous à la rubrique Ajout d'un fichier de résultats en pièce jointe.
Assigner ou créer un incident |  | Cliquez sur ce bouton pour créer un nouvel incident et le joindre au pas de test ou pour assigner un incident existant. Pour plus d'informations, reportez-vous à la rubrique Assignation ou création d'incidents.
Remarque : Pour fermer une boîte de dialogue, cliquez n'importe où en dehors de celle-ci ou cliquez sur [image] (Fermer).
Conseil : Vous pouvez utiliser le clavier lorsque vous travaillez sur un test : pour modifier l'état du pas de test sélectionné, utilisez les raccourcis Ctrl + Maj + A (pour les tests réussis) et Ctrl + Maj + S (pour les tests en échec). Ces combinaisons de touches peuvent facilement être exécutées d'une seule main. Appuyez sur les touches Haut et Bas pour parcourir les tests et leurs pas, appuyez sur Droite pour développer un pas et sur Gauche pour le réduire. Pour fermer une boîte de dialogue, appuyez sur Echap.
Sujet parent : Fenêtre Test manuel
Tâches associées
Captures d'écran
Enregistrement de vidéos
Joindre des fichiers de résultats
Assignation ou création d'incidents
Référence associée
États des tests et des pas de test


Interface utilisateur relative aux appareils mobiles

L’interface utilisateur relative aux appareils mobiles apparaît lorsque vous sélectionnez un appareil mobile pour exécuter votre test manuel.

Vous pouvez, en utilisant la souris, interagir avec l’affichage émulé de l’appareil. A l’aide des icônes situées sur la droite de l’écran, faites pivoter l’appareil ou simulez les actions de zoom avant et arrière par pincement.

Utilisez l’icône Texte pour entrer du texte dans le champ actif. L’icône Texte prend également en charge l’éditeur IME (Input Method Editor) pour la saisie des caractères multi-octets.

Limitations iOS :
  • Vous ne pouvez exécuter qu'un seul simulateur par session utilisateur, mais plusieurs appareils physiques peuvent exécuter des tests simultanément.
  • Le bouton Accueil n'est pas pris en charge lors du test sur les périphériques Sauce Labs.
  • Si un appareil devient indisponible, fermez et redémarrez son flux pour continuer votre test.
Sujet parent : Fenêtre Test manuel
Tâches associées
Sélection des appareils mobiles pour les tests manuels


Captures d'écran

Lorsque vous exécutez des tests dans la fenêtre Test manuel, vous pouvez réaliser des captures d'écran à partir de ce qu'affiche l'écran. Les captures d'écran viennent s'insérer en annexe du test ou du pas de test. Ceci s'avère particulièrement utile lorsqu'un pas de test échoue et que vous voulez mettre en évidence quand, où et comment le problème se produit.

Vérifiez qu'un environnement d'exécution Java (JRE) est installé et que l'exécution de l'application est autorisée. Téléchargez JRE à partir de la page Java SE Downloads.Si votre navigateur ne prend pas en charge NPAPI, Silk Central propose automatiquement de télécharger et d'exécuter un fichier JNLP, qui est requis pour activer cette fonction.

Pour effectuer une capture d'écran :

  1. Ouvrez la fenêtre Test manuel. Pour plus d'informations, reportez-vous à la rubrique Fenêtre Test manuel.
  2. Cliquez sur [image] (Afficher les détails) à gauche de l'écran pour développer un pas de test.
  3. Cliquez sur [image] (Capturer l'écran).Si votre navigateur ne prend pas en charge NPAPI, Silk Central propose automatiquement de télécharger et d'exécuter un fichier JNLP, qui est requis pour activer cette fonction. Une fois l'application JNLP en cours d'exécution, cliquez à nouveau sur [image]. La fonction Capture d'écran démarre.
  4. Exécutez l'une des opérations suivantes :
    • À l'aide de la souris, dessinez un rectangle autour de la zone d'écran à capturer.
    • Appuyez sur Entrée pour capturer une copie de la totalité de l'écran. Si vous avez plusieurs moniteurs, l'écran de chaque moniteur sera capturé.
    • Appuyez sur Echap pour annuler.
    La fenêtre Capture d'écran apparaît.
  5. Modifiez la capture d'écran si besoin. Vous pouvez ajouter du texte et des éléments graphiques, comme des flèches et des rectangles. Dans l'éditeur, vous pouvez utiliser le clavier pour réaliser les actions suivantes :
    • Appuyez sur les touches fléchées pour déplacer les objets (comme les rectangles et les flèches). Maintenez la touche Maj enfoncée et appuyez sur les touches fléchées pour déplacer les objets avec plus de précision.
    • Sélectionnez un objet avec l'outil Déplacer et appuyez sur la touche Retour arrière ou Supprimer pour supprimer l'objet.
    • Si vous utilisez l'outil Texte, appuyez sur Maj + Entrée pour confirmer votre saisie ou appuyez sur Echap pour annuler.
    • Appuyez sur Ctrl + C pour copier la capture d'écran dans le Presse-papiers.
  6. Cliquez sur Télécharger. La capture d'écran est annexée au pas de test.
  7. Pour voir la capture d'écran annexée, cliquez sur [image]. La boîte de dialogue Pièces jointes s'affiche et présente la liste des fichiers attachés.
  8. Vous pouvez supprimer les fichiers joints en cliquant sur [image] (Supprimer le fichier de résultats) ou ouvrir les fichiers en cliquant sur [image] (Ouvrir).
    Remarque : Dans cette boîte de dialogue, vous pouvez uniquement supprimer les fichiers que vous avez joints au cours de l'exécution de test en cours. Vous ne pouvez pas supprimer des fichiers qui ont été assignés au test avant le début de votre cycle de test/plan d'exécution.
Remarque : Vous pouvez effectuer la tâche décrite dans cette rubrique au niveau des tests et au niveau des pas.
Sujet parent : Test manuel
Concepts associés
Fenêtre Test manuel


Enregistrement de vidéos

Lorsque vous exécutez des tests dans la fenêtre Test manuel, vous pouvez enregistrer des vidéos de la procédure de test. Ceci s'avère particulièrement utile lorsqu'un pas de test échoue et que vous voulez mettre en évidence quand, où et comment le problème se produit.

La vidéo est attachée au pas de test à partir duquel vous avez lancé l'enregistrement. Par exemple : Si vous commencez l'enregistrement à partir du pas numéro 2 et que vous exécutez ensuite les pas 3 et 4 alors que l'enregistrement se poursuit, la vidéo sera rattachée au pas numéro 2.

Vérifiez qu'un environnement d'exécution Java (JRE) est installé et que l'exécution de l'application est autorisée. Téléchargez JRE à partir de la page Java SE Downloads.Si votre navigateur ne prend pas en charge NPAPI, Silk Central propose automatiquement de télécharger et d'exécuter un fichier JNLP, qui est requis pour activer cette fonction.

Restrictions :
  • L'enregistrement vidéo n'est pris en charge que sur les ordinateurs clients Microsoft Windows.
  • La capture vidéo n’est pas prise en charge dans les éditions N et KN de Microsoft Windows 10.
  • L'enregistrement vidéo des fenêtres WPF n'est pas pris en charge par le thème Windows 7 classique.
  • L'enregistrement de vidéos en résolution 4k n'est pas pris en charge.

Pour enregistrer une vidéo :

  1. Ouvrez la fenêtre Test manuel. Pour plus d'informations, reportez-vous à la rubrique Fenêtre Test manuel.
  2. Cliquez sur [image] (Afficher les détails) à gauche de l'écran pour développer un pas de test.
  3. Cliquez sur [image] (Enregistrer une vidéo). Si votre navigateur ne prend pas en charge NPAPI, Silk Central propose automatiquement de télécharger et d'exécuter un fichier JNLP, qui est requis pour activer cette fonction. Une fois l'application JNLP en cours d'exécution, cliquez à nouveau sur [image]. Si des périphériques audio sont détectés, la vidéo est enregistrée avec l'audio. Si plusieurs périphériques sont connectés, le premier périphérique détecté est utilisé. Cliquez sur [image] pour activer le paramètre audio (il est désactivé par défaut). Vous devez redémarrer l'enregistrement vidéo après la modification de ce paramètre. La fenêtre Enregistrement vidéo s'affiche et l'enregistrement démarre automatiquement.
  4. Lorsque vous avez terminé, cliquez sur Arrêter l'enregistrement vidéo.
  5. Saisissez un Nom du fichier de résultats et cliquez sur Attacher un fichier pour attacher la vidéo au pas de test. Vous pouvez également cliquer sur Enregistrer le fichier pour l'enregistrer sur votre ordinateur local.
  6. Cliquez sur Fermer.
  7. Pour visionner la vidéo attachée, cliquez sur [image]. La boîte de dialogue Pièces jointes s'affiche et présente la liste des fichiers attachés.
  8. Vous pouvez supprimer les fichiers joints en cliquant sur [image] (Supprimer le fichier de résultats) ou ouvrir les fichiers en cliquant sur [image] (Ouvrir).
    Remarque : Dans cette boîte de dialogue, vous pouvez uniquement supprimer les fichiers que vous avez joints au cours de l'exécution de test en cours. Vous ne pouvez pas supprimer des fichiers qui ont été assignés au test avant le début de votre cycle de test/plan d'exécution.
Remarque : Vous pouvez effectuer la tâche décrite dans cette rubrique au niveau des tests et au niveau des pas.
Sujet parent : Test manuel
Concepts associés
Espace de présentation
Espace Pas de Tests
Fenêtre Test manuel
Référence associée
États des tests et des pas de test


Joindre des fichiers de résultats

Lorsque vous exécutez des tests dans la fenêtre Test manuel, vous pouvez joindre des fichiers de résultats à chaque pas de test.

Pour joindre un fichier de résultats :

  1. Ouvrez la fenêtre Test manuel. Pour plus d'informations, reportez-vous à la rubrique Fenêtre Test manuel.
  2. Cliquez sur [image] (Afficher les détails) à gauche de l'écran pour développer un pas de test.
  3. Cliquez sur [image] (Joindre le fichier de résultats). Le gestionnaire de fichiers du système s'ouvre.
  4. Recherchez le fichier que vous souhaitez joindre et confirmez. Le fichier est alors joint au pas de test.
  5. Pour afficher le fichier joint, cliquez sur [image]. La boîte de dialogue Pièces Jointes s'affiche avec la liste des fichiers joints.
  6. Vous pouvez supprimer les fichiers joints en cliquant sur [image] (Supprimer le fichier de résultats) ou ouvrir les fichiers en cliquant sur [image] (Ouvrir).
    Remarque : Dans cette boîte de dialogue, vous pouvez uniquement supprimer les fichiers que vous avez joints au cours de l'exécution de test en cours. Vous ne pouvez pas supprimer des fichiers qui ont été assignés au test avant le début de votre cycle de test/plan d'exécution.
Remarque : Vous pouvez limiter la taille des fichiers de résultats que les testeurs sont autorisés à télécharger. Pour plus d'informations, reportez-vous à la rubrique Définition de la taille maximale des fichiers de résultats des pas de test.
Remarque : Vous pouvez effectuer la tâche décrite dans cette rubrique au niveau des tests et au niveau des pas.
Sujet parent : Test manuel
Concepts associés
Fenêtre Test manuel
Tâches associées
Définition de la taille maximale des fichiers de résultats des pas de test


Assignation ou création d'incidents

Lorsque vous exécutez des tests dans la fenêtre Test manuel, vous pouvez assigner des incidents à chaque pas de test.

Pour assigner un incident :

  1. Ouvrez la fenêtre Test manuel. Pour plus d'informations, reportez-vous à la rubrique Fenêtre Test manuel.
  2. Cliquez sur [image] (Afficher les détails) à gauche de l'écran pour développer un pas de test.
  3. Cliquez sur [image] (Assigner ou créer un incident). La boîte de dialogue Assigner ou créer un incident s'affiche.
  4. Si vous souhaitez assigner des incidents existants, cliquez sur Assigner des incidents existants et saisissez les numéros d'incidents dans le champ ID de l'incident, en les séparant par des virgules.
  5. Pour créer un nouvel incident cliquez sur Créer un nouvel incident. Saisissez les informations relatives à l'incident dans les champs appropriés et sélectionnez des valeurs dans les listes.
  6. Cliquez sur OK. L'incident est assigné au pas de test.
  7. Pour afficher l'incident assigné, cliquez sur [image]. La boîte de dialogue Incidents s'affiche avec la liste des incidents joints.
  8. Si vous cliquez sur [image] (Ouvrir l'incident), vous êtes dirigé vers un outil externe de suivi des incidents ou vers Issue Manager. Pour supprimer un incident, cliquez sur [image] (Supprimer l'incident).
    Remarque : Dans cette boîte de dialogue, vous pouvez supprimer uniquement les incidents que vous avez assignés lors de l'exécution de test en cours. Vous ne pouvez pas supprimer les incidents qui ont été assignés au test avant le démarrage du cycle de test ou du plan d'exécution.
Remarque : Lorsque vous créez un nouvel incident, Silk Central crée automatiquement des liens vers tous les fichiers de résultat actuellement assignés au pas ou au test. Dans votre outil de suivi des incidents, ces liens s'affichent dans la description de l'incident. Vous pouvez ainsi directement télécharger les fichiers de résultat à partir de votre outil de suivi des incidents.
Remarque : Vous pouvez effectuer la tâche décrite dans cette rubrique au niveau des tests et au niveau des pas.
Sujet parent : Test manuel
Concepts associés
Espace de présentation
Espace Pas de Tests
Fenêtre Test manuel
Référence associée
États des tests et des pas de test


Sélection des appareils mobiles pour les tests manuels

Pour sélectionner un appareil mobile (appareil physique, émulateur ou simulateur) sur lequel exécuter votre test manuel, vous devez préalablement configurer un fournisseur pour l’appareil.Notez que le fournisseur d’appareil et le projet en cours doivent être assignés au même emplacement. Les appareils risquent sinon ne pas apparaître dans la liste. Pour plus d'informations, reportez-vous à la rubrique Gestion des fournisseurs d’appareil.
Conseil : Si vous voulez que le navigateur de l’appareil sélectionné s’ouvre sur une URL spécifique, définissez un paramètre silkTest.url et entrez l’URL dans le champ Valeur.
Pour sélectionner un appareil mobile :
  1. Ouvrez la fenêtre Test manuel. Pour plus d'informations, reportez-vous à la rubrique Fenêtre Test manuel.
  2. Cliquez sur [image] (Sélectionner un appareil). La boîte de dialogue Sélectionner l’appareil s'affiche.
  3. Sélectionnez un appareil mobile. Sur la gauche de l’écran, utilisez le champ Rechercher, les listes Plate-forme et Application pour filtrer la liste des appareils disponibles.Pour installer une application native sur l’appareil mobile à des fins de tests, sélectionnez Application native dans la liste Application sur la gauche et spécifiez l’URL ou le chemin UNC de l’application dans le champ situé en dessous (iOS requiert une URL). Exemple : \\fileserver\apps\testapp.apk
    Conseil : Utilisez le champ de recherche pour trouver des types d’appareil spécifiques, par exemple en effectuant une recherche sur Emulateur ou Simulateur.
  4. Facultatif : Si vous voulez exclure les émulateurs et les simulateurs de votre sélection, cochez la case Utiliser uniquement les appareils physiques.
  5. Facultatif : Décochez la case Masquer les appareils utilisés ou bloqués pour savoir qui utilise actuellement des appareils.
  6. Cliquez sur Démarrer l’appareil pour démarrer l’exécution du test sur l’appareil sélectionné.
Sujet parent : Test manuel
Concepts associés
Fenêtre Test manuel
Référence associée
Interface utilisateur relative aux appareils mobiles


Démarrage de l'analyse de code

Lorsque vous exécutez des tests dans la fenêtre Test manuel, vous pouvez commencer l'analyse du code pour livrer des informations identifiant le code couvert par le test manuel. Pour plus d'informations sur la façon d'activer l'analyse du code, reportez-vous à Activation de l'analyse du code.

Vérifiez qu'un environnement d'exécution Java (JRE) est installé et que l'exécution de l'application est autorisée. Téléchargez JRE à partir de la page Java SE Downloads.Si votre navigateur ne prend pas en charge NPAPI, Silk Central propose automatiquement de télécharger et d'exécuter un fichier JNLP, qui est requis pour activer cette fonction.

Pour démarrer l'analyse de code :

  1. Ouvrez la fenêtre Test manuel. Pour plus d'informations, reportez-vous à la rubrique Fenêtre Test manuel.
  2. Cliquez sur [image] (Afficher les détails) à gauche de l'écran pour développer un pas de test.
  3. Cliquez sur Démarrer l'analyse du code (Démarrer l'analyse de code). Si votre navigateur ne prend pas en charge NPAPI, Silk Central propose automatiquement de télécharger et d'exécuter un fichier JNLP, qui est requis pour activer cette fonction. La boîte de dialogue Démarrer l'Analyse de Code apparaît.
  4. Sélectionnez un Profil et entrez un ou plusieurs Noms d'hôtes. Si les informations sur la couverture existent déjà pour ce test, vous pouvez les remplacer en cochant cette case. Cliquez sur Démarrer l'Analyse de Code pour lancer réellement le processus.
  5. Lorsque vous avez terminé, cliquez sur Arrêter l'analyse de code. Les informations d'analyse de code sont automatiquement attachées à l'exécution de test.
  6. Pour afficher les informations d'analyse de code jointes, cliquez sur [image]. Pour afficher le rapport d'analyse de code, sélectionnez Rapports > Analyse de code.
Remarque : Vous pouvez effectuer la tâche décrite dans cette rubrique au niveau des tests et au niveau des pas.
Sujet parent : Test manuel


Modification de la version et du build

Pour modifier la version et le build dans la fenêtre Test manuel, cliquez sur [image] (Modifier la Version et le Build) dans la vue d'ensemble. Si le bouton ne s'affiche pas, cliquez sur [image] (Modifier les paramètres) et activez l'action.

Les tests d'un cycle de test ne pourront peut-être pas être effectués avec un seul build mais uniquement avec plusieurs. Cela sera notamment le cas si vos cycles de test sont longs et comportent de nombreux tests. Par exemple : les tests 1 et 2 d'un cycle de test sont exécutés avec le build 315 et le test 3 du même cycle de test est exécuté avec le build 316.

La version et le build sont configurés pour chaque test et affichés dans les grilles appropriées dans Silk Central.

Lorsque vous définissez un build pour un test, ce build est automatiquement défini pour tous les tests...
  • qui vous sont assignés ou qui ne sont pas assignés à un testeur spécifique, et
  • qui n'ont pas encore été exécutés (tests ayant l'état Non Exécuté), et
  • qui appartiennent aux mêmes projet et application.

Ainsi, vous n'avez pas à définir sans cesse le même build pour chaque test que vous exécutez par la suite.

Sujet parent : Test manuel


États des tests et des pas de test

Lorsque vous définissez l'état d'un pas de test dans la fenêtre Test manuel, l'état du test est modifié. Le tableau suivant indique comment Silk Central calcule l'état de test d'après les états des pas de test :
État | Description
Réussi | Si tous les pas de test sont réussis, le test passe à l'état Réussi. Aucun motif d'état qualifiant les pas de tests n'est propagé à l'état d'un test.
En Échec | Si tous les pas de test ont été exécutés et qu'au moins un pas a échoué, le test présente l'état En Échec. Le motif d'état du premier pas de test ayant échoué est utilisé pour définir le test sur l'état En Échec.
Non Exécuté | Tant que tous les pas de test ne sont pas exécutés, le test présente l'état Non Exécuté. Le motif d'état du premier pas de test n'étant pas exécuté est utilisé pour définir le test sur l'état Non Exécuté. Si vous modifiez l'état d'au moins un pas de test, le test passe à l'état En Cours.
En Cours | Tant qu'il reste encore un pas de test en cours d'exécution, le test présente l'état En Cours.

Vous pouvez également définir l'état du test manuellement. Dans l'espace de présentation de la fenêtre Test manuel ou dans l'espace d'un pas de test, cliquez sur [image] (Sélectionner un état) en regard de l'icône d'état, puis sélectionnez un état. Reportez-vous à la rubrique Motifs d'état pour savoir comment définir des motifs pour chaque état.

Outre l'état du test, vous pouvez également définir un test pour qu'il soit bloqué.La définition d'un test sur bloqué permet d'indiquer que ce test ne peut pas être poursuivi en raison de certaines restrictions, comme un problème au niveau de l'infrastructure informatique, par exemple.

Notez les points suivants :
  • Un état de test défini manuellement remplace l'état calculé automatiquement.
  • Si par la suite vous modifiez l'état d'un pas, l'état du test est recalculé.
  • Vous pouvez redéfinir manuellement l'état d'un test sur Non Exécuté. En revanche, Silk Central ne redéfinira jamais automatiquement l'état d'un test sur Non Exécuté.
  • Vous pouvez définir manuellement l'état d'un test sur En Cours, même si vous n'avez modifié aucun état de pas.
Sujet parent : Test manuel
Concepts associés
Espace de présentation
Espace Pas de Tests
Motifs d'état
Tâches associées
Modification de la version et du build
Captures d'écran
Enregistrement de vidéos
Joindre des fichiers de résultats
Assignation ou création d'incidents


Impression de tests manuels

Vous pouvez imprimer un formulaire de chaque test et renseigner les résultats, le temps consommé, l'état et d'autres informations par vous-même.

Pour imprimer un test manuel :

  1. Dans le menu, cliquez sur Accueil > Mon tableau de bord.
  2. Dans le panneau Tests Manuels qui me sont Assignés, cliquez sur [image] (Voir les Résultats de Tests Manuels) dans la colonne Actions. La Vue Résultats de Test manuel s'affiche.
  3. Cliquez sur Imprimer ou Exporter en PDF.
Sujet parent : Test manuel


Journal de bord des tests

Le Journal de bord des tests est un panneau du tableau de bord qui affiche les mises à jour en temps réel de toutes les activités effectuées lors des tests manuels. Il répertorie les actions effectuées, leurs auteurs, ainsi que le moment où ces actions se sont produites dans les différents cycles de test et plans d'exécution. Le Journal de bord des tests simplifie la coordination et la collaboration entre testeurs et responsables Qualité.

Vous pouvez filtrer les entrées par utilisateur, action et cycle de test. Le panneau affiche les activités d'un seul projet. Pour configurer un projet pour le panneau, cliquez sur [image] (Configurer) dans l'en-tête du panneau. Pour afficher les activités d'autres projets, vous pouvez ajouter d'autres panneaux. Pour plus d'informations sur les panneaux, reportez-vous à la rubrique Tableau de bord.

Chaque entrée présente le nom de l'utilisateur et (si possible) le nom complet. Pour les entreprises qui n'utilisent pas des noms d'utilisateurs significatifs, le nom complet d'un utilisateur est plus facilement reconnaissable par les autres membres de l'équipe.

Dans la fenêtre Test manuel, vous pouvez publier un message dans le Journal de bord des tests en cliquant sur [image].

Les entrées datant de plus de 60 jours sont automatiquement effacées. Pour modifier ce comportement par défaut, ouvrez le fichier Conf\AppServer\TMAppserverHomeConf.xml et modifiez le paramètre suivant : <MaximumActivityLogLifeTimeInDays>60</MaximumActivityLogLifeTimeInDays>

Les activités suivantes sont consignées dans le Journal de bord des tests :

Icône | Activité | Icône | Activité
 | Cycle de test démarré |  | Test ajouté
 | Cycle de test terminé |  | Test démarré
 | Cycle de test supprimé |  | Test terminé
 | Jalon ajouté |  | Test réassigné
 | Jalon modifié |  | Test supprimé
 | Jalon supprimé |  | Test bloqué
 | Appareil mobile sélectionné |  | Message publié
Sujet parent : Test manuel


Tests manuels hors ligne

L'option Tests manuels hors ligne vous permet de télécharger les tests et de les exécuter hors ligne. Elle vous permet également de télécharger vos résultats vers Silk Central.

Les testeurs utilisent le panneau Tests Manuels qui me sont Assignés pour télécharger des tests manuels et transmettre les résultats vers Silk Central. Les responsables Qualité utilisent le panneau Vue d'ensemble des tests manuels hors ligne pour afficher et gérer les tests téléchargés.

Remarque : Une licence Test manuel est extraite lorsqu'un test est téléchargé pour être exécuté hors ligne. La licence est réintégrée lors du téléchargement des résultats.
  • Téléchargement des tests manuels pour une exécution hors ligne
    Décrit comment télécharger les tests manuels et les exécuter hors ligne.
  • Téléchargement des résultats d'un test manuel hors ligne
    Décrit comment télécharger les résultats d'un test manuel hors ligne.
Sujet parent : Test manuel


Téléchargement des tests manuels pour une exécution hors ligne

Cette rubrique décrit comment télécharger un test, puis saisir l'état, le motif et les résultats alors que vous êtes hors ligne.

  1. Accédez à Accueil > Mon Tableau de Bord. Assurez-vous que le panneau Tests Manuels qui me sont Assignés est visible.
  2. Sélectionnez un ou plusieurs tests. Faites un clic droit sur votre sélection, puis choisissez Télécharger les Tests Manuels Sélectionnés pour l'Exécution Hors Ligne. Il est également possible de sélectionner un seul test et de choisir Télécharger tous les Tests Manuels du Plan d'Exécution Associé pour l'Exécution Hors Ligne.
    Conseil : le paramètre Lignes par page et les fonctionnalités de tri et de filtrage vous permettent de recevoir la liste des tests à sélectionner.
  3. Précisez, dans la boîte de dialogue Télécharger les tests manuels pour l'exécution hors ligne, comment vous souhaitez que les tests soient classés dans Excel :
    • Créer une feuille de données séparée pour chaque test avec une liste d'étapes
    • Créer une seule feuille de données avec une liste de tests sans étapes
  4. Si vos tests contiennent des attributs, sélectionnez Inclure les Attributs. Tous les attributs sont inclus dans le fichier Excel téléchargé, ce qui vous permet de filtrer vos tests par chaque attribut.
  5. Sélectionnez Inclure les Pièces Jointes si vous souhaitez télécharger également les fichiers joints aux tests et étapes de test sélectionnés. Notez que le chargement de pièces jointes dans Silk Central n'est pas pris en charge.
  6. Cliquez sur Télécharger. Téléchargez et enregistrez le fichier Excel.
  7. Ouvrez le fichier et, en fonction du format de téléchargement du fichier Excel, saisissez l'état et le résultat ou le temps consommé pour chaque pas de test ou chaque test.
  8. Enregistrez le fichier.
Sujet parent : Tests manuels hors ligne
Tâches associées
Téléchargement des résultats d'un test manuel hors ligne


Téléchargement des résultats d'un test manuel hors ligne

Une fois les test manuels téléchargés terminés, utilisez la procédure suivante pour télécharger les résultats vers Silk Central.

  1. Accédez à Accueil > Mon Tableau de Bord. Assurez-vous que le panneau Tests Manuels qui me sont Assignés est visible.
  2. Cliquez sur Télécharger les résultats de tests manuels hors ligne. La boîte de dialogue Télécharger les résultats de tests manuels hors ligne s'affiche.
  3. Cliquez sur Choisir un Fichier et accédez au fichier Excel. La boîte de dialogue Ouvrir s'affiche.
  4. Sélectionnez le fichier à télécharger, puis cliquez sur Ouvrir.
  5. Cliquez sur Télécharger. Une boîte de dialogue s'affiche, indiquant l'état du téléchargement.
  6. Cliquez sur OK.
Sujet parent : Tests manuels hors ligne
Tâches associées
Téléchargement des tests manuels pour une exécution hors ligne


Tests de configurations

Les tests de configurations consistent à tester un système avec chaque configuration logicielle et matérielle prise en charge.

L'espace Exécutions prend en charge les tests de configurations en permettant de réutiliser des tests assignés. Vous pouvez créer des suites de configurations avec un jeu de tests assignés. Tous les plans d'exécution ajoutés à la suite de configurations possèderont également le jeu de tests assignés. Vous pouvez également créer des suites de configurations à partir de plans d'exécution existants et copier-coller (ou couper-coller) ces plans de l'arborescence Exécutions dans une suite de configurations. Silk Central permet d'ajouter ou de supprimer des paramètres, des mots-clés et des testeurs manuels dans ou depuis les configurations. Lorsque vous créez une suite de configurations en dehors d'un plan d'exécution existant, tous les résultats de ce plan sont conservés dans la suite de configurations. Si vous copiez et collez un plan d'exécution dans une suite de configurations existante, ces résultats ne sont pas conservés.

Chaque plan d'exécution de la suite de configurations est affiché dans une grille modifiable. Vous pouvez afficher les plans d'exécution ou les configurations incluant un test spécifique dans l'onglet Propriétés du test. Vous pouvez également afficher les plans d'exécution ou les configurations associés à une exigence spécifique dans l'onglet Tests assignés de l'exigence.

Pour définir des configurations pour les tests automatisés, utilisez la page Configurations des suites de configurations. Pour définir des configurations pour les tests manuels, utilisez la page Configurations.

  • Création d'une suite de configurations
    Créez une suite de configurations afin d'exécuter chaque plan d'exécution de la suite avec les mêmes tests et des paramètres spécifiques ou des paramètres de déploiement.
  • Création d'une suite de configurations à partir d'un plan d'exécution
    Créez une suite de configurations à partir d'un plan d'exécution pour ajouter des configurations supplémentaires aux configurations matérielle et logicielle prises en charge.
  • Ajout de paramètres à une configuration
    Ajoutez un paramètre à une configuration pour exécuter les plans d'exécution avec celui-ci.
  • Suppression de paramètres dans une configuration
    Supprimez un paramètre dans une configuration pour exécuter les plans d'exécution correspondants sans celui-ci.
  • Assignation de mots-clés à une configuration
    Assignez des mots-clés à une configuration pour décrire l'environnement d'exécution.
  • Suppression de mots-clés dans une configuration
    Supprimez des mots-clés dans une configuration lorsque ceux-ci ne décrivent plus l'environnement d'exécution.
  • Ajout de testeurs manuels aux configurations
    Ajoutez un testeur manuel aux configurations qui incluent des tests manuels.
  • Suppression d'une assignation de testeur dans une configuration
    Supprimez une assignation de testeur dans une configuration.
  • Assignation d’appareils mobiles à une configuration
    Assignez un appareil mobile (appareil physique, émulateur ou simulateur) à une configuration sur laquelle exécuter vos plans d’exécution.
  • Page Configurations des suites de configurations
    Répertorie les configurations incluses dans une suite de configurations. Pour définir des configurations pour des tests automatisés, utilisez la page Configurations des suites de configurations. Pour les tests manuels, utilisez la page Configurations.
  • Page Configurations
    Présente la page Configurations. Vous pouvez utiliser les configurations définies dans la page Configurations pour les tests manuels uniquement. Pour définir des configurations pour des tests automatisés, utilisez la page Configurations des suites de configurations.
Sujet parent : Organisation des Exécutions
Concepts associés
Rapport vue d'ensemble de l'état d'exécution
Référence associée
Page Propriétés du plan d'exécution
Page des tests assignés à l'exécution
Page Planification


Création d'une suite de configurations

Pour créer une suite de configurations :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée ou Organisation des Exécutions > Vue Globale.
  2. Faites un clic droit sur le nœud racine ou sur un dossier dans l'arborescence Exécution, puis sélectionnez Nouvelle Suite de Configurations Enfant ou cliquez sur Nouvelle Suite de Configurations Enfant dans la barre d'outils. La boîte de dialogue Nouvelle Suite de Configurations s'affiche.
  3. Renseignez les champs Nom et Description pour la nouvelle suite de configurations.
  4. Sélectionnez un Conteneur de Tests dans la zone de liste.
  5. Sélectionnez une Version et un Build dans les zones de liste, ou cochez la case Lire à partir du Fichier d'Informations de Build afin de lire la version et le build à partir d'un fichier.
  6. Facultatif : dans le champ Libellé du Référentiel Externe, vous pouvez spécifier que des versions antérieures des fichiers d'automatisation, et non les dernières versions, sont récupérées à partir du référentiel externe.
    Remarque : La propriété Libellé du Référentiel Externe est activée uniquement si le conteneur de tests associé utilise un profil de référentiel tiers prenant en charge la gestion des versions.
  7. Cliquez sur OK.
Sujet parent : Tests de configurations


Création d'une suite de configurations à partir d'un plan d'exécution

Pour créer une suite de configurations à partir d'un plan d'exécution existant :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Exécution, faites un clic droit sur le plan d'exécution, à partir duquel vous souhaitez créer une suite de configurations, puis sélectionnez Convertir en une Suite de Configurations. Silk Central crée un nœud de suite de configurations, avec le même nom que celui du plan d'exécution sélectionné, dans l'arborescence Exécution, puis ajoute le plan d'exécution à la suite de configurations, comme nœud de suite de configurations.
Lorsque vous créez une suite de configurations en dehors d'un plan d'exécution existant, tous les résultats de ce plan sont conservés dans la suite de configurations. Si vous copiez-collez un plan d'exécution dans une suite de configurations existante, ces résultats ne sont pas conservés.
Sujet parent : Tests de configurations


Ajout de paramètres à une configuration

Pour ajouter un paramètre prédéfini à une configuration :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Exécutions, sélectionnez le nœud de configuration auquel vous voulez ajouter un paramètre.
  3. Cliquez sur l'onglet Configurations.
  4. Cliquez sur Ajout/Suppression de Paramètres. La boîte de dialogue Ajout/Suppression de Paramètres s'ouvre. Sur le côté droit de la boîte de dialogue, la zone de liste Paramètres assignés répertorie tous les paramètres qui sont définis pour la configuration.
  5. Dans la zone de liste Sélectionner ou entrer les paramètres, sélectionnez des paramètres qui reflètent les exigences de votre environnement d'exécution. Utilisez les combinaisons Ctrl + clic ou Maj + clic pour sélectionner plusieurs paramètres à l'aide des fonctions de sélection multiples d'un navigateur standard.
  6. Pour ajouter les paramètres répertoriés dans la zone de liste Sélectionner ou entrer les paramètres, sélectionnez le paramètre et cliquez sur >.
  7. Pour créer un paramètre, saisissez son nom dans la zone de texte Saisir les Paramètres, puis appuyez sur Entrée ou cliquez sur >.
    Conseil : La zone de texte Saisir les Paramètres utilise la saisie semi-automatique. Lorsque vous saisissez des caractères alphanumériques dans ce champ, ce dernier est mis à jour de façon dynamique avec un paramètre existant qui correspond aux caractères saisis. La zone de texte est désactivée lorsque plusieurs paramètres sont sélectionnés dans les zones de liste Sélectionner des paramètres ou Paramètres assignés.
  8. Cliquez sur OK. La boîte de dialogue Ajout/Suppression de Paramètres se ferme et une nouvelle colonne est ajoutée à la grille pour chaque nouveau paramètre.
Sujet parent : Tests de configurations


Suppression de paramètres dans une configuration

Pour supprimer un paramètre prédéfini dans une configuration :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Exécutions, sélectionnez le nœud de configuration dans lequel vous voulez supprimer un paramètre.
  3. Cliquez sur l'onglet Configurations.
  4. Cliquez sur Ajout/Suppression de Paramètres. La boîte de dialogue Ajout/Suppression de Paramètres s'ouvre. Sur le côté droit de la boîte de dialogue, la zone de liste répertorie tous les paramètres définis pour la configuration.
  5. Pour supprimer un paramètre dans la zone de liste, sélectionnez-le et cliquez sur <.
  6. Cliquez sur OK. La boîte de dialogue Ajout/Suppression de Paramètres se ferme et la colonne du paramètre supprimé est retirée de la grille.
Sujet parent : Tests de configurations


Assignation de mots-clés à une configuration

Pour assigner des mots-clés à une configuration :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez la suite de configurations à modifier.
  3. Cliquez sur l'onglet Configurations.
  4. Cliquez sur la colonne Mots-Clés de la configuration à laquelle vous voulez ajouter un mot-clé. La boîte de dialogue Assigner des mots-clés s'ouvre.
  5. Dans la zone de liste Sélection de Mots-Clés, choisissez des mots-clés qui correspondent aux exigences de votre environnement d'exécution. Utilisez la combinaison Ctrl + clic ou Maj + clic pour sélectionner plusieurs mots-clés à l'aide des fonctions de sélection multiple d'un navigateur standard.
    Conseil : La zone de texte Saisie des Mots-Clés utilise la saisie semi-automatique. Lorsque vous saisissez des caractères alphanumériques dans ce champ, ce dernier est mis à jour de façon dynamique avec un mot-clé existant qui correspond aux caractères saisis. La zone de texte est désactivée lorsque plusieurs mots-clés sont sélectionnés dans les zones de liste Sélection de Mots-Clés ou Mots-clés assignés.
    Conseil : Dans le cas d'un plan d'exécution automatisé, si vous disposez uniquement de quelques serveurs d'exécution et n'avez pas besoin de configuration matérielle, l'utilisation des mots-clés réservés par défaut qui sont créés pour chaque serveur d'exécution peut suffire. Dans ce cas, il n'est pas nécessaire de sélectionner des mots-clés supplémentaires.
  6. Cliquez sur > pour déplacer le mot-clé dans la zone de liste Mots-clés assignés.
    Remarque : Dans le cas d'un plan d'exécution automatisé, les serveurs d'exécution qui correspondent aux mots-clés assignés sont répertoriés ci-dessous dans la zone de liste Serveurs d'exécution correspondants mise à jour de façon dynamique. Cette liste se met à jour chaque fois que vous ajoutez ou supprimez un mot-clé. Dans la liste, cliquez sur le nom d'un serveur d'exécution pour accéder aux serveurs d'exécution disponibles dans Administration > Serveurs d'Exécution.
  7. Cliquez sur OK pour enregistrer les mots-clés et fermer la boîte de dialogue Assigner des mots-clés.
Sujet parent : Tests de configurations


Suppression de mots-clés dans une configuration

Pour supprimer des assignations de mots-clés dans une configuration :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez la suite de configurations à modifier.
  3. Cliquez sur l'onglet Configurations.
  4. Cliquez dans la colonne Mots-Clés de la configuration dans laquelle vous voulez retirer un mot-clé. La boîte de dialogue Assigner des mots-clés s'ouvre.
  5. Sélectionnez les mots-clés dont vous n'avez plus besoin dans la liste Mots-clés assignés. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic pour sélectionner plusieurs mots-clés.
  6. Cliquez sur < pour supprimer les assignations de mots-clés.
  7. Cliquez sur OK pour enregistrer les mots-clés et fermer la boîte de dialogue Assigner des mots-clés.
Remarque : Les mots-clés qui ne sont plus utilisés sont automatiquement supprimés du système.
Sujet parent : Tests de configurations


Ajout de testeurs manuels aux configurations

Pour les configurations qui incluent des tests manuels, la page Configurations permet d'assigner des utilisateurs en tant que testeurs manuels à une configuration sélectionnée. Vous pouvez assigner plusieurs testeurs manuels à la configuration.

Pour assigner un testeur manuel à la configuration :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez la suite de configurations à modifier.
  3. Cliquez sur l'onglet Configurations.
  4. Cliquez dans la colonne Testeurs Manuels de la configuration à laquelle vous voulez ajouter un testeur manuel. La boîte de dialogue Testeurs Manuels s'ouvre.
  5. Dans la zone de liste Disponible, sélectionnez le groupe d'utilisateurs dont le testeur est membre. La zone de liste est alimentée avec tous les membres du groupe d'utilisateurs.
  6. Sélectionnez le nom de l'utilisateur que vous voulez assigner en tant que testeur manuel.
  7. Cliquez sur Ajouter pour ajouter l'utilisateur à la zone de liste Sélectionné, ou cliquez sur Ajouter tout pour ajouter tous les testeurs et membres du groupe.
  8. Cliquez sur OK pour fermer la boîte de dialogue Ajouter/Supprimer des Testeurs.
Sujet parent : Tests de configurations


Suppression d'une assignation de testeur dans une configuration

Pour supprimer une assignation de testeur dans une configuration :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le nœud de configuration dans lequel vous voulez supprimer une assignation de testeur.
  3. Cliquez sur l'onglet Configurations.
  4. Cliquez dans la colonne Testeurs Manuels de la configuration dans laquelle vous voulez supprimer un testeur manuel. La boîte de dialogue Testeurs Manuels s'ouvre.
  5. Dans la liste Sélectionné, sélectionnez le nom de l'utilisateur assigné que vous souhaitez supprimer.
  6. Cliquez sur Supprimer pour supprimer l'utilisateur de la liste Sélectionné ou sur Supprimer Tout pour supprimer toutes les assignations de testeurs.
  7. Cliquez sur OK pour fermer la boîte de dialogue Ajouter/Supprimer des Testeurs.
Sujet parent : Tests de configurations


Assignation d’appareils mobiles à une configuration

Pour assigner des appareils mobiles à une configuration :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez la suite de configurations à modifier.
  3. Cliquez sur l'onglet Configurations.
  4. Sélectionnez un appareil mobile, un filtre d’appareil ou une application native :
    • Pour sélectionner un appareil spécifique, utilisez la liste située à droite.
    • Pour sélectionner un filtre d’appareil, sélectionnez Tout appareil dans la liste située à droite. Modifiez ce filtre en utilisant le champ Rechercher ainsi que les listes Plate-forme et Application situées à gauche.
      Conseil : Utilisez le champ de recherche pour trouver des types d’appareil spécifiques, par exemple en effectuant une recherche sur Emulateur ou Simulateur.
    • Pour installer une application native sur l’appareil mobile à des fins de tests, sélectionnez Application native dans la liste Application sur la gauche et spécifiez l’URL ou le chemin UNC de l’application dans le champ situé en dessous (iOS requiert une URL). Exemple : \\fileserver\apps\testapp.apk
  5. Facultatif : Si vous voulez exclure les émulateurs et les simulateurs de votre sélection, cochez la case Utiliser uniquement les appareils physiques.
  6. Facultatif : Cochez la case Masquer les appareils utilisés ou bloqués pour n’afficher que les appareils actuellement disponibles. Cela s’avère particulièrement utile si vous voulez exécuter immédiatement un plan d’exécution ou un test manuel.
  7. Cliquez sur OK pour enregistrer votre sélection.
Lors de l’exécution, l’appareil sélectionné ou le premier appareil correspondant à un filtre sera utilisé et bloqué jusqu’à la fin du plan d’exécution. Si l’appareil sélectionné n’est pas disponible ou qu’aucun filtre ne correspond aux appareils disponibles, la tâche d’exécution reste dans la file d’attente jusqu’à ce qu’un serveur d’exécution approprié et un appareil mobile deviennent disponibles. Les appareils Sauce Labs ne sont pas réellement des appareils uniques, mais plutôt des types d'appareils, pour éviter tout blocage pendant l'exécution.
Sujet parent : Tests de configurations
Concepts associés
Gestion des fournisseurs d’appareil
Tâches associées
Sélection des appareils mobiles pour les tests automatisés
Sélection des appareils mobiles pour les tests manuels
Référence associée
Configuration des fournisseurs d’appareil


Page Configurations des suites de configurations

Pour accéder à cette page, cliquez sur Organisation des Exécutions > Vue Détaillée > <suite de configurations> > Configurations.

L'onglet Configurations affiche les configurations incluses dans une suite de configurations. La grille fournit des données pour la génération automatisée des plans d'exécution enfants.

Chaque configuration ajoutée à la grille génère un nouveau plan d'exécution, exécuté avec la suite de configurations.

Pour définir une nouvelle configuration, cliquez sur Nouvelle Configuration. Pour ajouter ou supprimer un paramètre, cliquez sur Ajout/Suppression de Paramètres.

Pour chaque configuration répertoriée, la page affiche les colonnes suivantes :
Colonne | Description
Actions
  • Cliquez sur Supprimer la Configuration pour supprimer la configuration.
  • Cliquez sur Dupliquer la Configuration pour dupliquer la configuration.
Nom | Nom de la configuration. Cliquez sur le nom pour le modifier.
Mots-clés | Liste des mots-clés d'exécution assignés à la configuration. Cliquez sur le lien pour modifier la liste. Pour plus d'informations, reportez-vous à la rubrique Assignation de mots-clés à une configuration.
Testeurs Manuels | Liste des testeurs manuels assignés à la configuration. Cliquez sur le lien pour modifier la liste. Pour plus d'informations, reportez-vous à la rubrique Ajout de testeurs manuels aux configurations.
Sélection d’un appareil mobile | L’appareil mobile (appareil physique, émulateur ou simulateur) qui est assigné à la configuration. Cliquez sur le lien pour modifier la sélection de l’appareil mobile. Pour plus d'informations, reportez-vous à la rubrique Assignation d’appareils mobiles à une configuration.
Paramètres | La grille peut comporter plusieurs colonnes de paramètres. Cliquez sur Ajout/Suppression de Paramètres pour ajouter ou supprimer des paramètres de la grille. Pour ajouter une valeur à un paramètre, cliquez sur le champ et entrez la valeur. Pour plus d'informations, reportez-vous à la rubrique Ajout de paramètres à une configuration.
Sujet parent : Tests de configurations
Concepts associés
Paramètres du plan d'exécution
Tâches associées
Ajout de paramètres à une configuration
Référence associée
Page Configurations


Page Configurations

Pour accéder à cette page, cliquez sur Organisation des Exécutions > Configurations.

La page Configurations affiche la liste des configurations définies dans une grille. Vous pouvez utiliser ces configurations pour les tests manuels uniquement. Pour définir des configurations pour des tests automatisés, consultez la page Configurations des suites de configurations.

Pour définir une nouvelle configuration, cliquez sur Nouvelle Configuration. Pour ajouter ou supprimer un paramètre, cliquez sur Ajout/Suppression de Paramètres.

Pour chaque configuration répertoriée, la page affiche les colonnes suivantes :
Colonne | Description
Actions
  • Cliquez sur Supprimer la Configuration pour supprimer la configuration.
  • Cliquez sur Dupliquer la Configuration pour dupliquer la configuration.
Nom | Nom de la configuration. Cliquez sur le nom pour le modifier.
Sélection d’un appareil mobile | L’appareil mobile (appareil physique, émulateur ou simulateur) qui est assigné à la configuration. Cliquez sur le lien pour modifier la sélection de l’appareil mobile. Pour plus d'informations, reportez-vous à la rubrique Assignation d’appareils mobiles à une configuration.
Mots-clés | Liste des mots-clés d'exécution assignés à la configuration. Cliquez sur le lien pour modifier la liste. Pour plus d'informations, reportez-vous à la rubrique Assignation de mots-clés à une configuration.
Paramètres | La grille peut comporter plusieurs colonnes de paramètres. Cliquez sur Ajout/Suppression de Paramètres pour ajouter ou supprimer des paramètres de la grille. Pour ajouter une valeur à un paramètre, cliquez sur le champ et entrez la valeur. Pour plus d'informations, reportez-vous à la rubrique Ajout de paramètres à une configuration.
Sujet parent : Tests de configurations
Tâches associées
Ajout de paramètres à une configuration
Référence associée
Page Configurations des suites de configurations


Gestion des plans d'exécution, des dossiers et des suites de configurations

Un plan d'exécution est une collecte de tests assignés qui sont stockés dans un conteneur de tests unique. Un plan d'exécution peut être lancé selon des planifications configurables et déployées sur des serveurs d'exécution définis.Utilisez des dossiers pour structurer vos plans d'exécution, suites de configurations et cycles de test. Vous pouvez également imbriquer des dossiers dans des dossiers.

Le processus d'ajout et de modification des plans d'exécution est le même pour les plans d'exécution automatisés et manuels.

  • Création de plans d'exécution
    Créez un plan d'exécution afin d'exécuter simultanément des tests associés.
  • Création d'un plan d'exécution dans la Vue Matricielle
    Créez un plan d'exécution dans la Vue Matricielle afin d'assigner directement des tests au plan d'exécution.
  • Calcul de l'état d'un test
    Décrit la méthode de calcul de l'état d'un plan d'exécution.
  • Attributs du plan d'exécution
    Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux plans d'exécution. Vous pouvez utiliser les attributs pour le filtrage et l'établissement de rapports.
  • Paramètres du plan d'exécution
    Décrit la procédure à suivre pour assigner des paramètres, qui sont des valeurs librement configurables, aux plans d'exécution.
  • Tests d'initialisation et de réinitialisation
    Décrit l'utilisation de tests d'initialisation pour préparer les environnements de test en vue des tests et des tests de réinitialisation afin de restaurer l'état d'origine de ces environnements après un test.
  • Configuration d'environnements de déploiement
    Décrit comment configurer des environnements de déploiement avec Silk Central.
  • Configuration des dépendances d'exécution
    Décrit comment configurer l'exécution automatique d'un plan d'exécution en fonction des résultats d'un autre plan d'exécution.
  • Tests assignés
    Explique la façon d'assigner des tests aux plans d'exécution.
  • Planifications
    Explique comment définir les planifications en fonction desquelles les plans d'exécution, les dossiers et les suites de configurations s'exécutent.
  • Exécution de tests assignés aux plans d'exécution
    Décrit la procédure à suivre pour exécuter des tests assignés à des plans d'exécution avec Silk Central.
  • Gestion des exécutions dans des environnements d'exécution externes
    Avec Silk Central 19.0 ou version ultérieure,Silk Central s'intègre à un plus grand nombre d'écosystèmes d'outils existants, grâce à une fonctionnalité permettant d'utiliser les résultats des tests automatisés sans que ces tests automatisés ne soient exécutés par le biais des serveurs d'exécution Silk Central.
  • Filtres
    Décrit le mode d'utilisation des filtres pour trouver précisément les informations dont vous avez besoin et exclure les détails non pertinents.
  • Capture d'Écran
    Décrit le mode d'utilisation de la capture d'écran pour créer des captures d'écran de vos tests.
  • Capture vidéo
    Décrit le mode d'utilisation de la capture vidéo pour créer des vidéos de vos tests.
  • Suppression automatique des résultats et des fichiers de résultats
    Réduisez la taille de votre base de données de manière à gérer plus simplement les exécutions de votre plan d'exécution en définissant des règles permettant de supprimer les résultats et fichiers de résultats anciens des exécutions de votre plan d'exécution.
Sujet parent : Organisation des Exécutions


Création de plans d'exécution

Pour créer un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez un dossier ou le nœud projet dans l'arborescence Plans d'exécution.
  3. Cliquez sur Nouveau plan d’exécution enfant (Nouveau plan d’exécution enfant) dans la barre d'outils ou faites un clic droit sur le dossier, le cycle de test ou le nœud, puis cliquez sur Nouveau plan d'exécution enfant. La boîte de dialogue Nouveau plan d'exécution s'affiche.
  4. Entrez un nom et une description pour le plan d'exécution.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Sélectionnez un conteneur de tests dans la zone de liste Conteneur de tests.
    Remarque : Vous ne pouvez affecter qu'un seul conteneur de tests à un plan d'exécution. Seuls les tests provenant de ce conteneur de tests peuvent être exécutés.
    La dernière version et le dernier build définis dans l'application à laquelle le conteneur appartient sont automatiquement renseignés dans les zones de liste Version et Build.
  6. Dans les zones de liste Version et Build, sélectionnez l'option appropriée pour l'application. Ces options sont utilisées lorsqu'une nouvelle mise en œuvre de ce plan d'exécution est lancée. Vous pouvez également cocher la case Lire à partir du fichier d'Informations de build. Dans ce cas, la version et le build sont lus depuis le fichier d'informations de build sur le serveur d'application au début de chaque exécution. Si un fichier d'informations de build est disponible sur le serveur d'exécution, ce dernier est utilisé par défaut pour l'exécution du test et remplace les paramètres de la boîte de dialogue Nouveau Plan d'Exécution.
  7. Sélectionnez une Priorité pour le plan d'exécution dans la zone de liste. Pour les plans d'exécution automatisés, lorsque plusieurs plans d'exécution sont mis en attente, mais qu'un seul serveur d'exécution est disponible, le paramètre Priorité détermine le plan d'exécution qui est mis en œuvre en premier. Cela est également valable si des serveurs d’exécution sont disponibles mais que plusieurs plans d’exécution requièrent un appareil mobile qui n’est pas disponible.
  8. Dans le champ Libellé du Référentiel Externe, vous pouvez spécifier que le plan d'exécution correspond à une version antérieure à la dernière version. Le libellé doit faire référence à une version présente dans le référentiel tiers auquel le conteneur de tests est associé. Si ce champ n'est pas renseignée, la dernière version du plan d'exécution sera récupérée. La propriété Libellé du Référentiel Externe est activée uniquement si le conteneur de tests associé utilise un profil de référentiel tiers prenant en charge la gestion des versions. Vérifiez que vous disposez de suffisamment d'espace disque sur le(s) serveur(s) d'exécution si vous travaillez avec plusieurs versions des fichiers source. Chaque version sera enregistrée dans son propre dossier sur chaque serveur d'exécution.
    Conseil : Si vous souhaitez extraire une branche spécifique de votre référentiel pour un plan d'exécution spécifique, spécifiez le nom de la branche dans le champ Libellé du contrôle source du plan d’exécution concerné.
  9. Cliquez sur OK pour mettre à jour l'arborescence Exécutions avec le nouveau plan d'exécution créé.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Concepts associés
Informations sur le Build
Intégrations de profils de référentiel tiers
Tâches associées
Création d'un plan d'exécution dans la Vue Matricielle
Modification d'éléments de l'arborescence des plans d'exécution
Référence associée
Page Propriétés du plan d'exécution


Calcul de l'état d'un test

Chaque plan d'exécution présente l'une des conditions d'état suivantes :
État
Condition
Réussi
Tous les plans d'exécution des tests considérés présentent l'état Réussi.
En Échec
Au moins un plan d'exécution d'un test considéré présente l'état En Échec, mais aucun des plans d'exécution ne présente l'état Non Exécuté.
Non Exécuté
Au moins un test considéré présente l'état Non Exécuté.

Un test obtient son état à partir du résultat de la dernière exécution du plan d'exécution. Si vous changez manuellement l'état de la dernière exécution du plan d'exécution, l'état du test change également.

Remarque : Si la dernière exécution du plan d'exécution est supprimée, l'état du test est redéfini sur l'état de la dernière exécution existante du plan d'exécution. Si l'exécution du plan d'exécution supprimée est la seule exécution existante du plan d'exécution, l'état du test est défini sur N/A, comme si le test venait d'être créé.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations


Attributs du plan d'exécution

Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux plans d'exécution. Vous pouvez utiliser les attributs pour le filtrage et l'établissement de rapports.
Remarque : L'héritage des attributs est similaire à l'héritage des propriétés et des critères de succès. Les attributs assignés à un nœud parent sont hérités dans tous les sous-dossiers et plans d'exécution enfants. Les attributs ne peuvent pas être définis pour le nœud du projet ni pour le nœud Tests non assignés.
  • Assignation d'attributs à un plan d'exécution
    Assignez un attribut à un plan d'exécution afin de pouvoir filtrer les catégories caractérisées par l'attribut spécifié et créer les rapports correspondants.
  • Modification d'attributs de plan d'exécution
    Modifiez un attribut de plan d'exécution afin de modifier les caractéristiques du plan d'exécution.
  • Suppression d'attributs d'un plan d'exécution
    Supprimez un attribut d'un plan d'exécution lorsque ce dernier n'est plus caractérisé par l'attribut.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations


Assignation d'attributs à un plan d'exécution

Pour assigner un attribut à un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution auquel vous voulez assigner un attribut.
  3. Dans la section Attributs, cliquez sur Ajouter un Attribut. La boîte de dialogue Ajouter des attributs s'affiche.
  4. Cliquez sur Supprimer dans la colonne Ajouter de l'attribut que vous voulez assigner. Selon le type d'attribut que vous avez sélectionné, une boîte de dialogue Modifier l'Attribut s'affiche, dans laquelle vous pouvez spécifier les valeurs d'attributs disponibles que vous voulez assigner au plan d'exécution.
  5. Sélectionnez la valeur de l'attribut et cliquez sur OK pour l'assigner au plan d'exécution.
Sujet parent : Attributs du plan d'exécution


Modification d'attributs de plan d'exécution

Pour modifier un attribut de plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution dont vous souhaitez modifier un attribut assigné.
  3. Dans la section Attributs, cliquez sur l’icône Modifier de l’attribut que vous souhaitez modifier. La boîte de dialogue Modifier l'Attribut s'affiche. Les options disponibles dans la boîte de dialogue Modifier l'Attribut varient en fonction du type d'attribut sélectionné.
  4. Sélectionnez la valeur requise, puis cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Attributs du plan d'exécution


Suppression d'attributs d'un plan d'exécution

Pour supprimer un attribut d'un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution dont vous souhaitez supprimer un attribut assigné.
  3. Dans la section Attributs, cliquez sur l'icône Supprimer de l'attribut que vous souhaitez supprimer. La boîte de dialogue de confirmation de suppression d'attribut s'affiche.
  4. Cliquez sur Oui afin de supprimer l'attribut.
    Remarque : Les attributs hérités et les attributs qui étaient déjà utilisés dans l'exécution d'un test ne peuvent pas être supprimés.
Sujet parent : Attributs du plan d'exécution


Paramètres du plan d'exécution

Pour appliquer une configuration spécifique à un plan d'exécution, vous pouvez remplacer les paramètres que vous avez assignés à un test dans la section Paramètres de la page Paramètres du plan d'exécution. Plus plus d'informations sur les paramètres de test, reportez-vous à la rubrique Paramètres de test.

  • Paramètres prédéfinis
    Silk Central donne des informations sur les propriétés du plan d'exécution lors des exécutions de test en tant que paramètres.
  • Création d'un paramètre de plan d'exécution
    Décrit comment ajouter un nouveau paramètre à un plan d'exécution.
  • Remplacement d'un paramètre de test
    Décrit le mode de remplacement des paramètres de test dans un plan d'exécution.
  • Suppression d'un paramètre de plan d'exécution
    Décrit comment supprimer un paramètre de plan d'exécution depuis un plan d'exécution.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Concepts associés
Paramètres de test


Création d'un paramètre de plan d'exécution

Pour ajouter un nouveau paramètre à un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Exécutions, sélectionnez le plan d'exécution auquel vous souhaitez ajouter un nouveau paramètre.
  3. Dans la section Paramètres, cliquez sur Nouveau Paramètre de Plan d'Exécution. La boîte de dialogue Nouveau Paramètre de Plan d'Exécution s'affiche.
  4. Renseignez les champs Nom et Valeur du nouveau paramètre. Les nouveaux paramètres sont toujours de type chaîne ; il est impossible de définir un autre type.
  5. Cliquez sur OK pour ajouter le paramètre au plan d'exécution.
    Remarque : Vous ne pouvez pas créer de paramètres de plan d'exécution possédant le même nom qu'un paramètre de test existant, inclus dans le plan d'exécution.
Pour tester les configurations, vous avez la possibilité de créer plusieurs plans d'exécution incluant les mêmes tests, puis de définir différentes configurations sur la page Paramètres. Les paramètres correspondant à différents tests de même nom et de même type ne s'affichent qu'une fois sur la page. Si plusieurs paramètres associés à différents tests ont le même nom, vous ne pouvez remplacer qu'un seul d'entre eux.
Sujet parent : Paramètres du plan d'exécution


Remplacement d'un paramètre de test

Si plusieurs paramètres de types différents mais avec le même nom existent dans les tests, vous pouvez n'en remplacer qu'un seul. Seules les valeurs des paramètres de même type et portant un nom identique sont remplacées par la nouvelle valeur au cours de l'exécution.

Pour remplacer un paramètre de test dans un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Exécutions, sélectionnez le plan d'exécution dans lequel vous voulez remplacer un paramètre de test.
  3. Dans la section Paramètres, cliquez sur l'image Spécifier la Valeur du Paramètre dans la colonne Actions du paramètre que vous souhaitez remplacer. La boîte de dialogue Spécifier la Valeur du Paramètre du Plan d'Exécution s'affiche.
  4. Dans le champ, saisissez la nouvelle Valeur.
  5. Cliquez sur OK.
Remarque : Cliquez sur Supprimer le Paramètre du Plan d'Exécution dans la colonne Actions du paramètre pour annuler le remplacement.
Sujet parent : Paramètres du plan d'exécution


Suppression d'un paramètre de plan d'exécution

Remarque : Vous ne pouvez pas supprimer des paramètres de tests dans un plan d'exécution. Vous pouvez uniquement supprimer des paramètres de plan d'exécution.

Pour supprimer un paramètre de plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Exécutions, sélectionnez le plan d'exécution dans lequel vous voulez supprimer un paramètre.
  3. Dans la section Paramètres, cliquez sur Supprimer des paramètres du plan d'exécution dans la colonne Actions du paramètre que vous souhaitez supprimer.
Sujet parent : Paramètres du plan d'exécution


Tests d'initialisation et de réinitialisation

Les fonctionnalités d'initialisation avant test et de réinitialisation après test de Silk Central permettent de définir un test d'initialisation et un test de réinitialisation pour chaque plan d'exécution. En général, les tests d'initialisation sont basés sur des scripts ou des procédures manuelles qui préparent les environnements dédiés en vue des tests. D'ordinaire, les tests de réinitialisation incluent des scripts ou des procédures manuelles qui restaurent l'état d'origine des environnements après les tests. Lorsque des tests d'initialisation sont abandonnés, les tests réguliers ne sont pas exécutés, mais les tests de réinitialisation le sont afin de restaurer l'état d'origine de l'environnement de test.

Vous devez créer vos tests d'initialisation et de réinitialisation avant de pouvoir les assigner à un plan d'exécution. Tout test peut faire office de test d'initialisation ou de réinitialisation, à l'exception des tests parents de plusieurs instances de tests pilotés par les données. Ils ne requièrent aucune configuration spéciale et peuvent être soit automatisés, soit manuels. Seule exigence, ils doivent exécuter les processus d'initialisation et de réinitialisation requis dans l'environnement de test. Dans le cas des tests automatisés, il s'agit de scripts qui exécutent les tâches d'initialisation et de réinitialisation requises. En ce qui concerne les tests manuels, il s'agit de tâches d'initialisation et de réinitialisation manuelles.

Remarque : Le défi à relever lors de l'exécution des tests d'initialisation et de réinitialisation est d'empêcher l'agrégation de leurs résultats avec ceux des tests réguliers qu'ils prennent en charge. Silk Central permet de résoudre ce problème en exécutant les tests d'initialisation et de réinitialisation, aussi bien automatisés que manuels, dans des plans d'exécution indépendants. Ainsi la distinction est faite entre les résultats effectifs des tests et les fluctuations de performances fortuites que les tests d'initialisation et de réinitialisation sont susceptibles de provoquer.
  • Combinaison de tests automatisés et manuels
    Décrit la façon dont Silk Central prend en charge un plan d'exécution qui inclut des combinaisons de tests automatisés et de tests manuels.
  • Configuration des exécutions d'initialisation et de réinitialisation
    Configurez les tests d'initialisation pour préparer les environnements de test à des tests et à des tests de réinitialisation, dans le but de rétablir leur état d'origine.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Concepts associés
Gestion des exécutions dans des environnements d'exécution externes
Exécution externe


Combinaison de tests automatisés et manuels

Silk Central prend en charge un plan d'exécution qui inclut des combinaisons de tests automatisés et de tests manuels. Pour ce type de plan d'exécution, Silk Central suspend l'exécution des tests réguliers, automatisés et manuels, jusqu'à la fin des tests de configuration. Silk Central vérifie également que tous les tests réguliers sont terminés avant d'exécuter les tests de réinitialisation.

Lorsque des tests manuels sont combinés avec des tests automatisés, ces derniers, sur tous les serveurs d'exécution, ne démarrent pas tant que les processus de configuration ne sont pas terminés. En ce qui concerne les tests de configuration manuels, les tests automatisés réguliers démarrent seulement après la fin des routines manuelles de configuration.

Sujet parent : Tests d'initialisation et de réinitialisation


Configuration des exécutions d'initialisation et de réinitialisation

Pour définir un test en tant que test d'initialisation ou de réinitialisation :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Cliquez sur le plan d'exécution dont vous souhaitez configurer un plan d'initialisation ou de réinitialisation.
  3. Dans la section Configuration de l'Exécution de Test, choisissez un test d'initialisation ou de réinitialisation :
    • Pour définir un test d'initialisation, cliquez sur Modifier (Modifier) sous Test d'initialisation. La boîte de dialogue Modifier le Test d'Initialisation s'affiche.
    • Pour définir un test d'initialisation, cliquez sur Modifier (Modifier) dans la section Test de Réinitialisation. La boîte de dialogue Modifier le Test de Réinitialisation s'affiche.
    Il est impossible d'assigner un test au même plan d'exécution qu'un test d'initialisation et un test régulier ou de réinitialisation. Les tests assignés peuvent provenir de n'importe quel conteneur de tests utilisé dans votre projet. Il est par conséquent possible d'assigner des tests associés à des applications et des profils de référentiel tiers différents de ceux de leurs plans d'exécution hôtes.
  4. Sélectionnez un test dans l'arborescence Tests.
  5. Cliquez sur OK.
Lorsque des tests en échec sont réexécutés, les routines d'initialisation et de réinitialisation correspondantes le sont également. Les tests d'initialisation et de réinitialisation ne sont pas mis en œuvre avec les Exécutions d'essai car ces dernières ne dépendent pas des plans d'exécution.
Sujet parent : Tests d'initialisation et de réinitialisation


Configuration d'environnements de déploiement

  • Page Déploiement de l'exécution
    Affiche tous les mots-clés relatifs à la fourniture de matériel qui sont définis pour le plan d'exécution, les utilisateurs assignés à l'exécution de tests manuels ainsi que les hôtes d'application sous test Silk Test Classic assignés à l'exécution de tests Silk Test Classic.
  • Ajout ou suppression de testeurs manuels
    Ajoutez ou supprimez un testeur manuel (à) des plans d'exécution qui incluent des tests manuels.
  • Processus dynamique de fourniture de matériel au moyen de mots-clés
    La technologie de la fourniture de matériel de Silk Central permet de gérer des environnements de tests qui incluent de nombreux serveurs d'exécution. Au lieu d'avoir à configurer une assignation de serveur d'exécution statique et directe pour chaque plan d'exécution automatisé, les mots-clés permettent à Silk Central de sélectionner automatiquement le serveur d'exécution le plus approprié pour chaque plan d'exécution. Cette opération s'effectue à l'aide d'une comparaison dynamique entre la liste de mots-clés de chaque plan d'exécution et les listes de mots-clés de tous les serveurs d'exécution actifs.
  • Exécution exclusive
    L'exécution exclusive définit si des tests attribués à d'autres plans d'exécution, ayant ce paramètre désactivé, peuvent être exécutés sur le même serveur d'exécution correspondant en même temps (Désactivé), ou si seuls les tests d'un seul plan d'exécution peuvent fonctionner en même temps (Activé).
  • Exécution distribuée
    L'exécution distribuée définit si les tests d'un plan d'exécution sont exécutés séquentiellement sur le serveur d'exécution sélectionné (Désactivé) ou s'ils sont distribués sur tous les serveurs d'exécution correspondants et exécutés en parallèle (Activé).
  • Exécution externe
    Décrit comment exécuter des suites de tests dans un système tiers externe, tout en conservant les tests automatisés et résultats correspondants dans Silk Central.
  • Sélection des appareils mobiles pour les tests automatisés
    Sélectionnez un appareil mobile (appareil physique, émulateur ou simulateur) sur lequel exécuter votre plan d’exécution.
  • Analyse de Code
    Décrit l'analyse de la couverture de code avec Silk Central.
  • Ajout d'un hôte pour l'application sous test Silk Test Classic
    Ajoutez un hôte pour l'application sous test Silk Test Classic lorsque l'agent Silk Test Classic se trouve sur un ordinateur autre que le serveur d'exécution.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations


Page Déploiement de l'exécution

Organisation des Exécutions > Vue Détaillée > <plan d'exécution> > Déploiement

La page Déploiement affiche tous les mots-clés relatifs à la fourniture de matériel qui sont définis pour le plan d'exécution. Ces mots-clés sont utilisés dans le plan pour décrire les exigences liées à l'environnement d'exécution. Un serveur d'exécution correspond uniquement au plan d'exécution automatisé qui est sélectionné si tous les mots-clés requis par le plan d'exécution lui sont assignés. La page Déploiement affiche également les utilisateurs assignés à l'exécution de tests manuels, ainsi que les hôtes d'application sous test Silk Test Classic assignés à l'exécution de tests Silk Test Classic.

Remarque : Les nouveaux serveurs d'exécution sont configurés dans Administration > Serveurs d'Exécution. Pour plus d'informations sur la configuration d'un serveur d'exécution, reportez-vous à la rubrique Configuration des serveurs d'exécution.

Exécution de test manuel

Répertorie tous les testeurs manuels qui sont assignés à ce plan d'exécution ou dossier. Cliquez sur Modifier pour modifier la liste des testeurs manuels. Pour plus d'informations, reportez-vous à la rubrique Ajout ou suppression de testeurs manuels.

Exécution de test automatisé

La page Déploiement présente les éléments suivants dans la section Exécution de Test Automatisé :
Elément | Description
Mots-clés assignés
Répertorie les mots-clés assignés au plan d'exécution.
Plans d'exécution automatisés
Les mots-clés sont utilisés pour identifier automatiquement un serveur d'exécution approprié pour chaque exécution de test.
Exécution externe
Les mots-clés assignés sont considérés uniquement pour la sélection d'un serveur d'exécution pour les tests automatisés d'initialisation et de nettoyage.
Plans d'exécution manuels
Les mots-clés sont utilisés par le testeur manuel pour représenter l'environnement de test.
Pour plus d'informations, reportez-vous à la rubrique Assignation de mots-clés à un plan d'exécution.
Liste de serveurs d'exécution potentiels basée sur mots-clés pour le déploiement au moment de l'exécution | Répertorie les serveurs d'exécution actifs dont les listes de mots-clés correspondent à celle de ce plan d'exécution. Tous les mots-clés de la liste du plan d'exécution doivent être inclus dans la liste de mots-clés du serveur d'exécution. Cliquez sur le nom d'un serveur d'exécution dans la liste pour accéder à la liste des serveurs d'exécution dans Administration > Serveurs d'Exécution.
Exécution exclusive des tests assignés | L'exécution exclusive définit si des tests attribués à d'autres plans d'exécution, ayant ce paramètre désactivé, peuvent être exécutés sur le même serveur d'exécution correspondant en même temps (Désactivé), ou si seuls les tests d'un seul plan d'exécution peuvent fonctionner en même temps (Activé). La désactivation de l'exécution exclusive réduit le temps d'exécution nécessaire. Elle est particulièrement utile pour les tests mobiles, permettant l'exécution simultanée de plans d'exécution sur plusieurs appareils pour un fournisseur d'appareil. Aucune modification de votre configuration d'exécution actuelle n'est nécessaire lors de la désactivation de l'exécution exclusive. Pour plus d'informations, reportez-vous à la rubrique Exécution exclusive.
Exécution distribuée des tests assignés | L'exécution distribuée définit si les tests d'un plan d'exécution sont exécutés séquentiellement sur le serveur d'exécution sélectionné (Désactivé) ou s'ils sont distribués sur tous les serveurs d'exécution correspondants et exécutés en parallèle (Activé). Aucune modification de votre configuration d'exécution actuelle n'est nécessaire lors de l'activation de l'exécution distribuée. Pour plus d'informations, reportez-vous à la rubrique Exécution distribuée.
Exécution externe des tests assignés | L'activation du mode d'exécution externe pour un plan d'exécution permet d'exécuter des suites de tests dans un système tiers externe, tout en conservant les tests automatisés et résultats correspondants dans Silk Central. Pour plus d'informations, reportez-vous à la rubrique Exécution externe.
Enregistrement vidéo
Définit si une vidéo est enregistrée pendant la mise en œuvre du plan d'exécution. Ce paramètre remplace les paramètres d'enregistrement vidéo des tests individuels qui sont assignés au plan d'exécution. Vous pouvez sélectionner une des valeurs suivantes :
Valeur
Description
---
L'enregistrement vidéo est désactivé, sauf dans le cas des tests assignés pour lesquels le paramètre recordVideo est défini.
Jamais
L'enregistrement vidéo est toujours désactivé, même dans le cas des tests assignés pour lesquels le paramètre recordVideo est défini.
Toujours
Enregistre une vidéo pour chaque mise en œuvre du plan d'exécution.
En cas d'erreur
Enregistre une vidéo si une erreur se produit au cours de la mise en œuvre du plan d'exécution.
Pour plus d'informations, reportez-vous à la rubrique Capture vidéo.
Capture d'écran
Définit si une capture d'écran est créée au cours de la mise en œuvre du plan d'exécution. Ce paramètre annule les paramètres de capture d'écran des tests individuels qui sont assignés au plan d'exécution. Vous pouvez sélectionner une des valeurs suivantes :
Valeur
Description
---
La fonction de capture d'écran est désactivée, sauf dans le cas des tests assignés pour lesquels le paramètre captureScreen est défini.
Jamais
L'enregistrement vidéo est toujours désactivé, même dans le cas des tests assignés pour lesquels le paramètre captureScreen est défini.
En cas d'erreur
Crée une capture d'écran si une erreur se produit au cours de la mise en œuvre du plan d'exécution.
Pour plus d'informations, reportez-vous à la rubrique Capture d'écran.
Condition d'arrêt de l'exécution
Détermine l'arrêt ou la poursuite de l'exécution en cas d'échec ou de non-exécution d'un test. Ce paramètre est particulièrement utile lorsqu'il n'est pas logique de poursuivre l'exécution d'un test dans le cas ou même un seul test échoue. Vous pouvez utiliser ce paramètre pour économiser vos ressources et pour être prévenu plus rapidement en cas d'échec d'un test. Vous pouvez sélectionner une des valeurs suivantes :
Valeur
Description
---
L'exécution se poursuit même si un test n'est pas exécuté ou s'il échoue.
En cas d'erreur
L'exécution s'arrête dès le premier échec d'un test.
Non exécuté
L'exécution s'arrête dès le premier test non exécuté.
En cas d'erreur ou de non exécution
L'exécution s'arrête dès le premier test en échec ou non exécuté.
Remarque : si une exécution est interrompue, les résultats des test réussis sont conservés. les packages de test (ainsi que tous les tests subordonnés) seront toujours exécutés jusqu'au bout et ne seront jamais interrompus. Les tests pilotés par les données seront en revanche arrêtés immédiatement en cas d'échec d'un test subordonné.
Nom d'Hôte pour l'application sous test Silk Test Classic

Répertorie tous les hôtes d'application sous test Silk Test Classic qui sont définis pour ce plan d'exécution. Cliquez sur Modifier pour modifier la liste des hôtes d'application sous test Silk Test Classic. Pour plus d'informations, reportez-vous à la rubrique Ajout d'un hôte pour l'application sous test Silk Test Classic.

Sélection de l'appareil mobile

Indique l’appareil mobile ayant été sélectionné pour exécuter le plan d’exécution sélectionné. Cliquez sur Modifier pour sélectionner un autre appareil. Notez que le fournisseur d’appareil et le projet en cours doivent être assignés au même emplacement. Les appareils risquent sinon ne pas apparaître dans la liste. Pour plus d'informations, reportez-vous à la rubrique Gestion des fournisseurs d’appareil.

Paramètres d'analyse de code

Détaille les paramètres d'analyse du code qui sont définis pour ce plan d'exécution. Cliquez sur Actif/Inactif afin d'activer ou de désactiver l'analyse du code pour ce plan d'exécution. Pour plus d'informations, reportez-vous à la rubrique Analyse de code.

Sujet parent : Configuration d'environnements de déploiement
Concepts associés
Capture vidéo


Ajout ou suppression de testeurs manuels

Pour des plans d'exécution qui incluent des tests manuels, la page Déploiement permet d'assigner des utilisateurs en tant que testeurs manuels à un plan d'exécution. Vous pouvez assigner plusieurs testeurs manuels au plan d’exécution.

Pour assigner un testeur manuel à un plan d'exécution ou supprimer un testeur du plan d'exécution sélectionné, procédez comme suit :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez le plan d'exécution à modifier.
  3. Cliquez sur l'onglet Déploiement.
  4. Dans la section Exécution de Tests Manuels, cliquez sur Modifier. La boîte de dialogue Ajouter/Supprimer des testeurs s'affiche.
  5. Dans la liste Disponible, sélectionnez le groupe d'utilisateurs que vous voulez utiliser.
  6. Ajoutez ou supprimez des testeurs :
    • Sélectionnez un ou plusieurs utilisateurs dans la liste Disponible, puis cliquez sur Ajouter ou Ajouter tout.
    • Sélectionnez un ou plusieurs utilisateurs dans la liste Sélectionné, puis cliquez sur Supprimer ou Supprimer Tout.
    Vous pouvez sélectionner plusieurs utilisateurs avec les combinaisons Ctrl + clic ou Maj + clic.
  7. Cliquez sur OK pour fermer la boîte de dialogue Ajouter/Supprimer des Testeurs.
Sujet parent : Configuration d'environnements de déploiement


Processus dynamique de fourniture de matériel au moyen de mots-clés

La technologie de la fourniture de matériel de Silk Central permet de gérer des environnements de tests qui incluent de nombreux serveurs d'exécution. Au lieu d'avoir à configurer une assignation de serveur d'exécution statique et directe pour chaque plan d'exécution automatisé, les mots-clés permettent à Silk Central de sélectionner automatiquement le serveur d'exécution le plus approprié pour chaque plan d'exécution. Cette opération s'effectue à l'aide d'une comparaison dynamique entre la liste de mots-clés de chaque plan d'exécution et les listes de mots-clés de tous les serveurs d'exécution actifs.
  • Concepts relatifs aux mots-clés
    En général, les mots-clés décrivent les exigences de votre environnement d'exécution, par exemple une plate-forme, un système d'exploitation et des applications préinstallées. Les mots-clés peuvent être utilisés de différentes façons, selon que le plan d'exécution est exécuté automatiquement ou manuellement.
  • Création de mots-clés
    Créez des mots-clés afin de décrire l'environnement d'exécution.
  • Assignation de mots-clés à un plan d'exécution
    Assignez des mots-clés à un plan d'exécution pour décrire l'environnement d'exécution.
  • Suppression de mots-clés dans les plans d'exécution
    Supprimez des mots-clés dans un plan d'exécution lorsque ceux-ci ne décrivent plus l'environnement d'exécution.
Sujet parent : Configuration d'environnements de déploiement


Concepts relatifs aux mots-clés

En général, les mots-clés décrivent les exigences de votre environnement d'exécution, par exemple une plate-forme, un système d'exploitation et des applications préinstallées. Les mots-clés peuvent être utilisés de différentes façons, selon que le plan d'exécution est exécuté automatiquement ou manuellement.
Plans d'exécution automatisés
Quand un plan d'exécution automatisé est mis en œuvre, Silk Central compare ses mots-clés avec ceux de tous les serveurs d'exécution disponibles. L'exécution est alors lancée sur le premier serveur d'exécution identifié possédant une liste de mots-clés correspondante.
Plans d'exécution manuels
Pour les plans d'exécution manuels, le testeur manuel peut représenter l'environnement de test à l'aide de mots-clés.

Si un plan d'exécution automatisé doit être mis en œuvre sur plusieurs serveurs d'exécution, créez une copie du plan d'exécution et assignez des mots-clés supplémentaires au plan d'exécution correspondant à d'autres serveurs d'exécution.

Mots-clés réservés

Si le processus de fourniture de matériel n'est pas requis pour exécuter des plans d'exécution automatisés, vous pouvez utiliser les mots-clés réservés créés automatiquement pour chaque serveur d'exécution. Dans ce cas, il n'est pas nécessaire d'assigner manuellement les mots-clés à vos serveurs d'exécution. Au lieu de cela, vous pouvez configurer une assignation de serveur d'exécution statique et directe pour chaque plan d'exécution.

Un mot-clé réservé est assigné automatiquement à chaque serveur d'exécution nouvellement créé. Les mots-clés réservés sont structurés de la façon suivante : #<execution server name>@<location name>.

Les mots-clés réservés sont disponibles uniquement lors de l'assignation de mots-clés aux plans d'exécution.

En plus des mots-clés réservés automatiquement définis pour chaque serveur d'exécution, des mots-clés réservés sont aussi définis pour chaque type de serveur d'exécution :
#PHYSICAL
Limite la fourniture de serveurs d'exécution aux serveurs d'exécution physiques.
#VIRTUAL
Limite la fourniture de serveurs d'exécution aux serveurs d'exécution virtuels.

Mots-clés et serveurs d'exécution virtuels

Les mots-clés sont assignés aux serveurs d'exécution virtuels de la même façon qu'ils le sont aux serveurs d'exécution physiques. Lorsque vous configurez au moins un serveur d'exécution virtuel, le mot-clé #VIRTUAL est créé de façon dynamique et rendu disponible pour l'affectation à tous les plans d'exécution. Si vous préférez qu'un plan d’exécution soit exécuté sur une machine virtuelle, sélectionnez le mot-clé #VIRTUAL pour le plan d'exécution. Si un plan d'exécution ne présente ni le mot-clé #VIRTUAL ni le mot-clé #PHYSICAL, l'exécution a lieu sur un serveur d'exécution virtuel ou physique, à condition que les paramètres des environnements d'exécution soient identiques. Lorsque les mots-clés d'un test correspondent à plusieurs serveurs d'exécution virtuels, le premier serveur d'exécution virtuel correspondant identifié est sélectionné.

Exécution de dossiers

Les plans d'exécution peuvent être regroupés dans des dossiers d'exécution, où un dossier peut inclure des sous-dossiers d'exécution et des plans d'exécution. Les options associées à une exécution de plan d'exécution sont également disponibles pour une exécution de dossier d'exécution.

Lors de l'exécution d'un dossier, les sous-dossiers et les plans d'exécution inclus sont considérés comme suit :
Mots-clés du dossier exécuté | Mots-clés du sous-dossier/plan d'exécution inclus | Exécution du sous-dossier/plan d'exécution inclus
Ne possède aucun mot-clé | Ne possède aucun mot-clé | Un plan d'exécution ne possédant aucun mot-clé passe à l'état NON EXECUTE après l'exécution
Ne possède aucun mot-clé | Possède des mots-clés | Les serveurs d'exécution sont assignés en fonction des mots-clés du sous-dossier/plan d'exécution
Possède des mots-clés | Ne possède aucun mot-clé | Les serveurs d'exécution sont assignés en fonction des mots-clés du dossier
Possède des mots-clés | Possède des mots-clés | Les serveurs d'exécution sont assignés en fonction des mots-clés du dossier
Remarque : Lorsqu'un dossier est exécuté manuellement et qu'aucun mot-clé ne lui est assigné, ou s'il n'existe aucun serveur d'exécution pour les mots-clés assignés, ces plans d'exécution sont marqués comme Non Exécuté.
Sujet parent : Processus dynamique de fourniture de matériel au moyen de mots-clés


Création de mots-clés

Pour créer des mots-clés :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez le plan d'exécution à modifier.
  3. Cliquez sur l'onglet Déploiement.
  4. Dans la section Environnement d'exécution de la page, cliquez sur Modifier. La boîte de dialogue Assigner des mots-clés s'affiche. Tous les mots-clés qui ont été définis pour votre environnement d'exécution sont répertoriés ici.
    Remarque : Les mots-clés réservés par défaut pour chaque serveur d'exécution, #<execution server name>@<location name>, sont inclus dans la liste.
  5. Dans la zone de texte Mot-clé, entrez un mot-clé alphanumérique décrivant l'environnement requis pour le plan d'exécution.

    Par exemple, il peut s'agir du nom de la plate-forme, du système d'exploitation ou des applications préinstallées. Les caractères suivants ne peuvent pas être utilisés dans les mots-clés : #$?*\,;'".

    Remarque : Les mots-clés ne sont pas sensibles à la casse. Par exemple, les mots-clés « Vista » et « vista » sont considérés comme identiques.
  6. Appuyez sur Entrée. Le nouveau mot-clé peut maintenant être assigné.
Sujet parent : Processus dynamique de fourniture de matériel au moyen de mots-clés


Assignation de mots-clés à un plan d'exécution

Pour assigner des mots-clés à un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez le plan d'exécution à modifier.
  3. Cliquez sur l'onglet Déploiement.
  4. Dans la section Environnement d'exécution de la page, cliquez sur Modifier. La boîte de dialogue Assigner des mots-clés s'affiche. Tous les mots-clés qui ont été définis pour votre environnement d'exécution sont répertoriés ici.
    Remarque : Les mots-clés réservés par défaut pour chaque serveur d'exécution, #<execution server name>@<location name>, sont inclus dans la liste.
  5. Sélectionnez un mot-clé dans la liste Sélectionner ou saisir des mots-clés ou saisissez directement un nouveau mot-clé. Sélectionnez plusieurs mots-clés avec les combinaisons Ctrl + clic ou Maj + clic.
    Conseil : Le champ Sélectionner ou saisir des mots-clés utilise la saisie semi-automatique. Lorsque vous saisissez des caractères alphanumériques dans ce champ, ce dernier est mis à jour de façon dynamique avec un mot-clé existant qui correspond aux caractères saisis. Le champ est désactivé lorsque plusieurs mots-clés sont sélectionnés dans les listes Sélectionner ou saisir des mots-clés ou Mots-clés assignés.
    Conseil : Si vous disposez uniquement de quelques serveurs d'exécution et n'avez pas besoin de fourniture de matériel, l'utilisation des mots-clés réservés par défaut qui sont créés pour chaque serveur d'exécution peut suffire. Dans ce cas, il n'est pas nécessaire de sélectionner des mots-clés supplémentaires.
  6. Cliquez sur > pour déplacer des mots-clés vers la liste Mots-clés assignés. Cliquez sur < pour retirer des mots-clés de la liste. Vous pouvez également double-cliquer sur les mots-clés pour les déplacer d'une liste à l'autre.
    Remarque : Les serveurs d'exécution qui correspondent aux mots-clés assignés sont répertoriés ci-dessous dans la liste Serveurs d'exécution correspondants mise à jour de façon dynamique. Cette liste se met à jour chaque fois que vous ajoutez ou supprimez un mot-clé. Dans la liste, cliquez sur le nom d'un serveur d'exécution pour accéder aux serveurs d'exécution disponibles dans Administration > Serveurs d'Exécution.
  7. Cliquez sur OK pour enregistrer les mots-clés et fermer la boîte de dialogue Assigner des mots-clés.
Sujet parent : Processus dynamique de fourniture de matériel au moyen de mots-clés


Suppression de mots-clés dans les plans d'exécution

Pour supprimer les assignations de mots-clés dans un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez le plan d'exécution à modifier.
  3. Cliquez sur l'onglet Déploiement.
  4. Dans la section Environnement d'exécution de la page, cliquez sur Modifier. La boîte de dialogue Assigner des mots-clés s'affiche. Tous les mots-clés qui ont été définis pour votre environnement d'exécution sont répertoriés ici.
    Remarque : Les mots-clés réservés par défaut pour chaque serveur d'exécution, #<execution server name>@<location name>, sont inclus dans la liste.
  5. Sélectionnez les mots-clés dont vous n'avez plus besoin dans la liste Mots-clés assignés. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic pour sélectionner plusieurs mots-clés.
  6. Cliquez sur < pour supprimer les assignations de mots-clés.
  7. Cliquez sur OK pour enregistrer les mots-clés et fermer la boîte de dialogue Assigner des mots-clés.
Remarque : Les mots-clés qui ne sont plus utilisés sont automatiquement supprimés du système.
Sujet parent : Processus dynamique de fourniture de matériel au moyen de mots-clés


Exécution exclusive

L'exécution exclusive définit si des tests attribués à d'autres plans d'exécution, ayant ce paramètre désactivé, peuvent être exécutés sur le même serveur d'exécution correspondant en même temps (Désactivé), ou si seuls les tests d'un seul plan d'exécution peuvent fonctionner en même temps (Activé). La désactivation de l'exécution exclusive réduit le temps d'exécution nécessaire. Elle est particulièrement utile pour les tests mobiles, permettant l'exécution simultanée de plans d'exécution sur plusieurs appareils pour un fournisseur d'appareil. Aucune modification de votre configuration d'exécution actuelle n'est nécessaire lors de la désactivation de l'exécution exclusive.

Avant d'activer l'exécution parallèle, tenez compte des points suivants :
  • Tous les types de tests Silk Central prennent en charge l'exécution parallèle, sauf Silk Test Classic, le plan Silk Test Classic et Silk Performer.
  • Vos scripts de test ne doivent pas interférer les uns avec les autres lorsqu'ils sont exécutés sur le même ordinateur en même temps. Cela signifie qu'ils ne doivent pas écrire des données dans un dossier commun et que l'application soumise au test doit prendre en charge les actions scriptées en parallèle.
  • Le Dossier de travail commun dans le profil de contrôle source utilisé doit être vide. Cela permet à Silk Central d'utiliser un dossier de travail temporaire.
  • Si un plan d'exécution s'exécute sur un serveur d'exécution, pour lequel le paramètre d'exécution exclusive est activé, aucun autre plan d'exécution n'est exécuté en parallèle, quelle que soit sa configuration.
  • Aucune vidéo ne sera disponible si un autre plan d'exécution est déjà en cours d'enregistrement dans une exécution parallèle.
  • Pour plus d'informations sur l'exécution des tests Silk Test en parallèle, reportez-vous à la documentation suivante :
    • Exécution de tests Silk Test Workbench en parallèle
    • Exécution de tests Silk4J en parallèle
    • Exécution de tests Silk4NET en parallèle
Sujet parent : Configuration d'environnements de déploiement


Exécution distribuée

L'exécution distribuée définit si les tests d'un plan d'exécution sont exécutés séquentiellement sur le serveur d'exécution sélectionné (Désactivé) ou s'ils sont distribués sur tous les serveurs d'exécution correspondants et exécutés en parallèle (Activé). Aucune modification de votre configuration d'exécution actuelle n'est nécessaire lors de l'activation de l'exécution distribuée.

Avant d'activer l'exécution distribuée, tenez compte des points suivants :
  • Si les tests individuels d'un plan d'exécution ont un temps d'exécution très court, l'activation de l'exécution distribuée n'améliorera pas le temps d'exécution global car les coûts administratifs du déploiement des tests, de la gestion du contrôle source et de la récupération des résultats l'emporteront sur les avantages de l'exécution des tests en parallèle.
  • Tous les types de tests Silk Central prennent en charge l'exécution distribuée.
  • Aucune information de couverture de code ne sera disponible si un autre test est déjà en cours d'enregistrement sur le même serveur d'exécution.
  • Aucune vidéo ne sera disponible si un autre test est déjà en cours d'enregistrement sur le même serveur d'exécution.
  • Si l'un des tests a une condition d'arrêt d'exécution, tous les tests en cours d'exécution, qui ne sont pas encore commencés, sont arrêtés si cette condition est remplie. Les tests en cours d'exécution sont définis sur En échec, alors que les tests pas encore commencés sont définis sur Non exécuté. Les tests déjà définis sur Réussi avant que la condition soit remplie conservent ce statut.
  • Les serveurs d'exécution virtuels ne sont pas pris en compte pour l'exécution distribuée.
Sujet parent : Configuration d'environnements de déploiement


Exécution externe

L'activation du mode d'exécution externe pour un plan d'exécution permet d'exécuter des suites de tests dans un système tiers externe, tout en conservant les tests automatisés et résultats correspondants dans Silk Central.

L'environnement d'exécution externe obtient les données de test et transfère les résultats de test vers Silk Central à l'aide d'une API REST dont une documentation interactive est disponible à l'adresse host:port[/inst]/Services1.0/swagger-ui.html.

Grâce aux appels de l'API REST, les clients peuvent obtenir les exécutions de plan d'exécution en attente ainsi que les détails des tests tels que les mots-clés, attributs et paramètres. En outre, ils peuvent appliquer les résultats et les fichiers de résultats à Silk Central à l'issue de l'exécution de ces tests.

En mode d'exécution externe, aucun serveur d'exécution n'est nécessaire pour exécuter des tests, sauf en cas de présence d'un test automatisé d'initialisation ou de nettoyage. Un test d'initialisation pour une exécution de plan d'exécution externe est un script personnalisé qui prépare l'environnement d'exécution externe et qui lance l'exécution externe de la suite de tests. Un test de nettoyage pour une exécution de plan d'exécution externe peut être réalisé pour réserver le serveur d'exécution et l'environnement d'exécution jusqu'à la fin de l'exécution. Les tests automatisés d'initialisation et de nettoyage sont toujours exécutés sur un serveur d'exécution Silk Central. Vous pouvez utiliser la variable d'environnement #sctm_regular_execdef_run_id dans un test d'initialisation pour accéder directement à l'exécution de plan d'exécution externe associée dans vos demandes d'API.

L'utilisation d'un test d'initialisation augmente l'efficacité de vos exécutions de plan d'exécution externes. Sans test d'initialisation, le système externe peut soit interroger souvent les exécutions de plan d'exécution en attente, soit démarrer directement un plan d'exécution via l'API.

Vous pouvez activer le mode d'exécution externe dans la Page Déploiement de l'exécution.

Sujet parent : Configuration d'environnements de déploiement
Concepts associés
Gestion des exécutions dans des environnements d'exécution externes
Tests d'initialisation et de réinitialisation


Sélection des appareils mobiles pour les tests automatisés

Pour sélectionner un appareil mobile (appareil physique, émulateur ou simulateur) sur lequel exécuter votre plan d’exécution, vous devez préalablement configurer un fournisseur pour l’appareil.Notez que le fournisseur d’appareil et le projet en cours doivent être assignés au même emplacement. Les appareils risquent sinon ne pas apparaître dans la liste. Pour plus d'informations, reportez-vous à la rubrique Gestion des fournisseurs d’appareil.
Pour sélectionner un appareil mobile :
  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d’Exécution, sélectionnez le plan d'exécution pour lequel vous voulez sélectionner un appareil mobile.
  3. Cliquez sur l'onglet Déploiement.
  4. Dans la section Sélection d’un appareil mobile, cliquez sur Modifier. La boîte de dialogue Sélectionner l’appareil s'affiche.
  5. Sélectionnez un appareil mobile, un filtre d’appareil ou une application native :
    • Pour sélectionner un appareil spécifique, utilisez la liste située à droite.
    • Pour sélectionner un filtre d’appareil, sélectionnez Tout appareil dans la liste située à droite. Modifiez ce filtre en utilisant le champ Rechercher ainsi que les listes Plate-forme et Application situées à gauche.
      Conseil : Utilisez le champ de recherche pour trouver des types d’appareil spécifiques, par exemple en effectuant une recherche sur Emulateur ou Simulateur.
    • Pour installer une application native sur l’appareil mobile à des fins de tests, sélectionnez Application native dans la liste Application sur la gauche et spécifiez l’URL ou le chemin UNC de l’application dans le champ situé en dessous (iOS requiert une URL). Exemple : \\fileserver\apps\testapp.apk
  6. Facultatif : Si vous voulez exclure les émulateurs et les simulateurs de votre sélection, cochez la case Utiliser uniquement les appareils physiques.
  7. Facultatif : Cochez la case Masquer les appareils utilisés ou bloqués pour n’afficher que les appareils actuellement disponibles. Cela s’avère particulièrement utile si vous voulez exécuter immédiatement un plan d’exécution ou un test manuel.
  8. Cliquez sur OK pour enregistrer votre sélection.
Lors de l’exécution, l’appareil sélectionné ou le premier appareil correspondant à un filtre sera utilisé et bloqué jusqu’à la fin du plan d’exécution. Si l’appareil sélectionné n’est pas disponible ou qu’aucun filtre ne correspond aux appareils disponibles, la tâche d’exécution reste dans la file d’attente jusqu’à ce qu’un serveur d’exécution approprié et un appareil mobile deviennent disponibles. Les appareils Sauce Labs ne sont pas réellement des appareils uniques, mais plutôt des types d'appareils, pour éviter tout blocage pendant l'exécution.

Pour changer ou supprimer ultérieurement la sélection de votre appareil mobile, utilisez respectivement les boutons Modifier et Supprimer.

Sujet parent : Configuration d'environnements de déploiement


Analyse de Code

La couverture de code classique a pour but de fournir des informations sur le code couvert par les tests. En général, cette approche est utilisée pour obtenir des informations sur la couverture de code pour les tests d'unité. La fonctionnalité d'analyse de code dans Silk Central va bien au-delà et fournit des données pour les tests d'unité, fonctionnels et de charge, automatisés et manuels, dans des environnements gérés. Les mesures de couverture de code servent à suivre l'avancement des tests et aident à les planifier. Dans Silk Central, cette approche novatrice de la couverture du code tire parti de la relation entre des tests spécifiques et le code testé. Elle permet d'analyser l'impact/la dépendance des changements de code par rapport au test. Elle permet également d'optimiser vos tests, en vous aidant à identifier les exécutions de tests les plus pertinentes par rapport à un changement de code spécifique.

L'unité Analyse de Code propose des données de couverture de code pour les applications sous test, les packages/espaces de noms, les classes, les méthodes et les déclarations. Cela permet de réaliser une analyse d'impact sur les tests, qui détermine les tests à exécuter en réponse à des changements de code spécifiques. Cela permet aussi d'effectuer une analyse d'effort, qui détermine le nombre d'heures de tests automatisés et manuels requises pour couvrir ces changements de façon adéquate. Chacune de ces tâches d'analyse de code peut être effectuée en exécutant des rapports préconfigurés. L'unité dispose d'une arborescence de navigation qui répertorie toutes les applications créées pour le projet sélectionné. Vous pouvez effectuer une exploration en détail des applications afin de sélectionner des versions spécifiques et, au niveau le plus bas, des builds spécifiques.

  • Activation de l'analyse de code
    Décrit comment activer l'analyse de code avec Silk Central.
  • Page de détails sur l'analyse de code
    Affiche les informations relatives à la couverture de code pour les applications, versions et builds sélectionnés au niveau de l'application, du package et de la classe.
  • Derniers builds et versions de build
    Explique comment obtenir des informations de couverture pour les derniers builds et versions couverts.
  • Génération de rapports d'impact des changements sur le code
    Générez un rapport d'impact des changements sur le code pour afficher tous les tests qui couvrent un jeu de classes.
  • Boîte de dialogue Sélectionnez les Classes Pour le Rapport
    Décrit le contenu de la boîte de dialogue Sélectionnez les Classes Pour le Rapport.
  • Consultation des informations sur la couverture de code pour les Packages/Espaces de noms
    Décrit comment consulter les informations sur la couverture de code pour les packages/espaces de noms.
Sujet parent : Configuration d'environnements de déploiement
Sujet parent : Rapports


Activation de l'analyse de code

Vous devez configurer Silk Central pour collecter les données de couverture de code d'une application testée. Vous pouvez configurer autant de plans d'exécution que nécessaire, répertoriés dans Exécutions > Vue Détaillée > Déploiement.
Conseil : Assurez-vous que seuls les tests activés pour la couverture de code ont accès à votre application testée et qu'aucun autre test n'est exécuté en parallèle. Vous garantissez ainsi que les données de couverture de code sont correctes et qu'elles pourront plus tard être assignées à un test spécifique.
  • Options d'analyse du code Java
    Décrit les options d'analyse du code disponibles pour les versions de Java prises en charge.
  • Analyse du code .NET
    Décrit la configuration requise pour l'analyse du code .NET.
  • Activation de l'analyse de code pour les plans d'exécution
    Activez l'analyse de code pour un plan d'exécution afin de suivre la progression du test.
Sujet parent : Analyse de Code


Options d'analyse du code Java

Pour utiliser l'analyse du code Java dans le cadre d'une application sous test, vous devez exécuter la JVM de l'application sous test avec un agent Java. La version 1.7 ou ultérieure de Java Runtime Environment (JRE) est requise. Vous pouvez utiliser les options suivantes pour toutes les versions de Java prises en charge :
Option
Description
port=19129
Facultatif : Port du service de couverture de code. Lorsqu'aucun port n'est spécifié, le port 19129 est utilisé.
coveragepath=[path1],[path2], ...
Chemins d'accès aux fichiers .jar qui sont couverts par l'agent. Si un chemin contient des espaces, vous devez utiliser des guillemets. Par exemple : coveragepath="C:\Program Files\YourApplication\". Si un dossier est spécifié, l'agent recherche de façon récursive tous les fichiers .class dans ce dossier. Si un dossier finissant par un caractère générique est spécifié, l'agent recherche les fichiers .jar dans ce dossier. Si vous exécutez l'agent sans spécifier de chemin de couverture, l'opération n'est pas valide.
java -javaagent:agent.jar=coveragepath=
"C:Program Files\YourApplication\" Aut.jar
includes=[package1]:[package2]:[package3]: ...
Facultatif : seuls les packages qui correspondent à ces packages sont pris en compte pour la couverture. Les caractères génériques (*) peuvent être utilisés pour spécifier les packages inclus.
java -javaagent:agent.jar=includes=com.borland.* AUT.jar
excludes=[package1]:[package2]:[package3]: ...
Facultatif : les packages spécifiés dans l'option d'exclusion sont ignorés pour la couverture de code. Les caractères génériques (*) peuvent être utilisés pour spécifier les packages exclus.
java -javaagent:agent.jar=includes=com.borland.*;
excludes=com.borland.internal* AUT.jar
Remarque : Lorsque les inclusions et les exclusions sont spécifiées dans les filtres, les exclusions sont évaluées en premier. Si une classe est incluse et exclue par le biais de filtres, elle sera exclue. Aucune donnée de couverture ne sera générée pour cette classe. Si l'option de filtre n'est pas spécifiée, les données de couverture sont générées pour toutes les classes utilisées, à moins que l'option du profil de couverture ne soit définie, auquel cas les données de couverture sont générées pour toutes les classes du profil.

Exemple d'analyse du code Java

Exemple pour Windows :
"<java_home_directory>\bin\java" -javaagent:agent.jar=port=19129;
coveragepath=C:\dev\deploy\lib\library1.jar,C:\dev\deploy\lib\library2.jar;
includes=com.borland.*;excludes=com.borland.internal.* com.borland.MyApplication
Exemple pour Linux (guillemets inclus) :
"<java_home_directory>/bin/java" -javaagent:agent.jar="port=19129;
coveragepath=/tmp/dev/deploy/lib/library1.jar,/tmp/dev/deploy/lib/library2.jar;
includes=com.borland.*;excludes=com.borland.internal.*" com.borland.MyApplication
Sujet parent : Activation de l'analyse de code


Analyse du code .NET

  • Installation de l'atelier d'analyse de code Windows et DevPartner Analytics
    Décrit comment installer l'atelier d'analyse de code Windows et DevPartner Analytics.
  • Test manuel et analyse de code .NET
    Décrit les principales étapes à suivre pour utiliser la couverture de code DevPartner.
  • Test automatisé et analyse de code .NET
    Décrit comment structurer vos tests en vue de leur automatisation.
  • Utilisation de DPAnalysis.exe
    Décrit le mode d'utilisation de dpanalysis.exe.
Sujet parent : Activation de l'analyse de code


Installation de l'atelier d'analyse de code Windows et DevPartner Analytics

Avant de pouvoir effectuer cette tâche, assurez-vous que Microsoft .NET Framework 3.5 est installé sur la machine où l'atelier d'analyse de code sera installé (machine qui héberge l'application à tester). Les versions plus anciennes ou plus récentes de Microsoft .NET Framework ne fonctionneront pas !

  1. Accédez à la machine qui héberge l'application à tester.
  2. Ouvrez Silk Central.
  3. Accédez à Aide > Outils et cliquez sur Atelier d'analyse de code Windows. Vous lancez ainsi le téléchargement de CAFramework.exe. CAFramework.exe comprend l'installation de Code Analysis Framework et du package DevPartner Analytics.
    Remarque : L'exécution simultanée de tests dans le même atelier d'analyse de code par plusieurs serveurs d'exécution n'est pas prise en charge.
  4. Double-cliquez sur le fichier téléchargé pour lancer l'installation. Suivez la procédure d'installation de Windows Code Analysis Framework. À la fin de l'installation, un message vous invite à installer DevPartner Analytics. Vérifiez que la case Installation des outils d'analyse DevPartner est cochée dans l'écran approprié au cours de l'installation et installez ce composant. L'installation terminée, tous les fichiers requis sont installés et le service nécessaire est démarré. Le nom du service est Silk Central Code Analysis Service.
Sujet parent : Analyse du code .NET


Test manuel et analyse de code .NET

Les sections suivantes détaillent les étapes requises pour installer et utiliser les composants DevPartner de couverture de code .NET fournis avec Silk Central. L'exemple ci-dessous vous permet de commencer par un test manuel et une seule application sous test. Si vous envisagez d'utiliser des tests automatisés, lisez d'abord les étapes ci-dessous afin de les assimiler, puis reportez-vous à la rubrique intitulée Test automatisé et analyse de code .NET.

Remarque : Pour utiliser la fonctionnalité de couverture de code Silk Central/.NET, vous devez utiliser la version 11.2 ou ultérieure des composants DevPartner Analyse de Micro Focus.
Remarque : L'analyse du code .NET nécessite que les fichiers PDB générés au moment de la compilation de l'application .NET sous test soient placés dans le même répertoire que le ou les exécutables de l'application sous test. Si les fichiers PDB de l'application sous test ne sont pas disponibles, vous ne pourrez pas exploiter la fonctionnalité d'analyse du code .NET.

Workflow des tests manuels

Exécution de tests manuels
  1. Configuration de DPAnalysis pour lancer votre application sous test
    Décrit comment configurer DPAnalysis pour lancer votre application sous test.
  2. Configuration de Silk Central pour l'analyse du code
    Décrit comment configurer Silk Central pour l'analyse du code.
Sujet parent : Analyse du code .NET


Configuration de DPAnalysis pour lancer votre application sous test

  1. Créez un fichier .BAT pointant vers DPAnalysis.exe. Voici un exemple :
    "C:\Program Files\Micro Focus\DevPartner\Analysis\dpanalysis.exe" /cov /USE_AUTOMATION_INTERFACE
/W "C:\Common\Development\MYAPP"
/P "C:\Common\Development\MYAPP\MyApp.exe"
  2. Dans un souci de lisibilité, l'exemple ci-dessus apparaît sur plusieurs lignes. Votre fichier .BAT doit figurer sur une ligne. Effectuez les modifications suivantes :
    1. Assurez-vous que la première ligne désigne votre chemin d'installation de dpanalysis.exe. Les deux commutateurs sont obligatoires.
    2. La deuxième ligne comprend un commutateur obligatoire et doit inclure le chemin de votre exécutable et de PDB.
    3. La troisième ligne comprend un commutateur obligatoire et doit inclure le chemin absolu de votre application sous test, ainsi que le nom de l'application.
  3. Double-cliquez sur le fichier .BAT afin que DPAnalysis lance votre application.
Pour plus d'informations sur l'exécution de DPAnalysis.exe, reportez-vous à la rubrique Utilisation de DpAnalysis.exe. Cette rubrique et les rubriques associées contiennent des informations sur les autres commutateurs et la manière dont un fichier de configuration doit être utilisé si plusieurs applications doivent être testées.
Sujet parent : Test manuel et analyse de code .NET
Sujet suivant : Configuration de Silk Central pour l'analyse du code
Concepts associés
Utilisation de DPAnalysis.exe


Configuration de Silk Central pour l'analyse du code

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Ouvrez un plan d'exécution existant possédant un test manuel avec des pas de test afin de tester les fonctionnalités de votre application sous test.
  3. Cliquez sur l'onglet Déploiement.
  4. Sous Paramètres d'analyse de code, cliquez sur Modifier pour afficher la boîte de dialogue Modifier les Paramètres d'Analyse de Code.
  5. Assurez-vous que la case Activer l'analyse de code est cochée.
  6. Sélectionnez Analyse de code DevPartner .NET dans la liste Profil d'analyse de code.
  7. Dans le champ Noms d'hôtes, entrez le nom de l'hôte, suivi d'une virgule et du numéro de port. Par exemple : localhost:19129.

    Le port de l'atelier d'analyse de code par défaut est 19129. Vous pouvez configurer l'atelier d'analyse de code de manière à ce qu'il soit exécuté sur un port donné à l'aide du fichier xml suivant : <répertoire d'installation>\Code Analysis\CodeAnalysisConfig.xml

  8. Cliquez sur OK.
  9. Exécutez le test en cliquant sur Exécuter dans l'espace Exécutions.
  10. Dans la boîte de dialogue Exécuter, assurez-vous que la case Tous les tests est cochée.
  11. Dans la zone Spécifier un Build pour le Plan d'Exécution, sélectionnez le build approprié pour votre plan d'exécution.
  12. Cliquez sur OK.
Sujet parent : Test manuel et analyse de code .NET
Sujet précédent : Configuration de DPAnalysis pour lancer votre application sous test


Test automatisé et analyse de code .NET

Cette section décrit deux cas auxquels vous pouvez être confronté lorsque vous exécutez des tests qui utilisent une couverture de code. Elle explique également comme structurer vos tests au sein d'un plan d'exécution. Les exemples utilisés dans les rubriques suivantes sont spécifiques d'une analyse de code DevPartner ; néanmoins, la structure utilisée est similaire pour les autres outils d'analyse de code. Par exemple, votre plan d'exécution présente des paramètres de démarrage/réinitialisation distincts.

Remarque : Il peut y avoir un délai d'attente entre le démarrage de l'AUT et le démarrage de l'analyse du code. Le code de démarrage de l'AUT peut donc ne pas être enregistré par l'analyse du code.

Workflow des tests automatisés

  • Configuration d'un ou de plusieurs tests avec une application sous test
    Organisez votre test comme décrit ici si un ou plusieurs tests figurent dans un plan d'exécution unique et doivent être exécutés dans une application sous test.
  • Configuration d'un ou de plusieurs tests avec plusieurs applications sous test
    Organisez votre test comme décrit ici si un ou plusieurs tests figurent dans un plan d'exécution unique et doivent être exécutés dans plusieurs applications sous test.
Sujet parent : Analyse du code .NET
Tâches associées
Création ou modification de tests ProcessExecutor


Configuration d'un ou de plusieurs tests avec une application sous test

Si un ou plusieurs tests figurent dans un plan d'exécution unique et doivent être exécutés dans une application sous test, vous devez organiser votre test comme suit :

  1. Créez un test ProcessExecutor qui lancera votre application d'analyse de code. ProcessExecutor - Liste des arguments doit lancer votre programme d'analyse de code. Par exemple :
    • Nom de l'exécutable :
      cmd
    • Liste d'arguments :
      /c start cmd
/c D:\sctm\dps\startDPS_Simple1.bat
    Où startDPS_Simple1.bat contient :
    "C:\Program Files (x86)\Micro Focus\DevPartner\Analysis\dpanalysis.exe" /cov /USE_AUTOMATION_INTERFACE /O "D:\SCTM\temp" /W "D:\SCTM\DPS\TESTAPP\SCTMCodeAnalysisTestApp\bin\Debug" /P "D:\SCTM\DPS\TESTAPP\SCTMCodeAnalysisTestApp\bin\Debug\SCTMCodeAnalysisTestApp.exe"
  2. Créez un plan d'exécution.
  3. Cliquez sur Organisation des exécutions > Vue détaillée, sélectionnez un plan d'exécution, développez la zone Installation de l'exécution de tests, puis cliquez sur Modifier dans la ligne Test d'initialisation.
  4. Ajoutez le test créé précédemment en tant que Test d'Initialisation.
  5. Ajoutez au plan d'exécution un test qui automatise votre application sous test via un outil de test automatisé.
  6. Facultatif : Ajoutez au plan d'exécution un autre test qui automatise votre application testée via un outil de test automatisé.
  7. Créez un test ProcessExecutor. ProcessExecutor - Liste des arguments doit fermer votre programme :
    • Nom de l'exécutable :
      cmd
    • Liste d'arguments :
      /c TASKKILL /IM SCTMCodeAnalysisTestApp.exe /F
  8. Cliquez sur Organisation des exécutions > Vue détaillée, sélectionnez un plan d'exécution, développez la zone Installation de l'exécution de tests, puis cliquez sur Modifier dans la ligne Test de nettoyage.
  9. Ajoutez le test créé précédemment en tant que Test de Réinitialisation.
Sujet parent : Test automatisé et analyse de code .NET


Configuration d'un ou de plusieurs tests avec plusieurs applications sous test

Si un ou plusieurs tests figurent dans un plan d'exécution unique et doivent être exécutés dans plusieurs applications sous test, vous devez organiser votre test comme suit :

  1. Créez un test ProcessExecutor qui lancera votre application d'analyse de code. ProcessExecutor - Liste des arguments doit lancer votre programme d'analyse de code. Par exemple :
    • Nom de l'exécutable :
      cmd
    • Liste d'arguments :
      /c start cmd
/c D:\sctm\dps\two_app_dps.cmd
    Où two_app_dps.cmd contient :
    "C:\Program Files (x86)\Micro Focus\DevPartner\Analysis\dpanalysis.exe" /config D:\SCTM\DPS\configuration_file.xml
    et où configuration_file.xml contient :
    <?xml version="1.0" ?>
<ProductConfiguration>
    <RuntimeAnalysis Type="Coverage" MaximumSessionDuration="1000" NoUIMsg="true" />
    <Targets RunInParallel="true">
        <Process CollectData="true" Spawn="true" NoWaitForCompletion="true" NM_USE_AUTOMATION_INTERFACE="1" >
            <AnalysisOptions NM_USE_AUTOMATION_INTERFACE="1" NO_MACH5="1" NM_METHOD_GRANULARITY="1" SESSION_DIR="c:\temp" />
            <Path>D:\SCTM\DPS\SCTMCodeAnalysisTestApp\SCTMCodeAnalysisTestApp\
          SCTMCodeAnalysisTestApp\bin\Debug\SCTMCodeAnalysisTestApp.exe</Path>
            <Arguments></Arguments>
            <WorkingDirectory>D:\SCTM\DPS\SCTMCodeAnalysisTestApp\SCTMCodeAnalysisTestApp\
        SCTMCodeAnalysisTestApp\bin\Debug</WorkingDirectory>
        </Process>
        <Process CollectData="true" Spawn="true" NoWaitForCompletion="true" >
            <AnalysisOptions NM_USE_AUTOMATION_INTERFACE="1" NO_MACH5="1" NM_METHOD_GRANULARITY="1" SESSION_DIR="c:\temp" />
            <Path>D:\SourceCode\SVNQAD\Development\Development\SOURCECODE\
         QADSCTMMigration\bin\QADSCTMMigration.exe</Path>
            <Arguments></Arguments>
            <WorkingDirectory>D:\SourceCode\SVNQAD\Development\Development\
         SOURCECODE\QADSCTMMigration\bin</WorkingDirectory>
        </Process>
    </Targets>
</ProductConfiguration>
  2. Créez un plan d'exécution.
  3. Cliquez sur Organisation des exécutions > Vue détaillée, sélectionnez un plan d'exécution, développez la zone Installation de l'exécution de tests, puis cliquez sur Modifier dans la ligne Test d'initialisation.
  4. Ajoutez le test créé précédemment en tant que Test d'Initialisation.
  5. Ajoutez au plan d'exécution un test qui automatise votre première application sous test via un outil de test automatisé.
  6. Ajoutez au plan d'exécution un autre test qui automatise votre deuxième application sous test via un outil de test automatisé.
  7. Créez un test ProcessExecutor. ProcessExecutor - Liste des arguments doit fermer vos programmes :
    • Nom de l'exécutable :
      cmd
    • Liste d'arguments :
      /c TASKKILL /IM application1.exe /IM Application2.exe /F
  8. Cliquez sur Organisation des exécutions > Vue détaillée, sélectionnez un plan d'exécution, développez la zone Installation de l'exécution de tests, puis cliquez sur Modifier dans la ligne Test de nettoyage.
  9. Ajoutez le test créé précédemment en tant que Test de Réinitialisation.
Sujet parent : Test automatisé et analyse de code .NET


Utilisation de DPAnalysis.exe

DPAnalysis.exe est l'application de couverture de code DevPartner qui vous permet de décrire les applications .NET. Démarrez l'application par le biais de la ligne de commande.

Vous pouvez utiliser l'application avec les commutateurs habituels, tel que décrit dans ces rubriques, ou vous pouvez ajouter un autre commutateur qui pointe sur un fichier de configuration. Vous pouvez utiliser un fichier de configuration si votre chaîne de ligne de commande est particulièrement longue ou vous pouvez exécuter plusieurs applications dans une seule session.

Le commutateur /USE_AUTOMATION_INTERFACE est obligatoire. Il est à l'origine de la mise en place de l'environnement de l'interface d'automatisation nécessaire à l'interaction avec l'atelier. Il permet également d'éviter le contrôle des licences. Aucun paramètre ne doit être défini pour ce commutateur.

  • Exécution de DPAnalysis.exe à partir de la ligne de commande
    Explique comment exécuter dpanalysis.exe à partir de la ligne de commande.
Sujet parent : Analyse du code .NET


Exécution de DPAnalysis.exe à partir de la ligne de commande

L'installation de la couverture de code DevPartner Studio inclut DPAnalysis.exe, un exécutable de ligne de commande qui est installé dans le répertoire \Program Files\Micro Focus\DevPartner Studio\Analysis\.

Utilisez la syntaxe suivante et ses switches afin d'exécuter l'outil DevPartner Studio de couverture de code à partir de la ligne de commande :

DPAnalysis  [/Cov] [/USE_AUTOMATION_INTERFACE] [/E|/D|/R]
[/W workingdirectory] [/PROJ_DIR] [/H hostmachine]
[/NOWAIT] [/NO_UI_MSG] [/N] [/F] [/A C:\temp1;C:\temp2]
[/NO_QUANTUM /NM_METHOD_GRANULARITY /EXCLUDE_SYSTEM_DLLS
/NM_ALLOW_INLINING /NO_OLEHOOKS /NM_TRACK_SYSTEM_OBJECTS]
{/P|/S} target [target arguments]

Exemple

Vous pouvez utiliser DPAnalysis.exe directement à partir de la ligne de commande, en utilisant les switches pour gérer la session d'analyse. Ainsi, la ligne de commande suivante lance une session de couverture de code pour l'application SCTMCodeAnalysisTestApp.exe.

dpanalysis.exe /cov /USE_AUTOMATION_INTERFACE /W "D:\SCTM\DPSCoverageIntegration\Test App\
SCTMCodeAnalysisTestApp\SCTMCodeAnalysisTestApp\bin\Debug" /P
"D:\SCTM\DPSCoverageIntegration\Test App\SCTMCodeAnalysisTestApp\SCTMCodeAnalysisTestApp\bin
\Debug\SCTMCodeAnalysisTestApp.exe"
  • Switches
    Décrit les switches de ligne de commande pour l'analyse DPS (DevPartner Studio).
  • Fichier de configuration DPAnalysis
    Décrit l'option de fichier de configuration disponible pour DPAnalysis.
Sujet parent : Utilisation de DPAnalysis.exe


Switches

  • Switches de type d'analyse
    Décrit les switches de type d'analyse.
  • Commutateurs de collecte des données
    Décrit les commutateurs de collecte des données utilisés avec DPAnalysis.
  • Autres switches
    Décrit d'autres switches facultatifs pour DPAnalysis.exe.
  • Options d'analyse
    Décrit les options d'analyse.
  • Commutateur cible
    Décrit le commutateur cible pour dpanalysis.exe.
Sujet parent : Exécution de DPAnalysis.exe à partir de la ligne de commande


Switches de type d'analyse

Nom | Description
/Cov[erage] | Définit le type d'analyse sur Analyse de Couverture DevPartner.
Remarque : DPAnalysis.exe n'instrumente pas le code non géré. Pour collecter les données de l'analyse de performance ou de couverture pour une application non générée, vous devez d'abord instrumenter cette dernière.
Sujet parent : Switches


Commutateurs de collecte des données

Active ou désactive la collecte des données pour une cible donnée, mais ne permet pas de lancer la cible. Optionnel.

Nom | Description
/E[nable] | Active la collecte des données pour le service ou processus spécifié.
/D[isable] | Désactive la collecte des données pour le service ou processus spécifié.
/R[epeat] | Le profilage s'effectue à n'importe quel moment du processus spécifié, et ce jusqu'à ce que vous utilisiez le switch /D pour désactiver le profilage.
Sujet parent : Switches


Autres switches

Ces switches sont facultatifs.

Nom | Description
/W[orkingDir] | Définissez le répertoire de travail du processus ou du service cible.
/PROJ_DIR | Spécifiez le répertoire du projet DevPartner Studio, utilisé pour localiser les sélections, etc.
/N[ewconsole] | Exécutez le processus dans sa propre fenêtre de commande. Si vous utilisez DPAnalysis.exe pour analyser une application de console qui nécessite une saisie au clavier, vous devez utiliser le switch /NewConsole pour ouvrir une fenêtre de console afin d'accepter la saisie.
/INCLUSION_FILTER <filterFile>

Le switch /INCLUSION_FILTER est facultatif et permet de spécifier un fichier Inclusion_Filter. Ce fichier est utilisé lorsque des données de couverture sont fournies à la structure dans le format XML spécifique à Silk Central. Il est à l'origine du filtrage de toutes les classes non spécifiées dans le fichier par le programme de génération de rapport. Ce switch intègre un seul paramètre, comme illustré ici.

/INCLUSION_FILTER <filterFile>

Où <filterFile> correspond au chemin complet du fichier de filtre à utiliser pour la durée du programme.

L'exemple de fichier Inclusion_Filter ci-dessous est un simple fichier XML qui contient l'ensemble des classes à inclure dans le rapport généré. Il contient également une valeur, <filterClasses>, qui indique si le filtre doit être appliqué.

<!--D:\Public\SCTM Work\ProdAPI_Tester_CSharp_LINES.dpcov-->
<inclusionInfo>
  <filterClasses>false</filterClasses>
  <includedClass>MicroFocus.Products.Tools.TCS_TraceMechanism.CTCS_MsgStream</includedClass>
  <includedClass>MicroFocus.Products.Tools.TCS_TraceMechanism.CTCS_RecvTask</includedClass>
  <includedClass>MicroFocus.Products.Tools.TCS_TraceMechanism.CTCS_TimeStamp</includedClass>
  <includedClass>MicroFocus.Products.Tools.TCS_TraceMechanism.CTCS_Tracer</includedClass>
  <includedClass>MicroFocus.Products.Tools.TCS_TraceMechanism.CMsgRegisterClientReqMB</includedClass>
</inclusionInfo>
/A[ssembly_dir] | Pour l'analyse de couverture uniquement. Liste des chemins qui contiennent des fichiers DLL/PDB référencés. Utilisez ce switch pour spécifier des fichiers DLL/PDB référencés, mais non chargés, à afficher dans un fichier de session de couverture. Séparez plusieurs chemins par un point-virgule (;).
Sujet parent : Switches


Options d'analyse

Exemple d'options d'analyse :

<AnalysisOptions NM_USE_AUTOMATION_INTERFACE="1" NO_MACH5="1" NM_METHOD_GRANULARITY="1" SESSION_DIR="c:\temp" />
Colonne | Type
/NM_USE_AUTOMATION_INTERFACE | Switch requis dans la section des options d'analyse du fichier de configuration. La valeur doit être égale à 1.
/NO_QUANTUM | Désactive l'exclusion du temps passé sur d'autres threads.
/NM_ALLOW_INLINING | Active l'instrumentation du runtime des méthodes inline (couverture et performance uniquement).
/NO_OLEHOOKS | Désactive la collecte de COM.
Sujet parent : Switches


Commutateur cible

Identifie la cible à suivre en tant que processus ou service. Obligatoire. Un seul choix possible. Tous les arguments qui suivent le nom ou le chemin de la cible sont des arguments de la cible.

Nom | Description
/P[rocess] | Indiquer un processus cible (suivi des arguments du processus)
/S[ervice] | Indiquer un service cible (suivi des arguments du service)
/C[onfig] | Chemin d'accès au fichier de configuration
Sujet parent : Switches
Concepts associés
Fichier de configuration DPAnalysis


Fichier de configuration DPAnalysis

Pour gérer des sessions d'analyse à l'aide d'un fichier de configuration XML, exécutez DPAnalysis.exe à partir de la ligne de commande avec le commutateur /config et un fichier de configuration XML correctement structuré en tant que cible. Par exemple :

dpanalysis.exe /config c:\temp\configuration_file.xml

L'utilisation d'un fichier de configuration vous permet de suivre et de gérer plusieurs processus ou services. La possibilité de suivre plusieurs processus peut s'avérer particulièrement utile pour analyser des applications Web.

Exemple de fichier de configuration

<?xml version="1.0" ?>
<ProductConfiguration>
  <RuntimeAnalysis Type="Coverage" MaximumSessionDuration="1000" NoUIMsg="true" />
     <Targets RunInParallel="true">
          <Process CollectData="true" Spawn="true" NoWaitForCompletion="true" NM_USE_AUTOMATION_INTERFACE="1" >
               <AnalysisOptions NM_USE_AUTOMATION_INTERFACE="1" NO_MACH5="1" NM_METHOD_GRANULARITY="1" SESSION_DIR="c:\temp" />
               <Path>D:\SCTM\DPS\SCTMCodeAnalysisTestApp\SCTMCodeAnalysisTestApp\
        SCTMCodeAnalysisTestApp\bin\Debug\SCTMCodeAnalysisTestApp.exe</Path>
               <Arguments></Arguments>
               <WorkingDirectory>D:\SCTM\DPS\SCTMCodeAnalysisTestApp\SCTMCodeAnalysisTestApp\
        SCTMCodeAnalysisTestApp\bin\Debug</WorkingDirectory>
          </Process>
          <Process CollectData="true" Spawn="true" NoWaitForCompletion="true" >
               <AnalysisOptions NM_USE_AUTOMATION_INTERFACE="1" NO_MACH5="1" NM_METHOD_GRANULARITY="1" SESSION_DIR="c:\temp" />
               <Path>D:\SourceCode\SVNQAD\Development\Development\SOURCECODE\QADSCTMMigration\bin\QADSCTMMigration.exe</Path>
               <Arguments></Arguments>
               <WorkingDirectory>D:\SourceCode\SVNQAD\Development\Development\SOURCECODE\QADSCTMMigration\bin</WorkingDirectory>
          </Process>
     </Targets>
</ProductConfiguration>
  • Élément AnalysisOptions
    Décrit l'élément AnalysisOptions du fichier de configuration dpanalysis.exe.
  • Élément Arguments
    Décrit l'élément Arguments du fichier de configuration dpanalysis.exe.
  • Élément ExcludeImages
    Décrit l'élément ExcludeImages du fichier de configuration dpanalysis.exe.
  • Élément Host
    Décrit l'élément Host du fichier de configuration dpanalysis.exe.
  • Élément Name
    Décrit l'élément Name du fichier de configuration dpanalysis.exe.
  • Élément Path
    Décrit l'élément Path du fichier de configuration dpanalysis.exe.
  • Élément Process
    Décrit l'élément Process du fichier de configuration dpanalysis.exe.
  • Élément RuntimeAnalysis
    Décrit l'élément RuntimeAnalysis du fichier de configuration dpanalysis.exe.
  • Élément Service
    Décrit l'élément Service pour le fichier de configuration dpanalysis.exe.
  • Élément Targets
    Décrit l'élément Targets du fichier de configuration dpanalysis.exe.
  • Élément WorkingDirectory
    Décrit l'élément WorkingDirectory du fichier de configuration dpanalysis.exe.
Sujet parent : Exécution de DPAnalysis.exe à partir de la ligne de commande


Élément AnalysisOptions

Les attributs compatibles avec AnalysisOptions varient selon le type de session d'analyse que vous exécutez.

Remarque : Le fichier DPAnalysis.exe ignore les attributs qui ne correspondent pas au type d'analyse.
<AnalysisOptions
    SESSION_DIR = "c:\MyDir"
    SESSION_FILENAME = "myfile.dpcov"
    NM_METHOD_GRANULARITY = "1"
    EXCLUDE_SYSTEM_DLLS = "1"
    NM_ALLOW_INLINING = "1"
    NO_OLEHOOKS = "1"
    NM_TRACK_SYSTEM_OBJECTS = "1"
 NO_QUANTUM="1"
    NO_MACH5 = "1"
    FORCE_PROFILING = "1"
 ASSEMBLY_DIR = "C:\TEMP1;C:\TEMP2"
/>

SESSION_DIR

Optionnel. Utilisez ce paramètre avec Couverture, Mémoire, Performance et Expert Performance. Spécifiez un répertoire dans lequel enregistrer le fichier de session généré par la cible profilée. Sans cet attribut, le fichier de session obtenu sera placé dans le répertoire My Documents de l'utilisateur. Si SESSION_DIR et SESSION_FILENAME sont absents, DPAnalysis.exe vous invite à indiquer l'emplacement d'enregistrement à la fin de la session.

SESSION_FILENAME

Optionnel. Utilisez ce paramètre avec Couverture, Mémoire, Performance et Expert Performance. Spécifiez un nom pour le fichier de session généré pour cette cible. Sans cet attribut, DPAnalysis.exe crée un nom unique en combinant le nom d'image de la cible avec un numéro (par exemple, iexplore1.dpprf). Si vous spécifiez un nom mais ne spécifiez aucun répertoire, le fichier est placé dans le répertoire My Documents de l'utilisateur. Si SESSION_FILENAME et SESSION_DIR sont absents, DPAnalysis.exe vous invite à indiquer l'emplacement d'enregistrement à la fin de la session.

NM_METHOD_GRANULARITY

Optionnel. Utilisez ce paramètre avec Performance pour définir la granularité de la collecte des données au niveau de la méthode (par défaut, elle est définie au niveau de la ligne). Spécifiez la valeur 1 pour définir l'attribut. Si vous omettez l'attribut, il est désactivé.

EXCLUDE_SYSTEM_DLLS

Optionnel. Utilisez ce paramètre avec Performance pour exclure les images système. Spécifiez la valeur 1 pour définir l'attribut. Si vous omettez l'attribut, il est désactivé.

NM_ALLOW_INLINING

Optionnel. Utilisez ce paramètre avec Couverture et Performance pour spécifier le niveau de détail de l'analyse. Active l'instrumentation du runtime des méthodes en ligne. Équivaut à la propriété Fonctions d'Instrumentation en Ligne. Spécifiez la valeur 1 pour Fonctions d'Instrumentation en Ligne. Omettez l'attribut pour le désactiver.

NO_OLEHOOKS

Optionnel. Utilisez ce paramètre avec l'analyse Performance pour activer le suivi des objets système. Spécifiez la valeur 1 pour définir l'attribut. Si vous omettez l'attribut, il est désactivé.

NM_TRACK_SYSTEM_OBJECTS

Optionnel. Utilisez l'analyse Mémoire pour ignorer les allocations d'objets système ou tiers lors du suivi des objets alloués. Spécifiez la valeur 1 pour définir l'attribut. Si vous omettez l'attribut, il est désactivé. L'état par défaut (désactivé) permet de visualiser les allocations de mémoire effectuées lorsque votre application utilise des ressources système ou d'autres ressources non profilées.

NO_QUANTUM

Optionnel. Utilisez ce paramètre avec l'analyse Performance et Expert Performance pour exclure le temps passé dans les threads d'autres applications en cours d'exécution. Spécifiez la valeur 1 pour définir l'attribut. Si vous omettez l'attribut, il est désactivé.

FORCE_PROFILING

Optionnel. Utilisez ce paramètre avec les analyses Performance et Couverture pour forcer le profilage des applications écrites sans code géré, ou l'option Instrumentation C/C++ Native de DevPartner. Spécifiez la valeur 1 pour définir l'attribut. Si vous omettez l'attribut, il est désactivé.

ASSEMBLY_DIR

Optionnel. Utilisez ce paramètre avec l'analyse Couverture pour spécifier le ou les chemins absolus contenant des assemblys référencés (mais non chargés) à afficher dans le fichier de session Couverture. Séparez plusieurs emplacements avec un point-virgule. Si vous omettez l'attribut, il est désactivé.

Informations sur l'élément

Nombre d'occurrences
0 ou 1 par Process ou Service.
Éléments parents
Process, Service
Contenu
Aucun

Remarques

Optionnel. Définit les attributs de runtime du service ou processus cible spécifié. Les attributs correspondent aux propriétés Couverture, Mémoire et Performance de DevPartner, accessibles dans la fenêtre des propriétés de Visual Studio.

Exemple

L'exemple suivant illustre une construction utilisant l'élément AnalysisOptions dans un paramètre Service.

<Service CollectData="true">
  <AnalysisOptions NM_METHOD_GRANULARITY="1" EXCLUDE_SYSTEM_DLLS="1" NM_ALLOW_INLINING="1"
  NO_OLEHOOKS="1" ASSEMBLY_DIR="C:\TEMP">
</Service>
Sujet parent : Fichier de configuration DPAnalysis


Élément Arguments

Syntaxe

<Arguments>/arg1 /arg2 /arg3</Arguments>

Attributs

Aucun

Informations sur l'élément

Nombre d'occurrences
0 ou 1 par Process ou Service.
Éléments parents
Process, Service
Contenu
Aucun

Remarques

Optionnel. Pas de valeur par défaut si champ omis. Arguments à transmettre au processus ou service cible.

Exemple

L'exemple suivant utilise Arguments dans un élément Process.

<Process CollectData="true">
 <Arguments>/arg1 /agr2 /arg3</Arguments>
</Process>
Sujet parent : Fichier de configuration DPAnalysis


Élément ExcludeImages

Syntaxe

<ExcludeImages>
  <Image>ClassLibrary1.dll</Image>
  <Image>ClassLibrary2.dll</Image>
</ExcludeImages>

Attributs

Aucun.

Informations sur l'élément

Nombre d'occurrences
0 ou 1 par Process ou Service.
Éléments parents
Process, Service
Contenu
Image

Remarques

Optionnel. Pas de valeur par défaut si champ omis. Fournissez une liste d'au moins une image (aucune limite maximale définie) qui, en cas de chargement par le service ou processus cible, ne sera pas profilée.

Exemple

L'exemple suivant affiche une construction utilisant l'élément ExcludeImages dans un élément Process. Notez les éléments Image figurant dans l'élément ExcludeImages.

<Process CollectData="true">
 <ExcludeImages>
   <Image>ClassLibrary1.dll</Image>
   <Image>ClassLibrary2.dll</Image>
 </ExcludeImages>
</Process>
Sujet parent : Fichier de configuration DPAnalysis


Élément Host

Syntaxe

<Host>hostmachine</Host>

Attributs

Aucun.

Informations sur l'élément

Nombre d'occurrences
0 ou 1 par Process ou Service.
Éléments parents
Process, Service.
Contenu
Nom de la machine hôte.

Remarques

Optionnel. Pas de valeur par défaut si champ omis. Définit la machine hôte du service ou du processus cible.

Exemple

L'exemple suivant illustre une construction utilisant l'élément Host dans un paramètre Service. Notez que l'exemple inclut l'élément Name requis.

<Service CollectData="true">
  <Name>ServiceApp</Name>
  <Host>remotemachine</Host>
</Service>
Sujet parent : Fichier de configuration DPAnalysis


Élément Name

Syntaxe

<Name>MyServiceName</Name>

Attributs

Aucun.

Informations sur l'élément

Nombre d'occurrences
1.
Éléments parents
Service.
Contenu
Nom du service.

Remarques

Obligatoire. Nom du service tel qu'il a été enregistré dans le gestionnaire du contrôle de service. Il s'agit du même nom que celui que vous utiliseriez pour la commande NET START du système.

Exemple

L'exemple suivant illustre une construction utilisant l'élément Name dans un paramètre Service.

<Service CollectData="true">
 <Name>ServiceApp</Name>
</Service>
Sujet parent : Fichier de configuration DPAnalysis


Élément Path

Syntaxe

<Path> c:\MyDir\target.exe </Path>

Attributs

Aucun.

Informations sur l'élément

Nombre d'occurrences
1.
Éléments parents
Process.
Contenu
Chemin vers l'exécutable.

Remarques

Obligatoire. Spécifiez un chemin complet ou relatif vers l'exécutable. Vous pouvez spécifier le nom de l'exécutable sans le chemin si l'exécutable existe dans le répertoire en cours.

Exemple

L'exemple qui suit présente une construction utilisant un élément Path imbriqué dans un élément Process.

<Process CollectData="true">
  <Path>ClientApp.exe</Path>
</Process>
Sujet parent : Fichier de configuration DPAnalysis


Élément Process

Syntaxe

<Process CollectData="true or false"
   Spawn="true or false"
      NoWaitForCompletion="true or false"
      NewConsole="true or false"
   RepeatInjection="true or false"> ...
</Process>

Attributs

Le profilage s'effectue à n'importe quel moment du processus spécifié, et ce jusqu'à ce que vous utilisiez le switch /D pour désactiver le profilage.

CollectData
Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est true. Indique si le profilage est activé pour le processus cible.
Spawn
Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est true. Indique si DPAnalysis.exe va générer la cible spécifiée. Ne le définissez pas sur true pour aspnet_wp.exe ou w3wp.exe. DevPartner ne peut pas générer directement le processus de travail ASP.NET. Lancez le processus de travail ASP.NET en ouvrant la page Web cible.
NoWaitForCompletion
Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est false. Le comportement par défaut consiste à attendre que le processus soit terminé. S'il est défini sur true, DPAnalysis.exe attend uniquement que l'exécution de la cible ait commencé. DPAnalysis.exe n'attend pas les processus sur les ordinateurs distants (utilisation de l'élément Host). L'attribut MaximumSessionDuration dans l'élément RuntimeAnalysis remplace NoWaitForCompletion.
NewConsole

Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est false. DPAnalysis.exe exécute alors la cible dans sa propre fenêtre de console. Le comportement par défaut consiste à utiliser la même console que celle utilisée pour saisir la ligne de commande DPAnalysis.exe. Si vous utilisez DPAnalysis.exe pour analyser une application de console qui nécessite une saisie au clavier, vous devez utiliser le switch /NewConsole pour ouvrir une fenêtre de console afin d'accepter la saisie.

RepeatInjection
Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est false. DPAnalysis.exe profile la cible chaque fois qu'elle est exécutée, jusqu'à ce que vous définissiez explicitement l'attribut sur false.

Informations sur l'élément

Nombre d'occurrences
1 ou plus.
Éléments parents
Target.
Contenu
AnalysisOptions, Path, Arguments, WorkingDirectory, ExcludeImages.

Remarques

Spécifie un exécutable cible.

Exemple

L'exemple suivant illustre une construction utilisant l'élément Process et inclut les étiquettes AnalysisOptions, Path, Arguments et WorkingDirectory.

<Targets RunInParallel="true">
  <Process CollectData="true" Spawn="true" NoWaitForCompletion="true" NewConsole="true">
    <AnalysisOptions NO_MACH5="1" NM_METHOD_GRANULARITY="1" SESSION_DIR="c:\MyDir" />
    <Path>ClientApp.exe</Path>
    <Arguments>/arg1 /agr2 /arg3</Arguments>
    <WorkingDirectory>c:\temp</WorkingDirectory>
  </Process>
</Targets>
Sujet parent : Fichier de configuration DPAnalysis


Élément RuntimeAnalysis

Syntaxe

<RuntimeAnalysis Type="Coverage" NoUIMsg="false"
NM_INCLUSION_FILTER="Q:\AppDir\InclusionFilter.xml">

Attributs

Type
Obligatoire : voici les valeurs possibles : Performance, Coverage, Memory ou Expert. Indique les types d'analyse pour toutes les cibles répertoriées.
MaximumSessionDuration

Optionnel : si le champ est omis, aucune valeur n'est indiquée par défaut. Si une valeur est précisée, DPAnalysis.exe limite l'exécution de la session à cette durée. Par exemple, si vous indiquez MaximiumSessionDuration="60" puis commencez le profilage d'un service (avec RestartAtEndOfRun="true" pour le service), DPAnalysis.exe va arrêter le service après 60 secondes puis le redémarrer.

NoUIMsg

Optionnel : si le champ est omis, la valeur false est utilisée par défaut. Avec la valeur true définie, DPAnalysis.exe supprime tous les messages d'erreur qui pourraient s'afficher sur l'interface utilisateur au cours de la session. La valeur true est utile lorsque les sessions sont exécutées sans surveillance ou lorsqu'un grand nombre de tests sont lancés les uns après les autres.

NM_INCLUSION_FILTER

Optionnel : permet de préciser un fichier Inclusion_Filter. Ce fichier est utilisé lorsque des données de couverture sont fournies à la structure dans le format XML spécifique à Silk Central. Il est à l'origine du filtrage de toutes les classes non spécifiées dans le fichier par le programme de génération de rapport. Ce switch intègre un seul paramètre.

Informations sur l'élément

Nombre d'occurrences
1.
Éléments parents
ProductConfiguration.
Contenu
Aucun.

Remarques

Obligatoire. Définit le type d'analyse et la durée maximale de la session.

Exemple

L'exemple suivant illustre une construction utilisant RuntimeAnalysis à la suite d'une balise ProductConfiguration. Dans cet exemple, l'attribut Type indique une analyse des performances d'une durée maximale de 1 000 secondes et la suppression des messages d'erreur s'affichant sur l'interface utilisateur.

<?xml version="1.0" ?>
<ProductConfiguration xmlns="http://www.microfocus.com/products">
<RuntimeAnalysis Type="Performance" MaximumSessionDuration="1000" NoUIMsg="true"/>
Sujet parent : Fichier de configuration DPAnalysis


Élément Service

Syntaxe

<Service
      CollectData = "true or false"
      Start = "true or false"
      RestartIfRunning = "true or false"
      RestartAtEndOfRun = "true or false"
      RepeatInjection = "true or false"
      >
      ...
</Service>

Attributs

CollectData
Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est true. Indique si le profilage est activé pour le service cible.
Start

Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est true. Indique si DPAnalysis.exe va démarrer la cible spécifiée. Si la valeur false est affectée, le profilage sera activé pour cette cible mais il ne sera pas démarré ; le profilage débutera lors du prochain démarrage du service (quel que soit le moyen utilisé).

RestartIfRunning

Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est false. Lorsque vous affectez la valeur true à RestartIfRunning, DPAnalysis.exe tentera de redémarrer le service indiqué s'il s'exécute sur l'ordinateur hôte.

RestartAtEndOfRun
Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est false. Lorsque vous affectez la valeur true, DPAnalysis.exe tentera de redémarrer le service (générant un fichier de session) à la fin de l'exécution. Si le service est le seul processus à être profilé, affectez la valeur false à cet attribut.
RepeatInjection
Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est false. DPAnalysis.exe profile la cible chaque fois qu'elle est exécutée, jusqu'à ce que vous définissiez explicitement l'attribut sur false.

Informations sur l'élément

Nombre d'occurrences
Le fichier de configuration doit contenir au moins 1 élément Process ou 1 élément Service.
Éléments parents
Targets.
Contenu
AnalysisOptions, Path, Arguments, WorkingDirectory, ExcludeImages, Name, Host.

Remarques

Spécifie un service cible.

Exemple

L'exemple suivant affiche une construction utilisant l'élément Service dans un élément Targets.

<Targets RunInParallel="true">
  <Service CollectData="true" Start="true" RestartIfRunning="true" RestartAtEndOfRun="true">
  <Name>ServiceApp</Name>
  </Service>
</Targets>
Sujet parent : Fichier de configuration DPAnalysis


Élément Targets

Syntaxe

<Targets RunInParallel="true or false">   ...
</Targets>

Attributs

RunInParallel

Optionnel. Indiquez true ou false. Si vous omettez ce champ, la valeur par défaut est true. Si vous indiquez plusieurs cibles, cet attribut définit le mode d'exécution des cibles. Lorsque le paramètre RunInParallel a la valeur true, DPAnalysis lance les processus et services cibles l'un après l'autre. Les cibles multiples s'exécutent en même temps (exécution parallèle). Sinon, DPAnalysis lance la cible N + 1 une fois le processus N lancé et terminé. Les cibles sont exécutées l'une après l'autre (exécution en série).

Informations sur l'élément

Nombre d'occurrences
1.
Éléments parents
RuntimeAnalysis.
Contenu
Processus, Service.

Remarques

Obligatoire. Débute un bloc d'une ou plusieurs entrées <Process> ou <Service>. Les processus et services cibles sont lancés selon l'ordre dans lequel ils apparaissent dans le fichier de configuration.

Exemple

L'exemple suivant illustre une construction qui utilise l'élément Targets pour définir l'analyse d'un élément <Service> et de deux éléments <Process>. Notez que RunInParallel a la valeur true. Dans cet exemple, les cibles s'exécutent donc en parallèle.

<Targets RunInParallel="true">
  <Service CollectData="true" Start="true">
    <AnalysisOptions NM_METHOD_GRANULARITY="0" EXCLUDE_SYSTEM_DLLS="1" />
                <Name>ServiceApp</Name>
                <Host>remotemachine</Host>
  </Service>
  <Process CollectData="true" Spawn="true" NoWaitForCompletion="true">
    <AnalysisOptions NO_MACH5="1" NM_METHOD_GRANULARITY="1" SESSION_DIR="c:\MyDir" />
    <Path>ClientApp.exe</Path>
    <WorkingDirectory>c:\temp</WorkingDirectory>
  </Process>
  <Process CollectData="true" Spawn="true" NoWaitForCompletion="true">
    <AnalysisOptions NO_MACH5="1" NM_METHOD_GRANULARITY="1" SESSION_DIR="c:\MyDir" />
    <Path>TestApp02.exe</Path>
    <WorkingDirectory>c:\temp</WorkingDirectory>
  </Process>
</Targets>
Sujet parent : Fichier de configuration DPAnalysis


Élément WorkingDirectory

Syntaxe

<WorkingDirectory> c:\MyWorkingDir </WorkingDirectory>

Attributs

Aucun.

Informations sur l'élément

Nombre d'occurrences
1 par Process ou Service.
Éléments parents
Process, Service.
Contenu
Chemin d'accès au répertoire cible.

Remarques

Optionnel. Pas de valeur par défaut si champ omis. Définissez le répertoire de travail du processus ou du service cible.

Exemple

L'exemple qui suit présente une construction utilisant un élément WorkingDirectory imbriqué dans un élément Process parent.

<Process CollectData="true">
<WorkingDirectory>c:\temp</WorkingDirectory>
</Process>
Sujet parent : Fichier de configuration DPAnalysis


Activation de l'analyse de code pour les plans d'exécution

Pour activer l'analyse de code pour un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Exécutions, sélectionnez un plan d'exécution.
  3. Cliquez sur l'onglet Déploiement.
  4. Dans la section Paramètres d'analyse de code de la page Déploiement, cliquez sur Modifier. La boîte de dialogue Modifier les Paramètres d'Analyse de Code s'affiche.
  5. Cochez la case Activer l'analyse de code.
  6. Sélectionnez un profil dans la zone de liste Profil d'analyse de code.
  7. Dans la zone de texte Noms d'hôtes, entrez une liste séparée par des virgules des noms d'hôtes (et indiquez le port, si le port par défaut 19129 n'est pas utilisé) à partir desquels les informations d'analyse de code doivent être collectées.

    Par exemple labmachine1, labmachine2:8000, 198.68.0.1. Pour chaque plan d'exécution, vous devez définir les noms d'hôte des ressources de la machine sur laquelle l'application testée est exécutée. Par exemple, avec un système client/serveur, vous devez non seulement collecter les informations de couverture de code sur le client, qui s'exécute probablement directement sur un serveur d'exécution, mais également sur le serveur, qui s'exécute vraisemblablement sur une autre machine. Cela s'applique à toutes les applications multicouches.

    Remarque : Pour les exécutions d'analyse de code JUnit, il n'est pas nécessaire de spécifier un nom d'hôte.
  8. Cliquez sur OK pour enregistrer vos paramètres.
Remarque : Une fois l'analyse de code définie pour un plan d'exécution, chaque exécution ultérieure de ce plan d'exécution collectera les informations de couverture de code à partir des noms d'hôte définis. Lors de la surveillance d'une exécution sur la page Activités, vous remarquerez qu'après avoir collecté les sources pour les tests, Silk Central collecte les informations de couverture de code complètes avant de lancer les exécutions de tests. L'outil Contrôleur de Couverture de Code, intégré à chaque serveur d'exécution Silk Central, contrôle tous les hôtes définis lors des exécutions. Pour chaque test d'un plan d'exécution, le contrôleur démarre et arrête toutes les instances associées, collecte les fichiers de couverture de code XML pour le test et fusionne les résultats dans un même fichier. Le test enregistre ensuite le fichier de couverture de code fusionné avec ses résultats d'exécution.
Sujet parent : Activation de l'analyse de code
Référence associée
Page Déploiement de l'exécution


Page de détails sur l'analyse de code

Rapports > Analyse de Code > Détails

La page Détails affiche les informations relatives à la couverture de code pour les applications, versions et builds sélectionnés au niveau de l'application, du package et de la classe.

La vue de niveau Application affiche une liste des packages couverts et non couverts pour des applications et des builds d'applications spécifiques. En cliquant sur un nom de package dans la vue Application, vous pouvez effectuer une exploration en détail afin d'afficher les informations relatives à la couverture du code pour les classes qui sont incluses dans ce package.

La vue Application affiche les attributs suivants pour une application sélectionnée :

Attribut | Description
Nom | Nom de l'application
Déclarations | Nombre total de déclarations
Packages/Espaces de noms Vue des barres d'histogramme incluant les données suivantes :
  • Pourcentage total de packages/d'espaces de noms couverts
  • Nombre de packages/d'espaces de noms couverts, en vert
  • Nombre de packages/d'espaces de noms non couverts, en rouge
Classes Vue des barres d'histogramme incluant les données suivantes :
  • Pourcentage total de classes couvertes
  • Nombre de classes couvertes, en vert
  • Nombre de classes non couvertes, en rouge
Méthodes Vue des barres d'histogramme incluant les données suivantes :
  • Pourcentage total de méthodes couvertes
  • Nombre de méthodes couvertes, en vert
  • Nombre de méthodes non couvertes, en rouge

La vue de niveau Package affiche une liste des classes couvertes et non couvertes pour des applications et des builds d'applications spécifiques. En cliquant sur un nom de classe dans la vue Package, vous pouvez effectuer une exploration en détail afin d'afficher les informations relatives à la couverture du code pour les méthodes incluses dans cette classe.

La vue Package affiche les attributs suivants pour chaque package de l'application sélectionnée, sur plusieurs lignes :

Attribut | Description
Package | Nom du package
Déclarations | Nombre total de déclarations
Classes Vue des barres d'histogramme incluant les données suivantes :
  • Pourcentage total de classes couvertes
  • Nombre de classes couvertes, en vert
  • Nombre de classes non couvertes, en rouge
Méthodes Vue des barres d'histogramme incluant les données suivantes :
  • Pourcentage total de méthodes couvertes
  • Nombre de méthodes couvertes, en vert
  • Nombre de méthodes non couvertes, en rouge

La vue de niveau Classe affiche une liste des méthodes couvertes et non couvertes pour des applications et des builds d'applications spécifiques.

La vue Classe affiche les attributs suivants pour chaque méthode, sur plusieurs lignes :

Attribut | Description
Nom | Nom de la méthode
Signature | Signature de la méthode
Déclarations | Nombre total de déclarations
Couvert État Couvert de la méthode :
  • True indique que la méthode est couverte
  • False indique que la méthode n'est pas couverte
Remarque : Lorsque la page contient plus d'éléments qu'il n'est possible d'en afficher en une seule fois sans que cela ait un impact sur le temps de réponse, ceux-ci sont affichés par incréments. Utilisez la barre de navigation en bas de la page pour parcourir les éléments.
Sujet parent : Analyse de Code


Derniers builds et versions de build

Lorsque vous sélectionnez une application dans l'arborescence de navigation, la liste des packages et classes ainsi que les informations de couverture relatives à la dernière version couverte (ce qui implique le dernier build couvert pour la version) s'affichent automatiquement. Lorsque vous sélectionnez une version d'application dans l'arborescence de navigation, les informations de couverture relatives au dernier build couvert pour la version s'affichent automatiquement.

Remarque : Si vous exécutez plusieurs applications à partir du même build, les couvertures de toutes les applications fusionnent.
Remarque : L'analyse de code pour une plage de builds n'est actuellement pas prise en charge par Silk Central.
Sujet parent : Analyse de Code


Génération de rapports d'impact des changements sur le code

Pour générer un rapport d'impact des changements sur le code :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet pour lequel vous voulez analyser les données relatives à la couverture de code.
  3. Dans le menu, cliquez sur Rapports > Analyse de Code.
  4. Cliquez sur Créer un Rapport d'Impact des Changements sur le Code. La boîte de dialogue Sélectionnez les Classes Pour le Rapport s'affiche.
  5. Sélectionnez une Application et une Version, si vous souhaitez modifier les valeurs prédéfinies.
  6. Dans le champ Filtre, saisissez des critères afin de filtrer les packages/espaces de noms. Par exemple, si vous saisissez la chaîne publié, seuls les noms de packages/d'espaces de noms qui la contiennent sont répertoriés.
  7. Dans la liste Packages/Espaces de noms, sélectionnez un package. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic pour sélectionner plusieurs packages/espaces de noms. Les classes disponibles dans le package/l'espace de noms sélectionné sont affichés dans la liste Classes.
  8. Dans la liste Classes, sélectionnez une classe que vous voulez inclure en tant que source dans votre rapport. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic pour sélectionner plusieurs classes.
  9. Cliquez sur Ajouter. Les classes sélectionnées sont ajoutées à la liste Classes sélectionnées.
  10. Répétez les étapes précédentes jusqu'à ce que vous ayez ajouté toutes les classes requises à la liste Classes sélectionnées. Vous pouvez supprimer des classes de la liste Classes sélectionnées en sélectionnant des entrées et en cliquant sur Supprimer ou en cliquant sur Supprimer tout.
  11. Dans la liste Sélectionnez le rapport, sélectionnez un rapport.
  12. Cliquez sur OK pour générer le rapport.
Sujet parent : Analyse de Code
Concepts associés
Rapports d'impact des changements sur le code
Référence associée
Boîte de dialogue Sélectionnez les Classes Pour le Rapport


Boîte de dialogue Sélectionnez les Classes Pour le Rapport

Rapports > Analyse de Code > Créer un Rapport d'Impact des Changements sur le Code

La boîte de dialogueSélectionnez les Classes Pour le Rapport vous permet de sélectionner les fichiers de classes à inclure en tant que sources dans un rapport d'impact des changements sur le code. La boîte de dialogue inclut les éléments suivants :

Élément | Description
Application | Nom de l'application pour laquelle les informations d'analyse du code sont requises.
Version | Version de l'application pour laquelle les informations d'analyse du code sont requises.
Filtre | Indiquez des critères afin de filtrer les packages. Par exemple, si vous entrez la chaîne publié, le rapport d'impact des changements sur le code affiche uniquement les packages qui contiennent la chaîne « publié » dans leurs noms.
Packages/Espaces de noms | Packages/Espaces de noms spécifiés pour couverture dans la version sélectionnée.
Classes | Toutes les classes incluses dans le package sélectionné.
Ajouter | Cliquez sur ce bouton pour ajouter les classes sélectionnées à l'analyse de couverture de code.
Classes sélectionnées | Affiche les classes qui sont déjà sélectionnées pour l'analyse de couverture de code.
Retirer | Cliquez sur ce bouton pour supprimer la classe sélectionnée de la zone de liste Classes sélectionnées.
Supprimer Tout | Cliquez sur ce bouton pour supprimer toutes les classes de la zone de liste Classes sélectionnées.
Sélectionnez le rapport | Type de rapport d'impact des changements sur le code.
Sujet parent : Analyse de Code


Consultation des informations sur la couverture de code pour les Packages/Espaces de noms

Pour consulter les informations sur la couverture de code pour un package/espaces de nom.

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez le projet pour lequel vous voulez consulter les informations relatives à la couverture de code.
  3. Dans le menu, cliquez sur Rapports > Analyse de Code.
  4. Dans l'arborescence Analyse de Code, développez le nœud du projet dans l'arborescence de navigation pour afficher les applications disponibles pour le projet sélectionné.
  5. Développez le nœud d'une application pour afficher les versions disponibles pour cette application.
  6. Développez le nœud d'une version pour afficher les builds disponibles pour cette version.
  7. Sélectionnez un build. Les informations de couverture de code pour le build sélectionné s'affichent sur la page Détails.
Remarque : Pour consulter les informations d'analyse de code pour toutes les applications cliquez sur Afficher toutes les applications dans la barre d'outils. Les applications des autres projets sont alors répertoriées sous le nœud Autres Projets.
Sujet parent : Analyse de Code
Référence associée
Page de détails sur l'analyse de code


Ajout d'un hôte pour l'application sous test Silk Test Classic

Pour un plan d'exécution qui effectue des tests Silk Test Classic, vous pouvez disposer d'une configuration dans laquelle l'agent Silk Test Classic se trouve sur un ordinateur autre que le serveur d'exécution. Dans ce cas, vous pouvez définir l'emplacement de l'agent Silk Test Classic, le nom d'hôte de l'agent Silk Test Classic pour l'application sous test.

Pour ajouter un hôte pour l'application sous test Silk Test Classic au plan d'exécution sélectionné ou modifier l'hôte :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution auquel vous voulez assigner l'hôte pour l'application sous test Silk Test Classic.
  3. Cliquez sur l'onglet Déploiement.
  4. Dans la section Nom d'Hôte pour l'application sous test Silk Test Classic, cliquez sur Modifier. La boîte de dialogue Modifier le Nom d'Hôte pour l'application sous test Silk Test Classic s'affiche.
  5. Dans la zone de liste Nom d'Hôte, saisissez le nom de l'ordinateur sur lequel l'agent Silk Test Classic est exécuté. La configuration adéquate des fichiers d'options est requise. Pour plus de détails sur l'option de ligne de commande -m, reportez-vous à la documentation Silk Test Classic.
  6. Cliquez sur OK afin d'ajouter l'hôte pour l'application sous test Silk Test Classic au plan d'exécution sélectionné.
Sujet parent : Configuration d'environnements de déploiement
Sujet parent : Tests Silk Test Classic
Concepts associés
Définition d'une application sous test


Configuration des dépendances d'exécution

Les dépendances d'exécution vous permettent de configurer l'exécution automatique d'un plan d'exécution en fonction des résultats d'un autre plan d'exécution. Par exemple : Si le plan d'exécution « A » échoue, exécuter automatiquement le plan d'exécution « B ».

  • Ajout de plans d'exécution dépendants
    Ajoutez un plan d'exécution dépendant afin de baser l'exécution sur les résultats d'un autre plan d'exécution.
  • Modification d'une dépendance
    Modifiez une dépendance pour baser son exécution sur une autre condition, ou pour modifier le déploiement de son exécution.
  • Suppression d'une dépendance
    Supprimez une dépendance lorsque le plan d'exécution dépendant ne doit plus être exécuté en fonction du plan d'exécution maître.
  • Page Dépendances des Exécutions
    Répertorie les plans d'exécution dépendants et les plans d'exécution maîtres du plan d'exécution sélectionné.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations


Ajout de plans d'exécution dépendants

Pour ajouter un plan d'exécution dépendant :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution qui fera office de plan d'exécution maître.
  3. Cliquez sur l'onglet Dépendances.
  4. Cliquez sur Ajouter un Plan d'Exécution dépendant. La boîte de dialogue Ajouter un Plan d'Exécution dépendant s'affiche.
  5. Dans la liste Condition, sélectionnez la condition qui doit déclencher le plan d'exécution dépendant.
    • Tout le monde
    • Réussi
    • Echec
    • Non Exécuté
    L'état Tout signifie que l'exécution du test dépendant sera déclenchée quel que soit l'état de la précédente exécution de test.
  6. Sélectionnez le plan d'exécution dans l'arborescence Plans d'Exécution.
  7. Spécifiez où le plan d'exécution dépendant doit être déployé.
    Option
    Description
    Comme spécifié dans le plan d'exécution dépendant
    Les tests automatisés assignés au plan d'exécution dépendant sont exécutés sur le serveur d'exécution spécifié pour le plan d'exécution dépendant sur la page Déploiement. Les tests manuels assignés au plan d'exécution dépendant sont assignés aux utilisateurs spécifiés pour le plan d'exécution dépendant sur la page Déploiement.
    Identique à <serveur d'exécution du plan d'exécution sélectionné>
    Les tests automatisés assignés au plan d'exécution dépendant sont exécutés sur le serveur d'exécution spécifié pour le plan d'exécution maître sur la page Déploiement. Les tests manuels assignés au plan d'exécution dépendant sont assignés aux utilisateurs spécifiés pour le plan d'exécution maître sur la page Déploiement.
    Spécifique : Serveur d'exécution/Testeur manuel
    Sélectionnez un serveur d'exécution préconfiguré et/ou un testeur manuel dans les zones de liste. Les tests automatisés assignés au plan d'exécution dépendant sont exécutés sur le serveur d'exécution spécifié. Les tests manuels assignés au plan d'exécution dépendant sont assignés au testeur manuel spécifié. Si seul un testeur manuel spécifique est défini, mais qu'aucun serveur n'est spécifié, seuls les tests manuels sont exécutés. Si seul un serveur d'exécution spécifique est défini, mais qu'aucun testeur manuel n'est spécifié, seuls les tests automatisés sont exécutés.
  8. Cliquez sur OK pour créer la dépendance.
    Remarque : Silk Central ne permet pas de créer des dépendances d'exécution cycliques. Vous pouvez sélectionner des conditions à remplir pour les tests manuels. Par exemple, si la condition sélectionnée est En Échec et que tous les tests manuels ont réussi, mais que certains tests automatisés ont échoué, seuls les tests automatisés assignés au plan d'exécution dépendant sont exécutés.
Sujet parent : Configuration des dépendances d'exécution


Modification d'une dépendance

Remarque : Pour modifier une dépendance existante, vous devez sélectionner le plan d'exécution maître, qui constitue la définition pour laquelle une condition spécifique déclenchera la mise en œuvre du plan d'exécution dépendant. Vous ne pouvez pas modifier les paramètres de dépendance à partir du plan d'exécution dépendant.

Pour modifier une dépendance configurée précédemment :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez le plan d'exécution à modifier.
  3. Cliquez sur l'onglet Dépendances.
  4. Dans la section Plans d'Exécution Dépendants, cliquez sur Modifier les paramètres dans la colonne Actions du plan l'exécution dépendant. La boîte de dialogue Modifier la Dépendance s'affiche.
  5. Dans la liste Condition, sélectionnez la condition qui doit déclencher le plan d'exécution dépendant.
    • Tout le monde
    • Réussi
    • Echec
    • Non Exécuté
    L'état Tout signifie que l'exécution du test dépendant sera déclenchée quel que soit l'état de la précédente exécution de test.
  6. Spécifiez où le plan d'exécution dépendant doit être déployé.
    Option
    Description
    Comme spécifié dans le plan d'exécution dépendant
    Les tests automatisés assignés au plan d'exécution dépendant sont exécutés sur le serveur d'exécution spécifié pour le plan d'exécution dépendant sur la page Déploiement. Les tests manuels assignés au plan d'exécution dépendant sont assignés aux utilisateurs spécifiés pour le plan d'exécution dépendant sur la page Déploiement.
    Identique à <serveur d'exécution du plan d'exécution sélectionné>
    Les tests automatisés assignés au plan d'exécution dépendant sont exécutés sur le serveur d'exécution spécifié pour le plan d'exécution maître sur la page Déploiement. Les tests manuels assignés au plan d'exécution dépendant sont assignés aux utilisateurs spécifiés pour le plan d'exécution maître sur la page Déploiement.
    Spécifique : Serveur d'exécution/Testeur manuel
    Sélectionnez un serveur d'exécution préconfiguré et/ou un testeur manuel dans les zones de liste. Les tests automatisés assignés au plan d'exécution dépendant sont exécutés sur le serveur d'exécution spécifié. Les tests manuels assignés au plan d'exécution dépendant sont assignés au testeur manuel spécifié. Si seul un testeur manuel spécifique est défini, mais qu'aucun serveur n'est spécifié, seuls les tests manuels sont exécutés. Si seul un serveur d'exécution spécifique est défini, mais qu'aucun testeur manuel n'est spécifié, seuls les tests automatisés sont exécutés.
Sujet parent : Configuration des dépendances d'exécution


Suppression d'une dépendance

Pour supprimer une dépendance :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution maître pour lequel vous souhaitez supprimer une dépendance.
  3. Cliquez sur l'onglet Dépendances.
  4. Dans la section Plans d'Exécution Dépendants, cliquez sur Supprimer dans la colonne Actions du plan d'exécution dépendant.
  5. Cliquez sur Oui dans la boîte de dialogue Supprimer la dépendance afin de supprimer la dépendance.
Sujet parent : Configuration des dépendances d'exécution


Page Dépendances des Exécutions

Organisation des Exécutions > Vue Détaillée > <plan d'exécution> > Dépendances
Remarque : Cette page ne s'affiche pas pour les plans d'exécution qui sont assignés à un cycle de test.

La page Dépendances répertorie les plans d'exécution dépendants et les plans d'exécution maîtres du plan d'exécution sélectionné.

Elle est divisée en deux parties. Les plans d'exécution maîtres sont les plans d'exécution pour lesquels une condition spécifique déclenche le plan d'exécution sélectionné. Les plans d'exécution dépendants sont les plans d'exécution qui seront déclenchés si le plan d'exécution sélectionné génère une condition spécifique.

Plans d'Exécution Maîtres

Pour chaque plan d'exécution de la liste, la page affiche les colonnes suivantes :
Colonne | Description
Nom | Nom du plan d'exécution maître dont dépend le plan d'exécution sélectionné.
Condition | Condition du plan d'exécution maître qui doit être remplie pour que le plan d'exécution sélectionné soit déclenché.

Plans d'Exécution Dépendants

Pour chaque plan d'exécution de la liste, la page affiche les colonnes suivantes :
Colonne | Description
Nom | Nom du plan d'exécution dépendant pour lequel le plan d'exécution sélectionné est défini comme maître.
Condition | Condition du plan d'exécution sélectionné qui doit être remplie pour que le plan d'exécution dépendant soit déclenché.
Serveur d'exécution / Utilisateur(s) | Serveur d'exécution sur lequel le plan d'exécution dépendant doit être exécuté ou, dans le cas d'une exécution de test manuel, testeur manuel qui doit exécuter le test.
Actions | Actions pouvant être appliquées à la dépendance sélectionnée. Modifier les paramètres et Supprimer la dépendance.
Sujet parent : Configuration des dépendances d'exécution


Tests assignés

Cette section décrit le mode d'assignation des tests aux plans d'exécution.

  • Assignation de tests aux plans d'exécution à partir de la Vue Matricielle
    Ajoutez un test aux tests inclus dans un plan d'exécution à partir de la Vue Matricielle.
  • Assignation manuelle de tests à des plans d'exécution
    Assignez manuellement un test à un plan d'exécution pour l'ajouter aux tests déjà inclus.
  • Affectation de tests aux plans d'exécution via un filtre
    Utilisez un filtre pour ajouter un test aux tests inclus dans un plan d'exécution.
  • Localisation des tests assignés aux plans d'exécution
    Décrit la localisation des tests assignés manuellement dans l'arborescence Tests.
  • Suppression d'assignations de tests
    Supprimez une assignation de test manuel dans un plan d'exécution lorsque ce test n'est plus requis.
  • Page des tests assignés à l'exécution
    Répertorie tous les tests qui sont assignés au plan d'exécution sélectionné.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations


Assignation de tests aux plans d'exécution à partir de la Vue Matricielle

Les tests assignés aux plans d'exécution sélectionnés sont répertoriés sur la page Tests Assignés.

Pour assigner un ou plusieurs tests à un ou plusieurs plans d'exécution à partir de la Vue Matricielle :

  1. Dans le menu, cliquez sur Tests > Vue Matricielle.
  2. Sélectionnez les tests que vous voulez assigner aux plans d'exécution. Vous pouvez sélectionner plusieurs tests avec les combinaisons Ctrl + clic ou Maj + clic.
  3. Faites un clic droit sur les tests sélectionnés et choisissez Enregistrer la Sélection.
  4. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  5. Sélectionnez le plan d'exécution auquel vous souhaitez assigner les tests sélectionnés.
  6. Cliquez sur l'onglet Tests Assignés.
  7. Cliquez sur Assigner la Sélection Enregistrée.
    Remarque : Seuls les tests contenus dans le conteneur de tests du plan d'exécution sont insérés. Vous pouvez insérer les tests sélectionnés dans plusieurs plans d'exécution. Vous ne pouvez pas les insérer dans les exigences d'un autre projet. La sélection persiste jusqu'à ce que vous fassiez une autre sélection ou fermiez Silk Central.
Sujet parent : Tests assignés
Tâches associées
Affectation de tests aux plans d'exécution via un filtre
Assignation manuelle de tests à des plans d'exécution


Assignation manuelle de tests à des plans d'exécution

Les tests assignés aux plans d'exécution sélectionnés sont répertoriés sur la page Tests Assignés.

Pour assigner manuellement des tests à un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution auquel vous souhaitez assigner les tests sélectionnés.
  3. Cliquez sur l'onglet Tests Assignés.
  4. Cliquez sur l'option Assignation manuelle. Tous les tests du conteneur associé à l'exécution sélectionnée sont affichés dans l'arborescence Tests. Si vous avez créé un filtre de test, vous pouvez le sélectionner dans la liste de filtres située au-dessus de l'arborescence Tests. Pour créer un nouveau filtre de test, cliquez sur Tests dans le menu et cliquez sur [image] (Nouveau filtre) dans la barre d'outils.
  5. Sélectionnez les tests que vous souhaitez assigner. Vous pouvez utiliser les touches Ctrl et Maj du clavier pour sélectionner plusieurs tests à l'aide des fonctions de sélection multiple d'un navigateur standard.
  6. Faites glisser votre sélection et déposez-la dans l'espace Tests assignés, ou cliquez sur Assigner à gauche de n'importe quel test. L'assignation d'un dossier ou du conteneur du niveau le plus haut entraîne l'assignation de tous les tests enfants de ce parent au plan d'exécution sélectionné.
    Conseil : Faites un clic droit sur un nœud pour le développer et le réduire.
Sujet parent : Tests assignés
Tâches associées
Assignation de tests aux plans d'exécution à partir de la Vue Matricielle
Affectation de tests aux plans d'exécution via un filtre


Affectation de tests aux plans d'exécution via un filtre

Les tests assignés aux plans d'exécution sélectionnés sont répertoriés sur la page Tests Assignés.

Vous devez créer un filtre avec la catégorie Test pour pouvoir effectuer les étapes suivantes. Pour plus d'informations, reportez-vous à la rubrique Création de filtres. Vous pouvez également sélectionner un filtre existant.

Pour utiliser un filtre en vue de l'assignation d'un ou de plusieurs tests à un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution auquel vous voulez assigner des tests.
  3. Cliquez sur l'onglet Tests Assignés.
  4. Cliquez sur l'option Assignation par filtre.
  5. Sélectionnez un filtre dans la liste.
Remarque : Lorsque vous basculez de la fonction d'assignation de tests par filtres à l'assignation manuelle, les tests assignés sont conservés.
Sujet parent : Tests assignés
Tâches associées
Assignation de tests aux plans d'exécution à partir de la Vue Matricielle
Assignation manuelle de tests à des plans d'exécution
Création de filtres


Localisation des tests assignés aux plans d'exécution

Pour localiser les tests assignés manuellement dans l'arborescence Tests :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution pour lequel vous souhaitez localiser les tests assignés.
  3. Cliquez sur l'onglet Tests Assignés.
  4. Facultatif : sélectionnez Assignation Manuelle, si ce n'est pas déjà fait.
  5. Dans la colonne Actions d'un test, cliquez sur Localiser pour identifier le dossier ou le conteneur de tests dans lequel figure le test.
Le dossier parent correspondant est développé dans l'arborescence Tests et le test assigné est surligné en bleu.
Sujet parent : Tests assignés


Suppression d'assignations de tests

Pour supprimer un test assigné manuellement :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution dans lequel vous voulez supprimer l'assignation.
  3. Cliquez sur l'onglet Tests Assignés.
  4. Dans la colonne Actions du test assigné, cliquez sur Supprimer l'assignation du test, ou utilisez Ctrl + clic ou Maj + clic pour sélectionner plusieurs tests et appuyez sur Suppr.
    Conseil : Pour supprimer tous les tests assignés, cliquez sur Supprimer Tout.
Sujet parent : Tests assignés


Page des tests assignés à l'exécution

Organisation des exécutions > Vue détaillée > <élément d'exécution> > Tests assignés
Remarque : Cette page ne s'affiche pas pour les plans d'exécution qui sont assignés à un cycle de test.

La page Tests assignés répertorie tous les tests qui sont assignés à la suite de configurations ou au plan d'exécution sélectionné. Utilisez cette page pour assigner des tests supplémentaires au plan d'exécution ou à la suite de configurations, pour supprimer des tests du plan ou de la suite, ou pour modifier l'ordre d'exécution des tests assignés.

Si vous avez créé un filtre de test, vous pouvez le sélectionner dans la liste de filtres située au-dessus de l'arborescence Tests. Pour créer un filtre de test, accédez à l'espace Tests et cliquez sur Nouveau filtre dans la barre d'outils.

Remarque : Toutes les modifications apportées à cette page sont immédiatement appliquées.
Remarque : Lorsque vous accédez à la page à partir d'un sous-élément d'une suite de configurations, elle est en lecture seule.

Cette page inclut les éléments suivants :

Elément | Description
Assignation manuelle | Cliquez pour assigner manuellement les tests au plan d'exécution ou à la suite de configurations.
Utiliser l'ordre de l'arborescence | Cochez cette case pour définir l'ordre d'exécution des tests assignés de sorte qu'il suive l'ordre d'exécution de l'espace Tests.
Assigner la sélection enregistrée | Cliquez pour assigner une sélection de tests à partir de Tests > Vue matricielle.
Assignation par filtre | Cliquez pour assigner automatiquement des tests au plan d'exécution ou à la suite de configurations en fonction d'un filtre prédéfini. Les filtres disponibles sont répertoriés dans la zone de liste.
Tests assignés | Nombre de tests assignés au plan d'exécution ou à la suite de configurations.
Temps restant pour le Cycle de Test [hh:mm] Ce champ est disponible lorsqu'un plan d'exécution est soumis à un cycle de test. Il indique le temps restant, en heures, d'un cycle de test une fois que la durée prévue combinée de tous les tests a été déduite de la valeur Temps disponible définie pour le cycle.
Remarque : la valeur Durée Prévue s'applique aux tests manuels uniquement.
Durée prévue Durée estimée pour l'exécution de tous les tests du plan d'exécution ou de la suite de configurations. Pour les suites de configurations, la valeur Durée prévue correspond à la somme des durées prévues pour toutes les configurations de la suite.
Remarque : la valeur Durée Prévue s'applique aux tests manuels uniquement.
Liste des tests assignés Pour chaque test assigné, la page affiche les colonnes suivantes :
Ordre
Ordre d'exécution du test. Désélectionnez la case Utiliser l'ordre de l'arborescence pour changer l'ordre d'exécution. Cliquez dans le champ, indiquez le nouvel ordre du test, puis appuyez sur Entrée pour confirmer la modification. Vous devez confirmer toute modification apportée dans chacun des champs en appuyant sur Entrée. Si vous modifiez l'ordre de plusieurs tests sans appuyer sur Entrée à chaque fois, seule la dernière modification que vous avez apportée avant d'appuyer sur Entrée est prise en compte.
Actions
Vous pouvez exécuter les actions suivantes sur les tests assignés après avoir cliqué sur le bouton d'option Assignation manuelle :
Action
Description
Supprimer l'assignation du test
Permet de supprimer le test sélectionné de la liste.
Permet de localiser le test sélectionné dans l'arborescence des tests.
Tester
Nom du test. Cliquez pour accéder au test dans l'espace Tests.
Etat

Etat de la dernière exécution du test dans le cadre du plan d'exécution ou de la suite de configurations. Lorsque le test est exécuté hors du cadre du plan d'exécution ou de la suite de configurations, l'état affiché reste inchangé. Si le test n'a pas encore été exécuté dans le cadre du plan d'exécution ou de la suite de configurations, l'état est N/A.

Pour les tests ou les packages de tests qui sont inclus dans une suite de configurations, l'état est une agrégation de tous les états de l'ensemble des configurations de la suite :
  • Lorsque le test n'est assigné qu'à la suite de configurations, l'état est Réussi uniquement si le test a réussi pour toutes les configurations. Si l'état Réussi n'est pas affiché pour toutes les configurations, l'état de l'exécution la moins performante est propagé, avec la priorité descendante suivante :
    1. SO
    2. Non exécuté
    3. Echec
    4. Réussi
    L'état d'une exigence assignée au test est En Échec si le test échoue pour une ou plusieurs configurations.
  • Il n'est pas recommandé d'assigner le test à une suite de configurations et à un ou plusieurs plans d'exécution simples. Toutefois, dans ce cas, l'agrégation des états de configuration correspond à un état, et les derniers états des plans d'exécution représentent d'autres états. L'état de la dernière exécution détermine le dernier état du test.
  • Si le test est assigné uniquement à un plan d'exécution simple, l'état est mis à jour en fonction de l'état de la dernière exécution.
Dernière exécution
Date et heure de la dernière exécution du test dans le cadre du plan d'exécution ou de la suite de configurations. Lorsque le test est exécuté hors du cadre du plan d'exécution ou de la suite de configurations, la date et l'heure affichées restent inchangées.
Durée prévue
Durée estimée pour l'exécution du test.
Remarque : La valeur durée prévue s'applique aux tests manuels uniquement.
Tester | Affiche tous les tests de l'arborescence Tests qui sont disponibles pour l'assignation à la suite de configurations ou au plan d'exécution sélectionné. Double-cliquez sur un test ou utilisez Assigner pour assigner les tests au plan d'exécution ou à la suite de configurations. Pour plus d'informations sur l'insertion de plusieurs tests dans le plan d'exécution ou la suite de configurations à partir de l'espace Tests, reportez-vous à la rubrique Assignation de tests dans les plans d'exécution à partir de la vue matricielle.
Sujet parent : Tests assignés
Tâches associées
Assignation de tests aux plans d'exécution à partir de la Vue Matricielle


Planifications

Sur la page Planification, après avoir défini les tests à inclure dans un plan d'exécution, un dossier ou une suite de configurations, vous pouvez spécifier une planification, en fonction de laquelle le plan d'exécution, le dossier ou la suite de configurations s'exécutera.

Trois options de planification sont disponibles :
  • Aucun
  • Global
  • Personnalisation
Remarque : Vous pouvez définir des planifications pour des plans d'exécution, des dossiers ou des suites de configurations. Si une planification est définie pour un dossier ou une suite de configurations, tous les plans d'exécution inclus dans ce dossier ou cette suite de configurations s'exécutent selon la planification définie. Tous les plans d'exécution, les dossiers ou les suites de configurations n'ayant pas de mots-clés assignés présentent l'état Non Exécuté s'ils ont été lancés dans le cadre d'une planification. Les options de planification relatives à certaines parties d'une copie de projet ou d'un lotissement sont définies sur Aucun afin d'éviter la perte du dernier état d'exécution. Pour plus d'informations sur les copies et lotissements de projet, reportez-vous à Lotissements de projet et Copie de projets ou de lotissement de projet.

Exécutions Ponctuelles

Les Exécutions ponctuelles vous permettent de définir quand les tests seront exécutés, indépendamment des planifications configurées.

  • Création d'une planification personnalisée
    Créez une planification personnalisée lorsque le plan d'exécution, le dossier ou la suite de configurations requiert une planification spécifique.
  • Définition de planifications globales
    Définissez une planification globale en fonction de laquelle vous voulez exécuter les tests dans le plan d'exécution, le dossier ou la suite de configurations.
  • Définition de l'absence de planification
    Indiquez qu'aucune planification n'est requise pour un plan d'exécution, un dossier ou une suite de configurations lorsque les tests ne doivent pas être exécutés en fonction d'une planification.
  • Planification des exclusions
    Explique comment utiliser les exclusions planifiées.
  • Exécutions ponctuelles
    Décrit comment utiliser des exécutions ponctuelles.
  • Page Planification
    Permet de définir des planifications pour des plans d'exécution, des dossiers, des suites de configurations et des abonnements aux rapport.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Concepts associés
Configuration des planifications globales
Lotissements de projet
Tâches associées
Copie de projets ou de lotissements de projet


Création d'une planification personnalisée

Pour créer une planification personnalisée pour un plan d'exécution, un dossier ou une suite de configurations :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution, le dossier ou la suite de configurations pour lequel vous souhaitez configurer une planification personnalisée.
    Remarque : Pour enregistrer une version modifiée d'une planification globale en tant que planification personnalisée, cliquez sur Modifier alors que la planification globale est sélectionnée dans la zone de liste. Vous pouvez ainsi modifier la planification globale et enregistrer le résultat en tant que planification personnalisée.
  3. Cliquez sur l'onglet Planification.
  4. Cliquez sur l'option Personnalisé afin d'activer les contrôles de planification.
  5. Cliquez sur Modifier.
  6. Clic Modifier en regard du champ À partir de et utilisez l'outil de calendrier afin de spécifier l'heure et la date de début de la planification de l'exécution.
  7. Dans le champ Intervalle, définissez l'intervalle auquel les tests doivent être exécutés.
  8. Dans la section Exécuter, spécifiez le moment auquel la planification doit se terminer. Sélectionnez l'une des options suivantes :
    • Cliquez sur Indéfiniment afin de définir une planification sans fin.
    • Cliquez sur n Fois.
    • Cliquez sur Modifier en regard du champ jusqu'au et utilisez l'outil de calendrier afin de spécifier l'heure et la date de fin de la planification de l'exécution.
  9. Optionnel : cliquez sur Ajouter une Exclusion afin de définir les heures auxquelles les éléments planifiés ne doivent pas être exécutés.
  10. Optionnel : cliquez sur Ajouter une Exécution Ponctuelle afin de définir les heures auxquelles les exécutions non planifiées doivent être exécutées.
  11. Cliquez sur Enregistrer afin d'enregistrer votre planification personnalisée.
Sujet parent : Planifications
Tâches associées
Ajout d'exclusions
Ajout d'exécutions ponctuelles


Définition de planifications globales

Silk Central permet de définir des planifications globales, qui peuvent être réutilisées dans Silk Central pour planifier des tests. Les planifications globales peuvent accélérer le processus de planification des tests, car le besoin de définir des planifications individuelles pour chaque test se limite aux tests qui nécessitent une planification spéciale.

Pour sélectionner une planification prédéfinie disponible globalement à l'échelle de Silk Central :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution, le dossier ou la suite de configurations pour lesquels vous souhaitez configurer une planification.
  3. Cliquez sur l'onglet Planification.
  4. Cliquez sur le bouton d'option Global.
  5. Sélectionnez la planification prédéfinie requise dans la zone de liste. Les détails de la planification prédéfinie sont affichés dans une vue de calendrier en lecture seule. Pour enregistrer une version modifiée de la planification globale en tant que planification personnalisée, cliquez sur Modifier.
    Remarque : Vous pouvez configurer des planifications globales dans Administration > Planifications.
Sujet parent : Planifications
Tâches associées
Ajout de planifications globales
Modification de planifications globales


Définition de l'absence de planification

Pour spécifier qu'aucune planification ne doit être définie pour un plan d'exécution, un dossier ou une suite de configurations :
  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution, le dossier ou la suite de configurations pour lesquels vous voulez indiquer qu'ils ne doivent pas être exécutés en fonction d'une planification.
  3. Cliquez sur l'onglet Planification.
  4. Cliquez sur le bouton d'option Aucun.
Sujet parent : Planifications


Planification des exclusions

Une exclusion planifiée correspond à une période de temps régulière durant laquelle les exécutions doivent être suspendues, notamment lors de l'arrêt hebdomadaire planifié du système ou pendant les week-ends. Vous pouvez ajouter à une planification autant d'exclusions que vous le souhaitez. Les exclusions vous permettent de définir des intervalles de jours de la semaine et d'heures de la journée pendant lesquels les tests ne doivent pas être exécutés, quelles que soient les planifications configurées. Par exemple, vous pouvez souhaiter que les tests ne soient pas exécutés le week-end.

  • Ajout d'exclusions
    Ajoutez une exclusion à une planification personnalisée pour empêcher cette dernière d'être exécutée à une heure donnée.
  • Modification d'exclusions
    Modifiez une exclusion afin de changer les dates et heures auxquelles la planification ne doit pas être exécutée.
  • Suppression d'exclusions
    Supprimez une exclusion lorsque la planification peut être exécutée pendant la durée exclue.
Sujet parent : Planifications


Ajout d'exclusions

Remarque : Vous devez disposer des droits d'administrateur pour modifier les planifications globales. Afin de définir une exclusion pour une planification globale, accédez à Administration > Planifications.

Pour ajouter une exclusion à une planification personnalisée :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez un plan d'exécution, un dossier ou une suite de configurations pour lesquels vous souhaitez ajouter une exclusion de planification.
  3. Cliquez sur l'onglet Planification.
  4. Cliquez sur l'option Personnalisé afin d'activer les contrôles de planification.
  5. Cliquez sur Ajouter une Exclusion.
  6. Sur la page Configurer les Exclusions de Planification, sélectionnez les jours de la semaine où les tests doivent être supprimés.
  7. Pour ces jours-là, définissez des intervalles de temps spécifiques pendant lesquels l'exécution doit être supprimée.
  8. Cliquez sur OK. Vos paramètres d'exécution sont à présent répertoriés sur la page Planification.
  9. Cliquez sur Enregistrer pour ajouter l'exclusion à la planification actuelle, ou continuez à ajouter des exclusions.
Sujet parent : Planification des exclusions
Référence associée
Page Planification


Modification d'exclusions

Pour modifier une exclusion :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution, le dossier ou la suite de configurations dont vous souhaitez modifier une exclusion configurée précédemment.
  3. Cliquez sur l'onglet Planification.
  4. Dans la colonne Actions de l'exclusion, cliquez sur Modifier l'Exclusion.
  5. Modifiez l'exclusion en fonction de vos besoins, puis cliquez sur OK.
  6. Cliquez sur Enregistrer.
Sujet parent : Planification des exclusions
Référence associée
Page Planification


Suppression d'exclusions

Pour supprimer une exclusion :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution, le dossier ou la suite de configurations dont vous souhaitez supprimer une exclusion configurée précédemment.
  3. Cliquez sur l'onglet Planification.
  4. Dans la colonne Actions de l'exclusion, cliquez sur Supprimer.
Sujet parent : Planification des exclusions
Référence associée
Page Planification


Exécutions ponctuelles

Une exécution ponctuelle est une exécution d'un plan d'exécution, d'un dossier ou d'une suite de configurations, que vous prévoyez de mettre en œuvre à un moment donné, indépendamment de la planification configurée pour le plan d'exécution, le dossier ou la suite de configurations. Vous pouvez ajouter à une planification autant d'exécutions ponctuelles que vous le souhaitez.

  • Ajout d'exécutions ponctuelles
    Ajoutez une exécution ponctuelle à une planification personnalisée lorsque vous voulez en plus exécuter le plan d'exécution, le dossier ou la suite de configurations une seule fois.
  • Modification d'exécutions ponctuelles
    Modifiez une exécution ponctuelle afin de modifier la date et l'heure de l'exécution.
  • Suppression d'exécutions ponctuelles
    Supprimez une exécution ponctuelle lorsque l'exécution n'est plus requise.
Sujet parent : Planifications


Ajout d'exécutions ponctuelles

Remarque : Vous devez disposer des droits d'administrateur pour modifier les planifications globales. Pour définir une exécution ponctuelle pour une planification globale, accédez à Administration > Planifications.

Pour ajouter une exécution ponctuelle à une planification personnalisée :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution, le dossier ou la suite de configurations pour lesquels vous souhaitez ajouter une planification ponctuelle.
  3. Cliquez sur l'onglet Planification.
  4. Cliquez sur l'option Personnalisé afin d'activer les contrôles de planification.
  5. Cliquez sur Ajouter une Exécution Ponctuelle.
  6. Sur la page Configurer l'Exécution Ponctuelle, cliquez sur Modifiez et sélectionnez la date et l'heure auxquelles le plan d'exécution, le dossier ou la suite de configurations doivent être exécutés.
  7. Cliquez sur OK. Vos paramètres d'exécution ponctuelle sont répertoriés sur la page Planification.
  8. Cliquez sur Enregistrer pour ajouter l'exécution ponctuelle à la planification actuelle, ou continuez à ajouter des exécutions ponctuelles.
Sujet parent : Exécutions ponctuelles
Référence associée
Page Planification


Modification d'exécutions ponctuelles

Pour modifier une exécution ponctuelle :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution, le dossier ou la suite de configurations dont vous souhaitez modifier une exécution ponctuelle configurée précédemment.
  3. Cliquez sur l'onglet Planification.
  4. Dans la colonne Actions de l'exécution ponctuelle, cliquez sur Modifier l'Exécution Ponctuelle.
  5. Modifiez les critères d'exécution ponctuelle en fonction de vos besoins, puis cliquez sur Enregistrer.
Sujet parent : Exécutions ponctuelles
Référence associée
Page Planification


Suppression d'exécutions ponctuelles

Pour supprimer une exécution ponctuelle :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution, le dossier ou la suite de configurations dont vous souhaitez supprimer une exécution ponctuelle configurée précédemment.
  3. Cliquez sur l'onglet Planification.
  4. Dans la colonne Actions de l'exécution ponctuelle, cliquez sur Supprimer l'Exécution Ponctuelle.
Sujet parent : Exécutions ponctuelles
Référence associée
Page Planification


Page Planification

Organisation des Exécutions > Vue Détaillée > <élément d'exécution> > Planification
Remarque : Cette page ne s'affiche pas pour les plans d'exécution qui sont assignés à un cycle de test.

La page Planification permet de définir des planifications pour des plans d'exécution, des dossiers, des suites de configurations et des abonnements aux rapports.

Cette page contient les types de planification suivants :

Type de planification | Description
Aucun | Cliquez sur ce bouton d'option afin que l'élément ne soit pas exécuté en fonction d'une planification. La valeur Aucune est initialement affectée à toutes les planifications incluses dans une copie ou dans un lotissement de projet.
Global | Cliquez sur ce bouton d'option pour sélectionner une planification prédéfinie pour l'élément dans la zone de liste. Lorsque vous sélectionnez une planification de type global, les exclusions planifiées sont prises en compte, ainsi que les exécutions ponctuelles qui sont définies dans la planification globale. Pour plus de détails sur la configuration de planifications globales, reportez-vous aux rubriques Administration de cette Aide. Lorsque vous sélectionnez une planification globale, les détails de la planification s'affichent sous le bouton d'option Personnalisé.
Personnalisé(e) | Cliquez sur ce bouton d'option pour définir une planification personnalisée pour le plan d'exécution, le dossier ou la suite de configurations. Cliquez sur Modifier afin de modifier la planification personnalisée à l'aide des champs situés au-dessous.

Pour chaque type de planification sélectionné, la page en présente les détails. Dans le cas d'une planification personnalisée, les détails sont modifiables.

ATTENTION :
Si les tests assignés à un élément n'ont pas été exécutés, cela peut être dû au fait que l'élément est toujours en cours d'exécution en raison d'une planification antérieure dont l'intervalle est plus court que la durée de l'exécution. Dans ce cas, augmentez l'intervalle de la planification, améliorez les performances des tests exécutés ou supprimez les tests du plan d'exécution. Pour afficher le fichier journal du serveur d'application, cliquez sur l'onglet Journaux du serveur d'application sous Administration > Fichiers journaux.

Détails de la planification

La page présente les détails du type de planification sélectionné. Ces détails peuvent être modifiés dans le cas d'une planification de type personnalisé.
Elément | Description
De | Précise quand la planification d'exécution commence. Cliquez sur Modifier en regard de la date spécifiée afin de modifier la date et l'heure.
Intervalle | Intervalle selon lequel les tests s'exécutent.
Ajuster la planification à l'heure d'été Cochez cette case afin que votre planification prenne automatiquement en compte le passage à l'heure d'été.
Remarque : L'ajustement à l'heure d'été n'est utilisable que pour les intervalles correspondant à des multiples de 2 heures, afin d'éviter les exécutions en double lorsqu'on repasse à l'heure d'hiver.
Exécution Précise quand l'exécution se termine :
Indéfiniment
Cliquez sur ce bouton d'option afin de préciser si l'exécution doit se poursuivre.
Fois
Cliquez sur ce bouton d'option et sélectionnez un nombre à partir de la zone de liste afin de spécifier un nombre d'exécutions.
au
Cliquez sur ce bouton d'option afin de sélectionner le moment exact auquel les exécutions de tests doivent se terminer. Cliquez sur Modifier en regard de la date spécifiée afin de modifier la date et l'heure.
Exclusion | Exclusions définies pour la planification. Pour ajouter une exclusion, cliquez sur Ajouter une Exclusion.
Exécutions ponctuelles | Exécutions ponctuelles définies pour la planification. Pour ajouter une exécution ponctuelle, cliquez sur Ajouter une Exécution Ponctuelle. Cliquez sur Modifier dans la colonne Action d'une exécution ponctuelle pour accéder à l'outil Calendrier et préciser quand elle doit intervenir.
Sujet parent : Planifications


Exécution de tests assignés aux plans d'exécution

Cette section explique comment exécuter des tests assignés à des plans d'exécution avec Silk Central.

Vous pouvez exécuter des plans d'exécution, des dossiers et des suites de configuration individuels. Dans tous les cas, il est possible de définir si tous les tests assignés ou uniquement les tests correspondant à certains critères d'état doivent être exécutés. Lorsqu'un plan d'exécution incluant des tests automatisés est lancé, il est placé dans la file d'exécution centrale et un serveur d'exécution approprié est désigné pour procéder à l'exécution automatisée des tests, en fonction des mots-clés correspondants et de la disponibilité du serveur. Pour les tests d’appareils mobiles, un appareil est sélectionné et réservé pour l’exécution si une sélection d’appareil mobile a été configurée pour ce plan d’exécution. Si aucun serveur d’exécution ou appareil mobile n’est disponible, la tâche d’exécution reste dans la file d’attente jusqu’à ce qu’un serveur d’exécution approprié ou un appareil mobile devienne disponible.

  • Démarrage de plans d'exécution
    Démarrez un plan d'exécution individuel pour l'exécuter indépendamment d'une planification.
  • Boîte de dialogue Exécuter
    La boîte de dialogue Exécuter vous permet de spécifier quels tests exécuter selon les critères de filtre définis et par rapport à quel build de l'application.
  • Exécution manuelle de tests automatisés
    Exécutez un test automatisé manuellement quand ce dernier échoue à cause d'un composant système ou que vous voulez vérifier son résultat.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations


Démarrage de plans d'exécution

Pour exécuter un plan d'exécution indépendamment d'une planification :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'exécution, sélectionnez le projet, le plan d'exécution, le dossier ou la suite de configurations que vous voulez exécuter, ou utilisez Ctrl + clic ou Maj + clic pour sélectionner plusieurs éléments.
  3. Cliquez sur [image] (Exécuter) dans la barre d'outils. Cette option est désactivée pour les cycles de test, les plans d'exécution dans les cycles de test et les tests non assignés. La boîte de dialogue Exécuter s'affiche.
  4. Dans la boîte de dialogue Exécuter, définissez les tests que vous voulez exécuter.
  5. Cochez la case Accéder à la page des activités pour passer à la page Activités après avoir défini les tests pour l'exécution.
Sujet parent : Exécution de tests assignés aux plans d'exécution
Concepts associés
Tests assignés
Référence associée
Page Activités
Boîte de dialogue Exécuter


Boîte de dialogue Exécuter

Organisation des Exécutions > Vue Détaillée > <élément d'exécution> > Exécuter

Organisation des Exécutions > Vue Globale > <élément d'exécution> > Exécuter

La boîte de dialogue Exécuter vous permet de spécifier quels tests exécuter selon les critères de filtre définis et par rapport à quel build de l'application. Pour ouvrir la boîte de dialogue Exécuter, sélectionnez un plan d'exécution ou un dossier d'exécution, puis cliquez sur Exécuter dans la barre d'outils.

Elément | Description
Tous les tests | Sélectionnez cette option pour exécuter tous les tests.
Tests... Sélectionnez cette option afin d'exécuter uniquement les tests qui correspondent aux options suivantes :
Option
Description
Avec l'Etat En Echec
Cochez cette option pour réexécuter tous les tests du plan d'exécution sélectionné, dont l'état est En Échec.
Avec l'état Non Exécuté
Cochez cette option pour réexécuter tous les tests du plan d'exécution sélectionné, dont l'état est Non Exécuté.
Non exécuté avec le build ...
Cochez cette option pour réexécuter tous les tests qui ne sont pas exécutés dans le build sélectionné. Les tests qui se sont exécutés dans le build sélectionné ou dans un build ultérieur ne sont pas réexécutés.
Les Tests qui ont eu des incidents résolus depuis leur dernière exécution | Sélectionnez cette option pour exécuter uniquement les tests dont l'état des incidents est passé à Corrigé depuis la dernière exécution du test.
Spécifier un build pour le plan d'exécution | Sélectionnez un build antérieur dans la zone de liste Spécifier un Build pour le plan d'Exécution afin que le test soit lancé par rapport à un build antérieur spécifique. Par défaut, le numéro du build actuel est indiqué dans ce champ. Notez que cette option n'est disponible que si le plan d'exécution est configuré pour lire le numéro de build à partir du fichier d'informations du build. Si un dossier d'exécution contient des plans d'exécution associés à différentes versions de l'application, le build ne peut pas être sélectionné pour l'exécution du dossier.
Type d'exécution | Sélectionnez Exécuter comme spécifié afin de lancer tous les tests sélectionnés avec leur propre type de test, ou sélectionnez Exécuter les tests automatisés manuellement afin de relancer manuellement tous les tests sélectionnés.
Accéder à la page des Activités | Cochez cette case pour passer à la page Activités après avoir défini les tests pour l'exécution.
Sujet parent : Exécution de tests assignés aux plans d'exécution
Concepts associés
Exécution de tests assignés aux plans d'exécution


Exécution manuelle de tests automatisés

Les tests automatisés peuvent parfois aboutir à des résultats inattendus en raison d'incidents liés à l'environnement. Quand ce type de test échoue dans un système, et que vous souhaitez vérifier si cet échec est dû à un composant système, ou si vous savez que le problème est dû à un composant système défectueux, vous pouvez réexécuter le test automatisé manuellement.

Pour exécuter un test automatisé manuellement, effectuez les étapes suivantes :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'exécution, sélectionnez le projet, le plan d'exécution, le dossier ou la suite de configurations que vous voulez exécuter, ou utilisez Ctrl + clic ou Maj + clic pour sélectionner plusieurs éléments.
  3. Cliquez sur [image] (Exécuter) dans la barre d'outils. Cette option est désactivée pour les cycles de test, les plans d'exécution dans les cycles de test et les tests non assignés. La boîte de dialogue Exécuter s'affiche.
  4. Définissez les tests que vous voulez exécuter.
  5. Dans la zone de liste Type d'Exécution, sélectionnez Exécuter les tests automatisés manuellement. Tous les tests sélectionnés sont alors traités en tant que tests manuels et la page Exécution en Cours s'ouvre.
Sujet parent : Exécution de tests assignés aux plans d'exécution
Référence associée
Boîte de dialogue Exécuter


Gestion des exécutions dans des environnements d'exécution externes

Avec Silk Central 19.0 ou version ultérieure,Silk Central s'intègre à un plus grand nombre d'écosystèmes d'outils existants, grâce à une fonctionnalité permettant d'utiliser les résultats des tests automatisés sans que ces tests automatisés ne soient exécutés par le biais des serveurs d'exécution Silk Central.

Les avantages pour les utilisateurs travaillant dans des environnements d'exécution propriétaires existants trop complexes ou trop spéciaux pour s'adapter à l'environnement d'exécution de Silk Central, ainsi que pour les utilisateurs possédant des résultats de test automatisé provenant de plusieurs sources (des systèmes d'intégration continue par exemple) sont les suivants : ils peuvent continuer à collecter tous les résultats de la totalité de leur processus de test dans un emplacement central et à associer ces résultats à leurs exigences, versions et builds afin de profiter d'un processus holistique de génération de rapports et de prise de décision.

Le processus de création de tests (c'est-à-dire la représentation du test réel dans Silk Central) et de planification de l'exécution reste le même. Vous créez des tests dans Silk Central, puis vous les assignez à des plans d'exécution en vue de leur exécution.

La différence réside dans les paramètres de déploiement du plan d'exécution. Plutôt que de spécifier un serveur d'exécution, vous activez la fonction Exécution externe des tests assignés.

L'exécution de ce plan d'exécution aboutit à une exécution de plan d'exécution apparaissant comme les exécutions de plan d'exécution standard dans l'interface utilisateur de Silk Central, à la différence près que ce plan d'exécution attend de recevoir des résultats en provenance de l'environnement d'exécution externe.

Pour les exécutions de plan d'exécution externes, vous pouvez créer des tests d'initialisation et de nettoyage de la même manière que pour les exécutions exécutées sur les serveurs d'exécution Silk Central. Par exemple, vous pouvez utiliser un test d'initialisation pour déclencher l'exécution de plan d'exécution dans l'environnement d'exécution externe. Cette opération bloquera le serveur d'exécution Silk Central pendant toute la durée de l'exécution de plan d'exécution externe, puis un test de nettoyage pourra être exécuté sur le même serveur d'exécution. Ces tests d'initialisation et de nettoyage possèdent le même ID que l'exécution de plan d'exécution externe. Vous pouvez obtenir l'ID via le paramètre prédéfini #sctm_regular_execdef_run_id. Pour en savoir plus, reportez-vous à la rubrique Paramètres prédéfinis.

Si Silk Central est installé sur votre système, vous pouvez mettre à jour ces exécutions de plan d'exécution via la documentation interactive relative à l'API REST accessible sur la page host:port[/inst]/Services1.0/swagger-ui.html, où host correspond à votre hôte Silk Central. Par exemple http://localhost:19120/Services1.0/swagger-ui.html.

  • Utilisation de l'API REST pour les exécutions externes
    Utilisez l'API REST pour mettre à jour des exécutions de plan d'exécution à partir d'un environnement d'exécution externe.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Concepts associés
Tests d'initialisation et de réinitialisation
Exécution externe


Utilisation de l'API REST pour les exécutions externes

Vous pouvez mettre à jour des exécutions de plan d'exécution exécutées à partir d'un environnement d'exécution externe via l'API REST, accessible à l'adresse host:port[/inst]/Services1.0/swagger-ui.html, où host correspond à votre hôte Silk Central. Par exemple http://localhost:19120/Services1.0/swagger-ui.html.

Pour l'authentification dans les appels d'API REST, générez un jeton de service Web dans la page Paramètres utilisateur de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur.

Vous pouvez également créer un ID de session pour l'authentification dans les appels d'API.

  1. Cliquez sur Autoriser en haut à droite de la fenêtre du navigateur. La boîte de dialogue Autorisations disponibles s'affiche.
  2. Entrez vos données d'authentification Silk Central dans les champs de la zone Autorisation de base.
  3. Cliquez sur Autoriser.
  4. Fermez la boîte de dialogue Autorisations disponibles.
  5. Pour vous connecter et pour créer l'ID de session, développez la section login-api-controller dans l'API REST.
  6. Développez l'appel d'API /login.
  7. Cliquez sur Essayer.
  8. Cliquez sur Exécuter.
  9. Copiez l'ID de session à partir du champ de corps Réponse afin de l'utiliser pour d'autres appels d'API.
  10. Copiez l'ID de session afin de l'utiliser pour d'autres d'appels d'API.

Pour plus d'informations sur la procédure à suivre pour limiter l'utilisation des services de l'API REST pour un jeton de service Web ou pour un ID de session, reportez-vous à la rubrique Mesures JMX pour la limitation de l'utilisation des services REST.

Remarque : Micro Focus recommande l'authentification via un jeton de service Web.
Sujet parent : Gestion des exécutions dans des environnements d'exécution externes
Concepts associés
Mesures JMX pour la limitation de l'utilisation des services REST


Capture d'Écran

Vous pouvez activer la capture d'écran pour un élément de test ou un plan d'exécution. Les captures d'écran sont ajoutées aux fichiers de résultats sur les pages Fichiers et Chronologie de la boîte de dialogue Résultats d'exécution de test. Vous pouvez alors analyser les captures d'écran, par exemple, si des erreurs se sont produites au moment des tests.

Le paramètre Capture d'Écran de la page Déploiement d'un plan d'exécution peut remplacer le paramètre d'un élément de test donné, qui est inclus dans le plan d'exécution.

  • Activation de la capture d'écran
    Activez la fonction de capture d'écran afin d'ajouter une capture d'écran de votre test aux fichiers de résultats.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations


Activation de la capture d'écran

Pour activer la fonction de capture d'écran pour un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un conteneur, un dossier ou un test.
  3. Cliquez sur l'onglet Paramètres.
  4. Cliquez sur Ajouter un Paramètre Personnalisé. La boîte de dialogue Valoriser le Paramètre Personnalisé s'affiche.
  5. Dans le champ Nom, entrez captureScreen.
  6. Dans la zone de liste Type, sélectionnez Chaîne de Caractères.
  7. Dans le champ Valeur, entrez l'un des éléments suivants :
    • onError, si vous souhaitez ajouter une capture d'écran aux fichiers de résultats lorsqu'une erreur se produit lors de la mise en œuvre du plan d'exécution.
    • Toute autre chaîne de caractères ou aucun élément, si vous ne souhaitez pas ajouter une capture d'écran aux fichiers de résultats.
Sujet parent : Capture d'Écran


Capture vidéo

Vous pouvez activer la capture vidéo pour un élément de test ou un plan d'exécution. Les vidéos sont ajoutées, au format WMV, aux fichiers de résultats de la page Fichiers de la boîte de dialogue Résultats d'exécution de test. Vous pouvez alors analyser les vidéos, par exemple, si des erreurs se sont produites au moment des tests.

Le paramètre Enregistrement Vidéo de la page Déploiement d'un plan d'exécution peut remplacer le paramètre d'un élément de test donné, qui est inclus dans le plan d'exécution.

Restrictions :
  • L'enregistrement vidéo n'est pris en charge que sur les ordinateurs clients Microsoft Windows.
  • La capture vidéo n’est pas prise en charge dans les éditions N et KN de Microsoft Windows 10.
  • L'enregistrement vidéo des fenêtres WPF n'est pas pris en charge par le thème Windows 7 classique.
  • L'enregistrement de vidéos en résolution 4k n'est pas pris en charge.
Remarque : Pour utiliser la capture vidéo sur un serveur d'exécution Windows Server 2008, vous devez installer les fonctions suivantes du serveur :
  • Desktop Experience
  • Quality Windows Audio Video Experience
Pour utiliser la capture vidéo sur un serveur d'exécution Windows Server 2012, vous devez installer les fonctions suivantes du serveur :
  • Desktop Experience
  • Media Foundation
Avertissement : Le processus de capture vidéo est très consommateur d'UC. Utilisez cette fonctionnalité uniquement lorsque cela s'avère nécessaire. Pour utiliser cette fonctionnalité, vous devez disposer d'un système dont l'alimentation d'UC est suffisante, par exemple, un système avec plusieurs UC.

La capture vidéo de chaque cas de test d'une suite est prête à l'emploi pour les tests JUnit 4 et Plan Silk Test Classic. Afin d'utiliser cette fonction pour d'autres types de tests, employez les méthodes de l'interface TestCaseStartFinishSocketClient. Pour plus d'informations, reportez-vous à la rubrique Indication du début et de la fin pour la capture vidéo.

  • Activation de la capture vidéo
    Activez la fonction de capture vidéo afin d'ajouter une vidéo de votre test aux fichiers de résultats.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Concepts associés
Indication du début et de la fin de la capture vidéo


Activation de la capture vidéo

Pour activer la fonction de capture vidéo pour un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un conteneur, un dossier ou un test.
  3. Cliquez sur l'onglet Paramètres.
  4. Cliquez sur Ajouter un Paramètre Personnalisé. La boîte de dialogue Valoriser le Paramètre Personnalisé s'affiche.
  5. Dans le champ Nom, entrez recordVideo.
  6. Dans la zone de liste Type, sélectionnez Chaîne de Caractères.
  7. Dans le champ Valeur, entrez l'un des éléments suivants :
    • always, si vous souhaitez ajouter une vidéo aux fichiers de résultats lors de chaque mise en œuvre du plan d'exécution.
    • onError, si vous souhaitez ajouter une vidéo aux fichiers de résultats lorsqu'une erreur se produit lors de la mise en œuvre du plan d'exécution.
    • Toute autre chaîne de caractères ou aucun élément, si vous ne souhaitez pas ajouter une vidéo aux fichiers de résultats.
Sujet parent : Capture vidéo


Suppression automatique des résultats et des fichiers de résultats

Réduisez la taille de votre base de données de manière à gérer plus simplement les exécutions de votre plan d'exécution en définissant des règles permettant de supprimer les résultats et fichiers de résultats anciens des exécutions de votre plan d'exécution.

Cette tâche nécessite une autorisation de supprimer des exécutions de plan d'exécution.

La quantité de résultats collectés et le nombre de fichiers de résultats augmentent à mesure que vous exécutez vos plans d'exécution. Le temps peut affecter la pertinence de certains résultats. Par ailleurs, il sera plus facile de gérer vos résultats si vous ne conservez que les informations importantes. Dans Silk Central, vous pouvez définir des règles de nettoyage automatique des résultats et fichiers de résultats dont vous n'avez plus besoin.
  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez le nœud pour lequel vous souhaitez configurer des règles de nettoyage des résultats. Tous les nœuds enfants héritent des règles définies. Si vous souhaitez définir des règles de nettoyage pour les tests non assignés, sélectionnez le nœud Tests Non Assignés dans l'arborescence Plans d'Exécution. Les tests non assignés concernent notamment les tests Silk Performer chargés et les exécutions d'essai.
  3. Dans la section Règles de Nettoyage des Résultats de la page Propriétés, cliquez sur Nouvelle Règle. La boîte de dialogue Nouvelle Règle de Nettoyage des Résultats s'ouvre.
  4. Spécifiez le Type de règle. Vous pouvez supprimer uniquement les fichiers de résultats ou l'ensemble des exécutions comprenant les résultats.
  5. Dans la liste Supprimer après, sélectionnez l'heure de déclenchement de la suppression. Les règles de nettoyage ne se déclenchent que lorsque de nouveaux résultats sont stockés pour le nœud sélectionné.
    Remarque : Les exécutions et les fichiers de résultats ne sont pas supprimés dans les conditions suivantes :
    • Lorsqu'ils contiennent une exécution de test associée à un build marqué
    • Lorsqu'ils contiennent une exécution de test correspondant à la dernière exécution de ce test dans le plan d'exécution
    • Lorsqu'ils contiennent un test non assigné correspondant à la dernière exécution de ce test
    • Lorsqu'il n'y a qu'une seule exécution du plan d'exécution
  6. Si vous avez sélectionné le type de règle Supprimer les fichiers de résultats, vous pouvez spécifier seulement certains types de fichiers à supprimer dans le champ Supprimer uniquement les fichiers de type. Saisissez les extensions des types de fichiers sous forme de liste séparée par des virgules, par exemple bmp, png. Laissez ce champ vide pour supprimer l'ensemble des fichiers de résultats.
  7. Cliquez sur OK.
Pour mettre à jour ou supprimer une règle de nettoyage, cliquez sur l'icône Supprimer ou Modifier. Vous pouvez également désactiver une règle de nettoyage en changeant d'Etat. Les règles héritées ne peuvent être modifiées que sur le nœud supérieur sur lequel elles ont été créées.
Sujet parent : Gestion des plans d'exécution, des dossiers et des suites de configurations
Tâches associées
Suppression des résultats d'exécution de test
Suppression des exécutions et des fichiers de résultats d'un plan d'exécution
Référence associée
Page Propriétés du plan d'exécution


Vues de l'organisation des exécutions

Silk Central propose plusieurs vues et outils permettant d'organiser et d'exécuter vos tests.

  • Utilisation de l'arborescence Plans d'Exécution
    Décrit le mode d'utilisation de l'arborescence Plans d'Exécution.
  • Fonctions de la barre d'outils d'organisation des exécutions
    Fournit des commandes importantes pour la gestion de vos plans d'exécution.
  • Page Propriétés du plan d'exécution
    Détaille toutes les propriétés et informations pertinentes relatives à la suite de configurations, au plan d'exécution, au dossier, au cycle de test ou au projet sélectionné.
  • Vue globale de l'organisation des exécutions
    Offre une vue générale en lecture seule des propriétés de chaque plan d'exécution, dossier et suite de configuration du projet sélectionné.
  • Page Exécution en Cours
    Affiche toutes les informations associées aux exécutions de test actives du plan d'exécution sélectionné.
  • Page Historique de l'organisation des exécutions
    Détaille l'historique de l'organisation des exécutions du projet sélectionné.
Sujet parent : Organisation des Exécutions


Utilisation de l'arborescence Plans d'Exécution

Organisation des Exécutions > Vue Détaillée

Les dossiers, les plans d'exécution, les suites de configurations et les cycles de test sont affichés, organisés et gérés dans une structure hiérarchique : l'arborescence Plans d'exécution. Vous pouvez utiliser autant de niveaux hiérarchiques que vous le souhaitez au sein de l'arborescence.

Remarque : Lorsque la page contient plus d'éléments qu'il n'est possible d'en afficher en une seule fois sans que cela ait un impact sur le temps de réponse, ceux-ci sont affichés par incréments. Utilisez la barre de navigation en bas de la page pour parcourir les éléments.
  • Fonctions du clavier (Organisation d'exécutions)
    L'arborescence prend en charge le clavier et la sélection multiple.
  • Développement ou réduction de l'arborescence des plans d'exécution
    Développez et réduisez l'arborescence Plans d'Exécution afin de consolider et d'afficher les niveaux de la hiérarchie en fonction de vos besoins d'affichage.
  • Modification d'éléments de l'arborescence des plans d'exécution
    Modifiez un élément de l'arborescence Plans d'Exécution afin de l'appliquer à vos besoins en matière de test ayant évolué.
  • Copie d'éléments dans l'arborescence des plans d'exécution
    Copiez et collez un élément de l'arborescence Plans d'Exécution afin de réutiliser les tests, les filtres et les paramètres de planification assignés.
  • Suppression d'éléments de l'arborescence des plans d'exécution
    Supprimez un élément de l'arborescence Plans d'Exécution lorsque le jeu de tests, inclus dans l'élément, n'est plus requis.
  • Filtrage de l'arborescence Plans d'Exécution
    Décrit le mode d'ajout d'un filtre dans l'arborescence Plans d'Exécution.
  • Impression des tests assignés
    Imprimez les tests assignés dans un document PDF ou sur une imprimante locale.
  • Page Propriétés du Cycle de Test
    Décrit la page Propriétés du Cycle de Test.
Sujet parent : Vues de l'organisation des exécutions


Fonctions du clavier (Organisation d'exécutions)

Les actions suivantes peuvent appliquées aux noeuds sélectionnés :

Touches | Action
Vers le haut | Déplacer la sélection vers le haut
Vers le bas | Déplacer la sélection vers le bas
Droite | Développer l'élément
Gauche | Réduire l'élément
F2 | Modifier l'élément
Ctrl + C | Copier l'élément
Ctrl + X | Couper l'élément
Ctrl + V | Coller l'élément
Suppr | Supprimer l'élément
Clic | Sélectionnez un élément et définissez-le comme élément en cours.
Ctrl + clic | Modifiez le statut de sélection de l'élément sur lequel vous avez cliqué et ajoutez/supprimez des éléments supplémentaires avec quelques clics de plus.
Maj + clic | Sélectionnez la plage comprise entre l'élément actuellement sélectionné et l'élément récemment sélectionné.
Maj + Haut | Sélectionnez l'élément ci-dessus.
Maj + Bas | Sélectionnez l'élément ci-dessous.
Entrée | Assigner l'élément (uniquement dans l'arborescence d'affectation)
Sujet parent : Utilisation de l'arborescence Plans d'Exécution


Développement ou réduction de l'arborescence des plans d'exécution

Vous pouvez consolider les niveaux de l'arborescence Plans d'Exécution ou afficher tous les niveaux de la hiérarchie selon vos besoins d'affichage.

Pour réduire ou développer les niveaux de l'arborescence Plans d'Exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez un dossier dans l'arborescence Plans d'Exécution et poursuivez avec l'une des options suivantes :
    • À gauche du nom du dossier, cliquez sur Développer pour le développer.
    • À gauche du nom du dossier, cliquez sur Réduire pour le réduire.
    • Faites un clic droit sur le dossier et sélectionnez Développer ou Réduire.
Sujet parent : Utilisation de l'arborescence Plans d'Exécution


Modification d'éléments de l'arborescence des plans d'exécution

Pour modifier un élément de plan d'exécution existant :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l’arborescence Plans d’Exécution, sélectionnez le plan d’Plans d’Exécution, sélectionnez le plan d’, sélectionnez le plan d’exécution, le dossier, le cycle de test ou la suite de configurations à modifier.
  3. Dans la section Détails, cliquez sur Modifier. La boîte de dialogue Modifier s'affiche.
  4. Modifiez l'élément en changeant les critères dans la boîte de dialogue. Pour les plans d'exécution, si aucune exécution et aucun test ne sont assignés au plan d'exécution, vous pouvez choisir un autre conteneur de tests pour ce plan dans la zone de liste Conteneur de Tests.
  5. Cliquez sur OK pour enregistrer l'élément modifié.
Sujet parent : Utilisation de l'arborescence Plans d'Exécution
Tâches associées
Création de plans d'exécution
Référence associée
Page Propriétés du plan d'exécution


Copie d'éléments dans l'arborescence des plans d'exécution

Pour copier et coller un plan d'exécution, un dossier ou une suite de configurations :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez l'élément que vous souhaitez copier.
  3. Cliquez sur Copier dans la barre d'outils ou faites un clic droit sur l'élément, puis sélectionnez Copier.
  4. Sélectionnez le dossier cible dans lequel l'élément doit être copié.
  5. Cliquez sur Coller dans la barre d'outils ou faites un clic droit sur le nœud cible, puis sélectionnez Coller. L'arborescence Plans d'Exécution est mise à jour avec une copie de l'élément collé. Tous les tests, filtres et paramètres de planification assignés sont copiés avec l'élément.
Sujet parent : Utilisation de l'arborescence Plans d'Exécution


Suppression d'éléments de l'arborescence des plans d'exécution

Pour supprimer un plan d'exécution, un dossier ou une suite de configurations :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez l'élément que vous souhaitez supprimer.
  3. Cliquez sur Supprimer dans la barre d'outils ou faites un clic droit sur le nœud de l'élément et choisissez Supprimer.
  4. Cliquez sur Oui dans la boîte de dialogue de Confirmation de la Suppression afin de supprimer l'élément de l'arborescence Plans d'Exécution.

Lors de la suppression d'un élément de l'arborescence Plans d'Exécution, les résultats d'exécution des tests assignés sont également supprimés. Les résultats d'exécution de test peuvent toujours être affichés dans les rapports, car ils sont stockés dans la base de données (cette dernière n'étant pas mise à jour immédiatement après la suppression de l'élément).

Sujet parent : Utilisation de l'arborescence Plans d'Exécution


Filtrage de l'arborescence Plans d'Exécution

Appliquez les étapes suivantes pour filtrer l'arborescence Plans d'Exécution afin que seuls le nœud et les nœuds enfants sélectionnés soient visibles. Cette procédure est utile si vous voulez imprimer un sous-ensemble de plans d'exécutions au format PDF.
  1. Créez un filtre personnalisé qui définit les plans d'exécution que vous souhaitez afficher.
  2. Dans la vue arborescente, sélectionnez un dossier ou une suite de configurations, faites un clic droit et sélectionnez Filtrer la Sous-Arborescence.
Sujet parent : Utilisation de l'arborescence Plans d'Exécution


Impression des tests assignés

Pour chaque plan d’exécution de l’arborescence Plans d’Plans d'Exécution, vous pouvez imprimer un document qui inclut des informations relatives à tous les tests qui sont assignés au plan d'exécution. Vous pouvez imprimer ce document au format PDF ou sur une imprimante locale.

Pour imprimer des informations sur tous les tests qui sont assignés à un plan d'exécution :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, faites un clic droit sur le plan d'exécution et cliquez sur Imprimer les Détails des Tests Assignés. La boîte de dialogue Détails du test s'affiche.
  3. Pour imprimer les informations relatives au test assigné sur une imprimante locale, cliquez sur Imprimer. Pour enregistrer les informations dans un document PDF, cliquez sur Exporter en PDF.
Sujet parent : Utilisation de l'arborescence Plans d'Exécution


Page Propriétés du Cycle de Test

Organisation des Exécutions > Vue Détaillée > <cycle de test> > Propriétés

La page Propriétés du Cycle de Test est disponible lorsque vous sélectionnez un cycle de test dans l'arborescence Plans d'Exécution et que vous cliquez sur Propriétés.

Cliquez sur Modifier les Propriétés pour afficher la boîte de dialogue Modifier le Cycle de Test dans laquelle vous pouvez modifier le Nom, la Description et la Durée Prévue du cycle de test.

Le tableau ci-dessous affiche les propriétés disponibles d'un cycle de test.

Propriété | Description
Nom du Cycle de Test | Nom du cycle de test. Changez cette valeur dans la boîte de dialogue Modifier le Cycle de Test. Cliquez sur [image] pour localiser le cycle de test dans l'unité Organisation des exécutions manuelles.
ID du Cycle de Test | ID unique du cycle de test
Description | Description du cycle de test. Changez cette valeur dans la boîte de dialogue Modifier le Cycle de Test.
Etat de la Dernière Exécution | L'état est une agrégation de la dernière exécution de tous les états de tests dans les plans d'exécution du cycle de test : Réussi, En Échec, Non Exécuté ou N/A.
Heure de Début de la Dernière Exécution | Heure de début de la dernière exécution
Date de Début du Cycle de Test | Date de début planifiée pour le cycle de test
Date de Fin du Cycle de Test | Date de fin planifiée pour le cycle de test
Capacité [hh:mm]

Durée prévue pour le cycle de test. Changez cette valeur dans la boîte de dialogue Modifier le Cycle de Test.

Si vous assignez des testeurs manuels au cycle de test, la valeur de Capacité est la somme des valeurs de Capacité de chaque testeur manuel.
Durée Prévue [hh:mm] | Durée prévue cumulée de tous les tests manuels dans tous les plans d'exécution assignés du cycle de test
Temps restant [hh:mm] | Temps restant une fois que la Durée Prévue a été déduite de la Capacité
Créé le | Date de création du cycle de test
Créé par | Utilisateur qui a créé le cycle de test
Modifié Le | Date de la dernière modification du cycle de test
Modifié Par | Dernier utilisateur ayant modifié le cycle de test

Testeurs manuels assignés

Cette section répertorie tous les testeurs manuels inclus dans le cycle.

Propriété | Description
Testeur | Nom du testeur.
Capacité | Indiquez la durée de disponibilité du testeur, au format hh:mm, pour le cycle de test. Le total de toutes les valeurs de capacité de chaque testeur correspond à la valeur de Capacité du cycle de test.
Ajouter/Supprimer des testeurs | Cliquez sur cette option pour ouvrir la boîte de dialogue Testeurs Manuels qui vous permet d'ajouter des testeurs au cycle de test.
Sujet parent : Utilisation de l'arborescence Plans d'Exécution
Concepts associés
Organisation des Exécutions Manuelles
Référence associée
Page Propriétés du plan d'exécution
Page Exécutions


Fonctions de la barre d'outils d'organisation des exécutions

Organisation des Exécutions > Vue Détaillée

Organisation des Exécutions > Vue Globale

La barre d'outils des exécutions fournit des commandes importantes pour la gestion de vos plans d'exécution.

Remarque : Certaines commandes de la barre d'outils d'organisation des exécutions sont également accessibles par le biais des menus contextuels dans l'arborescence Plans d'Exécution.

Les commandes suivantes sont incluses dans la barre d'outils d'organisation des exécutions :

Commande | Icône | Description
Vue Détaillée | Vue Exigences | Affiche la Vue Détaillée, qui vous permet d'explorer en détail les propriétés d'un seul élément de l'arborescence Plans d'Exécution.
Vue Globale | Vue Globale | Affiche la Vue Globale, qui affiche les propriétés sélectionnées de toutes les exécutions dans une seule vue.
Nouveau Dossier Enfant | Vue Globale | Ajoute un nouveau dossier au projet ou au dossier sélectionné. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Nouveau Cycle de Test Enfant | Vue Globale | Ajoute un nouveau cycle de test au projet ou au dossier sélectionné.
Nouvelle Suite de Configurations Enfant | Vue Globale | Ajoute une nouvelle suite de configurations au projet ou au dossier sélectionné. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Nouveau Plan d'Exécution Enfant | Vue Globale | Ajoute un nouveau plan d'exécution à la suite de configurations, au projet ou au dossier sélectionné. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Modifier | Modifier | Ouvre l'élément sélectionné dans l'arborescence Plans d'Exécution en vue de sa modification.
Supprimer | Supprimer | Supprime l'élément sélectionné de l'arborescence Plans d'Exécution. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Couper | Couper | Coupe un élément de l'arborescence Plans d'Exécution et l'enregistre dans le presse-papiers. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Copier | Copier | Copie un élément de l'arborescence Plans d'Exécution dans le presse-papiers. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Coller | Coller | Colle un élément du presse-papiers dans l'arborescence Plans d'Exécution. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Coller comme Enfant | Coller comme Enfant | Colle un élément du presse-papiers en tant qu'enfant dans l'élément qui est actuellement sélectionné dans l'arborescence Plans d'Exécution. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Exécuter |  | Lance l'exécution des tests qui sont assignés au plan d'exécution. Cette commande est désactivée pour les plans d'exécution qui sont assignés à un cycle de test.
Nouveau Filtre | Nouveau Filtre | Crée un nouveau filtre personnalisé pour l'arborescence Plans d'Exécution.
Filtres |  | Répertorie les filtres disponibles pour l'arborescence Plans d'Exécution.
Modifier le Filtre | Modifier le Filtre | Modifie le filtre personnalisé qui est actuellement sélectionné.
Supprimer le Filtre | Supprimer le Filtre | Supprime le filtre personnalisé qui est actuellement sélectionné.
Copier le Filtre | Supprimer le Filtre | Copie le filtre personnalisé qui est actuellement sélectionné.
Exporter en PDF | Exporter en PDF | Cette fonction est activée uniquement dans la Vue Globale. L'action génère un fichier PDF incluant tous les nœuds actuellement visibles dans l'arborescence Plans d'Exécution.
Sujet parent : Vues de l'organisation des exécutions


Page Propriétés du plan d'exécution

Organisation des exécutions > Vue détaillée > <élément de l'arborescence d'exécution> > Propriétés

La page Propriétés fournit des détails sur toutes les propriétés et informations pertinentes relatives à la suite de configurations, au plan d’exécution, au dossier, au cycle de test ou au projet sélectionné. Vous avez la possibilité de développer et de réduire les informations de chaque section sur cette page. Cela vous permet de personnaliser les informations affichées selon vos besoins spécifiques.

Détails

La section Détails affiche des informations de base sur l'élément sélectionné. Pour plus d’informations, reportez-vous aux rubriques Création de plans d’exécution et Modification d'éléments de l'arborescence des plans d'exécution.

Etat d'exécution

La section Etat d'Exécution affiche des informations concernant les dernières exécutions. La section Etat de la Dernière Exécution affiche les états cumulés des tests de la dernière mise en œuvre du plan d'exécution ou les états cumulés des tests de tous les plans d'exécution inclus, pour un dossier ou une suite de configurations. La section Durée affiche la durée de la dernière mise en œuvre d'un plan d'exécution ou, dans le cas d'un dossier ou d'une suite de configurations, les durées cumulées des dernières mises en œuvre de tous les plans d'exécution inclus. Dans le cas le plus simple (tests automatisés mis en œuvre sur un seul serveur d'exécution ou exécution de tests manuels uniquement), la durée correspond au temps affiché pour la dernière exécution sur la page Exécutions. Si la dernière exécution comportait à la fois des tests automatisés et manuels, seule une de ces catégories de tests sera prise en compte, en fonction du type de test exécuté ultérieurement. Si le plan d'exécution contient plusieurs tests, la durée correspond au temps écoulé entre le lancement du premier test et l'achèvement du dernier. Ce paramètre inclut le temps supplémentaire requis pour arrêter/lancer les tests entre les exécutions.

Pour plus d'informations, reportez-vous à la rubrique Analyse des exécutions de tests.

Installation de l'exécution de tests

La section Configuration de l'Exécution de Test affiche des informations sur les tests ou testeurs assignés. Pour plus d’informations, reportez-vous aux rubriques Gestion des plans d’exécution, des dossiers et des suites de configurations et Assignation des Tests.

Attributs

Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux plans d'exécution. Pour en savoir plus, reportez-vous à la rubrique Attributs du plan d'exécution.

Paramètres

La section Paramètres affiche des informations concernant les paramètres, qui correspondent à des valeurs librement configurables des plans d'exécution. Pour en savoir plus, reportez-vous à la rubrique Paramètres du plan d'exécution.

Notifications et rapports

La section Notifications et rapports inclut des cases à cocher qui vous permettent de déterminer si vous souhaitez recevoir des notifications en fonction du résultat de l'exécution. La fonction de notification est disponible uniquement si un serveur de messagerie a été configuré par votre administrateur. Vous devez également spécifier une adresse électronique pour votre compte dans <Nom d'utilisateur> > Paramètres Utilisateur. En outre, vous pouvez déclencher des abonnements aux rapports en fonction du résultat de l'exécution. La liste des rapports disponibles est basée sur la base des rapports pour lesquels un abonnement est défini. Pour plus d'informations, reportez-vous à la rubrique Gestion des abonnements aux rapports.

Case à cocher | Description
L'exécution s'est terminée avec succès | Cochez cette case pour recevoir une notification par courriel chaque fois qu'une exécution se termine correctement.
L'exécution s'est terminée avec des tests non réussis | Cochez cette case pour recevoir une notification par courriel chaque fois qu'une exécution se termine avec l'état Non Exécuté ou En Échec.
L'exécution s'est terminée avec un nombre différent de tests non réussis | Cochez cette case pour recevoir une notification par courriel chaque fois que le nombre de tests en échec ou non exécutés varie par rapport à l'exécution précédente, à la fin d'une exécution.

Règles de nettoyage des résultats

Utilisez la section Règles de Nettoyage des Résultats pour définir des règles permettant de nettoyer les résultats et fichiers de résultats obsolètes des exécutions de plans d'exécution. Pour plus d'informations, reportez-vous à la rubrique Suppression automatique des résultats et des fichiers de résultats.

Sujet parent : Vues de l'organisation des exécutions
Concepts associés
Tests de configurations
Tâches associées
Modification d'éléments de l'arborescence des plans d'exécution
Création de plans d'exécution
Suppression automatique des résultats et des fichiers de résultats
Gestion des abonnements de rapports
Référence associée
Page Exécutions


Vue globale de l'organisation des exécutions

Organisation des Exécutions > Vue Globale

La zone Organisation des Exécutions propose deux vues des propriétés d'exécution : la Vue Globale et la Vue Détaillée. La Vue Globale offre une vue générale en lecture seule des caractéristiques et propriétés définies pour la dernière exécution de chaque plan d'exécution, dossier et suite de configuration du projet sélectionné. Utilisez la Vue Globale pour planifier la mise en œuvre de vos plans d'exécution. Vous pouvez faire appel aux filtres pour évaluer la durée d'exécution du sous-ensemble de plans d'exécution filtrés.

La Vue Globale affiche les colonnes suivantes pour un élément sélectionné dans l'arborescence Plans d'Exécution :

Colonne | Description
Etat | États cumulés des tests de la dernière mise en œuvre du plan d'exécution ou états cumulés des tests de tous les plans d'exécution inclus, pour un dossier ou une suite de configurations. Si vous appliquez un filtre à l'arborescence Plans d'exécution, les états cumulés des tests sont basés sur les plans d'exécution filtrés uniquement.
Tests assignés | Nombre total de tests assignés. Si vous appliquez un filtre à l'arborescence Plans d'exécution, le nombre de tests assignés est basé sur les plans d'exécution filtrés uniquement.
Build | Build utilisé lorsque le plan d'exécution est mis en œuvre.
Version | Version utilisée lorsque le plan d'exécution est mis en œuvre.
Application | Application sur laquelle le conteneur de tests associé est basé.
Priorité | Pour les plans d'exécution automatisés, lorsque plusieurs plans d'exécution sont mis en attente, mais qu'un seul serveur d'exécution est disponible, le paramètre Priorité détermine le plan d'exécution qui est mis en œuvre en premier. Cela est également valable si des serveurs d’exécution sont disponibles mais que plusieurs plans d’exécution requièrent un appareil mobile qui n’est pas disponible.
Dernière exécution | Moment où le plan d'exécution a été mis en œuvre pour la dernière fois.
Durée prévue | Durée prévue totale pour tous les tests manuels. Si vous appliquez un filtre à l'arborescence Plans d'exécution, la durée prévue est basée sur les plans d'exécution filtrés uniquement.
Durée | Durée de la dernière mise en œuvre d'un plan d'exécution ou, dans le cas d'un dossier ou d'une suite de configurations, durées cumulées des dernières mises en œuvre de tous les plans d'exécution inclus. Si vous appliquez un filtre à l'arborescence Plans d'exécution, la durée est basée sur les plans d'exécution filtrés uniquement.
Prochaine exécution | Prochaine exécution planifiée.
Conteneur de tests | Conteneur de tests comportant les tests qui peuvent être assignés à ce plan d'exécution.
Attributs | Si vous avez assigné des attributs à vos plans d'exécution, vous pouvez choisir de les afficher dans la grille. Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux plans d'exécution. Vous pouvez utiliser les attributs pour le filtrage et l'établissement de rapports.
Remarque : Les totaux des plans d'exécution sont cumulés jusqu'au niveau parent pour tous les plans d'exécution affichés. Si vous appliquez un filtre à l'arborescence Plans d'exécution, les totaux des plans d'exécution sont basés sur les plans d'exécution filtrés uniquement. Par exemple, les totaux des plans d'exécution incluent les exécutions mises en œuvre à partir de tous les plans d'exécution enfants qui sont sélectionnés avec le filtre et les totaux des projets incluent les exécutions mises en œuvre à partir de tous les plans d'exécution sélectionnés avec le filtre.
Sujet parent : Vues de l'organisation des exécutions


Page Exécution en Cours

Organisation des Exécutions > Vue Détaillée > <plan d'exécution> > Exécution en Cours

Pour accéder à la page Exécution en Cours d'un plan d'exécution, sélectionnez le plan d'exécution dans l'arborescence Plans d'Exécution, puis cliquez sur l'onglet Exécution en Cours. La page Exécution en Cours affiche toutes les informations relatives aux exécutions de test actives du plan d'exécution sélectionné. Une autre page s'affiche pour les exécutions de test manuel et automatisé.

Exécutions de test manuel

La page Exécution en Cours affiche l'exécution de test manuel active jusqu'à ce qu'elle se termine. Pour les tests manuels assignés à un cycle de test, cette page est renommée Exécuter. Dans ce cas, la page Exécuter continue d'afficher l'exécution jusqu'à ce qu'elle se termine. La page comporte deux vues matricielles, Tests Assignés et Pas de Test. La vue Tests Assignés affiche des informations sur l'exécution de test manuel active, tandis que la vue Pas de Test affiche des informations sur chaque pas du test manuel. Vous pouvez filtrer les exécutions de tests dans la vue Tests Assignés afin de n'afficher que les colonnes sélectionnées. Les vues Détails du Test et Détails du Pas de Test affichent des informations supplémentaires.

Cliquez sur Recharger pour actualiser la page Exécution en Cours. Si vous avez modifié l'affectation du test d'un plan d'exécution, ou si vous avez mis à jour les tests dans l'espace Tests, et voulez refléter ces modifications dans les exécutions en cours, cliquez sur Synchroniser les exécutions en cours. Cela mettra à jour tous les tests assignés des exécutions en cours.

Si d'autres exécutions du plan d'exécution sont démarrées alors que l'Exécution en Cours n'est pas encore achevée, un message s'affiche et indique que des exécutions plus récentes sont disponibles. Les informations sur ces exécutions sont disponibles sur la page Activités.

Exécutions de test automatisé

Pour les tests automatisés, la page Exécution en Cours affiche la progression de l'exécution. Cliquez sur Mettre à jour pour actualiser la page Exécution en cours. Pour les tests automatisés qui sont exécutés sur un appareil mobile, cliquez sur Afficher la capture vidéo de l’écran pour visualiser en direct le flux des activités relatives à l’appareil. Les flux d'activités ne sont pas disponibles pour les appareils Sauce Labs.

Sujet parent : Vues de l'organisation des exécutions
Tâches associées
Assignation d'incidents existants


Page Historique de l'organisation des exécutions

Organisation des exécutions > Vue détaillée > <Projet> > Historique

La page Historique détaille l'historique de l'organisation des exécutions du projet sélectionné. vous pouvez afficher ou masquer les colonnes, ajuster la largeur et faire glisser les colonnes pour en modifier l'ordre. Cliquez sur les colonnes pour filtrer le contenu de la grille. Les actions suivantes génèrent des entrées au sein des historiques de l'organisation des exécutions :

  • Suppression d'un plan d'exécution, dossier, cycle de test, d'une suite de configurations ou d'une configuration
Remarque : Lorsque la page contient plus d'éléments qu'il n'est possible d'en afficher en une seule fois sans que cela ait un impact sur le temps de réponse, ceux-ci sont affichés par incréments. Utilisez la barre de navigation en bas de la page pour parcourir les éléments.
Sujet parent : Vues de l'organisation des exécutions


Utilisation des projets Silk Performer

Silk Performer est entièrement intégré à la fonctionnalité de test et d'exécution de Silk Central . Les projets Silk Performer peuvent être intégrés aux tests Silk Central et exécutés directement via Silk Central . Ceci permet d'offrir des fonctions performantes d'analyse des résultats de test et de création de rapports sur ces résultats. Des tests sans intervention manuelle sont également possibles ; ils sont exécutés automatiquement par Silk Central selon des planifications préconfigurées.

Reportez-vous à l'aide de Silk Performer pour plus de détails sur la configuration de l'intégration de Silk Performer à Silk Central.

Vous pouvez ouvrir directement les fichiers de projets Silk Performer dans Silk Performer depuis Silk Central, où vous pouvez modifier les scripts et les paramètres. Ensuite, vous pouvez sélectionner à nouveau les projets Silk Performer modifiés dans Silk Central afin qu'ils soient disponibles ultérieurement pour des exécutions de tests.

Remarque : L'utilisation du terme Projet est différente dans Silk Performer et dans Silk Central. Un projet Silk Performer téléchargé dans Silk Central devient l'élément principal d'un test Silk Central. Les projets Silk Central sont des entités principales qui peuvent inclure plusieurs projets, tests, plans d'exécution et exigences Silk Performer.
  • Téléchargement de projets Silk Performer
    Téléchargez un projet Silk Performer afin de l'utiliser indépendamment de Silk Central.
  • Ouverture de projets Silk Performer
    Ouvrez un projet Silk Performer depuisSilk Central pour le modifier dans Silk Performer.
  • Accès aux propriétés des plans d'exécution
    Silk Central fournit des informations sur les propriétés des plans d'exécution lors de l'exécution d'un test Silk Performer.
  • Exécution de tests Silk Performer prévus
    Exécutez un test Silk Performer prévu pour exécuter le test manuellement dans Silk Performer.
  • Modification des propriétés de test Silk Performer
    Modifiez les propriétés de test Silk Performer afin que le test corresponde à vos besoins.
  • Analyse des résultats de test Silk Performer
    Décrit la façon d'analyser les résultats de tests Silk Performer.
  • Téléchargement de packages de résultats de tests Silk Performer
    Téléchargez des packages de résultats de tests Silk Performer afin d'analyser le jeu de résultats complet d'une exécution de test.
  • Téléchargement des résultats de test Silk Performer
    Téléchargez les résultats de test Silk Performer dans Silk Central afin d'associer les résultats à un test.
  • Utilisation de Silk Performance Explorer
    Silk Performance Explorer s'utilise pour l'analyse approfondie des exécutions de test.
Sujet parent : Organisation des Exécutions
Concepts associés
Tests Silk Performer
Paramètres de test
Tâches associées
Création ou modification de tests Silk Performer
Référence associée
Paramètres prédéfinis
Accès aux paramètres Silk Central au moyen des propriétés système Java


Téléchargement de projets Silk Performer

Tandis que l'ouverture d'un projet Silk Performer peut nécessiter l'extraction d'un projet Silk Performer à partir d'un outil de référentiel tiers, la modification du projet dans Silk Performer et la réintégration du projet dans Silk Central, le téléchargement d'un projet implique le téléchargement d'une copie d'un projet et son utilisation indépendamment de Silk Central. Les modifications apportées aux projets téléchargés ne sont pas automatiquement répercutées dans Silk Central.

Pour télécharger un projet Silk Performer :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un test Silk Performer.
  3. Cliquez sur l'onglet Propriétés.
  4. Faites défiler l'écran vers le bas jusqu'à la section Propriétés du test Silk Performer.
  5. Cliquez sur Télécharger le Projet. Une boîte de dialogue de téléchargement de fichier s'affiche, vous demandant de confirmer le téléchargement du projet Silk Performer spécifié sur votre système local.
  6. Cliquez sur Enregistrer pour ouvrir le fichier dans Silk Performer. Si l'outil Silk Performer n'est pas déjà ouvert en arrière-plan, il est appelé.
  7. La boîte de dialogue Sélectionner le Répertoire Cible s'affiche ; le chemin du répertoire par défaut dans lequel le projet Silk Performer spécifié va être enregistré y est déjà saisi. Si vous acceptez le nom de chemin spécifié, cliquez sur OK, sinon cliquez sur Parcourir pour indiquer un autre chemin.
    Remarque : Même si vous avez configuré l'intégration du référentiel tiers, vous ne serez pas invité à extraire le projet Silk Performer de votre système de référentiel tiers car vous utilisez ce fichier indépendamment de Silk Central.
    Remarque : Les projets Silk Performer utilisés par Silk Central peuvent également être téléchargés directement à partir de l'interface utilisateur de Silk Performer. Pour plus d'informations, reportez-vous à la documentation de Silk Performer.
Sujet parent : Utilisation des projets Silk Performer


Ouverture de projets Silk Performer

Pour ouvrir un projet Silk Performer depuis Silk Central :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un test Silk Performer.
  3. Cliquez sur l'onglet Propriétés.
  4. Faites défiler l'écran vers le bas jusqu'à la section Propriétés du test Silk Performer.
  5. Cliquez sur Ouvrir le projet Silk Performer. Une boîte de dialogue de téléchargement de fichier s'affiche, vous demandant de confirmer que vous souhaitez ouvrir le fichier de commandes Silk Performer spécifié (.spwbcmd) dans Silk Performer.
  6. Cliquez sur Ouvrir pour ouvrir le fichier dans Silk Performer. Si l'outil Silk Performer n'est pas déjà ouvert en arrière-plan, il est appelé. La boîte de dialogue Sélectionner le répertoire cible s'affiche ; le chemin du répertoire par défaut dans lequel le projet Silk Performer spécifié va être enregistré y est déjà saisi.
  7. Si vous acceptez le nom de chemin spécifié, cliquez sur OK, sinon cliquez sur Parcourir pour indiquer un autre chemin.
  8. Si vous avez configuré l'intégration d'un référentiel tiers pour Silk Central, par exemple StarTeam, un écran de connexion s'affiche pour le client du référentiel tiers. Saisissez des paramètres de connexion utilisateur valides et cliquez sur OK pour continuer.
    Remarque : Vous pouvez aussi ouvrir les projets Silk Performer utilisés parSilk Central directement depuis Silk Performer. Pour plus d'informations, reportez-vous à la documentation de Silk Performer.
Sujet parent : Utilisation des projets Silk Performer


Accès aux propriétés des plans d'exécution

Silk Central fournit des informations sur les propriétés des plans d'exécution lors de l'exécution d'un test Silk Performer. Utilisez les méthodes AttributeGet pour accéder à ces propriétés dans le script Silk Performer. Vous avez accès aux propriétés suivantes dans le script :
Paramètre
Description
#sctm_execdef_name
Nom du plan d'exécution en cours. Si l'exécution a été déclenchée à partir de la zone Tests, le paramètre a pour valeur Tests non assignés.
#sctm_execdef_id
Identifiant numérique (clé de base de données) du plan d'exécution en cours.
#sctm_product
Nom du produit tel qu'il est défini dans le conteneur de tests exécutés.
#sctm_version
Nom de la version à laquelle les résultats de l'exécution sont associés.
#sctm_build
Nom de la version à laquelle les résultats de l'exécution sont associés.
#sctm_keywords
Liste utilisant des virgules comme séparateurs et contenant les mots-clés définis pour ce plan d'exécution.
#sctm_regular_execdef_run_id
Identifiant numérique (clé de base de données) de l'exécution de plan d'exécution régulière. Pour les tests d'initialisation et de nettoyage, cette propriété contient l'ID de l'exécution régulière.
#sctm_test_results_dir
Chemin du répertoire dans lequel résident les fichiers de résultat du test.
#sctm_test_name
Nom du test Silk Central en cours d'exécution.
#sctm_test_id
Identifiant numérique (clé de base de données) du test en cours d'exécution.
#sctm_source_root_dir
Chemin local du répertoire racine du conteneur de tests, dans lequel résident tous les fichiers sous contrôle de version
#external_id
Identifiant unique d'un scénario de test dans un package de tests à exécuter. Vous pouvez l'utiliser comme un filtre si seuls certains scénarios de test dans un package de tests doivent être exécutés.

#is_test_package_root
Si true, le test en cours d'exécution est le nœud racine du package de tests (par défaut). Si false, seuls certains scénarios de test spécifiques d'un package de tests spécifié par #external_id sont exécutés
#sctm_data_driven_parent_test_name
Nom du test parent, si le test exécuté est une ligne pilotée par les données.
#sctm_data_driven_parent_test_id
Identifiant numérique (clé de base de données) du test parent, si le test exécuté est une ligne pilotée par les données.
Sujet parent : Utilisation des projets Silk Performer


Exécution de tests Silk Performer prévus

Les tests prévus sont des tests Silk Performer exécutés manuellement dans Silk Performer et qui ne s'exécutent pas automatiquement à partir d'une planification prédéfinie dans Silk Central.

Remarque : Pour utiliser la fonctionnalité de test piloté par les données de Silk Central avec des scripts deSilk Performer, les sources de données dont les noms de colonnes correspondent aux attributs de projet de Silk Performer doivent être utilisées conjointement avec les méthodes AttributeGet (les attributs de mot de passe ne peuvent être transmis et utilisent toujours les valeurs indiquées dans le script).

Pour exécuter un test prévu dans Silk Performer :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un test Silk Performer.
  3. Cliquez sur l'onglet Propriétés.
  4. Faites défiler l'écran vers le bas jusqu'à la section Propriétés du test Silk Performer.
  5. Cliquez sur Exécution. Une boîte de dialogue de téléchargement de fichier s'affiche, vous demandant de confirmer que vous souhaitez exécuter le fichier de commandes Silk Performer spécifié (.spwbcmd).
  6. Cliquez sur Ouvrir pour ouvrir le projet dans Silk Performer. Si l'outil Silk Performer n'est pas déjà ouvert en arrière-plan, il est appelé. La boîte de dialogue Sélectionner le répertoire cible s'affiche ; le chemin du répertoire par défaut dans lequel le projet Silk Performer spécifié va être enregistré y est déjà saisi.
  7. Si vous acceptez le nom de chemin spécifié, cliquez sur OK, sinon cliquez sur Parcourir pour indiquer un autre chemin. La boîte de dialogue Configuration du profil de montée en charge Silk Performer s'ouvre et répertorie tous les paramètres de charge associés au projet Silk Performer.
  8. Modifiez les paramètres de charge selon les besoins, puis cliquez sur Exécuter pour commencer le test et contrôler les résultats avec Silk Performer.
    Remarque : Si vous cliquez sur Exécuter sans modifier les paramètres de charge, le test Silk Performer s'exécute exactement comme s'il avait été lancé directement à partir de Silk Central en tant que test non prévu.
Sujet parent : Utilisation des projets Silk Performer


Modification des propriétés de test Silk Performer

Remarque : Pour utiliser la fonction de test pilotée par les données de Silk Central avec les scripts Silk Performer, des sources de données dont les noms de colonnes correspondent aux attributs de projet Silk Performer associés doivent être utilisées conjointement avec les méthodes AttributeGet.

Pour modifier des propriétés de test Silk Performer :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un test Silk Performer.
  3. Cliquez sur l'onglet Propriétés.
  4. Faites défiler l'écran vers le bas jusqu'à la section Propriétés du test Silk Performer.
  5. Cliquez sur Modifier les propriétés de test Silk Performer.
  6. Passez à la configuration de votre test Silk Performer.
Sujet parent : Utilisation des projets Silk Performer


Analyse des résultats de test Silk Performer

Performance Explorer permet d'analyser en détail les résultats de tests Silk Performer. L'option Analyser les Résultats permet de télécharger uniquement les résultats sélectionnés, contrairement à l'option « Téléchargement des packages de résultats ». Pour vous aider à analyser les résultats de vos efforts d'optimisation, Performance Explorer permet même de comparer en vis-à-vis les statistiques de plusieurs exécutions de tests dans des rapports personnalisés.

Les résultats des tests exécutés à l'aide de Silk Central peuvent être chargés automatiquement dans Performance Explorer grâce à des commandes disponibles dans l'espace Tests de la page Exécutions.

Pour obtenir des détails complets sur l'utilisation de Performance Explorer et l'intégration de Silk Performer à Silk Central, reportez-vous à la documentation de Silk Performer.

Pour ouvrir les résultats de tests Silk Performer dans Performance Explorer :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test qui vous intéresse.
  3. Cliquez sur l'onglet Exécutions.
  4. Cliquez sur Analyser les Résultats dans la colonne Actions de l'exécution de test dont vous souhaitez télécharger les résultats. Une boîte de dialogue Téléchargement de fichier qui s'ouvre indique le nom du fichier de commande Performance Explorer (.sppecmd) que vous allez télécharger.
  5. Cliquez sur Ouvrir pour ouvrir les résultats dans Performance Explorer. Vous pouvez également cliquer sur Enregistrer pour sauvegarder les résultats en local.
  6. Si Performance Explorer n'est pas déjà présent en arrière-plan, il s'ouvre à présent en étant connecté directement à votre installation Silk Central et récupère les résultats de l'exécution sélectionnée.
    Remarque : Pour préparer un rapport personnalisé qui compare les résultats de plusieurs exécutions dans un seul rapport, vous pouvez télécharger les résultats d'autres exécutions depuis la page Exécutions. D'autres résultats d'exécution sont affichés dans l'instance existante de Performance Explorer sur le ruban Silk Central. Pour plus de détails sur les rapports de comparaison personnalisés, reportez-vous à l'aide de Performance Explorer .
Sujet parent : Utilisation des projets Silk Performer


Téléchargement de packages de résultats de tests Silk Performer

Le téléchargement des packages de résultats constitue la solution idéale si vous souhaitez analyser le jeu de résultats complet d'une exécution de test ou si vous souhaitez télécharger le jeu de résultats complet en vue d'effectuer une analyse hors ligne. Étant donné que les packages de résultats incluent souvent des fichiers TrueLog On Error volumineux, les packages de résultats peuvent être compressés et téléchargés sur votre disque dur local en tant que fichiers .lrz. Le téléchargement des résultats en local peut également s'avérer utile si vous travaillez avec une connexion Internet à bas débit.

Pour télécharger des résultats de tests Silk Performer :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Dans l'arborescence Tests, sélectionnez un test Silk Performer.
  3. Cliquez sur l'onglet Exécutions.
  4. Cliquez sur Télécharger les Résultats dans la colonne Actions de l'exécution de test pour laquelle vous souhaitez télécharger des résultats. Une boîte de dialogue Téléchargement de Fichier s'ouvre et affiche le nom du fichier de package de résultats compressé (.ltz) que vous allez télécharger.
  5. Cliquez sur Ouvrir pour ouvrir les résultats dans Performance Explorer. Vous pouvez également cliquer sur Enregistrer pour sauvegarder les résultats en local.
  6. Performance Explorer s'ouvre, s'il n'est pas déjà ouvert en arrière-plan. Une boîte de dialogue Import de Projet qui s'ouvre indique le répertoire cible dans lequel les résultats seront enregistrés. Cliquez sur OK pour accepter le chemin par défaut, sinon cliquez sur Parcourir pour sélectionner un autre chemin. Les résultats téléchargés sont ensuite affichés dans Performance Explorer.
    Remarque : Si vous acceptez le répertoire de projets par défaut dans lequel les packages de résultats sont généralement stockés (ce que nous recommandons le plus souvent), les résultats seront stockés avec tous les autres résultats de Silk Performer et seront immédiatement accessibles via la commande Add Loadtest Results de Performance Explorer.
Sujet parent : Utilisation des projets Silk Performer


Téléchargement des résultats de test Silk Performer

Une fois que vous avez exécuté un test prévu dans Silk Performer, vous pouvez télécharger les résultats dans Silk Central et les associer à un test.

Pour télécharger les résultats d'un test Silk Performer prévu :

  1. Exécutez un test Silk Performer prévu. Pour plus d'informations, reportez-vous à la rubrique Exécution de tests Silk Performer prévus.
  2. Lorsque le test est terminé, sélectionnez Télécharger les résultats vers Silk Central dans le menu Résultats. L'écran Connexion de l'assistant Télécharger les résultats vers Silk Central s'affiche.
  3. Saisissez votre Mot de passe et cliquez sur Suivant.
    Remarque : Étant donné qu'il s'agit d'un test prévu, l'assistant connaît déjà les noms d'hôte et d'utilisateur appropriés du test vers lesquels ces résultats doivent être téléchargés.
  4. S'il n'est pas déjà sélectionné par défaut dans la liste des projets, sélectionnez le projet Silk Central dans lequel vous voulez télécharger les résultats Silk Performer.
  5. S'il n'est pas déjà sélectionné par défaut dans l'arborescence, sélectionnez le test vers lequel vous voulez télécharger les résultats. Cliquez sur Suivant.
    Remarque : Vous pouvez faire un clic droit dans l'arborescence et utiliser les commandes du menu contextuel pour créer un test, un test enfant, un dossier de test ou un dossier de test enfant dans lequel vous pouvez enregistrer les résultats.
  6. Sur l'écran suivant, vous pouvez indiquer les numéros de version et de build de l'application assignée à laquelle appartiennent les résultats téléchargés. Indiquez également l'état des résultats du test Silk Performer, par exemple Réussi, En Échec.
    Remarque : Si une erreur se produit pendant l'exécution du test, l'état des résultats du test est défini sur En Échec par défaut.
  7. Cliquez sur Terminer pour télécharger les résultats. Les résultats téléchargés sont affichés sous Tests > Vue Détaillée > <test Silk Performer> > Exécutions.
Sujet parent : Utilisation des projets Silk Performer
Tâches associées
Exécution de tests Silk Performer prévus


Utilisation de Silk Performance Explorer

Silk Performance Explorer (Performance Explorer) s'utilise pour l'analyse approfondie des exécutions de test. Vous pouvez démarrer directement l'analyse des résultats de Performance Explorer depuis les espaces Exécution et Tests de Silk Central via les exécutions de la page Exécutions ou depuis Performance Explorer. Reportez-vous à la documentation relative à Performance Explorer pour plus de détails sur l'intégration de Performance Explorer à Silk Central.

Vous pouvez également télécharger les résultats des exécutions des tests de charge de Silk Performer dans Silk Central et les associer aux tests. Reportez-vous à l'Aide de Silk Performer pour plus de détails.

Pour plus d'informations sur l'intégration de Silk Central à Silk Performer, reportez-vous à l'Aide de Silk Performer et au Guide de l'utilisateur de Performance Explorer.

Sujet parent : Utilisation des projets Silk Performer
Concepts associés
Utilisation des projets Silk Performer


Tests Silk Test Classic

Cette section décrit l'exécution des tests dans Silk Test Classic.

  • Ajout d'un hôte pour l'application sous test Silk Test Classic
    Ajoutez un hôte pour l'application sous test Silk Test Classic lorsque l'agent Silk Test Classic se trouve sur un ordinateur autre que le serveur d'exécution.
  • Exécution automatisée des tests Silk Test Classic
    Décrit l'exécution automatisée des tests Silk Test Classic.
  • Exécution automatique de cas de tests Silk Test Classic pilotés par des données
    Décrit les options du mode d'exécution des cas de tests Silk Test Classic pilotés par des données.
  • Définition d'une application sous test
    Décrit le mode de spécification du nom d'hôte et du port de l'agent Silk Test Classic sous test.
  • Paramètres de délai dans Silk Test Classic
    Informations sur la définition des paramètres de délai dans Silk Test Classic.
  • Journaux Silk Test Classic
    Les fichiers journaux RMS servent à consigner des données pour chaque cas de test à mesure que les exécutions de tests progressent.
Sujet parent : Organisation des Exécutions
Concepts associés
Tests Silk Test Classic
Tâches associées
Création ou modification de tests Silk Test Classic


Exécution automatisée des tests Silk Test Classic

Tous les tests d'un plan d'exécution utilisent la même instance Silk Test Classic pour les tests. L'interface utilisateur Silk Test Classic s'ouvre une fois lors de la première exécution de test Silk Test Classic et se ferme automatiquement après la dernière exécution de test Silk Test Classic. Chaque exécution de test Silk Test Classic produit ses propres résultats. Si pour une raison quelconque l'interface utilisateur Silk Test Classic se ferme au cours d'un test, elle se rouvre automatiquement lors de l'exécution de test Silk Test Classic suivante.

Sujet parent : Tests Silk Test Classic


Exécution automatique de cas de tests Silk Test Classic pilotés par des données

Si la case Pilotage par les données est cochée dans les propriétés de test de Silk Test Classic, chaque test Silk Test Classic est répété une fois pour chaque ligne de données dans la source de données externe. Par défaut, c'est le mode d'exécution basé sur un plan qui est utilisé pour les tests pilotés par les données. Par conséquent, tous les résultats des lignes de données sont répertoriés sous un seul nœud dans le fichier de résultats .res. Si le mode d'exécution est basculé sur l'option pilotage par les données sur la base d'un script dans SccExecServerBootConf.xml, un nœud de résultats est créé pour chaque ligne de données dans le fichier de résultats .res.

Sujet parent : Tests Silk Test Classic


Définition d'une application sous test

Lorsqu'un agent Silk Test Classic ne peut pas être exécuté sur le même ordinateur que le serveur d'exécution Silk Central, par exemple lorsque des tests sont exécutés sur des plates-formes autres que Windows, vous pouvez spécifier le nom d'hôte et le port au moyen du paramètre Nom d'Hôte pour l'application sous test Silk Test Classic sur la page Déploiement d'un plan d'exécution. Si le paramètre n'a pas été défini, les valeurs par défaut Silk Test Classic sont utilisées, par exemple depuis partner.ini. La syntaxe pour l'application sous test est nomd'hôte:port. L'agent doit être démarré manuellement avant l'exécution des tests et configuré de façon à écouter le port défini. Par défaut, le protocole TCP/IP est utilisé pour la communication entre les instances Silk Test Classic et les agents Silk Test Classic. Assurez-vous que les deux programmes ont été configurés de façon à utiliser le même protocole.

Remarque : Soyez vigilant lorsque vous disposez de plusieurs serveurs d'exécution assignés à un plan d'exécution, car les agents Silk Test Classic ne fonctionnent qu'avec une seule instance Silk Test Classic à la fois.
Sujet parent : Tests Silk Test Classic


Paramètres de délai dans Silk Test Classic

Si vous disposez de cas de test Silk Test Classic dont la réalisation nécessite plus d'une heure, vous devez ajuster les paramètres de délai dans Silk Central. Sinon, Silk Central suppose qu'un problème est survenu lors de l'exécution et ferme Silk Test Classic. Pour plus de détails sur la définition du délai dans Silk Test Classic, reportez-vous aux rubriques Administration de cette Aide.

Sujet parent : Tests Silk Test Classic


Journaux Silk Test Classic

Le fichier journal RMS dans Silk Test Classic sert à consigner des données pour chaque cas de test à mesure que les exécutions de tests progressent. Trois types d'enregistrements de données sont écrits dans ce fichier : état, mémoire et utilisateur. En surveillant ce fichier, l'agent distant RMS peut déterminer l'avancement de chaque exécution de test.

Vous pouvez écrire vos propres commentaires dans les enregistrements utilisateur du fichier journal en exécutant la fonction 4Test PrintToRMSLog.

Exemples :
PrintToRMSLog ("Error", "An intended error")
PrintToRMSLog ("Info", "testcase sleep1 started")
PrintToRMSLog ("Warning", "TestCase 1 started a second time")
La définition de la fonction utilisateur dans rms.inc :
PrintToRMSLog (STRING sMessageType, STRING sUserMessage)
S'écrit dans le fichier journal au format suivant :
U|{sTestCaseName}|{sScriptName}|{sArgStr}|{sUserMessage}|{sMessageType}
Sujet parent : Tests Silk Test Classic


Suivi des incidents et analyse des résultats

Analysez les résultats de vos tests, créez et suivez les incidents survenus, et utilisez des rapports pour documenter les résultats.
  • Analyse des exécutions de tests
    Décrit comment analyser les exécutions de tests avec Silk Central.
  • Suivi
    Décrit le mode d'utilisation de la zone Suivi.
  • Incidents
    Cette section explique comment traiter les incidents dans Silk Central.
  • Rapports
    Décrit l'utilisation des rapports Silk Central.
Sujet parent : Aide de Silk Central


Analyse des exécutions de tests

Cette section décrit comment analyser les exécutions de tests avec Silk Central.

  • Analyse des résultats des tests manuels
    La vue Résultats de Test Manuel offre un panorama clair et lisible des résultats des tests manuels, et notamment de toutes les informations comme les pièces jointes ou les incidents associés.
  • Analyse des résultats de tests automatisés
    Affichez les résultats du test d'exécution d'un plan d'exécution pour analyser plus précisément l'origine des problèmes ou pour comparer les résultats de diverses exécutions afin de visualiser les distinctions entre les états de test.
  • Comparaison des résultats de test de plusieurs exécutions de test
    Comparez les résultats de plusieurs exécutions d'un même test pour afficher les différences entre les états du test.
  • Modification de l'état d'une exécution de test
    Modifiez l'état d'une exécution de test spécifique afin de remplacer manuellement l'état de l'exécution.
  • Affichage des détails de l'exécution d'un test
    Affichez les détails d'une exécution de test.
  • Suppression des résultats d'exécution de test
    Supprimez les résultats d'une exécution de test spécifique.
  • Suppression des exécutions et des fichiers de résultats d'un plan d'exécution
    Décrit la suppression des exécutions et des fichiers de résultats d'un plan d'exécution, d'un dossier ou d'un projet.
  • Résultats d'Exécution du Plan d'Exécution
    Affiche les détails d'une exécution du plan d'exécution.
  • Résultats d'exécution de test
    Répertorie les détails de l'exécution d'un test ou d’un plan d'exécution.
  • Affichage des activités d'exécution de tests pilotés par les données
    Affichez les activités d'exécution d'un test piloté par les données afin de vérifier qu'il s'exécute correctement.
  • Page Exécutions
    Affiche les statistiques relatives aux exécutions du plan sélectionné.
Sujet parent : Suivi des incidents et analyse des résultats


Analyse des résultats des tests manuels

Lorsqu'un test est exécuté dans un contexte achevé ou inachevé, utilisez la vue Résultats de Test Manuel pour obtenir un panorama clair et lisible des résultats des tests manuels, et notamment de toutes les informations comme les pièces jointes ou les incidents associés. Toutes ces informations sont immédiatement visibles. Vous pouvez également imprimer et télécharger une version PDF.

La vue Résultats de Test manuel présente une arborescence sur la gauche et une vue détaillée sur la droite. L'arborescence dépend de la sélection dans laquelle la vue des résultats a été ouverte. Par exemple, si vous avez sélectionné un cycle de tests, vous pourrez afficher tous les testeurs assignés et les tests associés. La sélection d'un nœud spécifique met à jour la vue détaillée avec les informations appropriées relatives à la sélection.

Pour ouvrir la vue Résultats de Test Manuel, cliquez sur l'icône Voir les Résultats de Tests Manuels ( [image]) dans presque tous les contextes dans lesquels des tests manuels sont affichés : organisation des exécutions manuelles, panneaux du tableau de bord, pages d'activités, grille Exécutions de l'exécution, grille Exécutions du test.

Sujet parent : Analyse des exécutions de tests


Analyse des résultats de tests automatisés

Affichez les résultats du test d'exécution d'un plan d'exécution pour analyser plus précisément l'origine des problèmes ou pour comparer les résultats de diverses exécutions afin de visualiser les distinctions entre les états de test.

Les vues Résultats de Tests et Comparaison d'Exécutions présentent les résultats de façon claire et lisible, avec possibilité d'exploration en détail. Toutes les informations sont incluses : fichiers de résultats, captures d'écran avec miniatures, messages, traces de pile. Cela permet d'établir rapidement l'origine des échecs dans l'exécution des tests, d'autant plus qu'il est également possible de comparer en vis-à-vis les résultats de plusieurs exécutions.

Vous souhaiterez peut-être, par exemple, effectuer les tâches suivantes :
  • Analyse des exécutions de toutes les configurations au sein d'une même suite de configurations ou de plans d'exécution représentant des configurations
  • Comparaison entre des exécutions d'un même plan d'exécution, par exemple pour savoir si l'état de certains tests a changé
  • Affichage simultané de tous les tests en échec d'un même plan d'exécution

Pour analyser les résultats des exécutions de test automatisées :

  1. Dans la grille Exécutions ou la grille Dernières Exécutions > Activités, sélectionnez une ou plusieurs exécutions.
  2. Cliquez sur l'icône Voir les résultats des tests automatisés pour analyser les résultats d'une exécution donnée, ou faites un clic droit sur votre sélection et choisissez Comparer les Résultats des Tests Automatisés pour comparer plusieurs exécutions.
  3. Cliquez sur l'icône en haut de la page ou sur une icône d'état pour accéder à des informations détaillées, notamment les fichiers de résultats, les captures d'écran avec miniatures, les messages et les traces de pile.
    Conseil : Cochez la case Afficher uniquement les tests en échec pour limiter les résultats affichés.
Sujet parent : Analyse des exécutions de tests


Comparaison des résultats de test de plusieurs exécutions de test

Comparez les résultats de plusieurs exécutions d'un même test pour afficher les différences entre les états du test.

La vue Résultats de tests fournit un aperçu optimal des résultats, avec possibilité d'exploration en détail. Toutes les informations sont incluses : fichiers de résultats, captures d'écran avec miniatures, messages, traces de pile. Cela permet d'établir rapidement l'origine des échecs dans l'exécution des tests, d'autant qu'il est possible de comparer en vis-à-vis les résultats de plusieurs exécutions.

  1. Dans le tableau Exécutions de tests (Tests > Vue détaillée > <Test> > Exécutions), sélectionnez deux exécutions ou plus.
  2. Pour comparer plusieurs exécutions d'un test, faites un clic droit sur la sélection et choisissez Comparer les résultats des tests automatisés.
  3. Cliquez sur l'icône en haut de la page ou sur une icône d'état pour accéder à des informations détaillées, notamment les fichiers de résultats, les captures d'écran avec miniatures, les messages et les traces de pile.
    Conseil : Cochez la case Afficher uniquement les tests en échec pour limiter les résultats affichés.
Sujet parent : Analyse des exécutions de tests
Référence associée
Page Exécutions de Tests


Modification de l'état d'une exécution de test

Pour modifier manuellement l'état d'une exécution de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez le plan d'exécution à modifier.
  3. Cliquez sur l'onglet Exécutions.
  4. Sélectionnez l'exécution du plan d'exécution. La section test de la page Exécutions répertorie les exécutions de tests.
  5. Cliquez sur le paramètre ID d'Exécution correspondant au test. La boîte de dialogue Résultats d'exécution de test s'affiche.
  6. Cliquez sur l'onglet Détails.
  7. Cliquez sur Changer l'État. La boîte de dialogue Changer l'État s'ouvre.
  8. Dans la zone de liste Nouvel État, sélectionnez le nouvel état de l'exécution du test.
  9. Dans la zone de texte Commentaire, saisissez une explication relative à la modification manuelle de l'état.
    Remarque : L'insertion d'un commentaire est obligatoire.
  10. Cliquez sur OK pour confirmer le changement d'état.
Remarque : La modification de l'état entraîne des changements dans l'historique. Pour afficher l'historique de tous les changements d'état relatifs à l'exécution du test, cliquez sur l'onglet Messages dans la boîte de dialogue Résultats d'exécution de test.
Sujet parent : Analyse des exécutions de tests


Affichage des détails de l'exécution d'un test

Pour afficher les détails d'une exécution de test :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez le plan d'exécution dans l'arborescence Plans d'Exécution.
  3. Cliquez sur l'onglet Exécutions.
  4. Dans la grille Exécutions de Tests située en bas, cliquez sur l'ID d'Exécution associé au test dont vous souhaitez afficher les détails. La boîte de dialogue Résultats d'exécution de test s'affiche.
  5. Cliquez sur l'onglet Détails.
Sujet parent : Analyse des exécutions de tests


Suppression des résultats d'exécution de test

Pour supprimer les résultats d'une exécution de test spécifique :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Dans l'arborescence Plans d'Exécution, sélectionnez le plan d'exécution à modifier.
  3. Cliquez sur l'onglet Exécutions.
  4. Dans la colonne Actions de l'exécution de test dont vous souhaitez supprimer les résultats, cliquez sur Supprimer les Résultats d'Exécution.
  5. Cliquez sur Oui dans la boîte de dialogue de confirmation suivante afin de terminer la suppression.
Sujet parent : Analyse des exécutions de tests
Tâches associées
Suppression des exécutions et des fichiers de résultats d'un plan d'exécution
Suppression automatique des résultats et des fichiers de résultats


Suppression des exécutions et des fichiers de résultats d'un plan d'exécution

Vous pouvez décider de supprimer des exécutions (avec les fichiers de résultats ainsi que d'autres éléments et informations appartenant à l'exécution) ou de supprimer seulement les fichiers de résultats associés aux exécutions. Les fichiers de résultats peuvent être des fichiers nécessitant beaucoup d'espace de stockage dans la base de données, comme des vidéos ou des captures d'écran. En supprimant seulement les fichiers de résultats, vous pouvez nettoyer votre base de données et libérer de l'espace de stockage, tout en conservant toutes les informations essentielles sur les exécutions.

Pour supprimer des exécutions ou des fichiers de résultats :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Faites un clic droit sur un plan d'exécution, un dossier, une suite de configurations ou un projet dans l'arborescence Plans d'Exécution, puis sélectionnez Supprimer les Exécutions ou les Fichiers de résultats.
  3. La boîte de dialogue Supprimer les Exécutions ou les Fichiers de résultats s'ouvre. Sélectionnez les éléments que vous souhaitez supprimer :
    • Cliquez sur Toutes les exécutions (y compris les fichiers de résultats) pour supprimer toutes les exécutions et tous les fichiers de résultats.
    • Cliquez sur Fichiers de résultats de toutes les exécutions pour supprimer les fichiers de résultats, mais pas les exécutions.
  4. Cochez la case Dans l'intervalle de temps allant de: ... au: ... pour supprimer seulement les exécutions ou les fichiers d'exécution figurant dans un intervalle de temps donné.
  5. Cochez la case Garder la dernière exécution pour supprimer toutes les exécutions (figurant dans l'intervalle de temps, le cas échéant) à l'exception de la dernière exécution.
  6. Cliquez sur OK.
Remarque : Cette action ne supprime pas les exécutions de builds marqués. Pour supprimer les exécutions de builds marqués, supprimez la marque du build dans Administration > Applications, Version et Builds > Applications.
Remarque : S'il y a beaucoup d'éléments à supprimer, un léger décalage peut être observé entre la suppression des éléments dans la base de données et la mise à jour de l'interface utilisateur.
Remarque : Si vous faites un clic droit sur le nœud de projet pour supprimer toutes les exécutions ou tous les fichiers de résultats du projet, les exécutions et les fichiers de résultats de tous les tests non assignés seront également supprimés.
Sujet parent : Analyse des exécutions de tests
Tâches associées
Suppression des résultats d'exécution de test
Suppression automatique des résultats et des fichiers de résultats


Résultats d'Exécution du Plan d'Exécution

Suivi > Activités > Dernières Exécutions > ID d'Exécution

La boîte de dialogue Résultats d'Exécution du Plan d'Exécution affiche les détails de l'exécution d'un plan d'exécution.

Vous pouvez également accéder à cette boîte de dialogue en sélectionnant Organisation des Exécutions > Vue Détaillée. Sélectionnez le plan d'exécution dont vous souhaitez afficher les détails, cliquez sur l'onglet Exécutions, faites un clic droit sur l'exécution et choisissez Voir les Détails.

La boîte de dialogue affiche des informations détaillées concernant les éléments suivants :

Élément | Description
Nom du Plan d'Exécution | Nom du plan d'exécution.
ID du Plan d'Exécution | Identificateur unique du plan d'exécution.
ID de l'exécution du plan d'exécution | Identificateur de l'exécution du plan d'exécution.
Heure de Début | Heure à laquelle l'exécution a démarré.
Durée | Temps requis pour l'exécution de tous les tests inclus. Inclut la durée du test de configuration et de réinitialisation, ainsi que le temps nécessaire pour récupérer les fichiers d'automatisation et la couverture de code, lancer les outils d'exécution et effectuer d'autres tâches. Pour les exécutions manuelles, il s'agit du temps écoulé entre le début et la fin de l'exécution.
Serveur d'Exécution | Serveur d'exécution assigné au plan d'exécution.
Avertissements/Erreurs | Nombre d'erreurs et d'avertissements générés au cours de l'exécution.
État | Affiche le nombre de tests réussis, en échec et non exécutés dans un graphique à barres.
Version/Build | Version et build de l'application spécifiée pour l'exécution. Ces informations sont définies par l'utilisateur pour ce plan d'exécution ou lues à partir du fichier d'informations de build au moment de l'exécution. Si le build est marqué, il apparaît en gras avec Build marqué .
Nom d'hôte de Silk Test Classic AUT | Nom d'hôte de l'agent sous test Silk Test Classic.
Test d'Initialisation | Test ayant permis de préparer l'environnement de test dans la perspective du test. Cliquez sur le nom du test pour l'afficher ou le modifier. Cliquez sur l'ID de l'exécution du test pour ouvrir la boîte de dialogue Résultats d'exécution de test.
Test de Réinitialisation | Test ayant permis de rétablir l'environnement de test d'origine à la suite du test. Cliquez sur le nom du test pour l'afficher ou le modifier. Cliquez sur l'ID de l'exécution du test pour ouvrir la boîte de dialogue Résultats d'exécution de test.

La boîte de dialogue Résultats d'Exécution du Plan d'Exécution fournit des informations complémentaires sur les fichiers inclus et les messages générés lors de l'exécution du plan d'exécution. Elle affiche également tous les tests assignés pour le plan d'exécution.

Pour les tests manuels, cliquez sur Résultats de Test Manuel afin d'obtenir une version en lecture seule de la page Exécutions en Cours, avec des informations détaillées concernant le test manuel.

La section Tests Assignés répertorie tous les tests qui sont assignés à ce plan d'exécution. Cliquez sur le nom d'un test pour l'afficher ou le modifier, ou sur le paramètre ID d'Exécution d'un test pour ouvrir la boîte de dialogue Résultats d'exécution de test.

Sujet parent : Analyse des exécutions de tests
Référence associée
Résultats d'exécution de test


Résultats d'exécution de test

La page Résultats d'exécution de test répertorie les détails de l'exécution d'un test ou d’un plan d'exécution. Vous pouvez accéder à cette page de différentes façons :

  • Tests > Vue Détaillée > <test> > Exécutions > <ID d'exécution>
  • Organisation des Exécutions > Vue Détaillée > <plan d'exécution> > Exécutions > <ID d'exécution>
  • Organisation des Exécutions > Vue Détaillée > <plan d'exécution> > Exécutions > Exécutions de Tests > <ID d'exécution>
  • Suivi > Activités > Dernières Exécutions > <ID d'exécution> > Tests Assignés > <ID d'exécution>

La page Résultats d'exécution de test affiche les onglets suivants :

Onglet | Description
Détails

Affiche les détails de l'exécution, notamment sa Durée, son Chemin d'Exécution, l'ID de l'exécution du plan d'exécution de l'exécution du plan d'exécution qui comprenait l'exécution du test, les Avertissements/Erreurs et le commentaire d'exécution, si un commentaire est ajouté à l'exécution. Cet onglet vous permet également de changer l'état de l'exécution du test. Cette option est utile si vous devez remplacer manuellement l'état de l'exécution d'un test.

Lorsqu'un état est changé manuellement, les détails de ce changement sont répercutés dans les champs État, Statut Modifié Le, Statut Modifié Par, État Précédent et Commentaire sur le Changement d'État de cet onglet.
Chronologie

L'onglet Chronologie affiche une grille qui vous permet d'analyser facilement les résultats et les erreurs des exécutions de tests en combinant les éléments suivants :

  • La structure de la suite de tests si un fichier output.xml est disponible, notamment le nombre de défaillances, d'erreurs ou d'avertissements
  • Les incidents du fichier output.xml.
  • Les messages et entrées de journaux
  • Les fichiers de résultats

Les entrées sont répertoriées dans l'ordre chronologique et la vue contient des cases à cocher qui vous permettent de filtrer les différents types d'éléments.

Vous pouvez également accéder à cet onglet à partir des actions Analyser les Résultats et Analyser les Erreurs des grilles Exécution de Test.

Remarque : Cet onglet s'affiche pour tous les types de tests, sauf pour les tests manuels et les tests Silk Test Workbench.
Spécifique | S'affiche uniquement pour les tests Silk Test Classic, Silk Performer et manuels. Cet onglet contient les détails propres au type de test sélectionné. Par exemple, lorsqu'un test Silk Test Classic est sélectionné, cette vue inclut le cas de test et les données de test sélectionnés, ainsi que les avertissements qui s'affichent au cours de l'exécution du test.
Fichiers Répertorie tous les fichiers générés par cette exécution, ainsi que leur taille. Les noms des fichiers .rex de Silk Test Classic font office de liens de téléchargement. Une fois téléchargés, ces fichiers sont consultables directement dans un éditeur de texte.

Le tableau supérieur répertorie les fichiers associés au test, tels que les fichiers de résultats ou les fichiers téléchargés manuellement pour les tests manuels. Le tableau inférieur répertorie les fichiers associés au plan d'exécution, par exemple les fichiers journaux d'exécution ou les résultats d'analyse du code.

Dans la colonne Actions des Fichiers de résultats, cliquez sur Supprimer les Résultats d'Exécution pour supprimer un fichier de résultats spécifique. Notez que certains fichiers sont protégés et ne peuvent pas être supprimés.

Cliquez sur Télécharger Tous les Fichiers pour télécharger tous les fichiers de résultats générés par l'exécution de test, sous forme de package compressé.

Pour Silk Test Workbench, cliquez sur le fichier result.stwx pour ouvrir Silk Test Workbench dans le cadre du fichier de résultat.

Pour Silk Test Workbench, cliquez sur le fichier error.png pour afficher la dernière capture d'écran d'un test visuel lorsqu'une erreur se produit au moment du rejeu.
Messages

Répertorie tous les messages générés par cette exécution, ainsi que leur horodatage et leur niveau de sévérité.
Critères de succès | Ne s'affiche que pour les tests automatisés. Cet onglet affiche tous les critères de succès définis pour le test sous Tests > Vue Détaillée > <test> > Propriétés au cours du processus de planification des tests et les valeurs des résultats de l'exécution. Les critères de succès permettent de déterminer si un test a Réussi ou s'il est En Échec.
Piloté par les données | Ne s'affiche que pour les tests pilotés par les données avec la possibilité d'avoir un seul test pour toutes les lignes de données du jeu de données. Cet onglet répertorie l'état de chaque exécution (de ligne de données) d'instance du test. Si vous cliquez sur une instance, vous affichez une autre instance de la boîte de dialogue Résultats d'exécution de test avec les détails de l'exécution de l'instance sélectionnée.
Attributs | Tout attribut configuré pour le test.
Paramètres | Tout paramètre configuré pour le test.

Le tableau ci-dessous répertorie les éléments de l'interface utilisateur utilisés pour parcourir les résultats de test d'une exécution. Ces éléments ne sont visibles que lorsque vous accédez à la boîte de dialogue Résultats d'exécution de test depuis un plan d'exécution.

Elément | Description
Ignorer "Réussi" | Permet de déterminer les résultats d'exécution de test devant être affichés lorsque vous les parcourez avec les boutons Résultat Précédent et Résultat Suivant. Lorsque vous sélectionnez cette option, vous n'affichez que les tests dont l'état n'est pas Réussi.
< Résultat précédent | Accède aux détails des résultats du test précédent de l'exécution du plan d'exécution sélectionné.
Résultat suivant > | Accède aux détails des résultats du test suivant de l'exécution du plan d'exécution sélectionné.
Sujet parent : Analyse des exécutions de tests
Référence associée
Résultats d'Exécution du Plan d'Exécution


Affichage des activités d'exécution de tests pilotés par les données

Pour afficher les activités d'exécution de tests pilotés par les données :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Sélectionnez un plan d'exécution basé sur un test piloté par les données.
  3. Dans le menu, cliquez sur Suivi > Activités.
  4. Cliquez sur l'ID d'Exécution associé au plan d'exécution sélectionné.
  5. Dans le tableau Tests Assignés, cliquez sur l'ID d'exécution associé à un test piloté par les données.
    Remarque : Si vous exécutez plusieurs instances de tests pilotés par les données, un test pour chaque ligne de données sera affiché dans la source de données.
    La page de résultats pour ce test spécifique s'affiche.
  6. Cliquez sur l'onglet Pilotage par les Données. Cet onglet affiche toutes les instances du test qui ont été exécutées.
    Remarque : Les propriétés pilotées par les données du test sont répertoriées dans le tableau Propriétés de pilotage par les données sur la page Détails.
  7. Cliquez sur un nom d'instance afin d'afficher les détails de l'exécution du test pour cette instance spécifique.
    Remarque : Si vous utilisez plusieurs instances de tests pilotés par les données, une instance distincte est créée pour chaque ligne de données dans la source de données.
  8. Cliquez sur l'onglet Paramètres pour afficher les valeurs de source de données qui ont été utilisées pendant cette exécution de test spécifique.
Sujet parent : Analyse des exécutions de tests
Concepts associés
Tests pilotés par les données


Page Exécutions

Organisation des Exécutions > Vue Détaillée > <plan d'exécution> > Exécutions

La page Exécutions affiche les statistiques relatives à toutes les exécutions du plan sélectionné.

Pour les suites de configurations, la page présente toutes les exécutions des configurations incluses.

Pour les cycles de test, la page affiche toutes les exécutions des dossiers et plans d'exécution inclus.

La page est divisée en deux sections distinctes dont l'une répertorie les exécutions du plan et l'autre indique les exécutions de test correspondant à l'exécution de plan sélectionnée dans la première section.

Les grilles sont personnalisables : vous pouvez afficher ou masquer les colonnes, ajuster la largeur et faire glisser les colonnes pour en modifier l'ordre. Cliquez sur les colonnes pour trier, grouper ou filtrer le contenu des grilles.

Pour ouvrir la boîte de dialogue Résultats d'Exécution du Plan d'Exécution, faites un clic droit sur une exécution et choisissez Voir les Détails. Pour comparer plusieurs exécutions de plan, utilisez la combinaison Ctrl + clic ou Maj + clic afin de sélectionner les exécutions. Faites un clic droit sur votre sélection et choisissez Comparer les Résultats des Tests Automatisés.

La section des exécutions de plan répertorie les exécutions du plan sélectionné. La barre de menus en bas de la section permet de définir le nombre de lignes à afficher par page et de parcourir les pages. Les pages affichent les colonnes suivantes pour chaque exécution :

Colonne | Description
Actions Actions pouvant être appliquées au plan d'exécution.
Supprimer les exécutions
Cliquez pour supprimer les résultats de cette exécution. Lorsque vous supprimez les résultats des exécutions sélectionnées, ces dernières sont supprimées de la page Exécutions par Silk Central. Les exécutions sont grisées jusqu'à ce que le processus en arrière-plan termine l'opération de suppression. Vous pouvez également appuyer sur Supprimer pour supprimer les résultats des exécutions de test. En ce qui concerne les builds marqués, vous devez confirmer que vous souhaitez supprimer les résultats.
Voir les Résultats de Tests Manuels (uniquement pour les tests manuels)
Cliquez pour analyser les résultats d'une exécution de test manuel sur la page Résultats de Test Manuel.
Voir les résultats des tests automatisés (uniquement pour les tests automatisés)
Cliquez pour analyser les résultats d'une seule exécution de test automatisé sur la page Résultats de Tests.
ID | Identifiant du plan d'exécution.
Plan d'exécution | Nom du plan d'exécution qui a été mis en œuvre. Cette colonne est affichée uniquement pour les suites de configurations.
Etat | Résumé de l'état de l'exécution. Une barre indique le nombre de tests réussis, en échec et non exécutés. L'état d'exécution de chaque test assigné est indiqué dans la deuxième section de la page.
ID d'exécution | Identificateur de l'exécution du plan d'exécution. Cliquez pour accéder aux résultats de l'exécution.
Mots-clés | Mots-clés assignés au plan d'exécution.
Exécuté Par | Nom du serveur d'exécution sur lequel l'exécution a eu lieu. Pour les tests manuels, le nom de la personne qui a procédé à l'exécution est indiqué.
Application | Application testée.
Version | La version est définie par l'utilisateur pour ce plan d'exécution ou lue à partir du fichier d'informations de build au moment de l'exécution. Ces informations peuvent être définies dans Administration > Applications, Versions et Builds > Applications.
Build | Le build est défini par l'utilisateur pour ce plan d'exécution ou lu à partir du fichier d'informations de build au moment de l'exécution. Ces informations peuvent être définies dans Administration > Applications, Versions et Builds > Applications. Si le build est marqué, il apparaît en gras avec Build Marqué.
Heure de début | Heure à laquelle l'exécution a démarré.
Durée | Temps requis pour l'exécution de tous les tests inclus. Inclut la durée du test de configuration et de réinitialisation, ainsi que le temps nécessaire pour récupérer les fichiers d'automatisation et la couverture de code, lancer les outils d'exécution et effectuer d'autres tâches. Pour les exécutions manuelles, il s'agit du temps écoulé entre le début et la fin de l'exécution.
Type initial | Indique la façon dont l'exécution du test a démarré. Manuellement, via un service Web ou à partir d'une planification.
Nom initial | Nom de la planification, du testeur ou de l'utilisateur du service Web ayant démarré l’exécution.
Périmètre initial | Périmètre spécifié dans la boîte de dialogue Exécuter.
Parent du plan d'exécution | Nom du parent du plan d'exécution.
Commentaire d''exécution | Vous pouvez utiliser cette colonne pour ajouter des informations concernant l'exécution. Pour modifier le commentaire, faites un clic droit sur l'exécution et sélectionnez Modifier Commentaire d'Exécution.
Sélection de l’appareil mobile | Le filtre d’appareil ayant été spécifié sur la page Déploiement si le plan d’exécution est configuré pour s’exécuter sur un appareil mobile.
Appareil utilisé | L’appareil correspondant au filtre d’appareil et ayant été utilisé pour exécuter les tests si le plan d’exécution est configuré pour s’exécuter sur un appareil mobile. Pour les tests manuels, le dernier appareil ayant été sélectionné par un testeur dans ce plan d’exécution est affiché.
Si vous avez assigné des attributs à vos plans d'exécution, vous pouvez choisir de les afficher dans la grille. Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux plans d'exécution. Vous pouvez utiliser les attributs pour le filtrage et l'établissement de rapports.

La section Exécutions de Tests répertorie les exécutions de test correspondant à l'exécution de plan sélectionnée. La barre de menus en bas de la section permet de définir le nombre de lignes à afficher par page et de parcourir les pages. Les pages affichent les colonnes suivantes pour chaque exécution :

Colonne | Description
Actions Actions pouvant être appliquées à l'exécution de test.
Consulter ou télécharger les résultats
Si le type du test auquel l'exécution appartient génère des fichiers résultats, cliquez sur les icônes pour consulter ou télécharger ces fichiers.
Nouvel incident
Cliquez pour ouvrir la boîte de dialogue Nouvel Incident et créer un incident pour le test.
Assigner des incidents existants
Permet d'assigner au test des incidents à partir d'un système de suivi d'incidents configuré de façon externe.
Voir les résultats de tests manuels
Cliquez pour afficher la page Exécution en Cours en mode lecture seule.
Etat | Résumé de l'état de l'exécution. Pour un test unique, un seul état s'affiche. Une barre indique le nombre de tests réussis, en échec et non exécutés pour un package de test ou un nœud de suite.
Motif d'état | Raison pour laquelle une exécution de test donnée présente l'état Réussi, En Échec ou Non Exécuté.
ID d'exécution | Identifiant de l'exécution de test. Cliquez pour ouvrir la boîte de dialogue Résultats d'exécution de test.
ID | Identifiant du test. Cette colonne est masquée par défaut.
Tester | Nom du test. Cliquez pour accéder au test dans Tests > Vue Détaillée. L'icône correspond au type de test.
Version | Version utilisée pour l'exécution.
Heure de début | Date et heure auxquelles l'exécution a démarré.
Durée | Durée de l'exécution du test.
Exécuté Par | Nom du serveur d'exécution sur lequel l'exécution a eu lieu. Pour les tests manuels, le nom de la personne qui a procédé à l'exécution est indiqué.
Incidents trouvés | Affiche le nombre d'incidents assignés à l'exécution de test. Si aucun incident n'est assigné à l'exécution de test, la colonne est vide. Cliquez sur le lien pour accéder à l'incident dans la page Incidents de Tests > Vue Détaillée.
Erreurs | Nombre d'erreurs survenues au cours de l'exécution.
Avertissements | Nombre d'avertissements reçus au cours de l'exécution.
Build | Build utilisé pour l'exécution.
Commentaire d''exécution | Pour les exécutions de test Silk Performer, Silk Performer utilise cette colonne afin d'ajouter des informations concernant l'exécution de test lors du téléchargement des résultats. Pour tous les autres types de tests, vous pouvez utiliser cette colonne afin d'ajouter des informations concernant l'exécution. Pour modifier le commentaire, faites un clic droit sur l'exécution et sélectionnez Modifier Commentaire d'Exécution.
Sujet parent : Analyse des exécutions de tests
Concepts associés
Rapports Comparaison des Exécutions de Plan d'Exécution
Tâches associées
Assignation d'incidents existants
Référence associée
Page Activités
Résultats d'exécution de test


Suivi

La zone Suivi contient des informations sur les projets : Activités, Activités Inter-Projets, Rapport de Synthèse du Projet et Objectifs Qualité.

  • Activités
    Explique comment gérer les exécutions de tests actuelles, à venir et récemment effectuées.
  • Rapport de Synthèse du Projet
    Propose une vue d'ensemble générale de l'état du projet sélectionné.
  • Silk Central, tests basés sur le risque et objectifs Qualité
    Explique comment Silk Central prend en charge les tests basés sur le risque.
Sujet parent : Suivi des incidents et analyse des résultats


Activités

Explique comment gérer les exécutions de tests actuelles, à venir et récemment effectuées.

  • Suppression des dernières exécutions mises en œuvre
    Supprimez les résultats d'une exécution afin de supprimer cette dernière de la liste Dernières Exécutions.
  • Affichage ou masquage des colonnes de la page Activités
    Cochez ou décochez les cases appropriées afin d'afficher ou de masquer des colonnes de la page Activités.
  • Saisie d'incidents à partir de la page Activités
    Saisissez un incident directement sur la page Activités lorsqu'un incident est détecté lors de l'exécution du test.
  • Filtrage d'exécutions de tests sur la page Activités
    Décrit comment filtrer les résultats de tests et les plans d'exécution sur la page Activités.
  • Groupement d'exécutions de tests sur la page Activités
    Décrit la façon de grouper des plans d'exécution ou des résultats de test afin de faciliter leur affichage sur la page Activités.
  • Suppression des filtres au niveau des activités
    Supprimez les filtres appliqués aux colonnes de la page Activités pour afficher toutes les colonnes.
  • Réorganisation des colonnes sur la page Activités
    Réorganisez les colonnes sur la page Activités pour personnaliser l'affichage du projet actif.
  • Redimensionnement des colonnes sur la page Activités
    Modifiez la largeur des colonnes sur la page Activités afin de personnaliser l'affichage du projet actif.
  • Restauration des paramètres d'affichage par défaut de la page Activités
    Restaurez les paramètres d'affichage par défaut sur la page Activités afin de réinitialiser tous les paramètres définis par l'utilisateur.
  • Tri des exécutions de test sur la page Activités
    Triez les exécutions de test sur la page Activités pour personnaliser l'affichage du projet actif.
  • Page Activités
    Propose un emplacement centralisé à partir duquel vous pouvez gérer les exécutions de tests futures et en cours, ainsi que celles réalisées récemment pour un projet.
  • Page des Activités Inter-Projets
    Permet à un utilisateur doté de privilèges SuperUtilisateur de consulter toutes les activités d'exécution inter-projets.
Sujet parent : Suivi
Concepts associés
Organisation des Exécutions
Référence associée
Page des Activités Inter-Projets


Suppression des dernières exécutions mises en œuvre

Pour supprimer une exécution de la liste Dernières Exécutions :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Dans l'espace Dernières Exécutions de la page Activités, faites un clic droit sur l'exécution mise en œuvre que vous souhaitez supprimer et choisissez Supprimer les Résultats d'Exécution.
  3. Confirmez la suppression en cliquant sur OK.
Sujet parent : Activités


Affichage ou masquage des colonnes de la page Activités

Pour afficher ou masquer des colonnes de la page Activités :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel d'un en-tête de colonne.
  3. Développez les sous-menus Colonnes afin d'afficher toutes les colonnes disponibles dans le projet.
  4. Cochez les cases de toutes les colonnes que vous souhaitez afficher. Vos préférences d'affichage des colonnes seront enregistrées et affichées à chaque ouverture du projet actif.
Sujet parent : Activités


Saisie d'incidents à partir de la page Activités

Les nouveaux incidents peuvent être saisis directement sur la page Activités.

Pour saisir un incident à partir de la page Activités :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Dans l'espace Dernières Exécutions, cliquez sur l'ID d'Exécution du plan d'exécution adéquat afin d'afficher les résultats de l'exécution du test. Tous les tests associés à l'exécution sont répertoriés dans le tableau Tests Assignés, situé dans la partie inférieure de la vue.
  3. Dans la colonne Actions du test auquel vous souhaitez associer l'incident, cliquez sur Nouvel Incident.
  4. Définissez ensuite l'incident.
Sujet parent : Activités


Filtrage d'exécutions de tests sur la page Activités

Sur la page Activités, vous pouvez filtrer les vues en fonction des valeurs des colonnes. Vous pouvez spécifier des chaînes de filtre à appliquer aux éléments suivants :

  • Champs de données textuelles.
  • Filtres de calendrier (à l'aide des opérateurs Avant, Après ou Le) pour les champs de date.
  • Opérateurs numériques (>, < et =) pour les champs numériques.
  • Filtrage de valeurs textuelles sur la page Activités
    Filtrez des valeurs textuelles sur la page Activités pour afficher toutes les entrées qui répondent aux critères définis.
  • Filtrage de valeurs de date sur la page Activités
    Filtrez des valeurs de date sur la page Activités pour afficher toutes les entrées qui répondent aux critères définis.
  • Filtrage de valeurs numériques sur la page Activités
    Filtrez des valeurs numériques sur la page Activités pour afficher toutes les entrées qui répondent aux critères définis.
  • Filtrage de valeurs booléennes sur la page Activités
    Filtrez des valeurs booléennes sur la page Activités pour afficher toutes les entrées qui répondent aux critères définis.
  • Filtrage de valeurs à l'aide d'une liste prédéfinie dans la page Activités
    Filtrez des valeurs à l'aide d'une liste prédéfinie dans la page Activités pour afficher toutes les entrées qui répondent aux critères définis.
Sujet parent : Activités
Concepts associés
Filtres


Filtrage de valeurs textuelles sur la page Activités

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne de valeurs textuelles sur laquelle sera basé le filtre.
  3. Développez le sous-menu Filtre du menu contextuel, de manière à afficher la zone de texte Filtre.
  4. Saisissez une chaîne de texte dans le champ.
  5. Appuyez sur Entrée. Toutes les entrées correspondant aux critères de filtre s'affichent de façon dynamique dans la liste filtrée.
Sujet parent : Filtrage d'exécutions de tests sur la page Activités


Filtrage de valeurs de date sur la page Activités

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne de date sur laquelle sera basé le filtre.
  3. Placez le curseur au-dessus de Filtres dans le menu contextuel afin d'afficher le sous-menu Avant, Après ou Le.
  4. Choisissez l'une des options suivantes :
    1. Placez le curseur sur Après pour définir une date avant laquelle (cette dernière étant incluse) toutes les entrées doivent être exclues.
    2. Placez le curseur sur Avant pour définir une date après laquelle (cette dernière étant incluse) toutes les entrées doivent être exclues.
    3. Placez votre curseur sur Le pour exclure toutes les entrées à l'exception de celles qui présentent la date définie.
    L'outil Calendrier s'affiche.
  5. Sélectionnez une date à l'aide de l'outil Calendrier (ou cliquez sur Aujourd'hui pour spécifier la date du jour).
    Conseil : Vous devez explicitement cliquer sur une date dans l'outil Calendrier ou appuyer sur la touche Entrée pour activer les changements relatifs au filtrage basé sur la date.
    Toutes les entrées correspondant aux critères de filtre s'affichent de façon dynamique dans la liste filtrée.
Sujet parent : Filtrage d'exécutions de tests sur la page Activités


Filtrage de valeurs numériques sur la page Activités

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne de valeurs numériques sur laquelle sera basé le filtre.
  3. Dans le menu contextuel, développez le sous-menu Filtre pour afficher les opérateurs > (supérieur à), < (inférieur à) et = (égal à).
  4. Choisissez l'une des options suivantes :
    1. Dans le champ >, saisissez un nombre au-dessous duquel (celui-ci étant inclus) toutes les entrées doivent être exclues.
    2. Dans le champ <, saisissez un nombre au-dessus duquel (celui-ci étant inclus) toutes les entrées doivent être exclues.
    3. Dans la zone de texte =, saisissez un nombre pour exclure toutes les entrées à l'exception de celles qui présentent le nombre spécifié.
    Remarque : Les valeurs numériques sont arrondies à deux décimales.
  5. Appuyez sur Entrée. Toutes les entrées correspondant aux critères de filtre s'affichent de façon dynamique dans la liste filtrée.
Sujet parent : Filtrage d'exécutions de tests sur la page Activités


Filtrage de valeurs booléennes sur la page Activités

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne de valeurs booléennes sur laquelle se basera le filtre.
  3. Développez le sous-menu Filtre du menu contextuel pour afficher les valeurs disponibles.
  4. Cliquez sur l'un des boutons d'option Oui ou Non. Toutes les entrées correspondant aux critères de filtre s'affichent de façon dynamique dans la liste filtrée.
Sujet parent : Filtrage d'exécutions de tests sur la page Activités


Filtrage de valeurs à l'aide d'une liste prédéfinie dans la page Activités

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne qui possède une valeur de filtre prédéfinie sur laquelle sera basé le filtre.
  3. Développez le sous-menu Filtre du menu contextuel, de manière à afficher la zone de texte Filtre.
  4. Cochez les cases des valeurs de filtrage que vous voulez utiliser. Toutes les entrées qui répondent au moins à un des critères sélectionnés seront affichées.
Sujet parent : Filtrage d'exécutions de tests sur la page Activités


Groupement d'exécutions de tests sur la page Activités

Outre le tri simple par colonne, vous pouvez répartir les entrées dans des groupes pour faciliter l'affichage. Les groupes reposent sur des valeurs communes partagées dans la colonne sur laquelle est basé le groupement.

  • Application de groupes aux exécutions de tests sur la page Activités
    Groupez les plans d'exécution ou les résultats de tests sur la page Activités afin de faciliter l'affichage.
  • Suppression du groupement des exécutions de tests sur la page Activités
    Supprimer le groupement des exécutions de tests sur la page Activités pour afficher toutes les exécutions de test dans une liste unique.
Sujet parent : Activités


Application de groupes aux exécutions de tests sur la page Activités

Pour grouper les entrées sur la page Activités :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne sur laquelle sera basé le tri.
  3. Sélectionnez Grouper en fonction de Ce Champ.

    Les entrées sont organisées en groupes en fonction des valeurs communes partagées dans la colonne que vous avez sélectionnée.

Sujet parent : Groupement d'exécutions de tests sur la page Activités


Suppression du groupement des exécutions de tests sur la page Activités

Pour supprimer le groupement :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel d'un en-tête de colonne.
  3. Décochez la case Afficher en Groupes.
Sujet parent : Groupement d'exécutions de tests sur la page Activités


Suppression des filtres au niveau des activités

Remarque : Si vous masquez une colonne, tous les filtres qui lui sont appliqués sont supprimés.

Pour supprimer un ou plusieurs filtres :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne dont vous souhaitez supprimer le filtre.
    Remarque : Vous pouvez identifier les colonnes filtrées par leur titre, qui s'affiche en gras et en italique.
  3. Effectuez l'une des opérations suivantes :
    1. Pour supprimer un filtre spécifique : Décochez la case Filtre.
    2. Pour supprimer tous les filtres : Sélectionnez Réinitialiser les filtres.
Sujet parent : Activités
Concepts associés
Filtres


Réorganisation des colonnes sur la page Activités

Pour réorganiser les colonnes sur la page Activités :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Sélectionnez l'en-tête de la colonne que vous voulez déplacer.
  3. Faites glisser la colonne jusqu'à l'emplacement souhaité, puis relâchez le curseur.

    Vos préférences d'ordre des colonnes sont enregistrées et affichées à chaque ouverture du projet actif.

Sujet parent : Activités


Redimensionnement des colonnes sur la page Activités

Pour ajuster la largeur des colonnes sur la page Activités :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Sélectionnez le séparateur vertical de l'en-tête de la colonne à ajuster.
  3. Faites glisser la limite de la colonne jusqu'à l'emplacement souhaité, puis relâchez le curseur.

    Vos préférences de largeur de colonne seront enregistrées et affichées à chaque ouverture du projet actif.

Sujet parent : Activités


Restauration des paramètres d'affichage par défaut de la page Activités

En restaurant les paramètres d'affichage par défaut, vous réinitialisez tous les paramètres définis par l'utilisateur, à savoir l'ordre et la largeur des colonnes, les colonnes affichées/masquées, les filtres appliqués, ainsi que l'ordre de tri et les groupements, et ce, pour le projet actif.

Pour restaurer les paramètres d'affichage par défaut :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel d'un en-tête de colonne.
  3. Sélectionnez Réinitialiser la Vue.
Sujet parent : Activités


Tri des exécutions de test sur la page Activités

Pour trier les exécutions de test sur la page Activités :

  1. Dans le menu, cliquez sur Suivi > Activités.
  2. Ouvrez le menu contextuel de l'en-tête de la colonne que vous voulez utiliser pour trier les exécutions de test.
  3. Sélectionnez Tri par Ordre Croissant pour que les exécutions de test soient classées par ordre croissant, ou sélectionnez Tri par Ordre Décroissant pour qu'elles soient classées par ordre décroissant. Vos préférences de tri seront enregistrées et affichées à chaque ouverture du projet actif.
Sujet parent : Activités


Page Activités

Suivi > Activités

La page Activités offre un emplacement centralisé à partir duquel vous pouvez gérer les exécutions de tests futures et en cours, ainsi que celles réalisées récemment pour un projet. Sur la page Activités, les vues matricielles offrent des options de filtrage, de tri et de regroupement configurables séparément pour chaque utilisateur. Vous pouvez afficher ou masquer des colonnes, ajuster leur largeur, ainsi que les déplacer en cliquant dessus et en les faisant glisser.

La page Activités se compose de trois parties : Prochaines Exécutions, Exécutions en Cours et Dernières Exécutions. Vous pouvez redimensionner les vues matricielles en faisant glisser leurs séparateurs.

Des commandes de menu contextuelles sont disponibles pour chaque exécution de test. Elles permettent de créer des liens directs vers une liste de plans d'exécution, de poursuivre des tests manuels, de gérer des résultats d'exécution de test, etc.

La page Activités facilite l'identification de points de correspondance entre les plans d'exécution et la localisation des informations spécifiques qui y sont associées. Vous pouvez utiliser les raccourcis clavier standard de Windows pour sélectionner des entrées d'exécution de test, ce qui facilite la sélection et la manipulation de jeux spécifiques de plans d'exécution et de résultats de test. Les fonctions de tri, de regroupement et de filtrage disponibles dans les commandes de menu contextuelles aident à mieux organiser et regrouper les exécutions de test. Toutes vos préférences en matière de personnalisation des vues sont enregistrées en même temps que votre projet et sont disponibles chaque fois que vous consultez la page Activités.

Remarque : Les données de la page Activités ne sont pas actualisées automatiquement. Pour actualiser le contenu d'une page, cliquez sur le bouton Recharger situé à proximité des boutons de pagination dans la partie inférieure de chaque vue.
Remarque : Vous pouvez utiliser la combinaison Ctrl + Clic pour sélectionner plusieurs exécutions mises en file d'attente et toutes les abandonner en un seul clic.

Prochaines exécutions

La vue Prochaines Exécutions répertorie les plans d'exécution dont la réalisation future est planifiée. Pour améliorer les performances lorsque vous disposez de nombreux plans d'exécution, seuls les 50 premiers sont affichés. Pour accéder aux autres plans d'exécution futurs, utilisez les fonctionnalités de filtrage. Pour modifier un plan d'exécution, faites un clic droit dessus et choisissez Accéder au Plan d'Exécution ou cliquez sur la flèche située à gauche de son nom. Vous accédez ainsi à l'espace Exécutions dans lequel vous pouvez afficher et modifier les détails du plan d'exécution.

Par défaut, tous les plans d'exécution sont triés selon le paramètre Heure de Début. Dans la vue Prochaines Exécutions, vous ne pouvez pas trier ou regrouper les colonnes.

Vous pouvez réduire et développer la vue Prochaines Exécutions en cliquant sur le bouton à double flèche situé sur le côté droit de sa barre de titre.

Pour chaque plan d'exécution, la vue Prochaines Exécutions affiche les colonnes suivantes :

Colonne | Description
ID | Identifiant du plan d'exécution planifié. Cette colonne est masquée par défaut.
Plan d'exécution / Dossier | Nom du plan d'exécution planifié ou du dossier.
Mots-clés | Mots-clés assignés au plan d'exécution planifié.
Testeurs manuels | Pour les tests manuels, cette colonne contient le nom du testeur manuel assigné. Cette colonne est vide si aucun testeur manuel n'est assigné au test.
Priorité | Priorité assignée au plan d'exécution.
Heure de début | Heure de début planifiée pour l'exécution du test.
Parent du plan d'exécution | Suite de configurations, dossier ou cycle de test dans le contexte desquels le plan d'exécution est exécuté. Cliquez pour accéder à la suite ou au dossier dans l'arborescence Plans d'Exécution. Si le plan d'exécution n'est pas inclus dans un dossier ou une suite de configurations, aucun élément ne s'affiche.

Exécutions en cours

La vue Exécutions en Cours répertorie les plans d'exécution en cours (exécutions de test automatisées et manuelles).

Pour annuler un plan d'exécution en cours, dans la colonne Actions du plan d'exécution, cliquez sur Abandonner. Pour afficher ou modifier un plan d'exécution, faites un clic droit dessus et sélectionnez Accéder au Plan d'Exécution ou cliquez sur la flèche située à gauche de son nom. Pour afficher la progression de l'exécution, faites un clic droit sur le plan d'exécution automatisé et sélectionnez Voir les Détails ou cliquez sur le lien ID d'Exécution / ID de Tâche du plan d'exécution. Pour les tests automatisés qui sont exécutés sur un appareil mobile, la vue détaillée vous permet également de visualiser en direct le flux des activités relatives à l’appareil. Les flux d'activités ne sont pas disponibles pour les appareils Sauce Labs.

Tant qu'un test manuel reste ouvert, le plan d'exécution correspondant est conservé dans la liste Exécutions en Cours et affiche l'état En Attente. Cliquez sur Poursuivre le Test Manuel dans la colonne Actions pour ouvrir la fenêtre Test manuel.

Pour afficher les résultats d'un test manuel, faites un clic droit sur le plan d'exécution manuel et sélectionnez Voir les Détails, ou cliquez sur le lien ID d'Exécution / ID de Tâche du plan d'exécution afin d'ouvrir la page Résultats pour le plan d'exécution. Ensuite, cliquez sur le nom du test manuel dans la section Tests Assignés pour ouvrir la boîte de dialogue Résultats. Les résultats détaillés du test manuel sont affichés à cet emplacement. Sur la page Résultats pour le plan d'exécution, cliquez sur Résultats de Test Manuel pour accéder à la vue Test Manuel, dans laquelle les informations relatives à l'état du test manuel assigné sont disponibles.

Les vues de pages d'exécutions en cours sont décomposées de façon à contenir 20 plans d'exécution chacune. Vous pouvez parcourir les pages à l'aide des boutons Premier, Dernier, Suivant et Précédent situés dans la partie inférieure de la vue Exécutions en Cours. Vous pouvez aussi saisir un numéro de page dans la zone de texte Page et appuyer sur la touche Entrée.

Pour chaque plan d'exécution, la vue Exécutions en Cours affiche les colonnes suivantes :

Colonne | Description
Actions Vous pouvez effectuer les actions suivantes sur le plan d'exécution :
Abandonner
Cliquez sur cette option pour annuler l'exécution en cours. Vous pouvez aussi appuyer sur la touche Suppr. Lorsque vous abandonnez des exécutions, elles sont grisées jusqu'à ce que le processus en arrière-plan termine l'opération de suppression.
Remarque : Si l'exécution fait partie d'un cycle de test, l'action Abandonner est désactivée. L'icône [image] et l'entrée du menu contextuel sont grisées, et ces exécutions sont ignorées lorsque vous en abandonnez plusieurs.
Poursuivre le test manuel
Cliquez sur cette option pour ouvrir la fenêtre Test manuel.
Voir les résultats de tests manuels
Cliquez pour afficher la page Exécution en Cours en mode lecture seule.
ID | Identificateur du plan d'exécution. Cette colonne est masquée par défaut.
Plan d'exécution | Nom du plan d'exécution.
ID d'Exécution / ID de tâche | Les tests manuels se voient attribuer un ID d'Exécution au moment de leur exécution. Une fois le test manuel terminé, l'ID d'Exécution est reporté dans la vue Dernières Exécutions. Les tests automatisés se voient attribuer un ID de Tâche au moment de leur exécution. L'ID de Tâche n'est pas reporté dans la vue Dernières Exécutions. Les plans d'exécution terminés se voient attribuer un ID d'Exécution dans la vue Dernières Exécutions.
Etat | État du plan d'exécution ou du test manuel actif. Pour les tests automatisés, l'état est indiqué avec une valeur textuelle. Pour les tests manuels, l'état est indiqué par un histogramme en couleurs. Les états des tests automatisés sont décrits de façon textuelle et vous pouvez les filtrer. Vous pouvez filtrer les tests manuels en sélectionnant les propriétés adéquates dans le sous-menu Filtre.
Mots-clés | Mots-clés assignés au plan d'exécution.
Exécuté Par
  • En ce qui concerne les tests manuels, cette colonne affiche les utilisateurs assignés pour leur exécution. Cette colonne est vide si aucun testeur manuel n'est assigné au test.
  • Pour les exécutions automatisées, cette colonne affiche le nom du serveur d'exécution.
Priorité | Pour les plans d'exécution automatisés, lorsque plusieurs plans d'exécution sont mis en attente, mais qu'un seul serveur d'exécution est disponible, le paramètre Priorité détermine le plan d'exécution qui est mis en œuvre en premier. Cela est également valable si des serveurs d’exécution sont disponibles mais que plusieurs plans d’exécution requièrent un appareil mobile qui n’est pas disponible.
Heure de début | Heure à laquelle démarre l'exécution du plan d'exécution.
Temps restant | Délai restant avant la fin du test. Pour les tests manuels qui ne présentent pas une estimation de temps, cette colonne affiche la mention inconnu.
Type initial Indique la façon dont l'exécution du test a démarré.
  • Manuellement
  • Via un service Web
  • À partir d'une planification
  • À partir d'une dépendance
Nom initial | Nom de la planification, du testeur ou de l'utilisateur du service Web ayant démarré l’exécution.
Périmètre initial | Périmètre défini dans la boîte de dialogue Exécuter.
Parent du plan d'exécution | Suite de configurations, dossier ou cycle de test dans le contexte desquels le plan d'exécution est exécuté. Cliquez pour accéder à la suite ou au dossier dans l'arborescence Plans d'Exécution. Si le plan d'exécution n'est pas inclus dans un dossier ou une suite de configurations, aucun élément ne s'affiche.
Si vous avez assigné des attributs à vos plans d'exécution, vous pouvez choisir de les afficher dans la grille. Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux plans d'exécution. Vous pouvez utiliser les attributs pour le filtrage et l'établissement de rapports.

Dernières exécutions

La vue Dernières Exécutions répertorie toutes les exécutions de plan d'exécution passées. Vous pouvez filtrer ou trier cette liste, notamment par heure de début.

Pour afficher ou modifier un plan d'exécution, faites un clic droit sur l'exécution du plan et choisissez Accéder au Plan d'Exécution ou cliquez sur la flèche située à gauche du nom du plan. Pour afficher la page Résultats pour le plan d'exécution d'une exécution de plan, faites un clic droit sur cette dernière et sélectionnez Voir les Détails, ou cliquez sur le lien ID d'Exécution du plan. Cette page affiche les détails de l'exécution du plan d'exécution sélectionné et inclut les fichiers et messages éventuels générés pendant le processus. Pour ouvrir la boîte de dialogue Résultats d'un test, cliquez sur l'ID d'Exécution du test dans la portion Tests Assignés de la page Résultats pour le plan d'exécution.

Pour comparer des exécutions de plan d'exécution, utilisez la combinaison Ctrl + Clic afin de sélectionner plusieurs exécutions. Faites un clic droit sur votre sélection et cliquez sur Comparer les Résultats des Tests Automatisés pour vos tests automatisés ou sur Rapports > Comparaison d'Exécutions... pour vos tests manuels.

Faites un clic droit sur un plan d'exécution et cliquez sur Exécuter le Plan d'Exécution pour l'exécuter. Silk Central considère tous les tests actuellement affectés au plan d'exécution, et non pas les tests affectés à l'origine à l'exécution du plan d'exécution sélectionnée.

Pour supprimer une exécution de plan d'exécution, faites un clic droit sur une entrée d'exécution et choisissez Supprimer les Résultats, ou dans la colonne Actions de l'exécution, cliquez sur Supprimer.

Les vues de pages de résultats de test sont décomposées de façon à contenir 20 résultats de test chacune. Vous pouvez parcourir les pages à l'aide des boutons Premier, Dernier, Suivant et Précédent situés dans la partie inférieure de la vue Dernières Exécutions. Vous pouvez aussi saisir un numéro de page dans la zone de texte Page et appuyer sur la touche Entrée.

Vous pouvez réduire et développer la vue Dernières Exécutions en cliquant sur le bouton à double flèche situé sur le côté droit de sa barre de titre.

Pour chaque plan d'exécution, la vue Dernières Exécutions affiche les colonnes suivantes :

Colonne | Description
Actions Vous pouvez effectuer les actions suivantes sur le plan d'exécution :
Supprimer
Cliquez sur cette option pour supprimer les résultats d'exécution du plan. Lorsque vous supprimez des exécutions, elles sont grisées jusqu'à ce que le processus en arrière-plan termine l'opération de suppression. Vous pouvez aussi appuyez sur la touche Supprimer pour effacer l'exécution du plan. En ce qui concerne les builds marqués, vous devez confirmer que vous souhaitez supprimer les résultats.
Voir les résultats de tests manuels
Cliquez pour afficher la page Exécution en Cours en mode lecture seule.
ID | Identifiant du plan d'exécution exécuté. La valeur de l'ID des tests non assignés est N/A. Cette colonne est masquée par défaut.
Plan d'exécution | Nom du plan d'exécution exécuté. Cliquez sur le bouton en regard du nom pour afficher le plan d'exécution dans l'unité Organisation des Exécutions.
ID d'exécution | ID assigné à l'exécution de test. Cliquez sur le lien pour afficher les détails de l'exécution du test.
Etat | Affiche le nombre de tests réussis, en échec et non exécutés dans un graphique à barres. Les fonctions de filtrage, de tri et de groupement ne sont pas disponibles pour la colonne.
Mots-clés | Mots-clés assignés au plan d'exécution lors de l'exécution.
Exécuté Par
  • En ce qui concerne les tests manuels, cette colonne affiche les utilisateurs assignés pour leur exécution. Cette colonne est vide si aucun testeur manuel n'est assigné au test.
  • Pour les exécutions automatisées, cette colonne affiche le nom du serveur d'exécution.
Heure de début | Heure à laquelle démarre l'exécution du plan d'exécution.
Durée | Temps requis pour l'exécution de tous les tests inclus. Inclut la durée du test de configuration et de réinitialisation, ainsi que le temps nécessaire pour récupérer les fichiers d'automatisation et la couverture de code, lancer les outils d'exécution et effectuer d'autres tâches. Pour les exécutions manuelles, il s'agit du temps écoulé entre le début et la fin de l'exécution.
Application | Application à tester. Cette colonne est masquée par défaut.
Version | Version définie par l'utilisateur pour ce plan d'exécution ou lue depuis le fichier d'informations de build au moment de l'exécution. Cette colonne est masquée par défaut.
Build | Build défini par l'utilisateur pour ce plan d'exécution ou lu depuis le fichier d'informations de build au moment de l'exécution. Si le build est marqué, il apparaît en gras avec Build Marqué.
Type initial | Indique la façon dont l'exécution du test a démarré. Manuellement, via un service Web ou à partir d'une planification.
Nom initial | Nom de la planification, du testeur ou de l'utilisateur du service Web ayant démarré l’exécution.
Périmètre initial | Périmètre défini dans la boîte de dialogue Exécuter.
Parent du plan d'exécution | Suite de configurations, dossier ou cycle de test dans le contexte desquels le plan d'exécution est exécuté. Cliquez pour accéder à la suite ou au dossier dans l'arborescence Plans d'Exécution. Si le plan d'exécution n'est pas inclus dans un dossier ou une suite de configurations, aucun élément ne s'affiche.
Sélection de l’appareil mobile | Le filtre d’appareil ayant été spécifié sur la page Déploiement si le plan d’exécution est configuré pour s’exécuter sur un appareil mobile.
Appareil utilisé | L’appareil correspondant au filtre d’appareil et ayant été utilisé pour exécuter les tests si le plan d’exécution est configuré pour s’exécuter sur un appareil mobile. Pour les tests manuels, le dernier appareil ayant été sélectionné par un testeur dans ce plan d’exécution est affiché.
Si vous avez assigné des attributs à vos plans d'exécution, vous pouvez choisir de les afficher dans la grille. Les attributs sont des caractéristiques pouvant être définies librement et appliquées aux plans d'exécution. Vous pouvez utiliser les attributs pour le filtrage et l'établissement de rapports.
Sujet parent : Activités


Page des Activités Inter-Projets

Suivi > Activités Inter-Projets

La page des Activités Inter-Projets permet à un utilisateur doté de privilèges SuperUtilisateur de consulter toutes les activités d'exécution inter-projets. Elle fournit toutes les options de la page Activités, ainsi que des options inter-projets supplémentaires. Cela permet d'obtenir certaines informations sur la file d'exécution. Le SuperUtilisateur peut supprimer des exécutions de file d'attente afin d'éviter les goulots d'étranglement.

Seul le rôle SuperUtilisateur permet d'afficher la page des Activités Inter-Projets. La page possède les trois mêmes sections que la page Activités : Prochaines exécutions, Exécutions en cours et Dernières Exécutions. Ces trois sections comportent une colonne supplémentaire nommée ID du Projet.

Élément | Description
ID du Projet | ID du projet auquel le plan d'exécution appartient.
Sujet parent : Activités


Rapport de Synthèse du Projet

Silk Central > Suivi > Rapport de Synthèse du Projet

Le Rapport de Synthèse du Projet contient une vue d'ensemble générale de l'état du projet sélectionné.

Sujet parent : Suivi
Sujet parent : Rapports par défaut
Référence associée
Rapport de Synthèse du Projet


Silk Central, tests basés sur le risque et objectifs Qualité

Au cours du développement d'un logiciel, il faut généralement parvenir à un équilibre entre la portée des tests, le temps à y consacrer et le coût engagé. Le test basé sur le risque est une méthode courante pour déterminer ce point d'équilibre.

Parmi les caractéristiques principales du test basé sur le risque se trouve la catégorisation des éléments de test en fonction de facteurs qui comptent à la fois pour la qualité et pour les utilisateurs finaux de l'application.

À partir de ce processus de catégorisation, les responsables qualité peuvent déterminer l'ensemble de tests approprié d'après le temps disponible et les objectifs souhaités du processus de qualité. L'exécution d'un sous-ensemble de tests implique une certaine dose de risque. Il est nécessaire de quantifier ce risque de façon pertinente afin de s'assurer que les parties prenantes soient informées tout au long du processus, ce qui est essentiel à la réussite de la mise en place du test basé sur le risque.

Dans Silk Central, les facteurs utilisés pour le test basé sur le risque peuvent être entièrement personnalisés à l'aide des Objectifs Qualité. Un objectif Qualité peut être créé pour tout attribut personnalisé de type Liste ou toute propriété d'exigence utilisée pour catégoriser les éléments de test. Les utilisateurs peuvent ainsi définir un sous-ensemble de tests à exécuter pour que le projet réponde à certains critères de qualité. Les rapports sur les objectifs Qualité permettent aux utilisateurs de communiquer aux utilisateurs le calendrier du test, le processus d'exécution, la portée, la durée et les mesures de qualité portant sur les éléments du test.

  • Objectifs Qualité
    Décrit les objectifs Qualité définis pour un projet.
  • Implémentation d'une approche de test basée sur les risques via des objectifs de qualité
    Utilisez des objectifs de qualité pour mettre en œuvre une approche de test basée sur les risques dans Silk Central.
Sujet parent : Suivi
Concepts associés
Objectifs Qualité
Référence associée
Rapports sur les états


Objectifs Qualité

Les objectifs Qualité (critères de sortie) sont un ensemble configurable de métriques de test que le projet doit respecter pour que la qualité soit considérée comme acceptable. Chaque projet Silk Central peut contenir un ou plusieurs objectifs Qualité. Silk Central utilise les objectifs Qualité essentiellement pour implémenter les tests basés sur le risque. Ainsi, dans un cycle de test donné, cela vous permet de planifier et de tester les tests les plus importants uniquement, ainsi que de créer des rapports sur ces derniers.

Dans Silk Central, un objectif Qualité comprend les deux éléments suivants :

  • Une exigence ou un test.
  • L'un des éléments suivants :
    • Un attribut ou une propriété personnalisés de type Liste avec une valeur de pourcentage correspondante.
    • L'une des propriétés d'exigence par défaut suivante : Priorité, Vérifié ou Risque avec une valeur de pourcentage correspondante.

Exemple d'objectif Qualité

Si une exigence présente une propriété MyCustomRisk avec les valeurs Haute, Moyenne et Basse, il est en principe possible de définir un objectif Qualité de type :

Objectif d'exigence : MyCustomRisk
Haute = 100 %
Moyenne = 50 %
Basse = 10 %

La valeur 100 % signifie que tous les tests qui répondent à ces critères (liés à une exigence qui présente la valeur d'attribut Haute) doivent être exécutés et réussir pour atteindre cet objectif.

Autorisations

Les objectifs Qualité sont basés sur les autorisations. Pour plus de détails sur les autorisations, reportez-vous à la rubrique Autorisations liées aux objectifs Qualité.

  • Page Objectifs Qualité
    Répertorie tous les objectifs Qualité associés à votre projet Silk Central sélectionné.
  • Ajout d'objectifs Qualité
    Décrit la façon d'ajouter des objectifs Qualité.
  • Suppression d'objectifs Qualité
    Décrit comment supprimer des objectifs Qualité.
Sujet parent : Silk Central, tests basés sur le risque et objectifs Qualité
Référence associée
Autorisations liées aux objectifs Qualité
Rapports sur les états


Page Objectifs Qualité

Suivi > Objectifs Qualité

Les contrôles suivants sont disponibles sur l'onglet Objectifs Qualité et permettent de créer, de modifier ou de supprimer des objectifs Qualité pour un projet :

Grille des objectifs Qualité

Colonne | Description
Nom de l'Objectif | Nom de l'objectif. Sélectionnez la liste déroulante au niveau du nom de la colonne et choisissez Afficher en Groupes pour afficher tous les objectifs dans une liste.
Nom | Chaque valeur du type Liste de l'attribut ou de la propriété est détaillée dans la colonne Nom.
Objectif (%) | Ce champ de texte doit contenir une valeur numérique comprise entre 0 et 100. La valeur représente le pourcentage de tests requis pour répondre à l'objectif Qualité défini.

Boutons

  • Gérer les Objectifs : cliquez pour afficher la boîte de dialogue Gérer les Objectifs Qualité.
  • Rapport de Planning : cliquez pour afficher le Rapport de Planification des Objectifs Qualité.
  • Rapport d'Exécution : cliquez pour afficher le Rapport d'Exécution des Objectifs Qualité.
Sujet parent : Objectifs Qualité


Ajout d'objectifs Qualité

Avant de créer un objectif Qualité, vous devez créer un attribut personnalisé de test ou une propriété personnalisée d'exigence de type Liste que vous voulez utiliser pour vos objectifs Qualité. Vous pouvez aussi utiliser les champs d'exigence Priorité, Vérifié ou Risque.

Par exemple, si vous voulez qu'un objectif Qualité effectue le suivi d'une propriété personnalisée d'exigence avec les valeurs Haute, Moyenne et Basse, commencez par accéder à Projets : <nom du projet> > Paramètres de Projet > Propriétés d'Exigence et créez une propriété personnalisée de type Liste contenant ces valeurs.

Remarque : Vous ne pouvez utiliser une propriété ou un attribut en tant qu'objectif Qualité qu'une fois par projet.
  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez un projet.
  3. Cliquez sur Suivi > Objectifs Qualité.
  4. Cliquez sur Gérer les Objectifs. La boîte de dialogue Gérer les Objectifs s'ouvre.
  5. Dans le champ Nouveau Nom d'Objectif, saisissez le nom de l'objectif.
  6. Dans la liste Attributs/Propriétés Personnalisées, sélectionnez l'élément qui contient les valeurs que vous voulez utiliser pour votre objectif Qualité. Cette liste contient les types d'éléments suivants :
    • Propriété d'exigence de type Liste.
    • Propriétés d'exigence par défaut Priorité, Vérifié ou Risque.
    • Attribut de test de type Liste.
  7. Cliquez sur Ajouter un Nouvel Objectif.
  8. Cliquez sur Fermer. La boîte de dialogue Gérer les Objectifs Qualité se ferme et le nouvel objectif est ajouté à la grille Objectifs Qualité.
  9. Pour chaque valeur de la liste, saisissez une valeur numérique comprise entre 0 et 100 dans le Pourcentage de Tests Requis pour Atteindre l'Objectif.
Sujet parent : Objectifs Qualité
Référence associée
Types de propriétés d'exigence et d'attributs personnalisés


Suppression d'objectifs Qualité

Pour supprimer un objectif Qualité :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Sélectionnez un projet.
  3. Cliquez sur Suivi > Objectifs Qualité.
  4. Cliquez sur Gérer les Objectifs. La boîte de dialogue Gérer les Objectifs s'ouvre.
  5. Cliquez sur l'icône Supprimer en regard de l'objectif Qualité que vous souhaitez supprimer.
Sujet parent : Objectifs Qualité


Implémentation d'une approche de test basée sur les risques via des objectifs de qualité

Pour un projet donné, un utilisateur veut équilibrer l'étendue des tests et leur durée tout en s'assurant que la qualité de l'application soit acceptable. Les étapes suivantes illustrent un workflow de haut niveau qui montre une des façons d'utiliser des objectifs de qualité pour mettre en œuvre une approche de test basée sur le risque.

Dans ce projet, les parties prenantes souhaitent s'assurer de l'exécution d'une partie suffisante du banc d'essai et garantir que les exigences les plus importantes ont été suffisamment testées. Les données de l'exemple ci-dessous sont aussi incluses dans le projet Demo livré avec les nouvelles versions de Silk Central.

  1. Sélectionnez un projet.
  2. Créez une propriété d'exigence de type Liste pour captiver l'importance de l'exigence. Dans cet exemple, créez la propriété de l'exigence Valeur commerciale avec les valeurs suivantes :
    • Basse
    • Moyenne
    • Haute
  3. Créez un attribut de test de type Liste pour captiver le type d'objectif des tests. Dans cet exemple, créez l'attribut de test Niveau avec les valeurs suivantes :
    • Test complet
    • Régression
    • Détection de fumée
  4. Cliquez sur Suivi > Objectifs Qualité.
  5. Créez un nouvel objectif de qualité. Dans cet exemple, créez l'objectif de qualité Valeur commerciale pour la propriété de l'exigence avec les valeurs % d'objectif suivantes :
    • Haute = 100 %
    • Moyenne = 75 %
    • Basse = 50 %
  6. Créez un nouvel objectif de qualité. Dans cet exemple, créez l'objectif de qualité Objectifs du test pour l'attribut de test avec les valeurs % d'objectif suivantes :
    • Complet = 80 %
    • Régression = 50 %
    • Détection de fumée = 100 %
  7. Après avoir élaboré les éléments des tests, assignez les attributs/propriétés aux exigences et aux tests.
  8. Pour déterminer le périmètre de test et garantir l'accord des parties prenantes au périmètre de test, cliquez sur Rapports > Vue Détaillée.
  9. Cliquez sur Tests > Rapport sur les États > Rapport de Planification des Objectifs Qualité.

    Ce rapport montre le nombre de tests et les pourcentages des tests pour chaque valeur d'objectif de qualité, la durée prévue totale pour tous les tests manuels et le nombre de tests nécessaires pour satisfaire l'objectif par rapport au nombre de tests disponibles dans le projet.

    Rapport de Planification des Objectifs Qualité
  10. Après être parvenu à un accord sur le plan et alors que l'exécution des tests du projet progresse, le Rapport d'Exécution des Objectifs Qualité permet d'évaluer facilement l'état des tests pour les objectifs de qualité.
  11. Cliquez sur Tests > Rapport sur les États > Rapport d'Exécution des Objectifs Qualité. Rapport d'Exécution des Objectifs Qualité
Sujet parent : Silk Central, tests basés sur le risque et objectifs Qualité


Incidents

Explique comment traiter les incidents dans Silk Central.

  • Création d'incidents
    Décrit comment créer un nouvel incident pour l'ajouter à un test.
  • Affichage des statistiques d'incidents dans la vue globale
    Affichez les statistiques d'incidents dans la Vue Globale.
  • Incidents Vue Globale
    Ouvrez la Vue Globale afin de consulter les statistiques relatives aux incidents pour le projet sélectionné sous forme de tableau.
  • Affichage des statistiques d'incidents dans la vue détaillée
    Ouvrez la Vue détaillée pour afficher les statistiques d'incidents.
  • Page Incidents
    Répertorie les incidents issus de tous les systèmes de suivi des incidents qui sont configurés pour le projet sélectionné.
  • Assignation d'incidents existants
    Assignez un incident existant à un test.
  • Mise à jour des états des incidents
    Décrit comment synchroniser les états des incidents entre Silk Central et un système de suivi d'incidents.
  • Suppression d'incidents (références d'incidents)
    Décrit comment supprimer une référence d'incident dans Silk Central.
  • Issue Manager
    Fournit une vue d'ensemble de Issue Manager.
Sujet parent : Suivi des incidents et analyse des résultats


Création d'incidents

La page Incidents vous permet de créer facilement des incidents associés au test sélectionné.

Pour créer un incident :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test pour lequel créer un incident.
  3. Cliquez sur l'onglet Incidents.
  4. Cliquez sur Nouvel Incident pour ouvrir la boîte de dialogue Nouvel Incident.
  5. Sélectionnez le Profil du système de suivi d'incidents auquel vous soumettez l'incident.
    Remarque : Le profil sélectionné ici devient la sélection par défaut disponible lorsque vous saisirez ultérieurement de nouveaux profils. Lors de l'ajout d'un nouvel incident à un système de suivi des incidents, vous êtes invité à indiquer les données d'authentification de connexion associées au système de suivi. Les données d'authentification fournies seront automatiquement présélectionnées par la suite.
  6. Dans la zone Synoptique, entrez une description rapide de l'incident.
  7. Renseignez de manière significative le champ Description de l'incident.
  8. Fournissez des informations relatives à l'incident en utilisant les contrôles d'interface utilisateur de la partie droite de la boîte de dialogue.
    Remarque : Ces contrôles d'interface utilisateur varient, en fonction du Profil sélectionné. Par exemple : si vous souhaitez créer un incident qui sera traité par Bugzilla, vous devez indiquer l'application, le composant etc. Si un incident doit être traité par JIRA, vous devez indiquer d'autres valeurs, par exemple le type ou la priorité de l'incident.
  9. Cliquez sur OK pour créer l'incident.
Sujet parent : Incidents


Affichage des statistiques d'incidents dans la vue globale

Pour afficher les statistiques d'incidents dans la Vue Globale :

  1. Dans le menu, cliquez sur Incidents > Vue Globale.
  2. Dans l'arborescence Incidents, sélectionnez le projet, le système de suivi d'incidents ou l'application pour lesquels vous voulez afficher les statistiques.
Sujet parent : Incidents


Incidents Vue Globale

Incidents > Vue Globale

La Vue Globale présente les statistiques relatives aux incidents pour le projet sélectionné sous forme de tableau.

Colonne | Description
Date | Date et heure auxquelles les détails de l'incident ont été mis à jour.
Ouvert | Nombre d'incidents de la base de données, de l'application ou du projet sélectionné dont l'état est Ouvert.
Corrigé | Nombre d'incidents de la base de données, de l'application ou du projet sélectionné dont l'état est Corrigé.
Vérifié | Nombre d'incidents de la base de données, de l'application ou du projet sélectionné dont l'état est Vérifié.
Fermé | Nombre d'incidents de la base de données, de l'application ou du projet sélectionné dont l'état est Fermé.
Différé | Nombre d'incidents de la base de données, de l'application ou du projet sélectionné dont l'état est Différé.
Sujet parent : Incidents


Affichage des statistiques d'incidents dans la vue détaillée

Pour afficher les statistiques d'incidents dans la Vue Détaillée :

  1. Dans le menu, cliquez sur Incidents > Vue Détaillée.
  2. Dans l'arborescence Incidents, sélectionnez le projet, le système de suivi d'incidents ou l'application pour lesquels vous voulez afficher les statistiques.
  3. La fonctionnalité de l'outil Calendrier vous permet d'indiquer la période pendant laquelle vous voulez afficher les statistiques d'incidents. Cliquez sur le lien vers les dates pour développer le calendrier.
  4. A l'aide des icônes Modifier en regard des champs De et À, indiquez les dates de début et de fin des statistiques d'incidents.
  5. Cliquez sur Mettre à jour pour actualiser l'affichage du graphe en fonction de la période indiquée.
Sujet parent : Incidents


Page Incidents

Incidents > Vue Détaillée > Incidents

La page Incidents répertorie les incidents issus de tous les systèmes de suivi des incidents qui sont configurés pour le projet sélectionné. Cette page inclut les éléments suivants :

Elément | Description
Outil Calendrier | Permet de spécifier une période sur laquelle les incidents doivent être signalés. Cliquez sur le lien vers les dates pour développer le calendrier.
Mettre à jour | Met à jour la vue Incidents en fonction des modifications apportées au calendrier.
Sujet parent : Incidents


Assignation d'incidents existants

La page Incidents permet d'assigner à un test sélectionné des incidents issus de systèmes de suivi d'incidents.

Pour assigner un incident existant à un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le nœud du test auquel vous voulez assigner un incident.
  3. Cliquez sur l'onglet Incidents.
  4. Cliquez sur Assigner des incidents existants pour ouvrir la boîte de dialogue Assigner des incidents existants.
  5. Sélectionnez le profil du système de suivi d'incidents préconfiguré dans lequel l'incident est suivi.
  6. Saisissez les numéros d'incidents dans le champ ID de l'incident, en les séparant par des virgules.
  7. Cliquez sur OK.
Remarque : Vous pouvez aussi assigner un incident existant à un plan d'exécution en cours sur les pages Exécution en Cours, Exécutions (dans Organisation des Exécutions) ou Exécutions de Tests (dans Tests).
Sujet parent : Incidents
Référence associée
Page Exécution en Cours
Page Exécutions
Page Exécutions de Tests


Mise à jour des états des incidents

Pour synchroniser les états des incidents entre Silk Central et un système de suivi d'incidents :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le nœud du test pour lequel vous mettez à jour un incident correspondant.
  3. Cliquez sur l'onglet Incidents.
  4. Cliquez sur Mettre à jour les états des incidents pour synchroniser les états des incidents répertoriés dans Silk Central avec les incidents correspondants dans le système de suivi d'incidents.
Sujet parent : Incidents


Suppression d'incidents (références d'incidents)

Pour supprimer une référence d'incident :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez le test dont vous souhaitez supprimer un incident.
  3. Cliquez sur l'onglet Incidents.
  4. Dans la colonne Actions, cliquez sur Supprimer.
  5. Cliquez sur Oui dans la boîte de dialogue Supprimer l'Incident afin de confirmer la suppression.
Important : Cette action ne supprime la référence d'incident que dans Silk Central. Elle ne supprime pas l'incident lui-même dans le système de suivi des incidents.
Sujet parent : Incidents


Issue Manager

Bienvenue dans Issue Manager

Issue Manager est un outil très complet de suivi automatique des incidents. Avec Issue Manager, vous pouvez saisir, traiter et gérer les incidents de manière à copier le workflow de votre entreprise.

Issue Manager vous aide à gérer les anomalies logicielles, les incidents de documentation, les demandes d'évolution, et bien plus encore. Il est conçu pour répondre aux besoins d'une grande variété d'utilisateurs, y compris les développeurs d'applications, les ingénieurs QA, les équipes de support technique, les professionnels de la documentation, les responsables et les équipes informatiques.

Issue Manager utilise une technique dite de workflow piloté par des actions. Cette technologie de workflow fait automatiquement passer un incident par toutes les étapes de son cycle de vie, en fonction des actions des utilisateurs et des états de l'incident adaptables au workflow de votre entreprise. Depuis le signalement de l'incident jusqu'à sa fermeture, Issue Manager gère automatiquement le routage de l'incident à chaque fois qu'un utilisateur applique une action à celui-ci.

Votre administrateur définit des règles de routage et un workflow pour transférer automatiquement les incidents vers les boîtes de réception assignées à des personnes ou à des groupes. Les utilisateurs dotés de privilèges de sécurité spéciaux peuvent passer outre le routage prédéfini d'un incident.

Issue Manager vous permet de réaliser les tâches suivantes :

  • Signaler les incidents par l'intermédiaire d'une interface Web.
  • Ajouter, examiner, réassigner, corriger, vérifier et fermer des incidents.
  • Afficher les informations détaillées de n'importe quel incident.
  • Afficher les comptes utilisateurs et les boîtes de réception.
  • Recevoir un message électronique quand un incident subit certaines modifications.
  • Exécuter des requête pour récupérer les informations des incidents dans la base de données.
  • Créer des rapports et des graphes.
  • Archiver les incidents.
  • Prise en main de Issue Manager
    Décrit la prise en main de Issue Manager.
  • Utilisation d'Issue Manager
    Fournit une introduction à Issue Manager.
  • Administration de Issue Manager
    Décrit la relation entre Issue Manager et Silk Central.
Sujet parent : Incidents


Prise en main de Issue Manager

Comme utilisateur final

Familiarisez-vous avec les tâches de l'utilisateur final.

Créez un exemple de base de données avant de créer et de configurer votre base de données de production. Pour plus d'informations, reportez-vous à la rubrique Bases de données.

Comme administrateur

Avant de pouvoir utiliser Issue Manager, vous devez configurer une base de données. Pour plus d'informations, reportez-vous à la rubrique Bases de données.

  • Exploration de l'exemple de base de données
    En tant qu'administrateur, explorez l'exemple de base de données pour vous familiariser avec les fonctionnalités de Issue Manager.
  • Ce que vous pouvez faire avec Issue Manager
    Présente les fonctionnalités de Issue Manager.
Sujet parent : Issue Manager
Concepts associés
Bases de données


Exploration de l'exemple de base de données

En tant qu'administrateur, explorez l'exemple de base de données pour vous familiariser avec les fonctionnalités de Issue Manager. Pour explorer l'exemple de base de données :
  1. Lancez Issue Manager et connectez-vous à l'exemple de base de données en tant que dhart, un utilisateur Développement possédant des autorisations illimitées.
  2. Entrez un incident relatif à une application existante.
  3. Enregistrez l'incident. Issue Manager remplit les champs automatiques de la page Détails de l'incident et l'onglet Historique.
  4. Effectuez une action sur l'incident et complétez la boîte de dialogue d'action correspondante. La page Détails de l'incident change. Effectuez d'autres actions jusqu'à ce que vous vous sentiez à l'aise avec cette procédure.
  5. Consultez plusieurs comptes utilisateurs.
    1. Notez à quels groupes les utilisateurs sont assignés.
    2. Consultez les privilèges de sécurité de l'utilisateur.
    3. Notez les boîtes de réception par défaut des utilisateurs.
  6. Ajoutez un groupe.
    1. Affectez des privilèges de sécurité.
  7. Ajoutez une boîte de réception pour un nouvel utilisateur.
    1. Associez la boîte de réception au nouveau groupe.
  8. Ajoutez un compte pour le nouvel utilisateur.
    1. Assignez la nouvelle boîte de réception à l'utilisateur.
    2. Assignez tout privilège de sécurité restant à ce compte utilisateur.
  9. Ajoutez une nouvelle application, y compris ses règles de routage.
    1. Ajoutez une ou deux releases pour l'application.
    2. Associez chaque release à une ou deux plates-formes.
  10. Déconnectez-vous du système.
  11. Connectez-vous en tant que nouvel utilisateur.
  12. Pour voir comment un incident est traité dans le workflow, entrez et enregistrez l'incident relatif à votre nouvelle application.
    1. Dans le champ Assigné à, l'incident a été routé vers l'une des boîtes de réception que vous avez spécifiées dans vos règles de routage. L'anomalie est à l'état Prêt pour Dév. Cliquez sur l'onglet Historique et notez les entrées ici.
    2. Cliquez sur l'onglet Historique et notez les entrées ici.
    3. Réassignez l'incident à un autre développeur.
    4. Étudiez la manière dont cette action est répercutée dans l'onglet Historique.
    5. Définissez l'incident sur Corrigé pour le faire avancer vers l'état suivant. Le champ État devient Prêt pour QA et le champ Assigné à devient la boîte de réception indiquée dans vos règles de routage. Il s'agit sans doute de la boîte de réception de l'ingénieur QA.
    6. Définissez l'incident sur Vérifier, ce qui signifie qu'un ingénieur QA a vérifié que l'anomalie a été corrigée. L'incident devrait passer à l'état Fermé. Étudiez à nouveau l'onglet Historique. En quoi a-t-il changé ?
  13. Ajoutez deux composants à la nouvelle application.
  14. Configurez des règles de routage pour les composants, en indiquant des boîtes de réception différentes de celle de l'application.
  15. Entrez un autre incident relatif à un composant spécifique de l'application. Répétez les sous-étapes décrites à l'étape 12 pour étudier les modifications du routage.
    Remarque : Les états que prend l'incident restent les mêmes car le workflow est le même pour tous les incidents.
  16. Modifiez le libellé d'un champ dans la page Détails de l'incident.
  17. Modifiez Code Application en Application.
  18. Ouvrez la page Détails de l'incident pour un incident existant afin d'en consulter les modifications.
  19. Ajoutez un nouveau champ à l'Onglet Personnalisé 1.
  20. Ouvrez la page Détails de l'incident pour un incident existant et cliquez sur l'onglet Personnalisé pour voir le nouveau champ.
  21. Générez quelques rapports et graphiques prédéfinis disponibles dans l'unité Rapports.
Sujet parent : Prise en main de Issue Manager


Ce que vous pouvez faire avec Issue Manager

En tant que solution complète pour vos besoins de suivi d'incidents, Issue Manager vous permet :
  • De créer des incidents :
  • D'importer des incidents : L'assistant Silk Test vous permet de transmettre les détails de scénarios de test Silk Test directement à Issue Manager en tant que base pour de nouveaux incidents. De même, quand vous découvrez des résultats d'exécution Silk Central qui nécessitent une attention particulière, vous pouvez facilement utiliser les résultats comme base pour de nouveaux incidents.
  • Traiter les incidents :Issue Manager vous permet de consulter, réassigner, corriger, vérifier et fermer les incidents (les privilèges varient selon le type d'utilisateur).
  • Associer des fichiers aux incidents Issue Manager : Si vous ou un client avez des fichiers qui sont requis pour reproduire un incident, vous pouvez télécharger ces fichiers dans Issue Manager et les attacher à l'incident. De cette façon, vous pouvez facilement localiser les fichiers dont vous avez besoin pour confirmer, corriger, ou vérifier un bug.
  • Consulter un historique complet de chaque incident dans le système :Issue Manager enregistre toutes les actions entreprises par les utilisateurs concernant un incident. L'entrée d'historique d'incident par défaut comprend l'action entreprise pour l'incident en question, l'utilisateur à l'origine de l'action et les notes qui expliquent celle-ci.
  • Interagir avec des groupes de travail : Votre administrateur Issue Manager peut configurer des groupes de travail au sein de votre organisation pour partager des privilèges, des autorisations, des boîtes de réception et des affectations. De cette façon, vous pouvez interagir avec les utilisateurs individuellement et aussi dans des groupes qui partagent les mêmes responsabilités de travail.
  • Interroger le système pour trouver des informations relatives à des incidents répondant à vos critères : Vous pouvez utiliser des requêtes prédéfinies, construire des requêtes par des exemples, ou créer des requêtes avancées avec SQL.
  • Générer des rapports et des graphiques : Créez des rapports prédéfinis basés sur des critères d'incident que vous spécifiez, ou créez des rapports avancés avec SQL.
  • Définir des notifications : Paramétrez de sorte à être averti lorsque les affectations ou les statuts d'incidents sont modifiés.
  • Interagir à distance avec la base de données de l'incident : Entrez et interrogez des incidents à distance via le Web.
  • Assigner des tests aux incidents : Avec Silk Central
Sujet parent : Prise en main de Issue Manager


Utilisation d'Issue Manager

L'aide d'Issue Manager fournit des informations et des consignes qui vous aideront à mettre en œuvre le suivi des incidents avec Issue Manager afin de répondre aux besoins de votre environnement de développement logiciel.

  • Vue d'ensemble
    Fournit une vue d'ensemble de Issue Manager.
  • Saisie d'incidents
    Décrit comment créer et modifier des incidents dans Issue Manager.
  • Traitement des incidents
    Décrit le traitement des incidents.
  • Notification par courriel
    Décrit comment utiliser une notification par courriel.
  • Rapports (Issue Manager)
    Décrit les rapports Issue Manager.
  • Projets (Issue Manager)
    Décrit le workflow de projet de Issue Manager.
Sujet parent : Issue Manager


Vue d'ensemble

Cette rubrique donne une vue d'ensemble de l'interface utilisateur de Issue Manager. Elle comprend les pages Suivi des Incidents et Détails de l'incident, les onglets Détails de l'incident et la barre d’outils Suivi des Incidents.

  • Page de Suivi des incidents
    Décrit la page de Suivi des incidents.
  • Page Détails de l'incident
    Décrit la page Détails de l'incident.
Sujet parent : Utilisation d'Issue Manager


Page de Suivi des incidents

Dans le menu, cliquez sur Incidents > Suivi des incidents.

Vue d'ensemble

La page de Suivi des incidents affiche la liste des incidents présents dans votre boîte de réception. Pour afficher une autre boîte de réception, sélectionnez-en une dans la liste Afficher de la barre d'outils. Les boîtes de réception peuvent être classées en groupes. Pour afficher uniquement les boîtes de réception d'un Groupe spécifique, effectuez une sélection dans la liste de la barre d'outils.Vous pouvez afficher ou masquer des colonnes, ajuster la largeur et faire glisser les colonnes pour en modifier l'ordre. Cliquez sur les colonnes pour trier, grouper ou filtrer le contenu de la grille. Cliquez sur [image] (Voir l'incident) dans la grille pour afficher les détails d'un incident dans la page Détails de l'incident. Vous pouvez également utiliser les touches Haut et Bas de votre clavier pour naviguer dans la liste et appuyer sur Entrée pour afficher les détails d'un incident.

Utilisez la liste Afficher pour définir les incidents que vous souhaitez voir :
  • Tous les incidents ouverts : Affiche tous les incidents de toutes les boîtes de réception qui ne sont pas à l'état final.
  • Tous les incidents : Affiche tous les incidents de toutes les boîtes de réception, dont les incidents fermés.
  • <nom de la boîte de réception> : Affiche tous les incidents actuellement assignés à la boîte de réception sélectionnée.

Barre d'outils

Cliquez sur les boutons situés dans la barre d'outils pour appliquer les actions suivantes :
  • Cliquez sur [image] (Ma boîte de réception) pour afficher la liste des incidents présents dans votre boîte de réception.
  • Cliquez sur Nouvel incident pour ajouter un nouvel incident.
  • Cliquez sur Acquitter (Télécharger au format .xlsx) pour exporter la liste des incidents dans un fichier Excel.
  • Saisissez le numéro d'un incident dans le champ Accéder à l'incident # de la barre d'outils, et appuyez sur Entrée pour aller directement à un incident donné.
  • Cliquez sur [image] (Ouvrir l'Assistant Intelligent de Silk Test Classic). Cette icône s'affiche uniquement si les commentaires dans la balise ShowSilkTestAssistant du fichier SRFrontendBootConf.xml ont été supprimés et si la balise est définie sur true. Pour plus d'informations, reportez-vous à la rubrique Assistant Intelligent de Silk Test.

Mises à jour en bloc

Vous pouvez utiliser les touches Ctrl et Maj de votre clavier pour sélectionner plusieurs incidents à l'aide des fonctions de sélection multiple standard du navigateur. En fonction des autorisations d'un utilisateur, les actions suivantes peuvent être appliquées à plusieurs incidents, en cliquant avec le bouton droit de la souris sur votre sélection :
  • Réassignation d'incidents, si des incidents non fermés sont sélectionnés.
  • Actions de workflow, si les incidents sélectionnés ont le même type et le même état. Notez que les actions de workflow faisant appel à un champ dépendant de l'application sont uniquement activées si les incidents sélectionnés ont la même application.
Sujet parent : Vue d'ensemble
Concepts associés
Assistant Intelligent de Silk Test


Page Détails de l'incident

Dans le menu, cliquez sur Incidents > Suivi d'incidents, sélectionnez une Boîte de réception à partir de la liste située dans la barre d'outils, puis cliquez sur [image] (Voir l'incident) dans la grille. La page Détails de l'incident affiche des informations détaillées sur un incident.

Barre d'outils

Une liste d'actions est affichée dans la barre d'outils en haut de la page. Ces liens permettent de travailler sur un incident donné. Les liens disponibles varient en fonction de l'état de l'incident et des autorisations et privilèges dont vous disposez. Vous trouverez la liste de tous les liens disponibles dans la rubrique Actions applicables aux incidents.

Cliquez sur [image] (Retour à la boîte de réception) pour revenir à la liste d'incidents dans la page Suivi d'incidents. Vous pouvez également utiliser la touche Retour arrière pour cela.

Saisissez le numéro d'un incident dans le champ Accéder à l'incident # de la barre d'outils et appuyez sur Entrée pour aller directement à un incident donné.

Détails de l'incident

Sous les liens d'action s'affichent les informations les plus importantes à propos de l'incident et vous pouvez ajouter des pièces jointes et configurer des notifications. Pour ajouter des pièces jointes et configurer des notifications, utilisez les icônes de Pièces jointes et Notifications sous le synopsis de l'incident.
Nom | Description
Incident précédent de la boîte de réception | Affiche les données de l'incident précédent dans la liste des incidents de la boîte de réception sélectionnée. Vous pouvez également utiliser les touches Haut et Gauche pour cela.
Incident suivant de la boîte de réception | Affiche les données de l'incident suivant dans la liste des incidents de la boîte de réception sélectionnée. Vous pouvez également utiliser les touches Bas et Droite pour cela.
Pièces jointes | Vous permet d'ajouter des fichiers contenant des informations complémentaires sur l'incident. Vous pouvez modifier et supprimer les fichiers à l'aide des boutons situés dans la colonne Actions. Ne nécessite pas de cliquer d'abord sur Modifier.
Notifications | Vous permet de configurer les notifications par courriel. Issue Manager vous informe quand certaines valeurs d'un incident sont modifiées. Ne nécessite pas de cliquer d'abord sur Modifier.
Afficher la version imprimable | Affiche une version imprimable des données de l'incident sélectionné.

Onglets Détails de l'incident

Les onglets Détails de l'incident sont affichés au-dessous des détails de l'incident dans la page Détails de l'incident. Pour modifier les valeurs des onglets, par exemple pour ajouter des clients ou des pièces jointes, vous devez préalablement cliquer sur Modifier dans la page Détails de l'incident. Vous pouvez également utiliser la touche F2 pour cela. Les onglets suivants sont disponibles :
Nom | Description
Description | Comprend un Synoptique et une Description de l'incident. Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
Historique | Affiche le suivi de toutes les modifications qui concernent l'incident. Par exemple : la date de création de l'incident, la personne qui l'a créé, les actions telles que la réassignation, la correction, la vérification, l'ajout de clients, de fichiers, de cas de tests, etc.
Clients | Vous permet d'ajouter des informations sur les clients qui ont signalé l'incident. Vous pouvez modifier et supprimer les clients à l'aide des boutons situés dans la colonne Actions.
Traçabilité | Affiche les tests associés à l'incident Issue Manager. Saisissez de vos informations d'identification Silk Central pour activer cet onglet. Cliquez sur le nom d'un test pour aller à la Vue détaillée des tests. Dans l'onglet Incidents de la Vue détaillée des tests, vous pouvez afficher tous les incidents assignés au test.
Personnalisé(e) | Contient tout champ personnalisé et affiche la configuration de l'Administrateur Issue Manager.
Cas de tests : | Vous permet d'ajouter des cas de tests Silk Test. Les employés QA et Développement peuvent exécuter directement des cas de tests en cliquant sur [image] (Exécuter le cas de test) dans la colonne Actions. Vous pouvez également importer les cas de tests Silk Test à l'aide de l'Assistant Intelligent de Silk Test. Cet onglet s'affiche uniquement si les commentaires dans la balise ShowTestcasesTab du fichier SRFrontendBootConf.xml, ont été supprimés et si la balise est définie sur true.
Sujet parent : Vue d'ensemble
Tâches associées
Effectuer des actions sur les incidents
Référence associée
Actions applicables au traitement des incidents


Saisie d'incidents

Ce chapitre décrit comment créer et modifier des incidents dans Issue Manager, comme utiliser l'Assistant Intelligent de Silk Test pour créer des incidents à partir des fichiers de résultats Silk Test et comment exporter les résultats depuis Silk Test.

  • Création d'incidents (Issue Manager)
    Explique comment créer des incidents dans Issue Manager.
  • Modification d'incidents (Issue Manager)
    Décrit comment modifier des incidents dans Issue Manager.
  • Assistant Intelligent de Silk Test
    Décrit l'assistant intelligent de Silk Test.
  • Import des résultats Silk Test dans Issue Manager
    Décrit comment importer les résultats d'un test Silk Test dans Issue Manager.
  • Export des résultats depuis Silk Test
    Décrit comment exporter les résultats depuis Silk Test.
  • Propositions de modifications
    Décrit comment Issue Manager propose de modifier des états d'incidents lorsque vous associez des résultats de cas de test et des cas de test Silk Test avec ces incidents.
Sujet parent : Utilisation d'Issue Manager


Création d'incidents (Issue Manager)

Pour créer un incident dans Issue Manager :
  1. Dans le menu, cliquez sur Incidents > Suivi des incidents.
  2. Cliquez sur [image] (Nouvel incident) dans la barre d'outils.
  3. Sélectionnez les valeurs pour le Type d'incident, le Produit, la Release, la Plate-forme, le Composant et la Sévérité.
    Remarque : Les champs et listes en surbrillance sont obligatoires.
    A mesure que vous saisissez les valeurs, Issue Manager assigne dynamiquement une zone de saisie et un état initial pour l'incident, en fonction des règles configurées.
  4. Entrez un Synoptique et une Description. Pour créer un lien entre cet incident et un autre, entrez le numéro d'incident ou le synoptique de l'autre incident dans le champ Incident lié (autosuggestion active). L'onglet Historique affiche ensuite les incidents liés.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Facultatif : ajoutez des détails à cet incident. Cliquez sur les onglets, puis sur les boutons suivants :
    • Ajouter un client : suivre les informations relatives aux clients qui ont signalé l'incident.
    • Ajouter un fichier : ajouter un fichier avec des détails supplémentaires relatifs à l'incident.
    • Ajouter un cas de test : le personnel QA et de développement peut exécuter directement les cas de test Silk Test ajoutés en cliquant sur [image] (Exécuter le cas de test) dans la colonne Actions de l'onglet Cas de test. Il est également possible d'importer les cas de test Silk Test à l'aide de l'Assistant Intelligent Silk Test.
    • Ajouter une notification : configurer pour recevoir une notification par courriel lorsque certaines valeurs d'un incident changent.
  6. Cliquez sur OK.
La page Détails d'incident apparaît. Pour retourner à la liste des incidents dans votre boîte de réception (page Suivi des incidents), cliquez sur [image] (Ma boîte de réception).
Sujet parent : Saisie d'incidents


Modification d'incidents (Issue Manager)

Pour modifier un incident dans Issue Manager :
  1. Dans le menu, cliquez sur Incidents > Suivi des incidents.
  2. Cliquez sur [image] (Voir l'Incident) dans la grille. La page Détails de l'incident s'affiche.
  3. Cliquez sur Modifier.
  4. Modifiez les valeurs des listes et des champs.
  5. Cliquez sur les onglets pour modifier de plus amples détails de l'incident.
  6. Cliquez sur OK.
Le suivi des modifications est effectué dans l'historique. Cliquez sur l'onglet Historique pour afficher les modifications.
Sujet parent : Saisie d'incidents


Assistant Intelligent de Silk Test

L'assistant intelligent de Silk Test analyse des cas de tests dans des fichiers de résultats Silk Test (.rex). L'assistant crée ensuite des incidents de cas de test qui peuvent être suivis à l'aide de Issue Manager.
Remarque : L'icône Ouvrir l'Silk Test Classicassistant intelligent s'affiche uniquement si les commentaires dans la balise ShowSilkTestAssistant du fichier SRFrontendBootConf.xml ont été supprimés et si la balise est définie sur true.

En fonction des résultats d'un cas de test, vous pouvez soit créer de nouveaux incidents, soit mettre à jour des incidents existants. Par exemple : si vous exécutez un cas de test qui échoue, l'assistant intelligent peut attacher ce cas de test à un nouvel incident. Les ingénieurs QA peuvent par la suite exécuter le cas de test attaché directement depuis Issue Manager et déterminer si l'incident a été corrigé.

Vous pouvez assigner plusieurs cas de test à un incident. Cependant, un cas de test ne peut être assigné qu'à un seul incident. L'assistant intelligent considère que deux cas de test sont identiques s'ils ont le même nom, le même nom de script et les mêmes arguments.

Remarque : Vous pouvez demander à l'assistant intelligent de considérer un même cas de test exécuté sur différentes plates-formes comme formant des cas de test séparés. Avant de proposer qu'un cas de test soit corrigé, l'assistant intelligent attendra qu'il passe sur toutes les plates-formes.
Sujet parent : Saisie d'incidents
Référence associée
Page de Suivi des incidents


Import des résultats Silk Test dans Issue Manager

Pour importer les résultat de tests Silk Test :
  1. Dans le menu, cliquez sur Incidents > Suivi des incidents.
  2. Sélectionnez une Boîte de réception dans la liste de la barre d'outils.
  3. Cliquez sur [image] (Ouvrir l'Assistant Intelligent de Silk Test Classic) dans la barre d'outils.
  4. Localisez un fichier .rex sur votre ordinateur.
  5. Dans la liste, sélectionnez une plate-forme où le test a été exécuté comme un facteur de logique de consolidation.
  6. Cochez la case pour inclure les tests qui n'ont pas d'erreurs et qui ne sont pas déjà associés à un incident, puis cliquez sur Suivant.
  7. Cochez les cases pour sélectionner les cas de tests et cliquez sur l'un des boutons suivants :
    • Cliquez sur Nouvel Incident pour créer un nouvel incident et lui assigner le cas de test. Pour plus d'informations, reportez-vous à la rubrique Création d'incidents (Issue Manager).
    • Cliquez sur Incident Existant et saisissez le numéro d'un incident auquel assigner le cas de test.
    Les cas de tests assignés n'apparaissent plus dans la liste.
  8. Cliquez sur Suivant.
  9. Confirmez les actions proposées et cliquez sur Terminer.
Les cas de tests sont assignés aux incidents. Pour exécuter ou modifier des cas de tests, cliquez sur les boutons dans la colonne Actions de l'onglet Cas de Tests.
Sujet parent : Saisie d'incidents


Export des résultats depuis Silk Test

Pour exporter les résultats à partir de Silk Test :
  1. Dans Silk Test, cliquez sur Résultats > Envoyer à Issue Manager. La boîte de dialogue Envoyer les résultats vers Issue Manager s'affiche.
  2. Sélectionnez un fichier de résultats (.res).
  3. Cliquez sur OK. L'Assistant Intelligent démarre. L'onglet Assistant Intelligent s'affiche avec le chemin d'accès au fichier de résultats préchargé dans le champ Résultats de tests exportés (.rex).
  4. Cliquez sur Suivant. La boîte de dialogue Associer les tests aux incidents s'affiche.
Suivez la procédure indiquée dans Import des résultats Silk Test dans Issue Manager.
Sujet parent : Saisie d'incidents


Propositions de modifications

Lorsque vous associez des résultats de cas de test et des cas de test Silk Testavec des incidents, l'Assistant Intelligent Silk Test compare les résultats et les informations sur ces incidents pour élaborer une liste de propositions de modifications.

Cette liste répertorie des propositions d'action sur ces incidents, ainsi que les nouveaux états et codes cause qui en résulteraient si vous confirmiez ces actions. Chaque proposition d'action est basée sur l'état et le code cause de chaque incident et sur les résultats des cas de test associés.

Pour construire la liste de propositions de modification, l'Assistant Intelligent Silk Test utilise l'équation suivante :

[état et code cause actuels] + [résultats de tests] = [action spéciale, nouveaux état et code cause]

Par exemple : si les état et code cause actuels d'un incident sont respectivement Prêt pour QA et Corrigé et si un cas de test associé à cet incident a échoué, l'Assistant Intelligent propose l'action Rejet de Correction Automatique qui a pour effet d'affecter à l'incident l'état Prêt pour Dév et le code cause Rejeté. L'équation suivante récapitule cet exemple :

[Prêt pour QA et Corrigé] + [test échoué] = [Rejet de Correction Automatique, Prêt pour Dév et Rejeté]

Sujet parent : Saisie d'incidents


Traitement des incidents

Issue Manager fournit un ensemble d'actions permettant de traiter les incidents. Vous pouvez, par exemple, marquer un incident comme corrigé ou implémenté, indiquer que vous avez besoin de plus d'informations ou que cet incident n'est plus un incident, etc.

Les boutons correspondant à ces actions sont affichés sur la côté droit de la page Détails de l'incident. Pour obtenir la liste complète des actions disponibles, reportez-vous à la rubrique Actions pour traiter les incidents. La liste des incidents varie en fonction de leurs états et des autorisations de l'utilisateur. De nombreuses actions peuvent être configurées et personnalisées par l'administrateur Issue Manager.

  • Actions applicables au traitement des incidents
    Décrit toutes les actions que vous pouvez utiliser pour traiter un incident. La liste des actions varie en fonction de l'état de l'incident et de vos autorisations.
  • Effectuer des actions sur les incidents
    Décrit comment utiliser des actions pour traiter les incidents.
  • Configuration des préférences de vérification des incidents
    Décrit les préférences de vérification des incidents et comment les configurer.
Sujet parent : Utilisation d'Issue Manager


Actions applicables au traitement des incidents

La page Détails de l'incident affiche une liste d'actions en haut de la page. Ces liens permettent de travailler sur un incident donné. Les actions varient en fonction de l'état de l'incident et des autorisations et privilèges dont vous disposez.

Vous pouvez appliquer les actions suivantes :
Action | Description
Accepter | Indique que l'incident de type évolution ou documentation décrit a été approuvé et sera transmis pour la mise au point nécessaire.
Ajouter un commentaire | Vous permet d'ajouter un commentaire sur l'action que vous appliquez à un incident.
Ajouter un contournement | Indique que l'incident ne sera pas corrigé immédiatement, mais qu'une solution de contournement sera générée.
Déjà fait | Indique que l'incident a déjà été corrigé.
Arbitrer | Indique qu'il existe un désaccord sur l'état de l'incident. Les équipes chargées du développement, de la documentation ou du contrôle qualité (QA) doivent discuter de l'incident et de son état.
Conçu ainsi | Indique qu'en réalité il ne s'agit pas d'un incident puisque la fonction se comporte comme elle a été conçue pour le faire.
Ne peut pas être fait | Indique que l'évolution demandée ne peut pas être implémentée.
Pas corrigeable | Indique qu'il est impossible de corriger l'incident. Soit parce que l'opération présente trop de risques, soit parce qu'elle nécessiterait trop de temps.
Confirmer en tant qu'anomalie | Indique qu'il s'agit bien d'un incident nécessitant une correction.
Copier vers le projet | Permet de copier des incidents dans un autre projet. Tous les clients, fichiers joints et cas de test sont copiés avec l'incident. Les notifications ne sont pas copiées. Cliquez sur le bouton, sélectionnez un Projet dans la liste et cliquez sur OK. Les valeurs émanant de l'incident source sont utilisées pour remplir les champs et les listes. Modifiez les valeurs si nécessaire, puis cliquez sur OK.
Différer | Permet de différer le traitement d'un incident à une release ultérieure.
Edition | Permet de modifier les valeurs des champs et listes dans la page Détails de l'incident et sous l'onglet Détails de l'incident.
Corrigé | Indique que l'incident a été corrigé. Indiquez le build ou la release où l'incident a été corrigé.
Implémenté | Indique les évolutions qui ont été implémentées.
Marquer comme dupliqué | Marque l'incident comme étant la duplication d'un autre incident. Indiquez le numéro de l'incident qui lui correspond. Cet incident restera ouvert.
Besoin de plus d'informations | Indique que l'équipe de développement a besoin de davantage d'informations sur l'incident de la part du contrôle qualité. Ce peut être le cas lorsqu'il n'est pas possible de reproduire l'anomalie ou lorsque la description n'est pas claire.
Plus un incident | Indique que l'incident n'est plus d'actualité. Ce peut être le cas lorsqu'une nouvelle fonctionnalité ou la correction d'une autre anomalie a résolu l'incident.
Pas une anomalie | Indique que cet incident ne correspond pas à une anomalie mais que la personne l'ayant signalé a mal compris la fonctionnalité.
Non reproductible | Indique qu'il est impossible de reproduire l'incident.
Réassigner | Permet d'assigner un incident à une autre boîte de réception.
Rejeter Indique l'une ou l'autre de ces deux situations :
  • L'incident est corrigé mais ne peut pas être vérifié ; il est par conséquent rejeté.
  • L'évolution demandée n'a pas été approuvée.
Réouvrir l'anomalie | Indique que le contrôle qualité a réouvert l'incident. Ce peut être le cas lorsqu'un incident a été corrigé dans un build précédent et réintroduit dans un build ultérieur.
Vérifier | Indique que l'incident a été corrigé et accepté comme tel.
Sujet parent : Traitement des incidents
Tâches associées
Effectuer des actions sur les incidents
Référence associée
Page Détails de l'incident


Effectuer des actions sur les incidents

Pour effectuer une action sur un incident existant :
  1. Dans le menu, cliquez sur Incidents > Suivi des incidents.
  2. Cliquez sur [image] (Ma boîte de réception) ou sélectionnez un Groupe et une Boîte de réception dans les listes de la barre d'outils.
  3. Cliquez sur [image] (Voir l'incident) dans la grille. La page Détails d'incident apparaît. Une liste d'actions est affichée en haut de la page.
  4. Cliquez sur un lien d'action et saisissez les valeurs requises dans la boîte de dialogue.
Vous trouverez la liste de toutes les actions disponibles dans la rubrique Actions applicables aux incidents.
Sujet parent : Traitement des incidents
Référence associée
Page Détails de l'incident
Actions applicables au traitement des incidents


Configuration des préférences de vérification des incidents

Les préférences de vérification des incidents permettent de configurer la façon dont les incidents sont vérifiés lors de leur création ou de leur traitement.

Pour configurer les préférences de vérification des incidents :

  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Préférences.
  3. Sélectionnez l'une des options suivantes :
    • Cliquez sur Toujours utiliser le routage normal pour utiliser le routage système par défaut.
    • Cliquez sur Toujours vérifier votre propre incident pour que tous les incidents saisis vous soient retournés pour vérification.
    • Cliquez sur Demander pour chaque nouvel incident pour déterminer pour chaque incident s'il doit vous être retourné ou s'il doit suivre le routage standard.
Remarque : Le privilège de sécurité Préférences de vérification des incidents est requis pour configurer les préférences. L'administrateurIssue Manager peut vous assigner ce privilège. Si vous ne disposez pas de ce privilège, les boutons d'option sont désactivés.
Sujet parent : Traitement des incidents


Notification par courriel

Vous pouvez configurer Issue Manager pour qu'il vous informe lorsque certains événements pré-définis se produisent. Ces événements sont les suivants :
  • Réassignation : un incident est réaffecté sans changement d'état.
  • Changement d'état : un incident modifie son état.
  • Tout changement : une modification est apportée à un incident qui génère une nouvelle entrée d'historique.
L'administrateur Issue Manager peut définir des règles supplémentaires pour des événements spécifiques. Une fois que les règles sont définies, les utilisateurs peuvent configurer des notifications par courriel. Vous pouvez définir des notifications globales ou des notifications pour des incidents spécifiques. Pour ces actions, vous aurez besoin des privilèges de sécurité suivants :
Action | Privilège de sécurité requis
Définition des règles de notification | Règles de notification par courrier électronique et notifications globales
Définition des notifications par courriel | Notification par courriel par incident
Définition de notifications globales | Règles de notification par courrier électronique et notifications globales

L'administrateur système doit configurer les paramètres du serveur de messagerie. Sinon la notification par courriel ne fonctionnera pas.

Tout utilisateur peut définir une notification de base par courriel, quelles que soient les autorisations qui lui sont assignées. Si vous définissez cette notification de base, Issue Manager vous informe lorsqu'un autre utilisateur apporte des modifications à un incident dans votre boîte de réception ou affecte un nouvel incident à votre boîte de réception.

  • Définition des règles de notification
    Décrit comment définir des règles de notification.
  • Définition des notifications par courriel
    Décrit comment définir des notifications par courriel.
  • Configuration des notifications de base par courriel
    Indique comment configurer Issue Manager de façon que vous receviez une notification lorsque des utilisateurs assignent des incidents à votre boîte de réception ou apportent des modifications à des incidents de votre boîte de réception.
Sujet parent : Utilisation d'Issue Manager
Concepts associés
Configuration des règles de notification par courriel


Définition des règles de notification

Issue Manager fournit trois règles de notification par défaut : Tout changement, Réassignation et Changement d'état. Pour définir des règles de notification supplémentaires :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Règles de notification dans la partie gauche.
  3. Cliquez sur Ajouter une règle. La boîte de dialogue Nouvelle règle de notification s'affiche.
  4. Entrez le Nom de la règle, une Description et une Clause WHERE. Pour plus d'informations, reportez-vous à la rubrique Définition des règles de notification par courriel.
  5. Cochez la case Est actif pour activer la règle.
  6. Cliquez sur OK.
La règle de notification est ajoutée à la liste.
Remarque : Vous devez posséder le privilège de sécurité Règles de notification par courrier électronique et notifications globales pour définir des règles de notification.
Sujet parent : Notification par courriel
Tâches associées
Définition des règles de notification par courriel


Définition des notifications par courriel

Pour définir des notifications par courriel :
  1. Dans le menu, cliquez sur Incidents > Suivi des incidents.
  2. Cliquez sur [image] (Ma boîte de réception) ou sélectionnez un Groupe et une Boîte de réception dans les listes de la barre d'outils.
  3. Cliquez sur [image] (Voir l'incident) dans la grille. La page Détails d'incident apparaît.
  4. Cliquez sur l'icône Notifications.
  5. Cliquez sur Ajouter une notification. La boîte de dialogue Ajouter une notification s'affiche.
  6. Entrez les valeurs requises et cliquez sur OK. La notification est ajouté à la liste.
Pour modifier la notification, cliquez sur [image] (Modifier la notification), pour supprimer la notification, cliquez sur [image] (Supprimer la notification) dans la colonne Actions. Pour plus d'informations sur la configuration des notifications à l'échelle du système, consultez Gestion de notifications globales.
Sujet parent : Notification par courriel
Concepts associés
Gestion de notifications globales
Tâches associées
Ajout de notifications globales


Configuration des notifications de base par courriel

Pour configurer une notification de base par courriel :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Préférences sur la gauche.
  3. Cochez la case Me notifier lorsque des utilisateurs m'assignent des incidents ou apportent des modifications à des incidents de ma boîte de réception.
Remarque : Tout utilisateur peut définir une notification de base par courriel, quelles que soient les autorisations qui lui sont assignées. Vous pouvez configurer la ligne du sujet et le contenu de la notification dans le fichier SRFrontendBootConf.xml.
Sujet parent : Notification par courriel


Rapports (Issue Manager)

A l'aide des rapports Issue Manager hautement personnalisables, vous pouvez transformer les données en tableaux explicites. Issue Manager fournit un certain nombre de rapports préconfigurés, classés en trois catégories. Ces catégories apparaissent dans l'arborescence Rapports.
  • Rapports populaires
  • Recherche de texte
  • Rapports de gestion

Les recherches de texte sont des requêtes qui renvoient des données de rapport sous forme de tableau. Les modèles de rapports sont créés avec BIRT Report Designer, un outil de création de rapports Eclipse libre ou à l'aide de Microsoft Excel.

Si vous n'avez aucune donnée dans le projet sélectionné ou si vous n'êtes pas connecté à la base de données Issue Manager correcte, les rapports sont générés vierges.

Vous pouvez créer des rapports à l'aide des outils fournis par l'interface utilisateur ou en écrivant vous-même du code SQL. Grâce à cette approche avancée, vous pouvez interroger les données et les présenter dans des rapports d'autant de manières que vous le souhaitez ou presque.

Pour plus d'informations sur l’utilisation des rapports, reportez-vous à la rubrique Rapports.

  • Création de rapports
    Décrit comment créer un rapport dans Issue Manager.
  • Ajout de sous-rapports
    Indique comment ajouter des sous-rapports qui agrègent les résultats de plusieurs rapports.
  • Modification des propriétés de rapport
    Décrit comment modifier les propriétés d'un rapport.
  • Modification de paramètres de rapports
    Explique comment modifier les paramètres d'un rapport.
  • API SOAP d'Issue Manager
    Décrit comment accéder au référentiel Issue Manager avec des outils tierces, via l'API SOAP.
Sujet parent : Utilisation d'Issue Manager
Concepts associés
Rapports


Création de rapports

Pour créer un rapport Issue Manager :
  1. Dans le menu, cliquez sur Incidents > Liste des projets.
  2. Sélectionnez un dossier dans l'arborescence Rapports.
  3. Cliquez sur [image] (Nouveau Rapport Enfant) dans la barre d'outils. La boîte de dialogue Créer un Nouveau Rapport s'affiche.
  4. Entrez un Nom et une Description.
  5. Si vous souhaitez Partager ce rapport avec d'autres utilisateurs, cochez cette case.
  6. Entrez un ou des Délai d'attente [s] afin de définir combien de temps Issue Manager attend que les exécutions de rapports soient terminées.
  7. Sélectionnez un Onglet par Défaut et une Catégorie de Résultats dans les listes. Si vous accédez à un rapport en utilisant le menu contextuel (par exemple lors d'un clic droit sur un test), vous êtes dirigé vers l'Onglet par défaut défini.
  8. Sélectionnez des Critères de sélection, une Propriété, un Opérateur et une Valeur dans les listes. Les caractères génériques autorisés pour les chaînes sont * (n'importe quel nombre de caractères) et ? (un caractère uniquement).
  9. Cliquez sur Plus pour créer une chaîne de requête supplémentaire, puis sélectionnez l'opérateur ET ou OU pour connecter les chaînes de requêtes. Cliquez sur [image] (Supprimer) pour supprimer des chaînes de requêtes.
  10. Cliquez sur Suivant pour configurer les colonnes du rapport. Vous pouvez Ajouter des Colonnes, Supprimer Tout, définir l'ordre en cliquant sur [image] (Déplacer vers le Haut) ou [image] (Déplacer vers le Bas), supprimer une seule colonne en cliquant sur [image] (Supprimer), définir des options de tri et de regroupement et saisir un Alias.
  11. Cliquez sur Terminer.

Vous pouvez également créer des rapports en écrivant manuellement du code SQL. Cliquez sur Avancé dans la boîte de dialogue Créer un Nouveau Rapport et entrez ou collez votre code SQL. Pour plus d'informations, reportez-vous aux rubriques Écriture de requêtes avancées avec SQL. Pour obtenir la liste de tous les espaces réservés de fonction, reportez-vous à la rubrique Fonctions SQL pour les rapports personnalisés.

Sujet parent : Rapports (Issue Manager)
Concepts associés
Fonctions SQL pour les rapports personnalisés


Ajout de sous-rapports

Pour agréger les résultats de plusieurs rapports dans le rapport actuellement sélectionné, vous pouvez ajouter des sous-rapports. Les colonnes et lignes de résultat du sous-rapport sont concaténées aux résultats du rapport sélectionné.

Pour ajouter un sous-rapport :

  1. Dans le menu, cliquez sur Incidents > Liste des projets.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Propriétés.
  4. Cliquez sur Ajouter un sous-rapport. La boîte de dialogue Ajouter un sous-rapport s'affiche.
  5. Dans l'arborescence Rapports, sélectionnez le sous-rapport que vous voulez ajouter au rapport actuel.
  6. Cliquez sur OK. Les sous-rapports s'affichent sur la page Propriétés du rapport associé, dans la section Sous-rapports.
Pour supprimer un sous-rapport, cliquez sur [image] (Supprimer) dans la colonne Actions.
Sujet parent : Rapports (Issue Manager)


Modification des propriétés de rapport

Pour modifier les propriétés d'un rapport :
  1. Dans le menu, cliquez sur Incidents > Liste des projets.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur [image] (Modifier) dans la barre d'outils. La boîte de dialogue Modifier le Rapport s'affiche.
  4. Modifiez les valeurs selon vos besoins.
  5. Cliquez sur Terminer.
Pour plus d'informations sur les contrôles d'interface utilisateur de cette boîte de dialogue, reportez-vous à la rubrique Création de rapports.
Sujet parent : Rapports (Issue Manager)


Modification de paramètres de rapports

Pour modifier les paramètres d'un rapport :
  1. Dans le menu, cliquez sur Incidents > Liste des projets.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Paramètres. Les paramètres définis pour le rapport sont répertoriés ici.
  4. Cliquez sur Modifier les Paramètres. La boîte de dialogue Modifier les paramètres s'affiche.
  5. Modifiez le Libellé ou la Valeur des paramètres répertoriés selon vos besoins.
  6. Cliquez sur OK.
Pour plus d'informations sur les paramètres de rapport, consultez la rubrique Page Paramètres du Rapport.
Sujet parent : Rapports (Issue Manager)
Référence associée
Page Paramètres du Rapport


API SOAP d'Issue Manager

Issue Manager fournit une interface de programmation d'applications (API) ouverte afin de permettre l'accès au référentiel Issue Manager depuis une application tierce, par exemple pour soumettre un incident.

L'interface sur laquelle repose WSDL est illustrée ci-dessous. Elle contient également la documentation relative aux méthodes :

/**
* A Project object has a ProjectID and a ProjectName. The ProjectID
is used for all further methods
* for specifying the Issue Manager project you want to work on.
* @param sessionID
* @return Array of initialized Issue Manager projects available
for the user used for generating the sessionID
* @throws SQLException
*/

public Project[] getProjects(long sessionID) throws SQLException;

/**
* @param sessionId
* @param projectID
* @return the names of the 3 issue types
*/

public String[] getIssueTypes(long sessionId, int projectID)
throws RemoteException, SQLException, LoginException;

/**
* @param sessionId
* @param projectID
* @return Array of ProductNames that are configured for the
provided Issue Manager project
*/

public String[] getProducts(long sessionId, int projectID)
throws RemoteException, SQLException, LoginException;

/**
* @param sessionId
* @param projectID
* @param product
* @return Array of ReleaseNames that are configured for the
provided product
*/

public String[] getReleases(long sessionId, int projectID,
String product) throws RemoteException, MissingValueException,
SQLException, LoginException;

/**
* @param sessionId
* @param projectID
* @return Array of available PlatformNames
*/

public String[] getPlatforms(long sessionId, int projectID) throws
RemoteException, SQLException, LoginException;

/**
* @param sessionId
* @param projectID
* @param product
* @return Array of ComponentNames that are configured for the
provided product
*/

public String[] getComponents(long sessionId, int projectID,
String product) throws RemoteException, MissingValueException,
SQLException, LoginException;

/**
* The list of Severities can be grouped by IssueType or Product.
If the list is grouped by IssueType the
* parameter issueType has to be provided and the product parameter
can be empty. If the list is grouped by
* product issueType can be empty and the product has to be selected.
* @param sessionId
* @param projectID
* @param product
* @param issueType
* @return Array of values that can be used for entering an issue in
the given project when the provided
* IssueType/Product is selected.
*/

public String[] getSeverities(long sessionId, int projectID,String
product,String issueType) throws RemoteException,
MissingValueException, SQLException, LoginException,
NotExistingValueException;

/**
* @param sessionId
* @param projectID has to be a ProjectID delivered by
the method getProjects
* @param issueType has to be a values delivered by
the method getIssueTypes
* @param product has to be a values delivered by
the method getProducts
* @param release has to be a values delivered by
the method getReleases for the selected product
* @param platform has to be a values delivered by
the method getPlatforms
* @param component has to be a values delivered by
the method getComponents for the selected product
* @param severity has to be a values delivered by
the method getSeverities for the selected projectID
and IssueType/Product
* @param synopsis the Synopsis for the new issue
* @param description the Description for the new issue
* @return the Issue Number of the new issue
*/

public int saveNewIssue(long sessionId, int projectID,
String issueType, String product, String release, String
platform, String component, String severity, String
synopsis, String description) throws RemoteException,
MissingValueException, NotExistingValueException,
SQLException, LoginException;
Sujet parent : Rapports (Issue Manager)


Projets (Issue Manager)

Issue Manager utilise un workflow de projet. Seuls les incidents associés au projet actif peuvent être affichés ou traités. Pour accéder à des incidents individuels, vous devez sélectionner un projet. Dans le menu, cliquez sur Incidents > Liste des Projets, puis sur le nom d'un projet pour l'activer. Le projet sélectionné reste actif jusqu'à la sélection d'un autre projet.

  • Initialisation de la configuration d'un référentiel
    Vous devez initialiser un projet pour Issue Manager avant de pouvoir l'utiliser.
Sujet parent : Utilisation d'Issue Manager


Initialisation de la configuration d'un référentiel

Vous devez initialiser un projet pour Issue Manager avant de pouvoir l'utiliser.

Les projets initialisés affichent la mention « initialisé » dans la colonne Actions.

Pour initialiser un projet :

  1. Dans le menu, cliquez sur Incidents > Liste des projets.
  2. Cliquez sur [image] (Initialiser la configuration du référentiel pour le projet <nom du projet>) dans la colonne Actions. La boîte de dialogue Initialiser le Référentiel s'affiche.
  3. Facultatif : cliquez sur Créer des données échantillons afin de créer des données échantillons pour la base de données en cours d'initialisation.
  4. Cliquez sur OK pour lancer l'initialisation. La boîte de dialogue Démarrer l'Assistant de Configuration s'affiche.
  5. Cliquez sur Oui pour poursuivre avec l'Assistant de Configuration ou cliquez sur Non si vous envisagez de configurer votre projet plus tard.
Pour plus d'informations sur la configuration de Issue Manager, reportez-vous à la section Administration d'Issue Manager.
Sujet parent : Projets (Issue Manager)
Concepts associés
Administration de Issue Manager


Administration de Issue Manager

Outre la gestion des comptes utilisateurs et d'autres tâches d'administration, Issue Manager partage également son référentiel de base de données avec Issue Manager. Les projets Issue Manager sont également créés, configurés et gérés dans l'unité Administration Silk Central. Ainsi, les projets Silk Central sont entièrement intégrés aux projets Silk Central.

Lorsque vous utilisez Silk Central en combinaison avec Silk Central, les projets peuvent contenir de nombreux éléments en plus des incidents, comme des exigences, tests et définitions d'exécution.

Projets Silk Central

Silk Central utilise un workflow basé sur un projet. Seuls les incidents associés au projet actif peuvent être affichés ou traités. Vous devez sélectionner un projet Silk Central (via l'unité Projets) avant de pouvoir accéder aux incidents individuels. Le projet sélectionné est automatiquement le projet par défaut chaque fois que vous accédez à Issue Manager. Lorsque vous sélectionnez un autre projet, il devient alors le projet par défaut.

Initialisation de la configuration de la base de données

Une fois qu'un projet a été créé, vous devez initialiser la connexion à sa base de données avant de pouvoir l'utiliser comme projet Issue Manager.

  • Configuration de vos données
    Décrit comment entrer des informations sur votre organisation dans une base de données.
  • Tâches administratives courantes
    Décrit les tâches administratives courantes devant être effectuées pour Issue Manager.
  • Fonctionnalités optionnelles
    Décrit les fonctionnalités optionnelles disponibles dans Issue Manager.
  • Configuration des groupes
    Décrit comment configurer les groupes d'utilisateurs dans Issue Manager.
  • Configuration des boîtes de réception
    Décrit comment configurer les boîtes de réception dans Issue Manager.
  • Configuration des comptes utilisateurs
    Décrit comment configurer des comptes utilisateurs dans le cadre de la gestion des incidents.
  • Définir des paramètres d'application
    Décrit comment définir des paramètres d'application.
  • Configuration des règles de routage
    Décrit comment configurer des règles de routage déterminant les boîtes de réception vers lesquelles les incidents doivent être routés au cours de leur cycle de vie.
  • Personnalisation de la page Détails de l'incident
    Décrit comment vous pouvez modifier l'apparence et le comportement des pages relatives aux incidents.
  • Personnalisation des workflows
    Décrit comment personnaliser les workflows.
  • Archivage des incidents
    Décrit l'archivage des incidents
  • Configuration des règles de notification par courriel
    Décrit les règles de notification par courriel et les notifications.
Sujet parent : Issue Manager


Configuration de vos données

Une fois que vous vous sentez à l'aise pour utiliser Issue Manager, vous pouvez entrer des informations sur votre organisation dans une base de données. Vous pouvez entrer ces informations dans la page Configuration. Pour ouvrir la page Configuration, cliquez sur Incidents > Configuration.

Vous devez commencer par rassembler des informations sur les processus de travail de votre organisation. Prenez le temps de planifier soigneusement. Pour utiliser Issue Manager de façon efficace dans votre organisation, vous devez rassembler des informations dans les domaines clés suivants :
  • Le personnel.
  • Les applications.
  • La pertinence de la page Suivi d'Incidents, des boîtes de dialogue d'actions et du workflow d'Issue Manager pour votre organisation.
Effectuez les tâches suivantes dans cet ordre :
  1. Rassemblez des informations sur le personnel de votre organisation.
  2. Rassemblez des informations sur les applications.
  3. Optionnel : évaluez l'interface et le workflow d'Issue Manager. Vous pouvez personnaliser la page Suivi d'Incidents, les boîtes de dialogue d'actions, la liste des sévérités et le workflow dans la page Configuration.
  4. Créez votre propre base de données et remplissez-la avec les informations configurées.
  • Collecte des informations sur les personnes dans votre entreprise
    Pour utiliser Issue Manager efficacement dans votre entreprise, collectez les informations sur les personnes de votre entreprise.
  • Collecte des informations sur les applications
    Pour utiliser Issue Manager efficacement, collectez les informations sur les applications de votre entreprise.
  • Optionnel : évaluation de l'interface et des workflows
    Évaluez l'interface et les workflows de l'application Issue Manager de manière à exploiter efficacement Issue Manager dans votre entreprise.
Sujet parent : Administration de Issue Manager
Concepts associés
Bases de données


Collecte des informations sur les personnes dans votre entreprise

Pour collecter les informations sur les personnes de votre entreprise :
  1. Établissez une liste des groupes.
  2. Décidez des privilèges de sécurité et des états initiaux d'incident appropriés pour tous les membres de chaque groupe.
  3. Établissez une liste des comptes. Chaque utilisateur qui se connecte à Issue Manager doit obligatoirement avoir un compte.
  4. Décidez d'un système de nommage des comptes. Incluez le groupe assigné et, le cas échéant, une ou plusieurs boîtes de réception. Posez-vous les questions suivantes :
    • Quels comptes requièrent des privilèges de sécurité supplémentaires que ceux accordés au groupe ?
    • Les états initiaux d'incident pour ce compte doivent-ils être différents de ceux des autres groupes ?
    • Voulez-vous que l'utilisation d'un mot de passe soit obligatoire pour se connecter au système ?
  5. Lors de l'examen de la liste des comptes utilisateurs, notez les utilisateurs qui ont besoin d'avoir des boîtes de réception. Les groupes ont-ils aussi besoin de boîtes de réception ? Décidez d'un système de nommage pour les boîtes de réception.
  6. Vous pouvez personnaliser la vue par défaut de tous les utilisateurs. Tous les utilisateurs ont la même vue par défaut des Boîtes de Réception. La vue contient huit colonnes d'informations.
Sujet parent : Configuration de vos données


Collecte des informations sur les applications

Pour collecter les informations sur les applications dans votre entreprise :
  1. Établissez une liste des applications, des versions pour chaque application, et des plates-formes pour chaque release.
  2. Comparez votre liste des plates-formes avec la liste que vous trouverez dans Administration > Plates-Formes.
  3. Établissez une liste des composants logiciels et de documentation pour chaque produit. Les composants (domaines fonctionnels) ne sont pas obligatoires ; toutefois, leur présence vous permet de suivre les incidents selon l'application, la release, la plate-forme et le composant, et d'obtenir un contrôle plus fin sur le routage des incidents.
  4. Établissez une liste des degrés de sévérité des incidents. Les valeurs de cette liste sont affichées dans la colonne Sévérité de la page Suivi des Incidents. Vous pouvez classer cette liste par type d'application ou d'incident, ou vous pouvez créer une liste générique de tous les types d'incidents et d'applications.
  5. Comparez votre liste avec la liste dans Administration > Listes de Valeurs.
  6. Décidez de la boîte de réception qui doit recevoir un incident appartenant à un produit, un composant, une release et une plate-forme donnés. Ce sont les règles de routage.
Sujet parent : Configuration de vos données


Optionnel : évaluation de l'interface et des workflows

Pour évaluer l'interface et les workflows d'Issue Manager :
  1. Évaluez la présentation et le fonctionnement de la page Suivi des Incidents pour savoir si vous devez ou non effectuer les tâches suivantes :
    • Modifier les en-têtes de colonne par défaut.
    • Ajouter des colonnes pour capturer des informations supplémentaires.
    • Modifier les champs de la boîte de dialogue Action ou ajouter vos propres champs.
    Conservez la liste de vos modifications. Vous avez la responsabilité d'informer les utilisateurs de votre entreprise de toutes les modifications que vous apportez.
  2. Évaluer les workflows par défaut pour déterminer s'ils sont en adéquation avec les besoins de votre entreprise. Examinez chaque état ainsi que les actions valides qui lui correspondent. Les autorisations de groupe par défaut pour cette action sont-elles satisfaisantes ?
Sujet parent : Configuration de vos données


Tâches administratives courantes

Une fois la configuration initiale terminée, vous aurez de temps en temps des tâches administratives courantes à effectuer pour maintenir Issue Manager à jour. Les tâches les plus courantes sont les suivantes :

Ajout d'un nouvel utilisateur

Vous devez effectuer les tâches suivantes pour un nouvel utilisateur :
  • Créer une boîte de réception, si nécessaire, avant de configurer le compte.
  • Configurer un nouveau compte, l'associer avec un groupe existant et, au besoin, une boîte de réception par défaut.
  • Ajouter les boîtes de réception de l'utilisateur aux règles de routage, si celui-ci doit recevoir des incidents par routage automatique.

Suppression d'un utilisateur

Vous devez effectuer les tâches suivantes quand un utilisateur quitte votre organisation :
  • Désactiver immédiatement le compte de l'utilisateur afin qu'il ne puisse plus se connecter. Vous ne pouvez pas supprimer le compte d'un utilisateur ayant des incidents.
  • Dans les règles de routage, remplacez toutes les références de la boîte de réception de l'utilisateur par celles d'une autre boîte de réception. Cette étape empêche l'envoi de nouveaux incidents vers cette boîte de réception.
    Remarque : Vous ne devez apporter des modifications aux règles de routage que lorsqu'aucun autre utilisateur n'est connecté sur Issue Manager.
  • Vider la boîte de réception de l'utilisateur en réassignant les incidents à d'autres boîtes de réception.
  • Supprimer la boîte de réception de l'utilisateur.

Changement d'assignation de travail

Vous devez mettre à jour les assignations de groupes lorsque des utilisateurs changent de poste. Par exemple, supposons que Sarah, un ingénieur QA, passe au développement. Vous devez aussi modifier les règles de routage afin que les utilisateurs reçoivent des incidents appropriés pour leurs nouvelles responsabilités. Par exemple, Sarah doit maintenant recevoir des incidents à l'attention du développement et non plus de QA.

Lorsque des utilisateurs changent de projets, vous devez modifier les règles de routage pour prendre en compte leurs nouvelles responsabilités. Vous devez également vous assurer que la boîte de réception par défaut est toujours appropriée. Par exemple, supposons que Judy soit une rédactrice qui écrivait des manuels pour le produit A, mais qui documente désormais le produit B. La boîte de réception par défaut de Judy, Judy - Doc (Product A), doit être changée en Judy - Doc (Product B).

Ajout de nouvelles informations d'applications

Parfois, vous devrez effectuer les tâches suivantes :
  • Ajouter de nouvelles applications.
  • Ajouter de nouveaux composants, releases ou plates-formes pour les applications existantes.
  • Modifiez vos règles de routage pour tenir compte de nouvelles applications ou de nouveaux composants, releases ou plates-formes.
Sujet parent : Administration de Issue Manager


Fonctionnalités optionnelles

Après avoir défini votre base de données, quand vous serez plus à l'aide avec Issue Manager, pensez à utiliser les fonctionnalités optionnelles :

Notification par courriel

L'option de notification par courriel permet aux utilisateurs Issue Manager de recevoir un message électronique lorsqu'un anomalie subit certains événements, par exemple une réaffectation ou une modification d'état. Les utilisateurs dotés du privilège de sécurité Règles de notification par courrier électronique et notifications globales peuvent définir d'autres circonstances déclenchant l'envoi d'un courriel. Consultez vos utilisateurs pour connaître les circonstances dans lesquelles ils souhaiteraient recevoir un courriel.

Archivage des incidents

Plus la base de données contient d'incidents, plus l'exécution des actions, par exemple les requêtes, peut prendre du temps. Pour améliorer les performances globales, Issue Manager vous permet d'archiver les incidents qui ne sont plus pertinents aux activités de votre entreprise. L'archivage des incidents les relègue dans une base de données afin que vous puissiez par exemple exécuter des requêtes uniquement sur les incidents actifs.

Sujet parent : Administration de Issue Manager
Concepts associés
Configuration des règles de notification par courriel
Tâches associées
Archivage des incidents


Configuration des groupes

Selon votre organisation, les groupes peuvent être définis comme des départements entiers, des équipes de projet composées de membres de plusieurs départements ou des équipes internes à des départements.

Chaque groupe peut disposer de privilèges de sécurité distincts. Un groupe Issue Manager détermine également où les incidents signalés par les membres du groupe entrent dans le workflow. Le groupe d'un utilisateur détermine ce qu'il peut faire dans Issue Manager et affecte la façon dont les incidents signalés par l'utilisateur sont routés.

La base de données exemple fournit les groupes par défaut suivants :
  • Entreprise
  • Développement
  • Documentation
  • Assurance qualité
  • Gestion R&D
  • Support technique

Tous les utilisateurs de Issue Manager doivent être affectés à un groupe, indépendamment des tâches qu'ils effectuent. Un utilisateur ne peut être affecté qu'à un seul groupe à la fois.

Les groupes doivent être définis avant les boîtes de réception et les comptes d'utilisateurs, car chaque boîte de réception et chaque utilisateur doivent être associés à un groupe.

Remarque : Les groupes sont créés, modifiés et supprimés dans l'onglet Groupes de la page Administration > Gestion des Utilisateurs, tandis que les paramètres de groupe spécifiques pour Issue Manager sont configurés dans Incidents > Configuration > Groupes.
  • Propriétés des groupes
    Décrit les propriétés des groupes dans Issue Manager.
Sujet parent : Administration de Issue Manager
Concepts associés
Configuration des comptes utilisateurs


Propriétés des groupes

Les groupes sont dotés d'un certain nombre de propriétés. Les informations élémentaires des groupes, par exemple le nom d'un groupe, sont indiquées dans l'onglet Groupes dans Administration > Gestion des Utilisateurs. Les paramètres de groupe spécifiques à Issue Manager, par exemple les états initiaux d'incident et certains privilèges de sécurité, sont indiqués dans l'onglet Groupes dans Incidents > Configuration.

Remarque : Vous devez créer un groupe avant de pouvoir modifier les paramètres de groupe spécifiques à Issue Manager.
  • Informations sur les groupes
    Énumère les propriétés que vous pouvez définir pour un groupe dans Administration > Gestion des Utilisateurs.
  • État initial d'incident
    Décrit l'état initial de l'incident pour un groupe.
  • Paramètres de sécurité des groupes
    Décrit les paramètres de sécurité associés aux groupes.
Sujet parent : Configuration des groupes
Concepts associés
Propriétés des comptes utilisateurs


Informations sur les groupes

Le tableau suivant énumère les propriétés que vous pouvez définir pour un groupe dans Administration > Gestion des Utilisateurs :
Propriété | Description
Name | Nom obligatoire et unique pour un groupe, par exemple Documentation. Peut contenir jusqu'à 20 caractères.
Description | Optionnel : description du groupe, par exemple la documentation produit toutes les publications techniques, y compris les manuels et les notes de release. Peut contenir jusqu'à 80 caractères.
Account and Role Assignment | Les utilisateurs doivent disposer de certains rôles.
Project Assignment | Un groupe doit être assigné à un projet au moins. Les utilisateurs assignés à un groupe ont uniquement accès aux projets assignés au groupe correspondant.
Sujet parent : Propriétés des groupes


État initial d'incident

L'état initial d'incident est le premier état assigné à une anomalie, une évolution ou un incident de documentation lorsqu'il est soumis par un membre d'un groupe donné. Différents groupes peuvent avoir des états initiaux différents pour le même type d'incident. En outre, au sein d'un groupe, chaque type d'incident, anomalie, évolution et incident de documentation peut avoir un état initial qui lui est propre.

Vous pouvez par exemple assigner l'état initial de Prêt pour Dév à une anomalie logicielle soumise par des membres du groupe de développement, partant de l'hypothèse que les développeurs sont capables d'évaluer correctement qu'il s'agit d'une anomalie logicielle. Dans d'autres cas, vous pouvez assigner l'état initial de Non Vérifié à une anomalie logicielle soumise par des membres du groupe Entreprise, en supposant que la nouvelle anomalie doit d'abord être validée en tant que telle avant de la faire suivre pour correction au Développement.

Issue Manager fournit un certain nombre d'états par défaut parmi lesquels choisir. Vous pouvez également créer vos propres états d'incidents avant de définir les groupes de votre organisation.

Même si les états initiaux d'incident s'appliquent à tout membre du groupe, vous pouvez remplacer explicitement des paramètres pour un utilisateur donné.

Sujet parent : Propriétés des groupes
Concepts associés
Configuration des comptes utilisateurs
Personnalisation des workflows
État initial d'incident


Paramètres de sécurité des groupes

Les privilèges de sécurité établissent les activités réalisables par tous les utilisateurs d'un groupe. Vous pouvez assigner des privilèges supplémentaires à un utilisateur donné d'un groupe en modifiant le compte dudit utilisateur, mais vous ne pouvez pas retirer des privilèges accordés au groupe de l'utilisateur.

Pour assigner des privilèges de sécurité à un groupe, cliquez sur Définir les paramètres de groupe dans Incidents > Configuration > Groupes. Cochez la case pour assigner le privilège correspondant au groupe. Pour accorder des privilèges de superutilisateur à un groupe, cochez toutes les cases.

Le tableau suivant répertorie tous les privilèges qui permettent aux membres d'un groupe de réaliser des tâche de personnalisation spécifiques :
Case à cocher | Description
Groupes, boîtes de réception et comptes utilisateurs | Créez et modifiez des groupes, des boîtes de réception et des comptes utilisateurs, y compris les privilèges de sécurité.
Applications | Créez et modifiez des applications, des releases, des plates-formes et des composants. Modifiez la liste des Plates-formes et d'autres listes.
Règles de routage | Définissez l'itinéraire d'un incident depuis une boîte de réception vers la suivante, selon l'application, le release, la plate-forme et le composant par rapport auxquels l'incident est consigné.
Personnalisation de l'interface utilisateur | Personnalisez les champs et les onglets dans la page Suivi des incidents.
Personnalisation du workflow | Définissez les états et les actions relatives à un incident, les autorisations d'action, le texte d'aide, ainsi que l'apparence et l'utilisation des boîtes de dialogue d'action.
Règles de notification par courrier électronique et notifications globales | Définissez les règles de notification par courriel et ajoutez les notifications par courriel applicables à tous les incidents de la base de données.
Archiver les incidents | Supprime les incidents sélectionnés des incidents et des tables qui se rapportent aux incidents, puis les place en ARCHIVE avec les tables qui se rapportent à l'ARCHIVE.
Le tableau suivant répertorie les privilèges affectant le routage des incidents et les notifications de courriel :
Case à cocher | Description
Réassigner les incidents | Déplacer un incident d'une boîte de réception à une autre.
Préférences de vérification des incidents | Cochez la case pour remplacer les règles de routage normales.
Notification par courriel par incident | Ajouter des notifications par courriel à des incidents particuliers.
Ajouter/Modifier des incidents | Autorisation de saisir et de modifier des incidents.
Sujet parent : Propriétés des groupes
Concepts associés
Configuration des comptes utilisateurs
Paramètres de sécurité utilisateurs
Préférences de remplacement des règles de routage automatique


Configuration des boîtes de réception

Une boîte de réception est semblable à une boîte aux lettres. Tous les incidents ouverts et actifs adressés (assignés) à un utilisateur particulier ou à un groupe d'utilisateurs arrivent dans la boîte de réception correspondante. Il est important de ne pas confondre une boîte de réception avec un compte utilisateur. Les incidents sont toujours assignés à des boîtes de réception, et non pas à des utilisateurs spécifiques.

Remarque : Les incidents archivés n'apparaissent pas dans des boîtes de réception.

Comment les incidents sont-ils routés vers les boîtes de réception ?

Les règles de routage de Issue Manager distribuent automatiquement les incidents dans les boîtes de réception appropriées. Un incident reste dans une boîte de réception jusqu'à ce qu'un utilisateur agisse sur lui, par exemple lorsqu'un développeur corrige une anomalie. Ensuite, Issue Manager distribue automatiquement l'incident dans la boîte de réception suivante, en fonction du workflow et des règles de routage. Enfin, lorsqu'un incident est fermé, Issue Manager le supprime de la dernière boîte de réception.

Un incident peut également être routé vers une autre boîte de réception quand un utilisateur disposant du privilège de sécurité Réassigner les incidents réassigne manuellement l'incident à cette autre boîte de réception.

Quels utilisateurs ont besoin de boîtes de réception ?

Les utilisateurs qui agissent sur les incidents doivent avoir une boîte de réception. Les développeurs, les ingénieurs QA et les rédacteurs techniques entrent dans cette catégorie. Les utilisateurs qui ne font que signaler ou consulter des anomalies n'ont pas besoin de boîte de réception. Le personnel du support technique qui signale régulièrement des anomalies trouvées par les clients, mais qui n'agit pas sur ces dernières, peut entrer dans cette catégorie.

De combien de boîtes de réception un utilisateur a-t-il besoin ?

Un utilisateur peut disposer de plusieurs boîtes de réception. Par exemple, un développeur peut souhaiter disposer de boîtes de réception distinctes pour des rapports d'anomalies provenant de deux applications différentes. Dans ce cas, vous pouvez configurer deux boîtes de réception : Dan - Dev (Product A) et Dan - Dev (Product B).

Boîtes de réception individuelles et boîtes de réception de groupe

Vous pouvez configurer des boîtes de réception pour des utilisateurs individuels, pour des groupes d'utilisateurs ou pour des sous-ensembles d'incidents. Par exemple, les ingénieurs QA Sarah et Mike peuvent être responsables de la vérification des corrections d'anomalies pour des applications différentes. Dans ce cas, vous pouvez configurer deux boîtes de réception : Sarah - QA et Mike - QA.

Les utilisateurs peuvent également partager des boîtes de réception. Par exemple, un groupe de responsables d'application pourrait avoir besoin d'une seule boîte de réception vers laquelle toutes les évolutions seraient canalisées ; périodiquement, tout le groupe pourrait se réunir pour examiner les améliorations suggérées. Dans une telle situation, vous pourriez configurer une boîte de réception unique appelée Boîte de réception - RA.

Une boîte de réception peut également être affectée à un sous-ensemble d'incidents. Par exemple, vous pouvez souhaiter créer une boîte de réception pour tous les incidents différés de l'application C. Dans ce cas, il peut être approprié de créer une boîte de réception appelée Différés (Product C).

Assignation de la boîte de réception par défaut d'un utilisateur

Lors de la configuration d'un compte utilisateur, vous assignez une boîte de réception à ce compte. Cette boîte de réception est la boîte de réception par défaut de l'utilisateur. Un utilisateur ne peut avoir qu'une seule boîte de réception par défaut.

Consultation des boîtes de réception

Vous pouvez consulter votre boîte de réception par défaut en sélectionnant Incidents > Suivi d'Incidents. Si la boîte de réception par défaut ne s'affiche pas, cliquez sur Ma Boîte de Réception dans la barre d'outils.

Pour consulter une autre boîte de réception, sélectionnez-la dans la zone de liste Boîte de Réception. Chaque utilisateur peut consulter toutes les boîtes de réception. Toutefois, seul un utilisateur disposant des privilèges et autorisations appropriés peut agir sur un incident ou le réassigner.

Affichage système par défaut

Issue Manager fournit un affichage par défaut initial des boîtes de réception pour tous les utilisateurs. Vous pouvez personnaliser l'affichage par défaut des boîtes de réception pour tous les utilisateurs.

  • Ajout d'une boîte de réception
    Ajoutez une boîte de réception à un utilisateur afin de lui assigner des incidents.
  • Modification d'une boîte de réception
    Modifiez une boîte de réception pour l'adapter aux rôles utilisateur modifiés.
  • Suppression d'une boîte de réception
    Supprimez une boîte de réception si elle ne contient aucun incident, n'est pas référencée dans les règles de routage et n'est pas la boîte de réception par défaut d'un utilisateur.
  • Configuration de l'affichage initial par défaut des boîtes de réception
    Décrit comment configurer l'affichage initial par défaut des boîtes de réception d'Issue Manager.
Sujet parent : Administration de Issue Manager
Concepts associés
Configuration des comptes utilisateurs


Ajout d'une boîte de réception

Vous devez ajouter au moins une boîte de réception pour chacun des utilisateurs intervenant sur ces incidents.

Remarque : Le privilège de sécurité Groupes, boîtes de réception et comptes utilisateurs est requis pour pouvoir ajouter, modifier ou supprimer des boîtes de réception.

pour ajouter une boîte de réception :

  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Boîtes de réception. La page Boîtes de réception s'affiche.
  3. Cliquez sur Ajouter une boîte de réception. La boîte de dialogue Paramètres de boîte de réception s'ouvre.
  4. Nommez la nouvelle boîte de réception dans le champ Nom.
    Chaque boîte de réception doit posséder un nom unique pouvant comporter jusqu'à 50 caractères. Voici quelques exemples de noms de boîte de réception :
    • Dave (Dev)
    • PM Inbox
    • Jesse - Doc
    • Dan - Dev (Product A)
    • Dan - Dev (Product B)
    Les noms des boîtes de réception des utilisateurs peuvent avoir le format de votre choix, mais vous devez respecter ce format de manière cohérente. Voici quelques exemples de formats :
    • utilisateur (groupe)
    • utilisateur - groupe
    • utilisateur - groupe (Nom-de-produit)
    • user
    Les boîtes de réception des groupes doivent également respecter un format cohérent, par exemple l'un des formats suivants :
    • groupe
    • Groupe (Nom-de-produit)

    Les caractères spéciaux ne sont pas autorisés. Les noms des boîtes de réception sont affichés par ordre de tri des caractères ASCII (lettres majuscules en premier) sur la page Boîtes de réception.

  5. Dans la zone de liste Groupe, sélectionnez le groupe associé à cette boîte de réception. En fonction de cette association, Issue Manager aide les utilisateurs à réassigner les incidents de manière sélective. Par exemple, supposons que Denise, qui fait partie du groupe Documentation, réassigne un incident dans sa boîte de réception. Issue Manager ouvre la boîte de dialogue Réassignation d'incident avec Documentation comme groupe par défaut. Denise peut alors sélectionner un autre membre du groupe Documentation dans la liste Nouvelle boîte de réception sans être contrainte de passer en revue toute la liste des boîtes de réception.
  6. Facultatif : saisissez une description de la boîte de réception dans le champ Description. Cette description peut comporter jusqu'à 80 caractères maximum. Par exemple Boîte de réception de David Hanson ou boîte de réception de dhart pour les incidents liés au Produit B.
  7. La case Est actif est cochée par défaut.
    Remarque : Si la boîte de réception est utilisée dans les règles de routage, vous ne pouvez pas décocher la case Est actif.
  8. Cliquez sur OK pour créer la nouvelle boîte de réception.
Sujet parent : Configuration des boîtes de réception


Modification d'une boîte de réception

Remarque : Le privilège de sécurité Groupes, boîtes de réception et comptes utilisateurs est requis pour pouvoir ajouter, modifier ou supprimer des boîtes de réception.

Pour modifier une boîte de réception :

  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Boîtes de réception. La page Boîtes de réception s'affiche.
  3. Cliquez sur le nom de la boîte de réception que vous souhaitez modifier. La boîte de dialogue Paramètres de Boîte de Réception s'ouvre.
  4. Modifiez le nom de la boîte de réception.
  5. Sélectionnez un groupe différent dans la zone de liste Groupe.
  6. Modifiez la description de la boîte de réception.
  7. Cochez ou décochez la case Est actif.
    Remarque : Si la boîte de réception est utilisée dans les règles de routage, vous ne pouvez pas décocher la case Est actif.
  8. Cliquez sur OK pour enregistrer vos modifications.
Sujet parent : Configuration des boîtes de réception


Suppression d'une boîte de réception

Vous ne pouvez supprimer une boîte de réception que si elle ne contient aucun incident, n'est pas référencée dans les règles de routage et n'est pas la boîte de réception par défaut d'un utilisateur. Avant toute tentative de suppression d'une boîte de réception, modifiez les règles de routage afin d'empêcher que de nouveaux incidents soient routés vers la boîte de réception, puis réassignez les incidents existants de la boîte de réception.

Remarque : Le privilège de sécurité Groupes, boîtes de réception et comptes utilisateurs est requis pour pouvoir ajouter, modifier ou supprimer des boîtes de réception.

Pour supprimer une boîte de réception :

  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Boîtes de réception. La page Boîtes de réception s'affiche.
  3. Dans la colonne Actions de la boîte de réception que vous souhaitez supprimer, cliquez sur [image]. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui pour supprimer la boîte de réception du système.
Sujet parent : Configuration des boîtes de réception
Sujet parent : Configuration des règles de notification par courriel


Configuration de l'affichage initial par défaut des boîtes de réception

Lorsque vous installez Issue Manager, l'affichage initial par défaut des boîtes de réception se compose des huit colonnes suivantes :
  • Sévérité
  • Incident#
  • Application
  • Composant
  • Release
  • Synoptique
  • Créé Par
  • Modifié Par
Vous pouvez effectuer les actions de personnalisation suivantes sur l'affichage par défaut initial des boîtes de réception pour tous les utilisateurs :
  • Ajouter ou supprimer des colonnes.
  • Modifier le libellé d'une colonne.
  • Changer l'ordre de tri d'une colonne.

Chaque utilisateur peut créer un affichage initial personnalisé des boîtes de réception.

  • Modification de la vue de boîte de réception par défaut
    Modifiez la vue initiale par défaut de la boîte de réception pour changer les colonnes affichées.
Sujet parent : Configuration des boîtes de réception


Modification de la vue de boîte de réception par défaut

Remarque : Le privilège de sécurité Groupes, boîtes de réception et comptes utilisateurs est requis pour pouvoir ajouter, modifier ou supprimer des boîtes de réception.
Pour modifier la vue initiale par défaut de la boîte de réception :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Vues de boîte de réception. La page Vues de boîte de réception s'affiche. Cette page affiche tous les champs que vous pouvez choisir d'afficher dans une vue de boîte de réception. La plupart des champs peuvent sont identifiables à partir de la page Détails de l'incident. D'autres, par exemple NumHistory, NumCases, NumAttaches, NumTestcases et NumNotify correspondent respectivement au nombre d'entrées présentes dans les pages Historique, Clients, Pièces jointes, Cas de tests et Notifications de la page Détails de l'incident. La page Vues de boîte de réception affiche également le schéma, ou Nom du champ de base de données, de chaque colonne.
  3. Dans la zone de liste Vue de l'utilisateur, sélectionnez Système par défaut. Pour mettre à jour la vue de la boîte de réception des autres utilisateurs, sélectionnez plutôt l'utilisateur correspondant.
  4. Pour ajouter une colonne à la boîte de réception, cliquez sur Select Column qui correspond à la colonne dans la Liste des champs disponibles.
  5. Pour supprimer une colonne à la boîte de réception, cliquez sur Deselect Column qui correspond à la colonne dans la liste des champs disponibles.
  6. Pour modifier le libellé d'une colonne et l'ordre de tri, suivez les étapes ci-dessous :
    1. Cliquez sur le nom de la colonne de la boîte de réception dans la colonne Libellé de la colonne de la boîte de réception. La boîte de dialogue Propriétés de la colonne de la boîte de réception s'ouvre.
    2. Saisissez un nouveau libellé pour la colonne dans le champ Libellé de la colonne de la boîte de réception.
    3. Cliquez sur la case d'option approprié pour modifier l'ordre de tri.
    4. Cliquez sur OK.
  7. Pour déplacer une colonne vers la gauche de la boîte de réception, cliquez sur Move Up. Pour déplacer une colonne vers la droite de la boîte de réception, cliquez sur Move Down.
  8. Cliquez sur Vue de boîte de réception pour revenir à la page Suivi des incidents.
    Remarque : Si vous avez mis à jour la vue de boîte de réception par défaut du système ou la vue d'un autre utilisateur, les modifications sont appliquées lorsque les utilisateurs respectifs se déconnectent et se reconnectent.
Sujet parent : Configuration de l'affichage initial par défaut des boîtes de réception


Configuration des comptes utilisateurs

Un compte utilisateur englobe un ensemble d'informations relatives à un utilisateur donné. Chaque utilisateur est assigné à un groupe et, si l'utilisateur agit sur les incidents, à une boîte de réception. Il est possible de protéger un compte utilisateur au moyen d'un mot de passe. Tout utilisateur se connectant au système a besoin d'un compte utilisateur pour signaler un incident, agir sur un incident ou simplement explorer son contenu.

Remarque : Vous pouvez créer, modifier ou supprimer des comptes utilisateurs dans l'onglet Comptes, sous Administration > Gestion des utilisateurs.

Les utilisateurs héritent des privilèges de sécurité et des états d'incident initiaux du groupe auquel ils appartiennent. Pour octroyer à un utilisateur individuel des privilèges avancés ou pour modifier les états d'incident initiaux, vous devez modifier le compte de cet utilisateur. Les privilèges définis par un paramètre de groupe sont impossibles à supprimer. Les SuperUtilisateurs, administrateurs ou chefs de projet détiennent toujours l'ensemble des privilèges, que l'utilisateur soit ou non membre d'un groupe disposant de privilèges inférieurs. Pour configurer ces paramètres, utilisez l'onglet Comptes utilisateurs sous Incidents > Configuration.

Remarque : Pour pouvoir configurer des comptes utilisateurs, vous devez avoir défini des groupes et des boîtes de réception.
  • Propriétés des comptes utilisateurs
    Décrit les propriétés des comptes utilisateurs relatives aux incidents.
  • État initial d'incident
    Décrit l'état initial de l'incident pour un utilisateur.
  • Paramètres de sécurité utilisateurs
    Décrit les paramètres de sécurité des comptes utilisateurs.
  • Modification d'un compte utilisateur
    Modifiez un compte utilisateur afin de changer les privilèges de sécurité de l'utilisateur.
Sujet parent : Administration de Issue Manager
Concepts associés
Tâches administratives courantes


Propriétés des comptes utilisateurs

Les propriétés des comptes utilisateurs relatives aux incidents sont spécifiées dans l'onglet Comptes Utilisateurs de la page Incidents > Configuration.

Remarque : Avant de pouvoir consulter ou modifier les propriétés des comptes relatives aux incidents, vous devez créer un compte utilisateur.

Cliquez sur le nom d'un utilisateur dans l'onglet Comptes Utilisateurs pour modifier les propriétés du compte relatives aux incidents.

Le tableau suivant répertorie les propriétés des comptes relatives aux incidents :
Propriété | Description
Login | Nom de connexion unique obligatoire pour un utilisateur. Ce nom peut contenir jusqu'à 30 caractères. Les caractères spéciaux ne sont pas autorisés. Remarque : Vous ne pouvez pas modifier le nom de connexion dans Issue Manager.
Inbox | Boîte de réception par défaut de l'utilisateur. Vous pouvez sélectionner une autre boîte de réception par défaut pour l'utilisateur dans la zone de liste Boîte de Réception.
Setting Group | Obligatoire. Groupe auquel l'utilisateur appartient. Lorsque vous sélectionnez un groupe dans la zone de liste Définition de Groupe, Issue Manager assigne automatiquement à l'utilisateur les valeurs par défaut du groupe pour les états d'incident initiaux ainsi que les paramètres de sécurité du groupe.
Sujet parent : Configuration des comptes utilisateurs
Concepts associés
Propriétés des groupes


État initial d'incident

L'état initial d'incident est le premier état assigné à une anomalie, une évolution ou un incident de documentation lorsqu'il est soumis par un utilisateur. Les valeurs par défaut sont les valeurs par défaut du groupe, qui sont les valeurs assignées au groupe auquel l'utilisateur appartient.

Vous voudrez probablement modifier les états initiaux d'incident par défaut pour un compte d'utilisateur si, par exemple, les compétences techniques dudit utilisateur sont supérieures. Par exemple, un responsable qui a des compétences techniques peut faire partie d'un groupe de responsables non techniques. Vous voudrez peut-être que les anomalies que cet utilisateur signale entrent dans Issue Manager à une étape ultérieure du workflow.

Sujet parent : Configuration des comptes utilisateurs
Concepts associés
État initial d'incident


Paramètres de sécurité utilisateurs

Les privilèges de sécurité déterminent les actions qu'un utilisateur peut effectuer. Les privilèges de sécurité par défaut d'un utilisateur sont ceux du groupe auquel il appartient. Vous pouvez assigner des privilèges supplémentaires à un utilisateur donné d'un groupe en modifiant le compte dudit utilisateur, mais vous ne pouvez pas retirer des privilèges accordés au groupe de l'utilisateur. Les privilèges de sécurité par défaut sont en lecture seule.

Pour attribuer des privilèges de sécurité à un compte utilisateur, cliquez sur le nom de l'utilisateur dans Issues > Configuration > Comptes utilisateurs. Cochez la case appropriée pour attribuer le privilège correspondant à l'utilisateur.

Le tableau suivant répertorie les privilèges permettant aux utilisateurs d'effectuer des tâches de personnalisation spécifiques :
Case à cocher | Description
Groupes, boîtes de réception et comptes utilisateurs | Créez et modifiez des groupes, des boîtes de réception et des comptes utilisateurs, y compris les privilèges de sécurité.
Applications | Créez et modifiez des applications, des releases, des plates-formes et des composants. Modifiez la liste des Plates-formes et d'autres listes.
Règles de routage | Définissez l'itinéraire d'un incident depuis une boîte de réception vers la suivante, selon l'application, le release, la plate-forme et le composant par rapport auxquels l'incident est consigné.
Personnalisation de l'interface utilisateur | Personnalisez les champs et les onglets dans la page Suivi des incidents.
Personnalisation du workflow | Définissez les états et les actions relatives à un incident, les autorisations d'action, le texte d'aide, ainsi que l'apparence et l'utilisation des boîtes de dialogue d'action.
Règles de notification par courrier électronique et notifications globales | Définissez les règles de notification par courriel et ajoutez les notifications par courriel applicables à tous les incidents de la base de données.
Archiver les incidents | Supprime les incidents sélectionnés des incidents et des tables qui se rapportent aux incidents, puis les place en ARCHIVE avec les tables qui se rapportent à l'ARCHIVE.
Le tableau suivant répertorie les privilèges affectant le routage des incidents et les notifications de courriel :
Case à cocher | Description
Réassigner les incidents | Déplacer un incident d'une boîte de réception à une autre.
Préférences de vérification des incidents | Cochez la case pour remplacer les règles de routage normales.
Notification par courriel par incident | Ajouter des notifications par courriel à des incidents particuliers.
Ajouter/Modifier des incidents | Autorisation de saisir et de modifier des incidents.
Sujet parent : Configuration des comptes utilisateurs
Concepts associés
Paramètres de sécurité des groupes


Modification d'un compte utilisateur

Remarque : Vous devez disposer du privilège de sécurité Groupes, boîtes de réception et comptes utilisateurs pour modifier les comptes utilisateur.
Pour modifier les privilèges de sécurité et les états initiaux d'incident d'un compte utilisateur :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Comptes utilisateurs. La page Comptes utilisateurs s'affiche.
  3. Cliquez sur le nom de l'utilisateur pour lequel vous voulez modifier les privilèges de sécurité. La boîte de dialogue Paramètres Utilisateur s'ouvre.
  4. Modifiez les privilèges de sécurité de l'utilisateur et les états initiaux d'incident.
  5. Cliquez sur OK pour enregistrer vos modifications ou cliquez sur Annuler pour quitter sans effectuer de modifications.
Sujet parent : Configuration des comptes utilisateurs
Concepts associés
Paramètres de sécurité utilisateurs
État initial d'incident


Définir des paramètres d'application

En plus de la réalisation du suivi des incidents pour des applications spécifiques, Issue Manager effectue également le suivi :
  • De versions spécifiques d'applications.
  • De plates-formes spécifiques auxquelles les versions d'applications sont associées.
  • De composants d'applications spécifiques.

Les équipes d'applications comportent souvent plusieurs personnes écrivant du code pour une application donnée. Issue Manager vous permet de lier des applications et des composants à des boîtes de réception spécifiques. En outre, Issue Manager affecte automatiquement de nouveaux incidents aux développeurs appropriés en fonction de l'application, du composant, de la release et de la plate-forme.

Remarque : Vous pouvez créer et modifier des applications, des composants, des versions, des builds et des plates-formes dans l'unité Administration de Silk Central. Les seules propriétés que vous pouvez configurer par l'intermédiaire de Issue Manager sont les paramètres de boîte de réception des applications.
C'est à vous de définir comment vous voulez distinguer les applications des composants. Une application dans une organisation peut être définie comme un composant dans une autre. Les définitions de base suivantes peuvent vous aider :
Application
Une application est un logiciel qui peut être exécuté séparément des autres logiciels qui ont pu être livrés avec. Il peut être vendu séparément si nécessaire. Dans une application, le programme exécutable est distinct de la base du code. Une application peut comporter plusieurs composants.
Composant
Un composant est une zone fonctionnelle d'une application. Un composant ne peut pas être vendu séparément et les utilisateurs n'envisagent pas un composant comme une application distincte. Une application peut être associée à un ou plusieurs composants.
Release
Une release est une version spécifique ou un build spécifique d'un logiciel d'une application spécifique. Une release peut être un build de développement interne ou un build qui est expédié aux clients. Plusieurs releases peuvent être associées à une application. Une release spécifique d'une application peut être disponible sur plusieurs plates-formes.
Plate-forme
Une plate-forme est un environnement sur lequel une application s'exécute. Une plate-forme comporte une combinaison de n'importe lequel des éléments suivants :
  • Matériel.
  • Système d'exploitation, par exemple Microsoft Windows.
  • Release du système d'exploitation, par exemple 8.1.
De nombreuses valeurs qui sont définies pour les applications, les releases, les plates-formes et les composants s'affichent sur la page Applications dans Incidents > Configuration > Applications.
  • Définition des paramètres de boîte de réception pour un projet
    Définissez les paramètres de boîte de réception pour un projet spécifique afin de définir les boîtes de réception vers lesquelles les incidents doivent être routés.
  • Suppression d'une application
    Supprimez une application dans Issue Manager pour la détacher du projet sélectionné.
Sujet parent : Administration de Issue Manager
Concepts associés
Configuration des règles de routage


Définition des paramètres de boîte de réception pour un projet

Pour définir les paramètres de boîte de réception pour des projets spécifiques dans Issue Manager :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Applications. La page Applications s'affiche.
  3. Cliquez sur Définir les paramètres de l'application. La boîte de dialogue Paramètres d'application s'ouvre.
  4. Dans la zone de liste Application, sélectionnez l'application pour laquelle vous souhaitez définir les paramètres de boîte de réception.
    Remarque : En cliquant sur le nom d'une application qui a déjà été assignée à un incident dans la page Applications, vous pouvez ignorer cette étape.
  5. Dans la zone de liste QA-boîte de réception, sélectionnez la boîte de réception prédéfinie vers laquelle un incident assigné à QA et défini avec l'application donnée doit être routé.
  6. Dans la zone de liste Dev-boîte de réception, sélectionnez la boîte de réception prédéfinie vers laquelle un incident assigné au développement et défini avec l'application donnée doit être routé.
  7. Dans la zone de liste Evol-boîte de réception, sélectionnez la boîte de réception prédéfinie vers laquelle un incident de requête d'évolution qui est défini avec l'application donnée doit être routé.
  8. Dans la zone de liste Doc-boîte de réception, sélectionnez la boîte de réception prédéfinie vers laquelle un incident assigné à la documentation et défini avec l'application actuelle doit être routé.
  9. Cliquez sur OK.
Sujet parent : Définir des paramètres d'application


Suppression d'une application

La suppression d'une application dans Issue Manager ne supprime pas réellement l'application du référentiel mais plutôt détache l'application du projet sélectionné, de sorte que l'application n'est plus accessible depuis Issue Manager.
Remarque : Vous ne pouvez supprimer une application que si aucun incident n'a été entré pour cette application.

Pour supprimer une application du projet actif :

  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Applications. La page Applications s'affiche.
  3. Dans la colonne Actions de l'application que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui pour confirmer la suppression.
Sujet parent : Définir des paramètres d'application


Configuration des règles de routage

Issue Manager s'appuie sur des règles de routage, sur l'état de chaque incident à l'instant considéré et sur les propriétaires correspondants de cet état pour déterminer les boîtes de réception vers lesquelles les incidents doivent être routés au cours de leur cycle de vie. Ce mécanisme de routage sophistiqué remplace ce qui serait autrement une tâche fastidieuse pour des personnes chargées de répartir les incidents.

L'état d'un incident reflète sa situation à un instant donné. Un certain nombre d'états sont fournis dans le workflow par défaut d'Issue Manager. Le propriétaire de l'état est le rôle, dans votre organisation, qui a la responsabilité d'agir sur un incident se trouvant dans un certain état.

Voici des exemples d'états d'incidents et de leurs propriétaires dans le workflow par défaut :
Non Vérifié
Quelqu'un doit déterminer si cet incident est vraiment une anomalie ou une erreur de documentation. Habituellement, ce rôle est tenu par un ingénieur QA.
Prêt pour Dév
Le code est prêt à être pris en compte. Ce rôle est généralement détenu par un développeur.
Prêt pour QA
Quelqu'un doit vérifier que le bug a effectivement été corrigé. Ce rôle est habituellement détenu par un ingénieur QA.

Différents incidents de même type peuvent entrer dans le workflow dans différents états, en fonction de qui les soumet. Le routage est affecté en conséquence. Par exemple, un incident soumis par un développeur entre dans le workflow dans l'état Prêt pour Dév, il est donc routé vers la boîte de réception d'un développeur. Un incident soumis par un utilisateur de l'entreprise entre dans le workflow dans l'état Non Vérifié, il est donc routé vers la boîte de réception d'un ingénieur QA. L'état initial d'incident, ainsi nommé, est défini dans les paramètres de groupe.

Un incident passe d'un état à un autre dans le workflow quand un utilisateur agit sur cet incident. Par exemple, lorsqu'un ingénieur QA confirme qu'un incident signalé non vérifié est bien une anomalie, ce dernier passe de l'état Non Vérifié à l'état Prêt pour Dév. Ici, l'objectif principal de l'emploi de la logique de routage est de garantir qu'une fois que l'incident est considéré comme une anomalie par l'ingénieur QA, il passe de sa boîte de réception à celle du développeur concerné sans qu'il soit nécessaire d'intervenir manuellement.

  • Règles de routage
    Décrit les règles servant de base au routage des incidents.
  • Spécification des règles de routage
    Décrit comment spécifier des règles de routage.
  • Ajout de règles de routage
    Ajoutez des règles de routage pour définir de quelle manière les incidents sont distribués.
  • Modification des règles de routage
    Modifiez une règle de routage existante afin de changer la manière dont les incidents sont distribués.
  • Suppression des règles de routage
    Supprimez une règle de routage en vue de modifier la manière dont les incidents sont distribués.
  • Réorganisation des règles de routage
    Réorganisez les règles de routage pour en changer l'ordre.
  • Préférences de remplacement des règles de routage automatique
    Indique comment vous pouvez autoriser des utilisateurs individuellement ou des groupes entiers à remplacer les règles de routage normal à des fins de vérification d'incidents dans votre entreprise.
Sujet parent : Administration de Issue Manager
Concepts associés
Personnalisation des workflows
Configuration des groupes


Règles de routage

Le routage des incidents est basé sur des règles que vous définissez pour une application et les releases, plates-formes et composants associés. Ce mécanisme à base de règles offre un contrôle précis sur la répartition des incidents car leur routage repose en partie sur une combinaison des critères suivants :
  • Application
  • Composant
  • Release
  • Plate-forme
  • État de l'incident
  • Propriétaire de l'état
Vous devez assigner les quatre boîtes de réception suivantes pour chaque ensemble de critères :
  • Une boîte de réception pour la vérification des incidents, généralement une boîte de réception QA.
  • Une boîte de réception pour la correction des incidents, généralement une boîte de réception Développement.
  • Une boîte de réception pour les problèmes de documentation, généralement une boîte de réception Documentation.
  • Une boîte de réception pour les demandes d'évolution, généralement une boîte de réception de responsable d'application.

Exemple

Toutes les anomalies de l'Application A relatives au composant Programme d'installation et associées à la plate-forme Motif peuvent être routées vers un ensemble de boîte de réception, tandis que toutes les anomalies de l'Application A relatives au composant Programme d'installation pour la plate-forme Windows peuvent être routées vers d'autres boîtes de réception.

Routage par défaut

En plus des règles de routages particulières, Issue Manager requiert la définition d'une règle de routage pour l'application dans son ensemble, c'est à dire un routage par défaut. Avec le routage par défaut, les incidents concernant tous les composants, releases et plates-formes d'une application spécifique sont routés vers un ensemble déterminé de boîtes de réception.

Chaque boîte de réception couvre l'un des domaines suivants :
  • QA
  • Développement
  • Documentation
  • Demandes d'évolution
Par exemple, toutes les demandes d'évolution pour l'Application X sont dirigées vers la boîte de réception de demande d'évolution que vous assignez, pour tous les composants, plates-formes ou releases.

Issue Manager utilise la règle de routage par défaut uniquement lorsqu'il n'y a pas d'autres règles ou qu'elles sont inapplicables. Autrement dit, les règles de routage par défaut s'appliquent uniquement lorsque les règles particulières ne correspondent pas ou n'ont pas été spécifiées.

Le routage par défaut est configuré pendant l'installation de l'application Issue Manager.

Analyse des processus de votre organisation

Analysez la répartition du travail dans votre organisation. Passez en revue votre liste d'applications, de releases et de plates-formes et considérez chacun des composants par rapport à cette liste. Posez-vous des questions telles que :

Pour ce composant dans cette release sur cette plate-forme, qui, c'est à dire quelle boîte de réception, est responsable pour chaque action, par exemple, vérification, correction, etc. ?
Ensuite, définissez autant de règles que nécessaires pour les différentes combinaisons des quatre critères suivants :
  • Application
  • Release
  • Plate-forme
  • Composant
Sujet parent : Configuration des règles de routage
Tâches associées
Ajout de règles de routage
Modification des règles de routage


Spécification des règles de routage

Les règles sont saisies dans la page Règles de routage, se trouvant dans Incidents > Configuration > Règles de routage.

Remarque : La boîte de dialogue Nouvelle règle de routage se présente sous une forme si-alors. Si incident correspond à des conditions particulières en termes de release, plate-forme, composant et type, il est alors routé vers l'une des quatre boîtes de réception spécifiées. Le choix de l'une de ces quatre boîtes de réception est déterminé par l'état et le propriétaire de l'incident.

Le caractère générique %

Le signe pourcentage (%) dans les champs Release, Plate-forme et Composant de la boîte de dialogue Nouvelle règle de routage sert de caractère générique correspondant à tous les autres caractères. Utiliser le signe pourcentage seul dans les trois champs est équivalent au routage par défaut : tout est routé vers les quatre boîtes de réception spécifiées dans la boîte de dialogue, indépendamment des valeurs de release, plate-forme et de composant.

Conseil : Vous devez spécifier les noms de release, de composant et de plate-forme de façon cohérente pour tirer parti des caractères génériques.

Une fois qu'une règle est enregistrée, elle est ajoutée dans la page Règle de Routage. Cette page est essentiellement une table de routage pour un produit particulier. Vous pouvez sélectionner d'autres applications dans la zone de liste Application en haut de la page.

L'ordre des règles est essentiel

L'ordre des règles pour un composant est essentiel. Issue Manager route les incidents en évaluant leur état, par exemple Non Vérifié, vis à vis de chaque règle de la table, dans l'ordre. Dès que Issue Manager trouve une correspondance, il exécute la règle. S'il n'y a aucune correspondance, il route l'incident selon les règles par défaut. Les règles de routage par défaut sont appliquées uniquement après que toutes les autres règles pour une application donnée aient été appliquées.

Exemple

Release 4.% dans le champ Release correspond aux valeurs de release 4.0, 4.1, 4.1.1, etc.

Exemple : comment lire une règle de routage

Par exemple, envoyer les incidents concernant Product A, pour toutes les releases et toutes les plates-formes, dans la boîte de réception Sonja - Dev lorsqu'ils sont prêts pour le développement, dans la boîte de réception Mike - QA lorsqu'ils sont prêts pour QA, dans la boîte de réception de demande d'évolution de l'application A Dan -- Dev (Product A) s'il s'agit de demandes d'évolution et dans la boîte de réception Judy -Doc si ce sont des problèmes de documentation concernant le composant Montrez-moi.

Sujet parent : Configuration des règles de routage
Concepts associés
Propriétaire de l'état


Ajout de règles de routage

Pour ajouter une règle de routage :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Applications. La page Applications s'affiche.
  3. Dans la zone de liste Application, sélectionnez l'application pour laquelle vous voulez configurer une règle de routage.
  4. Cliquez sur Nouvelle Règle de Routage. La boîte de dialogue Nouvelle Règle de Routage s'ouvre.
  5. Cliquez sur le bouton d'option correspondant pour définir si l'incident est de type ANOMALIE ou EVOLUTION (LOGICIEL) ou PB DOCUMENTATION (DOC).
  6. Sélectionnez une release prédéfinie dans la zone de liste Release. Ou saisissez une release prédéfinie dans le champ Code de correspondance spécifique. Ne sélectionnez rien, c'est à dire la ligne en pointillé, si toutes les plates-formes sont à prendre en compte.
  7. Sélectionnez une plate-forme prédéfinie dans la zone de liste Plate-forme. Ou saisissez une plate-forme prédéfinie dans le champ Code de correspondance spécifique. Ne sélectionnez rien, c'est à dire la ligne en pointillé, si toutes les plates-formes sont à prendre en compte.
  8. Sélectionnez un composant prédéfini dans la zone de liste Composant. Ou saisissez un composant prédéfini dans le champ Code de correspondance spécifique. Ne sélectionnez rien, c'est à dire la ligne en pointillé, si toutes les plates-formes sont à prendre en compte.
    Remarque : Vous devez sélectionner au moins une release, une plate-forme ou un composant. Sinon, la nouvelle règle de routage se comporterait comme la règle par défaut.
  9. Dans la zone Alors router vers ces boîtes de réception de la boîte de dialogue, sélectionnez une boîte de réception prédéfinie pour chacune des quatre catégorie de boîte de réception suivantes :
    • Boîte de réception QA
    • Boîte de réception développement
    • Boîte de réception des évolutions
    • Boîte de réception documentation
  10. Cliquez sur OK. La règle est enregistrée et ajoutée à la table de routage.
    Remarque : Si vous avez apporté des modifications à la table de routage, Issue Manager enregistre et reconfigure les règles de routage, ce qui peut prendre un certain temps.
Sujet parent : Configuration des règles de routage


Modification des règles de routage

Pour modifier une règle de routage existante :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Applications. La page Applications s'affiche.
  3. Dans la zone de liste Application, sélectionnez l'application pour laquelle vous voulez configurer une règle de routage.
  4. Dans la colonne Actions de la règle que vous souhaitez modifier, cliquez sur Edit Routing Rule. La boîte de dialogue Modifier la règle de routage s'ouvre.
  5. Cliquez sur le bouton d'option correspondant pour définir si l'incident est de type ANOMALIE ou EVOLUTION (LOGICIEL) ou PB DOCUMENTATION (DOC).
  6. Sélectionnez une release prédéfinie dans la zone de liste Release. Ou saisissez une release prédéfinie dans le champ Code de correspondance spécifique. Ne sélectionnez rien, c'est à dire la ligne en pointillé, si toutes les plates-formes sont à prendre en compte.
  7. Sélectionnez une plate-forme prédéfinie dans la zone de liste Plate-forme. Ou saisissez une plate-forme prédéfinie dans le champ Code de correspondance spécifique. Ne sélectionnez rien, c'est à dire la ligne en pointillé, si toutes les plates-formes sont à prendre en compte.
  8. Sélectionnez un composant prédéfini dans la zone de liste Composant. Ou saisissez un composant prédéfini dans le champ Code de correspondance spécifique. Ne sélectionnez rien, c'est à dire la ligne en pointillé, si toutes les plates-formes sont à prendre en compte.
    Remarque : Vous devez sélectionner au moins une release, une plate-forme ou un composant. Sinon, la nouvelle règle de routage se comporterait comme la règle par défaut.
  9. Dans la zone Alors router vers ces boîtes de réception de la boîte de dialogue, sélectionnez une boîte de réception prédéfinie pour chacune des quatre catégorie de boîte de réception suivantes :
    • Boîte de réception QA
    • Boîte de réception développement
    • Boîte de réception des évolutions
    • Boîte de réception documentation
  10. Cliquez sur OK. La règle est enregistrée et ajoutée à la table de routage.
    Remarque : Si vous avez apporté des modifications à la table de routage, Issue Manager enregistre et reconfigure les règles de routage, ce qui peut prendre un certain temps.
Sujet parent : Configuration des règles de routage


Suppression des règles de routage

Pour supprimer une règle de routage existante :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Applications. La page Applications s'affiche.
  3. Dans la zone de liste Application, sélectionnez l'application pour laquelle vous voulez configurer une règle de routage.
  4. Dans la colonne Actions de la règle que vous souhaitez supprimer, cliquez sur Supprimer la Règle de Routage. Une boîte de dialogue de confirmation Supprimer la règle de routage s'affiche.
  5. Cliquez sur Oui pour confirmer la suppression.
Sujet parent : Configuration des règles de routage


Réorganisation des règles de routage

Pour réorganiser les règles de routage :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Applications. La page Applications s'affiche.
  3. Dans la zone de liste Application, sélectionnez l'application pour laquelle vous voulez configurer une règle de routage.
  4. Dans la colonne Actions de la règle que vous voulez réorganiser, cliquez sur l'une des options suivantes :
    • Pour déplacer la règle vers le haut de la liste, cliquez sur Déplacer vers le haut.
    • Pour déplacer la règle vers le bas de la liste, cliquez sur [image].
Sujet parent : Configuration des règles de routage


Préférences de remplacement des règles de routage automatique

Vous avez la possibilité d'autoriser des utilisateurs individuellement ou des groupes entiers à remplacer les règles de routage normal dans le but de vérifier les incidents au sein de votre entreprise. Par exemple, un utilisateur peut très bien souhaiter vérifier que les incidents signalés ont été corrigés.

Pour autoriser un tel remplacement, assignez le privilège Préférences de vérification des incidents à l'utilisateur ou au groupe. Avec ce privilège de sécurité, les utilisateurs peuvent choisir l'une des trois stratégies suivantes dans Incidents > Configuration > Préférences :
Stratégie
Description
Toujours utiliser le routage normal
Routage normal de vérification. L'incident est routé vers la boîte de réception QA appropriée.
Toujours vérifier votre propre incident
Demande à Issue Manager de router les incidents soumis par les utilisateurs vers leurs propres boîtes de réception pour vérification, plutôt que de les router vers la boîte de réception QA habituelle.
Demander pour chaque nouvel incident
Demande à Issue Manager de donner aux utilisateurs le choix de remplacer la règle de routage normal à chaque fois qu'un incident est signalé.

La réassignation remplace le routage automatique

La réassignation d'un incident est une méthode de routage manuel qui permet de remplacer le mécanisme de routage automatique. Un utilisateur peut explicitement appliquer l'action Réassigner pour router un incident vers la boîte de réception d'un autre utilisateur, généralement du même groupe que le sien. Par exemple, le développeur Bill, qui est parti en vacances, peut réassigner une anomalie Prêt pour Dév à Dan, son collègue du service Développement. L'anomalie reste à l'état Prêt pour Dév, mais elle a été réassignée.

Lorsqu'un incident qui a été réassigné revient à un état antérieur dans le workflow, par exemple si Dan décidait de rejeter un correctif d'anomalie, Issue Manager mémorise la réassignation et renvoie plus tard l'incident dans la boîte de réception vers laquelle l'incident a été routé manuellement, c'est-à-dire en l'occurrence vers celle de Dan, et non dans celle vers laquelle l'incident a été routé à l'origine, c'est-à-dire celle de Bill.

Exemple

Pour apprécier à quel point le fonctionnement des réassignations est efficace, examinez l'exemple suivant : une anomalie est réassignée deux fois (une fois à l'état Prêt pour Dév et une autre fois à l'état Prêt pour QA). L'ingénieur QA rejette un correctif de cette anomalie et la renvoie de ce fait à un état antérieur dans le workflow.
  1. Une nouvelle anomalie entre dans le workflow à l'état Prêt pour Dév. Les règles de routage l'envoient automatiquement dans la boîte de réception du développeur Bill.
  2. Bill réassigne l'anomalie à la boîte de réception du développeur Dan.
  3. Dan prétend que celle-ci a été corrigée, ce qui a pour effet de la faire passer à l'état Prêt pour QA.
  4. Les règles de routage envoient automatiquement cette anomalie dans la boîte de réception de Mike, l'ingénieur QA, pour vérification.
  5. Mike la réassigne à la boîte de réception de sa collègue Sarah.
  6. Sarah rejette le correctif, ce qui a pour effet de renvoyer l'anomalie à l'état Prêt pour Dév.
  7. Issue Manager renvoie l'anomalie Prêt pour Dév dans la boîte de réception de Dan, car il est le dernier développeur à être intervenu sur l'anomalie dans cet état.
  8. Dan corrige à nouveau l'anomalie, la renvoyant ainsi à l'état Prêt pour QA.
  9. Issue Manager route à nouveau l'anomalie Prêt pour QA vers la boîte de réception de Sarah, qui est le dernier ingénieur QA à être intervenue sur l'anomalie à cet état.

Sans la fonction de routage améliorée, l'incident à l'état Prêt pour Dév (étape 7) serait routé vers la boîte de réception de Bill, qui une nouvelle fois le réassignerait à Dan. De la même façon, l'incident à l'état Prêt pour QA (étape 9) serait routé vers la boîte de réception de Mike, qui une nouvelle fois le réassignerait à Sarah.

Sujet parent : Configuration des règles de routage
Concepts associés
Paramètres de sécurité des groupes


Personnalisation de la page Détails de l'incident

Issue Manager vous permet de modifier l'apparence et le comportement des pages Nouvel incident et Détails de l'incident pour un incident existant. Par exemple, vous souhaitez peut-être rendre le libellé d'un champ plus pertinent pour votre organisation, par exemple Build au lieu de Release.

Les modifications que vous apportez aux libellés de la page Détails de l'incident sont propagées à la plupart des autres pages et boîtes de dialogues appelées par l'intermédiaire de la Personnalisation de Issue Manager.

Issue Manager permet d'apporter les modifications suivantes à la page Détails de l'incident :
  • Modifier les libellés et les propriétés des champs qui indiquent des informations de base relatives à un incident. Par exemple, vous pouvez souhaiter modifier le libellé Synoptique en Résumé.
  • Modifier les libellés des champs de la zone Champs automatiques.
  • Modifier les libellés des onglets.
  • Définir les champs de l'Onglet personnalisé 1 et de l'Onglet personnalisé 2. Vous pouvez modifier ou supprimer ces champs ou ajouter les vôtres. Par défaut, l'Onglet personnalisé 1 comporte quatre champs.
Le tableau suivant décrit où rechercher des informations relatives à la personnalisation du libellé d'un champ d'incident standard et de son contenu :
Nom | Modifier le libellé du champ ? | Personnaliser les propriétés du champ ?
Type d'incident | Personnalisation des libellés des champs et des onglets | Oui.
Application | Personnalisation des libellés des champs et des onglets | Oui. Voir Modification d'applications.
Release | Personnalisation des libellés des champs et des onglets | Oui. Voir Modification de versions.
Plate-forme | Personnalisation des libellés des champs et des onglets | Oui. Voir Modification de plates-formes.
Composant | Personnalisation des libellés des champs et des onglets | Oui. Voir Modification de composants.
Gravité | Personnalisation des libellés des champs et des onglets | Oui.
Synopsis | Personnalisation des libellés des champs et des onglets | Non. Les utilisateurs complètent le synoptique.
Numéro d'incident | Personnalisation des libellés des champs et des onglets | Non. Le numéro d'incident ne peut pas être personnalisé.
Assigné à | Personnalisation des libellés des champs et des onglets | Oui. Voir Règles de routage.
Etat | Personnalisation des libellés des champs et des onglets | Oui. Voir Personnalisation des états du workflow.
Code cause | Personnalisation des libellés des champs et des onglets | Oui. Voir Code cause.
Action | Propriétés de l'action | Oui.
Le tableau suivant décrit où rechercher des informations relatives à la personnalisation d'un libellé d'onglet et de champs d'onglets :
Nom | Modifier le libellé de l'onglet ? | Personnaliser le champ d'onglets ?
Description | Personnalisation des libellés des champs et des onglets | Non. Les utilisateurs remplissent l'onglet Description.
Historique | Personnalisation des libellés des champs et des onglets | Non. Issue Manager remplit l'onglet Historique mais vous pouvez personnaliser la colonne Action. Voir Informations sur l'état actuel.
Clients | Personnalisation des libellés des champs et des onglets | Non. Les utilisateurs peuvent effectuer l'action prédéfinie Ajouter un client.
Onglet personnalisé | Création d'onglets personnalisés | Oui. Voir Modification de champs personnalisés.
  • Personnalisation des libellés des champs et des onglets
    Explique comment personnaliser les champs d'incident standard, les libellés des onglets et les champs automatiques.
  • Propriétés de personnalisation de l'interface utilisateur
    Répertorie les propriétés qui déterminent l'aspect et l'utilisation des champs dans la page Détails de l'incident.
  • Onglets et champs personnalisés
    Décrit les onglets et champs personnalisés de Issue Manager.
Sujet parent : Administration de Issue Manager
Concepts associés
Règles de routage
Codes Cause
Propriétés d'une action
Informations sur l'état actuel
Onglets et champs personnalisés
Onglet champs d'action personnalisés
Tâches associées
Personnalisation des états du workflow
Modification d'applications
Modification de versions
Modification de plates-formes
Modification de composants


Personnalisation des libellés des champs et des onglets

Remarque : Le privilège GUI customization est requis pour pouvoir effectuer les actions décrites dans cette rubrique.
Cette rubrique explique comment personnaliser les champs d'incident standard, les libellés des onglets et les champs automatiques, à l'exception du champ Action. Pour plus d'informations sur la personnalisation du champ Action, reportez-vous à la rubrique Onglet Champs d'Action Standard. Vous ne pouvez supprimer aucun de ces champs, ni en ajouter. Néanmoins, vous pouvez modifier leurs propriétés. Par exemple, vous pouvez modifier leurs libellés, choisir leur mode et limiter les groupes qui ont l'autorisation de les remplir ou de les modifier.

Pour modifier les champs d'incident standard et les libellés des onglets :

  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Champs d'incident standard. La page Champs d'incident standard s'affiche.
    Remarque : La disposition de la page Champs d'incident standard est semblable à celle de la page Détails de l'incident.
  3. Si vous souhaitez renommer un libellé d'onglet, procédez comme suit :
    1. Cliquez sur le lien de l'onglet que vous souhaitez modifier. La boîte de dialogue Modifier le Libellé s'affiche.
    2. Modifiez le nom de l'onglet en fonction de vos besoins.
    3. Cliquez sur OK.
  4. Si vous souhaitez modifier les propriétés d'un champ, procédez comme suit :
    1. Cliquez sur le lien du champ que vous souhaitez modifier. La boîte de dialogue Modifier les Propriétés du Champ s'affiche.
    2. Modifiez les propriétés du champ en fonction de vos besoins.
    3. Cliquez sur OK.
Sujet parent : Personnalisation de la page Détails de l'incident
Référence associée
Onglet Champs d'Action Standard
Propriétés de personnalisation de l'interface utilisateur


Propriétés de personnalisation de l'interface utilisateur

Les champs de la page Détails de l'incident ont des propriétés qui déterminent leur aspect et leur utilisation. Par exemple, les propriétés précisent le libellé et le type de contrôle du champ, par exemple si le champ est une case à cocher ou un champ de texte. Vous pouvez afficher et modifier les propriétés d'un champ dans la boîte de dialogue Modifier les propriétés du champ. Pour accéder à la boîte de dialogue Modifier les propriétés du champ, cliquez sur lien du champ à modifier dans Incidents > Configuration > Onglets d'incident personnalisés ou dans Incidents > Configuration > Ensemble de champs personnalisés.
Vous pouvez modifier les propriétés suivantes :
Propriété
Description
Etiquette
Le texte du libellé du champ, d'une longueur maximale de 20 caractères. Ajoutez un signe deux-points pour séparer le libellé du contenu qui lui est associé. Les caractères spéciaux ne sont pas autorisés.
Type de contrôle
Cette option est activée uniquement si des champs définis par l'utilisateur sont créés. Le type de contrôle peut être Case à cocher, Date, Champ texte ou Liste déroulante.
Sélection de la casse
Cette option est activée uniquement quand le type de contrôle est Champ texte. Détermine la casse des caractères qu'un utilisateur saisit dans un champ de texte. Les valeurs disponibles sont Majuscule, Minuscule et Aucune.
Nom de la liste
Cette option est activée uniquement pour les listes déroulantes définies par l'utilisateur. Sélectionnez le nom de la liste personnalisée qui définit les valeurs de cette liste déroulante.
Nouvel incident ou action - Mode
Décrit le rôle du champ quand un utilisateur rapporte un nouvel incident.
Valeur | Description
Obligatoire | Doit contenir une valeur.
Optionnel | Peut contenir une valeur ou rester vierge.
Lecture-seule | Modification impossible.
Nouvel incident ou action - Autorisations de groupe
Cette option est activée avec les modes Obligatoire ou Optionnel. Les autorisations définissent les groupes qui peuvent saisir une valeur dans ce champ.
  • L'option Tous autorise tous les groupes.
  • L'option Sélection limite les autorisations aux groupes que vous choisissez dans la zone de liste. Quand le champ est obligatoire ou optionnel et que l'autorisation est limitée à la sélection, le champ est en lecture seule pour tous les autres groupes.
Incident ou action éxistant - Mode
Décrit le rôle du champ quand un utilisateur modifie un incident existant.
Valeur | Description
Obligatoire | Doit contenir une valeur.
Optionnel | Peut contenir une valeur ou rester vierge.
Lecture-seule | Modification impossible.
Conseil : Une case à cocher ne peut pas être un champ obligatoire. Si vous avez besoin d'un champ obligatoire, pensez à le définir comme une liste déroulante avec deux valeurs contraires, comme Oui et Non.
Incident ou action éxistant - Autorisations de groupe
Cette option est activée avec les modes Obligatoire ou Optionnel. Les autorisations définissent les groupes qui peuvent saisir une valeur dans ce champ.
  • L'option Tous autorise tous les groupes.
  • L'option Sélection limite les autorisations aux groupes que vous choisissez dans la zone de liste. Quand le champ est obligatoire ou optionnel et que l'autorisation est limitée à la sélection, le champ est en lecture seule pour tous les autres groupes.
Mémoriser la valeur du dernier incident saisi
Sélectionnez cette case pour afficher la dernière valeur choisie dans la page Détails de l'incident. Par exemple, supposons que cette case est cochée pour le champ Application. Lorsqu'un utilisateur qui rapporte un incident choisit d'abord une valeur dans la zone de liste Application, par exemple Partenaire QA, cette valeur est conservée et la prochaine fois que l'utilisateur rapportera un incident, le champ Application affichera par défaut la valeur Partenaire QA.
Sujet parent : Personnalisation de la page Détails de l'incident


Onglets et champs personnalisés

Issue Manager vous permet de définir jusqu'à dix champs définis par l'utilisateur par Onglet personnalisé.

Onglets personnalisés

L'Onglet personnalisé 1 de la page Détails de l'incident comporte trois champs par défaut. Vous pouvez ajouter des champs à cet onglet, modifier les champs par défaut ou supprimer les champs et reprendre à zéro.

Le tableau suivant décrit les champs par défaut de l'Onglet personnalisé 1 :
Champ | Indique | Mode | Type/valeur de contrôle
Automatisé? | Si l'incident est automatisé lors des tests de régression ou en mode manuel. | Optionnel | Case à cocher. Par défaut, non cochée.
Ajouter une note de release? | Si un élément de cet incident doit être ajouté aux notes de release de l'application. | Optionnel | Case à cocher. Par défaut, non cochée.
Mettre à jour la doc? | Si la documentation relative à cet incident doit être mise à jour. | Optionnel | Case à cocher. Par défaut, non cochée.

Les onglets personnalisés 2 à 4 sont vides.

Champs personnalisés

Les champs personnalisés peuvent apparaître à deux endroits :
  • Dans les onglets personnalisés de la page Détails de l'incident.
  • Dans les boîtes de dialogue d'action qui s'ouvrent lorsqu'un utilisateur effectue une action ou prend en charge un incident.
Pour ajouter ou modifier les champs personnalisés :
  1. Dans le menu, cliquez sur Incidents > Configuration.
  2. Cliquez sur Onglets d'incident personnalisés. La page Onglets d'incident personnalisés s'ouvre.
  3. Cliquez sur le champ personnalisé que vous souhaitez modifier. Appliquez la procédure décrite dans Propriétés de personnalisation de l'interface utilisateur.
Sujet parent : Personnalisation de la page Détails de l'incident
Concepts associés
Personnalisation de la page Détails de l'incident


Personnalisation des workflows

Les rubriques de cette section expliquent les concepts clés relatifs aux workflows dans Issue Manager. Cette section présente également les trois workflows par défaut et explique comment les modifier.

  • Workflow piloté par des actions
    Brève description du concept. Doit être rédigée sous forme de fragments d'énoncé. Ne doit pas contenir plus de deux phrases.
  • Workflows par défaut
    Décrit les workflows par défaut.
  • Développement de vos propres workflows
    Comporte des rubriques qui décrivent comment développer votre propre workflow.
  • Personnalisation des états de workflow
    Décrit comment personnaliser les états de workflow
  • Personnalisation des actions, des codes cause et des boîtes de dialogue d'action
    Décrit comment personnaliser des actions, des codes cause et des boîtes de dialogue d'action.
  • Propriétés d'une action
    Décrit les propriétés d'une action.
  • Assistant Intelligent
    Décrit le jeu d'états et de codes de causes par défaut.
Sujet parent : Administration de Issue Manager


Workflow piloté par des actions

Issue Manager gère un incident d'un bout à l'autre de son cycle de vie via un workflow piloté par des actions. La notion de workflow piloté par des actions fait référence au fait que l'incident est amené d'un état (condition) à un autre par les actions de l'utilisateur jusqu'à ce qu'il atteigne un stade terminal ou final.

Remarque : Un workflow doit comporter au moins un état terminal, qui est son dernier état.

Exemple

Dans le workflow par défaut, une nouvelle anomalie signalée par le support technique du client est considérée comme étant à l'état Non Vérifié. Cette condition signifie que personne n'a confirmé que l'incident en question correspondait véritablement à une anomalie. Après évaluation de la situation, un ingénieur QA confirme que l'incident est une anomalie et qu'il est prêt à l'envoyer à un développeur pour correction. Dans cet exemple, considérez que l'état initial est Non Vérifié, que l'action à appliquer est Confirmer et que l'état suivant est Prêt pour Dév.

Si, par ailleurs, un incident identique a déjà été signalé, l'action à appliquer sur cet incident non vérifié est Marquer comme Dupliqué et le nouvel état sera probablement Fermé. Par conséquent, une action différente sur cet incident non vérifié envoie l'incident à un état différent, en l'occurrence, Fermé.

Il arrive parfois que les incidents conservent leur état en cours, même après qu'une action leur ait été appliquée. C'est le cas par exemple pour Ajouter un Commentaire, qui permet d'ajouter un commentaire à la description d'un incident existant.

Actions fournies par le système

Issue Manager comporte deux actions prédéfinies pour chacun des états des workflows :
Réassigner
Permet aux utilisateurs de router un incident vers une autre boîte de réception.
Modifier
Permet aux utilisateurs de modifier les champs de la page Détails de l'incident.

Ces actions ne changent pas l'état en cours de l'incident, car elles ne le déplacent pas dans le workflow.

Informations relatives aux actions

Un workflow définit un ensemble valide d'actions pouvant être appliquées à un état. Ces actions sont affichées sur la page Workflows. Les actions disponibles varient selon les paramètres Type d'Incident et État Actuel sélectionnés dans les listes.

Les actions sont disponibles sous forme de boutons à la page Détails de l'incident. Les boutons disponibles (actions) varient selon le type d'incident et l'état en cours.

Informations d'état

Les informations d'état sont affichées partout dans Issue Manager. Par exemple, à chacun des comptes utilisateur et de groupe sont assignés trois états initiaux d'incident, un pour chaque type d'incident : anomalie, évolution et documentation.

L'état initial de l'incident influe sur son cycle de vie.

L'état initial d'un incident dépend du niveau de connaissance que possède l'utilisateur sur le type d'incident qu'il signale. Par exemple, lorsqu'un membre de l'équipe de support technique signale un incident de documentation, cet incident est censé être correctement évalué et prêt à être corrigé. Il lui est donc assigné l'état initial Ouvert Documentation. Toutefois, lorsque la même personne soumet une anomalie logicielle, celle-ci n'est pas nécessairement considérée comme exacte. Son état de départ dans le workflow sera donc Non Vérifié. Différents groupes peuvent avoir des états initiaux différents pour le même type d'incident. Pour plus d'informations sur les états initiaux d'incident, reportez-vous à la rubrique « État initial d'incident ».

Lorsqu'un utilisateur enregistre un incident, Issue Manager assigne automatiquement à cet incident un état initial qui est fonction de l'état d'incident initial assigné à l'utilisateur. Lorsqu'un rédacteur technique consigne au journal un incident de documentation, la valeur du champ État de la page Détails de l'incident est Ouvert Documentation. Le champ État est un champ automatique, autrement dit ce n'est pas l'utilisateur mais Issue Manager qui le remplit en fonction des informations de workflow et autres.

  • Propriétaire de l'état
    Décrit le propriétaire d'état.
  • Codes Cause
    Décrit les codes cause.
Sujet parent : Personnalisation des workflows


Propriétaire de l'état

Chaque état non terminal d'un workflow possède un propriétaire unique. Le propriétaire est le rôle, dans l'organisation, qui a la responsabilité d'agir sur un incident se trouvant dans un certain état. Prenons l'exemple d'une anomalie non vérifiée : l'utilisateur qui confirme ou rejette un incident logiciel non vérifié est, le plus probablement, une personne assurant le rôle QA. Par conséquent, le propriétaire d'une anomalie non vérifiée est le rôle QA.

Un état terminal dans un workflow n'a pas de propriétaire, car personne n'est responsable d'une action à effectuer pour ce type d'état.

Dans Issue Manager vous avez le choix entre quatre propriétaires possibles pour un état non terminal :

  • QA
  • Développement
  • Documentation
  • Évolutions
Remarque : Un propriétaire d'état n'est pas un ingénieur QA spécifique ni une boîte de réception particulière ; il n'est pas lié à une application, un composant, une release ou une plate-forme. Un propriétaire d'état est la désignation générale d'une responsabilité fonctionnelle par rapport à un état.

Le propriétaire est une propriété importante d'un état, car il détermine, avec les règles de routage, la boîte de réception qui doit recevoir un incident (les règles de routage sont décrites dans la rubrique Configuration des règles de routage). L'exemple qui suit illustre la façon dont Issue Manager utilise les règles de routage, les états et les propriétaires d'état pour placer un incident dans une boîte de réception spécifique.

Supposons que vous décidiez que le propriétaire de l'état Non Vérifié soit le rôle QA pour toutes les anomalies logicielles, quels que soient l'application, le composant, etc. Les personnes qui remplissent ce rôle doivent confirmer si un incident signalé est vraiment une anomalie. Ainsi, dans la boîte de dialogue Propriétés de l'État de l'état Non Vérifié, vous sélectionnez le bouton radio QA gère cet État. La boîte de dialogue Propriétés de l'État, est disponible en accédant à Incidents > Configuration > Workflows et en cliquant sur Modifier l'État.

Considérons maintenant les règles de routage pour des applications particulières. Lorsque vous configurez des règles de routage (Incidents > Configuration > Règles de Routage), vous spécifiez quatre boîtes de réception pour chaque combinaison d'application, de composant, de release et de plate-forme. Chacun des quatre boutons radio de propriétaire d'état correspond à une des quatre boîtes de réception de la page Règles de Routage : QA, Développement, Évolution et Documentation.

Exemple

Une règle de routage stipule : si une anomalie concerne le composant Courriel pour toutes les releases de l'application Product C sur toutes les plates-formes, alors router l'anomalie vers une de ces boîtes de réception : Mike - QA, Sonja - Dev, Dan - Dev (Product C), ou Judy - Doc.

Une de ces quatre boîtes de réception est sélectionnée en fonction de deux facteurs : l'état actuel de l'incident et le propriétaire de cet état. En supposant que l'état actuel de l'incident soit Non Vérifié et que vous avez spécifié que le rôle QA est propriétaire des incidents non vérifiés, l'incident est alors routé automatiquement dans la boite de réception de Mike : Mike - QA.

L'action de Mike sur cet incident aura pour effet de faire passer celui-ci dans un autre état de son cycle de vie, et cet état aura un autre propriétaire. Issue Manager déterminera à nouveau la boîte de réception appropriée en fonction de l'état de cet incident, du propriétaire de cet état et de la règle de routage applicable pour ces application, composant, release et plate-forme spécifiques.

Sujet parent : Workflow piloté par des actions
Concepts associés
Configuration des règles de routage


Codes Cause

Les codes cause Issue Manager sont des mots-clés optionnels et personnalisables qui décrivent la raison pour laquelle l'état d'un incident a changé après qu'une action donnée ait été effectuée.

Plusieurs actions peuvent placer un incident dans le même état. Par exemple, un incident peut être fermé pour plusieurs raisons : il n'est pas reproductible, c'est un doublon, ce n'est pas une anomalie. Sans les informations supplémentaires fournies par le code cause, les utilisateurs ont une image incomplète du cycle de vie des incidents.

Les codes cause peuvent également vous aider à minimiser le nombre d'états dans votre workflow. Par exemple, au lieu de définir plusieurs états terminaux (tels que : Pas une Anomalie, Non Reproductible, Dupliqué), il suffit d'avoir un seul état terminal appelé Fermé avec différents codes cause indiquant la raison pour laquelle une action a fermé un incident (par exemple Fermé/Pas une Anomalie).

L'utilisateur accède aux codes cause sur la page Détails de l'incident et dans les boîtes de dialogue des actions. Par exemple, Judy, une rédactrice technique, reçoit un incident de documentation dans sa boîte de réception. En lisant la description, il se souvient que cet incident a déjà été signalé. Il marque alors l'incident comme dupliqué. Lorsque la boîte de dialogue Marquer comme Dupliqué s'ouvre, il peut constater que l'état de l'incident est passé de Ouvert Documentation à Fermé/Dupliqué. Fermé est le nouvel état et Dupliqué est le code cause.

Assigner, effacer ou conserver un code cause

Lorsque certaines actions sont effectuées, Issue Manager assigne un code cause à l'action et le transmet au nouvel état. Les actions ultérieures peuvent effacer le code cause, ou simplement le conserver. En général, une fois que vous avez défini un code cause, il accompagne l'incident jusqu'à ce qu'il atteigne l'état terminal du workflow.

Prenons le cas d'un développeur qui corrige une anomalie et effectue l'action Corrigé pour déclarer que l'anomalie est corrigée. Cette action fait passer l'état de l'anomalie de Prêt pour Dév à Prêt pour QA, et affecte le code cause Corrigé. L'ingénieur QA qui vérifie l'allégation du développeur accepte la correction de l'anomalie en exécutant l'action Vérifié. Cette action conserve le code cause Corrigé et fait passer l'anomalie dans l'état Fermé.

Cependant, vous pouvez souhaiter effacer le code cause, par exemple, lorsqu'un incident revient à un état antérieur dans le workflow au lieu de progresser vers un état terminal. Supposons qu'un ingénieur QA conteste l'allégation d'un développeur et effectue l'action Rejeter, qui renvoie l'incident dans l'état Prêt pour Dév. Le code cause Corrigé n'a plus de sens, de sorte que vous pouvez souhaiter l'effacer pour l'action Rejeter.

C'est le paramétrage de la boîte de dialogue Nouvelle Action pour l'État, décrite dans la rubrique Code Cause, qui détermine si les codes cause sont assignés, effacés ou conservés. Cliquez sur Incidents > Configuration > Workflows, puis sur Ajouter une Action pour afficher la boîte de dialogue Nouvelle Action pour l'État.

Sujet parent : Workflow piloté par des actions


Workflows par défaut

Issue Manager fournit trois workflows par défaut : pour les anomalies, la documentation, les incidents et les évolutions. Si vous souhaitez modifier les workflows par défaut ou créer vos propres workflows, reportez-vous à la rubrique Développement de vos propres workflows.

  • Workflow d'anomalies par défaut
    Comporte un diagramme du workflow d'anomalies par défaut.
  • Workflow d'évolution par défaut
    Décrit le workflow d'évolution.
  • Workflow de documentation par défaut
    Décrit le workflow de documentation par défaut.
Sujet parent : Personnalisation des workflows
Concepts associés
Développement de vos propres workflows


Workflow d'anomalies par défaut

Le diagramme suivant présente le workflow d'anomalies par défaut :

Les actions Modifier, Réassigner, Ajouter un Commentaire et Ajouter un Contournement ont été omises de ce diagramme.

  • Les actions Modifier et Réassigner sont prédéfinies pour chaque état et ne peuvent pas être modifiées. Ces actions ne modifient pas l'état d'un incident.
  • L'action Ajouter un Commentaire, qui est définie pour tous les états, ne modifie pas l'état d'un incident.
  • L'action Ajouter un Contournement, qui est définie pour Prêt pour Dév, Prêt pour QA, Refaire QA et Fermé, ne modifie pas l'état d'un incident.

Codes cause par défaut du workflow d'anomalies

Pour visualiser tous les codes cause fournis dans le workflow d'anomalies, cliquez sur Incidents > Configuration > Workflows. Sélectionnez ANOMALIE comme type d'incident et affichez ses actions et codes cause valides.

Exemples

Considérez un chemin d'accès commun au workflow d'anomalies par défaut. Une anomalie est signalée, passe à l'état Non Vérifié et est envoyée à la boîte de réception de l'ingénieur QA. L'anomalie est confirmée et envoyée à une boîte de réception d'un développeur (état Prêt pour Dév). Le développeur déclare que l'anomalie est corrigée et prend l'action Corrigé. L'action Corrigé passe l'anomalie à l'état Prêt pour QA avec le code cause Corrigé. L'ingénieur QA qui reçoit l'incident vérifie que l'anomalie a été corrigée. En d'autres termes, il prend l'action Vérifier qui passe l'anomalie à l'état Fermé, en conservant le code cause Corrigé.

Maintenant, étudions une petite modification de l'exemple précédent. Supposons que l'ingénieur QA rejette la déclaration du développeur indiquant que l'anomalie a été corrigée. L'anomalie retourne vers la boîte de réception du développeur, mais, cette fois, le code cause est Rejeté. Le développeur ne peut pas reproduire le problème et effectue donc l'action Besoin de Plus d'Informations. L'anomalie passe à Refaire QA. L'ingénieur QA peut effectuer l'une des deux actions suivantes pour clôturer l'incident à ce point - Marquer comme Dupliqué ou Plus Un Incident, ou l'ingénieur QA peut clarifier le problème et renvoyer l'anomalie vers Prêt pour Dév.

Sujet parent : Workflows par défaut


Workflow d'évolution par défaut

La section suivante décrit le workflow d'évolution.

Les actions Modifier, Réassigner, Ajouter un Commentaire et Ajouter un Contournement ont été omises dans ce schéma.

  • Les actions Modifier et Réassigner sont prédéfinies pour chaque état et ne peuvent pas être modifiées. Ces actions ne modifient pas l'état d'un incident.
  • De même, l'action Ajouter un Commentaire, qui est définie pour tous les états dans ce workflow, ne modifie pas l'état d'un incident.
  • L'action Ajouter un Contournement, définie pour tous les états à l'exception de Non Vérifié, n'affecte pas l'état.

Codes motif par défaut pour le workflow d'évolution

Pour afficher tous les codes motif fournis dans le workflow d'évolution par défaut, cliquez sur Incidents > Configuration > Workflows. Sélectionnez EVOLUTION comme type d'incident et consultez les actions et les codes motif valides qui y sont associés.

Exemple

Supposons qu'une demande d'évolution soit acceptée et envoyée au service Développement (Prêt pour Dév) par l'équipe de contrôleurs initiale (état Non Vérifié) ou par une équipe de gestion (état Appel Management). L'équipe de gestion reçoit la demande d'évolution si l'équipe de contrôleurs initiale choisit l'action Peut-être.

Si l'une ou l'autre de ces équipes rejette la demande d'évolution, l'incident est fermé avec l'état Rejeté. Cette action Rejeter diffère d'une action Rejeter effectuée sur un incident à l'état Prêt pour QA. Dans ce cas, l'action de développement (Implémenté, Ne peut pas être fait, Déjà Fait ou Marquer comme Dupliqué) est contestée.

Sujet parent : Workflows par défaut


Workflow de documentation par défaut

Le schéma suivant illustre le workflow de documentation par défaut :

Les actions Modifier, Réassigner et Ajouter un Commentaire ont été omises dans ce schéma.

  • Les actions Modifier et Réassigner sont prédéfinies pour chaque état et ne peuvent pas être modifiées. Ces actions ne modifient pas l'état d'un incident.
  • De même, l'action Ajouter un Commentaire, qui est définie pour tous les états dans ce workflow à l'exception de Prêt pour QA, ne modifie pas l'état d'un incident.

Codes motif par défaut pour le workflow de documentation

Pour afficher tous les codes motif fournis dans le workflow de documentation par défaut, cliquez sur Incidents > Configuration > Workflows. Sélectionnez PB DOCUMENTATION comme type d'incident et consultez les actions et les codes motif valides qui y sont associés.

Exemple

Supposons qu'un incident de documentation passe à l'état Non Vérifié. À ce stade, le contrôleur doit choisir entre trois actions possibles. Il peut accepter l'incident, rejeter l'incident ou le marquer comme étant un doublon d'un autre incident. Si l'incident est rejeté ou s'avère être un doublon, il est alors fermé avec le code motif Rejeté ou Dupliqué. Si le contrôleur considère l'incident comme un incident de documentation devant être corrigé, l'incident est alors placé dans une boîte de réception Documentation, avec l'état Ouvert Documentation. À ce stade, le spécialiste en documentation a deux actions à sa disposition : Corrigé ou Marquer comme Dupliqué.

  • L'action Corrigé permet de faire passer l'incident à l'état Prêt pour QA avec le code motif Corrigé.
  • L'action Marquer comme Dupliqué permet de faire passer l'incident à l'état Fermé avec le code motif Dupliqué.

Si la correction est vérifiée par la suite, l'incident est alors passé à l'état Fermé avec le code motif Résolu. En revanche, si la correction est rejetée, l'incident est alors renvoyé à la boîte de réception Documentation avec le code motif Rejeté.

Sujet parent : Workflows par défaut


Développement de vos propres workflows

Si vous souhaitez développer votre propre workflow, l'approche la plus conviviale et la plus fiable est d'apporter des modifications simples aux workflows par défaut (par exemple, modifier un nom d'état). Nous vous recommandons vivement de modifier les workflows par défaut plutôt que de créer un nouveau workflow, notamment si vous n'avez que peu d'expérience dans ce domaine.

Vous trouverez ci-dessous certains éléments que vous pouvez personnaliser :

  • Le numéro et le nom des états que prend un incident spécifique.
  • Les actions qui sont valides pour un état spécifique. Ces actions apparaissent dans la fenêtre Workflows.
  • Les états qui résultent de chaque action en l'état actuel, c'est-à-dire :
    Current State ---- Action 1 ---> New State 1
Current State ---- Action 2 ---> New State 2
  • Les groupes qui ont l'autorisation d'effectuer chaque action.
  • L'apparence des boîtes de dialogue qui s'affichent lorsque des utilisateurs effectuent une action sur des incidents.

Condition préalable

Familiarisez-vous avec les concepts des diagrammes d'état et des actions, également appelés transitions d'états.

  • Traçage d'un diagramme d'état
    Décrit comment tracer un diagramme d'état.
  • Nommer des actions par des verbes
    Attribuez des verbes aux actions afin de les modéliser en un workflow compréhensible.
  • Optimisation du workflow
    Décrit comment optimiser le workflow.
  • Ajouter des propriétaires d'état et des autorisations
    Indique pour quelles raisons vous devez ajouter des propriétaires d'état et des autorisations.
  • Préparation d'une feuille de calcul pour l'entrée de données
    Décrit la présentation que doit suivre une feuille de calcul d'entrée de données pour un workflow personnalisé.
Sujet parent : Personnalisation des workflows


Traçage d'un diagramme d'état

Tracez un diagramme d'état sur une feuille de papier ou sur un tableau blanc. Veillez à tracer chaque état dans une zone en conservant suffisamment d'espace entre eux.

Tracez chaque action en justice entre les états sous forme de ligne avec une seule extrémité fléchée. Chaque direction représente une action distincte.

Exemple

L'exemple suivant présente un petit échantillon des états qui pourraient figurer dans votre propre workflow. Lorsqu'une nouvelle anomalie est saisie, un membre de votre organisation l'envoie à l'ingénieur QA adéquat pour examen. Si l'ingénieur QA atteste que le comportement signalé constitue une nouvelle anomalie, celle-ci est alors envoyée au service Développement pour être corrigée. Le service Développement peut mettre en œuvre différentes actions pour corriger l'anomalie.

  • Le comportement décrit dans le rapport d'anomalie correspond au comportement attendu. Par conséquent, l'incident n'est pas une anomalie.
  • L'anomalie doit être corrigée dans la prochaine release.
  • L'anomalie ne peut pas être reproduite.
  • L'anomalie est corrigée.

Il ne s'agit, bien sûr, que des demandes du développeur, qui n'ont pas encore été vérifiées. Votre modèle de workflow peut refléter ces demandes avec les états suivants : Corrigé ?, Différé ?, Non Reproductible ? et Pas une Anomalie ? Les points d'interrogation indiquent que ces demandes n'ont pas encore été vérifiées par un ingénieur QA.

Sujet parent : Développement de vos propres workflows


Nommer des actions par des verbes

Il est recommandé d'attribuer un verbe à chaque action. Pensez aux cas où une anomalie peut revenir à un état antérieur dans le workflow. Modélisez ces actions négatives. Par exemple, un ingénieur QA peut rejeter la demande d'un développeur, qui renvoie un incident vers le service Développement.

Vous pouvez également découvrir que certaines actions positives sont manquantes en examinant chaque parcours emprunté par un incident. Vous pouvez, par exemple, réaliser que les ingénieurs QA rejettent également des rapports d'incident, fermant ainsi les incidents. Dans l'exemple de diagramme ci-dessous, l'action Rejeter l'anomalie effectuée par un ingénieur QA aboutit à l'état Pas une Anomalie. Assurez-vous que toutes les actions aboutissent à un état final.

Exemple révisé

Sujet parent : Développement de vos propres workflows


Optimisation du workflow

Comme vous pouvez le constater, le diagramme précédent est trop compliqué pour être utile. Pour simplifier le workflow, vous pouvez supprimer l'action Répartir car les règles de routage de Issue Manager se chargent de l'envoi des anomalies aux boîtes de réception appropriées. Dans le diagramme précédent, vous pouvez supprimer l'état Nouvelle-Anomalie et l'action Répartir, et attribuer à l'anomalie un état dans lequel l'ingénieur QA peut le vérifier. Vous pouvez appeler cet état « Non Vérifié ».

Le workflow présente un autre défaut : des états quasiment identiques. La méthodologie Issue Manager vous permet de supprimer les états redondants en assignant des codes motif aux actions. Pour chaque action nécessitant un code motif, créez un mot-clé bref et descriptif. Pour une explication complète des codes motif, veuillez consulter la rubrique « Codes motif ». Pour identifier les redondances, recherchez les schémas répétitifs dans le workflow. Par exemple, dans le diagramme précédent, la dernière ligne d'états (Pas une Anomalie, Différé, Non Reproductible et Corrigé) peut être réduite au seul état Fermé avec un code motif différent pour chaque action (par exemple, Fermé/Pas une anomalie, Fermé/Corrigé).

Toutes les lignes suivantes peuvent également être réduites à un seul état qui reconnaît le rôle de l'équipe QA dans la vérification des demandes envoyées par le service Développement. Vous pouvez appeler cet état « Prêt pour QA ». Vous pouvez utiliser des codes motif pour expliquer le changement d'état d'une anomalie (une anomalie peut, par exemple, présenter l'état Prêt pour QA avec un code motif Corrigé ou Différé). Les quatre actions Rejeté effectuées par l'équipe QA peuvent être réduites à une seule action Rejeté. De la même façon, les quatre actions Vérifié effectuées par l'équipe QA peuvent être réduites à une seule action Vérifié.

Exemple

Sujet parent : Développement de vos propres workflows


Ajouter des propriétaires d'état et des autorisations

Les incidents sont routés en fonction de leur état et du propriétaire de l'état. Dans votre entreprise, la notion de propriétaire d'état fait référence au rôle de celui qui est responsable des incidents à un état donné. Par exemple, dans le workflow par défaut, c'est le contrôle qualité (QA) qui a la responsabilité des incidents à l'état Non Vérifié.

Vous devez ensuite assigner un propriétaire à chacun des états dans votre diagramme final. Enfin, décidez pour chacune des actions quels groupes doivent avoir l'autorisation de l'appliquer. Dans le workflow par défaut, par exemple, seuls les utilisateurs de l'équipe de développement sont autorisés à corriger les incidents (et par conséquent à appliquer l'action Corrigé).

Sujet parent : Développement de vos propres workflows


Préparation d'une feuille de calcul pour l'entrée de données

Éventuellement, préparez une feuille de calcul pour faciliter la saisie des données dans Issue Manager. Les informations du workflow sont saisies par état, la première colonne doit donc contenir l'état et le propriétaire actuels. Ajoutez ensuite les en-têtes de colonne suivants :

  • Actions autorisées dans l'état actuel.
  • Nouvel état résultant de chaque action.
  • Code de cause (le cas échéant).
  • Autorisations : le ou les groupes autorisés à effectuer chaque action.

La présentation de votre feuille d'entrée de données doit correspondre à ce qui suit :

État/Propriétaire | Actions | Nouvel Etat | Autorisations
Sujet parent : Développement de vos propres workflows


Personnalisation des états de workflow

Vous pouvez modifier les noms, propriétaires et descriptions des états des workflows par défaut. Vous pouvez choisir de saisir ou modifier d'abord tous les états et d'ajouter ensuite les actions de chaque état. Ou bien, vous pouvez saisir un état et toutes ses actions, puis passer à l'état suivant.

  • Propriétés des états
    Décrit les propriétés des états.
  • Personnalisation des états du workflow
    Décrit la procédure de personnalisation des états du workflow.
Sujet parent : Personnalisation des workflows


Propriétés des états

Les états possèdent les propriétés suivantes :

Nom de l'état
Nom unique et obligatoire de l'état, comprenant au plus 20 caractères. Les caractères spéciaux ne sont pas autorisés.
Description
Description facultative de l'état. En pratique, pas de limite de longueur.
Propriétaire de l'état
Choisissez un propriétaire de l'état en sélectionnant l'option appropriée :
  • QA gère cet État
  • Le Développement gère cet État
  • La Documentation gère cet État
  • État d'Évolution
  • Aucun (État Terminal)
Sujet parent : Personnalisation des états de workflow


Personnalisation des états du workflow

Vous devez posséder le privilège de sécurité Workflow customization pour réaliser ces tâches.
  1. Cliquez sur Incidents > Configuration > Workflows. La page Workflows s'affiche.
  2. Sélectionnez le Type d'Incident qui représente le workflow que vous souhaitez personnaliser.
  3. Procédez comme suit :
    Ajouter un état à ce workflow

    Cliquez sur le bouton Ajouter un État. Passez à l'étape 4.

    Modifier un état dans ce workflow

    Sélectionnez l'état que vous souhaitez modifier dans la liste État. Cliquez sur le bouton Modifier l'État. Passez à l'étape 4.

    Ajouter des actions pour un état à ce workflow

    Voir Personnalisation des actions, des codes cause et des boîtes de dialogue d'action. Commencez la procédure à l'étape 3.

    Supprimer un état de ce workflow

    Sélectionnez l'état que vous voulez supprimer dans la liste État. Cliquez sur le bouton Supprimer. Sélectionnez Oui dans la boîte de dialogue de confirmation. Issue Manager ne supprimera que les états qui n'ont jamais été référencés par un incident.

    Modifier un autre workflow
    Retournez à l'étape 2.
  4. Spécifiez ou modifiez les propriétés de l'état en utilisant les informations décrites dans la section Propriétés de l'État pour vous guider.
Sujet parent : Personnalisation des états de workflow
Tâches associées
Personnalisation des actions, des codes cause et des boîtes de dialogue d'action


Personnalisation des actions, des codes cause et des boîtes de dialogue d'action

Ne lisez cette section que si vous avez l'intention de modifier les actions des workflows par défaut, décrits à la rubrique Workflows par défaut. Avant de poursuivre, lisez les Propriétés de l'action.
  1. Cliquez sur Incidents > Configuration > Workflows.
  2. Sélectionnez le workflow que vous souhaitez personnaliser dans la liste Type d'Incident.
  3. Sélectionnez l'état qui comporte les actions que vous souhaitez modifier dans la liste État.
  4. La page Workflows illustre à présent les informations que vous allez entrer au cours de cette procédure :
    • Toutes les actions qui s'appliquent à cet état (telles qu'elles apparaissent dans la colonne Libellé du Bouton).
    • L'état qui suit l'état actuel lorsqu'une action donnée est effectuée.
    • Le code cause pour chaque action valide (le cas échéant).
    Remarque : Les actions Modifier et Réassigner, que Issue Manager prédéfinit pour tous les états, ne peuvent pas être modifiées et ne sont par conséquent pas visibles dans la boîte de dialogue.
  5. Procédez comme suit :
    Ajouter une action pour l'état actuel
    Cliquez sur Ajouter une Action et passez à l'étape 6.
    Modifier une action pour l'état actuel
    Sélectionnez l'action que vous voulez modifier dans la colonne Libellé du Bouton.
    Ajouter un nouvel état à ce workflow
    Retournez à l'étape 3 de la section Personnalisation des états du workflow.
    Modifier l'ordre de tri d'une action de ce workflow

    Cliquez sur les boutons Déplacer vers le Haut et Déplacer vers le Bas (dans la colonne Actions) de l'action que vous voulez déplacer vers le haut ou le bas de la liste.

    Supprimer une action d'un autre workflow
    Cliquez sur le bouton Supprimer (dans la colonne Actions) de l'action que vous voulez supprimer. Puis, cliquez sur Oui dans la boîte dialogue de confirmation.
    Remarque : Issue Manager ne supprimera que les actions qui n'ont jamais été référencées par un incident.
    Modifier les actions dans un autre workflow
    Retournez à l'étape 2.
    Modifier les états dans un autre workflow
    Retournez à l'étape 2 de la section Personnalisation des états du workflow.
  6. Spécifiez ou modifiez les propriétés d'une action existante dans la boîte de dialogue Nouvelle Action pour l'État. Utilisez les informations de la section Propriétés de l'action comme guide.
Sujet parent : Personnalisation des workflows
Concepts associés
Propriétés d'une action
Tâches associées
Personnalisation des états du workflow


Propriétés d'une action

Après avoir défini les états d'un workflow, vous devez définir les actions associées à chaque état. Par exemple, pour l'état Prêt pour Dév du workflow des anomalies par défaut, un développeur peut appliquer l'action Corrigé, Pas Corrigeable, etc.

Chaque action s'accompagne d'un ensemble de propriétés qui lui sont associées.

Propriétés générales

Les propriétés d'une action sont diverses et concernent les points suivants :

  • le Libellé du Bouton qui apparaît sur la page Détails de l'incident ;
  • la description de l'action qui s'affiche sous l'onglet Historique ;
  • le nouvel état résultant de cette action ;
  • le code Cause ;
  • la présentation et l'utilisation de la boîte de dialogue de l'action ;
  • les groupes autorisés à appliquer cette action ;
  • l'ordre de tri de cette action.

Boîte de dialogue Action de l'État

La boîte de dialogue Modifier l'Action de l'État permet de définir les propriétés d'une action. (Incidents > Configuration > Workflows).

  • Informations sur l'état actuel
    Décrit les informations sur l'état actuel.
  • Liste de nouvel état
    Décrit la liste du nouvel état.
  • Onglet Champs d'Action Standard
    Décrit l'onglet Champs d'Action Standard des propriétés d'action.
  • Onglet champs d'action personnalisés
    Décrit l'onglet des champs d'action personnalisés pour les propriétés d'action.
  • Onglet Autorisations
    Décrit l'onglet Autorisations pour les propriétés d'action.
Sujet parent : Personnalisation des workflows
Tâches associées
Personnalisation des actions, des codes cause et des boîtes de dialogue d'action


Informations sur l'état actuel

Nom
Modification impossible. Affiche le nom de l'état actuel pour lequel vous définissez ou modifiez une action (par exemple, Modifier l'Action de l'État - Non Vérifié).
Libellé du Bouton
Il s'agit du nom qui apparaît sur le bouton qui exécute cette action, situé à la page Détails de l'incident, 30 caractères de long maximum.
Code Action de l'Historique
Déclaration concise de l'action entreprise, 20 caractères de long maximum. Nous vous recommandons d'utiliser des caractères majuscules (par exemple, VÉRIFIÉ). Ce code apparaît dans la colonne Actions de l'onglet Historique de la page Détails de l'incident.
Info-bulle
Texte optionnel qui apparaît sous la forme d'une info-bulle lorsqu'un utilisateur passe son curseur sur ce bouton d'action.
Description
Description facultative de cette action.
Sujet parent : Propriétés d'une action


Liste de nouvel état

Nom
Nom de l'état suivant dans le workflow une fois que cette action aura été effectuée sur l'incident. Par exemple, dans le workflow par défaut, quand un incident Non Vérifié est validé comme anomalie, Issue Manager fait passer l'incident à l'état suivant, Prêt pour Dév.
Code Cause
Mot-clé facultatif indiquant le motif du passage de l'état actuel au nouvel état quand l'action est prise. Sélectionnez l'option appropriée :
Aucun Changement
Aucun Changement indique que le mot-clé est conservé lors du passage de l'incident au nouvel état. Le mot-clé apparaîtra dans le champ Code Cause de la page Détails de l'incident. Par exemple, le workflow suivant montre que, lorsqu'un développeur déclare avoir corrigé une anomalie, celle-ci passe à l'état Prêt pour QA avec un code de cause Corrigé. Si un ingénieur QA valide la déclaration, l'anomalie passe à l'état Fermé en conservant le code de cause Corrigé. N'importe quel utilisateur qui parcourt les anomalies peut voir pourquoi l'anomalie est fermée, il lui suffit de lire le code de cause.
Effacer
Indique que le code de cause de l'état actuel sera supprimé lors du passage de l'anomalie vers un nouvel état. Effacer est un choix judicieux lorsqu'une anomalie est renvoyée vers un état antérieur dans le workflow. Par exemple, lorsqu'un développeur déclare avoir corrigé une anomalie, celle-ci passe à l'état Prêt pour QA avec un code de cause Corrigé. Toutefois, si la correction est rejetée, l'anomalie est renvoyée au Développement (Prêt pour Dév) et le code de cause Corrigé est supprimé, puisque la déclaration est contestée. Quand vous choisissez Effacer, le workflow affiche EFFACER dans le champ Code Cause ; toutefois, l'utilisateur verra un champ Code Cause vierge dans la page Détails de l'incident.
Valorisé à

indique que vous pouvez associer un code de cause à cette action. Saisissez un mot-clé de 20 caractères maximum. Nous recommandons de tout écrire en majuscules. Utilisez Fixé à pour préciser un code de cause quand une action fait passer un incident à un nouvel état qui exige un code de cause. En général, vous devriez affecter des codes de cause à toutes les actions prises par les développeurs.

Par exemple, dans le workflow par défaut, l'action Corrigé sur l'état Prêt pour Dév envoie l'incident vers l'état Prêt pour QA en lui affectant le code de cause Corrigé. Traduit en interactions humaines, cela signifie que lorsqu'un développeur déclare qu'une anomalie a été corrigée, il passe la main à un ingénieur QA qui peut alors facilement consulter la page Détails de l'incident pour y découvrir les raisons de la présence de cette anomalie dans sa boîte de réception (il est possible que l'anomalie s'y trouve parce que le développeur ne peut pas la corriger ou parce que le logiciel fonctionne comme prévu).

Si vous n'utilisez pas de codes de cause

Les codes de cause sont des mots-clés facultatifs susceptibles de limiter le nombre d'états de votre workflow. Par exemple, au lieu de définir plusieurs états de fermeture (Pas une Anomalie, Non Reproductible, Non Repro et Doublon), un seul état terminal suffit quand l'utilisation de codes de cause permet d'expliquer les raisons pour lesquelles l'état Fermé est affecté à l'anomalie. Si vous choisissez de vous passer des codes de cause, vous devrez probablement définir plusieurs états terminaux. Pour définir un état comme terminal, sélectionnez la case d'option Aucun (État Terminal) affiché parmi les choix dans le champ Propriétaire de l'État de la boîte de dialogue Propriétés de l'État.

Sujet parent : Propriétés d'une action


Onglet Champs d'Action Standard

L'onglet Champs d'Action Standard de la boîte de dialogue Nouvelle Action pour l'État permet de définir des propriétés relatives à l'utilisation et à l'apparence de la boîte de dialogue Action. Cela concerne plus spécifiquement les champs suivants :

  • Remarques pour l'action.
  • Informations de Release.
  • Numéro d'incident relatif.
Remarques pour l'action
Non Utilisé
La boîte de dialogue Action n'affiche pas le champ Remarques pour l'action lorsque l'utilisateur effectue l'action.
Optionnel
La boîte de dialogue Action affiche le champ Remarques pour l'action. Les utilisateurs peuvent saisir des informations supplémentaires sur l'action qu'ils effectuent.
Obligatoire
La boîte de dialogue Action affiche un champ Remarques pour l'action obligatoire. Les utilisateurs doivent saisir dans ce champ des informations supplémentaires sur l'action.
Informations de Release
Ce groupe vous permet de faire apparaître une liste dans la boîte de dialogue de l'action permettant aux utilisateurs de sélectionner la release pour laquelle l'action est effectuée. La release sélectionnée par l'utilisateur apparaît également dans un des champs automatiques de la page Détails de l'incident. Ces informations sont particulièrement utiles pour certains types d'action (par exemple, les actions liées à la confirmation, la correction et la vérification d'incidents). Ces informations sont inutiles pour les actions qui ne modifient pas l'état de l'incident. Le champ Informations de Release prend l'une de ces quatre valeurs :
Non Utilisé
La boîte de dialogue de l'action n'affiche pas la liste. La boîte de dialogue de l'action Ajouter un Commentaire ne présente pas de zone de liste pour les informations de release car ces informations ne sont pas nécessaires pour l'actionAjouter un Commentaire.

Si vous choisissez Non Utilisé (par exemple, si l'utilisateur ne fournit pas d'informations dans une zone de liste facultative dans la boîte de dialogue de l'action, ou si aucune action utilisant la liste n'a été effectuée), la page Détails de l'incident affiche un champ Action vide.

Optionnel ou Obligatoire
La boîte de dialogue de l'action affiche une liste optionnelle ou obligatoire dans laquelle l'utilisateur peut ou doit sélectionner une release. Le dernier champ automatique de la page Détails de l'incident affiche la release pour laquelle l'action a été effectuée. Vous devez spécifier le libellé de la liste dans le champ Libellé de façon appropriée pour l'action. Le libellé peut comporter jusqu'à 20 caractères, y compris les deux points. Le libellé par défaut du champ est Confirmé en : pour les actions de confirmation, Corrigé en : pour les actions de correction et Vérifié en : pour les actions de vérification. Le libellé apparaît à la fois sur la boîte de dialogue de l'action et sur la page Détails de l'incident. Les valeurs de la liste proviennent de la liste des releases spécifiée dans le module Administration.
Effacé
La valeur précédente dans le dernier champ automatique de la page Détails de l'incident est supprimée et le libellé du champ rétabli à la valeur par défaut : Action. Le champ Libellé du groupe Informations de Release est désactivé. Effacé est un choix pertinent lorsqu'une action remet un incident dans un état antérieur dans le workflow. Dans le workflow par défaut, de telles actions sont, par exemple, Rejeter et Réouvrir l'Anomalie. Par exemple, un développeur effectue une action Corrigé et saisi un numéro de release spécifique dans le champ Corrigé en. L'action fait passer l'incident dans l'état Prêt pour QA. L'ingénieur QA responsable de l'incident rejette l'allégation du développeur que le bug a été corrigé. L'action Rejeter refait passer l'incident de son état actuel, Prêt pour QA, à un état antérieur dans le workflow, Prêt pour Dév.

Lorsque le code cause d'une action est effacé, envisagez de choisir la valeur Effacé pour le champ Informations de Release.

La release sélectionnée par l'utilisateur dans la boîte de dialogue de l'action apparaît dans la page Détails de l'incident. Par exemple, supposons qu'un utilisateur effectue l'action Corrigé, sélectionne la release 4.1:prod dans la zone de liste Corrigé en, puis clique sur OK. Lorsque la page Détails de l'incident réapparaît, le champ Corrigé en affiche la release sélectionnée.

Numéro d'incident relatif
Ce champ vous permet de placer un champ de texte dans la boîte de dialogue de l'action permettant aux utilisateurs de saisir le numéro d'un incident en double ou en relation avec l'incident traité. Cette information est utile lorsque des utilisateurs effectuent l'action Marquer comme Dupliqué dans le workflow des anomalies ou l'action Déjà Fait dans le workflow des évolutions.
Non Utilisé
Le champ de texte n'apparaît pas dans la boîte de dialogue de l'action.
Optionnel ou Obligatoire

Un champ de texte optionnel ou obligatoire apparaît dans la boîte de dialogue de l'action. Vous devez spécifier le libellé du champ de texte. Le libellé peut comporter jusqu'à 20 caractères, y compris les deux points. Le libellé par défaut du champ dans le workflow des anomalies est : Copie de #. Le libellé par défaut du champ dans le workflow des évolutions est : Voir Aussi.

Le numéro d'incident spécifié par l'utilisateur dans la boîte de dialogue de l'action apparaît dans le champ Évènements, dans l'onglet Historique de la page Détails de l’incident. Par exemple, supposons qu'un utilisateur effectue l'action Marquer comme Dupliqué sur l'incident n° 8, spécifie l'incident n° 6 comme le doublon, puis clique sur OK. Lorsque la page Détails de l'incident réapparaît, le champ Évènements affiche la phrase Relatif à l'incident numéro n, où n est la valeur du champ Copie de #. Si le champ Copie de # est optionnel et si l'utilisateur ne le renseigne pas, le champ Évènements affiche alors le contenu du champ Remarques pour l'action.

Sujet parent : Propriétés d'une action


Onglet champs d'action personnalisés

L'onglet Champs d'action personnalisés de la boîte de dialogue Nouvelle action pour l'état vous permet d'ajouter des champs à la boîte de dialogue d'une action donnée.

Huit emplacements de champ
Ces champs s'affichent dans la boîte de dialogue d'action en plus des champs d'action standard. Par exemple, le champ Délai de correction, en heures peut être sélectionné pour apparaître dans la boîte de dialogue de l'action Corrigé dans l'état Prêt pour dév.
Sources
Les champs qui apparaissent dans les zones de liste de l'onglet Champs d'action personnalisés sont présents pour une des deux raisons suivantes :
  • Les champs personnalisés ont été définis dans Incidents > Configuration > Onglets d'incident personnalisés pour définir des champs personnalisés également visibles sur l'onglet Personnalisé des détails d'incident.
  • Les champs personnalisés ont été définis dans Incidents > Configuration > Ensemble de champs personnalisés, et ne s'appliquent qu'aux actions.
Définition de champs dans une boîte de dialogue d'action
  1. Cliquez sur Incidents > Configuration > Onglets d'incident personnalisés pour définir des champs personnalisés également visibles sur l'onglet Personnalisé des détails d'incident. Vous pouvez également utiliser des champs personnalisés créés dans Incidents > Configuration > Ensemble de champs personnalisés, qui ne s'appliquent qu'aux actions.
  2. Configurez les propriétés du champ comme indiqué dans la rubrique Propriétés de personnalisation de l'interface utilisateur.
  3. Les champs personnalisés ainsi créés peuvent ensuite être sélectionnés dans les zones de liste de l'onglet Champs d'action personnalisés.
  4. Pour chaque champ défini, vous pouvez sélectionner une option dans la liste pour spécifier si un champ est obligatoire et si un champ doit être vide avant qu'un testeur réalise l'action. Par défaut, les champs conservent les valeurs qui leur étaient attribuées lors de la définition et leur contenu n'est pas effacé.
    Remarque : Les cases à cocher ne peuvent pas être définies comme obligatoires et elles ne peuvent pas être désactivées.
    Option | Description
    --- Le champ conserve la valeur qui lui était attribuée lors de la définition, qu'il soit obligatoire ou non, et son contenu n'est pas effacé.
    Effacer | Le champ conserve la valeur qui lui était attribuée lors de la définition, qu'il soit obligatoire ou non, et son contenu est effacé.
    Obligatoire | Le champ est défini comme obligatoire et n'est pas désactivé. Cette option est disponible uniquement si le champ n'a pas déjà été défini comme obligatoire.
    Effacer et requis | Le champ est défini comme obligatoire et son contenu est effacé.
Sujet parent : Propriétés d'une action
Concepts associés
Personnalisation de la page Détails de l'incident


Onglet Autorisations

Dans l'onglet Autorisations, vous pouvez définir la sécurité des actions individuelles et restreindre ainsi les actions à certains groupes d'utilisateurs choisis.

Par défaut, Appliquer la Sécurité a pour valeur Non (ce qui signifie que tous les groupes ont l'autorisation d'effectuer toutes les actions). Ce paramètre apparaît dans la page Workflows (tous les groupes). Pour définir la sécurité, sélectionnez l'option Oui puis le ou les groupes qui auront l'autorisation d'effectuer l'action.

Prenons un exemple de définition de sécurité affectée à une action : quand un développeur ouvre une page Détails de l'incident pour un incident dans l'état Prêt pour Dév, l'action Pas Corrigeable est disponible. Toutefois quand un utilisateur non développeur ouvre la page Détails de l'incident pour la même anomalie, l'action est masquée.

Sujet parent : Propriétés d'une action


Assistant Intelligent

Le traitement des résultats de test par l'assistant intelligent utilise un jeu de quatre paires de codes de causes/états par défaut qui correspondent aux quatre états généraux définis pour les anomalies par le workflow par défaut.

Pour afficher ces états et codes de causes par défaut :

  1. Cliquez sur Configuration > Assistant Intelligent.
  2. Personnalisez le mappage entre les états généraux des anomalies et les codes spécifiques à Issue Manager.

    En cas de personnalisation du workflow par défaut des incidents, les états et les codes de causes utilisés pour le traitement des résultats doivent également être personnalisés. Par exemple, si l'administrateur modifie le workflow par défaut de manière que les incidents déclarés corrigés se voient assigner un état Non Vérifié, il doit également faire passer l'état des Incidents déclarés résolus mais pas encore testés de Prêt pour QA à Non Vérifié.

    En plus des états et des codes de causes spécifiés pour l'incident dans la page Assistant Intelligent, celui-ci utilise également l'état terminal défini pour le workflow de l'incident. Les états terminaux sont définis dans la page Workflows. L'état terminal par défaut est Fermé.

Sujet parent : Personnalisation des workflows


Archivage des incidents

Quand vous aurez utilisé Issue Manager un certain temps, peut-être aurez-vous des incidents dans la base de données qui n'auront plus d'intérêt pour votre activité courante, par exemple des incidents clos ou qui concernent des applications non prises en charge. Plus la base de données contient d'incidents, plus l'exécution des actions, par exemple des requêtes, est longue. L'archivage des incidents devrait améliorer les performances. Vous pouvez ensuite exécuter des actions sur un plus petit nombre d'incidents actifs (non archivés).

L'archivage des incidents correspond au déplacement des incidents par Issue Manager de DEFECT et des tables afférentes vers ARCHIVE et les tables afférentes. Toutes les informations concernant les incidents sont conservées. (À titre de comparaison, les incidents actifs restent conservés dans la table DEFECT et les utilisateurs peuvent leur appliquer les actions habituelles.)

Les utilisateurs peuvent afficher les incidents archivés dans la page Détails de l'incident mais ils ne peuvent pas leur appliquer des actions puisque ces incidents sont en lecture seule. Les incidents archivés n'apparaissent pas dans les boîtes de réception des utilisateurs. Toutefois, les utilisateurs peuvent toujours exécuter des requêtes, des rapports et des graphiques sur les incidents archivés. L'archivage cache des incidents présents dans la base de données mais ne les supprime pas.

Remarque : Il est fortement déconseillé de supprimer manuellement des incidents en raison du risque que cela comporte pour l'intégrité de vos données.

Pour réduire la taille de votre base de données de production, vous pouvez toutefois créer une nouvelle base de données personnalisée dans laquelle vous importerez uniquement les incidents actifs et les informations afférentes depuis la base de données d'origine.

Si vous archivez un incident qui est affiché à l'écran mais pas en cours de modification, l'utilisateur ne verra pas la modification jusqu'à ce qu'il se déconnecte et se reconnecte, qu'il quitte et redémarre, ou qu'il tente d'appliquer une action à l'incident.

Remarque : Issue Manager avertit les utilisateurs qu'ils ne peuvent pas appliquer d'action à des incidents archivés.
  • Archivage des incidents
    Indique comment archiver les incidents
Sujet parent : Administration de Issue Manager


Archivage des incidents

Pour archiver des incidents :

  1. Dans le menu, cliquez sur Incidents > Configuration > Archiver.
  2. Sélectionner l'application sur laquelle portent les incidents à archiver.
  3. Le champ Release est automatiquement renseigné et affiche toutes les releases de l'application sélectionnée. Sélectionner la release sur laquelle portent les incidents à archiver. Vous pouvez archiver des incidents portant sur plusieurs releases ; il vous suffit pour cela de sélectionner plusieurs releases. Utilisez la combinaison Ctrl + clic pour sélectionner des releases individuellement ou Maj + clic pour sélectionner une plage de releases.
  4. Cliquez sur le bouton Archiver.
  5. Cliquez sur Oui dans la boîte de dialogue de confirmation pour lancer le processus d'archivage.
Sujet parent : Archivage des incidents


Configuration des règles de notification par courriel

A l'aide des notifications par courriel, vous pouvez demander à Issue Manager d'envoyer des notifications automatiquement, à vous-même ou à d'autres personnes de votre organisation, lorsque des évènements notables se produisent, comme par exemple le changement d'état d'un incident.

Règles de notification par courriel

Des courriels peuvent être envoyés aux utilisateurs lorsque les évènements suivants se produisent :

  • Un incident est réassigné à une autre boîte de réception.
  • Un incident passe d'un état de workflow à un autre (par exemple, de Non vérifié à Prêt pour dév).
  • Une modification effectuée sur un incident génère une nouvelle entrée dans l'historique de celui-ci (par exemple, le composant sur lequel l'incident est signalé a changé).
  • Tout autre évènement spécial que vous définissez (par exemple, le support technique souhaite recevoir un courriel lorsqu'une anomalie particulière est corrigée).

Les évènements répertoriés ci-dessus sont appelés règles. Les trois premières règles sont prédéfinies et ne peuvent pas être modifiées. Vous pouvez définir autant de règles additionnelles pour des évènements particuliers que vous le souhaiter.

Notifications

Une notification de courriel demande à Issue Manager d'envoyer des courriels lorsqu'un évènement particulier se produit sur un incident. Une notification se compose d'une règle de notification par courriel spécifiant un évènement, de l'expéditeur et des destinataires du courriel, du corps du message et d'une ligne sujet, d'une introduction et d'une conclusion facultatifs.

Les utilisateurs doivent appliquer une notification à tous les incidents qui les intéressent. Seuls les utilisateurs disposant du privilège Notifications par courriel par incident peuvent ajouter des notifications aux incidents individuels.

Pour afficher les notifications d'un incident, cliquez sur l'icône Notifications de la page Détails de l'incident de l'incident.

Les règles peuvent aussi être utilisées dans des notifications qui s'appliquent à tous les incidents de la base de données. Ces notifications sont appelées notifications globales.

Seuls les utilisateurs disposant du privilège de sécurité Règles de notification par courrier électronique et notifications globales peuvent créer des notifications globales.
  • Définition des règles de notification par courriel
    Décrit comment définir des règles de notification par courriel.
  • Gestion des règles de notification par courriel
    Décrit le mode de gestion des règles de notification par courriel.
  • Suppression d'une boîte de réception
    Supprimez une boîte de réception si elle ne contient aucun incident, n'est pas référencée dans les règles de routage et n'est pas la boîte de réception par défaut d'un utilisateur.
  • Gestion de notifications globales
    Décrit le mode de gestion des notifications globales.
Sujet parent : Administration de Issue Manager
Concepts associés
Notification par courriel


Définition des règles de notification par courriel

Conditions préalables

Pour définir vos propres règles, vous devez :

  • Posséder le privilège Règles de notification par courrier électronique et notifications globales.
  • Maîtriser SQL, notamment comment composer une clause WHERE.
  • Maîtriser le schéma de base de données, notamment les colonnes de la vue et de la table relatives aux incidents, IM_V_Defects et IM_DefectHistory.
  • Maîtriser votre workflow et ses valeurs.

Conseils pour l'écriture des clauses SQL WHERE

Vous trouverez ci-dessous des conseils importants qui vous aideront à écrire syntaxiquement et sémantiquement des clauses WHERE valides.

Référencer à la fois IM_V_Defects et IM_DefectHistory

Vos clauses SQL WHERE nécessiteront probablement des références à IM_V_Defects et IM_DefectHistory. La vue IM_V_Defects stocke des informations qui sont actuelles pour un incident alors que la table IM_DefectHistory conserve un enregistrement de toutes les actions qui ont été effectuées sur un incident, ainsi que les impacts de ces modifications sur certains champs d'incidents.

Par exemple, IM_DefectHistory stocke une assignation de boîte de réception d'un incident avant qu'une action soit effectuée, ainsi que l'assignation de la boîte de réception après l'action. Ces colonnes sont AssignedIN pour l'assignation de boîte de réception avant l'action et AssignedOUT pour la nouvelle boîte de réception.

Toutes les actions effectuées sur des incidents sont enregistrées dans le champ ActionCode de la table IM_DefectHistory. Ces actions apparaissent sous la forme de codes action dans la colonne Action de l'onglet Historique. Vous avez peut-être remarqué des codes tels que CORRIGE et VERIFIE dans l'exemple de base de données.

Pour visualiser les codes action pour la plupart des actions de votre base de données, consultez la boîte de dialogue Modifier l'Action de l'Etat de chaque état (les exceptions sont SAISI, REASSIGNE et MODIFIE, qui sont figées dans le code et ne peuvent pas être consultées). Pour accéder à la boîte de dialogue Modifier l’Action de l’Etat, accédez à Incidents > Configuration > Workflows et cliquez sur le nom d'un état dans la colonne Libellé du Bouton. Consultez la valeur du champ Code Action de l'Historique.

Utiliser des alias
Les vues et les tables doivent être référencées par des alias. Vous devez utiliser l'alias D pour référencer la vue IM_V_Defects et l'alias DH pour référencer la table IM_DefectHistory.
Identification des champs personnalisés

Les champs personnalisés sont identifiés dans la vue IM_V_Defects en tant que Custom1 , Custom2 etc., en fonction de leur position dans les onglets. Chaque onglet personnalisé comporte un maximum de 10 champs, 1 à 10, 11 à 20, etc. Dans l'Onglet Personnalisé 1, les cinq premiers champs apparaissent en ordre décroissant dans la colonne de gauche ; les champs 6 à 10 apparaissent en ordre décroissant dans la colonne de droite.

Pour trouver le nom de schéma d’un champ personnalisé spécifique, accédez à Incidents > Configuration > Onglets d’Incident Personnalisés. Par exemple, dans la boîte de dialogue de l'exemple de base de données, la case Ajouter une Note de Release? est le quatrième champ de la colonne de gauche de l'Onglet Personnalisé 1, tout comme Custom4 dans la table des incidents.

Remarque : Si vous modifiez la position d'un champ personnalisé, vous devrez mettre à jour toute règle de notification par courriel qui se réfère au champ.
Les modifications apportées aux champs personnalisés ne sont pas suivies
Issue Manager n'effectue pas le suivi des modifications apportées aux champs personnalisés dans la table IM_DefectHistory. Vous pouvez vérifier la valeur actuelle d'un champ personnalisé mais vous ne pouvez pas référencer une valeur antérieure. Par exemple, la clause WHERE peut tester si la case Ajouter une Note de Release? est cochée mais elle ne peut pas capturer une modification de la valeur de la case à cocher, de « décochée » à « cochée ».
Accès aux valeurs des cases à cocher

La valeur d'une case non cochée est '.' (un point). La valeur d'une case cochée est 'X' (X en majuscule).

Par exemple, pour récupérer tous les incidents pour lesquels la case Ajouter une Note de Release? est cochée, vous indiquez l'élément suivant dans la clause WHERE :

D.Custom4 = 'X'

Exemples de règles

Vous trouverez ci-dessous quatre situations dans lesquelles vous souhaiterez peut-être créer une nouvelle règle. Les deux premières situations suggèrent des règles utilisées dans les notifications d'incidents spécifiques. Les deux dernières situations suggèrent des règles utilisées dans des notifications globales. A la suite de chaque exemple, vous trouverez la clause WHERE écrite pour l'exemple de base de données.

Exemple 1

Le support technique ainsi que d'autres groupes souhaitent savoir lorsque la correction d'une anomalie spécifique a été vérifiée comme étant corrigée.

La clause WHERE se présente ainsi :

DH.ActionCode = 'VERIFIED'

La valeur de ActionCode dans la table IM_DefectHistory est mise à jour chaque fois qu'un utilisateur effectue une action ; en conséquence, le support technique ne recevra le courriel qu'une seule fois, lorsque l'action Vérifier provoque la saisie du code action VERIFIE dans la table IM_DefectHistory et dans l'onglet Historique.

Si la clause était écrite à la place en référence au Code cause (nommé Disposition dans la base de données) :

D.Disposition = 'FIXED'

alors le support technique recevrait certainement le courriel plusieurs fois car le code cause resterait CORRIGE dans la base de données. Un utilisateur qui ajouterait ultérieurement un commentaire ou enregistrerait l'incident déclencherait un courriel car la règle correspondrait toujours.

Exemple 2

Un utilisateur quelconque, qui n'agit pas sur les anomalies, souhaite savoir ce qui est arrivé à l'anomalie qu'il a saisie. Notamment, il souhaite recevoir un courriel lorsque l'anomalie a attiré l'attention d'un développeur. En termes de workflow, cela signifie que l'incident vient juste de quitter l'état Prêt pour Dév (Dev-Ready) et, en conséquence, la clause WHERE doit tester la modification de l'état après l'action.

La clause WHERE se présente ainsi :

DH.StatusIN = 'Dev-Ready'
AND DH.StatusOUT <> 'Dev-Ready'

L'état était Prêt pour Dév (Dev-Ready) avant l'action mais après l'action du développeur, l'anomalie a pris un autre état.

Exemple 3

Le département de documentation envoie tous les problèmes documentation à une boîte de réception de groupe, Doc (Product A), au lieu d'utiliser la boîte de réception d'un utilisateur, Judy -- Doc, par exemple. Le gestionnaire de la documentation souhaite recevoir un courriel lorsqu'un incident entre dans la boîte de réception.

La clause WHERE se présente ainsi :

DH.AssignedIN <> 'Doc (Product A)'
AND DH.AssignedOUT = 'Doc (Product A)'

Elle indique qu'un courriel doit être envoyé lorsque la boîte de réception avant l'action n'était pas Doc (Product A) mais après l'action est Doc (Product A). Le courriel ne sera envoyé qu'une seule fois, lorsque le problème documentation est routé vers Doc (Product A).

Notez que sans la première partie de la clause WHERE, le gestionnaire de documentation recevrait un courriel lorsque n'importe quelle action aurait été effectuée sur le problème documentation lorsqu'il était assigné à Doc (Product A). Bien que la règle soit susceptible de générer un grand nombre de courriels, puisque la notification doit être appliqué globalement, les deux lignes de la clause WHERE limitent la règle à un seul événement : lorsque la boîte de réception devient Doc (Product A).

Il n'est pas nécessaire que la règle indique que le type d'incident soit PB DOCUMENTATION, bien que cela ne soit pas incorrect puisque Doc (Product A) ne contient que des incidents relatifs à la documentation.

Exemple 4

Le gestionnaire de release souhaite recevoir un courriel au cours du mois suivant avant une release majeure relative aux anomalies les plus graves qui ne peuvent pas être corrigées. La clause WHERE doit tester la sévérité, Product B et le code action Pas Corrigeable (Cannot-Fix) assignés lorsqu'un développeur effectue l'action Pas Corrigeable.

La clause WHERE se présente ainsi :

D.Severity = '1: Fatal/Data Loss'
AND DH.ActionCode = 'Cannot-Fix'
AND D.ProductCode = 'Product B'

Ces restrictions sont nécessaires car si la clause WHERE teste seulement la sévérité alors la règle correspondra chaque fois que l'incident est modifié et enregistré car la sévérité ne changera pas tant qu'un utilisateur ne la modifie pas explicitement.

Le gestionnaire de release recevra peut-être un grand nombre de courriels, notamment si cette règle est appliquée par une notification globale. Néanmoins, il peut facilement supprimer la notification une fois que le cycle de release est terminé.

Conseils de rédaction d'une clause WHERE

Travaillez du général vers le spécifique. Tout d'abord, prenez en considération les situations d'entreprise générales qui peuvent requérir des règles de notification par courriel. Vous pouvez demander à tous les utilisateurs Issue Manager quand ils souhaitent recevoir un courriel relatif à des incidents. Définissez précisément les informations que chaque utilisateur souhaite retirer du courriel. Par exemple, un utilisateur peut vous indiquer qu'il souhaite savoir quand une anomalie est corrigée. Après une discussion approfondie, vous découvrirez peut-être que ce qu'il souhaite vraiment savoir est quand l'anomalie est vérifiée par un ingénieur QA. Cette différence subtile peut nécessiter une clause WHERE différente.

Ensuite, lorsque vous êtres satisfait de votre compréhension des besoins des utilisateurs, traduisez la situation en termes de workflow de votre organisation.

Enfin, rédigez la clause SQL WHERE. Tentez de tester la clause WHERE par l'intermédiaire d'une requête avancée afin de vous assurer que vous indiquez les conditions exactement comme prévu.

D'une manière générale, les règles relatives aux notifications sur des incidents spécifiques doivent être écrites de manière simple et générique alors que les règles relatives aux notifications globales doivent être aussi précises et restrictives que possible pour éviter un excès de courriels.

Demandez-vous si les utilisateurs souhaitent recevoir des notifications une seule fois ou chaque fois qu'une modification est apportée. Si un utilisateur ne veut recevoir un courriel qu’une seule fois, rendez les règles plus restrictives.

Sujet parent : Configuration des règles de notification par courriel
Tâches associées
Définition des règles de notification


Gestion des règles de notification par courriel

Vous devez disposer du privilège de sécurité Règles de notification par courrier électronique et notifications globales pour ajouter, modifier ou supprimer des règles de notification par courriel.
Pour ajouter, modifier ou supprimer des règles de notification par courriel :
  1. Cliquez sur Incidents > Configuration > Règles de notification.
  2. Selon la tâche que vous souhaitez réaliser, procédez de la manière indiquée ci-dessous :
    Ajout d'une règle

    Cliquez sur le bouton Ajouter une règle. La boîte de dialogue Nouvelle règle de notification s'affiche. Rendez-vous à l'étape 3.

    Modification d'une règle prédéfinie
    Les règles prédéfinies ne peuvent pas être modifiées.
    Suppression d'une règle prédéfinie
    Les règles prédéfinies ne peuvent pas être supprimées.
    Modification d'une règle que vous avez créée

    Cliquez sur l'icône Modifier (dans la colonne Actions) de la règle que vous souhaitez modifier. Poursuivez comme indiqué à l'étape 3.

    Suppression d'une règle que vous avez créée

    Cliquez sur l'icône Supprimer (dans la colonne Actions) de la règle que vous souhaitez supprimer. Cliquez sur OK dans la boîte de dialogue de confirmation pour valider la suppression.

  3. Spécifiez ou modifiez les propriétés suivantes dans la boîte de dialogue Nouvelle règle de notification :
    Nom de la règle
    Nom unique requis, d'une longueur maximale de 30 caractères. Utilisez un nom descriptif pour faciliter la tâche des utilisateurs qui assignent les règles selon leur nom.
    Description
    Description facultative de l'événement déclencheur, d'une longueur maximale de 250 caractères.
    Clause WHERE
    Description obligatoire de la clause WHERE spécifiant l'événement déclencheur, d'une longueur maximale de 250 caractères. Ne saisissez pas le mot-clé WHERE.
  4. Cliquez sur OK pour enregistrer vos paramètres ou sur Annuler pour quitter sans enregistrer.

Une fois que vous avez défini les règles, assurez-vous de :

Spécifier les adresses électroniques de tous les utilisateurs
Pour utiliser la notification par courriel, un utilisateur doit avoir une adresse électronique valide spécifiée dans son compte d'utilisateur.
Demander à votre administrateur de base de données d'activer la notification par courriel
Une fois la fonctionnalité activée, l'icône Notifications apparaît dans la page Détails de l'incident.
Informez vos utilisateurs
Informez vos utilisateurs des règles disponibles et de ce que chaque règle accomplit. Les utilisateurs peuvent afficher les règles en sélectionnant Incidents > Configuration > Règles de notification.
Sujet parent : Configuration des règles de notification par courriel
Tâches associées
Configuration des comptes utilisateurs


Gestion de notifications globales

Les rubriques suivantes décrivent la gestion des notifications globales.

Remarque : Vous devez disposer du privilège de sécurité Règles de notification par courrier électronique et notifications globales pour ajouter, modifier ou supprimer des notifications globales.
  • Ajout de notifications globales
    Indique comment ajouter une notification globale.
  • Modification de notifications globales
    Décrit comment modifier des notifications globales existants.
  • Suppression de notifications globales
    Décrit comment supprimer des notifications globales.
  • Saisie des paramètres dans le sujet d'une notification
    Décrit les paramètres que vous pouvez utiliser dans le champ de sujet d'une notification.
  • Activation d'une notification par courriel de base
    Décrit comme activer une notification par courriel de base.
  • Affichage de notifications globales
    Décrit comment afficher des notifications globales.
Sujet parent : Configuration des règles de notification par courriel
Tâches associées
Définition des notifications par courriel
Ajout de notifications globales


Ajout de notifications globales

  1. Cliquez sur Incidents > Configuration > Notifications globales. Toutes les notifications globales existantes sont répertoriées dans cette liste.
  2. Cliquez sur Ajouter une notification globale.
  3. Dans la boîte de dialogue Ajouter une notification, sélectionnez un nom de règle dans la liste.
  4. Sélectionnez une case d'option dans la zone De de la boîte de dialogue pour indiquer quelle devra être l'adresse de retour :
    • L'utilisateur qui modifie l'incident (et qui par conséquent lance la notification).
    • un autre utilisateur (dans ce cas, sélectionnez un utilisateur dans la liste).
  5. Saisissez l'adresse électronique du ou des destinataires dans le champ A, en séparant les entrées par des virgules. Vous avez également la possibilité de sélectionner des utilisateurs dans la liste Ajouter une adresse.
    Remarque : Vous pouvez saisir n'importe quelle adresse électronique dans le champ A, mais seuls les utilisateurs ayant une adresse électronique spécifiée dans leur compte utilisateur figureront dans la liste Ajouter une adresse. C'est pourquoi il est recommandé de définir une adresse électronique pour chacun des comptes utilisateur.
  6. Si vous le souhaitez, vous pouvez remplir les champs optionnels réservés au texte des messages :
    • Sujet est une ligne permettant d'indiquer le sujet du message (optionnel, jusqu'à 80 caractères).
    • Introduction permet de saisir un texte d'introduction (optionnel, jusqu'à 250 caractères).
  7. Choisissez le type de contenu du message :
    • Contenus possibles :
      • Résumé de l'incident : informations figurant dans la moitié supérieure de la page Détails de l'incident.
      • Résumé de l'incident avec sa description : résumé de l'incident, auquel s'ajoutent les informations émanant de l'onglet Description.
      • Détails complets de l'incident : toutes les informations relatives à l'incident (option par défaut).
    • Annonce est un champ de signature optionnel (jusqu'à 250 caractères).
  8. Cliquez sur OK pour enregistrer la notification et fermer la boîte de dialogue.
Pour modifier la notification, cliquez sur le Nom de la règle. Pour supprimer la notification, cliquez sur [image] (Retirer la notification globale) de la colonne Actions. Pour créer une copie de la notification, cliquer sur [image].
Remarque : Vous devez posséder le privilège de sécurité Règles de notification par courrier électronique et notifications globales pour définir les notifications globales.
Sujet parent : Gestion de notifications globales
Concepts associés
Saisie des paramètres dans le sujet d'une notification
Gestion de notifications globales
Tâches associées
Définition des notifications par courriel


Modification de notifications globales

  1. Cliquez sur Incidents > Configuration > Notifications globales. Toutes les notifications globales existantes sont répertoriées dans cette liste.
  2. Cliquez sur l'icône Modifier de la colonne Actions de la notification que vous souhaitez modifier.
  3. Dans la boîte de dialogue Ajouter une notification, sélectionnez un nom de règle dans la liste.
  4. Sélectionnez une case d'option dans la zone De de la boîte de dialogue pour indiquer quelle devra être l'adresse de retour :
    • L'utilisateur qui modifie l'incident (et qui par conséquent lance la notification).
    • un autre utilisateur (dans ce cas, sélectionnez un utilisateur dans la liste).
  5. Saisissez l'adresse électronique du ou des destinataires dans le champ A, en séparant les entrées par des virgules. Vous avez également la possibilité de sélectionner des utilisateurs dans la liste Ajouter une adresse.
    Remarque : Vous pouvez saisir n'importe quelle adresse électronique dans le champ A, mais seuls les utilisateurs ayant une adresse électronique spécifiée dans leur compte utilisateur figureront dans la liste Ajouter une adresse. C'est pourquoi il est recommandé de définir une adresse électronique pour chacun des comptes utilisateur.
  6. Si vous le souhaitez, vous pouvez remplir les champs optionnels réservés au texte des messages :
    • Sujet est une ligne permettant d'indiquer le sujet du message (optionnel, jusqu'à 80 caractères).
    • Introduction permet de saisir un texte d'introduction (optionnel, jusqu'à 250 caractères).
  7. Choisissez le type de contenu du message :
    • Contenus possibles :
      • Résumé de l'incident : informations figurant dans la moitié supérieure de la page Détails de l'incident.
      • Résumé de l'incident avec sa description : résumé de l'incident, auquel s'ajoutent les informations émanant de l'onglet Description.
      • Détails complets de l'incident : toutes les informations relatives à l'incident (option par défaut).
    • Annonce est un champ de signature optionnel (jusqu'à 250 caractères).
  8. Cliquez sur OK pour enregistrer la notification et fermer la boîte de dialogue.
Sujet parent : Gestion de notifications globales


Suppression de notifications globales

  1. Cliquez sur Incidents > Configuration > Notifications globales. Toutes les notifications globales existantes sont répertoriées dans cette liste.
  2. Cliquez sur l'icône Supprimer dans la colonne Actions de la notification que vous souhaitez supprimer.
  3. Cliquez sur Oui dans la boîte de dialogue de confirmation afin de confirmer la suppression.
Sujet parent : Gestion de notifications globales


Saisie des paramètres dans le sujet d'une notification

Vous pouvez saisir des paramètres dans le champ de sujet d'une notification afin de générer un sujet dynamique pour les notifications par courriel.

Vous pouvez saisir les paramètres suivants dans le champ de sujet :

{ID}
Retourne le numéro d'incident
{PROJ}
Retourne le nom du projet
{PROD}
Retourne l'application
{COMP}
Retourne le composant
{USER}
Retourne l'utilisateur qui a modifié l'incident
{RULE}
Retourne le nom de la règle qui a déclenché la notification
{SYN}
Retourne le synoptique
{STATE}
Retourne l'état actuel de l'incident
{SEV}
Retourne la sévérité
{REASON}
Retourne le code cause actuel de l'incident
{CUSTOM1-40}
Retourne le champ personnalisé du nombre indiqué, par exemple, {CUSTOM3} retourne la valeur stockée dans le champ personnalisé 3.

Par exemple, si vous souhaitez créer une notification par courriel qui vous informe de chaque changement de l'état d'un incident, vous pouvez ajouter le texte suivant dans le champ de sujet :

State of issue {ID} was changed by {user}.

Si Bill corrige l’incident actuel ouvert n° 2, vous recevrez une notification par courriel avec le sujet suivant :

State of issue 2 was changed by bpetersson.
Sujet parent : Gestion de notifications globales


Activation d'une notification par courriel de base

Un paramètre de notification de base qui peut être activé par tout utilisateur, quelles que soient les autorisations assignées, permet aux utilisateurs de recevoir une notification lorsqu'un autre utilisateur apporte une modification à un incident de leur boîte de réception, ou d'assigner un nouvel incident aux utilisateurs.

Remarque : Vous pouvez configurer l'objet et le contenu de ces notifications dans le fichier SRFrontendBootConf.xml.
  1. Cliquez sur Configuration > Préférences.
  2. Cochez la case Me notifier lorsque des utilisateurs m'assignent des incidents ou apportent des modifications à des incidents de ma boîte de réception.
Sujet parent : Gestion de notifications globales


Affichage de notifications globales

Lorsqu'un utilisateur coche la case Afficher les notifications globales dans chaque boîte de dialogue de notifications d'incidents (Incidents > Configuration > Préférences), tous les déclencheurs globaux sont répertoriés dans l'onglet Notification de chaque incident. Toute notification assignée à l'incident actif est également répertoriée.

  1. Cliquez sur Incidents > Configuration > Préférences.
  2. Cochez la case Afficher les notifications globales dans chaque boîte de dialogue de notifications d'incidents.
Sujet parent : Gestion de notifications globales


Rapports

  • Datamart de reporting
    Décrit le datamart de reporting et comment l'utiliser pour une création facile et rapide de rapports.
  • Espace de création de rapports
    Décrit les rubriques de l'espace de création de rapports.
  • Analyse de Code
    Décrit l'analyse de la couverture de code avec Silk Central.
  • Rapports par défaut
    Décrit les rapports par défaut.
Sujet parent : Suivi des incidents et analyse des résultats
Concepts associés
Rapports (Issue Manager)


Datamart de reporting

Silk Central offre un datamart permettant un accès facile aux données les plus importantes. Il facilite la création de rapports et améliore les performances grâce à des requêtes SQL beaucoup plus simples.

  • Vue d'ensemble
    Décrit les avantages du datamart de reporting.
  • Architecture
    Décrit l'architecture du datamart de reporting.
  • Création de rapports à l'aide du datamart
    Décrit comment créer des rapports à l'aide des vues du datamart, avec des exemples concrets.
  • Dépannage
    Répond aux questions que vous vous posez concernant le datamart.
  • Référence : Tables et vues de datamart
    Décrit les tables et les vues de datamart à disposition pour un reporting facile et rapide.
Sujet parent : Rapports


Vue d'ensemble

Le datamart de reporting Silk Central permet d'accéder facilement aux données à des fins de reporting. Il déplace les données des tables de production vers les vues dédiées qui doivent être utilisées pour la création de rapports avancés. Les avantages sont, notamment :
  • Dénomination claire des tables et des vues, ce qui vous permet de localiser rapidement les données recherchées.
  • Données prétraitées, ce qui vous permet d'accéder aux données agrégées sans avoir à les calculer par vous-même.
  • Performances optimisées, car les rapports peuvent utiliser des requêtes SQL beaucoup plus simples et rapides.
  • Dépendance réduite sur la charge de la base de données de production, ce qui améliore également les performances et supprime les pics de charge.
La version actuelle du datamart couvre l'espace de résultats. D'autres espaces destinés au reporting seront ajoutés au datamart dans les prochaines releases. Les tables et vues suivantes sont actuellement disponibles :
  • La table DM_TestStatus constitue la table de base des vues relatives à l'état.
  • La vue RV_TestStatusExtended fournit des informations détaillées pour une exécution de test précise.
  • La vue RV_LatestTestStatus fournit l'état et des informations étendues sur la dernière exécution d'un test dans le cadre d'un plan d'exécution et d'un build donnés.
  • La vue RV_LatestFinishedTestStatus fournit l'état et des informations étendues sur la dernière exécution d'un test dans le cadre d'un plan d'exécution et d'un build donnés. Cette vue fournit des informations similaires à celles de la vue RV_LatestTestStatus, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
  • La vue RV_MaxTestRunID permet de récupérer le dernier ID d'exécution de test de chaque combinaison de test, plan d'exécution et build.
  • La vue RV_MaxFinishedTestRunID permet de récupérer le dernier ID d'exécution de test de chaque combinaison de test, plan d'exécution et build. Cette vue fournit des informations similaires à celles de la vue RV_MaxTestRunID, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
  • La vue RV_TestingCycleStatus fournit des informations sur l'état des cycles de test.
  • La vue RV_ExecutionPlanStatusPerBuild récupère les totaux des derniers états de test de chaque plan d'exécution dans le cadre de builds.
  • La vue RV_EPFinishedStatusPerBuild récupère les totaux des derniers états de test de chaque plan d'exécution dans le cadre de builds. Cette vue fournit des informations similaires à celles de la vue RV_ExecutionPlanStatusPerBuild, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
  • La vue RV_ExecutionPlanStatusRollup récupère les totaux des tests réussis, en échec et non exécutés par plan d'exécution ou dossier dans le cadre d'un build.
  • La vue RV_EPFinishedStatusRollup récupère les totaux des tests réussis, en échec et non exécutés par plan d'exécution ou dossier dans le cadre d'un build. Cette vue fournit des informations similaires à celles de la vue RV_ExecutionPlanStatusRollup, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
  • La vue RV_ConfigurationSuiteStatus répertorie les totaux par état pour toutes les suites de configurations et les configurations par build.
  • La vue RV_ConfigSuiteFinishedStatus répertorie les totaux par état pour toutes les suites de configurations et les configurations par build. Cette vue fournit des informations similaires à celles de la vue RV_ConfigurationSuiteStatus, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.

Vous pouvez télécharger un fichier .zip comportant des informations détaillées sur le schéma de base de données de Silk Central. Dans le menu, cliquez sur Aide > Documentation, puis sur Schéma de base de données Silk Central pour télécharger le fichier .zip.

Sujet parent : Datamart de reporting


Architecture

Les données sont régulièrement extraites en arrière-plan des tables de la base de données de production, puis chargées dans les tables et les vues du datamart, permettant ainsi des recherches faciles et rapides. Si la base de données n'est pas trop chargée, ces données sont généralement disponibles en moins d'une minute après la validation des modifications effectuées. Si vous vous connectez en tant qu'administrateur système, vous pouvez vérifier l'état actuel du processus de chargement de données. Pour cela, accédez à http://<server>:<port>/sctm/check/db et consultez la Table DM_TestStatus.

Remarque : Si vous effectuez une mise à jour depuis une version de Silk Central qui ne comprenait pas de datamart (versions antérieures à la 13.0), les tables et les vues de datamart sont initialement alimentées avec des données issues du système de production. Selon la taille de votre base de données, ce processus peut prendre du temps. Une fois le processus terminé, vous pouvez accéder aux données.

Architecture du datamart

Sujet parent : Datamart de reporting


Création de rapports à l'aide du datamart

Les exemples suivants illustrent comment créer des rapports utiles à l'aide des vues du datamart.

  • Ecriture de requêtes de datamart
    Ecrivez des requêtes SQL avancées pour créer des rapports.
  • Fiabilité des tests d'un plan d'exécution
    Explique comment créer un rapport qui répertorie les résultats d'un test donné dans le cadre d'un plan d'exécution spécifique, ce qui vous permet d'observer les variations des résultats du test au fil du temps.
  • Tous les tests en échec d’un dossier d’exécution
    Explique comment créer un rapport qui répertorie tous les tests en échec dans un dossier d'exécution.
  • Etat d’un cycle de test
    Explique comment créer un rapport qui affiche l'état actuel d'un cycle de test par testeur et par build.
  • État de l'arborescence des exécutions
    Explique comment créer un rapport qui indique le nombre de tests réussis, en échec et non exécutés groupés par build, pour un dossier d'organisation des exécutions spécifique.
  • État d'une suite de configurations
    Explique comment créer un rapport qui indique le nombre de tests réussis, en échec et non exécutés, par build et pour chaque configuration.
Sujet parent : Datamart de reporting


Ecriture de requêtes de datamart

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans l'arborescence Rapports, sélectionnez le dossier dans lequel vous voulez afficher le nouveau rapport. Ceci détermine l'emplacement de stockage du rapport dans l'arborescence de répertoires.
  3. Cliquez sur Nouveau Rapport Enfant dans la barre d'outils. La boîte de dialogue Créer un Nouveau Rapport s'ouvre.
  4. Indiquez le nom du nouveau rapport. Il s'agit du nom affiché dans l'arborescence Rapports.
  5. Cochez la case Partager ce rapport avec d'autres utilisateurs si vous voulez que ce rapport soit accessible à d'autres utilisateurs.
  6. Saisissez une description du rapport dans le champ Description.
  7. Cliquez sur Requête avancée pour ouvrir le champ Requête de données de rapport. Insérez le code précédemment écrit si nécessaire ou écrivez le nouveau code directement dans le champ. La liste Insérer un espace réservé vous aide à modifier les requêtes SDL en utilisant des espaces réservés de fonction prédéfinis. Pour plus de détails, consultez la section Fonctions SQL pour les rapports personnalisés.
    Remarque : Si vous éditez manuellement du code SQL pour la requête, cliquez sur Vérifier le SQL afin de confirmer votre saisie.
  8. Cliquez sur Terminer pour enregistrer vos paramètres.
Sujet parent : Création de rapports à l'aide du datamart


Fiabilité des tests d'un plan d'exécution

Problème

Dans un environnement d'intégration continue, les tests sont idéalement exécutés au moins une fois par jour afin de tester le build quotidien et de garantir la qualité de l'application testée. Pour connaître la fiabilité de votre série de tests et savoir si la qualité de l'application testée est correctement mesurée, il est indispensable d'examiner de temps en temps les variations des résultats dans le temps. Votre série de tests peut, par exemple, contenir des tests dont l'état change fréquemment, et qui, par conséquent, ne mesurent pas réellement la qualité.

Solution

Utilisez la vue datamart RV_TestStatusExtended pour créer un rapport qui répertorie les résultats d'un test donné dans le cadre d'un plan d'exécution spécifique. Vous pourrez ainsi constater comment les résultats de ce test ont évolué au fil du temps. Pour des raisons pratiques, nous allons restreindre la liste des résultats aux résultats associés aux builds marqués, et examiner ainsi uniquement des builds intermédiaires spécifiques de l'application testée. Ce rapport collecte les données de résultats de test pour des tests effectués dans le cadre de plans d'exécution et de builds. Dans la requête suivante, nous avons :

  • Sélectionné les colonnes que nous souhaitons afficher à partir de cette vue.
  • Limité les résultats à l'ID du test que nous souhaitons examiner et à l'ID du plan d'exécution auquel le test appartient.
  • Ajouté une contrainte pour ne prendre en compte que les builds marqués.
SELECT TestName, ExecutionPlanName, VersionName, BuildName, TestRunID,
  PassedCount, FailedCount, NotExecutedCount
FROM RV_TestStatusExtended
WHERE TestID = ${TESTID|1|Test ID} AND ExecutionPlanID = ${EXECUTIONPLANID|1|Execution Plan ID} AND BuildIsTagged = 1
ORDER BY BuildOrderNumber
La requête SQL renvoie toutes les exécutions de test pour le test sélectionné dans le plan d'exécution sélectionné. Dans l'exemple suivant, le test a été réexécuté avec le build 579_Drop2 :
TestName | Execution PlanName | Version Name | BuildName | TestRunID | Passed Count | FailedCount | NotExecutedCount
UI Tests | EN|SQL2012|IE9|IIS | 3.0 | 579_Drop02 | 7741797 | 59 | 5 | 0
UI Tests | EN|SQL2012|IE9|IIS | 3.0 | 579_Drop02 | 7745078 | 63 | 1 | 0
UI Tests | EN|SQL2012|IE9|IIS | 3.0 | 593_Drop03 | 7787437 | 63 | 1 | 0
UI Tests | EN|SQL2012|IE9|IIS | 3.0 | 605_Drop04 | 7848720 | 63 | 1 | 0
Sujet parent : Création de rapports à l'aide du datamart


Tous les tests en échec d’un dossier d’exécution

Problème

Généralement, tous les plans d'exécution sont structurés dans une hiérarchie de dossiers qui identifie les différents domaines ou champs d'application auxquels les plans d'exécution et leurs tests sont associés. Les plans d'exécution sont déclenchés régulièrement dans un environnement d'intégration continue, ou occasionnellement dans l'intervalle de temps couvert par la release, générant dès lors de bonnes statistiques d'exécution, mais uniquement pour chaque plan d'exécution malheureusement.

Toutefois, vous avez parfois besoin d'informations globales pour connaître le fonctionnement de tous vos tests dans un domaine ou un champ d'application spécifique, afin de localiser les faiblesses.

Solution

Utilisez la vue datamart RV_LatestTestStatus pour créer un rapport contenant la liste de tous les tests en échec pour un niveau donné de la hiérarchie d'organisation des exécutions.

La requête suivante sélectionne des tests en échec figurant dans un dossier d'organisation des exécutions, ainsi que des informations contextuelles telles que le nom du plan d'exécution et le nom du build :

SELECT TestID, TestName, ExecutionPlanID, ExecutionPlanName, BuildName
FROM RV_LatestTestStatus lts
INNER JOIN TM_ExecTreePaths ON lts.ExecutionPlanID = TM_ExecTreePaths.NodeID_pk_fk
WHERE TM_ExecTreePaths.ParentNodeID_pk_fk = ${executionFolderID|2179|Execution Folder ID}
  AND StatusID = 2
ORDER BY TestName
La requête fonctionne comme suit :
  • Elle utilise la vue RV_LatestTestStatus pour récupérer les résultats de la dernière exécution de test.
  • Elle inclut la hiérarchie de l'arborescence des exécutions (TM_ExecTreePaths) pour pouvoir rechercher tous les tests dans tous les plans d'exécution de la hiérarchie.
  • Elle utilise l'ID de dossier de niveau supérieur à partir duquel l'analyse doit débuter, comme ParentNodeID_pk_fk.
  • Elle inclut uniquement les tests en échec (StatusID = 2).

StatusID figure dans la table TM_TestDefStatusNames.

La requête SQL renvoie tous les tests du dossier d'exécution sélectionné, dont la dernière exécution a échoué.
TestID | TestName | ExecutionPlanID | ExecutionPlanName | BuildName
14073 | JUnitTestPackage | 2184 | CI Testing | 352
14107 | Volatile Tests | 2191 | Volatile Test | 352
Sujet parent : Création de rapports à l'aide du datamart


Etat d’un cycle de test

Problème

Les cycles de test peuvent être des objets complexes car ils contiennent des informations sur les testeurs manuels, les tests, les différents builds et versions des applications, voire même des configurations. Pour ne pas perdre le fil, il est important d'obtenir les réponses aux questions suivantes :

  • Combien de tests ont été réalisés ?
  • Combien d'entre eux ont réussi ou ont échoué, par build ?
  • Mes testeurs manuels sont-ils toujours occupés ou peuvent-ils effectuer d'autres tâches ?

Solution

Utilisez la vue de datamart RV_TestingCycleStatus pour créer un rapport qui affiche l'état d'un cycle de test par testeur et par build, vous offrant ainsi un aperçu du nombre de tests réussis, en échec, non exécutés, groupés par testeur manuel, par configuration et par build.

SELECT BuildName, TesterLogin, TesterExecutionName,
  PassedCount, FailedCount, NotExecutedCount
FROM RV_TestingCycleStatus
WHERE TestingCycleID = ${testingCycleID|3|Testing Cycle ID}
ORDER BY BuildOrderNumber, TesterLogin
La requête fonctionne comme suit :
  • Elle utilise la vue RV_TestingCycleStatus comme source de données, car elle contient les éléments BuildName, TesterLogin et TesterExecutionName représentant les noms générés qui reflètent le testeur, la configuration et le test.
  • Limite les données à l'ID du cycle de test qui vous intéresse.
Le résultat de la requête SQL affiche l'état par build et par testeur.
BuildName | TesterLogin | TesterExecutionName | PassedCount | FailedCount | NotExecuted Count
352 |  | No specific tester (Test Assets) | 0 | 0 | 1
351 | admin | admin (English|SQL2008|FF|Tomcat - Test Assets) | 0 | 1 | 0
352 | admin | admin (English|SQL2008|FF|Tomcat - Test Assets) | 0 | 0 | 1
352 | gmazzuchelli | gmazzuchelli (English|Oracle10g|IE8|Tomcat - Test Assets) | 0 | 1 | 1
352 | jallen | jallen (German|Oracle11g|FF|Tomcat - Test Assets) | 1 | 1 | 0
352 | smiller | smiller (German|SQL2008|IE8|IIS - Test Assets) | 1 | 1 | 0

Pour les tests non assignés, un groupe « Aucun testeur spécifique » est créé avec des valeurs vides pour TesterLogin,TesterFirstName et TesterLastName.

Si vous souhaitez simplement connaître l'évolution de votre cycle de test à partir des performances des testeurs manuels, il vous faudra modifier légèrement la requête comme suit :
SELECT TesterLogin, TesterExecutionName, SUM(PassedCount) PassedCount,
  SUM(FailedCount) FailedCount, SUM(NotExecutedCount) NotExecutedCount
FROM RV_TestingCycleStatus
WHERE TestingCycleID = ${testingCycleID|3|Testing Cycle ID}
GROUP BY TesterLogin, TesterExecutionName
ORDER BY TesterLogin
La requête est élargie par :
  • GROUP BY TesterLogin, TesterExecutionName pour indiquer les colonnes restantes.
  • SUM() qui, appliqué aux totaux, permet d'additionner les différents états de test.
TesterLogin | TesterExecution Name | PassedCount | FailedCount | NotExecutedCount
 | No specific tester (Test Assets) | 0 | 0 | 1
admin | admin (English|SQL2008|FF|Tomcat - Test Assets) | 0 | 1 | 1
gmazzuchelli | gmazzuchelli (English|Oracle10g|IE8|Tomcat - Test Assets) | 0 | 1 | 1
jallen | jallen (German|Oracle11g|FF|Tomcat - Test Assets) | 1 | 1 | 0
smiller | smiller (German|SQL2008|IE8|IIS - Test Assets) | 1 | 1 | 0
Sujet parent : Création de rapports à l'aide du datamart


État de l'arborescence des exécutions

Problème

Il est courant d'organiser les plans d'exécution en structure hiérarchique représentant différents objectifs ou domaines de tests. Dans certains cas par exemple, pour connaître l'état du test et par conséquent la qualité atteinte pour un objectif ou un domaine, vous devrez connaître le nombre total de tests réussis, en échec et non exécutés.

Solution

Utilisez la vue de datamart RV_ExecutionPlanStatusRollup pour créer un rapport qui indique le nombre de tests réussis, en échec et non exécutés groupés par build, pour un dossier d'organisation des exécutions spécifique.

SELECT BuildName, PassedCount, FailedCount, NotExecutedCount
FROM RV_ExecutionPlanStatusRollup
WHERE ExecutionFolderID = ${executionPlanID|43|Execution Plan ID}
La requête fonctionne comme suit :
  • Elle sélectionne BuildName et les totaux par état depuis la vue RV_ExecutionPlanStatusRollup.
  • Elle spécifie le dossier de niveau supérieur à partir duquel vous souhaitez connaître les états (ExecutionFolderID).
Le résultat de la requête SQL affiche les états des exécutions de test de tous les plans d'exécution du dossier sélectionné, regroupés par build.
BuildName | PassedCount | FailedCount | NotExecutedCount
351 | 0 | 0 | 2
352 | 15 | 7 | 1
Si vous souhaitez obtenir plus de détails comme les totaux par état de tous les plans d'exécution de la hiérarchie sélectionnée, vous pouvez utiliser la vue du datamart RV_ExecutionPlanStatusPerBuild :
SELECT eps.BuildName, eps.ExecutionPlanID, SUM(eps.PassedCount) PassedCount,
  SUM(eps.FailedCount) FailedCount, SUM(eps.NotExecutedCount) NotExecutedCount
FROM RV_ExecutionPlanStatusPerBuild eps
INNER JOIN TM_ExecTreePaths etp ON eps.ExecutionPlanID = etp.NodeID_pk_fk
WHERE etp.ParentNodeID_pk_fk = ${execFolderID|44|Execution Folder ID}
GROUP BY eps.ExecutionPlanID, eps.BuildOrderNumber, eps.BuildName
ORDER BY eps.BuildOrderNumber, eps.ExecutionPlanID
La requête fonctionne comme suit :
  • Elle utilise la vue RV_ExecutionPlanStatusPerBuild pour accéder aux données propres au plan d'exécution (ExecutionPlanID et ExecutionPlanName). La vue RV_ExecutionPlanStatusRollup utilisée précédemment contient des données préagrégées (synthétisées), ce qui n'est pas adapté à l'objectif visé ici car les résultats obtenus ne couvrent pas uniquement les plans d'exécution, mais aussi les nœuds de dossier.
  • Elle sélectionne tous les nœuds contenus dans un dossier spécifique avec un JOIN de la table TM_ExecTreePath afin de récupérer les informations relatives à la hiérarchie.
  • Elle spécifie le dossier de niveau supérieur avec ExecutionFolderID. Étant donné que la table TM_ExecutionTreePaths contient également une autoréférence pour chaque plan d'exécution, vous pouvez également exécuter cette requête avec un ID de plan d'exécution pour ParentNodeID_pk_fk. Vous obtiendrez alors les lignes correspondant au plan d'exécution en question.
  • Elle ajoute ORDER BY BuildOrderNumber et ExecutionPlanID pour obtenir des résultats bien triés, avec les plus anciens builds et leurs plans d'exécution en premier.
Le résultat de la requête SQL affiche les états des exécutions de test de tous les plans d'exécution du dossier sélectionné.
BuildName | ExecutionPlanID | PassedCount | FailedCount | NotExecutedCount
351 | 2307 | 0 | 0 | 2
352 | 2184 | 11 | 2 | 0
352 | 2185 | 0 | 3 | 0
352 | 2186 | 2 | 1 | 0
352 | 2187 | 1 | 0 | 0
352 | 2191 | 0 | 1 | 0
352 | 2307 | 1 | 0 | 1
Sujet parent : Création de rapports à l'aide du datamart


État d'une suite de configurations

Problème

Les suites de configurations vous permettent d'exécuter le même jeu de tests sur plusieurs configurations, par exemple plusieurs navigateurs ou systèmes d'exploitation. Pour être en mesure de faire des déclarations raisonnables sur la qualité et la fiabilité d'une application testée, vous devez conserver un suivi des résultats pour chacune des configurations.

Solution

Utilisez la vue datamart RV_ConfigurationSuiteStatus pour créer un rapport qui indique le nombre de tests réussis, en échec et non exécutés, par build et pour chaque configuration.

SELECT BuildName, ConfigurationName, PassedCount, FailedCount, NotExecutedCount
FROM RV_ConfigurationSuiteStatus
WHERE ConfigurationSuiteID = ${configSuiteID|97|Configuration Suite ID}
ORDER BY BuildOrderNumber, ConfigurationName
La requête fonctionne comme suit :
  • Récupère les totaux par état des exécutions de tests par build, à partir de la vue RV_ConfigurationSuiteStatus.
  • Restreint les résultats à la suite de configurations (ConfigurationSuiteID).
Le résultat de la requête SQL indique l'état des exécutions de tests pour chaque configuration.
BuildName | ConfigurationName | PassedCount | FailedCount | NotExecutedCount
350 | Chrome | 0 | 1 | 0
350 | Firefox | 0 | 1 | 0
350 | Internet Explorer | 0 | 1 | 0
351 | Chrome | 1 | 0 | 0
351 | Firefox | 1 | 0 | 0
351 | Internet Explorer | 0 | 1 | 0
352 | Chrome | 1 | 0 | 0
352 | Firefox | 1 | 0 | 0
352 | Internet Explorer | 1 | 0 | 0
Dans cet exemple, nous utilisons l'ID de la suite de configurations pour obtenir toutes les configurations. Il est également possible de restreindre les résultats à des builds spécifiques. Dans ce cas, vous devez inclure BuildID,BuildName ou BuildOrderNumber dans la clause WHERE.
Remarque : La vue RV_ConfigurationSuiteStatus contient uniquement les totaux agrégés par état, sans aucune donnée spécifique du test. Pour récupérer des données spécifiques du test, vous pouvez par exemple utiliser la vue RV_LatestTestStatus.
Sujet parent : Création de rapports à l'aide du datamart


Dépannage

  • Données erronées ou manquantes
    Les données interrogées dans des vues ou des tables du datamart s'avèrent être erronées ou manquantes.
  • Le datamart ralentit le système
    Le datamart semble avoir un impact négatif sur les performances du système.
Sujet parent : Datamart de reporting


Données erronées ou manquantes

Problème

Lorsque des données sont interrogées dans une vue ou une table du datamart, les résultats répertoriés ne sont pas à jour ou sont manquants.

Résolution

Les vues et les tables du datamart sont régulièrement mises à jour en arrière-plan, mais pas en temps réel. Le chargement des données dans les tables du datamart peut ainsi prendre quelques secondes, voire quelques minutes. Si votre système exécute une charge importante, cela influence les performances du processus de chargement de données qui s'exécute en arrière-plan. En effet, les autres processus, dotés de priorités plus élevées, peuvent bloquer temporairement la tâche DataMartUpdater exécutée en arrière-plan. Réexécutez votre requête plus tard afin de récupérer les données mises à jour.

Si vous vous connectez en tant qu'administrateur système, vous pouvez vérifier l'état actuel du processus de chargement de données. Pour cela, accédez à http://<server>:<port>/sctm/check/db et consultez la Table DM_TestStatus.

Remarque : Les tests et les exécutions de test dépendantes sont supprimés du datamart si un test est supprimé. Cela s'applique également aux tests supprimés en raison de la réinitialisation des packages de tests.
Sujet parent : Dépannage


Le datamart ralentit le système

Problème

Depuis l'exécution du datamart, les performances globales du système semblent être inférieures ou inégales.

Résolution

Même si cette situation ne devrait pas se produire, vous pouvez désactiver le datamart pour voir si cela résout votre problème :
  1. Sur la page Administration des instances, arrêtez le serveur d'application de l'instance que vous souhaitez modifier.
  2. Ouvrez le fichier TmAppServerHomeConf.xml à l'aide d'un éditeur de texte.Le chemin par défaut pour ce fichier est C:\Program Files (x86)\Silk\Silk Central19.0\instance_<numéro d'instance>_<nom d'instance>\Conf\AppServer sur le serveur d'application.
  3. Localisez la balise XML Config/DataMart/Enabled, et positionnez la valeur à false.
  4. Enregistrez et fermez le fichier XML.
  5. Redémarrez le serveur d'application.
Sujet parent : Dépannage


Référence : Tables et vues de datamart

Les tables et les vues de datamart suivantes permettent un reporting facile et rapide.

  • DM_TestStatus
    La table DM_TestStatus constitue la table de base des vues relatives à l'état.
  • RV_TestStatusExtended
    La vue RV_TestStatusExtended fournit des informations détaillées pour une exécution de test précise.
  • RV_LatestTestStatus
    La vue RV_LatestTestStatus fournit l'état et des informations étendues sur la dernière exécution d'un test dans le cadre d'un plan d'exécution et d'un build donnés.
  • RV_LatestFinishedTestStatus
    La vue RV_LatestFinishedTestStatus fournit l'état et des informations étendues sur la dernière exécution d'un test dans le cadre d'un plan d'exécution et d'un build donnés. Cette vue fournit des informations similaires à celles de la vue RV_LatestTestStatus, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
  • RV_MaxTestRunID
    La vue RV_MaxTestRunID permet de récupérer le dernier ID d'exécution de test de chaque combinaison de test, plan d'exécution et build.
  • RV_MaxFinishedTestRunID
    La vue RV_MaxFinishedTestRunID permet de récupérer le dernier ID d'exécution de test de chaque combinaison de test, plan d'exécution et build. Cette vue fournit des informations similaires à celles de la vue RV_MaxTestRunID, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
  • RV_TestingCycleStatus
    La vue RV_TestingCycleStatus fournit des informations sur l'état des cycles de test.
  • RV_ExecutionPlanStatusPerBuild
    La vue RV_ExecutionPlanStatusPerBuild récupère les totaux des derniers états de test de chaque plan d'exécution dans le cadre de builds.
  • RV_EPFinishedStatusPerBuild
    La vue RV_EPFinishedStatusPerBuild récupère les totaux des derniers états de test de chaque plan d'exécution dans le cadre de builds. Cette vue fournit des informations similaires à celles de la vue RV_ExecutionPlanStatusPerBuild, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
  • RV_ExecutionPlanStatusRollup
    La vue RV_ExecutionPlanStatusRollup récupère les totaux des tests réussis, en échec et non exécutés par plan d'exécution ou dossier dans le cadre d'un build.
  • RV_EPFinishedStatusRollup
    La vue RV_EPFinishedStatusRollup récupère les totaux des tests réussis, en échec et non exécutés par plan d'exécution ou dossier dans le cadre d'un build. Cette vue fournit des informations similaires à celles de la vue RV_ExecutionPlanStatusRollup, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
  • RV_ConfigurationSuiteStatus
    La vue RV_ConfigurationSuiteStatus répertorie les totaux par état pour toutes les suites de configurations et les configurations par build.
  • RV_ConfigSuiteFinishedStatus
    La vue RV_ConfigSuiteFinishedStatus répertorie les totaux par état pour toutes les suites de configurations et les configurations par build. Cette vue fournit des informations similaires à celles de la vue RV_ConfigurationSuiteStatus, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.
Sujet parent : Datamart de reporting


DM_TestStatus

La table DM_TestStatus constitue la table de base des vues relatives à l'état.

Les autres vues de datamart offrent généralement un accès plus facile aux données détaillées, car cette table ne fournit pas d'accès direct aux informations telles que le nom d'un test. La clé de cette table est la combinaison des colonnes TestID,ExecutionPlanID,BuildID et TestRunID.

Ligne | Description
TestID | Identifiant du test.
ExecutionPlanID | Identificateur du plan d'exécution.
BuildID | Identificateur du build.
TestRunID | Identifiant de l'exécution de test.
ExecutionRunID | Identifie l'exécution au cours de laquelle ce résultat a été généré.
StatusID | État de cette exécution de test (voir TM_TestDefStatusNames).
EDRStatusID | Etat de cette exécution. Pour plus d'informations, reportez-vous à la rubrique TM_TestDefStatusNames. Par exemple, état 7 = exécution manuelle en attente ; état 10 = exécution automatisée en attente.
ReasonID | Motif de l'état de cette exécution de test (voir TM_ResultStatusReasons). Peut afficher une valeur nulle.
PassedCount | Somme de tous les tests réussis, qui est égale à 0 ou 1 pour les tests et qui peut être plus élevée pour les regroupements de tests.
FailedCount | Somme de tous les tests ayant échoué, qui est égale à 0 ou à 1 pour les tests communs et qui peut être plus élevée pour les regroupements de tests.
NotExecutedCount | Somme de tous les tests non exécutés, qui est égale à 0 ou 1 pour les tests et qui peut être plus élevée pour les regroupements de tests.
ProjectID | ID du projet auquel cette ligne appartient.
TestStartTime | Heure à laquelle l'exécution de test a démarré (UTC).
ExecutionStartTime | Heure à laquelle l'exécution a démarré (UTC).
TestDurationInMilliseconds | Durée de l'exécution du test en millisecondes.
IsBlocked | Marque l'exécution du test comme étant bloquée/débloquée.
DbChangedAt | Heure de la dernière mise à jour de cette ligne par le datamart de reporting.
Sujet parent : Référence : Tables et vues de datamart


RV_TestStatusExtended

La vue RV_TestStatusExtended fournit des informations détaillées pour une exécution de test précise.

Cette vue contient toutes les exécutions de test, contrairement à la vue RV_LatestTestStatus qui contient uniquement la dernière exécution d'un test dans le cadre d'un plan d'exécution et d'un build donnés. Vous pouvez utiliser cette vue pour créer un rapport qui répertorie toutes les exécutions de test des builds marqués. La clé de cette table est la combinaison des colonnes TestID,ExecutionPlanID,BuildID et TestRunID.

Remarque : Les tests et les exécutions de test dépendantes sont supprimés du datamart si un test est supprimé. Cela s'applique également aux tests supprimés en raison de la réinitialisation des packages de tests.
Ligne | Description
TestID | Identifiant du test.
ExecutionPlanID | Identificateur du plan d'exécution.
BuildID | Identificateur du build.
TestRunID | Identifiant de l'exécution de test.
ExecutionRunID | Identifie l'exécution au cours de laquelle ce résultat a été généré.
StatusID | État de cette exécution de test (voir TM_TestDefStatusNames).
ReasonID | Motif de l'état de cette exécution de test (voir TM_ResultStatusReasons). Peut afficher une valeur nulle.
PassedCount | Somme de tous les tests réussis, qui est égale à 0 ou 1 pour les tests et qui peut être plus élevée pour les regroupements de tests.
FailedCount | Somme de tous les tests ayant échoué, qui est égale à 0 ou à 1 pour les tests communs et qui peut être plus élevée pour les regroupements de tests.
NotExecutedCount | Somme de tous les tests non exécutés, qui est égale à 0 ou 1 pour les tests et qui peut être plus élevée pour les regroupements de tests.
ProjectID | ID du projet auquel cette ligne appartient.
TestStartTime | Heure à laquelle l'exécution de test a démarré (UTC).
ExecutionStartTime | Heure à laquelle l'exécution a démarré (UTC).
TestDurationInMilliseconds | Durée de l'exécution du test en millisecondes.
IsBlocked | Marque l'exécution du test comme étant bloquée/débloquée.
DbChangedAt | Heure de la dernière mise à jour de cette ligne par le datamart de reporting.
TestName | Nom du test.
TestDescription | Description du test.
TestParentID | ID du parent du test.
PlannedTimeInMinutes | Durée planifiée pour ce test en minutes.
Reason | Nom du motif. Peut contenir des motifs qui ont été supprimés entre-temps.
ExecutionPlanName | Nom du plan d'exécution.
ExecutionPlanDescription | Description du plan d'exécution.
ExecutionParentFolderID | ID du parent du plan d'exécution.
Priority | Priorité du plan d'exécution : 0 = faible, 1 = moyenne, 2 = élevée.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_LatestTestStatus

La vue RV_LatestTestStatus fournit l'état et des informations étendues sur la dernière exécution d'un test dans le cadre d'un plan d'exécution et d'un build donnés.

La vue RV_TestStatusExtended permet de récupérer des données sur toutes les exécutions de test. Vous pouvez l'utiliser pour créer un rapport qui répertorie tous les tests en échec figurant dans un dossier d'exécution. La clé de cette table est la combinaison des colonnes TestID,ExecutionPlanID,BuildID et TestRunID.

Ligne | Description
TestID | Identifiant du test.
ExecutionPlanID | Identificateur du plan d'exécution.
BuildID | Identificateur du build.
TestRunID | Identifiant de l'exécution de test.
ExecutionRunID | Identifie l'exécution au cours de laquelle ce résultat a été généré.
StatusID | État de cette exécution de test (voir TM_TestDefStatusNames).
ReasonID | Motif de l'état de cette exécution de test (voir TM_ResultStatusReasons). Peut afficher une valeur nulle.
PassedCount | Somme de tous les tests réussis, qui est égale à 0 ou 1 pour les tests et qui peut être plus élevée pour les regroupements de tests.
FailedCount | Somme de tous les tests ayant échoué, qui est égale à 0 ou à 1 pour les tests communs et qui peut être plus élevée pour les regroupements de tests.
NotExecutedCount | Somme de tous les tests non exécutés, qui est égale à 0 ou 1 pour les tests et qui peut être plus élevée pour les regroupements de tests.
ProjectID | ID du projet auquel cette ligne appartient.
TestStartTime | Heure à laquelle l'exécution de test a démarré (UTC).
ExecutionStartTime | Heure à laquelle l'exécution a démarré (UTC).
TestDurationInMilliseconds | Durée de l'exécution du test en millisecondes.
IsBlocked | Marque l'exécution du test comme étant bloquée/débloquée.
DbChangedAt | Heure de la dernière mise à jour de cette ligne par le datamart de reporting.
TestName | Nom du test.
TestDescription | Description du test.
TestParentID | ID du parent du test.
PlannedTimeInMinutes | Durée planifiée pour ce test en minutes.
Reason | Nom du motif. Peut contenir des motifs qui ont été supprimés entre-temps.
ExecutionPlanName | Nom du plan d'exécution.
ExecutionPlanDescription | Description du plan d'exécution.
ExecutionParentFolderID | ID du parent du plan d'exécution.
Priority | Priorité du plan d'exécution : 0 = faible, 1 = moyenne, 2 = élevée.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_LatestFinishedTestStatus

La vue RV_LatestFinishedTestStatus fournit l'état et des informations étendues sur la dernière exécution d'un test dans le cadre d'un plan d'exécution et d'un build donnés. Cette vue fournit des informations similaires à celles de la vue RV_LatestTestStatus, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.

Cette vue permet de créer des rapports qui ignorent les plans d'exécution actuellement en cours d'exécution.

La vue RV_TestStatusExtended permet de récupérer des données sur toutes les exécutions de test. La clé de cette table est la combinaison des colonnes TestID,ExecutionPlanID,BuildID et TestRunID.

Ligne | Description
TestID | Identifiant du test.
ExecutionPlanID | Identificateur du plan d'exécution.
BuildID | Identificateur du build.
TestRunID | Identifiant de l'exécution de test.
ExecutionRunID | Identifie l'exécution au cours de laquelle ce résultat a été généré.
StatusID | Etat de cette exécution de test. Pour plus d'informations, voir le tableau TM_TestDefStatusNames dans le schéma de base de données de Silk Central.
EDRStatusID | Etat de cette exécution. Par exemple, état 7 = exécution manuelle en attente ; état 10 = exécution automatisée en attente. Pour plus d'informations, voir le tableau TM_TestDefStatusNames dans le schéma de base de données de Silk Central.
ReasonID | Motif de l'état de cette exécution de test. Peut afficher une valeur nulle. Pour plus d'informations, voir le tableau TM_ResultStatusReasons dans le schéma de base de données de Silk Central.
PassedCount | Somme de tous les tests réussis, qui est égale à 0 ou 1 pour les tests et qui peut être plus élevée pour les regroupements de tests.
FailedCount | Somme de tous les tests ayant échoué, qui est égale à 0 ou à 1 pour les tests communs et qui peut être plus élevée pour les regroupements de tests.
NotExecutedCount | Somme de tous les tests non exécutés, qui est égale à 0 ou 1 pour les tests et qui peut être plus élevée pour les regroupements de tests.
ProjectID | ID du projet auquel cette ligne appartient.
TestStartTime | Heure à laquelle l'exécution de test a démarré (UTC).
ExecutionStartTime | Heure à laquelle l'exécution a démarré (UTC).
TestDurationInMilliseconds | Durée de l'exécution du test en millisecondes.
IsBlocked | Marque l'exécution du test comme étant bloquée/débloquée.
DbChangedAt | Heure de la dernière mise à jour de cette ligne par le datamart de reporting.
TestName | Nom du test.
TestDescription | Description du test.
TestParentID | ID du parent du test.
PlannedTimeInMinutes | Durée planifiée pour ce test en minutes.
Reason | Nom du motif. Peut contenir des motifs qui ont été supprimés entre-temps.
ExecutionPlanName | Nom du plan d'exécution.
ExecutionPlanDescription | Description du plan d'exécution.
ExecutionParentFolderID | ID du parent du plan d'exécution.
Priority | Priorité du plan d'exécution : 0 = faible, 1 = moyenne, 2 = élevée.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_MaxTestRunID

La vue RV_MaxTestRunID permet de récupérer le dernier ID d'exécution de test de chaque combinaison de test, plan d'exécution et build.

La clé de cette table est la combinaison des colonnes TestID, ExecutionPlanID et BuildID.

Ligne | Description
TestID | Identifiant du test.
ExecutionPlanID | Identificateur du plan d'exécution.
BuildID | Identificateur du build.
MaxTestRunID | Identifie la dernière exécution du test dans le cadre du plan d'exécution et du build.
Sujet parent : Référence : Tables et vues de datamart


RV_MaxFinishedTestRunID

La vue RV_MaxFinishedTestRunID permet de récupérer le dernier ID d'exécution de test de chaque combinaison de test, plan d'exécution et build. Cette vue fournit des informations similaires à celles de la vue RV_MaxTestRunID, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.

Cette vue permet de créer des rapports qui ignorent les plans d'exécution actuellement en cours d'exécution.

La clé de cette table est la combinaison des colonnes TestID,ExecutionPlanID et BuildID.

Ligne | Description
TestID | Identifiant du test.
ExecutionPlanID | Identificateur du plan d'exécution.
BuildID | Identificateur du build.
MaxTestRunID | Identifie la dernière exécution du test dans le cadre du plan d'exécution et du build.
Sujet parent : Référence : Tables et vues de datamart


RV_TestingCycleStatus

La vue RV_TestingCycleStatus fournit des informations sur l'état des cycles de test.

Cette vue permet de créer un rapport qui affiche l'état actuel d'un cycle de test..

TestingCycleID indique le cycle de test et TesterExecutionID (ainsi que TesterExecutionName,UserID,CapacityInCycle,TesterLogin,TesterFirstName,TesterLastName) sert à identifier le testeur assigné au cycle de test. Pour les tests qui ne sont pas assignés à un testeur spécifique, les lignes UserID,CapacityInCycle,TesterLogin,TesterFirstName et TesterLastName contiennent la valeur null. La clé de cette table est la combinaison des colonnes TesterExecutionID et BuildID.

Ligne | Description
TestingCycleID | Identifiant du cycle de test.
TesterExecutionID | Identifie le groupe de tests assigné à un testeur spécifique.
TesterExecutionName | Nom généré pour le groupe de tests assigné à un testeur spécifique.
UserID | ID utilisateur du testeur.
CapacityInCycleInMinutes | Capacité accordée à cet utilisateur dans ce cycle de test en minutes.
TesterLogin | Identifiant de connexion du testeur.
TesterFirstName | Prénom du testeur.
TesterLastName | Nom de famille du testeur.
PassedCount | Somme de tous les tests réussis.
FailedCount | Somme de tous les tests ayant échoué.
NotExecutedCount | Somme de tous les tests non exécutés.
ProjectID | Identificateur du projet.
BuildID | Identificateur du build.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_ExecutionPlanStatusPerBuild

La vue RV_ExecutionPlanStatusPerBuild récupère les totaux des derniers états de test de chaque plan d'exécution dans le cadre de builds.

Les dossiers et les nœuds enfants ne sont pas pris en compte. Cette vue permet de créer un rapport qui affiche l'état des exécutions de test pour chacun des plans d'exécution contenus dans un dossier. Contrairement à RV_ExecutionPlanStatusRollup, cette vue dispose d'un léger avantage en termes de performances car la récupération de données s'effectue indépendamment de la hiérarchie. La clé de cette table est la combinaison des colonnes ExecutionPlanID et BuildID.

Ligne | Description
ExecutionPlanID | Identifiant du plan d'exécution.
BuildID | Identifiant du build.
ExecutionPlanName | Nom du plan d'exécution.
ExecutionParentFolderID | ID du parent du plan d'exécution.
PassedCount | Somme de tous les tests réussis.
FailedCount | Somme de tous les tests ayant échoué.
NotExecutedCount | Somme de tous les tests non exécutés.
ProjectID | ID du projet auquel le plan d'exécution appartient.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_EPFinishedStatusPerBuild

La vue RV_EPFinishedStatusPerBuild récupère les totaux des derniers états de test de chaque plan d'exécution dans le cadre de builds. Cette vue fournit des informations similaires à celles de la vue RV_ExecutionPlanStatusPerBuild, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.

Cette vue permet de créer des rapports qui ignorent les plans d'exécution actuellement en cours d'exécution. Les dossiers et les nœuds enfants ne sont pas pris en compte. Cette vue permet de créer un rapport qui affiche l'état des exécutions de test pour chacun des plans d'exécution contenus dans un dossier. Contrairement à RV_ExecutionPlanStatusRollup, cette vue dispose d'un léger avantage en termes de performances car la récupération de données s'effectue indépendamment de la hiérarchie. La clé de cette table est la combinaison des colonnes ExecutionPlanID et BuildID.

Ligne | Description
ExecutionPlanID | Identificateur du plan d'exécution.
BuildID | Identificateur du build.
ExecutionPlanName | Nom du plan d'exécution.
ExecutionParentFolderID | ID du parent du plan d'exécution.
PassedCount | Somme de tous les tests réussis.
FailedCount | Somme de tous les tests ayant échoué.
NotExecutedCount | Somme de tous les tests non exécutés.
ProjectID | ID du projet auquel le plan d'exécution appartient.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_ExecutionPlanStatusRollup

La vue RV_ExecutionPlanStatusRollup récupère les totaux des tests réussis, en échec et non exécutés par plan d'exécution ou dossier dans le cadre d'un build.

Dans le cas des dossiers, les compteurs incluent les nombres issus de tous les enfants. Cette vue permet de créer un rapport qui affiche l'état de toutes les exécutions de test figurant dans un dossier. La clé de cette table est la combinaison des colonnes ExecutionFolderID et BuildID.

Ligne | Description
ExecutionFolderID | Identifiant du plan d'exécution.
BuildID | Identifiant du build.
PassedCount | Total des tests réussis.
FailedCount | Total des tests ayant échoué.
NotExecutedCount | Total des tests non exécutés.
ProjectID | ID du projet auquel le plan d'exécution appartient.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_EPFinishedStatusRollup

La vue RV_EPFinishedStatusRollup récupère les totaux des tests réussis, en échec et non exécutés par plan d'exécution ou dossier dans le cadre d'un build. Cette vue fournit des informations similaires à celles de la vue RV_ExecutionPlanStatusRollup, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.

Cette vue permet de créer des rapports qui ignorent les plans d'exécution actuellement en cours d'exécution.

Dans le cas des dossiers, les compteurs incluent les nombres issus de tous les enfants. La clé de cette table est la combinaison des colonnes ExecutionFolderID et BuildID.

Ligne | Description
ExecutionFolderID | Identificateur du plan d'exécution.
BuildID | Identificateur du build.
PassedCount | Somme de tous les tests réussis.
FailedCount | Somme de tous les tests ayant échoué.
NotExecutedCount | Somme de tous les tests non exécutés.
ProjectID | ID du projet auquel le plan d'exécution appartient.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_ConfigurationSuiteStatus

La vue RV_ConfigurationSuiteStatus répertorie les totaux par état pour toutes les suites de configurations et les configurations par build.

Cette vue permet de créer un rapport qui affiche l'état de toutes les exécutions de test pour chaque configuration d'une suite de configurations. La clé de cette table est la combinaison des colonnes ConfigurationID et BuildID.

Ligne | Description
ConfigurationSuiteID | Identifiant de la suite de configurations.
ConfigurationID | Identifiant de la configuration.
ConfigurationName | Nom de la configuration.
BuildID | Identifiant du build.
PassedCount | Total des tests réussis.
FailedCount | Total des tests ayant échoué.
NotExecutedCount | Total des tests non exécutés.
ProjectID | ID du projet auquel cette ligne apparaît.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


RV_ConfigSuiteFinishedStatus

La vue RV_ConfigSuiteFinishedStatus répertorie les totaux par état pour toutes les suites de configurations et les configurations par build. Cette vue fournit des informations similaires à celles de la vue RV_ConfigurationSuiteStatus, mais uniquement pour les exécutions de test dans les exécutions de plan d'exécution terminées.

Cette vue permet de créer des rapports qui ignorent les plans d'exécution actuellement en cours d'exécution.

La clé de cette table est la combinaison des colonnes ConfigurationID et BuildID.

Ligne | Description
ConfigurationSuiteID | Identifiant de la suite de configurations.
ConfigurationID | Identifiant de la configuration.
ConfigurationName | Nom de la configuration.
BuildID | Identificateur du build.
PassedCount | Somme de tous les tests réussis.
FailedCount | Somme de tous les tests ayant échoué.
NotExecutedCount | Somme de tous les tests non exécutés.
ProjectID | ID du projet auquel cette ligne appartient.
BuildName | Nom du build utilisé pour cette exécution de test.
BuildDescription | Description du build.
BuildOrderNumber | Numéro d'ordre du build.
BuildIsTagged | 1 si le build est marqué, 0 s'il ne l'est pas.
VersionID | ID de la version à laquelle ce build appartient.
VersionName | Nom de la version.
VersionDescription | Description de la version.
VersionOrderNumber | Numéro d'ordre de la version.
ProductID | ID de l'application à laquelle ce build appartient.
ProductCode | Nom de l'application.
ProductDescription | Description de l'application.
ProductOrderNumber | Numéro d'ordre de l'application.
Sujet parent : Référence : Tables et vues de datamart


Espace de création de rapports

  • Vue d'ensemble
    Explique les concepts relatifs aux rapports Silk Central.
  • Création et personnalisation de rapports
    Décrit comment créer et personnaliser des rapports.
  • Affichage de rapports
    Générez un rapport pour l'afficher.
  • Enregistrement des rapports
    Enregistrez un rapport.
  • Ajout de rapports aux Favoris
    Ajoutez un rapport aux Favoris pour permettre à d'autres utilisateurs de l'afficher en un clic.
  • Affichage d'un rapport au format PDF
    Affichez un rapport au format PDF.
  • Accès aux rapports utilisés le plus récemment
    Accédez à un rapport récemment consulté.
  • Fonctions de la barre d'outils Rapports
    La barre d'outils Rapports propose des commandes importantes pour la gestion des rapports.
  • Propriétés du Rapport
    Décrit l'utilisation des propriétés d'un rapport.
  • Paramètres du Rapport
    Décrit l'utilisation des paramètres d'un rapport.
  • Page Données
    Aperçu des résultats en lecture seule qui affiche les valeurs et les paramètres de résultats du rapport sélectionné sous forme de tableau.
  • Page Rapport
    Affiche les données sous forme de rapport.
  • Rapport de Synthèse du Projet
    Offre une vue d'ensemble générale de l'état du projet sélectionné.
Sujet parent : Rapports


Vue d'ensemble

Les rapports par défaut fournis avec Silk Central sont visibles dans tous les projets et sont répertoriés sous Rapports globaux dans l'arborescence Rapports. Ces rapports ne peuvent pas être modifiés, mais vous pouvez en faire des copies que vous pourrez personnaliser selon vos besoins. La création de vos propres rapports personnalisés dans l'arborescence Rapports globaux permet également de les rendre disponibles pour tous les projets. Vous pouvez aussi copier les rapports entre les arborescences de projet et l'arborescence Rapports globaux . Le concept des rapports globaux vous permet de gérer les rapports de manière flexible sur l'ensemble des projets dans Silk Central.

Restrictions :
  • Les rapports globaux n'étant pas exécutés dans le cadre d'un projet, ils doivent être de type Rapport avancé (SQL).
  • Les rapports globaux ne peuvent pas être les sous-rapports des rapports d'un projet, et les sous-rapports ne sont pas disponibles dans la section des rapports globaux.

Autorisations relatives aux rapports globaux partagés

Les rapports globaux partagés étant disponibles dans tous les projets pour tous les utilisateurs, les rôles utilisateur permettant de les mettre à jour et de les supprimer nécessitent des autorisations spéciales : Gérer les rapports globaux partagés et Supprimer les rapports globaux partagés. Ces autorisations s'appliquent également aux modèles de rapports utilisés dans les rapports globaux partagés. Les rapports globaux et les modèles de rapports qui ne sont pas partagés peuvent être mis à jour et supprimés par des rôles utilisateur dotés des autorisations standard pour la mise à jour et la suppression de rapports. Cela implique les scénarios spéciaux suivants :
  • L'option Partager ce rapport avec d'autres utilisateurs est désactivée dans les rapports globaux et les dossiers si l'utilisateur ne dispose pas de l'autorisation Gérer les rapports globaux partagés.
  • Lorsqu'un rapport partagé copié est collé dans l'arborescence Rapports globaux sans l'autorisation Gérer les rapports globaux partagés, ce rapport est défini sur Non partagé.
Sujet parent : Espace de création de rapports


Création et personnalisation de rapports

  • Création de rapports
    Indique comment créer des rapports dans Silk Central.
  • Utilisation des sous-rapports
    Décrit le mode d'utilisation des sous-rapports.
  • Modèles de rapports
    Décrit l'utilisation des modèles de rapports.
  • Abonnements aux rapports
    Décrit l'utilisation des abonnements aux rapports.
  • Utilisation des graphes
    Décrit le mode d'utilisation des graphes dans les rapports.
  • Personnalisation des rapports
    Décrit comment personnaliser les rapports Silk Central.
Sujet parent : Espace de création de rapports


Création de rapports

Silk Central offre des rapports permettant de transformer rapidement et facilement des données en graphiques et graphes intuitifs. Les rapports préinstallés sont disponibles pour les espaces Exigences, Tests et Incidents.

Les rapports sont créés à l'aide de BIRT Report Designer, un outil de création de rapports Eclipse libre ou à l'aide de modèles de rapports or Microsoft Word ou Microsoft Excel. Silk Central est étroitement intégré à BIRT Report Designer et facilite la génération de rapports sur les données de gestion des tests. La fonctionnalité de génération de rapports dans Silk Central est hautement personnalisable. De nombreux modèles de rapports et rapports préinstallés fournissent des options prêtes à l'emploi répondant à une large gamme de besoins en matière de génération de rapports. Les outils simples basés sur l'interface vous permettent de modifier les rapports préinstallés et de créer des rapports. Les utilisateurs maîtrisant le langage SQL pourront interroger les données et les présenter dans des rapports personnalisés d'autant de manières qu'ils le souhaitent ou presque.

Conseil : Si un rapport vide est généré, cela peut être dû au fait qu'aucune donnée du projet n'a été sélectionnée ou encore parce que vous n'êtes pas connecté à la base de données Silk Central appropriée. Les rapports sont uniquement disponibles hors ligne si votre base de données Silk Central est accessible en local.
  • Création de nouveaux rapports
    Créez un rapport.
  • Fonctions SQL pour les rapports personnalisés
    Décrit les espaces réservés de fonction disponibles.
  • Ecriture de requêtes avancées avec SQL
    Ecrivez des requêtes SQL avancées pour créer des rapports.
Sujet parent : Création et personnalisation de rapports


Création de nouveaux rapports

Pour créer un rapport :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans l'arborescence Rapports, sélectionnez le dossier dans lequel vous voulez afficher le nouveau rapport. Ceci détermine l'emplacement de stockage du rapport dans l'arborescence de répertoires.
  3. Cliquez sur Nouveau Rapport Enfant dans la barre d'outils. La boîte de dialogue Créer un Nouveau Rapport s'ouvre.
  4. Indiquez le nom du nouveau rapport. Il s'agit du nom affiché dans l'arborescence Rapports.
  5. Cochez la case Partager ce rapport avec d'autres utilisateurs si vous voulez que ce rapport soit accessible à d'autres utilisateurs.
  6. Dans le champ Délai d'attente [s], entrez (en secondes) la période maximale pendant laquelle Silk Central doit attendre la fin du traitement des requêtes SQL.
  7. Dans la zone de liste Onglet par Défaut, sélectionnez l'onglet vers lequel être dirigé lorsque ce rapport est sélectionné dans l'une des listes de rapports contextuels.
  8. Sélectionnez le type de résultat correspondant dans la zone de liste Catégorie de résultats. Ce paramètre spécifie la table de base de données et la vue devant être filtrée pour le rapport. Les types de résultats suivants sont disponibles :
    Type de résultat
    Description
    Exigence
    Renvoie les exigences disponibles dans le module Exigences et répondant aux critères de requête.
    Tester
    Renvoie les tests disponibles dans l'espace Tests et répondant aux critères de requête.
    Exécution de test
    Renvoie les résultats du test exécuté dans l'espace Organisation des Exécutions et répondant aux critères de requête.
    Plan d'exécution
    Renvoie les plans d'exécution dans l'espace d'exécution.
    Incident
    Renvoie les incidents, y compris les incidents importés.
    Builds d'avancement au niveau des exigences
    Comprend des informations sur l'avancement au niveau des exigences pour chaque build, ce qui vous permet de voir de quelle manière les exigences sont développées dans les builds.
    Jours d'avancement au niveau des exigences
    Identique à l'option Builds d'avancement au niveau des exigences, mais affiche le développement quotidien.
    Builds d'avancement des tests
    Affiche le mode de développement des tests dans les builds.
    Jours d'avancement des tests
    Identique à l'option ci-dessus, mais affiche le développement quotidien.

    Chaque type de résultat comprend un jeu de critères de sélection. Selon le type de résultat sélectionné, spécifiez les Critères de sélection appropriés pour votre rapport. Ces critères regroupent généralement les propriétés en fonction d'une vue ou effectuent un autre regroupage intuitif (par exemple, à partir de propriétés personnalisées).

  9. Dans la zone de liste Propriété, sélectionnez la propriété à filtrer. Les propriétés sont dynamiques pour certains critères de sélection.
  10. Sélectionnez un Opérateur pour la requête. Les opérateurs disponibles dépendent de la propriété. Voici des exemples d'opérateurs : =, pas, comme et pas comme. Les chaînes de caractères sont toujours comparées avec une police en minuscules. Les caractères génériques autorisés pour les chaînes de caractères sont « * » et « ? », où * correspond à n'importe quel caractère et où ? correspond à un caractère précis.
  11. Sélectionnez ou spécifiez la Valeur sur laquelle la requête doit être filtrée. Pour les propriétés basées sur les dates, le champ Valeur est remplacé par un outil de calendrier que vous pouvez utiliser pour sélectionner une date spécifique.
  12. Facultatif : pour ajouter une chaîne de requête supplémentaire à ce rapport, cliquez sur Plus. Une chaîne de requête existante peut être supprimée en cliquant sur le bouton Supprimer de la chaîne. Lorsque plusieurs chaînes de requêtes sont définies, les boutons d'option ET et OU sont affichés en regard de l'option Plus. Ces boutons d'option permettent de définir si les requêtes doivent être prises en compte de manière cumulée, ou si un seul critère de la chaîne de requête doit être satisfait.
  13. Cliquez sur Suivant afin de configurer les colonnes du rapport dans la boîte de dialogue Nouveau Rapport.
  14. Cliquez sur Ajouter des Colonnes. La boîte de dialogue Ajouter des Colonnes répertorie toutes les colonnes de rapport disponibles.
  15. Sélectionnez les colonnes que vous voulez inclure dans le rapport, puis cliquez sur OK. Vous pouvez sélectionner plusieurs colonnes à l'aide de la combinaison Ctrl + clic.
    Remarque : Pour les rapports de planification des tests, la liste des noms de colonnes disponibles est agrémentée des noms de colonnes dans la table LQM_V_Tests. Pour plus de détails, reportez-vous au Schéma de modèle de base de données Silk Central.
    Les colonnes sélectionnées sont affichées sous forme de tableau dans la boîte de dialogue Nouveau Rapport.
  16. Facultatif : configurez la façon dont chaque colonne de rapport doit être affichée. Pour chaque colonne, spécifiez un sens de tri (Ascendant, Descendant ou Non Trié) à l'aide des flèches vers le haut/bas de la colonne Tri.
  17. Lorsque plusieurs colonnes sont sélectionnées pour être triées, une zone de liste s'affiche dans la colonne Ordre de Tri et vous permet de modifier plus facilement l'ordre de tri des colonnes. Définissez ces nombres en fonction de vos besoins.
  18. Attribuez un Alias à chaque colonne. Il s'agit du nom affiché pour chaque colonne dans le rapport généré.
    Remarque : Un Alias ne peut pas contenir de guillemets doubles (").
  19. Le regroupement vous permet de tirer parti des fonctions d'agrégation SQL, par exemple lors de la sélection d'un certain nombre d'éléments ou lors de l'interrogation de la somme des valeurs. Cochez la case Grouper Par afin de spécifier que les fonctions de regroupement SQL doivent être appliquées.
  20. Les colonnes qui ne sont pas sélectionnées pour les fonctions de regroupement SQL sont définies par défaut sur la fonction d'agrégation, ce qui signifie qu'une seule valeur d'agrégation est calculée. Dans la zone de liste Agrégation, sélectionnez le type d'agrégation approprié. Les types suivants sont disponibles :
    • Nombre
    • Somme
    • Moyenne
    • Minimum
    • Maximum
  21. La colonne Actions vous permet de déplacer les listes de colonnes vers le haut et le bas dans la vue, ou encore de supprimer une colonne.
  22. Cliquez sur Terminer pour terminer votre nouveau rapport.
Sujet parent : Création de rapports


Fonctions SQL pour les rapports personnalisés

Pour aider à l'écriture de requêtes avancées, des espaces réservés sont disponibles pour chaque fonction. Les espaces réservés de fonction sont remplacés par du code SQL au moment de l'exécution. Les fonctions sont utilisées comme des paramètres, mais leurs noms contiennent un préfixe $ (symbole du dollar). Contrairement aux paramètres, les espaces réservés sont des éléments de rapport définis qui ne peuvent pas être personnalisés à chaque exécution.

Le tableau suivant répertorie tous les espaces réservés de fonction disponibles :

Fonction | Action | Exemple
$TODAY | Renvoie la date système en cours sur le serveur de base de données. Vous pouvez aussi écrire $TODAY-1 pour hier ou $TODAY-7 pour il y a une semaine. | CreatedAt > ${$TODAY}
$DATE(colonne) | Renvoie la date mais pas l'heure. |
$DATE(chaîne) | Convertit la chaîne définie à un format de date de base de données. | CreatedAt > ${$DATE('01/10/2005')}
$DAYS[p1;p2] | Calcule la différence en jours entre les deux paramètres définis. Ces deux paramètres peuvent être une colonne du tableau/de la vue ou $TODAY. | L'exemple suivant renvoie les lignes créées au cours de la semaine écoulée : ${$DAYS[CreatedAt;$TODAY]} < 7
$WEEK(paramètre) | Renvoie le numéro de semaine du paramètre défini, qui peut être $TODAY ou une colonne. |
$MONTH(paramètre) | Renvoie le mois de l'année sous la forme d'un numéro du paramètre défini, qui peut être $TODAY ou une colonne. |
$YEAR(paramètre) | Renvoie l'année sous la forme d'un numéro du paramètre défini, qui peut être $TODAY ou une colonne. |
$USERID | ID de l'utilisateur actuellement connecté. |
$USERNAME | Nom de l'utilisateur actuellement connecté. |
$PROJECTID | ID du projet actuellement sélectionné. |
$PROJECTNAME | Nom du projet actuellement sélectionné. |
$REPORTNAME | Nom du rapport actuellement sélectionné. |
$REPORTID | ID du rapport actuellement sélectionné. |

Vous trouverez ci-dessous le code du rapport préinstallé Exigence avec Exigences Enfants. Avec ce rapport, une exigence sélectionnée est affichée avec son ID. Les détails complets relatifs aux exigences enfants sont affichés. Bien qu'il ne s'agisse pas d'un rapport personnalisé, ce rapport est un exemple utile, car il utilise la fonction $PROJECTID. Il inclut aussi deux paramètres, reqID (ID de l'exigence) et reqProp_Obsolete_0 (afficher les exigences obsolètes).

SELECT r.ReqID, r.ReqCreated, r.ReqName, r.TreeOrder
   FROM RTM_V_Requirements r INNER JOIN
   TM_ReqTreePaths rtp ON (rtp.ReqNodeID_pk_fk = r.ReqID)
   WHERE rtp.ParentNodeID_pk_fk=${reqID|22322|Requirement ID} AND
   r.ProjectID = ${$PROJECTID} AND
   r.MarkedAsObsolete=${reqProp_Obsolete_0|0|Show obsolete Requirements}
   ORDER BY r.TreeOrder ASC
Sujet parent : Création de rapports


Ecriture de requêtes avancées avec SQL

Les rapports avancés peuvent être créés via un codage SQL manuel. Presque toutes les options de création de rapport sont disponibles si vous connaissez le schéma de base de données. Lorsque vous cliquez sur Requête avancée, les zones de liste de la chaîne de requête sont masquées et le champ Requête de données de rapport s'ouvre, ce qui vous permet d'insérer du code existant ou d'écrire un nouveau code SQL.
Restriction : L'instruction SQLselect top n'est pas prise en charge. Il n'est pas possible de générer des rapports directement pour les tables qui renvoient des informations utilisateur à partir de Silk Central, par exemple SCC_Users, SCC_AuditEntries, SCC_ Groupes d'utilisateurs et SCC_UserGroupRoles.

Une approche possible consiste à commencer la construction de chaînes de requête à l'aide des zones de liste comme indiqué dans la section Création de rapports. Si les critères du rapport sont valides, l'instruction SQL correspondante sera générée et affichée. Passez ensuite en mode avancé pour apporter des modifications supplémentaires.

Remarque : Si vous passez du mode avancé au mode simple, les modifications que vous avez apportées au code seront perdues.

Pour écrire une requête avancée directement dans SQL :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans l'arborescence Rapports, sélectionnez le dossier dans lequel vous voulez afficher le nouveau rapport. Ceci détermine l'emplacement de stockage du rapport dans l'arborescence de répertoires.
  3. Cliquez sur Nouveau Rapport Enfant dans la barre d'outils. La boîte de dialogue Créer un Nouveau Rapport s'ouvre.
  4. Indiquez le nom du nouveau rapport. Il s'agit du nom affiché dans l'arborescence Rapports.
  5. Cochez la case Partager ce rapport avec d'autres utilisateurs si vous voulez que ce rapport soit accessible à d'autres utilisateurs.
  6. Saisissez une description du rapport dans le champ Description.
  7. Cliquez sur Requête avancée pour ouvrir le champ Requête de données de rapport. Insérez le code précédemment écrit si nécessaire ou écrivez le nouveau code directement dans le champ. La liste Insérer un espace réservé vous aide à modifier les requêtes SDL en utilisant des espaces réservés de fonction prédéfinis. Pour plus de détails, consultez la section Fonctions SQL pour les rapports personnalisés.
    Remarque : Si vous éditez manuellement du code SQL pour la requête, cliquez sur Vérifier le SQL afin de confirmer votre saisie.
  8. Cliquez sur Terminer pour enregistrer vos paramètres.
Sujet parent : Création de rapports
Concepts associés
Fonctions SQL pour les rapports personnalisés
Tâches associées
Création de nouveaux rapports


Utilisation des sous-rapports

  • Ajout de sous-rapports
    Ajoutez des sous-rapports pour agréger les résultats de plusieurs rapports dans le rapport actuellement sélectionné.
  • Suppression de sous-rapports
    Supprimez un sous-rapport d'un rapport lorsque vous ne souhaitez plus que les résultats de ce sous-rapport soient agrégés au rapport.
Sujet parent : Création et personnalisation de rapports


Ajout de sous-rapports

Pour agréger les résultats de plusieurs rapports dans le rapport actuellement sélectionné, vous pouvez ajouter des sous-rapports. Lorsque vous ajoutez un rapport en tant que sous-rapport, les colonnes et les lignes de résultats du sous-rapport sont concaténées avec celles du rapport sélectionné.

Pour ajouter un rapport en tant que sous-rapport :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Propriétés.
  4. Cliquez sur Ajouter un sous-rapport. La boîte de dialogue Ajouter un sous-rapport s'affiche.
  5. Dans l'arborescence Rapports, sélectionnez le sous-rapport que vous voulez ajouter au rapport actuel.
  6. Cliquez sur OK pour terminer l'opération d'ajout du sous-rapport. Les sous-rapports sont affichés sur la page Propriétés du rapport associé, dans la section Sous-Rapports.
Sujet parent : Utilisation des sous-rapports


Suppression de sous-rapports

Pour supprimer un sous-rapport :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans l'arborescence Rapports, sélectionnez le rapport associé au sous-rapport que vous souhaitez supprimer.
  3. Cliquez sur l'onglet Propriétés.
  4. Cliquez sur Supprimer dans la colonne Actions du sous-rapport que vous souhaitez supprimer.
  5. Cliquez sur Oui dans la boîte de dialogue de confirmation afin de confirmer la suppression.
Sujet parent : Utilisation des sous-rapports


Modèles de rapports

Les modèles de rapports définissent le mode d'affichage des données d'un rapport. Pour de plus amples informations sur la gestion de vos modèles de rapports, reportez-vous à la rubrique Gestion des modèles de rapport.

Les rapports globaux partagés étant disponibles dans tous les projets pour tous les utilisateurs, les rôles utilisateur permettant de les mettre à jour et de les supprimer nécessitent des autorisations spéciales : Gérer les rapports globaux partagés et Supprimer les rapports globaux partagés. Ces autorisations s'appliquent également aux modèles de rapports utilisés dans les rapports globaux partagés. Les rapports globaux et les modèles de rapports qui ne sont pas partagés peuvent être mis à jour et supprimés par des rôles utilisateur dotés des autorisations standard pour la mise à jour et la suppression de rapports.

  • Sélection ou chargement de modèles de rapports
    Lorsque vous avez créé un modèle de rapport en local, vous pouvez charger le modèle dans Silk Central.
  • Téléchargement de modèles de rapports
    Téléchargez un modèle de rapport afin d'afficher les données d'un rapport dans un format répondant à vos besoins spécifiques.
  • Suppression de modèles de rapport
    Supprimez le modèle du rapport actuel.
Sujet parent : Création et personnalisation de rapports


Sélection ou chargement de modèles de rapports

Pour sélectionner un modèle de rapport ou télécharger un modèle depuis votre système local :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez le rapport auquel vous voulez associer le modèle.
  3. Cliquez sur l'onglet Rapport.
  4. Pour télécharger un modèle de rapport, cliquez sur le lien Cliquer ici pour télécharger un nouveau modèle de rapport pour ouvrir la boîte de dialogue Télécharger un modèle.
    1. Donnez un Nom et une Description significatifs au modèle.
    2. Dans la zone de liste Projets, sélectionnez le projet auquel vous voulez associer le modèle ou sélectionnez Tous les Projets pour associer le modèle à tous les projets.
    3. Cliquez sur Parcourir pour sélectionner le modèle en local.
    4. Cliquez sur OK pour télécharger le modèle.
  5. Pour sélectionner un modèle existant, cliquez sur le lien Cliquer ici pour choisir un modèle de rapport afin d'ouvrir la boîte de dialogue Sélectionner le modèle de rapports.
    1. Sélectionnez dans la liste un modèle permettant l'affichage correct des données du rapport sélectionné.
    2. Cliquez sur OK pour utiliser le modèle.
Sujet parent : Modèles de rapports
Tâches associées
Téléchargement de modèles de rapports


Téléchargement de modèles de rapports

Les modèles de rapports Silk Central affichent les données de rapport dans des formats répondant à vos besoins spécifiques. Les modèles peuvent se présenter sous la forme de documents Word, de feuilles de calcul Excel, de modèles BIRT Report Designer, ainsi que de fichiers XML ou CSV. Une fois les modèles de rapports Silk Central téléchargés sur votre système local, vous pouvez les modifier par le biais de BIRT Report Designer ou Microsoft Excel ou Word. Après avoir téléchargé et modifié un rapport, vous pouvez le charger afin de le rendre disponible pour les autres utilisateurs. Pour plus de détails, reportez-vous à la procédure Chargement de modèles de rapports associée.

Pour télécharger un modèle de rapport existant afin de le modifier :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport utilisant le modèle que vous souhaitez modifier dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Propriétés.
  4. Cliquez sur le lien de téléchargement du modèle que vous souhaitez télécharger. Les liens de téléchargement suivants sont disponibles :
    Générer le modèle de rapport BIRT vide
    Les données de rapport sont reçues sous la forme d'un modèle de rapport BIRT générique vide. La source de données est déjà configurée.
    Générer le modèle de rapport .XLS/.XLSX
    Un fichier Excel est reçu avec une feuille comprenant les données. Vous pouvez spécifier des informations supplémentaires dans les feuilles adjacentes, par exemple des diagrammes.
    Télécharger le modèle de rapport Word
    Vous recevez un fichier Word docx que vous pouvez utiliser pour créer un rapport Word personnalisé. Le fichier Word contient des exemples de la manière de personnaliser le modèle pour ajouter les données dont vous avez besoin pour votre rapport.
    Télécharger les données du rapport en tant que fichier .CSV
    Les données de rapport sont reçues sous forme de fichier CSV (Comma Separated Values). En fonction de vos paramètres locaux, le caractère de délimitation « , » ou « ; » sera envoyé. La date est également mise en forme en fonction des paramètres utilisateur.
    Télécharger les données du rapport en tant que fichier .XML
    Les données de rapport sont reçues au format XML. Par rapport au format CSV, cette approche présente l'avantage de conserver toutes les données de sous-rapport. Accès aux données en dehors de Silk Central - Vous pouvez appeler une URL spécifique fournissant les données de rapport au format suivant :
    http://server/servicesExchange?hid=reportData&userName=<username>
&passWord=<password>&reportFilterID=<ID of the report>&type=<csv|xml>
&projectID=<ID of the project>
    .
  5. La boîte de dialogue Téléchargement de Fichier s'affiche. Cliquez sur Enregistrer et téléchargez le fichier de rapport sur votre système local en tant que fichier rptdesign, docx, xlsx, ou xls, en fonction du type de rapport que vous téléchargez.
  6. Modifiez le rapport en fonction de vos besoins à l'aide de BIRT Report Designer pour les fichiers rptdesign, Word pour les fichiers docx, ou Excel pour les fichiers xls/xlsx.
Sujet parent : Modèles de rapports
Tâches associées
Sélection ou chargement de modèles de rapports


Suppression de modèles de rapport

Pour supprimer le modèle du rapport actuel :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans l'arborescence Rapports, sélectionnez le rapport dans lequel vous voulez supprimer un modèle.
  3. Cliquez sur l'onglet Rapport.
  4. Cliquez sur Supprimer le Modèle de Rapports.
  5. Cliquez sur Oui dans la boîte de dialogue de confirmation qui s'affiche ensuite.
Sujet parent : Modèles de rapports


Abonnements aux rapports

L'onglet Abonnements de l'unité de rapports vous permet de vous abonner aux rapports. Vous pouvez personnaliser le moment, le lieu et le mode de réception du rapport, mais aussi modifier ses paramètres. Le rapport est créé en arrière-plan sur le serveur d'application, selon la planification sélectionnée. Le rapport est envoyé à l'abonné par courrier électronique. Il est également consultable sur le tableau de bord ou accessible par l'intermédiaire de sites externes, via une URL.

  • Gestion des abonnements de rapports
    Décrit la procédure à suivre pour gérer les abonnements aux rapports et s’abonner à un rapport.
  • Ajout d'un rapport à un panneau de tableau de bord
    Explique comment créer un rapport et l'ajouter à un panneau de tableau de bord.
Sujet parent : Création et personnalisation de rapports


Gestion des abonnements de rapports

Lisez attentivement les informations suivantes relatives aux abonnements :
  • Si l'auteur du rapport est supprimé, la planification du rapport est à son tour supprimée, ce qui entraîne la désactivation du rapport. Il faut alors qu'un autre utilisateur modifie l'abonnement pour le réactiver.
  • Les abonnements ne sont pas copiés lorsque vous copiez un projet ou créez un lotissement pour un projet.
  • Les abonnements ne sont pas exportés lorsque vous exportez un projet.
  • Après création d'un abonnement, vous pouvez le modifier ou le supprimer à l'aide des icônes de la colonne Actions.
  • Pour les rapports accessibles via le panneau du tableau de bord et accessibles en externe, seul le dernier résultat du rapport apparaît et aucun historique n'est disponible.
  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Abonnements.
  4. Cliquez sur Ajouter un abonnement. La boîte de dialogue Modifier l'abonnement s'affiche.
  5. Donnez un nom à l'abonnement dans le champ Nom.
  6. Pour modifier les paramètres d'abonnement, cliquez sur Modifier les Paramètres. La boîte de dialogue Modifier le Paramètre s'affiche. Modifiez la valeur et cliquez sur OK.
  7. Sélectionnez une planification dans la liste Planification. Si la planification souhaitée n'existe pas, vous pouvez la créer. Vous pouvez également ne sélectionner aucune planification, par exemple pour les abonnements qui seront uniquement déclenchés sur la base du résultat d'une exécution de test.
  8. Dans l'espace Gestion des résultats, choisissez l'une des options suivantes :
    • Pour envoyer le rapport par courriel, cliquez sur Envoyer en tant que message électronique et sélectionnez le format : Modèle de rapports (Excel, BIRT), PDF (tableau) ou XLSX (tableau). Les options disponibles dépendent de l'existence du modèle configuré. Ensuite, saisissez l'adresse électronique du destinataire. Vous pouvez envoyer le rapport à plusieurs destinataires en séparant leurs adresses électroniques par des virgules, des points-virgules ou des espaces.
    • Si vous souhaitez que le rapport soit disponible dans un panneau de tableau de bord ou à partir de sites externes, cliquez sur Inclure un tableau de bord et un accès externe. Grâce à cette option, le rapport est disponible dans le panneau de tableau de bord Abonnement aux Rapports. Par ailleurs, vous pouvez incorporer le lien dans des sites Web, des courriels, etc. Il s'agit d'un lien permanent qui ne change pas et dont l'accès ne nécessite pas d'informations de connexion ni de licence. Notez que lorsque vous utilisez un modèle, seuls les modèles BIRT sont rendus sous forme graphique. Les autres modèles s'affichent sous forme de tableau.
  9. Cliquez sur OK. Le nouvel abonnement est répertorié dans la liste Abonnements.
Pour gérer l’ensemble des abonnements aux rapports, sélectionnez le noeud Rapports globaux ou le noeud racine du projet. Utilisez les icônes de la colonne Actions pour modifier ou supprimer les abonnements aux rapports.Les rapports globaux partagés étant disponibles dans tous les projets pour tous les utilisateurs, les rôles utilisateur permettant de les mettre à jour et de les supprimer nécessitent des autorisations spéciales : Gérer les rapports globaux partagés et Supprimer les rapports globaux partagés. Ces autorisations s'appliquent également aux modèles de rapports utilisés dans les rapports globaux partagés. Les rapports globaux et les modèles de rapports qui ne sont pas partagés peuvent être mis à jour et supprimés par des rôles utilisateur dotés des autorisations standard pour la mise à jour et la suppression de rapports.

Exemple : intégration du lien autorisant l'accès externe dans un IFrame

<html>
...
<body>
...
<iframe src="http://<front-end server>:19120/servicesExchange?hid=reportOutput&linkId=ec36a037-a59a-4899-a98c-5a4a4644811f"
 width="700" height="500"></iframe>
...
</body>
</html>
Sujet parent : Abonnements aux rapports
Référence associée
Page Planification
Page Propriétés du plan d'exécution


Utilisation des graphes

  • Affichage de graphes
    Décrit comment afficher un graphe.
  • Impression de graphes
    Imprimez des graphes.
  • Suppression de graphes
    Supprimez le modèle de graphe actuel dans le rapport sélectionné.
  • Page Graphe
    Vous permet de définir des graphiques et des graphes pour l'analyse des données.
Sujet parent : Création et personnalisation de rapports


Affichage de graphes

Pour afficher un graphe :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Graphe afin d'afficher le graphe par défaut.
  4. Pour sélectionner un type de graphe différent, cliquez sur Sélectionner le type de graphe. La boîte de dialogue Sélectionner le type de graphe s'affiche.
  5. Sélectionnez un type de graphe dans la liste Type de Graphe.
  6. Vérifiez les propriétés d'affichage que vous souhaitez appliquer au graphe :
    • Vue 3D
    • Afficher les lignes horizontales de la grille
    • Afficher les lignes verticales de la grille
    • Afficher la légende
  7. Spécifiez la façon dont ces options de graphe doivent être enregistrées :
    • Cliquez sur l'option Pour l'utilisateur actuel uniquement pour que ces paramètres de graphe remplacent les paramètres standard du rapport lorsque l'utilisateur actuel consulte ce graphe.
    • Cliquez sur l'option En tant que rapport standard pour que ces paramètres de graphe soient affichés pour tous les utilisateurs pour lesquels aucun paramètre utilisateur de remplacement n'est défini. Ce paramètre n'a aucune incidence sur les paramètres utilisateur individuels.
  8. Cliquez sur OK pour afficher le nouveau type de graphe.
    Remarque : Les configurations de graphes que vous avez définies ici deviennent disponibles par défaut pour ce rapport. Lorsque des graphiques et des graphes standard ne peuvent pas fournir les données spécifiques requises, ou lorsqu'ils ne peuvent pas être affichés au format nécessaire, vous pouvez personnaliser l'apparence des données demandées à l'aide de la fonctionnalité de génération de rapports de Silk Central. Pour ouvrir le graphe actuel dans une fenêtre de navigateur distincte, cliquez sur Ouvrir dans une nouvelle fenêtre en haut de la page Graphe.
Sujet parent : Utilisation des graphes


Impression de graphes

Pour imprimer le graphe en cours :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Graphe.
  4. Cliquez sur Imprimer. Les données du graphe s'affichent dans une nouvelle fenêtre dans un format imprimable. La boîte de dialogue d'impression de votre système s'affiche également.
  5. Configurez les paramètres d'impression selon vos besoins et cliquez sur OK pour imprimer le graphe.
Sujet parent : Utilisation des graphes


Suppression de graphes

La suppression d'un graphe supprime uniquement le modèle de graphe actuellement sélectionné dans le rapport choisi ; cela ne supprime pas entièrement le modèle de graphe.

Pour supprimer le modèle de graphe actuel dans le rapport sélectionné :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Graphe.
  4. Cliquez sur Supprimer le Type de Graphe. La boîte de dialogue Supprimer le Graphe s'ouvre.
  5. Sélectionnez l'une des opérations suivantes :
    • Sélectionnez Supprimer les paramètres utilisateur (et revenir au rapport standard) pour que les paramètres de graphe de l'utilisateur actuel soient supprimés avec le graphe. Le graphe sera ensuite affiché en fonction des paramètres standard du rapport. Si aucun paramètre standard n'a été défini, le graphe ne peut pas être affiché.
      Remarque : Cette option est disponible uniquement lorsque l'utilisateur actif a défini des paramètres de graphe spécifiques.
    • Sélectionnez Supprimer les paramètres graphiques standards du rapport pour que les paramètres standard soient supprimés avec le graphe. Cette option n'a aucune incidence sur les paramètres utilisateur spécifiques.
      Remarque : Elle est disponible uniquement si des paramètres de graphe standard ont été définis pour un rapport.
  6. Cliquez sur OK pour supprimer le modèle de graphe. Si nécessaire, vous pouvez cliquer sur le lien <Cliquer ici pour choisir un type de graphe> afin d'assigner un nouveau modèle de graphe au rapport sélectionné.
Sujet parent : Utilisation des graphes


Page Graphe

Rapports > Vue Détaillée > Graphe

La page Graphe vous permet de définir des graphiques et des graphes pour l'analyse des données. La page s'appuie sur le moteur interne de création de rapports de Silk Central pour créer des graphiques et des graphes standard à partir des données extraites de la requête du rapport sélectionné.

Les types de graphes standard ci-dessous sont disponibles :
  • Graphe en aires
  • Graphe à barres
  • Graphe à barres empilées horizontales
  • Graphe linéaire
  • Graphe circulaire
  • Graphe à barres empilées
Sujet parent : Utilisation des graphes


Personnalisation des rapports

  • Personnalisation des modèles de rapports BIRT
    Utilisez BIRT Report Designer afin de créer des modèles de rapports personnalisés.
  • Personnalisation du modèle de rapports Word
    Décrit comme télécharger et personnaliser le modèle de rapports Word.
Sujet parent : Création et personnalisation de rapports


Personnalisation des modèles de rapports BIRT

BIRT Report Designer (BIRT) vous permet de personnaliser les modèles de rapports préinstallés de Silk Central, ainsi que de créer des modèles de rapports personnalisés. Pour plus d'informations sur l'utilisation de BIRT, reportez-vous aux rubriques Administration de cette Aide et à la documentation de BIRT Report Designer.

Pour télécharger un modèle existant afin de le modifier :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport utilisant le modèle de rapport BIRT.
  3. Cliquez sur l'onglet Propriétés.
  4. Cliquez sur Générer le modèle de rapport BIRT vide. Les données de rapport sont reçues sous la forme d'un modèle de rapport BIRT générique vide. La source de données est déjà configurée.
  5. Après avoir enregistré le modèle sur votre système local, modifiez-le selon vos besoins. Pour plus d'informations sur la configuration des modèles de rapports BIRT, reportez-vous aux rubriques Administration de cette Aide.
  6. Pour télécharger le modèle de rapports modifié, cliquez sur Administration > Modèles de rapports dans le menu, puis sur Télécharger.
Sujet parent : Personnalisation des rapports
Concepts associés
Gestion des modèles de rapports personnalisés avec BIRT


Personnalisation du modèle de rapports Word

Utilisez le modèle de rapport Word pour créer un rapport personnalisé qui répond à vos besoins.

Pour télécharger un modèle existant afin de le modifier :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport.
  3. Cliquez sur l'onglet Propriétés.
  4. Cliquez sur le lien Télécharger le modèle de rapport Word. Utilisez votre navigateur pour enregistrer le fichier en local.
  5. À l'aide des colonnes de résultats disponibles dans votre rapport, personnalisez le rapport à votre goût, en fonction des commandes du modèle de rapports Word.
  6. Pour télécharger le modèle de rapports modifié, cliquez sur Administration > Modèles de Rapports dans le menu, puis sur Télécharger.
  • Modèle de rapports Word
    Décrit comment modifier le modèle de rapport Word et fournit un exemple de rapport entièrement personnalisé.
Sujet parent : Personnalisation des rapports


Modèle de rapports Word

A propos du modèle

Utilisez le modèle de rapport Word pour créer un rapport personnalisé. Le modèle utilise les champs de fusion Word pour obtenir les données nécessaires. Le modèle est conçu pour les fichiers docx et ne prend pas en charge les fichiers doc. Voici quelques conseils pour commencer :
  • Pour insérer des champs de fusion dans Microsoft Word, cliquez sur Insérer > Quickpart > Champ > ChampFusion ou cliquez sur Ctrl + F9.
  • Pour modifier un champ de fusion, faites un clic droit sur celui-ci et sélectionnez Modification du champ.
  • Vous pouvez combiner texte standard et champs de fusion dans votre rapport.
  • Les champs de fusion prennent la forme suivante : « value ».

Informations Générales du Rapport

Les données suivantes peuvent vous être utiles pour l'en-tête de votre rapport :

Champ | Description
${report.name} | Nom du rapport.
${report.projectName} | Nom du projet dans lequel le rapport est exécuté.
${report.description} | Description du rapport.
${report.executedBy} | Nom de connexion de l'utilisateur ayant exécuté le rapport.
${report.generatedOn} | Date et heure d'exécution du rapport.
${report.generatedOnWeek} | Numéro de semaine de la date d'exécution du rapport.

Accès aux données

Les sections qui suivent décrivent comment accéder aux différentes données de votre rapport et comment les afficher.

Par index
«${rows[0].cols[3]}»
Par nom
«${rows[0].ReqName}»
Dans des listes
Un cas d'utilisation typique consiste à parcourir chaque ligne et à afficher les informations de colonne pour chaque ligne. Pour obtenir une liste de données, procédez comme suit :
«[#list rows as r]»
«${r.TestDefID}» - «${r.TestName}»
«[/#list]»

Le début de la boucle est défini par [#list rows as r] et sa fin par [/#list]. Les données de ligne sont référencées à l'intérieur de la boucle par r ce qui vous permet d'obtenir Test Name en le référençant par ${r.TestName}.

L'exemple ci-dessus effectue une itération sur toutes les lignes et le rapport produit présente une liste de tests avec leur ID et leur nom.

Dans des tableaux
La définition du début et de la fin d'une boucle dans une ligne de tableau nécessite une commande supplémentaire pour continuer l'itération dans le tableau. Vous devez placer la commande list pour la boucle dans la première colonne de votre tableau et préfixer cette commande avec @before-row. Vous devez utiliser @after-row pour terminer la liste. Le tableau suivant montre comment faire cela.
«${headers[3]}»|«${headers[3].@name}» | «${headers[4]}»|«${headers[4].@index}»
«@before-row[#list rows as r]»«${r.ReqName}»«@after-row[/#list]» | «${r.ReqDescription.@html}»
En-têtes et HTML
  • Les en-têtes de données sont accessibles à l'aide d'un champ de fusion nommé headers.
  • Les en-têtes peuvent être affichés de différentes façons en ajoutant .@elementName, .@name ou .@index.
  • Certaines données Silk Central, comme de nombreux champs Description, sont stockées au format HTML. Si vous voulez afficher du texte codé en HTML en tenant compte des balises, ajoutez l'attribut .@html. Si vous n'ajoutez pas cet attribut, vous verrez toujours le texte, mais il contiendra le balisage HTML. Par exemple, si votre source de données est <b>My report description</b> et que vous utilisez .@html, vous obtenez My report description. Sinon, vous obtenez : <b>My report description</b>. Les balises HTML suivantes sont prises en charge : <b>, <strong>, <i>, <u>, <br>, <p>, and <a>.
Sous-rapports
Les sous-rapports sont accessibles avec le mot-clé sub. Ajoutez le numéro du sous-rapport auquel vous souhaitez accéder, par exemple sub1,sub2, etc.
Exemple : Si ProjectID se trouve dans la première colonne de votre rapport principal, faites-y référence avec «${rows[0].ProjectID}». Si TestID se trouve dans la première colonne du premier sous-rapport, faites-y référence avec «${sub1.rows[0].TestID}». Pour parcourir toutes les lignes du premier sous-rapport et afficher la colonne TestID et la deuxième colonne :
«[#list sub1.rows as sr]»
  «${sr.TestID}» «${sr.cols[1]}»
«[/#list]»

Dépannage

Pourquoi mon rapport affiche-t-il des données erronées?
Les colonnes sont-elles référencées par leur index ? Dans ce cas, sachez que la première colonne est référencée par l'index 0 et non par 1.
Pourquoi un message d'erreur mentionnant un champ particulier s'affiche-t-il lorsque je télécharge mon rapport ? Je ne vois pas ce champ dans mon modèle.

Le libellé du champ a peut-être modifié mais la référence de fusion de courrier a toujours la valeur d'origine. Par exemple, vous pouvez recevoir un message d'erreur stipulant que le champ ${r.requirementName} n'existe pas. Dans votre document, vous voyez le champ ${r.reqName}. Lorsque vous faîtes un clic droit sur ce champ et sélectionnez Modification du champ, vous constatez que la référence est toujours ${r.requirementName}. N'oubliez pas de modifier les champs de fusion de courrier via l'option Modification du champ.

Exemple de rapport

L'exemple de rapport Word suivant affiche des tests manuels contenant des pas.

Remarque : Vous ne pouvez pas effectuer un copier/coller de ce rapport tel quel. Il est conçu pour vous montrer plusieurs façons d'utiliser le code de rapport pour les différentes sections d'un rapport. L'exemple ci-dessous est inclus dans les Modèles de rapports sous le nom : ManualTestResults.docx.
Report generated: «${report.generatedOn}» «${report.generatedOnWeek}»
«${report.name}»

Project Name          «${report.projectName}»
Report Description    «${report.description}»
Report Executed By    «${report.executedBy}»

«[#list rows as r]»«[#assign firstRow=(r_index==0 || rows[r_index-1].ManualTestDefID != r.ManualTestDefID)]»«[#if firstRow]»

«${r.TestDefinitionName}»
«${r.TestDefinitionDescription.@html}»

Status: «${r.StatusName}»

Planned Time [hh:mm]: «[#if r.PlannedTime!="null"]»«${r.PlannedTime}»«[#else]»00:00«[/#if]»
Used Time [hh:mm]: «[#if r.UsedTime!="null"]»«${r.UsedTime}»«[#else]»00:00«[/#if]»
Build: «${r.BuildName}»
Version: «${r.VersionName}»
Execution Plan: «${r.ExecDefName}»
Changed By: «${r.ChangedBy.@text}»
Changed On: «${r.ChangedAt.@text}»

«[/#if]»«[#if r.StepName != "null"]»«[#if firstRow]» Test Step Details:«[/#if]»
Step Name: «${r.StepName}»
Description: «${r.StepDescr.@html}»
Status: «${r.StepStatus}»
Result Info: «${r.StepResultInfo.@html}»
Expected Result: «${r.ExpectedResult.@html}»
«[/#if]»«[/#list]»
Sujet parent : Personnalisation du modèle de rapports Word


Affichage de rapports

Étant donné qu'à chaque modèle correspond un certain format de données pour la création d'un graphique utile, tous les modèles ne peuvent pas s'appliquer à toutes les demandes de rapports. Vous recevrez un message d'erreur si vous tentez de générer un rapport en utilisant un modèle de rapport incompatible. Par exemple, la sélection du modèle Quatre Valeurs Par Enregistrement sous forme de Barres Horizontales pour afficher le rapport Vue d'ensemble de l'État des Exigences est correcte, car ce modèle Microsoft Excel en particulier fait précisément appel aux quatre valeurs En Échec, Réussi, Non Exécuté et Non Couvert que la demande de rapport propose.

Pour générer un rapport :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans l'arborescence Rapports, sélectionnez le rapport que vous voulez générer.
  3. Cliquez sur l'onglet Rapport.
  4. Cliquez sur le lien <Cliquer ici pour choisir un modèle de rapport>. La boîte de dialogue Sélectionner le Modèle de Rapports s'affiche.
  5. Sélectionnez le modèle que vous voulez utiliser.
  6. Cliquez sur OK pour afficher le rapport.
Sujet parent : Espace de création de rapports


Enregistrement des rapports

La manière dont vous enregistrez un rapport en local varie selon que vous avez sélectionné un modèle de rapport BIRT ou un modèle Excel ou Word. Si vous avez sélectionné un modèle Excel, cliquez sur le lien Sauvegarder le modèle de rapport Excel sur la page Propriétés du rapport sélectionné. Microsoft Excel est appelé sur votre ordinateur local et le rapport est automatiquement chargé. De même, si vous avez sélectionné un modèle Word, cliquez sur Télécharger le modèle de rapport Word.

Si vous avez sélectionné un modèle de rapport BIRT, effectuez la procédure suivante pour enregistrer le rapport.

Pour exporter le rapport BIRT actuel en tant que PDF :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans l'arborescence Rapports, sélectionnez le rapport à enregistrer.
  3. Cliquez sur l'onglet Rapport.
  4. Cliquez sur Afficher en tant que document PDF dans la barre d'outils de la Vue Rapport.
  5. Dans la boîte de dialogue Téléchargement de Fichier, cliquez sur Enregistrer pour enregistrer le document PDF à l'emplacement de votre choix.
Sujet parent : Espace de création de rapports


Ajout de rapports aux Favoris

Le bouton FAVORI ajoute aux Favoris le rapport affiché à l'écran, y compris les paramètres que vous avez définis sur la page Paramètres. Vous pouvez envoyer des URL de favoris à d'autres utilisateurs Silk Central, afin de leur permettre d'afficher les rapports en un seul clic.

L'URL du favori contient les paramètres, avec le préfixe rp_. Les valeurs de date sont représentées en tant que valeurs Long de corrélation en temps universel coordonné (UTC) dans l'URL.

Sujet parent : Espace de création de rapports


Affichage d'un rapport au format PDF

Pour afficher le rapport actuel au format PDF dans la trame du navigateur de rapport :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans l'arborescence Rapports, sélectionnez le rapport à afficher.
  3. Cliquez sur l'onglet Rapport.
  4. Cliquez sur Afficher en tant que document PDF dans la barre d'outils de la vue du rapport. Le rapport s'affiche au format PDF.
Sujet parent : Espace de création de rapports


Accès aux rapports utilisés le plus récemment

Pour sélectionner un rapport consulté récemment :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Dans la barre d'outils Rapports, développez la zone de liste Derniers Rapports Utilisés.
  3. Sélectionnez le rapport que vous souhaitez consulter.
Sujet parent : Espace de création de rapports


Fonctions de la barre d'outils Rapports

Silk Central > Rapports

La barre d'outils Rapports propose des commandes importantes pour la gestion des rapports. La barre d'outils inclut les éléments suivants :

Élément | Icône | Description
Nouveau Dossier Enfant | Nouveau Dossier Enfant | Permet de créer des dossiers de rapports. Cliquez sur Nouveau Dossier Enfant pour définir le nom et une description optionnelle d'un nouveau dossier. Le nouveau dossier s'affiche en tant qu'enfant du nœud actuellement sélectionné dans l'arborescence Rapports.
Nouveau Rapport Enfant | Nouveau Rapport Enfant | Permet de créer des rapports. Cliquez sur Nouveau Rapport Enfant pour définir un nouveau rapport à l'aide de la boîte de dialogue Créer un Nouveau Rapport. Un nouveau rapport s'affiche en tant qu'enfant du nœud actuellement sélectionné dans l'arborescence Rapports.
Modifier | Modifier | Permet de modifier un rapport.
Supprimer | Supprimer | Permet de supprimer un rapport.
Couper | Couper | Permet de couper un rapport et de l'ajouter au presse-papiers.
Copier | Copier | Permet de copier un rapport dans le presse-papiers.
Coller | Coller | Permet de coller un rapport du presse-papiers dans l'arborescence Rapports.
Coller comme Enfant | Coller comme Enfant | Permet de coller un rapport du presse-papiers dans l'arborescence Rapports comme sous-nœud du nœud sélectionné.
Déplacer vers le Haut | Déplacer vers le Haut | Permet de déplacer des rapports vers le haut dans l'arborescence Rapports.
Déplacer vers le Bas | Déplacer vers le Bas | Permet de déplacer des rapports vers le bas dans l'arborescence Rapports.
Derniers Rapports Utilisés |  | Répertorie les rapports utilisés le plus récemment par date/heure dans l'ordre décroissant. Sélectionnez un nom de rapport dans la liste pour accéder à ce rapport. Chaque fois que vous accédez à un rapport en cliquant sur l'onglet Données, Graphe ou Rapport, il est ajouté en haut de la zone de liste L'accès à l'onglet Propriétés ou Paramètres d'un rapport n'entraîne pas l'ajout de ce rapport à la zone de liste Derniers Rapports Utilisés. La zone de liste Derniers Rapports Utilisés est vide pour les nouveaux utilisateurs et ceux qui n'ont pas encore généré de rapport. Le nombre de rapports qui s'affichent dans cette liste peut être configuré par votre administrateur. Pour plus d'informations, reportez-vous aux rubriques Administration de cette Aide.
Sujet parent : Espace de création de rapports


Propriétés du Rapport

  • Modification des propriétés de rapport
    Modifiez les propriétés d'un rapport.
  • Page Propriétés de Rapport
    Affiche les propriétés de base du rapport sélectionné.
Sujet parent : Espace de création de rapports


Modification des propriétés de rapport

Pour modifier les propriétés d'un rapport :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Propriétés.
  4. Cliquez sur Modifier. La boîte de dialogue Modifier le rapport s'affiche.
  5. Modifiez le Nom, la Description et le(s) Délai d'attente [s] du rapport en fonction de vos besoins.
  6. Cochez la case Partager ce rapport avec d'autres utilisateurs si vous voulez que ce rapport soit accessible à d'autres utilisateurs.
  7. Dans la zone de liste Onglet par Défaut, sélectionnez l'onglet vers lequel être dirigé lorsque ce rapport est sélectionné dans l'une des listes de rapports contextuels.
  8. Vous pouvez modifier le rapport de deux manières :
    • Créer un rapport simple : utilisez les listes Critères de sélection, Propriété, Opérateur et Valeur pour générer des requêtes SQL. Cliquez sur Plus pour ajouter des chaînes de requête supplémentaires et sélectionnez les opérateurs ET ou OU pour associer les requêtes. Cliquez sur [image] pour supprimer une chaîne de requête.
    • Créer un rapport avancé : si vous connaissez bien SQL, vous souhaiterez peut-être modifier le code de requête. Cliquez sur Requête avancée et modifiez le code de requête dans le champ Requête de données de rapport. La liste Insérer un espace réservé vous aide à modifier les requêtes SDL en utilisant des espaces réservés de fonction prédéfinis. Cliquez sur Simple pour revenir au mode simple.
    Remarque : Si vous modifiez manuellement du code SQL pour la requête, cliquez sur Vérifier le SQL afin de confirmer votre saisie.
  9. Cliquez sur Terminer pour enregistrer vos modifications.
Sujet parent : Propriétés du Rapport


Page Propriétés de Rapport

Rapports > Vue Détaillée > Propriétés

La page Propriétés affiche les propriétés de base du rapport sélectionné pour que vous puissiez changer ces propriétés ou les modèles de rapports. Vous pouvez également ajouter des sous-rapports à vos rapports.

La page affiche les éléments suivants :

Éléments | Description
Nom du Rapport | Nom du rapport (personnalisable)
ID du Rapport | Identificateur du rapport défini par le système
Description | Description du rapport (personnalisable)
Créé le | Date de création du rapport. Des rapports par défaut sont créés lorsqu'une base de données est créée et connectée.
Créé par | Utilisateur ayant créé le rapport. Des rapports par défaut sont créés par l'administrateur.
Modifié Le | Date de dernière modification du rapport
Modifié Par | Dernier utilisateur ayant modifié le rapport
Rendu | Modèle de rapport actuellement assigné au rapport
Onglet par Défaut | Onglet vers lequel vous êtes dirigé lorsque vous sélectionnez ce rapport à partir d'une des listes de rapports contextuels.
Modifier | Cliquez dessus pour ouvrir la boîte de dialogue Modifier le Rapport.
Ajouter un Sous-Rapport | Cliquez dessus pour ajouter un sous-rapport au rapport.
Modèles de Rapports Les modèles de rapports préinstallés disponibles sont les suivants :
Générer le modèle de rapport BIRT vide
Les données de rapport sont reçues sous la forme d'un modèle de rapport BIRT générique vide. La source de données est déjà configurée.
Générer le modèle de rapport .XLS/.XLSX
Un fichier Excel est reçu avec une feuille comprenant les données. Vous pouvez spécifier des informations supplémentaires dans les feuilles adjacentes, par exemple des diagrammes.
Télécharger le modèle de rapport Word
Vous recevez un fichier Word docx que vous pouvez utiliser pour créer un rapport Word personnalisé. Le fichier Word contient des exemples de la manière de personnaliser le modèle pour ajouter les données dont vous avez besoin pour votre rapport.
Télécharger les données du rapport en tant que fichier .CSV
Les données de rapport sont reçues sous forme de fichier CSV (Comma Separated Values). En fonction de vos paramètres locaux, le caractère de délimitation « , » ou « ; » sera envoyé. La date est également mise en forme en fonction des paramètres utilisateur.
Télécharger les données du rapport en tant que fichier .XML
Les données de rapport sont reçues au format XML. Par rapport au format CSV, cette approche présente l'avantage de conserver toutes les données de sous-rapport. Accès aux données en dehors de Silk Central - Vous pouvez appeler une URL spécifique fournissant les données de rapport au format suivant :
http://server/servicesExchange?hid=reportData&userName=<username>
&passWord=<password>&reportFilterID=<ID of the report>&type=<csv|xml>
&projectID=<ID of the project>
.
Sujet parent : Propriétés du Rapport


Paramètres du Rapport

  • Modification de paramètres de rapports
    Modifiez les paramètres d'un rapport.
  • Page Paramètres du Rapport
    Répertorie les éléments de déclarations personnalisables.
Sujet parent : Espace de création de rapports


Modification de paramètres de rapports

Pour modifier les paramètres d'un rapport :

  1. Dans le menu, cliquez sur Rapports > Vue Détaillée.
  2. Sélectionnez un rapport dans l'arborescence Rapports.
  3. Cliquez sur l'onglet Paramètres. Si des paramètres sont définis pour le rapport, ils sont répertoriés ici.
  4. Cliquez sur Modifier les Paramètres. La boîte de dialogue Modifier les paramètres s'affiche.
  5. Modifiez le Libellé ou la Valeur des paramètres répertoriés selon vos besoins.
  6. Cliquez sur OK.
Sujet parent : Paramètres du Rapport


Page Paramètres du Rapport

Rapports > Vue Détaillée > Paramètres

La page Paramètres répertorie les éléments de déclarations personnalisables. Les paramètres peuvent être définis à tout moment avant l'exécution d'un rapport en les modifiant à la page Paramètres. La syntaxe d'un paramètre est la suivante : ${parametername|defaultvalue|guiname}. Les valeurs defaultvalue et guiname sont optionnelles. Les noms de paramètres ne peuvent pas contenir d'espaces.

Lorsque des paramètres sont associés à un rapport, il est possible de changer leurs valeurs avant chaque exécution de rapport. Les valeurs des paramètres sont stockées dans le contexte utilisateur actuel, ce qui signifie que les valeurs modifiées ne sont accessibles qu'à l'utilisateur qui effectue les modifications. Lorsque les valeurs des paramètres ne sont pas spécifiées pour une exécution de rapport donnée, les valeurs par défaut de la définition de rapport sont utilisées.

Lorsque des sous-rapports sont assignés à un rapport, leurs paramètres s'affichent également à la page Paramètres et les valeurs ne sont stockées que dans le contexte du rapport sélectionné. Par exemple, les valeurs ne sont utilisées qu'avec la configuration de sous-rapport actuelle. Lorsque vous créez des rapports, les paramètres sont les valeurs qui sont définies dans la boîte de dialogue Créer un Nouveau Rapport, dans l'espace Critères de sélection.

Sujet parent : Paramètres du Rapport


Page Données

Rapports > Vue Détaillée > Données

La page Données offre un aperçu des résultats en mode lecture seule, qui présente les résultats du rapport sélectionné sous forme de grille dynamique dotée de fonctionnalités de tri et de filtrage. Les données affichées peuvent être exportées au format Excel via le bouton Télécharger les données (.xlsx).

Vous pouvez accéder aux exigences, aux tests, aux plans d'exécution et aux incidents Issue Manager que vous recherchez, directement à partir de la liste des résultats de la page Données. Pour ce faire, votre requête doit inclure la colonne ProjectID et l'ID correspondant à l'élément que vous souhaitez associer.
ID
Description
RequID
Recherchez dans cette colonne pour activer un lien vers les exigences à la page Données d'un rapport.
TestDefID
Recherchez dans cette colonne pour activer un lien vers les tests à la page Données d'un rapport.
ExecDefID
Recherchez dans cette colonne pour activer un lien vers les plans d'exécution à la page Données d'un rapport.
DefectID
Recherchez dans cette colonne pour activer un lien vers les incidents Issue Manager sur la page Données d'un rapport.

Si les résultats de la requête incluent ProjectID et RequID,TestDefID,ExecDefID ou DefectID en utilisant exactement ces termes comme noms de colonnes, la page Données affiche les valeurs de la colonne ID d'élément sous forme de lien.

Sujet parent : Espace de création de rapports


Page Rapport

Rapports > Vue Détaillée > Rapport

La page Rapport permet d'afficher les données sous forme de rapport. Si vous n'avez pas encore assigné de modèle à votre rapport, vous pouvez en sélectionner un à la page Rapport.

Une zone de liste propose tous les modèles de rapports disponibles. En plus des nombreux modèles installés par le système, tous les modèles de rapports personnalisés téléchargés à partir de Administration > Modèles de Rapports sont également disponibles ici.

Vous pouvez également télécharger un modèle existant en cliquant sur l'onglet Propriétés, puis sur le lien de téléchargement correspondant au format de rapport que vous utilisez. Vous pouvez ensuite personnaliser le modèle.

Remarque : Les rapports sont mis en cache pour améliorer les performances de création de rapports. Cliquez sur Mettre à jour pour mettre immédiatement à jour les données d'un rapport.
Sujet parent : Espace de création de rapports


Rapport de Synthèse du Projet

Rapports > Rapport de Synthèse du Projet

Affiche le Rapport de Synthèse du Projet, qui propose une vue d'ensemble générale de l'état du projet sélectionné. Le Rapport de Synthèse du Projet inclut les sections suivantes :

Section | Description
Informations Générales du Rapport | Informations générales telles que le nom du projet en cours, la description du rapport et la date de fin prévue.
Exigences | État de la couverture de test pour les exigences. Affiche le pourcentage de couverture de test sous forme de tableaux et de graphes pour toutes les exigences et pour celles avec une priorité supérieure.
Tests | Répartition des types de tests et des résultats de l'exécution de tests sous forme de tableaux et de graphes.
Sujet parent : Espace de création de rapports
Concepts associés
Rapport de Synthèse du Projet
Analyse de Code


Rapports par défaut

  • Rapports contextuels
    Décrit les listes générées dynamiquement de rapports spécifiques aux exigences, aux tests et aux exécutions.
  • Rapports sur les exigences
    Les rapports sur les exigences détaillent l'état des exigences fonctionnelles, telles que les exigences portant sur la compatibilité, l'interface utilisateur ou les fonctions, lesquelles doivent être remplies lors de la phase de développement.
  • Rapports de tests
    Décrit les rapports portant sur les tests.
  • Rapports d'organisation des exécutions
    Présente les rapports relatifs à l'organisation des exécutions.
  • Rapport Incidents par Composant
    Le rapport Incidents par composant présente tous les incidents relatifs à chaque composant.
  • Rapports de couverture de code
    Décrit les rapports de couverture de code.
  • Rapports de tendance de performance
    Les rapports de Tendance de Performance indiquent l'évolution de l'application selon les performances des tests sur une période spécifique.
  • Rapport de Synthèse du Projet
    Propose une vue d'ensemble générale de l'état du projet sélectionné.
Sujet parent : Rapports


Rapports contextuels

Les espaces Exigences, Tests et Exécutions comportent des listes générées dynamiquement de rapports spécifiques à chaque unité. Les listes de rapports contextuels sont utiles car elles comportent des types de rapports directement associés à vos activités courantes.

Exigences
Les listes de rapports contextuels de l'arborescence Exigences comportent tous les rapports utilisant un ID d'exigence en tant que paramètre d'entrée.
Tests
Les listes de rapports contextuels de l'arborescence Tests comportent tous les rapports utilisant un ID de test en tant que paramètre d'entrée.
Exécutions
Les listes de rapports contextuels de l'arborescence Plans d'Exécution comportent tous les rapports utilisant un ID de plan d'exécution en tant que paramètre d'entrée. Dans l'onglet Exécutions du plan d'exécution, les listes de rapports contextuels comportent tous les rapports possédant la configuration suivante :
  • Catégorie de Résultats = Plan d'Exécution
  • Critères de sélection = Exécution du plan d'exécution
  • Propriété = ID

Lorsque vous sélectionnez un rapport dans une liste de rapports contextuels, vous accédez directement à l'onglet par défaut du rapport dans l'espace Rapports. Ce comportement de l'onglet de destination par défaut peut être configuré via la boîte de dialogue Modifier le Rapport de chaque rapport.

Deux types de rapports sont affichés dans les listes de rapports contextuels : les rapports auxquels vous avez déjà accédé et ceux auxquels vous n'avez pas encore accédé. Les rapports auxquels vous avez déjà accédé sont affichés au-dessus d'un séparateur de lignes dans le menu. Ces rapports sont répertoriés dans l'ordre chronologique, le dernier rapport consulté figurant en haut de la liste. D'autres rapports par défaut disponibles, mais auxquels l'utilisateur n'a pas encore accédé, sont affichés sous le séparateur de lignes.

Outre les rapports contextuels configurés par défaut, vous pouvez configurer de nouveaux rapports, ainsi que des rapports existants, à inclure dans la liste de rapports contextuels de chaque espace. La fonction de contextualité est ajoutée aux rapports au cas par cas pour chaque utilisateur et chaque rapport.

  • Accès à des rapports d'exécution contextuels
    Accédez à un rapport de plan d'exécution contextuel.
  • Accès aux rapports d'exécution de plan d'exécution contextuels
    Accédez à un rapport d'exécution de plan d'exécution contextuel.
  • Accès à des rapports contextuels relatifs aux exigences
    Accédez à des rapports contextuels sur les exigences.
  • Accès à des rapports de test contextuels
    Accédez à des rapports de test contextuels.
  • Activation de rapports d'exécution contextuels
    Activez les rapports de plan d'exécution et d'exécution de plan d'exécution afin de les afficher dans des listes de rapports contextuels.
  • Activation de rapports d'exécution contextuels avancés
    Pour activer un rapport avancé afin de l'afficher dans des listes de rapports contextuels dans l'arborescence Plans d'exécution ou dans la page Exécutions.
  • Activation de rapports sur les exigences contextuels
    Activez les rapports sur les exigences afin de les afficher dans la liste des rapports contextuels.
  • Activation de rapports sur les exigences contextuels avancés
    Activez un rapport avancé afin de l'afficher dans des listes de rapports contextuels dans la zone Exigences.
  • Activation de rapports de test contextuels
    Activez les rapports de test afin de les afficher dans la liste des rapports contextuels.
  • Activation de rapports de test contextuels avancés
    Activez un rapport avancé à afficher dans la liste des rapports contextuels de l'espace Tests :
Sujet parent : Rapports par défaut


Accès à des rapports d'exécution contextuels

Remarque : Pour que les rapports soient accessibles dans la zone Exécutions, ils doivent être activés en tant que rapports contextuels.

Pour accéder à un rapport de plan d'exécution contextuel :

  1. Dans le menu, cliquez sur Organisation des Exécutions.
  2. Faites un clic droit sur un plan d'exécution dans l'arborescence Plans d'exécution et sélectionnez Rapports.
  3. Sélectionnez un rapport dans le sous-menu Rapports.

    L'onglet Paramètres du rapport sélectionné s'ouvre dans la zone Rapports, l'ID du plan d'exécution étant prérempli comme valeur de champ.

    Remarque : Vous pouvez configurer ce comportement d'association de l'onglet de destination à partir de la boîte de dialogue Modifier le Rapport de chaque rapport.
  4. Modifiez les paramètres du rapport selon vos besoins.
  5. Poursuivez la configuration du rapport sur les pages Données, Rapport ou Graphe.
Sujet parent : Rapports contextuels


Accès aux rapports d'exécution de plan d'exécution contextuels

Remarque : Pour que les rapports soient accessibles dans la zone Exécutions, ils doivent être activés en tant que rapports contextuels.

Pour accéder à un rapport d'exécution de plan d'exécution contextuel :

  1. Dans le menu, cliquez sur Organisation des Exécutions > Vue Détaillée.
  2. Cliquez sur l'onglet Exécutions.
  3. Faites un clic droit sur une exécution et sélectionnez Rapports.
  4. Sélectionnez un rapport dans le sous-menu Rapports.

    La page Paramètres du rapport sélectionné s'ouvre dans la zone Rapports, l'ID de l'exécution étant prérempli comme valeur de champ.

    Remarque : Vous pouvez configurer ce comportement d'association de l'onglet de destination à partir de la boîte de dialogue Modifier le Rapport de chaque rapport.
  5. Modifiez les paramètres du rapport selon vos besoins.
  6. Poursuivez la configuration du rapport sur les pages Données, Rapport ou Graphe.
Sujet parent : Rapports contextuels


Accès à des rapports contextuels relatifs aux exigences

Remarque : Les rapports contextuels sont disponibles dans l'espace Exigences uniquement s'ils acceptent un ID d'exigence comme paramètre d'entrée.

Pour accéder à un rapport contextuel sur les exigences :

  1. Dans le menu, cliquez sur Exigences > Vue Détaillée.
  2. Faites un clic droit sur une exigence dans l'arborescence Exigences et sélectionnez Rapports.
  3. Sélectionnez un rapport dans le sous-menu Rapports.

    La page Paramètres du rapport sélectionné s'ouvre dans la zone Rapports, l'ID de l'exigence étant prérempli comme valeur de champ.

    Remarque : Vous pouvez configurer ce comportement d'association de l'onglet de destination à partir de la boîte de dialogue Modifier le Rapport de chaque rapport.
  4. Modifiez les paramètres du rapport selon vos besoins.
  5. Poursuivez la configuration du rapport sur les pages Données, Rapport ou Graphe.
Sujet parent : Rapports contextuels


Accès à des rapports de test contextuels

Remarque : Les rapports contextuels sont disponibles dans l'espace Tests uniquement s'ils acceptent un ID de test comme paramètre d'entrée.

Pour accéder à un rapport de test contextuel :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Faites un clic droit sur un test, un dossier ou un conteneur de tests à partir de l'arborescence Tests ou de la Vue Matricielle et sélectionnez Rapports.
    Remarque : Si vous sélectionnez plusieurs tests à la fois dans la Vue Matricielle, la fonction de rapport contextuel est automatiquement désactivée.
  3. Sélectionnez un rapport dans le sous-menu Rapports.

    La page Paramètres du rapport sélectionné s'ouvre dans l'unité Rapports, l'ID de test étant prérempli comme valeur de champ.

    Remarque : Vous pouvez configurer ce comportement d'association de l'onglet de destination à partir de la boîte de dialogue Modifier le Rapport de chaque rapport.
  4. Modifiez les paramètres du rapport selon vos besoins.
  5. Poursuivez la configuration du rapport sur les pages Données, Rapport ou Graphe.
Sujet parent : Rapports contextuels


Activation de rapports d'exécution contextuels

Indique comment activer les rapports de plan d'exécution et d'exécution de plan d'exécution afin de les afficher dans des listes de rapports contextuels.

Pour activer un rapport simple afin de l'afficher dans des listes de rapports contextuels dans l'arborescence Exécution ou dans la page Exécutions :

  1. Créez un rapport. Pour plus d'informations, reportez-vous à la rubrique Création de rapports.
  2. Sélectionnez Plan d'exécution dans la zone de liste Catégorie de résultats.
  3. Choisissez les Critères de sélection du rapport contextuel.
  4. Sélectionnez ID dans la zone de liste Propriété.
  5. Entrez une valeur dans la zone de texte Valeur. Par exemple, le numéro d'ID d'un plan d'exécution existant ou d'une exécution de plan d'exécution existante.
  6. Cliquez sur Terminer.
Sujet parent : Rapports contextuels
Tâches associées
Création de nouveaux rapports


Activation de rapports d'exécution contextuels avancés

Pour activer un rapport avancé afin de l'afficher dans des listes de rapports contextuels dans l'arborescence Plans d'exécution ou dans la page Exécutions :

  1. Créez un rapport qui inclut l'un des éléments suivants :
    • Un ID de plan d'exécution comme paramètre d'entrée du rapport à afficher dans l'arborescence Plans d'exécution.
    • Un ID d'exécution de plan d'exécution comme paramètre d'entrée du rapport à afficher dans la page Exécutions.

    Pour plus d'informations, reportez-vous aux rubriques Création de nouveaux rapports et Écriture de requêtes avancées avec SQL.

  2. Pour rendre une requête avancée disponible dans le menu contextuel de la zone Exécutions, insérez le nom du paramètre execProp_Id_0 comme entrée pour ExecDef_ID_pk_fk. Par exemple, l'instruction SQL de votre rapport peut avoir défini une valeur de colonne de base de données codée en dur, telle que ExecDef_ID_pk_fk = 68. Pour modifier ce rapport afin qu'il puisse recevoir des valeurs de nom de colonne de manière dynamique, remplacez la valeur statique de 68 par ${execProp_Id_0 | 68}.
Remarque : Pour plus d'informations sur les tables et les définitions des noms de colonnes, reportez-vous à la rubrique Schéma de modèle de base de données Silk Central.
Sujet parent : Rapports contextuels
Tâches associées
Création de nouveaux rapports
Ecriture de requêtes avancées avec SQL


Activation de rapports sur les exigences contextuels

Indique comment activer les rapports sur les exigences à afficher dans la liste des rapports contextuels.

Pour activer un rapport simple à afficher dans la liste des rapports contextuels de la zone Exigences :

  1. Créez un rapport. Pour plus d'informations, reportez-vous à la rubrique Création de rapports.
  2. Sélectionnez Exigence dans la zone de liste Catégorie de Résultats.
  3. Choisissez les Critères de sélection du rapport contextuel.
  4. Entrez une valeur dans la zone de texte Valeur. Par exemple, le numéro d'ID d'une exigence existant.
Sujet parent : Rapports contextuels
Tâches associées
Création de nouveaux rapports


Activation de rapports sur les exigences contextuels avancés

Pour activer un rapport avancé afin de l'afficher dans des listes de rapports contextuels dans la zone Exigences :

  1. Créez un rapport qui inclut un ID d'exigence comme paramètre d'entrée.

    Pour plus d'informations, reportez-vous aux rubriques Création de nouveaux rapports et Écriture de requêtes avancées avec SQL.

  2. Pour rendre une requête avancée disponible dans le menu contextuel de l'unité Exigences, insérez le nom de paramètre reqProp_Id_0 comme entrée pour Req_ID_pk_fk. Par exemple, l'instruction SQL de votre rapport peut avoir défini une valeur de colonne de base de données codée en dur, telle que Req_ID_pk_fk = 68. Pour modifier ce rapport afin qu'il puisse recevoir des valeurs de nom de colonne de manière dynamique, remplacez la valeur statique de 68 par ${reqProp_Id_0 | 68}.
Remarque : Pour plus d'informations sur les tables et les définitions des noms de colonnes, reportez-vous à la rubrique Schéma de modèle de base de données Silk Central.
Sujet parent : Rapports contextuels
Tâches associées
Création de nouveaux rapports
Ecriture de requêtes avancées avec SQL


Activation de rapports de test contextuels

Indique comment activer les rapports de test à afficher dans la liste des rapports contextuels.

Pour activer un rapport simple à afficher dans la liste des rapports contextuels de l'espace Tests :

  1. Créez un rapport. Pour plus d'informations, reportez-vous à la rubrique Création de rapports.
  2. Sélectionnez Test dans la zone de liste Catégorie de Résultats.
  3. Choisissez les Critères de sélection du rapport contextuel.
  4. Entrez une valeur dans la zone de texte Valeur. Par exemple, le numéro d'ID d'un test existant.
Sujet parent : Rapports contextuels
Tâches associées
Création de nouveaux rapports


Activation de rapports de test contextuels avancés

Pour activer un rapport avancé à afficher dans la liste des rapports contextuels de l'espace Tests :

  1. Créez un rapport comprenant un ID de test, un ID de dossier de tests ou un ID de conteneur de tests comme paramètre d'entrée.

    Pour plus d'informations, reportez-vous aux rubriques Création de nouveaux rapports et Écriture de requêtes avancées avec SQL.

  2. Pour ajouter une requête avancée au menu contextuel de l'espace Tests, entrez le nom de paramètre tdProp_Id_0 comme ID de test ou tfProp_Id comme ID de dossier de tests ou ID de conteneur de tests. Par exemple, l'instruction SQL de votre rapport peut avoir défini une valeur de colonne de base de données codée en dur, telle que TestDef_ID_pk_fk = 68. Pour modifier ce rapport afin qu'il puisse recevoir des valeurs de nom de colonne de manière dynamique, remplacez la valeur statique de 68 par ${tdProp_Id_0 | 68}.
Remarque : Pour plus d'informations sur les tables et les définitions des noms de colonnes, reportez-vous à la rubrique Schéma de modèle de base de données Silk Central.
Sujet parent : Rapports contextuels
Tâches associées
Création de nouveaux rapports
Ecriture de requêtes avancées avec SQL


Rapports d'organisation des exécutions

Cette section présente les rapports d'organisation des exécutions qui sont fournis avec Silk Central. Pour faciliter l'évaluation des résultats, les rapports d'organisation des exécutions vous offrent une vue détaillée de la progression des exécutions de tests et de l'état des incidents, pour une période donnée ou une plage de builds.

  • Rapports Comparaison des Exécutions de Plan d'Exécution
    Les rapports de comparaison des exécutions de plan permettent de comparer deux exécutions de plan d'exécution.
  • Rapport d'Erreurs d'Exécution de Plans d'Exécution
    Le rapport d'Erreurs d'exécution de plans d'exécution fournit une liste détaillée de tous les tests dont une exécution de plan d'exécution a échoué et indique la raison de cet échec.
  • Rapport tests non réussis
    Le rapport Tests non réussis présente une vue d'ensemble de tous les tests en échec d'un dossier ou d'un projet dans l'espace Exécutions.
  • Rapport tests non réussis par plan d'exécution
    Le rapport Tests non réussis par plan d'exécution présente une vue d'ensemble de tous les tests en échec par configuration dans une suite de configurations, ou par plan d'exécution dans un dossier ou un projet de l'espace Exécutions.
  • Rapport vue d'ensemble de l'état d'exécution
    Le rapport Vue d'ensemble de l'état d'exécution présente l'état de la dernière exécution de tous les tests assignés aux plans d'exécution du nœud sélectionné.
Sujet parent : Rapports par défaut


Rapports Comparaison des Exécutions de Plan d'Exécution

Les rapports de comparaison des exécutions de plan permettent de comparer deux exécutions de plan d'exécution.
Remarque : Les rapports de comparaison des exécutions ne conviennent pas pour la comparaison des tests manuels aux tests automatisés. Lorsque le nom du rapport inclut (Deux Dernières Exécutions), vous pouvez uniquement comparer les deux dernières exécutions du plan d'exécution ou du test.
Les rapports suivants comparent deux exécutions de plan :
Rapport Comparaison des Exécutions de Plan d'Exécution

Rapport de comparaison des exécutions de plan par défaut qui permet de comparer deux exécutions de plan.

Rapport Comparaison des Exécutions de Plan d'Exécution – États Modifiés

Compare uniquement les tests des deux exécutions de plan pour lesquels un changement d'état s'est produit.

Rapport Comparaison des Exécutions de Plan d'Exécution – En échec dans la dernière exécution

Compare uniquement les tests en échec des deux exécutions de plan.

Le rapport de comparaison des exécutions de plan fournit les informations suivantes :
  • Changements d'état des plans d'exécution
  • Nombre d'erreurs
  • Nombre d'avertissements
  • Contexte dans lequel les plans d'exécution ont été mis en œuvre
  • Durée de l'exécution des tests assignés
Remarque : Lorsque l'état d'un test assigné devient En Échec entre les exécutions comparées, le test est indiqué en rouge. Lorsque l'état d'un test assigné devient Réussi entre les exécutions comparées, le test est indiqué en vert.
Sujet parent : Rapports d'organisation des exécutions


Rapport d'Erreurs d'Exécution de Plans d'Exécution

Le rapport d'Erreurs d'exécution de plans d'exécution fournit une liste détaillée de tous les tests dont une exécution de plan d'exécution a échoué et indique la raison de cet échec.

Toutes les erreurs survenues au cours de l'exécution du plan sont indiquées dans ce rapport. L'utilisateur peut évaluer rapidement les résultats et identifier facilement les effets indésirables affectant l'exécution du plan. Le paramètre d'entrée d'un rapport d'Erreurs d'exécution de plans d'exécution correspond à l'identificateur de l'exécution.

Sujet parent : Rapports d'organisation des exécutions


Rapport tests non réussis

Le rapport Tests non réussis présente une vue d'ensemble de tous les tests en échec d'un dossier ou d'un projet dans l'espace Exécutions.

Vous pouvez utiliser ce rapport pour analyser les erreurs, par exemple pendant le test de la configuration. Le paramètre d'entrée pour un rapport Tests non réussis est l'identificateur de la suite de configurations, du dossier ou du projet.

Sujet parent : Rapports d'organisation des exécutions


Rapport tests non réussis par plan d'exécution

Le rapport Tests non réussis par plan d'exécution présente une vue d'ensemble de tous les tests en échec par configuration dans une suite de configurations, ou par plan d'exécution dans un dossier ou un projet de l'espace Exécutions.

Vous pouvez utiliser ce rapport pour analyser les erreurs, par exemple pendant le test de la configuration. Le paramètre d'entrée pour un rapport Tests non réussis par plan d'exécution est l'identificateur de la suite de configurations, du dossier ou du projet.

Sujet parent : Rapports d'organisation des exécutions
Tâches associées
Accès à des rapports d'exécution contextuels


Rapport vue d'ensemble de l'état d'exécution

Le rapport Vue d'ensemble de l'état d'exécution présente l'état de la dernière exécution de tous les tests assignés aux plans d'exécution du nœud sélectionné.

Le paramètre d'entrée d'un rapport Vue d'ensemble de l'état d'exécution correspond à l'identificateur du nœud dans l'arborescence Plans d'exécution.

Sujet parent : Rapports d'organisation des exécutions


Rapport Incidents par Composant

Le rapport Incidents par composant présente tous les incidents relatifs à chaque composant.

Ce rapport offre une fonctionnalité de base pour le suivi des incidents et vous aide par ailleurs à surveiller la tendance générale des incidents pour chaque composant.

Sujet parent : Rapports par défaut


Rapports de couverture de code

Cette section présente les rapports de couverture de code livrés avec Silk Central. Ces rapports offrent une vue d'ensemble détaillée de la couverture de code de votre application sur une période donnée ou une plage de builds.

  • Rapports d'impact des changements sur le code
    Permettent de réaliser une analyse d'impact sur les tests, une analyse d'effort et une analyse de risques.
  • Rapport de tendance de la couverture de code
    Indique la tendance d'amélioration de la couverture de code relative aux méthodes, aux classes et aux packages pour une application sur une plage de builds sélectionnée.
  • Rapport de comparaison de la couverture de méthodes
    Compare la couverture de méthodes pour tous les packages/espaces de noms inclus entre deux builds d'application.
Sujet parent : Rapports par défaut


Rapports d'impact des changements sur le code

Les rapports d'impact des changements sur le code permettent de réaliser une analyse d'impact sur les tests, une analyse d'effort et une analyse de risques. Vous pouvez sélectionner des classes en fonction de l'intérêt qu'elles présentent et, en appliquant des modèles, générer des rapports qui aident à déterminer l'impact du changement des classes sur les tests. Pour les classes sélectionnées, vous pouvez effectuer votre choix parmi des modèles de rapports qui analysent l'impact des changements de codes proposés sur les tests.

Le rapport Impact des changements sur le code - Tests identifie les tests qui doivent être réexécutés à la suite des changements de code. Le taux de couverture affiche les méthodes couvertes par le test pour les classes spécifiées/le nombre total de méthodes des classes spécifiées.

Le rapport Impact des changements sur le code - Plans d'exécution identifie les plans d'exécution qui doivent être réexécutés à la suite de changements de code.

Cas d'utilisation des rapports

Les incidents classiques suivants liés à l'impact des changements sur le code peuvent être résolus à l'aide des rapports associés :
Analyse d'impact sur les tests
Vous souhaitez connaître les tests à exécuter à la suite d'un changement spécifique sur le code.
  • Sélectionnez une classe particulière.
  • Sélectionnez et exécutez le rapport Impact des Changements de Code - Tests.
  • Observez la liste des tests qui couvrent les classes modifiées dans cette version.
Analyse d'effort
Vous voulez connaître le nombre d'heures de tests automatisés et manuels nécessaires pour couvrir correctement un ensemble particulier de changements au niveau du code.
  • Sélectionnez une classe particulière.
  • Sélectionnez et exécutez le rapport Impact des Changements de Code - Plans d'Exécution.
  • Observez la durée requise (coût) pour les tests automatisés et manuels.
Sujet parent : Rapports de couverture de code


Rapport de tendance de la couverture de code

Indique la tendance d'amélioration de la couverture de code relative aux méthodes, aux classes et aux packages pour une application sur une plage de builds sélectionnée.

Graphique de tendance de couverture de code

Affiche le pourcentage global de couverture de code pour l'application sélectionnée sur la plage de builds sélectionnée. La couverture de code pour des packages/espaces de noms, des classes et des méthodes spécifiques est affichée séparément.

Détails de la tendance de couverture de code

Affiche les informations du graphique de tendance de couverture de code sous forme de tableau.

Sujet parent : Rapports de couverture de code


Rapport de comparaison de la couverture de méthodes

Compare la couverture de méthodes pour tous les packages/espaces de noms inclus entre deux builds d'application.

Utilisez le paramètre Seuil pour spécifier la quantité minimale de changements qui font apparaître un package/espace de noms dans le rapport. Les packages/espaces de noms qui présentent un pourcentage de changements inférieur ne sont pas visibles dans le rapport. L'intervalle du seuil est compris entre 0 et 100 pour cent.

Sujet parent : Rapports de couverture de code


Rapports de tendance de performance

Les rapports de Tendance de Performance indiquent l'évolution de l'application selon les performances des tests sur une période spécifique.

Pour les rapports de performance, les données d'entrée sont fournies par les tests de charge Silk Performer.

  • Rapport de tendance du page time moyen
    Affiche les page times par page pour tous les tests exécutés pour le test spécifié dans l'intervalle de temps spécifié.
  • Rapport de tendance des durées de transaction moyennes (Transaction Busy-Time)
    Affiche la durée par transaction pour tous les tests exécutés pour le test spécifié dans l'intervalle de temps spécifié.
  • Rapport de tendance du page time global
    Affiche les page times globaux, agrégés pour tous les types d'utilisateurs, pour tous les tests exécutés pour le test spécifié dans l'intervalle de temps spécifié.
  • Rapport de tendance des durées de transaction globales (Overall Transaction Busy-Time)
    Affiche la durée de transaction globale, agrégée pour tous les types d'utilisateurs, pour tous les tests exécutés pour le test spécifié dans l'intervalle de temps spécifié.
  • Rapport de tendance sur les mesures personalisées (Custom Measure)
    Affiche les valeurs moyenne, minimale et maximale des mesures définies pour tous les tests exécutés pour le test spécifié dans la période indiquée.
Sujet parent : Rapports par défaut


Rapport de tendance du page time moyen

Affiche les page times par page pour tous les tests exécutés pour le test spécifié dans l'intervalle de temps spécifié. La tendance de performance des page times pour les pages testées est affichée dans un graphe.

Paramètres d'Entrée

Les paramètres d'entrée d'un rapport Tendance du Page Time Moyen sont les suivants :
Paramètre
Description
Date à partir de (JJ-MMM-AAAA)
Date de début de la plage temporelle. Par exemple, 06-DÉC-2008.
Date jusqu'à (JJ-MMM-AAAA)
Date de fin de la plage temporelle. Par exemple, 16-JAN-2009.
Exclure les Exécutions avec plus de <nnn> Erreurs
Les exécutions qui génèrent plus d'erreurs qu'indiqué ici ne sont pas incluses dans le rapport. Utilisez ce paramètre pour éviter que les valeurs hors norme ne faussent la courbe de tendance.
Valeur Maximale pour l'Ordonnée
Limite l'ordonnée du graphique à la valeur spécifiée. Les durées de transaction dépassant cette valeur sont coupées dans la partie supérieure. Ce paramètre s'avère utile pour éviter que les lignes soient aplaties en raison de valeurs hors norme.
Filtre de mesure
Les mesures affichées sont limitées à celles qui incluent la chaîne spécifiée dans leur nom. Ce champ doit être renseigné. Pour afficher toutes les mesures disponibles, définissez le filtre de la mesure sur %. Par exemple, pour afficher uniquement les mesures qui incluent le mot « unit » dans leur nom (quelle que soit sa position), définissez le filtre de mesure sur %unit%.
ID du Test
Identificateur du test pour lequel vous voulez afficher le rapport.
Sujet parent : Rapports de tendance de performance


Rapport de tendance des durées de transaction moyennes (Transaction Busy-Time)

Affiche la durée par transaction pour tous les tests exécutés pour le test spécifié dans l'intervalle de temps spécifié. Les tendances de performance des durées de transaction pour les transactions testées sont affichées sous la forme de graphes de tendance.

Paramètres d'Entrée

Les paramètres d'entrée d'un rapport Tendance des durées de transaction moyennes (Transaction Busy-Time) sont les suivants :
Paramètre
Description
Date à partir de (JJ-MMM-AAAA)
Date de début de la plage temporelle. Par exemple, 06-DÉC-2008.
Date jusqu'à (JJ-MMM-AAAA)
Date de fin de la plage temporelle. Par exemple, 16-JAN-2009.
Exclure les Exécutions avec plus de <nnn> Erreurs
Les exécutions qui génèrent plus d'erreurs qu'indiqué ici ne sont pas incluses dans le rapport. Utilisez ce paramètre pour éviter que les valeurs hors norme ne faussent la courbe de tendance.
Valeur Maximale pour l'Ordonnée
Limite l'ordonnée du graphique à la valeur spécifiée. Les durées de transaction dépassant cette valeur sont coupées dans la partie supérieure. Ce paramètre s'avère utile pour éviter que les lignes soient aplaties en raison de valeurs hors norme.
ID du Test
Identificateur du test pour lequel vous voulez afficher le rapport.
Filtre de Transaction
Les transactions affichées sont limitées à celles qui incluent la chaîne spécifiée dans leur nom. Ce champ doit être renseigné. Pour afficher toutes les transactions disponibles, définissez le filtre de transaction sur %. Par exemple, pour afficher uniquement les transactions qui incluent le mot « unit » dans leur nom (quelle que soit sa position), définissez le filtre de transaction sur %unit%.
Sujet parent : Rapports de tendance de performance


Rapport de tendance du page time global

Affiche les page times globaux, agrégés pour tous les types d'utilisateurs, pour tous les tests exécutés pour le test spécifié dans l'intervalle de temps spécifié. La tendance de performance des page times pour la page testée est affichée dans un graphe.

Paramètres d'Entrée

Les paramètres d'entrée d'un rapport Tendance du Page Time Global sont les suivants :
Paramètre
Description
Date à partir de (JJ-MMM-AAAA)
Date de début de la plage temporelle. Par exemple, 06-DÉC-2008.
Date jusqu'à (JJ-MMM-AAAA)
Date de fin de la plage temporelle. Par exemple, 16-JAN-2009.
Exclure les Exécutions avec plus de <nnn> Erreurs
Les exécutions qui génèrent plus d'erreurs qu'indiqué ici ne sont pas incluses dans le rapport. Utilisez ce paramètre pour éviter que les valeurs hors norme ne faussent la courbe de tendance.
Valeur Maximale pour l'Ordonnée
Limite l'ordonnée du graphique à la valeur spécifiée. Les durées de transaction dépassant cette valeur sont coupées dans la partie supérieure. Ce paramètre s'avère utile pour éviter que les lignes soient aplaties en raison de valeurs hors norme.
ID du Test
Identificateur du test pour lequel vous voulez afficher le rapport.
Sujet parent : Rapports de tendance de performance


Rapport de tendance des durées de transaction globales (Overall Transaction Busy-Time)

Affiche la durée de transaction globale, agrégée pour tous les types d'utilisateurs, pour tous les tests exécutés pour le test spécifié dans l'intervalle de temps spécifié. La tendance de performance des durées de transaction pour la transaction testée est affichée dans un graphe de tendance.

Paramètres d'Entrée

Les paramètres d'entrée d'un rapport Tendance des Durées de la Transaction Globale (Overall Transaction Busy-Time) sont les suivants :
Paramètre
Description
Date à partir de (JJ-MMM-AAAA)
Date de début de la plage temporelle. Par exemple, 06-DÉC-2008.
Date jusqu'à (JJ-MMM-AAAA)
Date de fin de la plage temporelle. Par exemple, 16-JAN-2009.
Exclure les Exécutions avec plus de <nnn> Erreurs
Les exécutions qui génèrent plus d'erreurs qu'indiqué ici ne sont pas incluses dans le rapport. Utilisez ce paramètre pour éviter que les valeurs hors norme ne faussent la courbe de tendance.
Valeur Maximale pour l'Ordonnée
Limite l'ordonnée du graphique à la valeur spécifiée. Les durées de transaction dépassant cette valeur sont coupées dans la partie supérieure. Ce paramètre s'avère utile pour éviter que les lignes soient aplaties en raison de valeurs hors norme.
ID du Test
Identificateur du test pour lequel vous voulez afficher le rapport.
Sujet parent : Rapports de tendance de performance


Rapport de tendance sur les mesures personalisées (Custom Measure)

Affiche les valeurs moyenne, minimale et maximale des mesures définies pour tous les tests exécutés pour le test spécifié dans la période indiquée. La tendance de performance des valeurs de chaque mesure testée est affichée sous forme de graphique.

Paramètres d'Entrée

Les paramètres d'entrée d'un rapport de tendance sur mesures personnalisées sont les suivants :
Paramètre
Description
Date à partir de (JJ-MMM-AAAA)
Date de début de la plage temporelle. Par exemple, 06-DÉC-2008.
Date jusqu'à (JJ-MMM-AAAA)
Date de fin de la plage temporelle. Par exemple, 16-JAN-2009.
Exclure les Exécutions avec plus de <nnn> Erreurs
Les exécutions qui génèrent plus d'erreurs qu'indiqué ici ne sont pas incluses dans le rapport. Utilisez ce paramètre pour éviter que les valeurs hors norme ne faussent la courbe de tendance.
Valeur Maximale pour l'Ordonnée

Limite l'ordonnée du graphique à la valeur spécifiée. Les mesures dépassant cette valeur sont coupées dans la partie supérieure. Ce paramètre s'avère utile pour éviter que les lignes soient aplaties en raison de valeurs hors norme.

Nom de la mesure

Nom de la mesure personnalisée dont vous souhaitez afficher le rapport. Par exemple, CreateTestDefinition.

Type de Mesure

Type de la mesure personnalisée. Par exemple, Transaction(BusyTime)[s].

ID du Test
Identificateur du test pour lequel vous voulez afficher le rapport.
Sujet parent : Rapports de tendance de performance


Administration

Après avoir terminé la configuration initiale de Silk Central (configuration d'instance), cette section vous guide dans les étapes requises pour configurer des comptes utilisateurs, des projets, des emplacements, des serveurs d'exécution, et plus encore. Ces tâches doivent être effectuées par un administrateur.
  • Rôles et autorisations des utilisateurs
    Décrit le mode d'utilisation des différents rôles et autorisations des utilisateurs dans Silk Central.
  • Comptes utilisateurs et groupes
    Décrit le cadre conceptuel des comptes utilisateur et des groupes dans Silk Central.
  • Environnement d'exécution
    Décrit le cadre conceptuel de l'environnement d'exécution dans Silk Central.
  • Gestion des modèles de rapports
    Décrit l'utilisation des modèles de rapports dans Silk Central.
  • Journaux d'audit
    Décrit la façon dont un administrateur peut afficher toute l'activité utilisateur enregistrée au niveau de Silk Central à l'aide du journal d'audit.
  • Fichiers journaux de serveur
    Les fichiers journaux de serveur fournissent aux administrateurs des informations utiles pour l'analyse des erreurs.
  • Intégration des outils de gestion de tâches
    Explique comment intégrer des outils externes de gestion de tâches à Silk Central.
  • Gestion des applications, composants, versions et builds
    Décrit la création et l'organisation des applications, des composants d'application, des versions d'applications et des numéros de build des versions d'applications.
  • Gestion des listes de valeurs
    Décrit le mode d'utilisation des listes de valeurs pour alimenter les propriétés personnalisées des onglets d'incidents personnalisés que vous pouvez configurer pour Issue Manager .
  • Configuration des planifications globales
    Décrit comment définir des planifications globales pouvant être réutilisées dans Silk Central à des fins de planification des plans d'exécution.
  • Fuseaux horaires
    Décrit l'utilisation des fuseaux horaires dans Silk Central.
  • Gestion des projets
    Les projets dans Silk Central reflètent généralement un projet logiciel dans votre société, respectivement le travail d'une équipe de développement, avec une date de lancement commune, un système de référentiel tiers commun, des exigences communes, etc.
  • Intégrations
    Décrit les intégrations disponibles dans Silk Central.
Sujet parent : Aide de Silk Central


Rôles et autorisations des utilisateurs

Lors de l'utilisation de Silk Central, des tâches sont assignées à des groupes d'utilisateurs désignés qui ont accès à des projets assignés. Lorsqu'ils appartiennent à un groupe, les utilisateurs se voient accorder certains rôles pour ces projets. Les autorisations d'un utilisateur sont configurées en fonction du type de rôle de l'utilisateur et de son appartenance à un groupe. Cette rubrique définit chaque type d'autorisation et détaille les autorisations spécifiques associées à chaque rôle d'utilisateur.

Chaque compte utilisateur peut appartenir à un ou plusieurs groupes. Le groupe détermine les rôles de ses utilisateurs. Les groupes sont assignés aux projets. Ainsi, les autorisations de chaque utilisateur proviennent des assignations de rôles/de groupes qui ont été définies pour eux. Les autorisations définies ne s'appliquent qu'aux projets assignés aux groupes dont les utilisateurs ont des assignations de rôles/de groupes.

  • Rôles utilisateur
    Décrit les rôles utilisateur disponibles dans Silk Central.
  • Définition des autorisations
    Décrit les autorisations qui régissent la capacité de l'utilisateur à réaliser des tâches et à accéder à des espaces sécurisés dans Silk Central.
Sujet parent : Administration
Concepts associés
Gestion des groupes
Gestion des emplacements
Super utilisateur
Rôles utilisateur
Tâches associées
Ajout de projets
Initialisation de projets en tant que projets Issue Manager
Modification de projets et de lotissements de projet


Rôles utilisateur

Les rôles utilisateurs suivants sont prédéfinis dans Silk Central :
  • SuperUtilisateur
  • Administrateur
  • Chef de projet
  • Responsable qualité
  • Testeur
  • Analyste
  • Utilisateur des rapports
  • Responsable des assignations de rôles

Il n'est pas possible de modifier ou de supprimer ces rôles. Vous pouvez toutefois les copier pour vous en servir pour la création de rôles personnalisés.

SuperUtilisateur

Le rôle de super utilisateur est un rôle spécial qui accorde tous les privilèges dans Silk Central .

Administrateur

Parmi les tâches de l'administrateur figurent, entre autres, la configuration des emplacements de serveurs d'applications, Web et de rapports graphiques; la configuration et la gestion des référentiels et des paramètres de notification; la création de comptes ; la configuration des emplacements et des serveurs d'exécution.

Tous les privilèges sont accordés aux administrateurs pour Silk Central et Issue Manager.

Chef de projet

Les chefs de projets gèrent les projets dont ils sont responsables. Ils ne disposent pas d'un accès en écriture dans l'unité Administration de Silk Central. Ils n'ont accès qu'aux projets auxquels ils sont assignés en tant que chefs de projets : ils disposent d'un accès complet en écriture à toutes les fonctionnalités associées aux projets. Les chefs de projets disposent également de toutes les autorisations Issue Manager nécessaires pour accéder aux projets qui leur sont assignés.

Responsable qualité

Parmi les tâches du responsable qualité figurent l'organisation et l'exécution des tests, y compris la suppression des tests. Il dispose également d'un accès complet aux bibliothèques de pas de tests partagés et mots-clés, et d'un accès complet en lecture à l'espace Exigences de Silk Central.

Testeur

Le rôle du testeur est lié aux privilèges d'accès de Silk Central. Parmi les tâches du testeur figurent l'organisation et l'exécution des tests. Toutefois, le testeur ne peut pas effectuer la suppression des tests. Il dispose également d'un accès complet en lecture à Exigences ; il peut afficher et modifier tous les objets des bibliothèques de pas de tests partagés et mots-clés, et en créer.

Analyste

Les analystes analysent les résultats des projets qui leur ont été assignés. Ils ne peuvent pas modifier les paramètres ou les planifications des projets et ont des privilèges d'accès en lecture seule.

Utilisateur des rapports

Les utilisateurs des rapports non seulement disposent des mêmes droits que les analystes, mais ils peuvent également modifier et supprimer les rapports en mode Avancé. Le mode Avancé leur permet de saisir, modifier et supprimer les instructions SQL pour les rapports avancés. Pour plus de détails sur les sources de données, reportez-vous à l'aide de Silk Central .

Responsable des assignations de rôles

Les responsables des assignations de rôles détiennent l'autorisation unique d'assigner/annuler l'assignation des rôles pour les utilisateurs existants d'un groupe, et uniquement pour les rôles auxquels ils sont eux-mêmes assignés. Ils ne peuvent pas ajouter ou supprimer des membres d'un groupe, et ils peuvent uniquement modifier les assignations de rôles au sein des groupes dans lesquels ils sont eux-mêmes définis en tant que responsables des assignations de rôles.

  • Ajout de rôles utilisateur
    Ajoutez un nouveau rôle utilisateur.
  • Modification de rôles utilisateur
    Modifiez un rôle utilisateur.
  • Copie des rôles utilisateur
    Copiez un rôle utilisateur afin de créer un rôle utilisateur personnalisé.
  • Suppression de rôles utilisateur
    Supprimez un rôle utilisateur.
  • Page Paramètres des Rôles
    Utilisez cette page pour configurer les rôles utilisateurs.
Sujet parent : Rôles et autorisations des utilisateurs
Concepts associés
Super utilisateur
Rôles et autorisations des utilisateurs


Ajout de rôles utilisateur

Pour ajouter un rôle utilisateur :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Rôles.
  3. Cliquez sur Nouveau Rôle.

    La page Nouveau Rôle s'affiche.

  4. Saisissez un Nom pour le nouveau rôle.
  5. Facultatif : saisissez une Description pour le rôle.
  6. Dans la liste Paramètres de Permission, sélectionnez l'option Autoriser pour toutes les autorisations que vous voulez accorder à ce rôle.
    Remarque : Lors de la vérification d'une tâche parente de plus haut niveau, toutes les tâches enfants correspondantes sont également vérifiées. Lorsque certaines tâches enfants d'une tâche parente sont sélectionnées, la tâche parente possède une coche grisée indiquant que des autorisations partielles sont appliquées.
  7. Cliquez sur Enregistrer pour sauvegarder vos paramètres d'autorisation pour ce rôle.
Sujet parent : Rôles utilisateur


Modification de rôles utilisateur

Remarque : Les rôles utilisateur prédéfinis ne peuvent pas être modifiés. En revanche, les rôles utilisateur personnalisés peuvent l'être.

Pour modifier un rôle utilisateur :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Rôles.
  3. Cliquez sur le nom du rôle que vous souhaitez modifier dans la liste Rôles.

    La page Modifier le Rôle s'affiche.

  4. Modifiez le Nom du rôle selon vos besoins.
  5. Modifiez la Description du rôle selon vos besoins.
  6. Dans la liste Paramètres de Permission, cochez la case Autoriser de toutes les permissions que vous souhaitez accorder à ce rôle. Décochez les cases des permissions que vous ne souhaitez pas accorder à ce rôle.
    Remarque : Lors de la vérification d'une tâche parente de plus haut niveau, toutes les tâches enfants correspondantes sont également vérifiées. Lorsque certaines tâches enfants d'une tâche parente sont sélectionnées, la tâche parente possède une coche grisée indiquant que des autorisations partielles sont appliquées.
  7. Cliquez sur Enregistrer pour sauvegarder vos paramètres d'autorisation pour ce rôle.
Sujet parent : Rôles utilisateur


Copie des rôles utilisateur

Conseil : La copie des rôles utilisateur existants constitue la première étape de la création d'un rôle utilisateur personnalisé. Après avoir copié un rôle existant, renommez-le et modifiez ses autorisations afin de répondre à vos besoins.

Pour copier un rôle utilisateur :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Rôles.
  3. Dans la colonne Actions du rôle utilisateur que vous souhaitez copier, cliquez sur Dupliquer le rôle. La copie du rôle s'affiche dans la liste des rôles utilisateur. Vous pouvez la renommer et la personnaliser en fonction de vos besoins.
Sujet parent : Rôles utilisateur


Suppression de rôles utilisateur

Remarque : Les rôles utilisateur prédéfinis ne peuvent pas être supprimés. Les rôles utilisateur personnalisés peuvent être supprimés.

Pour supprimer un rôle utilisateur :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Rôles.
  3. Dans la colonne Actions du rôle utilisateur que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui pour confirmer l'opération ou sur Non pour l'abandonner. Si vous choisissez Oui, vous serez renvoyé à la liste des rôles utilisateur, qui n'inclura plus le rôle supprimé.
Sujet parent : Rôles utilisateur


Page Paramètres des Rôles

Administration > Gestion des Utilisateurs > Rôles

Utilisez la page Paramètres des Rôles pour configurer des rôles utilisateur. La page affiche les éléments suivants :

Elément | Description
Actions | Cliquez sur Dupliquer le rôle afin de créer une copie du rôle qui vous servira de base pour créer un nouveau rôle personnalisé. Cliquez sur Supprimer le rôle afin de supprimer un rôle utilisateur.
Nom | Nom du rôle utilisateur, tel qu'il est affiché dans l'interface utilisateur.
Autoriser la Nouvelle Assignation | Cliquez sur cette option pour permettre à un rôle utilisateur existant d'accepter de nouvelles assignations d'utilisateurs, ou l'en empêcher. Cela est utile dans le cas où un rôle utilisateur a été abandonné alors que certains comptes utilisateurs y sont toujours associés.
Description | Description du rôle utilisateur.
Créé le | Date de création du rôle.
Créé par | Utilisateur ayant créé le rôle.
Sujet parent : Rôles utilisateur


Définition des autorisations

Pour afficher les autorisations dans Silk Central : dans le menu, cliquez sur Administration > Gestion des Utilisateurs. Cliquez sur l'onglet Rôles. Cliquez sur un rôle dans la grille. Les autorisations affectées à ce rôle s'affichent.

Cette section présente les autorisations qui régissent la capacité de l'utilisateur à réaliser des tâches et à accéder à des espaces sécurisés dans Silk Central. Il existe une liste séparée pour chaque catégorie d'autorisation.

Remarque : Les autorisations des rôles prédéfinis ne sont pas modifiables.
  • Autorisations des exigences
    Répertorie les autorisations disponibles pour les exigences.
  • Autorisations relatives aux bibliothèques
    Répertorie les autorisations disponibles pour les bibliothèques.
  • Autorisations liées aux tests et aux exécutions
    Répertorie les autorisations disponibles pour les tests et les exécutions.
  • Autorisations associées à l'organisation des exécutions manuelles
    Répertorie les autorisations qui sont disponibles pour l'organisation des exécutions manuelles.
  • Autorisations associées aux incidents
    Répertorie les autorisations disponibles pour les incidents.
  • Autorisations liées aux objectifs Qualité
    Répertorie les autorisations disponibles pour les objectifs Qualité.
  • Autorisations relatives aux rapports
    Répertorie les autorisations disponibles pour les rapports.
  • Autorisations liées aux projets
    Répertorie les autorisations disponibles pour les projets.
  • Autorisations liées aux paramètres de projet
    Répertorie les autorisations disponibles pour les paramètres de projet.
  • Autorisations d'administration
    Cette section répertorie les autorisations disponibles pour l'administration.
  • Autorisations des panneaux du tableau de bord
    Décrit les autorisations requises pour afficher ou modifier le contenu d'un panneau donné.
Sujet parent : Rôles et autorisations des utilisateurs
Référence associée
Autorisations du client


Autorisations des exigences

Les autorisations suivantes sont disponibles pour les exigences :

 | Administrateur | Chef de projet | Responsable des assignations de rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Voir les exigences |  | X |  | X | X | X | X
Gérer les exigences |  | X |  |  |  |  |
Supprimer les exigences |  | X |  |  |  |  |
Gérer les intégrations de gestion des exigences |  | X |  |  |  | X |
Supprimer les intégrations de gestion des exigences |  | X |  |  |  |  |
Sujet parent : Définition des autorisations


Autorisations relatives aux bibliothèques

Les autorisations suivantes sont disponibles pour les bibliothèques :

 | Administrateur | Chef de projet | Responsable des assignations de rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Afficher les bibliothèques |  | X |  | X | X | X | X
Gérer les bibliothèques |  |  |  |  | X | X |
Supprimer les bibliothèques |  |  |  |  |  | X |
Sujet parent : Définition des autorisations


Autorisations liées aux tests et aux exécutions

Les autorisations suivantes sont disponibles pour les tests et les exécutions :

 | Administrateur | Chef de projet | Responsable des assignations de rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Voir les ressources |  | X |  | X | X | X | X
Gérer les ressources |  |  |  |  | X | X |
Supprimer les ressources |  |  |  |  |  | X |
Démarrer les exécutions |  |  |  |  | X | X |
Terminer les exécutions |  |  |  |  | X | X |
Exécuter les tests |  |  |  |  | X | X |
Synchroniser les exécutions de tests manuels |  |  |  |  | X | X |
Supprimer des exécutions de plan d'exécution |  |  |  |  | X | X |
Gérer les intégrations de référentiels tiers |  | X |  |  |  | X |
Supprimer les intégrations de référentiels tiers |  | X |  |  |  | X |
Sujet parent : Définition des autorisations


Autorisations associées à l'organisation des exécutions manuelles

Les autorisations suivantes sont disponibles pour l'organisation des exécutions manuelles :

 | Administrateur | Chef de projet | Responsable des assignations de rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Voir les cycles de test et les configurations |  | X |  | X | X | X | X
Gérer les cycles de test et les configurations |  |  |  |  |  | X |
Supprimer les cycles de tests et les configurations |  |  |  |  |  | X |
Sujet parent : Définition des autorisations


Autorisations associées aux incidents

Les autorisations suivantes sont disponibles pour les incidents :

 | Administrateur | Chef de projet | Responsable des assignations de rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Gérer les intégrations de suivi d'incidents |  | X |  |  |  | X |
Supprimer les intégrations de suivi d'incidents |  | X |  |  |  | X |
Sujet parent : Définition des autorisations


Autorisations liées aux objectifs Qualité

Les autorisations suivantes sont disponibles pour les objectifs Qualité :

 | Administrateur | Chef de projet | Responsable des assignations de rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Voir les objectifs de qualité |  | X |  | X | X | X | X
Gérer les objectifs qualité |  | X |  |  |  | X |
Supprimer les objectifs qualité |  | X |  |  |  | X |
Sujet parent : Définition des autorisations


Autorisations relatives aux rapports

Les autorisations suivantes sont disponibles pour les rapports :

 | Administrateur | Chef de projet | Responsable des assignations de rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Afficher les rapports |  | X |  | X | X | X | X
Gérer les rapports |  | X |  |  | X | X | X
Gérer les rapports avancés |  |  |  |  |  |  | X
Supprimer les rapports |  | X |  |  | X | X | X
Gérer les rapports globaux partagés |  |  |  |  |  |  | X
Supprimer les rapports globaux partagés |  |  |  |  |  |  | X

Autorisations relatives aux rapports globaux partagés

Les rapports globaux partagés étant disponibles dans tous les projets pour tous les utilisateurs, les rôles utilisateur permettant de les mettre à jour et de les supprimer nécessitent des autorisations spéciales : Gérer les rapports globaux partagés et Supprimer les rapports globaux partagés. Ces autorisations s'appliquent également aux modèles de rapports utilisés dans les rapports globaux partagés. Les rapports globaux et les modèles de rapports qui ne sont pas partagés peuvent être mis à jour et supprimés par des rôles utilisateur dotés des autorisations standard pour la mise à jour et la suppression de rapports. Cela implique les scénarios spéciaux suivants :
  • L'option Partager ce rapport avec d'autres utilisateurs est désactivée dans les rapports globaux et les dossiers si l'utilisateur ne dispose pas de l'autorisation Gérer les rapports globaux partagés.
  • Lorsqu'un rapport partagé copié est collé dans l'arborescence Rapports globaux sans l'autorisation Gérer les rapports globaux partagés, ce rapport est défini sur Non partagé.
Sujet parent : Définition des autorisations


Autorisations liées aux projets

Les autorisations suivantes sont disponibles pour les projets :

 | Administrateur | Chef de projet | Responsable des assignations de rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Gérer les projets |  | X |  |  |  | X |
Supprimer des projets |  | X |  |  |  | X |
Sujet parent : Définition des autorisations


Autorisations liées aux paramètres de projet

Les autorisations suivantes sont disponibles pour les paramètres de projet :

 | Administrateur | Chef de projet | Manager d'attribution des rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Voir les paramètres de projet |  | X |  | X | X | X | X
Gérer les paramètres de projet |  | X |  |  | X | X |
Supprimer les paramètres de projet |  | X |  |  |  | X |
Gérer les filtres |  | X |  |  | X | X |
Supprimer les filtres |  | X |  |  | X | X |
Modifier les filtres privés d'autres utilisateurs |  | X |  |  |  | X |
Supprimer les filtres privés d'autres utilisateurs |  | X |  |  |  | X |
Modifier les fichiers de mappage d'importation Office |  | X |  |  |  | X |
Supprimer les fichiers de mappage d'importation Office |  | X |  |  |  | X |
Gérer les motifs d'état |  |  |  |  | X | X |
Supprimer les motifs d'état |  |  |  |  |  | X |
Sujet parent : Définition des autorisations


Autorisations d'administration

Les autorisations suivantes sont disponibles pour l'administration :

 | Administrateur | Chef de projet | Manager d'attribution des rôles | Analyste | Testeur | Responsable qualité | Utilisateur des rapports
Afficher les paramètres système | X | X |  |  |  | X | X
Gérer les paramètres système | X |  |  |  |  |  |
Afficher les paramètres d'administration | X | X | X |  |  | X | X
Gérer les paramètres d'administration | X |  |  |  |  |  |
Gérer les attributions de rôles des utilisateurs | X |  | X |  |  |  |
Supprimer les paramètres d'administration | X |  |  |  |  |  |
Afficher les fichiers journaux | X | X |  |  |  | X | X
Supprimer les fichiers journaux | X |  |  |  |  |  |
Afficher les journaux d'audit | X |  |  |  |  |  |
Gérer les serveurs d'exécution | X |  |  |  |  |  |
Supprimer les serveurs d'exécution | X |  |  |  |  |  |
Activer et désactiver des serveurs d'exécution | X |  |  |  |  |  |
Afficher les produits, versions et builds | X | X |  |  |  | X | X
Gérer les produits, versions et builds | X |  |  |  |  |  |
Supprimer des produits, versions et builds | X |  |  |  |  |  |
Sujet parent : Définition des autorisations


Comptes utilisateurs et groupes

Un compte utilisateur doit être créé pour chaque utilisateur qui se sert de Silk Central. Un ou plusieurs groupes d'utilisateurs sont assignés à certains projets. Un utilisateur ne peut travailler sur un projet Silk Central qu'avec un compte utilisateur, un rôle utilisateur et une assignation de groupe.

  • Gestion des comptes utilisateurs
    Décrit le mode de gestion des comptes utilisateurs.
  • Gestion des groupes
    Décrit le mode de gestion des groupes.
Sujet parent : Administration


Gestion des comptes utilisateurs

Les comptes utilisateurs assurent le suivi des données de connexion et des paramètres de configuration pour chaque utilisateur. Ils permettent également d'activer l'identifiant utilisateur. En général, les comptes utilisateurs sont assignés aux comptes de groupe avec un ou plusieurs rôles utilisateurs spécifiques pour des projets précis. Le superutilisateur est le seul rôle autorisé à, entre autres choses, configurer les emplacements de serveur d'application, Web et de rapports graphiques, ainsi qu'à définir et gérer des référentiels et des paramètres de notification.

ATTENTION :
Étant donné que le compte SuperUtilisateur admin possède des privilèges d'administration complets, vous devez immédiatement créer un nouveau mot de passe pour cet utilisateur, afin d'éviter tout accès illimité à ces privilèges. Pour plus d'informations sur la modification du mot de passe, reportez-vous à la rubrique Modification du mot de passe du compte d'administrateur système.
  • Ajout de comptes utilisateurs
    Créez un compte utilisateur dans Silk Central.
  • Modification des comptes utilisateurs
    Modifiez un compte utilisateur dans Silk Central.
  • Suppression de comptes utilisateurs
    Supprimez un compte utilisateur.
  • Page Paramètres Utilisateur
    Utilisez cette page pour configurer les comptes utilisateurs.
Sujet parent : Comptes utilisateurs et groupes


Ajout de comptes utilisateurs

Pour ajouter un compte utilisateur :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Comptes. La page affiche tous les comptes utilisateurs disponibles. Lorsque vous accédez à cette page pour la première fois, le compte SuperUtilisateur admin est le seul utilisateur répertorié.
  3. Cliquez sur Nouvel Utilisateur. La page Ajouter un nouveau compte utilisateur s'affiche.
  4. Saisissez un nom d'utilisateur et un mot de passe pour l'utilisateur. Saisissez le mot de passe une seconde fois pour le confirmer.
  5. Cochez la case Authentification mixte (LDAP) pour activer l'authentification LDAP et celle basée sur les données d'authentification locales.
  6. Définissez la connexion sur Verrouillé si vous voulez empêcher l'utilisateur de se connecter.
  7. Saisissez le prénom, le nom et l'adresse électronique de l'utilisateur.
  8. Indiquez le fuseau horaire de l'utilisateur et sélectionnez un format de date, un format de date courte et le premier jour de la semaine.
  9. Saisissez le Temps de rafraîchissement de la page en secondes, le Caractère séparateur de CSV et un Serveur d'Exécution par Défaut.
  10. Sélectionnez un groupe et une définition de rôle dans les zones de liste respectives.
  11. Cliquez sur Ajouter une Assignation pour ajouter la combinaison de groupe et de rôle au compte utilisateur.
  12. Répétez les deux étapes précédentes afin d'assigner toutes les combinaisons groupe/rôle souhaitées au compte utilisateur.
  13. Pour supprimer une combinaison de groupe et de rôle dans le compte utilisateur actuel, cliquez sur l'icône Supprimer dans la colonne Actions.
  14. Cliquez sur Enregistrer pour enregistrer vos paramètres.
Sujet parent : Gestion des comptes utilisateurs
Concepts associés
Formats de date et heure
Tâches associées
Modification des comptes utilisateurs
Suppression de comptes utilisateurs


Modification des comptes utilisateurs

Après avoir configuré un compte utilisateur, vous pouvez modifier l'un de ses paramètres, à l'exception du nom Connexion.

Remarque : Les modifications apportées à un compte utilisateur deviennent actives à la prochaine connexion au compte utilisateur modifié. Veuillez demander à l'utilisateur de se déconnecter, puis de se reconnecter.

Pour modifier un compte utilisateur :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Comptes. La page affiche tous les comptes utilisateurs disponibles. Lorsque vous accédez à cette page pour la première fois, le compte SuperUtilisateur admin est le seul utilisateur répertorié.
  3. Cliquez sur le nom Connexion du compte utilisateur que vous souhaitez modifier. La page Configurer un utilisateur existant s'affiche.
  4. Modifiez le mot de passe de l'utilisateur selon vos besoins. Saisissez le mot de passe une seconde fois pour le confirmer.
  5. Cochez la case Authentification mixte (LDAP) pour activer l'authentification LDAP et celle basée sur les données d'authentification locales.
  6. Modifiez les autres paramètres utilisateur en fonction de vos besoins.
  7. Sélectionnez un groupe et une définition de rôle dans les zones de liste respectives.
  8. Cliquez sur Ajouter une Assignation pour ajouter la combinaison de groupe et de rôle au compte utilisateur.
  9. Répétez les deux étapes précédentes afin d'assigner toutes les combinaisons groupe/rôle souhaitées au compte utilisateur.
  10. Pour supprimer une combinaison groupe/rôle du compte utilisateur actuel, cliquez sur Supprimer dans la colonne Actions.
  11. Cliquez sur Enregistrer pour enregistrer vos paramètres.
Sujet parent : Gestion des comptes utilisateurs
Concepts associés
Formats de date et heure
Tâches associées
Ajout de comptes utilisateurs
Suppression de comptes utilisateurs


Suppression de comptes utilisateurs

ATTENTION :
La suppression d'un compte utilisateur est une opération irréversible. Vous pouvez en revanche verrouiller un compte utilisateur si vous souhaitez rendre un compte temporairement indisponible. Pour plus d'informations sur le verrouillage des comptes utilisateurs, reportez-vous à la rubrique Modification des comptes utilisateurs.

Pour supprimer un compte utilisateur :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Comptes. La page affiche tous les comptes utilisateurs disponibles. Lorsque vous accédez à cette page pour la première fois, le compte SuperUtilisateur admin est le seul utilisateur répertorié.
  3. Dans la colonne Actions du compte utilisateur que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui pour confirmer l'opération ou sur Non pour l'abandonner. Si vous choisissez Oui, vous serez renvoyé à la liste des comptes utilisateurs, qui n'inclura plus le compte supprimé.
Sujet parent : Gestion des comptes utilisateurs
Concepts associés
Formats de date et heure
Tâches associées
Ajout de comptes utilisateurs
Modification des comptes utilisateurs


Page Paramètres Utilisateur

Administration > Gestion des Utilisateurs > Comptes > Nouvel/Modifier Utilisateur

Utilisez la page Paramètres Utilisateur pour configurer les comptes utilisateurs. Les paramètres des comptes utilisateurs sont étroitement liés aux paramètres des comptes de groupe.

Vous pouvez cliquer sur le nom de l'utilisateur dans le menu pour accéder à la page Paramètres Utilisateur de l'utilisateur connecté.

Remarque : Vous devez définir au moins une assignation de groupe et de rôle pour enregistrer un compte utilisateur.
Elément Données de Connexion | Description
Connexion | Nom d'utilisateur à enregistrer dans le référentiel Silk Central . Si vous cochez la case Authentification mixte (LDAP) ci-après, le nom d'utilisateur saisi doit correspondre au nom d'utilisateur LDAP défini.
Mot de passe | Saisissez un mot de passe correct pour la Connexion que vous avez saisie. Ce mot de passe n'est pas associé au mot de passe LDAP.
Confirmer le mot de passe | Saisissez à nouveau le mot de passe pour le confirmer.
Authentification mixte (LDAP) | Cochez cette case pour activer l'authentification LDAP et celle basée sur les données d'authentification locales. Si un serveur LDAP existe et que vous ne cochez pas cette case, seule l'authentification LDAP est activée.
Verrouillé | Cochez cette case si vous voulez empêcher l'utilisateur de se connecter avec les données d'authentification données. Ainsi, le compte utilisateur est inactif.
Elément Données Générales | Description
Prénom | Indiquez le prénom de l'utilisateur. Cette information n'a aucun impact sur le comportement de Silk Central ; elle permet simplement d'effectuer le suivi des coordonnées de l'utilisateur.
Nom de famille | Indiquez le nom de famille de l'utilisateur. Cette information n'a aucun impact sur le comportement de Silk Central ; elle permet simplement d'effectuer le suivi des coordonnées de l'utilisateur.
Email | Indiquez l'adresse électronique de l'utilisateur. Cette information sert à des fins de notification.
Thème | Sélectionnez une version Silk Central pour définir le schéma de couleurs dans lequel l'interface utilisateur de Silk Central sera affichée pour l'utilisateur sélectionné.
Fuseau horaire | Fuseau horaire local de l'utilisateur. Cette information sert à afficher les heures et les dates du fuseau horaire local de l'utilisateur.
Format de date | Le format de date sélectionné est présenté à l'utilisateur dans des listes, des rapports et dans le calendrier lorsque Silk Central affiche un format de date longue.
Format de date courte | Le format de date sélectionné est présenté à l'utilisateur dans des listes, des rapports et dans le calendrier lorsque Silk Central affiche un format de date courte.
Premier jour de la semaine | Le premier jour de la semaine détermine l'affichage hebdomadaire dans les rapports.
Caractère séparateur de CSV | Ce caractère sert de séparateur de lignes pour les fichiers CSV téléchargés par l'utilisateur. Les rapports sont téléchargeables au format CSV.
Serveur d'exécution par défaut | Le serveur d'exécution par défaut est utilisé pour les exécutions d'essai des tests automatisés.
Elément Assignations de Groupes et de Rôles | Description
Table des Assignations de Groupes et de Rôles | Répertorie toutes les assignations de rôles d'utilisateurs/de groupes d'utilisateurs existantes de l'utilisateur. Vous pouvez aussi supprimer des assignations de groupes et de rôles en cliquant sur Supprimer en regard de celle que vous voulez supprimer.
Groupe | Sélectionnez un groupe auquel l'utilisateur doit être assigné. Cette zone de liste répertorie les comptes utilisateurs qui ont été définis par un administrateur Silk Central . Les groupes importés à partir d'un serveur LDAP sont répertoriés uniquement, si l'utilisateur leur est assigné.
Rôle utilisateur | Sélectionnez le rôle utilisateur qui doit servir à assigner l'utilisateur au groupe sélectionné. La liste est alimentée par les rôles système prédéfinis et les rôles utilisateur personnalisés.
Ajouter | Cliquez sur ce bouton pour créer une assignation de rôle d'utilisateur/de groupe d'utilisateurs avec le rôle d'utilisateur et de groupe sélectionné.

Jeton de service Web

Cette zone permet de générer un jeton de service Web que vous pouvez utiliser pour l'authentification auprès de Silk Central via un service Web.
Elément | Description
Générer un jeton | Génère un nouveau jeton de service Web.
Copier le jeton vers le Presse-papiers | Copie le jeton de service Web dans le Presse-papiers. Cette option est activée uniquement si un jeton a déjà été généré.
Regénérer le jeton | Génère un nouveau jeton de service Web. Cette option est disponible uniquement si un jeton a déjà été généré.
Supprimer le jeton | Supprime un jeton de service Web. Cette option est activée uniquement si un jeton a déjà été généré.
Sujet parent : Gestion des comptes utilisateurs


Gestion des groupes

Les groupes définissent l'accès à des projets spécifiques. Chaque utilisateur peut être associé à un ou plusieurs groupes dont il hérite les droits d'accès aux projets définis pour le groupe sélectionné.

Remarque : Les utilisateurs peuvent être ajoutés aux groupes avec plusieurs rôles, ce qui permet une configuration avancée des autorisations de l'utilisateur.
  • Ajout de groupes
    Créez un groupe.
  • Importation de groupes à partir de serveurs LDAP
    Importez des groupes à partir de serveurs LDAP et créez automatiquement vos utilisateurs Silk Central .
  • Planification d'une synchronisation de groupe LDAP automatique
    Si vous avez importé des groupes d'utilisateurs de serveurs LDAP dans votre système Silk Central , vous pouvez spécifier une planification pour synchroniser automatiquement vos groupes Silk Central avec des modifications effectuées sur les serveurs LDAP.
  • Modification de groupes
    Modifiez un groupe.
  • Suppression de groupes
    Supprimez un groupe.
  • Page Paramètres de Groupe
    Utilisez cette page pour configurer les groupes d'utilisateurs.
Sujet parent : Comptes utilisateurs et groupes
Concepts associés
Gestion des emplacements
Rôles et autorisations des utilisateurs
Tâches associées
Ajout de projets
Initialisation de projets en tant que projets Issue Manager
Modification de projets et de lotissements de projet


Ajout de groupes

Pour ajouter un groupe :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Groupes.
  3. Cliquez sur Nouveau Groupe.
  4. Dans la zone de texte Nom de groupe, saisissez un nom pour le nouveau groupe.
  5. Dans la zone de texte Description, saisissez une description pour le nouveau groupe.
  6. Sélectionnez un utilisateur possédant une assignation de rôle dans les zones de liste correspondantes, puis cliquez sur Ajouter la Sélection pour ajouter la combinaison utilisateur/rôle au nouveau groupe.
    Remarque : Les rôles d'utilisateur définis de manière à ne pas accepter de nouvelles assignations d'utilisateurs ne sont pas affichés dans cette liste. Ces paramètres sont contrôlés par les boutons Autoriser la Nouvelle Assignation sous Administration > Gestion des Utilisateurs > Rôles.

    Pour les groupes qui ont été importés d'un serveur LDAP, les assignations de rôles supplémentaires peuvent être ajoutées aux utilisateurs. Les assignations de rôles peuvent également être supprimées, mais en conservant au moins une assignation de rôle par utilisateur. La suppression d'utilisateurs d'un groupe importé depuis LDAP doit être effectuée sur le serveur LDAP lui-même.

  7. Répétez l'étape précédente afin d'assigner toutes les combinaisons utilisateur/rôle souhaitées au groupe.
    Conseil : Il peut être utile d'assigner le rôle Gestionnaire des assignations de rôle à un ou plusieurs utilisateurs du groupe. Les responsables des assignations de rôles détiennent l'autorisation unique d'assigner/annuler l'assignation des rôles pour les utilisateurs existants d'un groupe, et uniquement pour les rôles auxquels ils sont eux-mêmes assignés. Ils ne peuvent pas ajouter ou supprimer des membres d'un groupe, et ils peuvent uniquement modifier les assignations de rôles au sein des groupes dans lesquels ils sont eux-mêmes définis en tant que responsables des assignations de rôles.
  8. Pour supprimer une combinaison utilisateur/rôle du groupe actuel, cliquez sur Supprimer dans la colonne Actions.
  9. Dans la section Assignation(s) de Projet, vous pouvez assigner des projets existants à ce groupe.
  10. Cliquez sur Enregistrer.
Sujet parent : Gestion des groupes


Importation de groupes à partir de serveurs LDAP

Importez des groupes à partir de serveurs LDAP et créez automatiquement vos utilisateurs Silk Central .
Vous devez configurer un serveur LDAP pour pouvoir importer des groupes de serveurs LDAP. Pour plus d'informations, reportez-vous à la rubrique Ajout de serveurs LDAP.
Pour importer des groupes LDAP et leurs utilisateurs associés dans Silk Central :
  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Groupes.
  3. Cliquez sur Importer un groupe LDAP. La boîte de dialogue Importer un groupe LDAP s'affiche.
  4. Si votre serveur LDAP a été configuré pour l'utilisation d'un domaine, sélectionnez un domaine LDAP si les utilisateurs importés doivent se connecter à Silk Central avec le profil <domain>\<username>. Sélectionnez le domaine par défaut si les utilisateurs importés doivent se connecter à Silk Central sans entrer de nom de domaine.
  5. Sélectionnez le Groupe LDAP que vous souhaitez importer.
  6. Sélectionnez le Rôle par défaut Silk Central . Tous les utilisateurs du Groupe LDAP sélectionné seront configurés avec ce rôle.
  7. Cliquez sur OK.
Après l'importation d'un groupe à partir de LDAP, il est recommandé d'en vérifier la configuration, en particulier les assignations de projet. Notez qu'aucun utilisateur ne peut être assigné à un groupe LDAP importé ou supprimé d'un tel groupe, car cette assignation est strictement gérée par le serveur LDAP. Cependant, vous pouvez modifier les rôles des utilisateurs individuels.
Conseil : Il peut être utile d'assigner le rôle Gestionnaire des assignations de rôle à un ou plusieurs utilisateurs du groupe. Les responsables des assignations de rôles détiennent l'autorisation unique d'assigner/annuler l'assignation des rôles pour les utilisateurs existants d'un groupe, et uniquement pour les rôles auxquels ils sont eux-mêmes assignés. Ils ne peuvent pas ajouter ou supprimer des membres d'un groupe, et ils peuvent uniquement modifier les assignations de rôles au sein des groupes dans lesquels ils sont eux-mêmes définis en tant que responsables des assignations de rôles.

Tous les groupes ayant été importés depuis les serveurs LDAP sont planifiés pour être mis à jour automatiquement. Pour de plus amples informations relatives au changement ou à la désactivation de cette planification, se référer au chapitre Planification d'une synchronisation de groupe LDAP automatique.

Sujet parent : Gestion des groupes
Tâches associées
Ajout de projets
Modification de projets et de lotissements de projet
Ajout de serveurs LDAP
Planification d'une synchronisation de groupe LDAP automatique


Modification de groupes

Pour modifier un groupe :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Groupes.
  3. Cliquez sur le nom du groupe que vous souhaitez modifier. La page Configurer un groupe d'utilisateurs existant s'affiche.
  4. Dans la zone de texte Nom du Groupe, modifiez le nom en fonction de vos besoins. Ce champ ne peut pas être modifié pour les groupes importés à partir d'un serveur LDAP.
  5. Dans la zone de texte Description, modifiez la description du groupe en fonction de vos besoins.
  6. Sélectionnez un utilisateur possédant une assignation de rôle dans les zones de liste correspondantes, puis cliquez sur Ajouter la Sélection pour ajouter la combinaison utilisateur/rôle au nouveau groupe.
    Remarque : Les rôles d'utilisateur définis de manière à ne pas accepter de nouvelles assignations d'utilisateurs ne sont pas affichés dans cette liste. Ces paramètres sont contrôlés par les boutons Autoriser la Nouvelle Assignation sous Administration > Gestion des Utilisateurs > Rôles.

    Pour les groupes qui ont été importés d'un serveur LDAP, les assignations de rôles supplémentaires peuvent être ajoutées aux utilisateurs. Les assignations de rôles peuvent également être supprimées, mais en conservant au moins une assignation de rôle par utilisateur. La suppression d'utilisateurs d'un groupe importé depuis LDAP doit être effectuée sur le serveur LDAP lui-même.

  7. Répétez l'étape précédente afin d'assigner toutes les combinaisons utilisateur/rôle souhaitées au groupe.
    Conseil : Il peut être utile d'assigner le rôle Gestionnaire des assignations de rôle à un ou plusieurs utilisateurs du groupe. Les responsables des assignations de rôles détiennent l'autorisation unique d'assigner/annuler l'assignation des rôles pour les utilisateurs existants d'un groupe, et uniquement pour les rôles auxquels ils sont eux-mêmes assignés. Ils ne peuvent pas ajouter ou supprimer des membres d'un groupe, et ils peuvent uniquement modifier les assignations de rôles au sein des groupes dans lesquels ils sont eux-mêmes définis en tant que responsables des assignations de rôles.
  8. Pour supprimer une combinaison utilisateur/rôle du groupe actuel, cliquez sur Supprimer dans la colonne Actions.
  9. Pour les groupes importés à partir d'un serveur LDAP, cliquez sur Synchroniser avec LDAP pour synchroniser les modifications sur le serveur LDAP avec Silk Central. Si un utilisateur a été supprimé du groupe dans LDAP, toutes ses assignations de rôles sont supprimées du groupe. Si un utilisateur a été ajouté dans LDAP, une nouvelle assignation de rôle est créée avec le rôle par défaut. Toutes les autres assignations de rôles sont inchangées.
    Remarque : Les assignations de groupe sont synchronisées automatiquement lorsqu'un utilisateur se connecte à Silk Central.
  10. Dans la section Assignation(s) de Projet, vous pouvez assigner des projets existants à ce groupe.
  11. Cliquez sur Enregistrer pour revenir à la page Groupes.
Sujet parent : Gestion des groupes
Tâches associées
Suppression de groupes


Suppression de groupes

Pour pouvoir supprimer un groupe, vous devez d'abord supprimer toutes les assignations d'utilisateur et de rôle du groupe. Cette restriction ne s'applique pas aux groupes importés à partir d'un serveur LDAP.Pour plus d'informations sur la modification de groupes, voir Modification de groupes.

Pour supprimer un groupe :

  1. Dans le menu, cliquez sur Administration > Gestion des Utilisateurs.
  2. Cliquez sur l'onglet Groupes.
  3. Dans la colonne Actions du groupe que vous souhaitez supprimer, cliquez sur Supprimer le groupe. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui pour confirmer l'opération ou sur Non pour l'abandonner.
Remarque : La suppression d'un groupe importé à partir d'un serveur LDAP supprime également toutes les assignations de rôles/utilisateurs. Si un utilisateur du groupe supprimé ne possède aucune assignation dans d'autres groupes, il est supprimé dans Silk Central.
Sujet parent : Gestion des groupes
Tâches associées
Modification de groupes


Page Paramètres de Groupe

Administration > Gestion des Utilisateurs > Groupes > Nouveau Groupe/Modifier le Groupe

Utilisez la page Paramètres de Groupe pour configurer des groupes d'utilisateurs. Les paramètres des groupes sont étroitement liés aux paramètres des comptes utilisateurs. La page affiche les éléments suivants :

Elément | Description
Nom de groupe | Spécifie le nom du groupe tel qu'il doit apparaître dans l'interface utilisateur. Vous pouvez définir un nom pour le groupe.
Description | Description du groupe. Vous pouvez saisir du texte pour la description.
Assignation(s) des comptes et des rôles | Répertorie toutes les assignations utilisateur/rôle du groupe. Vous pouvez aussi supprimer les assignations d'utilisateur et de rôle en cliquant sur Supprimer en regard de celle que vous voulez supprimer.
Utilisateur | Cette zone de liste répertorie les comptes utilisateurs qui ont été définis par un administrateur. Sélectionnez un utilisateur à assigner au groupe.
Définition de rôle | La liste est alimentée par les rôles système prédéfinis et les rôles utilisateur personnalisés. Sélectionnez le rôle utilisateur qui doit servir à assigner l'utilisateur au groupe.
Ajouter la sélection | Cliquez pour créer un compte utilisateur et une assignation de rôle utilisateur avec l'utilisateur et le rôle utilisateur sélectionnés.
Assignation(s) de projet | Répertorie tous les projets existants et indique s'ils sont assignés au compte de groupe. Cochez la case en regard d'un projet pour l'assigner au compte de groupe. S'il n'existe aucun projet, vous pouvez les assigner après les avoir créés.
Tout sélectionner | Coche les cases de tous les projets répertoriés.
Désélectionner tout | Décoche les cases de tous les projets répertoriés.
Sujet parent : Gestion des groupes


Environnement d'exécution

Gérez l'environnement d'exécution afin de spécifier où les tests Silk Central doivent être exécutés. L'environnement d'exécution de Silk Central se compose de serveurs d'exécution physiques et virtuels (hébergés dans le cloud) regroupés en conteneurs logiques nommés emplacements

Les emplacements sont des conteneurs logiques pour les serveurs d'exécution. Pour plus d'informations sur la configuration des serveurs d'exécution, reportez-vous à la rubrique Configuration des serveurs d'exécution. Comme Silk Central prend en charge la distribution internationale des points de présence (la distribution des serveurs d'exécution), il est souhaitable de regrouper les serveurs d'exécution dans des emplacements. Il n'est pas nécessaire que les emplacements soient des emplacements physiques ; ils peuvent simplement servir à regrouper les serveurs d'exécution en unités de gestion.

Les serveurs d'exécution Silk Central ont pour charge d'exécuter les Silk Centrals planifiés, par exemple les scripts Silk Test Classic et Silk Test Classic. Les serveurs d'exécution peuvent se présenter sous la forme d'ordinateurs physiques ou virtuels (hébergés sur le cloud).

  • Gestion des emplacements
    Décrit le cadre conceptuel des emplacements dans Silk Central.
  • Configuration de serveurs d'exécution
    Décrit le cadre conceptuel des serveurs d'exécution dans Silk Central.
  • Intégration cloud
    Décrit comment configurer un profil de cloud pour permettre l'intégration avec des fournisseurs de services cloud publics ou privés.
  • Gestion des fournisseurs d’appareil
    Les fournisseurs d’appareil sont des ordinateurs qui hébergent des émulateurs mobiles et des simulateurs et/ou qui sont connectés à des appareils mobiles physiques. Ils sont accessibles et peuvent être utilisés pour exécuter des tests.
Sujet parent : Administration


Gestion des emplacements

Les emplacements sont des conteneurs logiques pour les serveurs d'exécution. Pour plus d'informations sur la configuration des serveurs d'exécution, reportez-vous à la rubrique Configuration des serveurs d'exécution. Comme Silk Central prend en charge la distribution internationale des points de présence (la distribution des serveurs d'exécution), il est souhaitable de regrouper les serveurs d'exécution dans des emplacements. Il n'est pas nécessaire que les emplacements soient des emplacements physiques ; ils peuvent simplement servir à regrouper les serveurs d'exécution en unités de gestion.

Remarque : Silk Central crée automatiquement un emplacement par défaut appelé Local.
  • Ajout d'emplacements
    Créez un emplacement pour ajouter un conteneur logique destiné aux serveurs d'exécution.
  • Modification d'emplacements
    Modifiez un emplacement.
  • Suppression des emplacements
    Supprimez un emplacement existant.
  • Boîte de dialogue Nouvel Emplacement
    Utilisez cette boîte de dialogue pour configurer les paramètres d'emplacement.
Sujet parent : Environnement d'exécution
Concepts associés
Configuration de serveurs d'exécution
Gestion des groupes
Rôles et autorisations des utilisateurs
Tâches associées
Ajout de projets
Initialisation de projets en tant que projets Issue Manager
Modification de projets et de lotissements de projet


Ajout d'emplacements

Pour ajouter un nouvel emplacement :

  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur Nouvel Emplacement.

    La boîte de dialogue Nouvel Emplacement s'affiche.

  3. Saisissez un Nom d'Emplacement.
  4. Si vous avez spécifié l'emplacement d'un serveur proxy, cochez la case Utiliser un proxy système. Pour plus d'informations, reportez-vous à la rubrique Configuration d'un proxy système.
  5. Dans la section Proxy d'emplacement, vous pouvez définir un serveur proxy via lequel les serveurs d'exécution à cet emplacement communiqueront avec le serveur d'application.
  6. Dans la zone de texte Hôte, entrez le nom de l'ordinateur hébergeant le service proxy.
  7. Dans la zone de texte Port, entrez le numéro de port de l'hôte proxy.
  8. Si le serveur proxy requiert une authentification par nom d'utilisateur et mot de passe, entrez des données d'authentification valides dans les zones de texte Nom d'utilisateur et Mot de passe.
  9. La section Projets comprend une liste des projets existants. Cochez les cases Assigné en regard des projets que vous souhaitez assigner à cet emplacement.
  10. Cliquez sur OK pour ajouter le nouvel emplacement.
Sujet parent : Gestion des emplacements
Tâches associées
Configuration d'un proxy système


Modification d'emplacements

Décrit comment modifier un emplacement.

Pour modifier un emplacement :

  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Sélectionnez l'emplacement que vous souhaitez modifier, puis cliquez sur Modifier.

    La boîte de dialogue Modifier l'Emplacement s'affiche.

  3. Modifiez le Nom de l'emplacement selon vos besoins.
  4. Si vous avez spécifié l'emplacement d'un serveur proxy, cochez la case Utiliser un proxy système. Pour plus d'informations, reportez-vous à la rubrique Configuration d'un proxy système.
  5. Dans la section Proxy d'emplacement, vous pouvez définir un serveur proxy via lequel les serveurs d'exécution à cet emplacement communiqueront avec le serveur d'application.
  6. Dans la zone de texte Hôte, entrez le nom de l'ordinateur hébergeant le service proxy.
  7. Dans la zone de texte Port, entrez le numéro de port de l'hôte proxy.
  8. Si le serveur proxy requiert une authentification par nom d'utilisateur et mot de passe, entrez des données d'authentification valides dans les zones de texte Nom d'utilisateur et Mot de passe.
  9. La section Projets comprend une liste des projets existants. Cochez les cases Assigné en regard des projets que vous souhaitez assigner à cet emplacement.
  10. Cliquez sur OK.
Sujet parent : Gestion des emplacements
Tâches associées
Configuration d'un proxy système


Suppression des emplacements

Conseil : Avant de pouvoir supprimer un emplacement, vous devez supprimer tous les serveurs d'exécution assignés de cet emplacement. Pour plus d'informations, reportez-vous à la rubrique Suppression de serveurs d'exécution.

Pour supprimer un emplacement :

  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Sélectionnez l'emplacement que vous souhaitez supprimer, puis cliquez sur Supprimer. Une boîte de dialogue vous invitant à confirmer la suppression s'affiche.
  3. Cliquez sur Oui si vous souhaitez supprimer l'emplacement, ou cliquez sur Non pour abandonner l'opération.
Sujet parent : Gestion des emplacements
Tâches associées
Suppression de serveurs d'exécution


Boîte de dialogue Nouvel Emplacement

Administration > Environnement d'exécution > Serveurs d'exécution > Nouvel emplacement

Utilisez la boîte de dialogue Nouvel Emplacement pour configurer les emplacements.

Elément | Description
Nom | Spécifie le nom de l'emplacement tel qu'il doit apparaître dans l'interface utilisateur et dans les rapports.
Utiliser un proxy système | Si vous activez ce paramètre, vous forcez tous les serveurs d'exécution de cet emplacement à communiquer avec le serveur d'application à travers le proxy système défini. S'il n'est pas activé, le serveur d'application communique directement avec les serveurs d'exécution, sauf si vous définissez un proxy d'emplacement. Cette case à cocher est désactivée si aucun proxy système n'est défini.
Proxy d'emplacement

Utilisez cet espace pour définir un serveur proxy à travers lequel les serveurs d'exécution de cet emplacement communiqueront avec le serveur d'application. Laissez ces champs vides si vous voulez que les serveurs d'exécution de cet emplacement communiquent directement avec le serveur d'application, ou si vous avez coché l'option Utiliser un proxy système. Vous pouvez aussi définir un proxy système et un proxy d'emplacement : dans ce cas, la communication est canalisée à travers ces deux proxys.

Vous pouvez uniquement définir un proxy d'emplacement qui prend en charge le protocole SSL (Secure Sockets Layer). Tous les serveurs d'exécution doivent utiliser le port SSL du proxy. Pour obtenir des informations détaillées sur les paramètres du serveur d'exécution, reportez-vous à la rubrique Configuration des serveurs d'exécution.
Nom d'hôte | Nom de l'ordinateur hébergeant le serveur proxy.
Port | Numéro de port de l'hôte proxy. Le port par défaut est 443.
Nom d’utilisateur | Si le serveur proxy requiert une authentification par nom d'utilisateur/mot de passe, saisissez un nom d'utilisateur valide.
Mot de passe | Si le serveur proxy requiert une authentification par nom d'utilisateur/mot de passe, saisissez un mot de passe valide pour l'utilisateur spécifié dans le champ Nom d'utilisateur.
Projets Assignés | Répertorie tous les projets existants. Cochez la case en regard d'un projet pour l'assigner à l'emplacement. S'il n'existe aucun projet, vous pouvez les assigner après les avoir créés. Pour plus d'informations, reportez-vous à la rubrique Ajout de projets. Les projets sélectionnés auront accès aux serveurs d'exécution à cet emplacement.
Tout sélectionner | Coche les cases de tous les projets répertoriés.
Désélectionner tout | Décoche les cases de tous les projets répertoriés.
Sujet parent : Gestion des emplacements
Tâches associées
Configuration de serveurs d'exécution
Ajout de projets


Configuration de serveurs d'exécution

Les serveurs d'exécution Silk Central ont pour charge d'exécuter les Silk Centrals planifiés, par exemple les scripts Silk Test Classic et Silk Test Classic. Les serveurs d'exécution peuvent se présenter sous la forme d'ordinateurs physiques ou virtuels (hébergés sur le cloud).

Pour exécuter des tests Silk Test Classic et Silk Test Classic, il est nécessaire que le logiciel Silk Test Classic ou Silk Test Classic soit installé sur le même ordinateur que les serveurs d'exécution Silk Test Classic.

Lors de l'exécution de scripts Silk Test Classic dans des applications multioctets ou des pages Web, vérifiez la section relative à la prise en charge du format multioctets dans l'Aide de Silk Test Classic.

Pour plus d'informations sur l'installation des serveurs d'exécution, reportez-vous à la rubrique Installation de Silk Central. Pour plus d'informations sur Silk Test Classic et Silk Performer, reportez-vous à la documentation de chaque application.

  • Fourniture de matériel à l'aide de mots-clés
    Décrit la façon de gérer les environnements de tests comportant de nombreux serveurs d'exécution.
  • Configuration des serveurs d'exécution physiques
    Configurez un serveur d'exécution physique.
  • Configuration des serveurs d'exécution hébergés dans le cloud
    Configurez un serveur d'exécution hébergé dans le cloud.
  • Création de mots-clés et assignation au serveur d'exécution
    Créez des mots-clés et assignez-les à un serveur d'exécution afin de définir les exécutions devant être lancées sur le serveur.
  • Activation ou désactivation des serveurs d'exécution
    Activez ou désactivez un serveur d'exécution existant sur un emplacement donné.
  • Suppression de serveurs d'exécution
    Supprimez un serveur d'exécution existant afin de le déconnecter de votre installation.
  • Configuration d'un port SSL non standard pour les serveurs d'exécution
    Configurez un port SSL personnalisé via lequel le serveur d'application communique avec un serveur d'exécution.
  • Boîte de dialogue Nouveau/Modifier le serveur d'exécution
    Configurez les serveurs d'exécution dans un emplacement.
Sujet parent : Environnement d'exécution
Concepts associés
Installation de Silk Central
Tâches associées
Installation d'un serveur d'exécution Windows
Installation d'un serveur d'exécution Linux


Fourniture de matériel à l'aide de mots-clés

La technologie de la fourniture de matériel de Silk Central permet de gérer des environnements de tests qui incluent de nombreux serveurs d'exécution. Au lieu d'avoir à configurer une relation directe entre chaque serveur d'exécution et plan d'exécution, les mots-clés permettent à Silk Central de sélectionner le serveur d'exécution le plus approprié pour chaque plan d'exécution. Cette opération s'effectue à l'aide d'une comparaison dynamique entre la liste de mots-clés d'un plan d'exécution et les listes de mots-clés de tous les serveurs d'exécution actifs.

En général, les mots-clés décrivent l'environnement d'un serveur d'exécution, par exemple une plate-forme, un système d'exploitation et des applications préinstallées. Quand un plan d'exécution est mis en œuvre, Silk Central compare ses mots-clés avec ceux de tous les serveurs d'exécution disponibles. L'exécution est alors lancée sur le serveur d'exécution qui correspond à la liste de mots-clés du plan d'exécution. Si aucun serveur d'exécution ne correspond, l'exécution ne démarre pas. Si plusieurs serveurs d'exécution présentent des listes de mots-clés qui correspondent, l'exécution est lancée sur le premier serveur d'exécution identifié.

Pour les serveurs d'exécution physiques sur lesquels Silk Test est installé, Silk Central attribue automatiquement des mots-clés en fonction du navigateur installé et des appareils mobiles connectés.

Mots-clés par défaut réservés

Si vous n'avez pas besoin de fourniture de matériel, vous pouvez utiliser les mots-clés réservés créés automatiquement pour chaque serveur d'exécution. Dans ce cas, il n'est pas nécessaire d'assigner manuellement les mots-clés à vos serveurs d'exécution. Au lieu de cela, vous pouvez configurer une assignation de serveur d'exécution statique et directe pour chaque plan d'exécution.

Un mot-clé réservé est assigné automatiquement à chaque serveur d'exécution nouvellement créé. Les mots-clés réservés sont structurés de la façon suivante :
 #<execution server name>@<location name>

Les mots-clés réservés sont disponibles lors de l'assignation de mots-clés aux plans d'exécution. Ils ne sont ni disponibles ni applicables lors de l'assignation de mots-clés aux serveurs d'exécution.

En plus des mots-clés réservés automatiquement définis pour chaque serveur d'exécution, des mots-clés réservés sont aussi définis pour chaque type de serveur d'exécution :

#PHYSICAL

Limite la fourniture de serveurs d'exécution aux serveurs d'exécution physiques.

#VIRTUAL

Limite la fourniture de serveurs d'exécution aux serveurs d'exécution virtuels.

Mots-clés et serveurs d'exécution virtuels

Les mots-clés sont assignés aux serveurs d'exécution virtuels de la même façon qu'ils le sont aux serveurs d'exécution physiques. Lorsque vous configurez au moins un serveur d'exécution virtuel, le mot-clé #VIRTUAL est créé de façon dynamique et rendu disponible pour l'affectation à tous les plans d'exécution. Si vous préférez qu'une exécution ait lieu sur une machine virtuelle, sélectionnez le mot-clé #VIRTUAL pour le plan d'exécution. Si un plan d'exécution ne présente ni le mot-clé #VIRTUAL ni le mot-clé #PHYSICAL (ou les deux), l'exécution a lieu sur un serveur d'exécution virtuel ou physique, à condition que les paramètres des environnements d'exécution soient identiques. Lorsque les mots-clés d'un plan d'exécution correspondent à plusieurs serveurs d'exécution virtuels, le premier serveur d'exécution virtuel correspondant identifié est sélectionné.

Sujet parent : Configuration de serveurs d'exécution


Configuration des serveurs d'exécution physiques

Les serveurs d'exécution physiques sont exécutés sur un ordinateur physique ou sur une machine virtuelle (VM). Pour configurer un serveur d'exécution physique :

  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Sélectionnez l'emplacement pour lequel vous souhaitez configurer un serveur d'exécution.
    • Pour créer un serveur d'exécution, cliquez sur Nouveau serveur d'exécution physique.
    • Pour modifier un serveur d'exécution existant, cliquez sur le bouton Modifier correspondant dans la colonne Actions.
    Remarque : Les serveurs d'exécution doivent être désactivés pour pouvoir modifier leurs propriétés. Les listes de mots-clés des serveurs d'exécution actifs peuvent toutefois être modifiées.
  3. Entrez un nom d'hôte ou une adresse IP valide dans la zone de texte Nom d'hôte ou adresse IP.
  4. Saisissez un nom pour le serveur d'exécution dans le champ Nom.
  5. Cliquez sur Mots-clés pour sélectionner des mots-clés dans une liste ou ajouter de nouveaux mots-clés décrivant le serveur d'exécution. Ces mots-clés sont analysés pendant l'exécution afin de sélectionner dynamiquement un serveur approprié pour chaque exécution. Pour plus d'informations, reportez-vous au section Création de mots-clés et assignation au serveur d'exécution.
  6. Les paramètres dans la section Avancé doivent être modifiés seulement si vous n'utilisez pas les paramètres par défaut. Spécifiez le port sur lequel le serveur d'exécution est écouté dans la zone de texte Port.
    Remarque : Cochez la case Utiliser SSL si vous souhaitez vous connecter au serveur d'exécution via SSL.
    Conseil : Pour vous connecter au serveur d'exécution via un port SSL non standard, reportez-vous à la rubrique Configuration d'un port SSL non standard pour les serveurs d'exécution.
  7. Facultatif :Entrez un délai d'attente de réponse (en secondes) dans le champ Délai d'attente de réponse(s). Si le serveur d'exécution n'est pas accessible dans le délai spécifié, un courriel est envoyé aux administrateurs Silk Central. Saisissez 0 si vous ne souhaitez pas que Silk Central envoie des courriels dans ce cas.
  8. Facultatif : Modifiez le nombre des Exécutions simultanées maximum sur le serveur d'exécution, si nécessaire. Si vous activez l'exécution parallèle pour vos plans d'exécution, ce nombre correspond au nombre maximum d'exécutions des plans autorisé à s'exécuter en même temps sur ce serveur d'exécution. Remarque : autoriser un trop grand nombre d'exécutions simultanées peut avoir de graves conséquences sur les performances du serveur d'exécution et peut entraîner des échecs dans les tests d'exécution.
  9. Cliquez sur OK pour enregistrer vos paramètres. Si vous recevez un message d'erreur, assurez-vous que vos paramètres sont corrects, que le réseau est configuré de manière appropriée et que le logiciel requis est installé sur le serveur d'exécution en cours de configuration.
    Important : Comme l'installation d'un serveur d'exécution nécessite des privilèges d'administrateur, la mise à jour automatique d'un serveur d'exécution échoue lorsque la fonction UAC est activée. Désactivez la fonction UAC sur tous les ordinateurs qui hébergent un serveur d'exécution.
    Remarque : Si la version du serveur d'exécution est une version ancienne (mais plus récente que SilkCentral Test Manager 2009 SP1) qui n'est plus valable, le serveur d'exécution est automatiquement mis à niveau vers la version actuelle de Silk Central. Silk Central affiche un message concernant cette mise à niveau dans la colonne Informations de la liste des serveurs d'exécution. Tant que la procédure de mise à niveau n'est pas terminée, le serveur d'exécution en cours de mise à niveau n'est pas utilisé.
Sujet parent : Configuration de serveurs d'exécution
Tâches associées
Configuration d'un port SSL non standard pour les serveurs d'exécution
Création de mots-clés et assignation au serveur d'exécution


Configuration des serveurs d'exécution hébergés dans le cloud

Les serveurs d'exécution hébergés dans le cloud sont exécutés sur un fournisseur cloud, comme VMware vCloud. Pour configurer un serveur d'exécution hébergé dans le cloud :

  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Sélectionnez l'emplacement pour lequel vous souhaitez configurer un serveur d'exécution.
    • Pour créer un serveur d'exécution, cliquez sur Nouveau serveur d'exécution virtuel.
    • Pour modifier un serveur d'exécution existant, cliquez sur le bouton Modifier correspondant dans la colonne Actions.
    • Pour synchroniser la liste des serveurs d'exécution utilisant des modèles provenant d'un fournisseur de cloud, sélectionnez l'onglet Fournisseurs cloud. Cliquez sur [image] dans la colonne Actions pour synchroniser la liste des serveurs d'exécution utilisant des modèles provenant de ce fournisseur de Cloud. Cette action supprime tous les serveurs d'exécution virtuels de ce profil qui ont un modèle qui n'existe plus. Après l'application d'un correctif, les modèles des serveurs d'exécution virtuels créés automatiquement sont également mis à jour.
    Remarque : Les serveurs d'exécution doivent être désactivés pour pouvoir modifier leurs propriétés. Les listes de mots-clés des serveurs d'exécution actifs peuvent toutefois être modifiées.
  3. Dans la liste Fournisseur cloud, faites votre choix parmi les profils de fournisseur cloud configurés afin de déterminer le cloud dans lequel l'environnement virtuel sera déployé lorsque ce serveur d'exécution sera utilisé pour une exécution automatisée.
  4. Dans la liste Modèle d'image virtuelle, sélectionnez le modèle d'image à partir duquel une nouvelle instance sera créée pour chaque exécution automatisée. Selon le fournisseur cloud, un modèle d'image comprend au moins une image de machine virtuelle. Un serveur d'exécution Silk Central doit être en cours d'exécution dans une image de machine virtuelle. Si le serveur d'exécution est obsolète, il sera automatiquement mis à niveau après le déploiement de l'environnement virtuel pour chaque exécution automatisée. La procédure de déploiement est plus rapide si l'image de machine virtuelle exécute déjà une version actuelle du serveur d'exécution.
  5. Saisissez un nom pour le serveur d'exécution dans le champ Nom.
  6. Cliquez sur Mots-clés pour sélectionner des mots-clés dans une liste ou ajouter de nouveaux mots-clés décrivant le serveur d'exécution. Ces mots-clés sont analysés pendant l'exécution afin de sélectionner dynamiquement un serveur approprié pour chaque exécution. Pour plus d'informations, reportez-vous au section Création de mots-clés et assignation au serveur d'exécution.
  7. Les paramètres dans la section Avancé doivent être modifiés seulement si vous n'utilisez pas les paramètres par défaut. Spécifiez le port sur lequel le serveur d'exécution est écouté dans la zone de texte Port.
    Remarque : Cochez la case Utiliser SSL si vous souhaitez vous connecter au serveur d'exécution via SSL.
    Conseil : Pour vous connecter au serveur d'exécution via un port SSL non standard, reportez-vous à la rubrique Configuration d'un port SSL non standard pour les serveurs d'exécution.
  8. Facultatif :Entrez un délai d'attente de réponse (en secondes) dans le champ Délai d'attente de réponse(s). Si le serveur d'exécution sur le fournisseur cloud n'est pas accessible dans le délai spécifié, la machine virtuelle est arrêtée. Entrez 0 si vous ne souhaitez pas arrêter la machine virtuelle dans un tel cas (vous devrez abandonner manuellement l'exécution du test si la machine virtuelle reste inaccessible).
  9. Cliquez sur OK pour enregistrer vos paramètres et activer le serveur d'exécution de façon à permettre des exécutions automatisées en fonction des mots-clés choisis. Si vous recevez un message d'erreur, assurez-vous que le paramètre de port est correct et qu'un serveur d'exécution est installé sur l'image de machine virtuelle. Si le message d'erreur indique que la version du serveur d'exécution installé n'est pas valide, vous pouvez l'ignorer car le serveur sera automatiquement mis à niveau lors de chaque exécution automatisée.
Sujet parent : Configuration de serveurs d'exécution
Concepts associés
Intégration cloud
Intégration cloud
Tâches associées
Ajout de profils de cloud
Configuration d'un port SSL non standard pour les serveurs d'exécution
Création de mots-clés et assignation au serveur d'exécution


Création de mots-clés et assignation au serveur d'exécution

Pour créer des mots-clés et les assigner au serveur d'exécution :

  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur le nom d'un emplacement afin d'accéder à la liste des serveurs d'exécution définis pour cet emplacement.
  3. Dans la colonne Actions d'un serveur d'exécution prédéfini, cliquez sur Modifier ou cliquez sur Nouveau Serveur d'Exécution Physique ou Nouveau Serveur d'Exécution Virtuel pour créer des mots-clés destinés à un nouveau serveur d'exécution.
    Remarque : Pour les serveurs d'exécution physiques sur lesquels Silk Test est installé, Silk Central attribue automatiquement des mots-clés en fonction du navigateur installé et des appareils mobiles connectés. Cliquez sur [image] dans la colonne Actions pour actualiser la liste des mots-clés attribués.
  4. Cliquez sur Mots-Clés. La boîte de dialogue Assigner des mots-clés s'affiche.
  5. Entrez un nouveau mot-clé dans le champ Sélectionner ou saisir des mots-clés, ou sélectionnez un mot-clé existant décrivant l'environnement du serveur d'exécution (par exemple, la plate-forme, le système d'exploitation ou les applications préinstallées). Les caractères suivants ne peuvent pas être utilisés dans les mots-clés : # $ ? * \ , ; ' "
    Remarque : Si vous travaillez avec une nouvelle installation Silk Central, il est possible que vous ne voyiez aucun mot-clé disponible. Bien qu'ils ne soient pas visibles dans la boîte de dialogue Assigner des mots-clés, les mots-clés réservés sont créés pour chaque serveur d'exécution configuré pour le système. Ces mots-clés réservés sont disponibles uniquement lors de l'assignation de mots-clés aux plans d'exécution.
    Utilisez la combinaison Ctrl + clic ou Maj + clic pour sélectionner plusieurs mots-clés à l'aide des fonctions de sélection multiple standard de Windows. Notez que le champ Sélectionner ou saisir des mots-clés est désactivé lorsque vous sélectionnez plusieurs mots-clés dans les listes. Si vous n'avez pas besoin de fourniture de matériel, vous pouvez utiliser les mots-clés réservés par défaut créés pour chaque serveur d'exécution. Dans ce cas, il n'est pas nécessaire d'assigner des mots-clés supplémentaires au serveur d'exécution.
  6. Cliquez sur Ajouter (>) pour déplacer le mot-clé dans la liste Mots-clés assignés.
  7. Cliquez sur OK pour enregistrer les mots-clés et fermer la boîte de dialogue Assigner des mots-clés.
Sujet parent : Configuration de serveurs d'exécution
Tâches associées
Configuration d'un port SSL non standard pour les serveurs d'exécution


Activation ou désactivation des serveurs d'exécution

  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur le nom d'un emplacement afin d'accéder à la liste des serveurs d'exécution définis pour cet emplacement.
  3. Dans la colonne Etat du serveur d'exécution que vous souhaitez activer ou désactiver, cliquez sur Inactif/Actif.
    Important : Comme l'installation d'un serveur d'exécution nécessite des privilèges d'administrateur, la mise à jour automatique d'un serveur d'exécution échoue lorsque la fonction UAC est activée. Désactivez la fonction UAC sur tous les ordinateurs qui hébergent un serveur d'exécution.
    Remarque : Si la version du serveur d'exécution est une version ancienne (mais plus récente que SilkCentral Test Manager 2009 SP1) qui n'est plus valable, le serveur d'exécution est automatiquement mis à niveau vers la version actuelle de Silk Central. Silk Central affiche un message concernant cette mise à niveau dans la colonne Informations de la liste des serveurs d'exécution. Tant que la procédure de mise à niveau n'est pas terminée, le serveur d'exécution en cours de mise à niveau n'est pas utilisé.
Sujet parent : Configuration de serveurs d'exécution
Tâches associées
Suppression de serveurs d'exécution


Suppression de serveurs d'exécution

Conseil : Pour éviter toute incohérence entre les données, vous devez désactiver un serveur d'exécution avant de pouvoir le supprimer. Pour plus d'informations, reportez-vous à la rubrique Activation ou désactivation des serveurs d'exécution.
Remarque : La suppression d'un serveur d'exécution n'entraîne pas la suppression de l'installation logicielle actuelle. La suppression entraîne simplement la déconnexion du serveur d'exécution. Vous pouvez de nouveau ajouter un serveur d'exécution supprimé précédemment. Pour assigner un serveur d’exécution à un autre serveur d’application, vous devez supprimer le fichier suivant sur l’ordinateur sur lequel le serveur d’exécution est installé : C:\ProgramData\SilkCentral\AgentBase\ItemObjects.ser.
  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur le nom d'un emplacement afin d'accéder à la liste des serveurs d'exécution définis pour cet emplacement.
  3. Dans la colonne Actions du serveur d'exécution que vous souhaitez supprimer, cliquez sur Supprimer.
Sujet parent : Configuration de serveurs d'exécution
Tâches associées
Activation ou désactivation des serveurs d'exécution


Boîte de dialogue Nouveau/Modifier le serveur d'exécution

Administration > Environnement d'exécution > Serveurs d'exécution > Nouveau/Modifier le serveur d'exécution

Utilisez la boîte de dialogue Nouveau/Modifier le serveur d'exécution pour configurer les serveurs d'exécution dans un emplacement.

Elément | Description
Nom | Définit un nom pour le serveur d'exécution. Ce nom s'affichera sur tous les tableaux et rapports de résultats pour les exécutions effectuées sur cet ordinateur. Vous pouvez saisir jusqu'à 100 caractères.
Description | Description du serveur d'exécution. Vous pouvez saisir du texte pour la description.
Serveur d'exécution physique | Sélectionnez cette option pour définir un ordinateur physique comme serveur d'exécution.
Hôte ou adresse IP

Spécifie le nom de l'hôte ou l'adresse IP de l'ordinateur hébergeant le serveur d'exécution.

Il est possible que certains réseaux ne détectent le serveur d'exécution que si vous indiquez le nom complet de l'hôte (avec le nom du domaine), par exemple MonHôte.MonDomaine.
Port | Spécifie le port d'écoute du serveur d'exécution hébergé sur l'ordinateur défini dans le champ Hôte ou adresse IP. Le port par défaut est 19124.
Utiliser SSL

Cochez cette case pour que le serveur d'application se connecte au serveur d'exécution via le protocole SSL (Secure Sockets Layer). Le port SSL par défaut est 19125.

Si vous avez opté pour l'utilisation d'un serveur proxy pour l'emplacement auquel est assigné ce serveur d'exécution, vous devez cocher la case Utiliser SSL avec le port 443.
Délai d'attente de réponse [s]

Pour serveurs d'exécution virtuels : Entrez un délai d'attente de réponse (en secondes) dans le champ Délai d'attente de réponse(s). Si le serveur d'exécution sur le fournisseur cloud n'est pas accessible dans le délai spécifié, la machine virtuelle est arrêtée. Entrez 0 si vous ne souhaitez pas arrêter la machine virtuelle dans un tel cas (vous devrez abandonner manuellement l'exécution du test si la machine virtuelle reste inaccessible).

Pour serveurs d'exécution physiques : Entrez un délai d'attente de réponse (en secondes) dans le champ Délai d'attente de réponse(s). Si le serveur d'exécution n'est pas accessible dans le délai spécifié, un courriel est envoyé aux administrateurs Silk Central. Saisissez 0 si vous ne souhaitez pas que Silk Central envoie des courriels dans ce cas.
Mots-clés | Répertorie les mots-clés définis pour ce serveur d'exécution. Les mots-clés permettent à la technologie de fourniture de matériel de Silk Central d'identifier de façon dynamique le serveur qui convient le mieux à chaque exécution de test. Cliquez sur Mots-Clés pour modifier la liste de mots-clés pour ce serveur d'exécution.
Sujet parent : Configuration de serveurs d'exécution


Intégration cloud

Silk Central vous permet de procéder à l'intégration dans des services cloud publics et privés en configurant des profils de fournisseur cloud. Les profils de cloud reposent sur un concept de plug-in. Vous pouvez ainsi écrire votre propre plug-in pour un fournisseur cloud spécifique. Un plug-in de fournisseur cloud déploie un environnement virtuel avant chaque exécution de tests automatisés.
Remarque : L'API de cloud va être modifiée dans les prochaines versions de Silk Central. Si vous utilisez cette API, la mise à niveau vers une version ultérieure de Silk Central peut vous amener à mettre à jour votre implémentation.
  • Ajout de profils de cloud
    Ajoutez un profil de cloud pour procéder à l'intégration avec les fournisseurs de services cloud publics ou privés.
  • Modification des profils de cloud
    Modifiez un profil de cloud pour modifier le mode d'accès au fournisseur d'un service cloud public ou privé.
  • Suppression de profils de cloud
    Supprimez un profil de cloud si vous n'avez plus besoin d'accéder à un fournisseur spécifique d'un service cloud public ou privé.
  • Intégration de VMware vCloud
    Répertorie les restrictions et informations propres à VMware vCloud.
  • Page des fournisseurs cloud
    Répertorie les profils de fournisseurs cloud configurés pour votre système.
Sujet parent : Environnement d'exécution
Concepts associés
Intégration cloud
Tâches associées
Configuration des serveurs d'exécution hébergés dans le cloud


Ajout de profils de cloud

Ajoutez un profil de cloud pour procéder à l'intégration avec les fournisseurs de services cloud publics ou privés.
  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur l'onglet Fournisseurs cloud.
  3. Cliquez sur Nouveau Profil. La boîte de dialogue Nouveau profil de fournisseur cloud s'ouvre.
  4. Sélectionnez le fournisseur cloud auquel vous souhaitez accéder dans la liste Type des plug-ins installés. VMware vCloud et Amazon Web Services sont pris en charge tel quel.
  5. Dans le champ Nom, entrez un nom pour le profil. Ce nom apparaît dans la liste des profils lors de la création d'un serveur d'exécution hébergé dans le un cloud.
  6. Entrez des données d'authentification valides pour accéder à distance au système cloud dans les champs Nom d'utilisateur et Mot de passe. Pour Amazon Web Services, il s'agit de la clé d'accès et de la clé secrète.
  7. Pour configurer un profil VMware vCloud (ignorez cette étape si vous souhaitez configurer un autre profil) :
    1. Saisissez l'URL avec le nom d'hôte uniquement, sans ajouter /cloud/org/<nom de l'organisation> comme vous le feriez pour accéder au système via un navigateur Web. Exemple : https://vdirectorweb.
    2. Facultatif :Version : laissez le champ vide si vous utilisez VMware vCloud Director 5.5 (par défaut). Entrez V5.1 si vous utilisez vCloud Director 5.1.
    3. Organisation : entrez le nom de l'organisation vCloud à laquelle vous souhaitez accéder, par exemple dev_org.
  8. Pour configurer un profil Amazon Web Services (ignorez cette étape si vous souhaitez configurer un autre profil) :
    1. Région : sélectionnez la région dans laquelle vous souhaitez déployer votre instance.
    2. Type d'instance : types d'instance proposés par Amazon afin de définir par exemple la mémoire vive et la puissance de l'UC de votre instance. Remarque : le type d’instance influe également sur les coûts de location. Pour plus d’informations, reportez-vous à la page Amazon EC2 Instances.
    3. Garder l'instance active en cas d'erreur de connexion : sélectionnez Vrai si vous souhaitez maintenir l'instance en activité lorsque la connexion entre le serveur d'application et l'instance Amazon est interrompue.
  9. Cliquez sur Tester la Connexion pour tester la connexion au fournisseur cloud avec les informations que vous avez saisies.
  10. Cliquez sur OK pour enregistrer vos paramètres.
Si le fournisseur cloud sélectionné a des modèles appelés «Micro Focus Silk Central Execution Server 19.0.0.x», ceux-ci sont automatiquement importés en tant que serveurs d'exécution virtuels. Seuls les modèles dont la version est exactement la même que celle de votre Silk Central environnement d'exécution (voir Aide > A propos de) seront importés.
Sujet parent : Intégration cloud
Tâches associées
Configuration des serveurs d'exécution hébergés dans le cloud


Modification des profils de cloud

Modifiez un profil de cloud pour modifier le mode d'accès au fournisseur d'un service cloud public ou privé.
Important : Si vous modifiez des paramètres alors que des environnements virtuels basés sur ce profil sont déjà déployés (voir la colonne Instances déployées de la grille), Silk Central risque de ne plus supprimer automatiquement ces environnements inutilisés.
  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur l'onglet Fournisseurs cloud.
  3. Cliquez sur [image] dans la colonne Actions pour synchroniser la liste des serveurs d'exécution utilisant des modèles provenant de ce fournisseur de Cloud. Cette action supprime tous les serveurs d'exécution virtuels de ce profil qui ont un modèle qui n'existe plus. Après l'application d'un correctif, les modèles des serveurs d'exécution virtuels créés automatiquement sont également mis à jour.
  4. Cliquez sur [image] (Modifier) dans la colonne Actions du profil que vous souhaitez modifier. La boîte de dialogue Modifier le Profil du Fournisseur cloud s'ouvre.
  5. Dans le champ Nom, entrez un nom pour le profil. Ce nom apparaît dans la liste des profils lors de la création d'un serveur d'exécution hébergé dans le un cloud.
  6. Entrez des données d'authentification valides pour accéder à distance au système cloud dans les champs Nom d'utilisateur et Mot de passe. Pour Amazon Web Services, il s'agit de la clé d'accès et de la clé secrète.
  7. Pour configurer un profil VMware vCloud (ignorez cette étape si vous souhaitez configurer un autre profil) :
    1. Saisissez l'URL avec le nom d'hôte uniquement, sans ajouter /cloud/org/<nom de l'organisation> comme vous le feriez pour accéder au système via un navigateur Web. Exemple : https://vdirectorweb.
    2. Facultatif :Version : laissez le champ vide si vous utilisez VMware vCloud Director 5.5 (par défaut). Entrez V5.1 si vous utilisez vCloud Director 5.1.
    3. Organisation : entrez le nom de l'organisation vCloud à laquelle vous souhaitez accéder, par exemple dev_org.
  8. Pour configurer un profil Amazon Web Services (ignorez cette étape si vous souhaitez configurer un autre profil) :
    1. Région : sélectionnez la région dans laquelle vous souhaitez déployer votre instance.
    2. Type d'instance : types d'instance proposés par Amazon afin de définir par exemple la mémoire vive et la puissance de l'UC de votre instance. Remarque : le type d’instance influe également sur les coûts de location. Pour plus d’informations, reportez-vous à la page Amazon EC2 Instances.
    3. Garder l'instance active en cas d'erreur de connexion : sélectionnez Vrai si vous souhaitez maintenir l'instance en activité lorsque la connexion entre le serveur d'application et l'instance Amazon est interrompue.
  9. Cliquez sur Tester la Connexion pour tester la connexion au fournisseur cloud avec les informations que vous avez saisies.
  10. Cliquez sur OK pour enregistrer vos paramètres.
Sujet parent : Intégration cloud


Suppression de profils de cloud

Supprimez un profil de cloud si vous n'avez plus besoin d'accéder à un fournisseur spécifique d'un service cloud public ou privé.
Important : La suppression d'un profil entraîne également la suppression de tous les serveurs d'exécution qui utilisent ce profil et l'abandon de toutes les exécutions qui utilisent actuellement ces serveurs d'exécution. Si vous modifiez des paramètres alors que des environnements virtuels basés sur ce profil sont déjà déployés (voir la colonne Instances déployées de la grille), Silk Central risque de ne plus supprimer automatiquement ces environnements inutilisés.
  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur l'onglet Fournisseurs cloud.
  3. Cliquez sur [image] (Supprimer) dans la colonne Actions du profil que vous souhaitez supprimer. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui pour poursuivre la suppression ou sur Non pour l'abandonner.
Sujet parent : Intégration cloud


Intégration de VMware vCloud

Mappages

Les modèles disponibles pour les serveurs d'exécution vCloud correspondent aux modèles vApp des catalogues locaux (non publics) dans vCloud. Leurs noms sont générés comme suit : <nom catalogue> - <nom modèle vApp>.

Le déploiement d'un environnement virtuel pour une exécution de test crée une nouvelle vApp dans vCloud Director, son nom étant généré à partir du nom de modèle ajouté au suffixe - pour Silk Central <horodatage>.

Conditions requises - Personnalisation du système d'exploitation client

Pour que le serveur d'exécution Silk Central démarre correctement, la personnalisation du système d'exploitation client doit être activée et configurée dans les propriétés de machine virtuelle du modèle vApp dans vCloud Director, comme expliqué ci-dessous. Lorsque le serveur d'exécution est démarré dans une session utilisateur, une connexion Windows ne doit se produire qu'une fois, après que la personnalisation du système d'exploitation client a initié le redémarrage de la machine virtuelle.
  • Cochez les cases Autoriser le mot de passe d'administrateur local et Se connecter automatiquement comme administrateur
  • Spécifiez le mot de passe ou laissez vCloud en générer un
  • Décochez la case L'administrateur doit changer le mot de passe lors de la première connexion
  • Assurez-vous que dans Windows, aucune connexion automatique n'est activée, car cela engendrerait un démarrage du serveur d'exécution et une connexion en double en raison du redémarrage de la personnalisation

Restrictions

  • L'intégration de Silk Central vCloud permet uniquement l'utilisation de modèles vApp dans des catalogues locaux (non publics). Les catalogues publics peuvent toujours être utilisés pour copier ou déplacer des modèles entre des organisations, mais les modèles qu'ils contiennent ne sont plus disponibles dans Silk Central. Cette restriction s'explique par le fait que la création de vApps à partir de modèles dans un catalogue public peut poser des problèmes si le modèle provient d'une autre organisation. En effet, le vDC et le réseau associés au modèle ne sont pas valides dans une autre organisation.
  • Clôturage non pris en charge. Silk Central ne permet pas à plusieurs machines virtuelles au sein d'un vApp de communiquer entre elles avec une adresse IP connue. En effet, chaque machine virtuelle déployée reçoit une nouvelle adresse IP de manière dynamique.
  • Les modèles vApp dotés du paramètre Create Identical Copy ne sont pas pris en charge. Lors de la création d'un modèle vApp utilisable dans Silk Central, assurez-vous que l'option Customize VM settings est activée dans les propriétés du modèle vApp. Si cette option est définie sur Identical Copy, une erreur se produit lorsque Silk Central tente de déployer des vApps à partir de ce modèle. Notez que cette option ne peut être définie que lors de la création d'un modèle vApp.
  • L'accès aux fournisseurs de services commerciaux utilisant une API vCloud REST n'a pas été testé, mais peut fonctionner. L'intégration a été testée avec VMware vCloud Director 5.5 installé en tant que cloud privé.
  • Pour éviter tout conflit lors de l'attribution des adresses IP, stockez les modèles vApp en ayant configuré le mode IP DHCP de votre adaptateur réseau. Si ce mode n'est pas configuré, lors du premier démarrage d'une machine virtuelle après déploiement, les machines vApp peuvent présenter une ancienne adresse IP statique datant du moment où le modèle a été stocké. L'adresse IP correcte est mise à jour lorsque VMware procède à la personnalisation du système d'exploitation client, ce qui ajuste la configuration des adresses IP et engendre un redémarrage. Silk Central configure toujours le mode statique pour l'ensemble d'adresses IP (appliqué après la personnalisation du système d'exploitation client), quelle que soit la configuration présente dans le modèle.
  • Si vous utilisez plusieurs réseaux dans le centre de donnes virtuel (vDC), configurez le réseau à utiliser dans le modèle vApp stocké. Silk Central compare le nom du réseau défini sur l'adaptateur réseau de la machine virtuelle du modèle avec les noms de réseau vDC afin de choisir le bon réseau vDC lors du déploiement d'une nouvelle vApp.
  • Si un serveur d'exécution antérieur à la version 15.0 est installé sur la machine virtuelle de modèle, il doit être exécuté en mode As Process
Sujet parent : Intégration cloud


Page des fournisseurs cloud

Administration > Environnement d'exécution > Fournisseurs cloud

La page Fournisseurs cloud répertorie tous les profils de fournisseur cloud configurés. Cette page permet de gérer vos profils de fournisseur cloud.

À partir de cette page, vous pouvez effectuer les actions suivantes :

  • Cliquez sur Nouveau Profil pour configurer un nouveau profil de fournisseur cloud.
  • Cliquez sur [image] (Modifier) dans la colonne Actions pour modifier les paramètres.
  • Cliquez sur Supprimer (Supprimer) dans la colonne Actions pour supprimer un profil de fournisseur cloud.
  • Cliquez sur [image] dans la colonne Actions pour synchroniser la liste des serveurs d'exécution utilisant des modèles provenant de ce fournisseur de Cloud. Cette action supprime tous les serveurs d'exécution virtuels de ce profil qui ont un modèle qui n'existe plus. Après l'application d'un correctif, les modèles des serveurs d'exécution virtuels créés automatiquement sont également mis à jour.
Sujet parent : Intégration cloud


Gestion des fournisseurs d’appareil

Les fournisseurs d’appareil sont des ordinateurs qui hébergent des émulateurs mobiles et des simulateurs et/ou qui sont connectés à des appareils mobiles physiques. Ils sont accessibles et peuvent être utilisés pour exécuter des tests.

Les appareils mobiles physiques, les émulateurs et les simulateurs qui sont connectés à des fournisseurs d’appareil ou qui sont installés sur des fournisseurs d’appareil, sont accessibles aux ingénieurs de test et aux plans de test. Les tests manuels et automatisés peuvent ensuite être exécutés directement sur ces appareils mobiles.

Les logiciels modernes doivent pouvoir s’exécuter sur plusieurs plates-formes et sur tout type d’appareil mobile. Cette fonctionnalité est donc particulièrement utile pour réaliser des tests de configuration sur l’ensemble des plates-formes et des appareils pris en charge par vos logiciels.

  • Configuration des fournisseurs d’appareil
    Pour tester vos applications sur des appareils mobiles (appareils physiques, émulateurs et simulateurs), configurez un fournisseur d’appareil.
  • Installation du service d'informations Silk Test sur un Mac
    Installez le service d'informations sur un Mac pour tester Apple Safari ou les applications mobiles sur iOS avec Silk Test .
  • Suppression de fournisseurs d’appareil
    Les appareils connectés ne devant plus être utilisés pour les exécutions de test doivent être supprimés.
Sujet parent : Environnement d'exécution
Tâches associées
Assignation d’appareils mobiles à une configuration
Sélection des appareils mobiles pour les tests automatisés
Sélection des appareils mobiles pour les tests manuels
Référence associée
Configuration des fournisseurs d’appareil
Gestion des licences


Configuration des fournisseurs d’appareil

Pour tester vos applications sur des appareils mobiles (appareils physiques, émulateurs et simulateurs), configurez un fournisseur d’appareil.

Avant de configurer des fournisseurs de périphériques spécifiques, assurez-vous que les conditions préalables à l'installation sont respectées :
  • Service d'informations Silk Test : Les fournisseurs d'appareil requièrent que le service d'information de Silk Test soit préalablement installé sur le(s) ordinateur(s) hébergeant vos appareils mobiles.
    1. Téléchargez le fichier d'installation depuis Micro Focus SupportLine.
    2. Exécutez le fichier de configuration et suivez simplement les instructions de l’assistant d’installation. Pour plus d’informations sur la configuration d’un fournisseur d’appareil sur Mac, reportez-vous à la rubrique Installation du service d'informations Silk Test sur Mac.
  • Mobile Center et Sauce Labs : Reportez-vous à la documentation Silk Test :
    • Tester des applications mobiles avec Silk Test Workbench
    • Tester des applications mobiles avec Silk4J
    • Tester des applications mobiles avec Silk4NET
    • Tester des applications mobiles avec Silk Test Classic

Pour configurer un fournisseur d’appareil :

  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur l'onglet Fournisseurs d’appareil.
  3. Sélectionnez l'emplacement pour lequel vous souhaitez configurer un fournisseur d’appareil.
    • Pour créer un nouveau fournisseur d’appareil, cliquez sur Nouveau fournisseur d’appareil.
    • Pour modifier un fournisseur d’appareil existant, cliquez sur le bouton Modifier correspondant dans la colonne Actions.
    Remarque : Un même fournisseur d’appareil peut être ajouté à différents emplacements.
  4. Sélectionnez le Type de fournisseur d'appareil.
    • Service d'informations Silk Test : Entrez l’URL du service d'informations Silk Test de l’ordinateur qui héberge les appareils mobiles. Ce peut être une adresse IP, une URL ou un nom d’hôte, tel que http://<nom d’ordinateur>:22901. Lorsqu'aucun port n'est spécifié, le port par défaut 22901 est ajouté.
    • Sauce Labs: Saisissez votre nom d'utilisateur Sauce Labs et votre Clé d'accès Sauce Labs. Pour trouver votre clé d'accès, connectez-vous à https://saucelabs.com et sélectionnez My Account .
      Remarque : Si vous prévoyez d'utiliser des appareils Sauce Labs pour réaliser des tests manuels, un service d'information Silk Test doit être sélectionné dans la liste. Si aucun service d'information Silk Test n'est sélectionné, les appareils Sauce Labs sont disponibles uniquement pour les tests automatisés.
    • Mobile Center: Entrez votre Mobile CenterURL, votre nom d'Utilisateur ainsi que votre Mot de passe pour les tests automatisés. Dans le cadre de la réalisation de tests manuels, vous devrez entrer vos données d'authentification à l'ouverture de l'interface utilisateur Web de Mobile Center.
  5. Dans le champ Nom, entrez un nom reconnaissable pour le fournisseur d’appareil.
  6. Cliquez sur Tester la Connexion. En cas de réussite du test de connexion, cliquez sur OK.
Sujet parent : Gestion des fournisseurs d’appareil
Concepts associés
Gestion des fournisseurs d’appareil
Tâches associées
Assignation d’appareils mobiles à une configuration
Sélection des appareils mobiles pour les tests automatisés
Sélection des appareils mobiles pour les tests manuels


Installation du service d'informations Silk Test sur un Mac

Remarque : Pour installer le service d'informations sur un Mac, vous devez détenir des privilèges administrateur sur ce Mac.

Pour créer et exécuter des tests sous Apple Safari sur un Mac, ou sous des applications mobiles sur un appareil iOS ou Android connecté à un Mac, installez le service d'informations Silk Test (service d'informations) sur le Mac, puis utilisez la boîte de dialogue Emplacements distants pour connecter une machine Windows, sur laquelle Silk Test est installé, au Mac.

Pour installer le service d'informations sur un Mac :

  1. Assurez-vous qu'un Java JDK est installé sur le Mac.
  2. Si vous voulez tester des applications mobiles sur un appareil iOS, assurez-vous que Xcode est installé sur le Mac.
  3. Accédez au fichier de configuration du service d'informations, SilkTestInformationService<Version>-<Build Number>.pkg.
    • Si vous avez téléchargé le fichier de configuration du service d'informations lors de l'installation de Silk Test, ouvrez le dossier macOS dans le répertoire d'installation Silk Test , par exemple C:\Program Files (x86)\Silk\SilkTest.
    • Si vous n'avez pas téléchargé le fichier de configuration du service d'informations lors de l'installation de Silk Test, vous pouvez le télécharger depuis Micro Focus SupportLine.
  4. Copiez le fichier SilkTestInformationService<Version>-<Build Number>.pkg sur le Mac.
  5. Exécutez SilkTestInformationService<Version>-<Build Number>.pkg pour installer le service d'informations.
  6. Suivez les instructions de l'assistant d'installation.
  7. Lorsque le système vous demande le mot de passe, indiquez le mot de passe de l'utilisateur Mac actuellement connecté.
  8. Lorsque Apple Safari s'ouvre et qu'un message vous demande s'il faut faire confiance à SafariDriver, cliquez sur Faire confiance.
    Remarque : Vous ne pouvez installer SafariDriver que si vous êtes connecté au Mac directement, et non via une connexion distante.
Pour terminer l'installation, l'installateur déconnecte l'utilisateur Mac actuel. Pour vérifier que le service d'informations a été correctement installé, connectez-vous au Mac et cliquez sur l'icône Silk Test dans le coin supérieur droit de l'écran pour voir les périphériques et les navigateurs disponibles.
Conseil : Si l'icône Silk Test n'apparaît pas, redémarrez le Mac.
Sujet parent : Gestion des fournisseurs d’appareil


Suppression de fournisseurs d’appareil

Les appareils connectés ne devant plus être utilisés pour les exécutions de test doivent être supprimés.
  1. Dans le menu, cliquez sur Administration > Environnement d'exécution.
  2. Cliquez sur le nom d'un emplacement afin d'accéder à la liste des fournisseurs d’appareil définis pour cet emplacement.
  3. Dans la colonne Actions du fournisseur d’appareil que vous souhaitez supprimer, cliquez sur Supprimer.
Sujet parent : Gestion des fournisseurs d’appareil


Gestion des modèles de rapports

Silk Central offre une palette de rapports préinstallés qui vous permettent de transformer rapidement et facilement vos données en informations mises en valeur en vue d'effectuer des analyses. Vous pouvez personnaliser les rapports par défaut à l'aide de Microsoft Excel, Microsoft Word ou de BIRT, un outil de création de rapport Open Source basé sur Eclipse, destiné aux applications Web. Vous pouvez aussi utiliser ces outils pour créer des rapports entièrement nouveaux.

Les rapports globaux partagés étant disponibles dans tous les projets pour tous les utilisateurs, les rôles utilisateur permettant de les mettre à jour et de les supprimer nécessitent des autorisations spéciales : Gérer les rapports globaux partagés et Supprimer les rapports globaux partagés. Ces autorisations s'appliquent également aux modèles de rapports utilisés dans les rapports globaux partagés. Les rapports globaux et les modèles de rapports qui ne sont pas partagés peuvent être mis à jour et supprimés par des rôles utilisateur dotés des autorisations standard pour la mise à jour et la suppression de rapports.

Les rapports Silk Central ne prennent pas en charge le format d'image bitmap (.bmp). Pour s'afficher correctement, les images doivent être au format JPEG, GIF ou PNG.

  • Gestion des modèles de rapports personnalisés avec BIRT
    Décrit l'utilisation de BIRT dans Silk Central.
  • Adaptation de modèles de rapport existants
    Adaptez des modèles de rapport BIRT existants de façon à créer des rapports personnalisés.
  • Modification des propriétés d'un modèle de rapport
    Modifiez les propriétés d'un modèle de rapport Silk Central , par exemple le nom, la description ou les modules dans lesquels le modèle peut être utilisé.
  • Téléchargement de modèles de rapports
    Téléchargez un modèle de rapport Silk Central afin de pouvoir le modifier à l'aide de BIRT Report Designer ou de Microsoft Excel.
  • Chargement de modèles de rapports
    Téléchargez un modèle de rapport Silk Central personnalisé pour le partager avec d'autres utilisateurs.
  • Mise à jour des sources d'un rapport
    Mettez à jour un modèle de rapport à l'aide d'un fichier de modèle modifié pour déplacer un rapport personnalisé dans Silk Central .
  • Suppression de modèles de rapports
    Supprimez un modèle de rapport afin de le retirer de la liste des rapports disponibles.
  • Page Modèles de Rapports
    Cette page permet de gérer les modèles de rapports.
Sujet parent : Administration


Gestion des modèles de rapports personnalisés avec BIRT

Silk Central est étroitement intégré à Business Intelligence and Reporting Tools (BIRT) Report Designer afin que vous puissiez générer plus facilement des rapports sur vos données de tests, de builds, d'anomalies et d'exigences.

Après avoir téléchargé une copie de BIRT Report Designer, vous pouvez personnaliser les rapports Silk Central de base et ajouter vos propres rapports. Pour plus d'informations sur l'exécution et la personnalisation des rapports, reportez-vous à l'Aide de l'application.

Pour plus d'informations sur BIRT Report Designer, reportez-vous au système d'aide en ligne de BIRT Report Designer. Vous trouverez des informations supplémentaires, des exemples et des démonstrations pour BIRT Report Designer à l'adresse http://www.eclipse.org/birt. Un groupe de discussion actif (news.eclipse.org) est également disponible.

Les conditions logicielles préalables requises pour utiliser les rapports BIRT personnalisés sont les suivantes :

  • BIRT Report Designer
  • Accès à Silk Central avec des privilèges d'administrateur
Remarque : Les rapports Silk Central ne prennent pas en charge le format d'image bitmap (.bmp). Pour s'afficher correctement, les images doivent être au format JPEG, GIF ou PNG.
  • Installation de BIRTSilk Central
    Installez BIRT à partir de Silk Central pour que toutes les configurations requises pour Silk Central soient automatiquement appliquées.
  • Définition d'un accès à la base de données pour un nouveau modèle de rapport
    Définissez, depuis BIRT Report Designer, un accès à la base de données Silk Central afin de créer un modèle de rapport.
  • Paramètres de source de données BIRT
    Décrit les paramètres que vous devez configurer pour accéder à Silk Central depuis BIRT.
Sujet parent : Gestion des modèles de rapports
Tâches associées
Personnalisation des modèles de rapports BIRT


Installation de BIRTSilk Central

Cette procédure explique comment installer BIRT Report Designer à partir de votre installation Silk Central. Elle vous permet d'effectuer automatiquement toutes les configurations requises pour Silk Central.

Pour installer BIRT à partir de Silk Central :

  1. Vérifiez que le système utilise le JDK (Java Development Kit) ou le JRE (Java Runtime Environment) 64 bits. BIRT Report Designer ne fonctionnera pas sur un système utilisant un JDK ou un JRE 32 bits.
  2. Accédez à Aide > Outils.
  3. Cliquez sur le lien BIRT RCP Report Designer.
  4. Après avoir téléchargé le package d'installation compressé sur votre système local, extrayez les fichiers compressés dans un répertoire de votre système tel que C:\BIRT.
    Remarque : Si une erreur survient lors de l'extraction des fichiers d'installation à l'aide de la fonctionnalité des dossiers compressés Windows, utilisez plutôt un outil d'extraction, tel que WinZip ou WinRAR, pour extraire les fichiers.
  5. Démarrez BIRT.exe à partir du répertoire dans lequel vous avez extrait les fichiers.
Sujet parent : Gestion des modèles de rapports personnalisés avec BIRT


Définition d'un accès à la base de données pour un nouveau modèle de rapport

Pour pouvoir créer un modèle de rapport avec BIRT Report Designer, vous devez établir un accès de la base de données au référentiel Silk Central que vous souhaitez interroger.

Pour établir un accès à la base de données pour un nouveau modèle de rapport :

  1. Dans BIRT Report Designer, sélectionnez le menu Fichier > Nouveau > Nouveau rapport.
  2. Suivez la procédure de l'assistant Nouveau Rapport.
  3. Ouvrez l'Explorateur de ressources.
  4. Dans l'Explorateur de ressources, cliquez sur Ressources partagées > conf > birt > library.rptlibrary > Sources de données > Source de données et faites glisser la source de données requise dans le répertoire Sources de données de votre rapport, qui se trouve dans la fenêtre Aperçu.
  5. Dans l'Explorateur de ressources, cliquez sur Ressources partagées > conf > birt > library.rptlibrary > Paramètres du rapport et faites glisser les quatre paramètres de rapport (sourceUser, sourcePassword, sourceURL, et sourceDriver) dans le répertoire Paramètres du rapport de votre rapport, qui se trouve dans la fenêtre Aperçu.
  6. Double-cliquez sur la nouvelle source de données importée afin d'ouvrir la boîte de dialogue Modifier la Source de Données.
  7. Entrez une Classe de Pilote et une URL de base de données valides. Pour plus d'informations, reportez-vous à la rubrique Paramètres de source de données BIRT.
  8. Cliquez sur Tester la Connexion pour tester vos paramètres. Si la connexion à la base de données a été établie, vous pouvez passer à la conception de votre nouveau modèle de rapport.
  9. Cliquez sur OK.
Sujet parent : Gestion des modèles de rapports personnalisés avec BIRT


Paramètres de source de données BIRT

La boîte de dialogue Nouveau Profil de Source de Données JDBC de BIRT permet d'établir l'accès de la base de données à un référentiel Silk Central existant. Pour accédez à la boîte de dialogue Nouveau Profil de Source de Données JDBC, faites un clic droit sur Sources de Données dans le volet Aperçu, cliquez sur Nouvelle Source de Données, sélectionnez Source de Données JDBC, puis cliquez sur Suivant >.

Pour vous connecter à une base de données MS SQL Server ou MS SQL Server Express, utilisez les données d'authentification suivantes :

Elément | String
Classe de Pilote | net.sourceforge.jtds.jdbc.Driver
URL du Pilote
MS SQL Server
jdbc:jtds:sqlserver://<HÔTE>:<PORT>/<BASE DE DONNÉES>
MS SQL Server Express
jdbc:jtds:sqlserver://<HÔTE>:<PORT>/<BASE DE DONNÉES>;instance=<NOM DE L'INSTANCE>
HÔTE
Nom d'hôte ou adresse IP de l'ordinateur hébergeant le serveur de bases de données.
PORT
Numéro de port du système de gestion des bases de données. Par défaut, il s'agit de 1433.
BASE DE DONNÉES
Nom de la base de données.
NOM DE L'INSTANCE
Pour MS SQL Server Express uniquement. Nom de l'instance de la base de données. L'instance MS SQL Server Express par défaut est localhost\SQLExpress.

Pour vous connecter à une base de données Oracle, utilisez les données d'authentification suivantes :

Elément | String
Classe de Pilote | oracle.jdbc.OracleDriver
URL du Pilote jdbc:oracle:thin:@<HÔTE>:<PORT>:<BASE DE DONNÉES>
HÔTE
Nom d'hôte ou adresse IP de l'ordinateur hébergeant le serveur de bases de données.
PORT
Numéro de port du système de gestion des bases de données. La valeur par défaut est 1521.
BASE DE DONNÉES
SID Oracle.
Sujet parent : Gestion des modèles de rapports personnalisés avec BIRT


Adaptation de modèles de rapport existants

SilkCentralBMC TM ART Central vous permet de télécharger et d’adapter des modèles de rapport BIRT qui contiennent toutes les informations nécessaires pour créer des modèles de rapport personnalisés, utilisables avec les modules Silk Central.

Remarque : Les rapports Silk Central ne prennent pas en charge le format d'image bitmap (.bmp). Pour s'afficher correctement, les images doivent être au format JPEG, GIF ou PNG.

Pour créer un rapport basé sur un modèle Silk Central :

  1. Dans le menu, cliquez sur Administration > Modèles de Rapports. La page Modèles de Rapports qui s'affiche répertorie tous les modèles de rapports téléchargés.
  2. Cliquez sur Télécharger le Modèle de Rapports dans la colonne Actions.
  3. Enregistrez le fichier de modèle <filename>.rptdesign en local.
  4. Ouvrez le fichier de modèle téléchargé avec BIRT Report Designer.
  5. Modifiez le rapport selon vos besoins. Pour obtenir des instructions sur la conception de rapports, reportez-vous au système d'aide en ligne de BIRT Report Designer.
  6. Pour afficher un aperçu de votre rapport, sélectionnez View Report > As HTML dans le menu Run. Pour spécifier le navigateur dans lequel afficher l'aperçu de votre rapport, procédez comme suit :
    • Cliquez sur Window > Preferences > Web Browser, sélectionnez Use external web browser, puis choisissez votre navigateur.
    • Cliquez sur Window > Preferences > Report Design > Preview et cochez la case Always use external browsers.
  7. Si vous affichez l'aperçu de votre rapport pour la première fois, la boîte de dialogue Saisir les Paramètres s'ouvre ; vous devez alors indiquer un ID de session valide. Pour générer un ID de session, copiez l'URL ci-après dans un navigateur Web. http://<hôte>:<port>/services/sccsystem?method=logonUser&userName=<nom d''utilisateur>&plainPasswd=<mot de passe>.
    Paramètre
    Description
    HÔTE
    Nom d'hôte ou adresse IP de l'ordinateur hébergeant Silk Central.
    PORT
    Numéro de port du serveur de présentation Silk Central. La valeur par défaut est 19120 si vous accédez à SilkCentralBMC TM ART Central par le biais d’un serveur Web autonome, et 80 si vous accédez à Silk Central via IIS.
    NOM D'UTILISATEUR/MOT DE PASSE
    Données d’authentification valides d’un utilisateur Silk Central.
    Remarque : L'ordre des données d'authentification NOM D'UTILISATEUR et MOT DE PASSE est très important.
  8. Si, à un moment donné, le rapport que vous êtes en train de modifier ne renvoie aucune donnée, il est probable que le problème soit lié à l'expiration de l'ID de session (délai d'expiration de 10 minutes). Fermez la fenêtre du navigateur et sélectionnez de nouveau View Report > As HTML dans le menu Run. Si vous devez générer un nouvel ID, répétez l'étape précédente.
Sujet parent : Gestion des modèles de rapports


Modification des propriétés d'un modèle de rapport

Une fois que vous avez créé un modèle de rapport personnalisé dans BIRT Report Designer , Word ou Excel, puis que vous l'avez téléchargé sur Silk Central , vous pouvez en modifier les propriétés, par exemple le nom, la description ou les modules dans lesquels le modèle peut être utilisé.

  1. Dans le menu, cliquez sur Administration > Modèles de Rapports. La page Modèles de Rapports qui s'affiche répertorie tous les modèles de rapports téléchargés.
  2. Cliquez sur le nom du modèle de rapport pour lequel vous souhaiter modifier ou définir des autorisations ou des associations. La boîte de dialogue Modifier le Modèle de Rapports s'ouvre.
  3. Utilisez les champs Nom, Nom du Fichier et Description pour modifier les propriétés du modèle.
  4. Dans la liste Modules, vous pouvez sélectionner si le modèle de rapport est disponible pour les rapports Issue Manager et/ou Test Manager.
  5. Quand vous avez terminé vos modifications, cliquez sur OK pour les enregistrer dans le modèle de rapport. Les modifications effectuées s'appliquent immédiatement. Les utilisateurs verront ces modifications quand ils accèderont à la liste des rapports ou quand ils l'actualiseront.
Sujet parent : Gestion des modèles de rapports


Téléchargement de modèles de rapports

Le modèle du rapport sélectionné (présentation comprise), est téléchargé. Une fois les modèles de rapports Silk Central téléchargés sur votre système local, vous pouvez les modifier. Après avoir téléchargé et modifié un rapport, vous pouvez le charger afin de le rendre disponible pour les autres utilisateurs. Pour plus d'informations, reportez-vous à la rubrique Chargement de modèles de rapports.

Pour télécharger un modèle de rapport Silk Central :

  1. Dans le menu, cliquez sur Administration > Modèles de Rapports. La page Modèles de Rapports qui s'affiche répertorie tous les modèles de rapports téléchargés.
  2. Cliquez sur Télécharger le Modèle de Rapports dans la colonne Action du rapport que vous souhaitez télécharger. La boîte de dialogue Téléchargement de Fichier s'affiche.
  3. Cliquez sur Enregistrer et téléchargez le fichier de rapport sur votre système local, en fonction du type de rapport que vous téléchargez.
  4. Modifiez maintenant le rapport en fonction de vos besoins à l'aide de BIRT Report Designer pour les fichiers rptdesign, Word pour les fichiers docx, ou Excel pour les fichiers xls/xlsx.
Sujet parent : Gestion des modèles de rapports


Chargement de modèles de rapports

Chargez les modèles de rapport Silk Central pour qu'ils soient accessibles à d'autres utilisateurs. Vous pouvez charger un modèle de rapport une fois que vous l'avez modifié avec BIRT Report Designer, Microsoft Word ou Microsoft Excel. Vous ne pouvez exécuter un rapport que si vous avez accès au projet et au module auxquels le report est associé.

Conseil : Les modèles doivent être configurés avec des informations supplémentaires de façon à être identifiés une fois qu'ils sont téléchargés dans Silk Central.
Remarque : Les rapports Silk Central ne prennent pas en charge le format d'image bitmap (.bmp). Pour s'afficher correctement, les images doivent être au format JPEG, GIF ou PNG.

Pour télécharger un modèle personnalisé en tant que nouveau rapport :

  1. Dans le menu, cliquez sur Administration > Modèles de Rapports. La page Modèles de Rapports qui s'affiche répertorie tous les modèles de rapports téléchargés.
  2. Cliquez sur Télécharger en bas de la page. La boîte de dialogue Télécharger un Modèle de Rapports s'ouvre.
  3. Saisissez le Nom du rapport.
  4. Facultatif : saisissez la Description du rapport.
  5. Dans la zone de liste Modules, sélectionnez ceux auxquels le rapport doit être associé. Maintenez la touche Ctrl enfoncée pour sélectionner plusieurs modules.
  6. Cliquez sur Parcourir en regard du champ Fichier.
  7. Parcourez les fichiers de modèle et sélectionnez celui qui doit servir de base au modèle de rapport. Le fichier que vous sélectionnez doit avoir une extension de fichier rptdesign, docx, xlsx, ou xls.
  8. Cliquez sur OK pour télécharger le modèle de rapport à utiliser dans Silk Central.
Sujet parent : Gestion des modèles de rapports


Mise à jour des sources d'un rapport

La mise à jour d'un modèle de rapport Silk Central existant vous permet de déplacer un rapport que vous avez personnalisé avec BIRT Report Designer, Microsoft Word ou Microsoft Excel dans Silk Central et de le mettre à la disposition des autres utilisateurs.

ATTENTION :
Les modèles de rapports fournis avec Silk Central sont corrigés automatiquement lorsque vous effectuez la mise à niveau vers une nouvelle version. Par conséquent, il est important d'enregistrer vos modèles de rapports personnalisés dans un dossier personnalisé dédié ou de télécharger les modèles de rapports personnalisés en tant que nouveaux modèles. Pour plus d'informations, reportez-vous à la rubrique Chargement de modèles de rapports.

Pour mettre à jour un modèle de rapport à l'aide d'un fichier de modèle modifié :

  1. Dans le menu, cliquez sur Administration > Modèles de Rapports. La page Modèles de Rapports qui s'affiche répertorie tous les modèles de rapports téléchargés.
  2. Cliquez sur Mettre à jour dans la colonne Action du rapport que vous souhaitez mettre à jour.
  3. Cliquez sur Parcourir dans la boîte de dialogue Mettre à jour le Modèle de Rapports pour rechercher et sélectionner le fichier de modèle qui doit remplacer le fichier de modèle existant. Le fichier que vous sélectionnez doit avoir une extension de fichier rptdesign, docx, xlsx, ou xls.
  4. Cliquez sur OK pour télécharger le fichier et remplacer celui sur lequel était basé le modèle de rapport.
Sujet parent : Gestion des modèles de rapports


Suppression de modèles de rapports

Vous pouvez supprimer un rapport Silk Central de la liste des rapports disponibles.

Pour supprimer un rapport Silk Central :

  1. Dans le menu, cliquez sur Administration > Modèles de Rapports. La page Modèles de Rapports qui s'affiche répertorie tous les modèles de rapports téléchargés.
  2. Cliquez sur Supprimer dans la colonne Action du rapport que vous souhaitez supprimer. Une boîte de dialogue de confirmation s'affiche.
  3. Cliquez sur Oui pour supprimer le rapport de la liste.
Sujet parent : Gestion des modèles de rapports


Page Modèles de Rapports

Administration > Modèles de Rapports

Utilisez la page Modèles de rapport pour gérer les modèles de rapport que vous souhaitez rendre disponibles dans Silk Central pour créer des rapports. Les modèles de rapports sont globalement disponibles pour tous les rapports de tous les projets.

Cliquez sur Télécharger pour télécharger un nouveau modèle de rapport depuis votre disque dur ou un chemin UNC d'accès à Silk Central .

Pour chaque rapport répertorié, la page affiche les colonnes suivantes :

Colonne | Description
Titre | Nom du modèle de rapport tel qu'il apparaît dans l'interface utilisateur de l'application.
Nom de fichier | Nom de fichier physique du modèle de rapport.
Téléchargé le | Date à laquelle le modèle de rapport a été téléchargé vers Silk Central .
Téléchargé par | Utilisateur qui a téléchargé le modèle de rapport vers Silk Central .
Module | Application Silk Central susceptible d'accéder au modèle de rapport. Si un modèle n'est assigné à aucun module, il est utilisable par toutes les applications.
Actions Cette colonne comporte des icônes d'action permettant à l'utilisateur d'effectuer les actions suivantes sur un modèle de rapport :
Mettre à jour
Remplace le modèle actuellement téléchargé par un nouveau modèle.
Télécharger
Télécharge le modèle sur votre ordinateur local.
Supprimer
Supprime définitivement le modèle.
Sujet parent : Gestion des modèles de rapports


Journaux d'audit

Administration > Fichiers Journaux > Journal d'Audit

Le journal d'audit permet aux administrateurs d'afficher toute l'activité utilisateur enregistrée au niveau de Silk Central. Le fichier journal stocke toutes les informations relatives à la connexion et à la déconnexion, ainsi que tous les changements apportés à la base de données Silk Central, tels les projets, les tests et les planifications.

Pour pouvoir afficher les journaux d'audit, vérifiez que vous disposez de l'autorisation Afficher les journaux d'audit.

Vous pouvez gérer les entrées de journal répertoriées afin qu'elles répondent à vos besoins d'informations en utilisant les fonctionnalités disponibles.

Tri des données par colonne

Si vous cliquez sur un en-tête de colonne, toutes les données sont triées en fonction de cette dernière. Si vous cliquez plusieurs fois sur le même en-tête de colonne, l'ordre de tri alterne entre croissant et décroissant.

Sélection d'une plage dans le calendrier

Cliquez sur la plage temporelle affichée pour développer le calendrier. Les lignes De et À du calendrier permettent de spécifier le début et la fin de la période dont vous souhaitez afficher les données. Après avoir défini les plages De et À à l'aide des zones de liste, cliquez sur Mettre à jour pour actualiser le journal d'audit en fonction de la nouvelle plage temporelle.

Les liens jour, semaine, mois, trimestre, [7 derniers jours], [31 derniers jours] permettent de contourner le calendrier et d'afficher à la place les informations relatives aux périodes définies.

Vous pouvez aussi utiliser les flèches Avant et Arrière pour allonger et diminuer la plage temporelle sélectionnée avec les intervalles suivants :
  • Un jour
  • Une semaine
  • Un mois
  • Un trimestre

Utilisez Augmenter et Diminuer pour étendre et réduire la plage temporelle couverte par le journal d'audit. Un clic sur Augmenter allonge la période de 50 %. Un clic sur Diminuer réduit la période de 50 %.

Lorsque le calendrier affiche un intervalle personnalisé, par exemple après un zoom avant ou arrière, vous pouvez utiliser les flèches situées tout à gauche, Plus tôt et Plus tard, pour avancer ou reculer la période sélectionnée de la moitié de l'intervalle choisi.

Conseil : Après avoir spécifié une nouvelle période, cliquez sur Mettre à jour pour actualiser le rapport.

Filtrage des données

Les options de filtrage permettent de mieux cibler les données d'audit à analyser.

Vous pouvez filtrer les données répertoriées selon les critères suivants :
Connexion
Affiche les actions d'un identifiant utilisateur donné.
Objet
Affiche les actions réalisées sur un élément de base de données défini, par exemple un projet ou un emplacement.
Opération
Affiche les opérations sélectionnées, par exemple connexion, déconnexion, création ou suppression.
  • Accès au journal d'audit et consultation des données d'audit
    Accédez au journal d'audit et consultez toutes les activités utilisateur consignées.
  • Page Journal d'Audit
    Utilisez cette page pour afficher l'ensemble de l'activité utilisateur Silk Central enregistrée.
Sujet parent : Administration


Accès au journal d'audit et consultation des données d'audit

Pour consulter le journal d'audit :

  1. Vérifiez que vous disposez de l'autorisation Afficher les journaux d'audit.
  2. Dans le menu, cliquez sur Administration > Fichiers Journaux.
  3. Cliquez sur l'onglet Journal d'Audit.
  4. Sélectionnez une plage de dates afin de restreindre les entrées de journal répertoriées.
  5. Utilisez les options de filtrage afin de mieux cibler les données d'audit à analyser.
Sujet parent : Journaux d'audit


Page Journal d'Audit

Administration > Fichiers Journaux > Journal d'Audit

Utilisez la page Journaux d'audit pour afficher l'ensemble de l'activité utilisateur Silk Central enregistrée.

Pour pouvoir afficher les journaux d'audit, vérifiez que vous disposez de l'autorisation Afficher les journaux d'audit.

Elément | Description
Espace Calendrier | Sélectionnez une plage de dates afin de restreindre les entrées de journal répertoriées.
Espace Filtre | Utilisez les options de filtrage afin de mieux cibler les données d'audit à analyser. Cliquez sur Mettre à jour pour actualiser la liste en fonction de vos paramètres de filtrage.
Espace Résultat | Cette section affiche les informations enregistrées dans le journal. Utilisez les numéros de page pour vous déplacer entre les pages. Cliquez sur les en-têtes de colonne pour effectuer un tri en fonction de la colonne définie.

Pour plus d'informations sur le calendrier et les options de filtrage, reportez-vous à la rubrique Journal d'Audit.

Sujet parent : Journaux d'audit


Fichiers journaux de serveur

Le serveur de présentation, le serveur d'application et le serveur d'exécution génèrent des fichiers journaux. Ces fichiers fournissent des informations utiles pour l'analyse des erreurs. Silk Central permet aux administrateurs de consulter, de rechercher et de télécharger le contenu de ces fichiers directement depuis son interface Web.

  • Téléchargement de fichiers journaux de serveur
    Téléchargez un fichier journal de serveur sur votre ordinateur local afin d'approfondir l'analyse des données, par exemple dans Microsoft Excel.
  • Analyse des fichiers journaux de serveur
    Analysez le fichier journal d'un serveur pour vérifier si son activité a été affectée par des erreurs.
  • Suppression de fichiers journaux de serveur
    Supprimez un fichier journal de serveur existant lorsque les informations associées ne sont plus requises.
  • Gestion des fichiers journaux
    Décrit la personnalisation du niveau de détail consigné dans les fichiers journaux de serveur.
  • Page Journal du Serveur de Présentation
    Utilisez cette page pour afficher les informations de journalisation en provenance du service du serveur de présentation Silk Central.
  • Page Journal du serveur d'application
    Utilisez cette page pour afficher les informations de journalisation en provenance du service serveur d'application Silk Central.
  • Page Journal du Serveur d'Exécution
    Utilisez cette page pour afficher les informations de journalisation en provenance du service du serveur d'exécution Silk Central.
Sujet parent : Administration


Téléchargement de fichiers journaux de serveur

Vous pouvez télécharger un fichier journal de serveur sur votre ordinateur local au format CSV afin d'approfondir l'analyse des données, par exemple dans Microsoft Excel.

Pour télécharger un fichier journal de serveur :

  1. Dans le menu, cliquez sur Administration > Fichiers Journaux.
  2. Cliquez sur l'onglet du serveur auquel le fichier journal appartient.
    • Journaux du serveur de présentation
    • Journaux du serveur d'application
    • Journaux du serveur d'exécution
    La liste des fichiers journaux est affichée par ordre chronologique. Les noms des fichiers journaux sont composés du nom du composant du serveur, ainsi que d'un suffixe avec un horodatage. Les fichiers journaux actuels sont nommés FrontendServer.log, AppServer.log et ExecServer.log.
    Remarque : Pour localiser un fichier journal de serveur d'exécution, accédez au serveur d'exécution correspondant par le biais de son emplacement.
  3. Dans la colonne Actions du fichier journal, cliquez sur Télécharger. Autre possibilité : pour afficher le contenu du fichier journal avant de le télécharger, cliquez sur le nom du fichier journal que vous souhaitez télécharger. Le fichier journal sélectionné s'affiche, ses entrées étant classées de façon chronologique. Cliquez sur Exporter au format CSV en bas de la page.
  4. Pour afficher les données dans un programme de feuille de calcul, sélectionnez Ouvrir dans la boîte de dialogue suivante. Pour enregistrer les données sur votre disque dur, sélectionnez Enregistrer dans la boîte de dialogue suivante.
Sujet parent : Fichiers journaux de serveur


Analyse des fichiers journaux de serveur

Pour analyser un fichier journal de serveur :

  1. Dans le menu, cliquez sur Administration > Fichiers Journaux.
  2. Cliquez sur l'onglet du serveur auquel le fichier journal appartient.
    • Journaux du serveur de présentation
    • Journaux du serveur d'application
    • Journaux du serveur d'exécution
    La liste des fichiers journaux est affichée par ordre chronologique. Les noms des fichiers journaux sont composés du nom du composant du serveur, ainsi que d'un suffixe avec un horodatage. Les fichiers journaux actuels sont nommés FrontendServer.log, AppServer.log et ExecServer.log.
    Remarque : Pour localiser un fichier journal de serveur d'exécution, accédez au serveur d'exécution correspondant par le biais de son emplacement.
  3. Cliquez sur le nom du fichier journal que vous voulez consulter. Le fichier journal sélectionné s'affiche, ses entrées étant classées de façon chronologique.
  4. Des options de filtres vous permettent de parcourir les informations enregistrées dans le journal.
    Vous pouvez filtrer les données répertoriées selon les critères suivants :
    Gravité
    Affiche les événements correspondant au niveau de sévérité sélectionné.
    Niveau de Trace
    Affiche les événements qui correspondent à un niveau de journal sélectionné. Des informations de journalisation plus détaillées ne peuvent être affichées que lorsque le niveau de trace est défini de la même façon sur le serveur. Pour plus d'informations sur la configuration du niveau de trace d'un serveur, reportez-vous à la rubrique Niveaux de trace.
    Module
    Affiche les informations du journal pour un module sélectionné. Les entrées du journal ne peuvent être affichées que lorsque les applications respectives (modules) sont installées et connectées au serveur de présentation auquel vous accédez.
Sujet parent : Fichiers journaux de serveur


Suppression de fichiers journaux de serveur

ATTENTION :
La suppression d'un fichier journal entraîne sa suppression définitive du serveur. Vous ne pourrez plus consulter les données de journal du fichier supprimé.

Pour supprimer un fichier journal de serveur :

  1. Dans le menu, cliquez sur Administration > Fichiers Journaux.
  2. Cliquez sur l'onglet du serveur auquel le fichier journal appartient.
    • Journaux du serveur de présentation
    • Journaux du serveur d'application
    • Journaux du serveur d'exécution
    La liste des fichiers journaux est affichée par ordre chronologique. Les noms des fichiers journaux sont composés du nom du composant du serveur, ainsi que d'un suffixe avec un horodatage. Les fichiers journaux actuels sont nommés FrontendServer.log, AppServer.log et ExecServer.log.
    Remarque : Pour localiser un fichier journal de serveur d'exécution, accédez au serveur d'exécution correspondant par le biais de son emplacement.
  3. Dans la colonne Actions du fichier journal que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Non pour éviter la suppression du fichier journal ; ou cliquez sur Oui afin de supprimer le fichier journal de la liste. Si vous choisissez Oui, la liste des fichiers journaux s'affiche de nouveau et n'inclut plus le fichier journal supprimé.
Sujet parent : Fichiers journaux de serveur


Gestion des fichiers journaux

Chaque serveur Silk Central consigne ses activités dans les fichiers journaux. Pour plus d’informations sur les serveurs Silk Central, reportez-vous à la rubrique Silk Central Architecture. Lorsque des erreurs au niveau des applications ou des défaillances du système se produisent, les fichiers journaux contiennent des informations utiles sur les causes premières des problèmes. Vous pouvez personnaliser le niveau de détail consigné dans les fichiers journaux de serveur.

Les fichiers journaux des serveurs Silk Central sont accessibles via les options Administration > Fichiers Journaux.

  • Modification des niveaux de journalisation des serveurs Silk Central
    Modifiez le niveau de détail des serveurs Silk Central afin d'inclure ou d'exclure des informations dans les fichiers journaux.
Sujet parent : Fichiers journaux de serveur
Référence associée
Architecture de Silk Central


Modification des niveaux de journalisation des serveurs Silk Central

Les serveurs suivants génèrent des fichiers journaux :
  • Serveur de présentation
  • Serveur d'application
  • Serveur d'exécution

Pour modifier le niveau de journalisation d'un serveur Silk Central :

  1. Arrêtez le serveur dont vous souhaitez modifier le niveau de journalisation.
  2. Ouvrez le fichier approprié dans un éditeur de texte, selon le serveur dont vous souhaitez modifier le niveau de journalisation :
    Serveur de présentation
    SccFrontendBootConf.xml, situé dans le dossier /conf/frontendserver du répertoire Silk Central sur le serveur de présentation.
    Serveur d'application
    SccAppServerBootConf.xml, situé dans le dossier /conf/appserver du répertoire Silk Central sur le serveur d'application.
    Serveur d'exécution
    SccExecServerBootConf.xml, situé dans le dossier /conf/execserver du répertoire Silk Central sur le(s) serveur(s) d'exécution.
  3. Recherchez la balise XML <LogLevel> dans la section <Log> du fichier.
  4. Définissez la valeur sur le niveau de journalisation auquel vous souhaitez que le serveur écrive les informations. Les niveaux de journalisation suivants sont disponibles :
    Valeur | Niveau de Trace | Description
    0 | Vue d'ensemble | Le serveur écrit uniquement les informations les plus importantes dans les fichiers journaux. Il s'agit du paramètre par défaut.
    1 Détaillé Le serveur écrit des informations supplémentaires dans les fichiers journaux :
    Serveur de présentation
    Informations sur le répartiteur de connexions et d'événements.
    Serveur d'application
    Activités relatives à l'écriture et à la récupération de résultats.
    Serveur d'exécution
    Activités relatives à l'exécution de transactions.
    2 Très Détaillé Le serveur écrit des informations supplémentaires dans les fichiers journaux :
    Serveur de présentation
    Informations sur l'administration des utilisateurs, par exemple la gestion des cookies.
    Serveur d'application
    Informations détaillées sur l'écriture et la récupération des résultats.
    Serveur d'exécution
    Informations détaillées sur la bande passante et l'exécution des transactions.
    3 | Débogage | Il s'agit du niveau de journalisation le plus détaillé, réservé au débogage des incidents graves.
  5. Enregistrez et fermez le fichier XML, puis redémarrez le serveur.
Sujet parent : Gestion des fichiers journaux


Page Journal du Serveur de Présentation

Administration > Fichiers Journaux > Journal du Serveur de Présentation

Utilisez cette page pour afficher les informations de journalisation en provenance du service du serveur de présentation Silk Central.

Pour chaque fichier journal, la page affiche les colonnes suivantes :

Colonne | Description
Actions | Cliquez sur les boutons [image] et [image] pour supprimer ou télécharger les fichiers journaux.
Nom | Nom du fichier journal.
Taille | Taille physique du fichier journal.
Date | Date du dernier enregistrement physique du fichier journal.

Administration > Fichiers Journaux > Journal du Serveur de Présentation > Nom du fichier journal du serveur de présentation .

Lorsque vous cliquez sur le nom d'un fichier journal, la liste des détails de la journalisation s'affiche. La liste inclut les éléments suivants :

Elément | Description
Espace Filtre | Les options de filtrage permettent de filtrer les informations de la liste des journaux par sévérité, niveau de trace et module. Cliquez sur Mettre à jour pour actualiser la liste en fonction de vos paramètres de filtrage.
Espace Table Affiche les informations de journalisation suivantes :
Gravité
Sévérité de l'événement :
  • Info
  • Avertissement
  • Erreur
Niveau de trace
Niveau de trace de l'événement :
  • OV = Vue d'ensemble (Overview)
  • DT = Détaillé (Detailed)
  • VB = Très détaillé (Verbose)
  • DB = Débogage (Debug)

Cliquez sur Retour pour retourner sur la page Journal du Serveur de Présentation. Cliquez sur Exporter au format CSV pour télécharger le fichier journal au format CSV sur votre ordinateur local.

Sujet parent : Fichiers journaux de serveur


Page Journal du serveur d'application

Administration > Fichiers journaux > Journal du serveur d'application

Utilisez cette page pour afficher les informations de journalisation en provenance du service du serveur d'application Silk Central.

Pour chaque fichier journal, la page affiche les colonnes suivantes :

Colonne | Description
Actions | Cliquez sur les boutons [image] et [image] pour supprimer ou télécharger les fichiers journaux.
Nom | Nom du fichier journal.
Taille | Taille physique du fichier journal.
Date | Date du dernier enregistrement physique du fichier journal.

Administration > Fichiers journaux > Journal du serveur d'application > Nom du fichier journal du serveur d'application.

Lorsque vous cliquez sur le nom d'un fichier journal, la liste des détails de la journalisation s'affiche. La liste inclut les éléments suivants :

Elément | Description
Espace Filtre | Les options de filtrage permettent de filtrer les informations de la liste des journaux par sévérité, niveau de trace et module. Cliquez sur Mettre à jour pour actualiser la liste en fonction de vos paramètres de filtrage.
Espace Table Affiche les informations de journalisation suivantes :
Gravité
Sévérité de l'événement :
  • Info
  • Avertissement
  • Erreur
Niveau de trace
Niveau de trace de l'événement :
  • OV = Vue d'ensemble (Overview)
  • DT = Détaillé (Detailed)
  • VB = Très détaillé (Verbose)
  • DB = Débogage (Debug)

Cliquez sur Retour pour revenir à la page Journal du serveur d'application. Cliquez sur Exporter au format CSV pour télécharger le fichier journal au format CSV sur votre ordinateur local.

Sujet parent : Fichiers journaux de serveur


Page Journal du Serveur d'Exécution

Administration > Fichiers Journaux > Journal du Serveur d'Exécution

Utilisez cette page pour afficher les informations de journalisation en provenance du service du serveur d'exécution Silk Central.

Pour chaque emplacement, la page affiche les colonnes suivantes :

Colonne | Description
Emplacement | Affiche tous les emplacements disponibles.
Serveurs d'Exécution | Affiche le nombre de serveurs d'exécution par emplacement.
Etat | Affiche un récapitulatif des états des serveurs d'exécution présents dans l'emplacement.

Administration > Fichiers Journaux > Journal du Serveur d'Exécution > Nom d'emplacement

Lorsque vous cliquez sur le nom d'un emplacement, la liste des serveurs d'exécution présents dans cet emplacement s'affiche. La liste comporte les colonnes suivantes pour chaque serveur d'exécution.

Colonne | Description
Nom de Serveur d'exécution | Nom du serveur d'exécution.
Hôte | Nom de l'ordinateur hébergeant le serveur d'exécution.
Type | Application Silk Central pour laquelle le serveur d'exécution est configuré. Pour Silk Central, le type est toujours Silk Central.
Tâches Assignées | Nombre de tâches actuellement planifiées sur le serveur d'exécution.
Etat | État du serveur d'exécution. Actif ou Inactif.

Cliquez sur Retour pour revenir à la liste des emplacements.

Administration > Fichiers Journaux > Journal du Serveur d'Exécution > Nom d'emplacement > Nom de Serveur d'Exécution

Lorsque vous cliquez sur le nom d'un serveur d'exécution, la liste des fichiers journaux de ce serveur s'affiche. Pour chaque fichier journal, la page affiche les colonnes suivantes :
Colonne | Description
Actions | Cliquez sur les boutons [image] et [image] pour supprimer ou télécharger les fichiers journaux.
Nom | Nom du fichier journal.
Taille | Taille physique du fichier journal.
Date | Date du dernier enregistrement physique du fichier journal.

Cliquez sur Retour pour revenir à la liste des serveurs d'exécution.

Administration > Fichiers Journaux > Journal du Serveur d'Exécution > Nom d'emplacement > Nom de Serveur d'Exécution > Nom du fichier journal du serveur d'exécution

Lorsque vous cliquez sur le nom d'un fichier journal, la liste des détails de la journalisation s'affiche. La liste inclut les éléments suivants :

Elément | Description
Espace Filtre | Les options de filtrage permettent de filtrer les informations de la liste des journaux par sévérité, niveau de trace et module. Cliquez sur Mettre à jour pour actualiser la liste en fonction de vos paramètres de filtrage.
Espace Table Affiche les informations de journalisation suivantes :
Gravité
Sévérité de l'événement :
  • Info
  • Avertissement
  • Erreur
Niveau de trace
Niveau de trace de l'événement :
  • OV = Vue d'ensemble (Overview)
  • DT = Détaillé (Detailed)
  • VB = Très détaillé (Verbose)
  • DB = Débogage (Debug)

Cliquez sur Retour pour revenir à la page Journal du Serveur d'Exécution. Cliquez sur Exporter au format CSV pour télécharger le fichier journal au format CSV sur votre ordinateur local.

Sujet parent : Fichiers journaux de serveur


Intégration des outils de gestion de tâches

Les outils externes de gestion de tâches permettent d'intégrer des tests à Silk Central par le biais du modèle de projet Agile.

Le modèle de projet Agile est un projet Silk Central dans lequel les attributs Release et Sprint sont présélectionnés. Lorsque vous créez un projet à partir du modèle de projet Agile, un sous-dossier et un conteneur de tests vides sont créés pour ce projet. L'outil de gestion de tâches externe peut ensuite insérer les tests dans le modèle. Pour plus d'informations sur la création d'un projet à partir du modèle de projet Agile, reportez-vous à la rubrique Ajout de projets.

L'outil de gestion de tâches actuellement pris en charge par Silk Central et exploitable en l'état est VersionOne.

VersionOne est un outil de planification et de gestion de projet qui est spécialement conçu pour le développement de logiciels Agile. Il incorpore des méthodes de gestion Agile et itératives telles que la planification des versions, la planification et le suivi des itérations, de même que la gestion des User Stories, des éléments du journal des travaux en souffrance (backlog) et des tâches.

  • Intégration de VersionOne dans Silk Central
    Intégrez les tests de VersionOne afin de pouvoir les gérer avec Silk Central.
Sujet parent : Administration


Intégration de VersionOne dans Silk Central

Pour intégrer des tests de VersionOne dans Silk Central :
  1. Ajoutez un nouveau projet Silk Central et appliquez-lui le modèle de projet Agile. Pour plus d'informations sur l'ajout d'un projet basé sur le modèle Agile dans Silk Central, reportez-vous à la rubrique Ajout de projets.
  2. Ouvrez l'Explorateur de fichiers.
  3. Accédez au fichier XML de configuration de VersionOne, VersionOneConfig.xml. Le chemin d'accès par défaut de ce fichier est C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\wwwrootAS\VersionOneIntegration.
  4. Ouvrez le fichier XML de configuration de VersionOne avec un éditeur.
  5. Configurez le fichier XML de configuration de VersionOne avec les paramètres appropriés. Pour obtenir des informations détaillées sur les paramètres du fichier XML de configuration de VersionOne, reportez-vous aux commentaires figurant dans VersionOneConfig.xml.
  6. Enregistrez et fermez le fichier de configuration.
    Remarque : Vous n'avez pas besoin de redémarrer le serveur d'application après avoir modifié le fichier de configuration, car ce dernier est automatiquement mis à jour.
  7. Dans Silk Central, accédez à l'espace Tests. Le conteneur de tests vide s'affiche comme étant incomplet, car vous devez sélectionner une application.
  8. Cliquez sur le conteneur, sélectionnez l'onglet Propriétés, puis recherchez l'application en cliquant sur le lien approprié.

VersionOne est maintenant intégré à Silk Central. Les nouvelles tâches de test de VersionOne, pour lesquelles vous avez défini l'utilisateur approprié, sont insérées en tant que tests manuels dans le dossier d'intégration par défaut du projet Silk Central défini. L'état de test est maintenant échangé entre Silk Central et VersionOne.

Pour plus d'informations sur les modifications apportées à l'intégration de VersionOne, reportez-vous au fichier journal VersionOneIntegration.log. Le chemin par défaut du fichier journal est C:\ProgramData\SilkCentral\instance_<numéro d'instance>_<nom d'instance>\log\.

Remarque : Pour intégrer VersionOne à une version japonaise de Silk Central, définissez les options de démarrage du service du serveur d'application dans le registre sur -Dfile.encoding=utf-8.
Sujet parent : Intégration des outils de gestion de tâches


Gestion des listes de valeurs

Les listes de valeurs servent à alimenter les propriétés personnalisées des onglets d'incidents personnalisés que vous pouvez configurer pour Issue Manager dans Incidents > Configuration. Pour plus de détails sur les onglets et propriétés d'incidents personnalisés, reportez-vous aux rubriques Issue Manager de cette aide.

  • Ajout de listes de valeurs
    Ajoutez une nouvelle liste de valeurs pour alimenter les propriétés personnalisées des onglets d'incidents personnalisés.
  • Modification de listes de valeurs
    Modifiez une liste de valeurs existante.
  • Modification de valeurs individuelles
    Modifiez une valeur individuelle figurant dans une liste de valeurs.
  • Activation et désactivation des listes de valeurs
    Activez ou désactivez une liste de valeurs existante dans Silk Central.
  • Activation et désactivation des valeurs individuelles
    Activez ou désactivez une valeur individuelle dans une liste de valeurs.
  • Tri des listes de valeurs
    Déplacez des valeurs vers le haut ou vers le bas dans la liste et triez celle-ci par ordre alphabétique.
  • Suppression de listes de valeurs
    Supprimez une liste de valeurs existante.
  • Suppression de valeurs individuelles
    Supprimez des valeurs individuelles d'une liste de valeurs.
  • Page de configuration Listes de Valeurs
    Utilisez cette page pour configurer les listes de valeurs.
Sujet parent : Administration


Ajout de listes de valeurs

Pour ajouter une nouvelle liste de valeurs :

  1. Dans le menu, cliquez sur Administration > Listes de Valeurs.
  2. Cliquez sur Nouvelle liste. La boîte de dialogue Nouvelle Liste de Valeurs s'affiche.
  3. Dans la zone de texte Nom, saisissez un nom pour la nouvelle liste de valeurs. Dans la zone de texte Description, saisissez une description.
  4. Dans la zone de liste Regroupés Par, sélectionnez un paramètre de groupement à appliquer à cette liste.

    Cette sélection est définitive et ne peut pas être modifiée une fois que vous avez enregistré la nouvelle liste. Le groupement des valeurs signifie qu'à chaque valeur de votre liste correspond une valeur de la liste sélectionnée dans la zone de liste Regroupés Par. En l'absence de groupement des valeurs, vous pouvez définir manuellement des valeurs personnalisées.

  5. Pour ajouter une valeur à la liste, cliquez sur Nouvelle Valeur. La boîte de dialogue Nouvelle Valeur s'affiche.
  6. Saisissez un Nom et une Description pour la nouvelle valeur.
  7. Dans la zone de liste Regroupés Par, sélectionnez une valeur, le cas échéant.
  8. Dans la liste de valeurs existantes de la zone de liste Insérer après, sélectionnez la position de la nouvelle valeur ou sélectionnez <dernier point d'entrée> pour ajouter la nouvelle valeur à la fin de la liste.
  9. Cliquez sur OK pour enregistrer la valeur. La boîte de dialogue Nouvelle Liste de Valeurs affiche la nouvelle valeur ajoutée.
  10. Ajoutez autant de valeurs supplémentaires qu'il est nécessaire pour terminer la liste de valeurs.
  11. Cliquez sur OK pour enregistrer la liste de valeurs.
Sujet parent : Gestion des listes de valeurs


Modification de listes de valeurs

Pour modifier une liste de valeurs existante :

  1. Dans le menu, cliquez sur Administration > Listes de Valeurs.
  2. Cliquez sur le nom de la liste de valeurs que vous souhaitez modifier. La boîte de dialogue Modifier la liste de valeurs s'affiche.
  3. Modifiez le Nom, la Description et le paramètre Grouper Par de la liste de valeur sélectionnée, puis cliquez sur OK.
    Remarque : Chaque valeur individuelle configurée pour la liste peut également être modifiée. Pour plus de détails sur la modification de valeurs individuelles, reportez-vous à la rubrique Modification de valeurs individuelles.
Sujet parent : Gestion des listes de valeurs


Modification de valeurs individuelles

Pour modifier une valeur individuelle figurant dans une liste de valeurs :

  1. Dans le menu, cliquez sur Administration > Listes de Valeurs.
  2. Cliquez sur le nom de la liste de valeurs que vous souhaitez modifier. La boîte de dialogue Modifier la liste de valeurs s'affiche.
  3. Cliquez sur le nom de la valeur que vous souhaitez modifier. La boîte de dialogue Modifier la Valeur s'affiche.
  4. Modifiez les champs Nom et Description de la valeur en fonction de vos besoins.
  5. Cliquez sur OK pour enregistrer vos modifications.
Sujet parent : Gestion des listes de valeurs


Activation et désactivation des listes de valeurs

Remarque : Vous ne pouvez pas désactiver la liste de valeurs Types d'Incidents, car elle est requise par Issue Manager.

Pour activer ou désactiver une liste de valeurs existante :

  1. Dans le menu, cliquez sur Administration > Listes de Valeurs.
  2. Cliquez sur l'icône État associée à la liste de valeurs que vous voulez activer ou désactiver. Une boîte de dialogue vous invitant à confirmer l'activation ou la désactivation s'affiche.
  3. Confirmez le message pour basculer l'état de la liste de valeurs sur Actif ou Inactif.
    Remarque : Chaque valeur configurée pour la liste peut aussi être activée ou désactivée. Pour plus de détails sur l'activation ou la désactivation de valeurs individuelles, reportez-vous à la rubrique Activation et désactivation des valeurs individuelles.
Sujet parent : Gestion des listes de valeurs


Activation et désactivation des valeurs individuelles

Pour activer ou désactiver une valeur individuelle dans une liste de valeurs :

  1. Dans le menu, cliquez sur Administration > Listes de Valeurs.
  2. Cliquez sur le nom de la liste de valeurs incluant la valeur à activer ou désactiver. La boîte de dialogue Modifier la Liste de Valeurs s'affiche.
  3. Cliquez sur l'icône État associée à la valeur que vous voulez activer ou désactiver. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur OK pour enregistrer la liste de valeurs mise à jour.
Sujet parent : Gestion des listes de valeurs


Tri des listes de valeurs

Pour déplacer une valeur vers le haut ou vers le bas dans une liste, ou pour trier les noms des valeurs alphabétiquement :

  1. Dans le menu, cliquez sur Administration > Listes de Valeurs.
  2. Cliquez sur le nom de la liste de valeurs incluant la valeur que vous souhaitez trier. La boîte de dialogue Modifier la Liste de Valeurs s'affiche.
  3. Dans la colonne Actions de l'élément que vous souhaitez déplacer, cliquez sur Déplacer vers le Haut ou Déplacer vers le Bas.
  4. Pour trier par ordre alphabétique les noms de la liste de valeurs, cliquez sur Trier par Valeur. La boîte de dialogue Trier par Valeur s'affiche.
  5. Sélectionnez l'ordre de tri, Ascendant ou Descendant, puis cliquez sur OK.
  6. Cliquez sur OK dans la boîte de dialogue Modifier la Liste de Valeurs afin d'enregistrer la liste de valeurs mise à jour.
Sujet parent : Gestion des listes de valeurs


Suppression de listes de valeurs

Pour supprimer une liste de valeurs existante :

  1. Dans le menu, cliquez sur Administration > Listes de Valeurs.
  2. Désactivez la liste de valeurs que vous souhaitez supprimer. Pour plus d'informations, reportez-vous à la rubrique Activation et désactivation des listes de valeurs.
  3. Dans la colonne Actions de la liste de valeurs que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui pour poursuivre la suppression ou sur Non pour l'abandonner.
    Remarque : Chaque valeur individuelle configurée pour la liste peut également être supprimée. Pour plus de détails sur la suppression de valeurs individuelles, reportez-vous à la rubrique Suppression de valeurs individuelles.
Sujet parent : Gestion des listes de valeurs


Suppression de valeurs individuelles

Pour supprimer une valeur individuelle d'une liste de valeurs :

  1. Dans le menu, cliquez sur Administration > Listes de Valeurs.
  2. Cliquez sur le nom de la liste de valeurs incluant la valeur que vous souhaitez supprimer. La boîte de dialogue Modifier la liste de valeurs s'affiche.
  3. Désactivez la valeur que vous souhaitez supprimer. Pour plus d'informations, reportez-vous à la rubrique Activation et désactivation de valeurs individuelles.
  4. Dans la colonne Actions de la valeur que vous souhaitez supprimer, cliquez sur Supprimer.
  5. Cliquez sur OK dans la boîte de dialogue Modifier la Liste de Valeurs afin d'enregistrer la liste de valeurs mise à jour.
Sujet parent : Gestion des listes de valeurs


Page de configuration Listes de Valeurs

Administration > Listes de valeurs

Utilisez cette page pour configurer les listes de valeurs. Pour chaque liste de valeurs répertoriée, la page affiche les colonnes suivantes :

Colonne | Description
Nom | Nom de la liste de valeurs, tel qu'il est affiché dans l'interface utilisateur et dans les rapports. Pour modifier la description, les valeurs et le nom d'une liste de valeurs, cliquez sur ce dernier.
Regroupés Par | S'affiche si une liste de valeurs est regroupée par Application ou Types d'Incidents, ou si l'option Non Groupés est sélectionnée.
Etat | État de la liste de valeurs : Actif ou Inactif. Cliquez sur l'état pour basculer entre Actif et Inactif. La liste de valeurs par défaut, Types d'incident, ne peut pas être désactivée car il s'agit d'un composant clé utilisé dans Issue Manager .
Créé le | Date à laquelle la liste de valeurs a été créée.
Créé par | Utilisateur qui a créé la liste de valeurs.
Modifié Le | Date à laquelle la liste de valeurs a été modifiée pour la dernière fois.
Modifié Par | Utilisateur qui a modifié en dernier la liste de valeurs.
Actions
Vous pouvez effectuer les actions suivantes sur une liste de valeurs :
Supprime définitivement la liste de valeurs. Les listes de valeurs doivent être inactives pour que vous puissiez les supprimer, et la suppression n'est pas autorisée si une liste de valeurs est déjà associée à des incidents.

Cliquez sur Nouvelle Liste pour créer une liste de valeurs.

Sujet parent : Gestion des listes de valeurs


Configuration des planifications globales

Vous pouvez définir des planifications globales pouvant être réutilisées dans Silk Central à des fins de planification des plans d'exécution. Les planifications globales accélèrent l'exécution des plans d'exécution car il est uniquement nécessaire de définir des planifications individuelles pour les plans d'exécution nécessitant une planification spécifique. Pour plus d'informations sur l'application des planifications, consultez la rubrique Planifications.

Exclusions

Vous pouvez définir des intervalles de jours de la semaine et d'heures de la journée pendant lesquels les tests ne doivent pas être exécutés. Par exemple, vous pouvez souhaiter que les tests ne soient pas exécutés le week-end.

Exécutions Ponctuelles

Vous pouvez définir les moments auxquels les tests doivent être exécutés, quelles que soient les planifications configurées.

  • Ajout de planifications globales
    Ajoutez une nouvelle planification globale pour programmer les plans d'exécution dans Silk Central.
  • Modification de planifications globales
    Modifiez une planification globale existante.
  • Activation et désactivation des planifications globales
    Activez ou désactivez une planification globale existante dans Silk Central.
  • Suppression de planifications globales
    Supprimez une planification globale existante.
  • Planification des exclusions
    Planifiez des exclusions afin de définir quand les tests ne doivent pas s'exécuter.
  • Planification d'exécutions ponctuelles
    Planifiez des exécutions ponctuelles afin de définir quand les tests doivent s'exécuter.
  • Page de configuration des planifications
    Utilisez cette page pour configurer des planifications globales pour Silk Central .
Sujet parent : Administration
Concepts associés
Planifications


Ajout de planifications globales

Pour ajouter une nouvelle planification globale :

  1. Dans le menu, cliquez sur Administration > Planifications. La page Planifications qui s'affiche répertorie toutes les planifications globales existantes.
  2. Cliquez sur Nouvelle Planification. La page Configurer la Planification s'affiche.
  3. Dans la zone de texte Nom, saisissez un nom pour la nouvelle planification. Il est conseillé d'inclure le fuseau horaire dans le nom, par exemple « Tous les jours à 18 h EST », pour que les utilisateurs connaissent l'heure de l'exécution.
  4. Dans la zone de texte Description, saisissez une description de la planification.
  5. En regard du paramètre De, cliquez sur Modifier pour définir une date et une heure de début pour la planification. Toutes les valeurs de date et d'heure sont enregistrées en GMT dans la base de données. La présentation des valeurs est définie en fonction du paramètre Fuseau horaire indiqué dans les paramètres utilisateur. Par exemple, si un administrateur qui se trouve à New York crée une planification globale qui s'exécute chaque jour à 18 h, elle s'exécute à minuit pour un utilisateur situé à Paris, qui applique cette planification à son plan d'exécution.
  6. Définissez l'Intervalle auquel l'exécution doit se répéter. La plage temporelle disponible varie de 1 minute à 36 jours.
  7. Cochez la case Ajuster la planification à l'heure d'été afin que les exécutions planifiées soient automatiquement ajustées au passage à l'heure d'été.
  8. Cliquez sur Modifier afin de définir les date et heure de fin de l'exécution. Cliquez sur Indéfiniment afin de lancer l'exécution pendant une période indéfinie, ou sur jusqu'au afin de lancer l'exécution pendant une période définie.
  9. Pour définir des périodes (jours de la semaine et heures de la journée) pendant lesquelles interdire l'exécution de test, cliquez sur Ajouter une Exclusion. Pour plus d'informations, reportez-vous à la rubrique Planification des exclusions.
  10. Pour définir la période à laquelle test doit s'exécuter, cliquez sur Ajouter une Exécution Ponctuelle. Pour plus d'informations, reportez-vous à la rubrique Planification des exécutions ponctuelles.
  11. Cliquez sur Enregistrer une fois que vous avez défini la planification.
Sujet parent : Configuration des planifications globales
Tâches associées
Planification d'exécutions ponctuelles
Planification des exclusions
Définition de planifications globales


Modification de planifications globales

Pour modifier une planification globale :

  1. Dans le menu, cliquez sur Administration > Planifications. La page Planifications qui s'affiche répertorie toutes les planifications globales existantes.
  2. Cliquez sur le nom de la planification que vous souhaitez modifier. La page Configurer la Planification s'affiche.
  3. Modifiez le nom de la planification dans la zone de texte Nom. Il est conseillé d'inclure le fuseau horaire dans le nom, par exemple « Tous les jours à 18 h EST », pour que les utilisateurs connaissent l'heure de l'exécution.
  4. Modifiez la description de la planification dans la zone de texte Description.
  5. En regard du paramètre De, cliquez sur Modifier pour définir de nouvelles date et heure de début pour la planification. Toutes les valeurs de date et d'heure sont enregistrées en GMT dans la base de données. La présentation des valeurs est définie en fonction du paramètre Fuseau horaire indiqué dans les paramètres utilisateur. Par exemple, si un administrateur qui se trouve à New York crée une planification globale qui s'exécute chaque jour à 18 h, elle s'exécute à minuit pour un utilisateur situé à Paris, qui applique cette planification à son plan d'exécution.
  6. Modifiez l'Intervalle auquel l'exécution doit se répéter. La plage temporelle disponible varie de 1 minute à 36 jours.
  7. Cochez la case Ajuster la planification à l'heure d'été afin que les exécutions planifiées soient automatiquement ajustées au passage à l'heure d'été.
  8. Cliquez sur Modifier afin de définir les date et heure de fin de l'exécution. Cliquez sur Indéfiniment afin de lancer l'exécution pendant une période indéfinie, ou sur jusqu'au afin de lancer l'exécution pendant une période définie.
  9. Pour définir des périodes (jours de la semaine et heures de la journée) pendant lesquelles interdire l'exécution de test, cliquez sur Ajouter une Exclusion. Pour plus d'informations, reportez-vous à la rubrique Planification des exclusions.
  10. Pour définir la période à laquelle test doit s'exécuter, cliquez sur Ajouter une Exécution Ponctuelle. Pour plus d'informations, reportez-vous à la rubrique Planification des exécutions ponctuelles.
  11. Cliquez sur Enregistrer une fois que vous avez modifié la planification.
Sujet parent : Configuration des planifications globales
Tâches associées
Planification d'exécutions ponctuelles
Planification des exclusions
Définition de planifications globales


Activation et désactivation des planifications globales

Pour activer ou désactiver une application existante :

  1. Dans le menu, cliquez sur Administration > Planifications. La page Planifications qui s'affiche répertorie toutes les planifications globales existantes.
  2. Cliquez sur l'icône État associée à la planification que vous voulez activer ou désactiver. Une boîte de dialogue vous invitant à confirmer l'activation ou la désactivation s'affiche.
  3. Confirmez le message pour basculer l'état de la planification sur Actif ou Inactif.
Sujet parent : Configuration des planifications globales


Suppression de planifications globales

Pour supprimer une planification globale existante :

  1. Dans le menu, cliquez sur Administration > Planifications. La page Planifications qui s'affiche répertorie toutes les planifications globales existantes.
  2. Dans la colonne Actions de la planification que vous souhaitez supprimer, cliquez sur Supprimer. Une boîte de dialogue de confirmation s'affiche.
  3. Cliquez sur Oui pour supprimer la planification actuelle (y compris toutes les exclusions et exécutions ponctuelles), ou cliquez sur Non pour abandonner la suppression.
    Remarque : Lorsqu'une planification globale est en cours d'utilisation par un test, vous ne pouvez pas la supprimer. Vous devez d'abord replanifier tous les tests sur une autre planification.
Sujet parent : Configuration des planifications globales


Planification des exclusions

Pour planifier des exclusions :

  1. Dans le menu, cliquez sur Administration > Planifications. La page Planifications qui s'affiche répertorie toutes les planifications globales existantes.
  2. Cliquez sur le nom de la planification que vous souhaitez modifier.
  3. Sur la page Configurer la Planification, cliquez sur Ajouter une Exclusion.
  4. Sur la page Configurer les Exclusions de Planification, sélectionnez les jours de la semaine où les tests doivent être supprimés.
  5. Pour ces jours-là, définissez des intervalles de temps spécifiques pendant lesquels l'exécution doit être supprimée.
  6. Une fois la définition de l'exclusion terminée, cliquez sur OK ou sur Annuler pour abandonner. Les paramètres de l'exclusion sont à présent répertoriés sur la page Configurer la Planification.
  7. Cliquez sur Enregistrer pour ajouter l'exclusion à la planification actuelle, ou continuez à ajouter des exclusions.
    Conseil : Vous pouvez modifier ou supprimer des exclusions en cliquant sur Modifier ou Supprimer dans la colonne Actions de l'exclusion souhaitée.
Sujet parent : Configuration des planifications globales


Planification d'exécutions ponctuelles

Pour planifier des exécutions ponctuelles :

  1. Dans le menu, cliquez sur Administration > Planifications. La page Planifications qui s'affiche répertorie toutes les planifications globales existantes.
  2. Cliquez sur le nom de la planification que vous souhaitez modifier.
  3. Sur la page Configurer la Planification, cliquez sur Ajouter une Exécution Ponctuelle.
  4. Sur la page Configurer l'Exécution Ponctuelle, cliquez sur Modifier pour définir à quel moment l'exécution ponctuelle doit se lancer.
  5. Une fois la définition de l'exécution ponctuelle terminée, cliquez sur OK ou sur Annuler pour abandonner. Les paramètres de l'exécution ponctuelle sont désormais répertoriés sur la page Configurer la Planification.
  6. Cliquez sur Enregistrer pour ajouter l'exécution ponctuelle à la planification actuelle, ou continuez à ajouter des exécutions ponctuelles.
    Conseil : Vous pouvez modifier ou supprimer des exécutions ponctuelles en cliquant sur Modifier ou Supprimer dans la colonne Actions de l'exécution ponctuelle souhaitée.
Sujet parent : Configuration des planifications globales


Page de configuration des planifications

Administration > Planifications

Utilisez cette page pour configurer des planifications globales pour Silk Central . Pour chaque planification, cette page affiche les colonnes suivantes :

Colonne | Description
Actions Cette colonne comporte des icônes d'action permettant à l'utilisateur d'effectuer les actions suivantes sur une planification :
Supprime définitivement la planification. La suppression n'est pas autorisée si la planification est déjà associée à des plans d'exécution.
Nom | Nom de la planification, tel qu'il est affiché dans l'interface utilisateur et dans les rapports. Cliquez sur le nom d'une planification pour en modifier le nom, la description et l'état.
Description | Description textuelle de la planification.
Etat | État de la planification, Actif ou Inactif. Cliquez sur l'état pour basculer entre Actif et Inactif.
Créé le | Date de création de la planification.
Créé par | Utilisateur ayant créé la planification.

Cliquez sur Nouvelle planification pour créer une planification.

Sujet parent : Configuration des planifications globales


Fuseaux horaires

Silk Central est conçu pour exécuter des tests sur un réseau de serveurs d'exécution. Étant donné qu'Internet permet de diffuser ce type de réseau au niveau international sur plusieurs fuseaux horaires, il est important de comprendre l'utilisation des fuseaux horaires dans Silk Central.

Toutes les valeurs de date et d'heure sont enregistrées en GMT dans la base de données. La présentation des valeurs est définie en fonction du paramètre Fuseau horaire indiqué dans les paramètres utilisateur. Cela doit être pris en compte notamment lors de la création de planifications utilisables de manière globale. Par exemple, si un administrateur qui se trouve à New York crée une planification globale qui s'exécute chaque jour à 18 h, elle s'exécute à minuit pour un utilisateur situé à Paris, qui applique cette planification à son plan d'exécution.Il est conseillé d'inclure le fuseau horaire dans le nom, par exemple « Tous les jours à 18 h EST », pour que les utilisateurs connaissent l'heure de l'exécution.

Pour plus d'informations sur les paramètres de fuseaux horaires, reportez-vous à la rubrique Ajout de comptes utilisateurs.

Les exigences ci-dessous s'appliquent :

  • Le serveur d'application et le serveur de présentation doivent être dans le même fuseau horaire. Séparer ces serveurs en local sur un réseau WAN ne sert à rien, car le serveur d'application communique étroitement avec un ou plusieurs serveurs de présentation. En outre, les serveurs de présentation et le serveur d'application ont un accès direct à la base de données.
  • Les serveurs d'exécution peuvent être dans des fuseaux horaires différents, séparés du serveur d'application et des autres serveurs d'exécution.
Sujet parent : Administration
Tâches associées
Ajout de comptes utilisateurs


Gestion des projets

Les projets dans Silk Central reflètent généralement un projet logiciel dans votre société, respectivement le travail d'une équipe de développement, avec une date de lancement commune, un système de référentiel tiers commun, des exigences communes, etc.

L'espace Projets propose une vue générale de tous les projets dans votre installation Silk Central , y compris une liste des projets les plus récents que vous avez définis sur Actif, et vous permet de vous déplacer d'un projet à l'autre. Si vous disposez de privilèges super utilisateur, Administrateur ou Chef de projet, vous pouvez spécifier des paramètres à l'échelle du projet pour les projets Silk Central . Une fois les paramètres de projet globaux définis, ceux-ci sont disponibles pour tous les utilisateurs qui ont accès à ces projets.

  • Gestion des projets
    Décrit le cadre conceptuel des projets dans Silk Central .
  • Informations sur le Build
    Cette section décrit le mode d'utilisation des fichiers d'informations sur le build.
  • Comparaison d'un projet et d'un lotissement
    Utilisez un rapport contextuel pour comparer un projet et un lotissement de ce dernier.
  • Sélection de projets
    Sélectionnez un projet dans l'unité Projet afin de l'activer.
  • Liste des projets
    Répertorie tous les projets et lotissements de projet associés à l'installation de Silk Central.
  • Passage à un projet récemment consulté
    Explique comment passer rapidement à l'un des cinq derniers projets consultés.
  • Paramètres de Projet
    Décrit la configuration des paramètres de projet.
  • Modèles de projet
    Décrit le cadre conceptuel des modèles de projet dans Silk Central.
Sujet parent : Administration
Concepts associés
Architecture de Silk Central


Gestion des projets

Cette rubrique décrit le cadre conceptuel des projets dans Silk Central .

Silk Central gère les exigences, les tests, leur exécution et les résultats dans le cadre d'un projet. Aussi, la première chose que vous avez à faire est de créer un projet. Les projets font office de conteneurs pour les jeux de tâches et de résultats associés. Pour allouer des ressources telles que des chefs de projet et des analystes aux projets, vous devez les assigner à des groupes d'utilisateurs, qui disposent de droits d'accès à certains projets.

  • Ajout de projets
    Créez un projet pour commencer à utiliser Silk Central.
  • Lotissements de projet
    Décrit le cadre conceptuel des lotissements de projet dans Silk Central.
  • Modification de projets et de lotissements de projet
    Modifiez un projet ou un lotissement de projet existant.
  • Activation ou désactivation de projets et de lotissements de projet
    Activez ou désactivez un projet ou un lotissement de projet existant.
  • Copie de projets ou de lotissements de projet
    Copiez un projet existant ou le lotissement de projet dans un nouveau projet.
  • Suppression de projets et de lotissements de projet
    Supprimez un projet ou un lotissement de projet existant.
  • Exportation de projets
    Explique comment exporter un projet pour en archiver les données en dehors de Silk Central.
  • Importation de projets
    Explique comment réimporter des projets exportés au préalable à partir de Silk Central.
  • Boîte de dialogue Copier le Projet
    Cette boîte de dialogue permet de copier un projet existant dans un nouveau projet.
  • Page Paramètres de Projet
    Utilisez cette page pour configurer des paramètres de projet.
  • Initialisation de projets en tant que projets Issue Manager
    Décrit l'initialisation d'un projet en tant que projet Issue Manager.
Sujet parent : Gestion des projets


Ajout de projets

Pour créer un projet :

  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur Nouveau Projet. La page Paramètres de Projet s'affiche.
  3. Saisissez un Nom de Projet et une Description.
  4. Sélectionnez le Propriétaire du Projet.
  5. Facultatif : Entrez les Étiquettes pour votre projet. Si vous avez un grand nombre de projets, les étiquettes de projet peuvent vous aider à les filtrer, à partir de la colonne Etiquettes sur la page Liste des Projets.
  6. Facultatif : pour créer un projet basé sur le modèle Agile, choisissez Modèle de Projet Agile dans la zone de liste Modèle de Projet.
  7. Pour initialiser le projet en tant que projet Issue Manager, cliquez sur Initialiser le nouveau projet ou Réutiliser un projet existant. Pour plus d'informations, reportez-vous à la rubrique Initialisation de projets en tant que projets Issue Manager.
  8. Dans la section Tests partagés, indiquez si le projet partage des tests ou non. Sélectionnez l'une des options suivantes :
    • Pas de partage de tests : Ce projet ne partage aucun test avec d'autres projets et n'utilise aucun test à partir d'autres projets.
    • Partage de tests : Ce projet partage des tests que d'autres projets peuvent utiliser.
    • Utilisation de tests partagés depuis : Sélectionnez un projet à partir duquel le projet modifié utilise des tests partagés.
  9. La section Groupes comprend les listes des groupes disponibles et assignés. Assignez les groupes si nécessaire. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic pour sélectionner plusieurs groupes. Vous pouvez également importer des groupes d'un serveur LDAP en cliquant sur Importer un groupe LDAP. Pour plus d'informations, reportez-vous à la rubrique Importation de groupes à partir de serveurs LDAP. S'il n'existe aucun groupe d'utilisateurs, vous pouvez les assigner après les avoir créés. Vous pouvez aussi configurer l'assignation des groupes/projets sur la page Paramètres de Groupe. Les privilèges varient en fonction des rôles utilisateur. Pour plus d'informations sur les privilèges d'utilisateur, reportez-vous à la rubrique Rôles et autorisations des utilisateurs.
  10. La section Emplacements comprend les listes des sites disponibles et assignés. Assignez les sites si nécessaire. Utilisez les combinaisons Ctrl + clic ou Maj + clic pour sélectionner plusieurs emplacements. S'il n'existe aucun emplacement, vous pouvez les assigner après les avoir créés. Vous pouvez aussi configurer l'assignation des emplacements/projets sur la page des Paramètres d'Emplacement. Pour plus d'informations, reportez-vous à la rubrique Gestion des emplacements.
  11. Cliquez sur Enregistrer pour enregistrer vos paramètres. Vous êtes renvoyé sur la page Liste des Projets sur laquelle le nouveau projet est répertorié.
Sujet parent : Gestion des projets
Concepts associés
Gestion des groupes
Gestion des emplacements
Rôles et autorisations des utilisateurs
Tâches associées
Initialisation de projets en tant que projets Issue Manager
Modification de projets et de lotissements de projet
Importation de groupes à partir de serveurs LDAP
Ajout de serveurs LDAP
Sharing and Consuming Tests


Lotissements de projet

Cette rubrique décrit le cadre conceptuel des lotissements de projet dans Silk Central.

Un lotissement de projet correspond à l'instantané d'un projet à un moment donné et peut être créé pour n'importe quel projet, voire pour un autre lotissement de projet. La dernière exécution de chaque plan d'exécution dans le projet est aussi incluse dans le lotissement de projet. Initialement, les options de planification incluses dans un lotissement de projet sont définies sur Aucun, afin d'empêcher la perte de l'état d'exécution des dernières exécutions. Un exemple d'utilisation d'un lotissement de projet consiste à enregistrer un instantané de projet immédiatement après une release. Dans Silk Central, le rapport Comparaison de Lotissements affiche le nombre de tests actuellement différents dans le projet par rapport au lotissement du projet. Pour plus d'informations sur le rapport, reportez-vous à l'Aide de Silk Central.

Pour chaque nouveau lotissement de projet qui inclut un élément de l'espace Tests, la page Historique de l'élément inclut une entrée avec des liens vers le lotissement de projet et l'élément correspondant dans le lotissement de projet. Si l'élément lui-même a été créé dans le cadre d'un lotissement de projet, la première entrée de la page Historique inclut des liens vers le projet d'origine et l'élément correspondant dans le projet d'origine.

Lorsque les tests du projet d'origine incluent des appels vers des objets pas de test ou mots-clés partagés issus des bibliothèques, vous pouvez indiquer (au moment de la création du lotissement de projet) si tous les appels sont résolus ou conservés. Le lotissement de projet présente la même visibilité dans les bibliothèques que le projet d'origine. Pour plus d'informations sur les objets pas de test et mots-clés partagés, reportez-vous à la rubrique Bibliothèques de l'Aide de Silk Central.

Remarque : Des lotissements de projet peuvent être créés par tous les utilisateurs détenant l'autorisation Gérer les projets.
  • Création d'un lotissement pour un projet
    Créez un lotissement pour un projet existant afin d'obtenir un instantané de ce projet à un moment donné.
Sujet parent : Gestion des projets
Concepts associés
Bibliothèques


Création d'un lotissement pour un projet

ATTENTION :
La création d'un lotissement pour un projet risque de verrouiller la base de données pendant plusieurs minutes, en fonction de la taille du projet pour lequel le lotissement est créé. Il est recommandé de créer un lotissement pour un projet en dehors des heures d'activité, lorsque l'utilisation de Silk Central est minimale.
Remarque : Si le projet d'origine comporte des planifications, les options de planification du nouveau lotissement sont définies sur Aucun afin d'éviter la perte du dernier état d'exécution. Lors de la création d'un lotissement, la page Historique de chaque élément Test inclus dans le lotissement est mise à jour avec une entrée pour le lotissement.

Pour créer un lotissement pour un projet :

  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Dans la colonne Actions du projet pour lequel vous souhaitez créer un lotissement, cliquez sur Projet Lotissement. La boîte de dialogue Projet Lotissement s'affiche.
  3. Entrez un nom et une description pour le nouveau lotissement.
  4. Facultatif : si le projet comprend des tests utilisant des pas de tests ou des mots-clés partagés issus de bibliothèques, définissez leur mode de gestion dans la section Gestion des éléments de la bibliothèque :
    • Cliquez sur Copier les éléments de bibliothèque pour détacher toutes les références aux pas de tests et mots-clés partagés dans les bibliothèques d'origine et référencer les éléments dans une nouvelle copie de ces bibliothèques dans le lotissement. Choisissez cette option pour créer un lotissement de projet à des fins d'historique ou d'audit. Par défaut, les copies de bibliothèque sont accessibles en lecture seule.
    • Cliquez sur Conserver les références aux éléments de bibliothèque pour conserver toutes les références aux pas de tests et mots-clés partagés dans les bibliothèques d'origine. Choisissez cette option pour créer une copie de travail à des fins de poursuite des tests, comme par exemple une nouvelle version du projet.
    • Pour empêcher les utilisateurs de modifier la bibliothèque, définissez-la comme accessible en lecture seule. Pour plus d'informations, reportez-vous à la rubrique Gestion des bibliothèques de mots-clés et des propriétés des bibliothèques.
  5. Facultatif : Si le projet comprend des tests manuels ou basés sur mots-clés, dans la section Gestion des versions des éléments de test, définissez si une nouvelle version doit être créée pour les tests dans le projet d'origine et dans le lotissement.
    • Cochez la case Créer de nouvelles versions pour les éléments manuels et basés sur mots-clés du projet d'origine afin de créer de nouvelles versions pour tous les tests manuels et basés sur mots-clés, avec des objets de tests partagés dans le projet d'origine.
    • Cochez la case Créer de nouvelles versions pour les éléments manuels et basés sur mots-clés du nouveau lotissement afin de créer de nouvelles versions pour tous les tests manuels et basés sur mots-clés, avec des objets de tests partagés dans le lotissement. Si vous avez sélectionné Copier les éléments de bibliothèque, de nouvelles versions sont également créées pour tous les éléments dans les bibliothèques copiés.
    Remarque : Les versions ne sont pas créées pour des instances pilotées par les données.
  6. Cliquez sur OK. La boîte de dialogue Projet Lotissement s'affiche et vous informe que l'opération peut prendre plusieurs minutes.
  7. Cliquez sur Oui pour continuer. La boîte de dialogue Projet Lotissement - Adapter les Paramètres de Projet s'affiche. La boîte de dialogue affiche les paramètres d'intégration des exigences avec tous les profils de référentiel tiers configurés pour le projet d'origine.
  8. Cliquez sur le bouton Modifier correspondant afin d'associer le lotissement de projet au lotissement, à la branche, au libellé ou à tout autre point de référence approprié dans le profil de référentiel tiers, ou afin de modifier les paramètres d'intégration des exigences.
    Remarque : Pour plus d'informations sur la modification des profils de référentiel tiers, reportez-vous à l'Aide sur Silk Central.
  9. Cliquez sur Terminer pour terminer la création du lotissement.
  10. Cliquez sur Oui dans la boîte de dialogue Projet Lotissement pour activer le nouveau lotissement.
Sujet parent : Lotissements de projet


Modification de projets et de lotissements de projet

Pour modifier un projet ou un lotissement de projet existant :

  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur Modifier dans la colonne Actions du nom du projet ou du lotissement de projet que vous souhaitez modifier.
    Remarque : Le projet ou lotissement de projet doit être inactif.
  3. Modifiez les champs Nom de projet et Description selon vos besoins.
  4. Modifiez le champ Propriétaire du projet selon vos besoins.
  5. Cochez la case Actif afin d'activer le projet ou lotissement de projet.
  6. Facultatif : Entrez les Étiquettes pour votre projet. Si vous avez un grand nombre de projets, les étiquettes de projet peuvent vous aider à les filtrer, à partir de la colonne Etiquettes sur la page Liste des Projets.
  7. Dans la section Tests partagés, indiquez si le projet partage des tests ou non. Sélectionnez l'une des options suivantes :
    • Pas de partage de tests : Ce projet ne partage aucun test avec d'autres projets et n'utilise aucun test à partir d'autres projets.
    • Partage de tests : Ce projet partage des tests que d'autres projets peuvent utiliser.
    • Utilisation de tests partagés depuis : Sélectionnez un projet à partir duquel le projet modifié utilise des tests partagés.
  8. La section Groupes comprend les listes des groupes disponibles et assignés. Assignez les groupes si nécessaire. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic pour sélectionner plusieurs groupes. Vous pouvez également importer des groupes d'un serveur LDAP en cliquant sur Importer un groupe LDAP. Pour plus d'informations, reportez-vous à la rubrique Importation de groupes à partir de serveurs LDAP. S'il n'existe aucun groupe d'utilisateurs, vous pouvez les assigner après les avoir créés. Vous pouvez aussi configurer l'assignation des groupes/projets sur la page Paramètres de Groupe. Les privilèges varient en fonction des rôles utilisateur. Pour plus d'informations sur les privilèges d'utilisateur, reportez-vous à la rubrique Rôles et autorisations des utilisateurs.
  9. La section Emplacements comprend les listes des sites disponibles et assignés. Assignez les sites si nécessaire. Utilisez les combinaisons Ctrl + clic ou Maj + clic pour sélectionner plusieurs emplacements. S'il n'existe aucun emplacement, vous pouvez les assigner après les avoir créés. Vous pouvez aussi configurer l'assignation des emplacements/projets sur la page des Paramètres d'Emplacement. Pour plus d'informations, reportez-vous à la rubrique Gestion des emplacements.
  10. Cliquez sur Enregistrer pour enregistrer vos paramètres. Vous êtes renvoyé à la page Liste des projets.
Sujet parent : Gestion des projets
Concepts associés
Gestion des groupes
Gestion des emplacements
Rôles et autorisations des utilisateurs
Tâches associées
Ajout de projets
Initialisation de projets en tant que projets Issue Manager
Importation de groupes à partir de serveurs LDAP
Ajout de serveurs LDAP
Sharing and Consuming Tests
Activation ou désactivation de projets et de lotissements de projet


Activation ou désactivation de projets et de lotissements de projet

Remarque : Vous pouvez également activer ou désactiver un projet ou lotissement de projet existant à partir de la page Liste de projets. Pour plus d'informations, reportez-vous à la rubrique Modification de projets.

Pour activer ou désactiver un projet ou un lotissement de projet existant :

  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur Actif/Inactif dans la colonne État du projet ou du lotissement de projet à activer ou désactiver. Une boîte de dialogue vous invitant à confirmer l'activation ou la désactivation s'affiche.
  3. Confirmez pour basculer l'état du projet sur Actif ou Inactif.
Sujet parent : Gestion des projets
Tâches associées
Modification de projets et de lotissements de projet


Copie de projets ou de lotissements de projet

Copiez un projet existant ou le lotissement de projet dans un nouveau projet.

Si le lotissement ou le projet d'origine comporte des planifications, les options de planification sont définies sur Aucun lors de la copie.

ATTENTION :
La copie d'un projet ou d'un lotissement de projet risque de verrouiller la base de données pendant plusieurs minutes, en fonction de la taille du projet ou du lotissement de projet copié. Il est recommandé de copier les projets ou les lotissements de projet en dehors des heures d'activité, lorsque l'utilisation de Silk Central est minimale.
Conseil : Si de gros projets sont importés dans la base de données, celle-ci peut voir ses performances considérablement ralenties. Nous vous conseillons vivement, lors de votre prochaine fenêtre de maintenance, de recréer intégralement l'index pour le schéma de base de données Silk Central.

Pour copier un projet ou un lotissement de projet :

  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur Copier le projet dans la colonne Actions du projet ou du lotissement de projet que vous souhaitez copier. La boîte de dialogue Copier le Projet s'affiche.
  3. Dans la zone de texte Nom du nouveau projet, nommez le nouveau projet.
  4. Cochez les cases des types d'informations supplémentaires que vous souhaitez copier avec le nouveau projet. Lorsque vous cochez la case Historique des tests, les versions sont également copiées. Pour obtenir des informations détaillées sur les cases à cocher, reportez-vous à la rubrique Boîte de dialogue Copier le Projet.
  5. Cliquez sur OK.
  6. Si aucun projet Issue Manager n'a été initialisé pour le projet que vous copiez actuellement, continuez à l'étape 10. Si un projet Issue Manager a été initialisé, une boîte de dialogue s'affiche :
    • Si vous voulez réutiliser le projet Issue Manager existant, cliquez sur Oui et poursuivez à l'étape 10.
    • Si vous ne souhaitez pas réutiliser le projet Issue Manager existant mais voulez le copier, cliquez sur Non et continuez à l'étape 7.
    Que vous ayez choisi de réutiliser le projet Issue Manager existant ou non, les profils de suivi des incidents copiés continueront de pointer vers le projet Issue Manager d'origine.
  7. Cochez la case Copier les Incidents afin de copier tous les incidents existants du projet source dans le nouveau projet.
  8. Cochez la case Copier les Incidents Archivés afin de copier tous les incidents archivés du projet source dans le nouveau projet.
  9. Cliquez sur OK.
  10. Cliquez sur Oui dans la boîte de dialogue Copier le Projet, confirmant ainsi que vous souhaitez commencer le processus de copie et que vous savez que le processus peut durer plusieurs minutes. Une fois la copie terminée, une boîte de dialogue vous informe des éléments ayant été copiés et vous demande si vous souhaitez activer le projet, rendant ainsi le projet disponible dans la vue du projet de Silk Central.
Sujet parent : Gestion des projets


Suppression de projets et de lotissements de projet

ATTENTION :
Lorsque vous supprimez un projet ou un lotissement de projet, tous les résultats associés sont définitivement supprimés du référentiel. Vous pouvez détruire définitivement tout le contenu associé au projet ou au lotissement de projet. Si vous souhaitez conserver les résultats, nous vous recommandons de définir un projet ou un lotissement de projet sur l'état Inactif plutôt que de le supprimer. Pour plus d'informations sur la désactivation de projets et de lotissements de projet, reportez-vous à la rubrique Activation ou désactivation de projets ou de lotissements de projet.

Pour supprimer un projet ou un lotissement de projet :

  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur Supprimer dans la colonne Actions du projet ou lotissement de projet que vous souhaitez supprimer.
    Remarque : Le projet ou lotissement de projet doit être inactif.
    Une boîte de dialogue vous invitant à confirmer la suppression s'affiche.
  3. Cliquez sur Oui pour supprimer le projet ou lotissement de projet ; ou cliquez sur Non pour abandonner l'opération. Si vous choisissez Oui, vous êtes renvoyé vers la liste des projets, qui n'inclut plus le projet ou le lotissement de projet supprimé.
Sujet parent : Gestion des projets


Exportation de projets

Vous pouvez exporter un projet avec toutes ses données sous forme de fichier .zip sur votre ordinateur local. Ceci s'avère particulièrement utile lorsque vous souhaitez archiver les données en dehors de Silk Central.

Pour exporter un projet :

  1. Dans le menu, cliquez sur Projets > Liste des projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur [image] (Exporter projet) dans la colonne Actions.
  3. Cliquez sur OK dans la boîte de dialogue de confirmation.
  4. Indiquez l'emplacement sur votre ordinateur où vous souhaitez enregistrer les données du projet. Silk Central enregistre les données du projet dans un fichier .zip.
Avertissement : Avant de démarrer une exportation ou une importation de projets, lisez attentivement les conseils ci-dessous.
  • Lors de l'exportation ou de l'importation de projets conséquents avec de grands volumes de données, le processus peut prendre beaucoup de temps (jusqu'à quelques heures).
  • La taille des fichiers peut varier énormément d'un projet à l'autre. Elle dépend de nombreux facteurs, par exemple : le volume des ressources, le nombre d'exécutions, les pièces jointes, les statistiques de couverture de code et surtout les fichiers de résultats.
  • Il est conseillé de réduire la taille d'un projet avant de l'exporter. Par conséquent, supprimez les données non indispensables et en particulier les fichiers de résultats inutilisés. Si votre projet dépasse la taille de 1,2 Go, vous recevez l'erreur Request entity is too large lorsque vous tentez de l'importer. Si vous ne pouvez plus réduire la taille du projet, vous pouvez augmenter la limite de téléchargement dans le fichier nginx.conf.template placé dans C:\ProgramData\SilkCentral\InstanceAdministration\nginx\conf en modifiant la valeur de la propriété client_max_body_size.
  • Si de gros projets sont importés dans la base de données, celle-ci peut voir ses performances considérablement ralenties. Nous vous conseillons vivement, lors de votre prochaine fenêtre de maintenance, de recréer intégralement l'index pour le schéma de base de données Silk Central.
  • Certains navigateurs présentent des limites de chargement, comme Internet Explorer. L'importation échouera si le projet à importer dépasse cette taille. Pour éviter ce problème, utilisez un autre navigateur.
  • Gardez à l'esprit que le processus d'exportation ou d'importation impose une charge considérable sur Silk Central et sur le serveur de base de données. Ne lancez les processus d'exportation ou d'importation qu'en dehors des heures de bureau (la nuit ou le week-end, par exemple) ou au moins lorsque l'utilisation de Silk Central est faible et qu'aucun utilisateur n'est connecté.
  • L'exportation et l'importation de données sont étroitement liées à la base de données et à son contenu, sur lesquels elles s'appuient. Si la base de données contient la moindre incohérence parmi ses données, l'importation d'un projet risque d'échouer. Par conséquent, et c'est là une bonne pratique commune à toute sauvegarde, il est fortement conseillé d'essayer de réimporter un projet immédiatement après son exportation, pour vérifier qu'il est valide, que ses données sont cohérentes et peuvent être récupérées.
  • Lors de la réimportation de données d'un projet, utilisez le même fichier .zip que celui de l'exportation. Aucun autre format de fichier n'est accepté. Il n'est possible d'importer les données que dans les mêmes versions de Silk Central et de la base de données que celles utilisées pour l'exportation de ces données.
  • Pour toute question relative au processus d'exportation ou d'importation, n'hésitez pas à contacter l'assistance client.
Sujet parent : Gestion des projets


Importation de projets

Il est possible d'exporter des projets Silk Central pour archiver les données des projets en dehors de Silk Central. Pour visualiser les données, tous les résultats, les rapports etc, vous devez réimporter le projet.

Lors de l'importation des données d'un projet, vous devez utiliser les mêmes versions de Silk Central et de la base de données que celles qui ont servi à exporter les données. Vous pouvez cependant importer les données d'un projet vers le même serveur de base de données ou un serveur de base de données différent, à condition qu'il soit de la même version que celui qui a servi à l'exportation.

Pour importer un projet :

  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur Importer un projet en haut. La boîte de dialogue Importer un projet s'affiche.
  3. Repérez le fichier .zip approprié sur votre ordinateur, puis cliquez sur OK. Silk Central charge les données.
    Remarque : Le fichier .zip doit être un fichier exporté au préalable à partir de Silk Central.
    Remarque : Le fichier .zip est chargé sur le serveur de présentation avant d'être importé dans la base de données. Par conséquent, le serveur de présentation doit disposer d'un espace disque suffisant pour stocker le fichier .zip.
  4. Cliquez sur Oui pour démarrer l'importation. Notez les points suivants :
    • Silk Central ne traite qu'une seule importation à la fois.
    • Silk Central écrit des journaux d'audit lors du démarrage, de l'achèvement ou de l'échec de l'importation.
    • L'importation fonctionne en tâche de fond. Vous recevez une notification par courriel lorsque l'importation est achevée. Vérifiez donc que vous disposez d'une adresse de courriel et d'un serveur de messagerie configurés avant de démarrer l'importation. Dans le cas contraire, vous ne recevrez aucune notification. Pour plus d'informations, reportez-vous aux rubriques Configuration des serveurs de messagerie et Page Paramètres utilisateur.
    • Lorsque l'importation est terminée, le projet apparaît parmi la liste des projets.
Avertissement : Avant de démarrer une exportation ou une importation de projets, lisez attentivement les conseils ci-dessous.
  • Lors de l'exportation ou de l'importation de projets conséquents avec de grands volumes de données, le processus peut prendre beaucoup de temps (jusqu'à quelques heures).
  • La taille des fichiers peut varier énormément d'un projet à l'autre. Elle dépend de nombreux facteurs, par exemple : le volume des ressources, le nombre d'exécutions, les pièces jointes, les statistiques de couverture de code et surtout les fichiers de résultats.
  • Il est conseillé de réduire la taille d'un projet avant de l'exporter. Par conséquent, supprimez les données non indispensables et en particulier les fichiers de résultats inutilisés. Si votre projet dépasse la taille de 1,2 Go, vous recevez l'erreur Request entity is too large lorsque vous tentez de l'importer. Si vous ne pouvez plus réduire la taille du projet, vous pouvez augmenter la limite de téléchargement dans le fichier nginx.conf.template placé dans C:\ProgramData\SilkCentral\InstanceAdministration\nginx\conf en modifiant la valeur de la propriété client_max_body_size.
  • Si de gros projets sont importés dans la base de données, celle-ci peut voir ses performances considérablement ralenties. Nous vous conseillons vivement, lors de votre prochaine fenêtre de maintenance, de recréer intégralement l'index pour le schéma de base de données Silk Central.
  • Certains navigateurs présentent des limites de chargement, comme Internet Explorer. L'importation échouera si le projet à importer dépasse cette taille. Pour éviter ce problème, utilisez un autre navigateur.
  • Gardez à l'esprit que le processus d'exportation ou d'importation impose une charge considérable sur Silk Central et sur le serveur de base de données. Ne lancez les processus d'exportation ou d'importation qu'en dehors des heures de bureau (la nuit ou le week-end, par exemple) ou au moins lorsque l'utilisation de Silk Central est faible et qu'aucun utilisateur n'est connecté.
  • L'exportation et l'importation de données sont étroitement liées à la base de données et à son contenu, sur lesquels elles s'appuient. Si la base de données contient la moindre incohérence parmi ses données, l'importation d'un projet risque d'échouer. Par conséquent, et c'est là une bonne pratique commune à toute sauvegarde, il est fortement conseillé d'essayer de réimporter un projet immédiatement après son exportation, pour vérifier qu'il est valide, que ses données sont cohérentes et peuvent être récupérées.
  • Lors de la réimportation de données d'un projet, utilisez le même fichier .zip que celui de l'exportation. Aucun autre format de fichier n'est accepté. Il n'est possible d'importer les données que dans les mêmes versions de Silk Central et de la base de données que celles utilisées pour l'exportation de ces données.
  • Pour toute question relative au processus d'exportation ou d'importation, n'hésitez pas à contacter l'assistance client.
Sujet parent : Gestion des projets
Tâches associées
Configuration des serveurs de messagerie
Référence associée
Page Paramètres Utilisateur


Boîte de dialogue Copier le Projet

Projets > Liste des Projets > Copier le Projet

Cette boîte de dialogue permet de copier un projet existant dans un nouveau projet.

Remarque : Cochez les cases des types d'informations supplémentaires que vous souhaitez copier avec le nouveau projet. Si vous ne sélectionnez aucun type d'information supplémentaire, un projet vide comportant uniquement les assignations de groupes et d'emplacements, ainsi que les paramètres de projet, est copié.
Elément | Description
Nom du nouveau projet | Indique le nom du nouveau projet dans lequel le projet existant est copié.
Description du nouveau projet | Indique la description du nouveau projet dans lequel le projet existant est copié.
Paramètres | Cochez cette case pour copier les paramètres de projet, les filtres, les attributs, les propriétés personnalisées d'exigence, la notification des changements, ainsi que les informations sur les paramètres de configuration de l'intégration dans le nouveau projet. Les informations sur les paramètres de configuration de l'intégration tierces ne sont pas copiées.
Arborescence des exigences (y compris les paramètres des exigences) | Cochez cette case pour copier l'arborescence des exigences avec toutes les informations relatives à chaque exigence (propriétés, pièces jointes, etc). Les informations sur les exigences tierces ne sont pas copiées. Lorsqu'un projet a été configuré pour un système de gestion des exigences externe, vous êtes invité à indiquer si vous souhaitez transférer les paramètres RMS vers la copie du projet.
Historique des exigences | Cochez cette case pour copier les informations d'historique pour chaque exigence. Cette option est uniquement disponible lorsque la case Arborescence des Exigences est cochée.
Arborescence des tests (y compris les paramètres des tests) | Cochez cette case pour copier l'arborescence des tests et toutes les informations associées pour chaque test. Lorsque les cases Arborescence des Exigences et Arborescence des Tests sont cochées, outre les informations répertoriées ci-dessus, celles concernant la relation entre les exigences et les tests (assignations d'exigences et de tests) sont également copiées.
Historique des tests | Cochez cette case pour copier les informations d'historique pour chaque test. Cette option est uniquement disponible lorsque la case Arborescence des Tests est cochée.
Arborescence des Plans d'exécution (y compris la hiérarchie des Tests) | Cochez cette case pour copier l'arborescence des exécutions et toutes les informations associées pour chaque plan d'exécution.
Dernières exécutions des tests | Cochez cette case pour copier la dernière exécution de chaque test. Cette option est uniquement disponible lorsque la case Arborescence des Plans d'Exécution est cochée. Lorsque les cases Arborescence des Exigences, Arborescence des Plans d'Exécution et Dernières exécutions des tests sont cochées, toutes les arborescences sont copiées dans leur intégralité. La relation entre les arborescences est également établie.
Rapports | Cochez cette case pour copier tous les rapports associés au projet dans le nouveau projet.

Pour Issue Manager, la boîte de dialogue affiche les cases à cocher supplémentaires suivantes :

Elément de la boîte de dialogue Copier le Projet - Issue Manager | Description
Copier les incidents | Cochez cette case afin de copier tous les incidents existants du projet source dans le nouveau projet.
Copier les incidents archivés | Cochez cette case afin de copier tous les incidents archivés du projet source dans le nouveau projet.

Si aucune de ces deux cases n'est cochée, les données relatives aux incidents ne sont pas copiées dans le nouveau projet.

Les configurations du projet source sont automatiquement copiées dans le nouveau projet. à savoir :

  • Applications
  • Configuration de l'interface utilisateur
  • Règles de notification et déclencheurs globaux
  • Règles de routage
  • Workflow
  • Vues utilisateur des boîtes de réception
  • Groupes de travail
  • Boîtes de réception
  • Configuration du compte utilisateur
Sujet parent : Gestion des projets


Page Paramètres de Projet

Projet > Nouveau Projet

Utilisez la page Paramètres de Projet pour configurer des projets. La page affiche les éléments suivants :

Elément | Description
Nom du projet | Spécifie le nom du projet tel qu'il doit apparaître dans l'interface utilisateur et dans les rapports.
Description | Description du projet. Vous pouvez saisir du texte pour la description.
Propriétaire du projet | Spécifie le propriétaire du projet. Le compte utilisateur sélectionné ne dispose d'aucun privilège spécial ; ce paramètre est simplement indiqué à titre informatif.
Actif | Cochez cette case pour activer le projet. Les projets inactifs ne sont pas visibles dans votre application.
Etiquettes | Si vous avez un grand nombre de projets, les étiquettes de projet peuvent vous aider à les filtrer, à partir de la colonne Etiquettes sur la page Liste des Projets.
Modèle de projet | Cette zone de liste indique si un projet est basé sur le modèle de projet Agile ou non. Choisissez Modèle de Projet Agile pour baser le projet sur le modèle destiné aux outils de gestion de projets Agile ou <Aucun> pour créer un simple projet.
Intégration de Issue Manager Sélectionnez l'une des options suivantes :
  • Aucun projet : aucune intégration Issue Manager n'est créée.
  • Initialiser le nouveau projet : le nouveau projet est initialisé en tant que projet Issue Manager. Lorsque vous cliquez sur Enregistrer en bas de la page, une boîte de dialogue s'affiche, vous permettant de configurer tous les paramètres nécessaires au projet (groupes, boîtes de réception, applications, etc.).
  • Réutiliser un projet existant : un projet existant est utilisé. Sélectionnez un projet dans la liste. Si le projet n'a pas été configuré au préalable en tant que projet Issue Manager, vous devez configurer tous les paramètres nécessaires. Une boîte de dialogue s'affiche lorsque vous cliquez sur Enregistrer. Si le projet a été configuré au préalable en tant que projet Issue Manager, vous devez configurer uniquement les données d'authentification et le mappage de l'état.
Tests partagés Sélectionnez l'une des options suivantes :
  • Pas de partage de tests : Ce projet ne partage aucun test avec d'autres projets et n'utilise aucun test à partir d'autres projets.
  • Partage de tests : Ce projet partage des tests que d'autres projets peuvent utiliser.
  • Utilisation de tests partagés depuis : Sélectionnez un projet à partir duquel le projet modifié utilise des tests partagés.
Groupes | La section Groupes comprend les listes des groupes disponibles et assignés. Assignez les groupes si nécessaire. Utilisez la combinaison de touches Ctrl + clic ou Maj + clic pour sélectionner plusieurs groupes. Vous pouvez également importer des groupes d'un serveur LDAP en cliquant sur Importer un groupe LDAP. Pour plus d'informations, reportez-vous à la rubrique Importation de groupes à partir de serveurs LDAP. S'il n'existe aucun groupe d'utilisateurs, vous pouvez les assigner après les avoir créés. Vous pouvez aussi configurer l'assignation des groupes/projets sur la page Paramètres de Groupe. Les privilèges varient en fonction des rôles utilisateur. Pour plus d'informations sur les privilèges d'utilisateur, reportez-vous à la rubrique Rôles et autorisations des utilisateurs.
Emplacement | La section Emplacements comprend les listes des sites disponibles et assignés. Assignez les sites si nécessaire. Utilisez les combinaisons Ctrl + clic ou Maj + clic pour sélectionner plusieurs emplacements. S'il n'existe aucun emplacement, vous pouvez les assigner après les avoir créés. Vous pouvez aussi configurer l'assignation des emplacements/projets sur la page des Paramètres d'Emplacement. Pour plus d'informations, reportez-vous à la rubrique Gestion des emplacements.
Sujet parent : Gestion des projets


Initialisation de projets en tant que projets Issue Manager

Lorsque vous créez un projet dans Issue Manager, vous pouvez l'intégrer à un projet Issue Manager :
  1. Dans le menu, cliquez sur Projets > Liste des Projets. La page Projets qui s'affiche répertorie tous les projets et lotissements de projet existants.
  2. Cliquez sur Nouveau Projet. La page Paramètres de Projet s'affiche.
  3. Configurez les paramètres. Pour plus d'informations, reportez-vous à la rubrique Ajout de projets.
  4. Sur la ligne Intégration Issue Manager, vous avez le choix entre :
    • Initialiser le nouveau projet : initialise un nouveau projet Issue Manager et l'intègre au projet Issue Manager nouvellement créé.
    • Réutiliser un projet existant : un projet Issue Manager existant est intégré au projet Issue Manager nouvellement créé. Sélectionnez un projet dans la liste. Vous devez configurer les données d'authentification et le mappage de l'état.
  5. Cliquez sur Enregistrer en bas de la page. Le nouveau projet est créé et apparaît dans la liste des projets. La boîte de dialogue Configurer le projet Issue Manager s'affiche.
  6. Configurez les paramètres du groupe et cliquez sur Suivant.
  7. Cliquez sur Ajouter une Boîte de Réception pour ajouter manuellement des boîtes de réception au projet. Cliquez sur Générer les boîtes de réception pour générer automatiquement les boîtes de réception pour tous les utilisateurs affectés au projet. Cette case à cocher permet de générer automatiquement les boîtes de réception des utilisateurs et groupes d'utilisateurs qui seront affectés ultérieurement au projet. Cliquez sur Suivant.
  8. Définissez les paramètres produit et cliquez sur Fermer.
  9. Indiquez les données d'authentification par défaut et cliquez sur OK. Le nom d'utilisateur que vous saisissez doit faire partie du groupe d'utilisateurs assignés au projet.
  10. Configurez le mappage des propriétés internes et externes et cliquez sur OK.
Remarque : vous avez la possibilité d'annuler le projet d'initialisation à tout moment. Toutefois, pour terminer l'initialisation plus tard, vous devez configurer ces paramètres sur les pages Profil de suivi d'incidents, Issue ManagerListe des Projets et Issue ManagerConfiguration.
Sujet parent : Gestion des projets


Informations sur le Build

Les fichiers d'informations sur le build contiennent des données sur la version et le build qui sont utilisées pour les exécutions. En général, les fichiers d'informations de build sont enregistrés et recherchés sur le serveur d'exécution qui effectue l'exécution. Si un fichier d'informations de build est introuvable sur le serveur d'exécution, il fait l'objet d'une recherche sur le serveur d'application. Cette fonctionnalité est pratique lorsque vous disposez de plusieurs serveurs d'exécution et utilisez un seul et même fichier d'informations de build pour tous. Vous devez gérer un seul fichier d'informations de build sur le serveur d'application. Les fichiers d'informations de build destinés aux tests automatisés auxquels aucun serveur d'exécution n'a été assigné, et à tous les tests manuels, font immédiatement l'objet d'une recherche sur le serveur d'application.

Silk Central peut mettre en correspondance les résultats des tests avec les informations de build, puis afficher ces résultats pour des numéros de build spécifiques.

  • Mises à jour des informations sur le build
    Décrit le mode de mise à jour des informations sur le build.
  • Création de fichiers d'informations de build
    Créez un fichier d'informations de build afin de stocker ces informations pour un projet Silk Central.
Sujet parent : Gestion des projets


Mises à jour des informations sur le build

Les fichiers contenant les informations sur le build doivent être créés et configurés manuellement. Chaque fois qu'un nouveau build est disponible pour un test sur un serveur d'exécution, mettez à jour les informations sur le build pour refléter le numéro du nouveau build.

Vous pouvez mettre à jour les informations sur le build de deux façons :

  • Manuellement, en modifiant les fichiers chaque fois qu'un nouveau build est installé.
  • Automatiquement, si vous utilisez un processus automatisé pour mettre à jour le fichier des informations du build, par exemple à l'aide d'un script VB.
Sujet parent : Informations sur le Build


Création de fichiers d'informations de build

Pour créer un fichier d'informations de build :
  1. Sur le serveur d'applications, accédez à : C:\ProgramData\SilkCentral\instance_<numéro_instance>_<nom_instance>\BuildInfos.
  2. Créez un fichier d'informations de build pour votre projet à partir du fichier de modèle BuildInfoExample.xml. Ce fichier comporte le code suivant :
    <ProjectBuildInfo>
  <BuildEntryList>
       <BuildEntry name="Demo Product">
            <Version>3.1</Version>
            <BuildNr>350</BuildNr>
    </BuildEntry>
       <BuildEntry name="Product2">
            <Version>4.2</Version>
            <BuildNr>613</BuildNr>
    </BuildEntry>
  </BuildEntryList>
</ProjectBuildInfo>
    Remarque : Un élément appelé BuildEntryList contient une liste d'éléments BuildEntry . Les étiquettes BuildEntry font référence à des applications spécifiques qui sont définies par le nom d'attribut d'éléments BuildEntry .
  3. Modifiez le contenu du fichier de manière à correspondre à votre environnement.
    Version
    Numéro de la version actuellement disponible à des fins de test. Ce numéro n'est pas nécessairement identique pour chaque serveur d'exécution.
    BuildNr
    Numéro du build actuellement disponible à des fins de test. Ce numéro n'est pas nécessairement identique pour chaque serveur d'exécution.
  4. Facultatif : Si vous avez besoin que des serveurs d'exécution spécifiques utilisent des informations de version et de build différentes, distribuez le fichier d'informations de build modifié au(x) serveur(s) d'exécution dans C:\ProgramData\SilkCentral\BuildInfos. Pour les serveurs d’exécution Linux, le fichier doit être stocké dans le répertoire d’accueil de l’utilisateur ~/.LinuxExecServer-19.0.0/BuildInfos/
  5. Après avoir créé les fichiers d'informations de build, vous devez spécifier le nom du fichier dans les paramètres du projet correspondant. Cliquez sur Projets : <nom du projet> > Liste des Projets pour afficher la liste des projets qui vous sont assignés. Sélectionnez le projet auquel associer les informations de build.
    Remarque : Cette opération doit être effectuée avant toute planification des tests pour le projet. Sinon, les tests planifiés auparavant ne seront pas mis à jour.
  6. Cliquez sur l'onglet Paramètres de Projet.
  7. Cliquez sur Modifier afin de modifier les paramètres du projet sélectionné. La boîte de dialogue Modifier les Paramètres de Projet s'affiche.
  8. Spécifiez le nom du fichier XML créé auparavant dans la zone de texte Nom du fichier d'informations de Build.
  9. Cliquez sur OK pour mettre à jour les informations. Dans le cadre de toutes les exécutions de tests ultérieures, Silk Central lira les informations de build dans le fichier correspondant et fera correspondre les résultats des tests avec ces informations.
Sujet parent : Informations sur le Build


Comparaison d'un projet et d'un lotissement

Pour les projets lotis, vous pouvez utiliser le rapport Comparaison de Lotissements afin d'afficher tous les changements apportés aux tests qu'ils contiennent depuis qu'ils ont été lotis.

Pour afficher le rapport :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Utilisez la combinaison Ctrl + clic pour sélectionner le projet et le lotissement que vous souhaitez comparer.
    Conseil : Pour sélectionner plus facilement un lotissement, évitez de cliquer sur son nom. Cliquez plutôt dans une autre colonne.
  3. Faites un clic droit sur la sélection.
  4. Sélectionnez Rapports > Comparaison à la Référence des Tests.
    Remarque : Le rapport Comparaison de Lotissements doit avoir été exécuté une fois pour s'afficher dans le menu contextuel. Si le rapport est grisé, exécutez-le une fois dans l'espace Rapports.
Sujet parent : Gestion des projets


Sélection de projets

Pour sélectionner un projet :

  1. Dans le menu, cliquez sur Projets > Liste des Projets.
  2. Cliquez sur le nom du projet afin de le sélectionner.
    Remarque : Vous pouvez uniquement sélectionner des projets actifs.
Sujet parent : Gestion des projets


Liste des projets

Projet : <nom du projet> > Liste des Projets

La page Liste des Projets affiche par ordre alphabétique tous les projets et lotissements de projet associés à votre installation de Silk Central. La page prend en charge le filtrage, mais pas le tri. Les projets affichés sont classés par nom. Les projets et lotissements de projet inactifs sont désactivés.

Les lotissements de projet sont triés selon leur date de création, signalés par une icône spéciale, puis affichés sous la forme de nœuds enfants du projet d'origine.

Pour plus d'informations, reportez-vous à la rubrique Gestion de projets.

Les colonnes suivantes s'affichent pour chaque projet et lotissement de projet :

Colonne | Description
Actions | Supprimer Modifier le projet Copier le projet Lotissement de projet Exporter un projet Remarque : Cette colonne sera masquée si l'utilisateur actuel ne détient pas les autorisations de modification/suppression de projet.
Projet | Nom du projet. Cliquez pour définir le projet en tant que projet actif.
ID du Projet | Identificateur du projet.
Etat | Actif ou Inactif. Cliquez pour basculer entre ces deux états.
Description | Description du projet.
Propriétaire du projet | Spécifie le propriétaire du projet. Le compte utilisateur sélectionné ne dispose d'aucun privilège spécial ; ce paramètre est simplement indiqué à titre informatif.
Date de fin | Spécifie la date de fin prévue pour le projet.
Créé le | Date et heure auxquelles le projet a été créé.
Créé par | Utilisateur ayant créé le projet.
Modifié le | Date et heure auxquelles le projet a été modifié pour la dernière fois.
Modifié par | Dernier utilisateur à avoir modifié le projet.
Etiquettes | Si vous avez un grand nombre de projets, les étiquettes de projet peuvent vous aider à les filtrer, à partir de la colonne Etiquettes sur la page Liste des Projets. Utilisez les combinaisons Ctrl + clic ou Maj + clic pour sélectionner plusieurs projets, puis cliquez avec le bouton droit sur votre sélection et cliquez sur Modifier les étiquettes pour gérer les étiquettes de plusieurs projets en même temps. Remarque : Le filtrage par étiquettes utilise une condition OR, autrement dit tous les projets affichés contiennent l'une des étiquettes sélectionnées.
Sujet parent : Gestion des projets
Concepts associés
Gestion des projets


Passage à un projet récemment consulté

Vous pouvez basculer rapidement entre les cinq projets Silk Central auxquels vous avez accédé le plus récemment.

Pour ouvrir l'un des cinq derniers projets consultés :

  1. Dans le menu, cliquez sur Projets.
  2. Dans la liste Projets Récents, cliquez sur le nom du projet auquel vous souhaitez accéder. Vous pouvez continuer à travailler sur le projet sélectionné.
Sujet parent : Gestion des projets


Paramètres de Projet

Les paramètres de projet sont des paramètres spécifiques à un projet, par exemple la date de fin du projet.

  • Configuration des paramètres de projet
    Configurez les paramètres d'un projet afin de le personnaliser.
  • Filtres
    Décrit le mode d'utilisation des filtres pour trouver précisément les informations dont vous avez besoin et exclure les détails non pertinents.
  • Attributs
    Décrit le mode d'utilisation des attributs personnalisés afin de personnaliser les informations pour les tests et les plans d'exécution.
  • Propriétés de l'exigence
    Décrit les types de propriétés disponibles pour les exigences.
  • Propriétés de Pas de Test
    Décrit comment utiliser les propriétés de pas de test pour ajouter des propriétés à un pas de test manuel.
  • Modifier la Notification
    Décrit le mode de configuration de la notification par courriel si des exigences ou des tests sont modifiés par d'autres utilisateurs.
  • Intégration d’outils de gestion des exigences
    L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être.
  • Intégrations des profils de suivi d'incidents
    Explique comment intégrer Silk Central à des systèmes de suivi d'incidents externes.
  • Profils de référentiel tiers
    Les profils de référentiel tiers permettent àSilk Central de s'intégrer à des systèmes de référentiel tiers externes. La définition de profils de référentiel tiers permet de spécifier l'emplacement dans lequel les serveurs d'exécution Silk Central doivent récupérer les sources des programmes en vue de l'exécution des tests.
  • Sources de données pour les tests pilotés par les données
    Les tests pilotés par les données sont des tests dérivés des valeurs d'une source de données existante, par exemple une feuille de calcul ou une base de données. Les sources de données sont gérées dans un périmètre spécifique au projet.
  • Motifs d'état
    Explique de quelle manière les motifs d'état définissent l'état d'une exécution de test manuel.
  • Page Paramètres de Projet
    Répertorie les détails généraux relatifs au projet actif.
Sujet parent : Gestion des projets


Configuration des paramètres de projet

Pour personnaliser les paramètres d'un projet :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Paramètres de Projet afin d'afficher les paramètres actuels. La page Paramètres de Projet s'ouvre.
  3. Cliquez sur Modifier afin de modifier les paramètres actuels du projet.
  4. La boîte de dialogue Modifier les Paramètres de Projet s'affiche. Vous pouvez spécifier les informations suivantes :
    Nom du fichier d'informations de Build
    Les fichiers d'informations de build comprennent des informations sur le projet, y compris le numéro de build, l'emplacement du fichier journal du build, l'emplacement du journal des erreurs, ainsi que l'emplacement du build. Entrez le nom du fichier d'informations de build du projet dans cette zone de texte. Toutes les exécutions de tests liront les informations de build à partir de ce fichier spécifié.
    Date de fin de projet
    Spécifiez la date de fin prévue de votre projet.
    Extensions de fichiers à exclure des résultats
    Spécifiez les types de fichiers de résultats ou d'autres types de fichiers ne devant pas être enregistrés en tant que résultats des exécutions de tests.
    Remarque : Les extensions de fichiers doivent être séparées par des virgules, par exemple, xlg, *_, res. Les modifications apportées dans les champs Nom du fichier d'informations de Build et Extensions de fichiers à exclure des résultats n'auront aucune incidence sur les tests planifiés. Pour redistribuer les tâches vers les serveurs d'exécution, vous devez replanifier les tests ou vous déconnecter de la base de données, puis vous reconnecter.
  5. Cliquez sur OK pour enregistrer vos paramètres de projet.
Sujet parent : Paramètres de Projet
Concepts associés
Informations sur le Build


Intégrations des profils de suivi d'incidents

Les profils de suivi d'incidents permettent d'intégrer Silk Central à des systèmes de suivi d'incidents externes.

Des systèmes de suivi d'incidents supplémentaires peuvent être configurés par l'installation d'un plug-in personnalisé. Pour plus d'informations, reportez-vous à Intégration de suivi d'incidents. La définition de profils de suivi d'incidents vous permet de lier des tests de l'espace Tests aux incidents des systèmes de suivi des incidents tiers. Les états des incidents liés sont mis à jour périodiquement à partir du système de suivi des incidents tiers.

  • Mappage des états des incidents
    Mappez les états des incidents d'un système de suivi des incidents externe avec ceux de Silk Central, afin de permettre à Silk Central de répertorier correctement les incidents lors de l'envoi de requêtes relatives aux incidents internes et externes.
  • Atlassian JIRA
    Explique comment configurer les profils de suivi d'incidents Atlassian JIRA pour l'intégration dans Silk Central.
  • Bugzilla
    Décrit le mode de configuration des profils de suivi d'incidents Bugzilla pour l'intégration dans Silk Central.
  • IBM Rational ClearQuest
    Explique comment configurer les profils de suivi d'incidents IBM Rational ClearQuest pour l'intégration dans Silk Central.
  • Issue Manager
    Décrit Issue Manager, l'outil de suivi d'incidents de Silk Central.
  • Intégration de SAP Solution Manager
    Décrit le mode d'intégration de Silk Central et SAP Solution Manager.
  • Microsoft Team Foundation Server
    Explique comment configurer les profils de suivi d'incidents Team Foundation Server pour l'intégration dans Silk Central.
  • Profils de suivi d'incidents StarTeam
    Explique comment configurer les profils de suivi d'incidents StarTeam pour l'intégration dans Silk Central.
  • Suppression de profils de suivi d'incidents
    Supprimez un profil de suivi d'incidents existant lorsque le profil n'est plus requis.
  • Page Profils de Suivi d'Incidents
    Répertorie tous les profils de suivi d'incidents qui sont configurés pour l'intégration de systèmes de suivi des incidents externes dans Silk Central.
Sujet parent : Paramètres de Projet
Sujet parent : Intégrations
Concepts associés
Intégration du suivi des incidents


Mappage des états des incidents

Après avoir défini un nouveau profil de suivi d'incidents, il est conseillé de mapper les états des incidents du système de suivi des incidents externe avec ceux de Silk Central. Ainsi, Silk Central peut répertorier les incidents correctement lors de l'envoi de requêtes relatives aux incidents internes et externes.

Pour mapper les états des incidents :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Suivi des Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  3. Dans la colonne Actions du profil de suivi d'incidents que vous voulez modifier, cliquez sur Modifier le mappage du profil de suivi d'incidents. La boîte de dialogue Modifier le Mappage de l'État s'ouvre.
  4. Mappez les états des incidents internes avec les états des incidents externes correspondants en sélectionnant les entrées respectives dans les zones de liste. Les états des incidents contenus dans le logiciel de suivi des incidents externe sont répertoriés dans la colonne Externe. Les états des incidents internes de Silk Central sont disponibles dans les zones de liste de la colonne Interne.
  5. Une fois que vous avez mappé chaque état d'incident externe à un état interne, cliquez sur OK pour enregistrer vos paramètres, ou cliquez sur Annuler pour abandonner l'opération.
Sujet parent : Intégrations des profils de suivi d'incidents


Atlassian JIRA

Ce chapitre explique comment configurer les profils de suivi d'incidents Atlassian JIRA (JIRA) pour l'intégration dans Silk Central.

Le plug-in JIRA dépend de l'API Java de Silk Central pour l'intégration, en utilisant l'API REST de JIRA.

Les versions actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : Atlassian JIRA 6, 7

Si vous assignez un incident externe JIRA à un test, vous pouvez saisir l'ID de l'incident avec ou sans clé de projet. Par exemple : PROJECT-13 ou simplement 13.

Silk Central prend en charge les types de champs JIRA suivants :
  • Text Field (< 255 characters) / Free Text Field (unlimited text)
  • Select List (single choice) / Select List (multiple choices)
  • Date Picker / Date Time Picker
    Remarque : Ces types sont fournis en tant que champs de texte et doivent être formatés comme dans JIRA : Date Picker : jj/MMM/aa (par exemple 24/Mar/16), Date Time Picker : jj/MMM/aa h:mm a (par exemple 24/Mar/16 4:11 AM)
  • Group Picker (single group) / Group Picker (multiple groups)
  • Project Picker (single project)
  • User Picker (single user) / User Picker (multiple users)
    Remarque : Pour JIRA version 5 et inférieure, les utilisateurs qui font seulement partie du groupe par défaut jira-users ne sont pas affichés.
  • Version Picker (single version) / Sélecteur de version (plusieurs versions)
Dans Silk Central, les autres types de champs JIRA sont présentés sous forme de champs texte sur une seule ligne.

Les champs système JIRA suivants ne sont pas pris en charge. Original Estimate, Remaining Estimate, Attachment et Labels.

  • Ajout de Atlassian JIRAprofils de suivi d'incidents
    Créez un profil de suivi d'incidents JIRA pour lier des tests situés à l'intérieur de l'espace Tests aux incidents contenus dans JIRA.
  • Modification de profils de suivi d'incidents Atlassian JIRA
    Modifiez un profil de suivi d'incidents JIRA existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Intégrations des profils de suivi d'incidents


Ajout de Atlassian JIRAprofils de suivi d'incidents

Pour ajouter un profil de suivi d'incidents JIRA :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Suivi d'Incidents.
  3. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Saisissez une Description pour le nouveau profil.
  5. Dans la liste Type, sélectionnez Atlassian JIRA.
  6. Saisissez un Nom d'utilisateur et un Mot de passe valides. Le nom d'utilisateur doit être un nom de profil utilisateur JIRA valide. Ces données d’authentification sont utilisées pour l’accès à votre système de suivi des incidents JIRA.
    Important : Utilisez les données d'authentification d'un compte JIRA avec les autorisations suffisantes, car l'absence d'autorisations dans JIRA peut générer des incohérences lorsque le plug-in tente d'ajouter ou de mettre à jour des incidents via ce compte. Le compte JIRA nécessite les autorisations suivantes pour chaque projet utilisé dans Silk Central :
    • Parcourir les projets
    • Créer des incidents
    • Utilisateur assignable
    • Modifier Reporter

    En outre, le compte JIRA doit être en mesure d'accéder (se connecter à) votre application JIRA.

  7. Dans le champ URL, saisissez le nom d'hôte de votre serveur JIRA et le port utilisé pour la connexion au serveur.
  8. Cliquez sur Charger les Projets pour charger tous les projets à partir du serveur et compléter la zone de liste Projet, puis sélectionnez un projet dans la zone de liste Projet.
  9. Facultatif : Sélectionnez la valeur true dans la liste Afficher tous les champs pour afficher tous les champs JIRA disponibles dans la boîte de dialogue des incidents, sans quoi seuls les champs obligatoires apparaîtront. Si la valeur Vrai est sélectionnée, l'utilisateur JIRA défini pour le profil de suivi d'incidents doit disposer des autorisations d'administrationJIRA.
  10. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  11. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Atlassian JIRA
Tâches associées
Mappage des états des incidents


Modification de profils de suivi d'incidents Atlassian JIRA

En cas de modification des données d'authentification du serveur ou de connexion de votre système de suivi d'incidents, vous devez modifier votre profil de suivi d'incidents en conséquence.

Pour modifier un profil de suivi d'incidents Atlassian JIRA existant :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur le nom du profil de suivi d'incidents que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Suivi d'Incidents s'ouvre.
  3. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Modifiez la Description du profil.
  5. Facultatif : sélectionnez un nouveau Type pour le profil de suivi d'incidents dans la zone de liste.
  6. Saisissez un Nom d'utilisateur et un Mot de passe valides. Le nom d'utilisateur doit être un nom de profil utilisateur JIRA valide. Ces données d’authentification sont utilisées pour l’accès à votre système de suivi des incidents JIRA.
    Important : Utilisez les données d'authentification d'un compte JIRA avec les autorisations suffisantes, car l'absence d'autorisations dans JIRA peut générer des incohérences lorsque le plug-in tente d'ajouter ou de mettre à jour des incidents via ce compte. Le compte JIRA nécessite les autorisations suivantes pour chaque projet utilisé dans Silk Central :
    • Parcourir les projets
    • Créer des incidents
    • Utilisateur assignable
    • Modifier Reporter

    En outre, le compte JIRA doit être en mesure d'accéder (se connecter à) votre application JIRA.

  7. Dans le champ URL, modifiez le nom d'hôte de votre serveur JIRA et le port utilisé pour la connexion au serveur.
  8. Pour modifier le projet JIRA, cliquez sur Charger les Projets pour charger tous les projets à partir du serveur et mettre à jour la zone de liste Projet, puis sélectionnez un projet dans la zone de liste Projet.
  9. Facultatif : Sélectionnez la valeur true dans la liste Afficher tous les champs pour afficher tous les champs JIRA disponibles dans la boîte de dialogue des incidents, sans quoi seuls les champs obligatoires apparaîtront. Si la valeur Vrai est sélectionnée, l'utilisateur JIRA défini pour le profil de suivi d'incidents doit disposer des autorisations d'administrationJIRA.
  10. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  11. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Atlassian JIRA
Tâches associées
Mappage des états des incidents


Bugzilla

Cette section décrit le mode de configuration des profils de suivi d'incidents Bugzilla pour l'intégration dans Silk Central.

Le plug-in Bugzilla dépend de l'API Java de Silk Central pour l'intégration. Silk Central communique avec Bugzilla par l'intermédiaire du service Web Bugzilla XML-RPC introduit dans Bugzilla 3.0 en utilisant la bibliothèque XML-RPC Redstone. Pour activer l'intégration Bugzilla, assurez-vous d'avoir installé un package SOAP::Lite pour le serveur Web. Par exemple, pour la répartition Debian, installez le package libsoap-lite-perl.

Les versions actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : Bugzilla 4.4.13, 5.0.4

  • Ajout de profils de suivi d'incidents Bugzilla
    Créez un profil de suivi d'incidents Bugzilla pour lier des tests situés à l'intérieur de l'espace Tests aux incidents contenus dans Bugzilla.
  • Modification de profils de suivi d'incidents Bugzilla
    Modifiez un profil de suivi d'incidents Bugzilla existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Intégrations des profils de suivi d'incidents


Ajout de profils de suivi d'incidents Bugzilla

Pour ajouter un profil de suivi d'incidents Bugzilla :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Suivi d'Incidents.
  3. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Saisissez une Description pour le nouveau profil.
  5. Dans la zone de liste Type, sélectionnez Bugzilla.
  6. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder au système de suivi des incidents.
  7. Saisissez l'URL de votre installation de Bugzilla. Par exemple, http://bugzillaserver/bugzilla.
  8. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  9. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Bugzilla
Tâches associées
Mappage des états des incidents


Modification de profils de suivi d'incidents Bugzilla

En cas de modification des données d'authentification du serveur ou de connexion de votre système de suivi d'incidents, vous devez modifier votre profil de suivi d'incidents en conséquence.

Pour modifier un profil de suivi d'incidents Bugzilla existant :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur le nom du profil de suivi d'incidents que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Suivi d'Incidents s'ouvre.
  3. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Modifiez la Description du profil.
  5. Facultatif : sélectionnez un nouveau Type pour le profil de suivi d'incidents dans la zone de liste.
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre système de suivi des incidents.
  7. Modifiez l'URL de votre installation Bugzilla.
  8. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  9. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Bugzilla
Tâches associées
Mappage des états des incidents


IBM Rational ClearQuest

Cette section décrit le mode de configuration des profils de suivi d'incidents IBM Rational ClearQuest pour l'intégration dans Silk Central.

Les applications IBM Rational ClearQuest offrent un mécanisme flexible de suivi des incidents/modifications et une prise en charge automatisée du workflow. Les deux applications principales sont IBM Rational ClearQuest (ClearQuest) et IBM Rational ClearQuest MultiSite (ClearQuest Multisite). Pour utiliser les profils ClearQuest, vous devez avoir installé le logiciel client ClearQuest sur l'ordinateur où le serveur de présentation Silk Central est exécuté. Pour obtenir des informations détaillées sur l'installation de ClearQuest, reportez-vous à la documentation du produit.

Les versions actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : IBM Rational ClearQuest 8.0

  • Ajout de profils de suivi d'incidents ClearQuest
    Créez un profil de suivi d'incidents ClearQuest pour lier des tests situés à l'intérieur de l'espace Tests aux incidents contenus dans ClearQuest.
  • Modification de profils de suivi d'incidents ClearQuest
    Modifiez un profil de suivi d'incidents ClearQuest existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Intégrations des profils de suivi d'incidents


Ajout de profils de suivi d'incidents ClearQuest

Pour ajouter un profil de suivi d'incidents ClearQuest :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Suivi d'Incidents.
  3. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Saisissez une Description pour le nouveau profil.
  5. Dans la zone de liste Type, sélectionnez IBM Rational ClearQuest.
  6. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder au système de suivi des incidents.
  7. Saisissez les Infos sur le Référentiel relatives à votre installation ClearQuest. Il s'agit du nom de la base de données qui est défini dans le logiciel client ClearQuest. Le nom de l'exemple de base de données est SAMPL.
    Remarque : Il est impossible d'utiliser plusieurs référentiels de schéma ClearQuest. Silk Central se connectera au référentiel ClearQuest par défaut.
  8. Spécifiez le Type d'Enregistrement, qui correspond au type d'incident de ClearQuest. Lorsque vous saisissez un incident dans Silk Central, ClearQuest l'enregistre avec le type que vous définissez dans la zone de texte. Le type d'incident par défaut est Defect.
  9. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  10. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : IBM Rational ClearQuest
Tâches associées
Mappage des états des incidents


Modification de profils de suivi d'incidents ClearQuest

En cas de modification des données d'authentification du serveur ou de connexion de votre système de suivi d'incidents, vous devez modifier votre profil de suivi d'incidents en conséquence.

Pour modifier un profil de suivi d'incidents ClearQuest existant :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur le nom du profil de suivi d'incidents que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Suivi d'Incidents s'ouvre.
  3. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Modifiez la Description du profil.
  5. Facultatif : sélectionnez un nouveau Type pour le profil de suivi d'incidents dans la zone de liste.
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre système de suivi des incidents.
  7. Modifiez les Infos sur le Référentiel relatives à votre installation ClearQuest. Il s'agit du nom de la base de données qui est défini dans le logiciel client ClearQuest. Le nom de l'exemple de base de données est SAMPL.
    Remarque : Il est impossible d'utiliser plusieurs référentiels de schéma ClearQuest. Silk Central se connectera au référentiel ClearQuest par défaut.
  8. Modifiez le Type d'Enregistrement, qui correspond au type d'incident de ClearQuest. Lorsque vous saisissez un incident dans Silk Central, ClearQuest l'enregistre avec le type que vous définissez dans ce champ.
  9. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  10. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : IBM Rational ClearQuest
Tâches associées
Mappage des états des incidents


Issue Manager

Issue Manager, l'outil de suivi des incidents de Silk Central, est entièrement intégré à Silk Central, ce qui permet de mettre en corrélation les incidents avec la configuration système et les tests exécutés.

Vous pouvez ajouter et gérer les incidents relatifs aux tests dans le menu en passant par Tests > Vue Détaillée > Incidents. Pour obtenir des détails supplémentaires, reportez-vous aux rubriques Issue Manager de cette Aide.

  • Ajout de Issue Managerprofils de suivi d'incidents
    Créez un profil de suivi d'incidents Issue Manager pour lier des tests situés à l'intérieur de l'espace Tests aux incidents contenus dans Issue Manager.
  • Modification de profils de suivi d'incidents Issue Manager
    Modifiez un profil de suivi d'incidents Issue Manager existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Intégrations des profils de suivi d'incidents
Concepts associés
Aide de l'API Silk Central


Ajout de Issue Managerprofils de suivi d'incidents

Pour ajouter un profil de suivi d'incidents Issue Manager :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Suivi d'Incidents.
  3. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Saisissez une Description pour le nouveau profil.
  5. Sélectionnez Issue Manager dans la zone de liste Type.
  6. Cochez la case Référentiel local pour utiliser le profil Issue Manager intégré faisant partie de votre instance Silk Central. Pour vous connecter à un système Issue Manager externe , décochez cette option. Dans ce cas, vous devrez fournir des informations de connexion valides pour accéder au système.
  7. Saisissez l'URL d'Issue Manager de votre installation Issue Manager. Il s'agit de l'URL que vous utilisez pour vous connecter à Issue Manager, mais sans l'extension login qui figure à la fin. Laissez l'URL par défaut si vous avez sélectionné l'option Référentiel local. Par exemple, si votre URL Issue Manager standard est http://IssueManager/login, l'URL de service correcte est http://IssueManager.
  8. Facultatif : si Issue Manager doit communiquer avec le serveur de présentation via une autre URL que celle utilisée par les utilisateurs pour accéder à l'interface utilisateur Web, entrez cette URL dans le champ URL du service Web. Cela est nécessaire lorsque, par exemple, les utilisateurs accèdent à l'interface utilisateur Web via un proxy, et que Issue Manager requiert l'adresse IP ou URL interne du serveur de présentation.
  9. Procédez comme suit :
    1. Cliquez sur Charger les Projets. Cette opération alimente la zone de liste Projet avec tous les projets Issue Manager initialisés auxquels l'utilisateur spécifié a accès. Notez que seuls s'affichent les projets pour lesquels les groupes d'utilisateurs Issue Manager ont été définis, et l'utilisateur défini est un membre d'au moins un groupe d'utilisateurs.
    2. Sélectionnez le Projet dans lequel les incidents Issue Manager sont conservés.
    ATTENTION :
    Nous recommandons de ne pas utiliser de projets identiques pour Issue Manager et Silk Central, car cela limite la souplesse d'utilisation des deux outils sur deux projets futurs différents.
  10. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  11. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Issue Manager
Tâches associées
Mappage des états des incidents


Modification de profils de suivi d'incidents Issue Manager

En cas de modification des données d'authentification du serveur ou de connexion de votre système de suivi d'incidents, vous devez modifier votre profil de suivi d'incidents en conséquence.

Pour modifier un profil de suivi d'incidents Issue Manager existant :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur le nom du profil de suivi d'incidents que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Suivi d'Incidents s'ouvre.
  3. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Modifiez la Description du profil.
  5. Facultatif : sélectionnez un nouveau Type pour le profil de suivi d'incidents dans la zone de liste.
  6. Cochez la case Référentiel local pour utiliser le profil Issue Manager intégré faisant partie de votre instance Silk Central. Pour vous connecter à un système Issue Manager externe, décochez cette option. Dans ce cas, vous devrez fournir des informations de connexion valides pour accéder au système.
  7. Modifiez l'URL d'Issue Manager de votre installation Issue Manager si l'emplacement a été modifié. Il s'agit de l'URL que vous utilisez pour vous connecter à Issue Manager, mais sans l'extension login qui figure à la fin. Par exemple, si votre URL Issue Manager standard est http://IssueManager/login, l'URL de service correcte est http://IssueManager.
  8. Facultatif : si Issue Manager doit communiquer avec le serveur de présentation via une autre URL que celle utilisée par les utilisateurs pour accéder à l'interface utilisateur Web, entrez cette URL dans le champ URL du service Web. Cela est nécessaire lorsque, par exemple, les utilisateurs accèdent à l'interface utilisateur Web via un proxy, et que Issue Manager requiert l'adresse IP ou URL interne du serveur de présentation.
  9. Pour modifier le projet Issue Manager, cliquez sur Charger les projets pour charger tous les projets à partir du serveur et mettre à jour la zone de liste Projet, puis sélectionnez un projet dans la zone de liste Projet.
  10. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  11. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Issue Manager
Tâches associées
Mappage des états des incidents


Microsoft Team Foundation Server

Ce chapitre explique comment configurer les profils de suivi d'incidents Team Foundation Server (TFS) pour l'intégration dans Silk Central.

Les versions actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : Team Foundation Server 2015, 2017

  • Installation d'un proxy Web Service de Team Foundation Server
    Installez un proxy Web Service de Team Foundation Server pour qu'il serve d'interface avec le serveur TFS.
  • Ajout de profils de suivi d'incidents TFS
    Créez un profil de suivi d'incidents TFS pour lier des tests situés à l'intérieur de l'espace Tests aux incidents contenus dans TFS.
  • Modification de profils de suivi d'incidents TFS
    Modifiez un profil de suivi d'incidents TFS existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Intégrations des profils de suivi d'incidents


Installation d'un proxy Web Service de Team Foundation Server

Pour communiquer avec un serveur TFS, vous devez installer un proxy Web Service de Team Foundation Server afin qu'il serve d'interface avec ce serveur.

Pour installer un service proxy TFS :

  1. Installez Microsoft Visual Studio Team Explorer à partir de la page http://www.microsoft.com/downloads/details.aspx?FamilyID=fe4f9904-0480-4c9d-a264-02fedd78ab38.
  2. Installez IIS et l'outil de déploiement Web, par exemple à l'aide de Web Platform Installer à partir de la page http://www.microsoft.com/web/downloads/default.aspx.
  3. Téléchargez le proxy Web Service de Team Foundation Server en sélectionnant Aide > Outils.
  4. Décompressez le package téléchargé.
  5. Ouvrez un shell de commande et saisissez DotNetTfsWebServiceProxy.deploy.cmd /Y pour installer le service proxy. Si un message d'erreur s'affiche, indiquant qu'ASP.NET 4 est requis, reportez-vous à la page http://msdn.microsoft.com/en-us/library/k6h9cz8h.aspx.
  6. Ouvrez le gestionnaire des services IIS.
  7. Vérifiez que le nouveau site Web existe.
  8. Dans le dossier racine du répertoire virtuel, ouvrez le fichier Web.config.
  9. Dans la section appSettings du fichier, redéfinissez la valeur de la clé WorkItemTrackingCacheRoot sur un répertoire local. Par exemple :
    <appSettings>
  <add key="WorkItemTrackingCacheRoot" value="C:\temp" />
</appSettings>
  10. Si le répertoire spécifié n'existe pas, créez-le.
  11. Accordez à Tout le monde des droits complets sur le répertoire indiqué.
Pour plus d'informations sur le déploiement d'une application Web ASP.NET, reportez-vous à la page http://msdn.microsoft.com/en-us/library/ee942158.aspx.
Remarque : Si vous effectuez une mise à niveau de Silk Central depuis la version 16.5 ou une version antérieure, vous devez redéployer le service proxy TFS. Supprimez le service proxy TFS existant, puis passez à l'étape 3 ci-dessus. Lorsque vous avez terminé, redémarrez IIS.
Sujet parent : Microsoft Team Foundation Server


Ajout de profils de suivi d'incidents TFS

Vous devez configurer un proxy de service Web Team Foundation Server (fourni par Micro Focus) pour permettre à Silk Central d'accéder aux incidents TFS.
Important : Il ne s'agit pas du proxy Team Foundation Server fourni par Microsoft.

Pour ajouter un profil de suivi d'incidents TFS :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Suivi d'Incidents.
  3. Saisissez un Nom pour le nouveau profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Saisissez une Description pour le nouveau profil.
  5. Dans la zone de liste Type, sélectionnez Team Foundation Server.
  6. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder au système de suivi des incidents.
  7. Saisissez le Domaine de l'utilisateur TFS.
  8. Saisissez l'URL de votre installation TFS. Par exemple, http://serveurtfs:8080/tfs.
  9. Saisissez la Collection à laquelle appartient votre projet. Par exemple, CollectionParDéfaut. Tous les projets de la collection sont répertoriés dans la zone de liste Projets.
  10. Dans la zone de liste, sélectionnez le Projet.
  11. Saisissez l'URL de votre proxy TFS. Par exemple, http://serveurproxytfs/DotNetTfsWebServiceProxy_deploy/TfsWebServiceProxy.asmx.
  12. Cliquez sur Charger le type d'élément de Travail. La zone de liste Type des éléments de travail est alimentée avec les types d'éléments de travail disponibles.
  13. Dans la zone de liste, sélectionnez Type des éléments de travail.
  14. Cliquez sur Charger l'état initial. La zone de liste Etat initial est alimentée avec les états qui sont autorisés pour le type d'élément de travail sélectionné.
  15. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  16. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Microsoft Team Foundation Server
Tâches associées
Mappage des états des incidents


Modification de profils de suivi d'incidents TFS

En cas de modification des données d'authentification du serveur ou de connexion de votre système de suivi d'incidents, vous devez modifier votre profil de suivi d'incidents en conséquence.

Pour modifier un profil de suivi d'incidents TFS existant :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur le nom du profil de suivi d'incidents que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Suivi d'Incidents s'ouvre.
  3. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Modifiez la Description du profil.
  5. Facultatif : sélectionnez un nouveau Type pour le profil de suivi d'incidents dans la zone de liste.
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre système de suivi des incidents.
  7. Modifiez le Domain de l'utilisateur TFS.
  8. Modifiez l'URL et la Collection de votre TFS.
  9. Sélectionnez un autre Projet.
  10. Modifiez l'URL et le port de votre proxy TFS.
  11. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
Sujet parent : Microsoft Team Foundation Server


Profils de suivi d'incidents StarTeam

Cette section décrit le mode de configuration des profils de suivi d'incidents StarTeam pour l'intégration dans Silk Central.

StarTeam est un outil de gestion de la configuration et des changements logiciels qui permet de coordonner et de gérer le processus de livraison logicielle.

Pour travailler avec des profils StarTeam et utiliser la fonctionnalité d'accès aux liens pour les demandes de changements dans StarTeam, vous devez installer le logiciel StarTeam Cross-Platform Client sur l'ordinateur qui héberge le navigateur.

Les versions actuellement prises en charge pour l'intégration avec Silk Central sont les suivantes : StarTeam 15.x, 16.x

  • Ajout de profils de suivi d'incidents StarTeam
    Créez un profil de suivi d'incidents StarTeam pour lier des tests situés à l'intérieur de l'espace Tests aux incidents contenus dans StarTeam.
  • Modification de profils de suivi d'incidents StarTeam
    Modifiez un profil de suivi d'incidents StarTeam existant en cas de modification des données d'authentification du serveur ou de connexion.
Sujet parent : Intégrations des profils de suivi d'incidents


Ajout de profils de suivi d'incidents StarTeam

Pour ajouter un profil de suivi d'incidents StarTeam :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur Nouveau Profil pour ouvrir la boîte de dialogue Nouveau Profil de Suivi d'Incidents.
  3. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Saisissez une Description pour le nouveau profil.
  5. Dans la zone de liste Type, sélectionnez StarTeam.
  6. Saisissez un Nom d'utilisateur et un Mot de passe valides. Ces données d'authentification serviront à accéder au système de suivi des incidents.
  7. Saisissez le Nom d'hôte de votre serveur StarTeam et le Port qui sert à se connecter au serveur. Si ce paramètre n'a pas changé, utilisez le port par défaut 49201.
  8. Spécifiez le type d'Encryptage pris en charge par le profil.
  9. Cliquez sur Charger les Projets pour charger tous les projets à partir du serveur et compléter la zone de liste Projet, puis sélectionnez un projet dans la zone de liste Projet.
  10. Cliquez sur Charger la Vue afin de charger toutes les vues pour le projet sélectionné et compléter la zone de liste Vue, puis sélectionnez une vue dans la zone de liste Vue.
  11. Cliquez sur Charger le Champ État pour charger tous les fichiers d'énumération relatifs aux demandes de changement et compléter la zone de liste Champ État, puis sélectionnez un champ d'état dans cette dernière. Si vous utilisez un workflow personnalisé dans StarTeam, ce champ correspond à celui du pilote de workflow dans StarTeam, mappé à l'état de l'incident Silk Central.
  12. Sélectionnez un type de lien dans la zone de liste Type de Lien.
    starteam://
    Les liens ID Externe de l'onglet Incidents ouvrent l'application Cross-Platform Client.
    http://
    Les liens ID Externe de l'onglet Incidents ouvrent l'incident dans l'interface utilisateur Web de StarTeam.
  13. Si vous avez sélectionné http:// dans la zone de liste Type de lien, entrez l'adresse de serveur Web de l'interface utilisateur Web StarTeam dans le champ Serveur Web.
  14. Sélectionnez Yes ou No dans le champ Workflow. Sélectionnez Yes pour afficher les champs requis qui sont spécifiés dans le workflow de la Vue sélectionnée.
  15. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  16. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Profils de suivi d'incidents StarTeam
Tâches associées
Mappage des états des incidents


Modification de profils de suivi d'incidents StarTeam

En cas de modification des données d'authentification du serveur ou de connexion de votre système de suivi d'incidents, vous devez modifier votre profil de suivi d'incidents en conséquence.

Pour modifier un profil de suivi d'incidents StarTeam existant :

  1. Dans le menu, cliquez sur Incidents > Intégrations de Suivi d'Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  2. Cliquez sur le nom du profil de suivi d'incidents que vous souhaitez modifier. La boîte de dialogue Modifier le Profil de Suivi d'Incidents s'ouvre.
  3. Modifiez le Nom du profil. Il s'agit du nom affiché dans les listes dans lesquelles les profils peuvent être sélectionnés.
  4. Modifiez la Description du profil.
  5. Facultatif : sélectionnez un nouveau Type pour le profil de suivi d'incidents dans la zone de liste.
  6. Modifiez le Nom d'utilisateur et le Mot de passe. Ces données d'authentification sont utilisées pour l'accès à votre système de suivi des incidents.
  7. Modifiez le Nom d'hôte de votre serveur StarTeam et le Port qui sert à se connecter au serveur.
  8. Modifiez le type d'Encryptage pris en charge par le profil.
  9. Pour modifier le projet StarTeam, cliquez sur Charger les Projets pour charger tous les projets à partir du serveur et mettre à jour la zone de liste Projet, puis sélectionnez un projet dans la zone de liste Projet.
  10. Pour modifier la vue, cliquez sur Charger la Vue afin de charger toutes les vues pour le projet sélectionné et renseigner la zone de liste Vue, puis sélectionnez une vue dans la zone de liste Vue.
  11. Pour modifier le champ du pilote de workflow, cliquez sur Charger le champ État pour charger tous les champs d'énumération relatifs aux demandes de changement et renseigner la zone de liste Champ État, puis sélectionnez un champ d'état dans la zone de liste Champ État. Si vous utilisez un workflow personnalisé dans StarTeam, ce champ correspond à celui du pilote de workflow dans StarTeam, mappé à l'état de l'incident Silk Central.
  12. Sélectionnez un type de lien dans la zone de liste Type de Lien.
    starteam://
    Les liens ID Externe de l'onglet Incidents ouvrent l'application Cross-Platform Client.
    http://
    Les liens ID Externe de l'onglet Incidents ouvrent l'incident dans l'interface utilisateur Web de StarTeam.
  13. Si vous avez sélectionné http:// dans la zone de liste Type de lien, entrez l'adresse de serveur Web de l'interface utilisateur Web StarTeam dans le champ Serveur Web.
  14. Sélectionnez Yes ou No dans le champ Workflow. Sélectionnez Yes pour afficher les champs requis qui sont spécifiés dans le workflow de la Vue sélectionnée.
  15. Cliquez sur OK.

    Silk Central tente un test de connexion au système externe à l'aide des informations que vous avez indiquées.

    Remarque : Si une erreur survient, vérifiez les informations que vous avez saisies ou adressez-vous à l'administrateur.
  16. Si le test de connexion aboutit, une boîte de dialogue de confirmation s'affiche et vous êtes invité à mapper les états des incidents internes aux états du profil nouvellement défini.
    • Cliquez sur Oui pour exécuter la procédure de mappage des états des incidents.
    • Cliquez sur Non pour mapper les états des incidents ultérieurement.
Sujet parent : Profils de suivi d'incidents StarTeam
Tâches associées
Mappage des états des incidents


Suppression de profils de suivi d'incidents

Pour supprimer un profil de suivi d'incidents :

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Suivi des Incidents. La page Suivi des Incidents qui s'ouvre répertorie tous les profils de suivi d'incidents qui ont été créés pour le système.
  3. Dans la colonne Actions du profil de suivi d'incidents que vous souhaitez supprimer, cliquez sur Supprimer le Profil de Suivi d'Incidents. Une boîte de dialogue de confirmation s'affiche.
  4. Cliquez sur Oui.
Sujet parent : Intégrations des profils de suivi d'incidents


Page Profils de Suivi d'Incidents

Projet : <nom du projet> > Paramètres de Projet > Suivi des Incidents

Cette page permet de configurer des profils pour l'intégration de systèmes de suivi des incidents externes dans Silk Central. Cliquez sur Nouveau Profil pour créer un nouveau profil de suivi d'incidents. Pour chaque profil de suivi d'incidents, la page affiche les colonnes suivantes :

Colonne | Description
Nom | Nom du profil, tel qu'il est affiché dans l'interface utilisateur de Silk Central et dans les rapports. Cliquez sur le nom d'un profil pour modifier ce dernier.
Type | Système de suivi des incidents externe.
Connexion | Nom de connexion avec lequel Silk Central se connecte au système de suivi des incidents.
Infos sur le Référentiel | Emplacement physique du système de suivi des incidents. Nom d'Hôte ou URL.
Créé Le | Date à laquelle le profil de suivi d'incidents a été créé.
Créé Par | Utilisateur qui a créé le profil de suivi d'incidents.
Actions
Les actions suivantes peuvent être exécutées sur un profil de suivi d'incidents :
  • Supprimer le Profil de Suivi d'Incidents
  • Modifier le mappage du profil de suivi d'incidents
Sujet parent : Intégrations des profils de suivi d'incidents


Motifs d'état

Les motifs d'état définissent l'état d'une exécution de test manuel. Ils vous permettent d'indiquer pour quelle raison une exécution de test donnée présente l'état Réussi, En Échec ou Non Exécuté. Il est possible de définir jusqu'à cinq motifs pour chaque état. Par défaut, le motif Non Pris en Charge est ajouté à l'état Réussi et le motif Non Résolu est ajouté à l'état En Échec. En ajoutant d'autres motifs à chaque état, vous pouvez affiner l'état d'une exécution de test. Par exemple, vous pourriez utiliser les motifs suivants pour les états :
  • Réussi : Non Pris en Charge
  • En Échec : Non Résolu, Défaillance système, Anomalie, Aide indisponible, Sans réponse de la part du système client
  • Non Exécuté : En attente - interne, En attente - client, Environnement de test indisponible
  • Définition des motifs d'état
    Définissez les motifs d'état afin de pouvoir qualifier l'état des exécutions de test.
Sujet parent : Paramètres de Projet
Référence associée
États des tests et des pas de test
Autorisations liées aux tests et aux exécutions


Définition des motifs d'état

Vous devez être autorisé à Gérer les ressources pour pouvoir ajouter ou mettre à jour des motifs d'état, et à Supprimer les ressources pour pouvoir supprimer des motifs. Reportez-vous à la rubrique Autorisations liées aux tests et aux exécutions si vous souhaitez des informations plus détaillées.

  1. Dans le menu, cliquez sur Projet : <nom du projet> > Paramètres de Projet.
  2. Cliquez sur l'onglet Motifs d'état.
  3. Cliquez sur Ajouter un motif d'état sous l'état pour lequel vous souhaitez ajouter un nouveau motif. Un nouveau motif d'état vient s'ajouter à la liste de motifs.
  4. Cliquez sur le champ de nouveau motif d'état et saisissez une description.
  5. Appuyez sur la touche Entrée pour enregistrer votre texte de motif d'état.
Les textes existants décrivant les motifs d'état peuvent également être modifiés en cliquant sur le champ de motif d'état, en saisissant une description et en appuyant sur la touche Entrée.
Sujet parent : Motifs d'état


Page Paramètres de Projet

Projet :<nom du projet> > Paramètres de Projet > Paramètres de Projet

La page Paramètres de Projet répertorie les détails généraux suivants relatifs au projet actif :

Élément | Description
Nom du fichier d'informations de Build | Les fichiers d'informations de build comprennent des informations sur le projet, y compris le numéro de build, l'emplacement du fichier journal du build, l'emplacement du journal des erreurs, ainsi que l'emplacement du build. Dans ce champ, saisissez le nom du fichier d'informations de build du projet actif. Toutes les exécutions de tests liront les informations de build à partir de ce fichier spécifié.
Date de fin de projet | Date de fin planifiée du projet actif, au format MM/JJ/AAAA.
Extensions de fichiers à exclure des résultats | Types de fichiers de résultats ou autres types de fichiers ne devant pas être enregistrés en tant que résultats des exécutions de tests.
Sujet parent : Paramètres de Projet
Concepts associés
Informations sur le Build


Modèles de projet

Cette rubrique décrit le cadre conceptuel des modèles de projet dans Silk Central.

Le modèle de projet Agile est utilisé pour prendre en charge l'interaction entre Silk Central et VersionOne ou d'autres outils de gestion de projets Agile. Le modèle est un projet associé aux attributs spécifiques Sprint et Release. Lorsque vous créez un projet basé sur ce modèle, un conteneur de tests par défaut et un dossier par défaut sont aussi créés. Lorsque l'outil de gestion de projets crée un test, ce dernier est ajouté au dossier par défaut. Aucun profil de référentiel tiers ni aucune application ne sont spécifiés pour le conteneur de tests et le dossier, qui sont donc marqués comme incomplets.

Sujet parent : Gestion des projets


Intégrations

Silk Central s'intègre à un grand nombre d'outils à des fins très différentes.

  • Intégration avec des outils d'analyse de code
    Décrit l'intégration à l'aide d'outils d'analyse de code.
  • Intégrations des profils de suivi d'incidents
    Explique comment intégrer Silk Central à des systèmes de suivi d'incidents externes.
  • Intégration d’outils de gestion des exigences
    L'intégration de fonctions externes de gestion des exigences vous permet de coordonner les fonctions de gestion des exigences de Silk Central avec celles d'autres outils avec lesquels vous travaillez déjà peut-être.
  • Intégrations de profils de référentiel tiers
    Décrit les intégrations des profils de référentiel tiers.
  • Intégration des outils d'automatisation des tests
    Décrit l'intégration des outils d'automatisation des tests.
  • Intégrations du serveur d'intégration continue
    L'intégration de Silk Central et de votre serveur d'intégration continue (CI), Jenkins par exemple, vous permet d'intégrer vos exécutions de tests dans votre système de builds d'intégration continue.
  • Communication avec un système externe par SSL
    Ajoutez un certificat auto-signé au keystore Java pour communiquer par SSL avec un hôte doté d'un certificat de ce type.
Sujet parent : Administration


Intégration avec des outils d'analyse de code

  • Intégration de couverture de code DevPartner
    Décrit l'intégration au composant Analyse de code de DevPartner Studio.
Sujet parent : Intégrations


Intégration de couverture de code DevPartner

Silk Central est intégré au composant Analyse de code de DevPartner Studio. Vous pouvez effectuer une analyse de code dans les applications .NET à l'aide de cette intégration.

Pour plus d’informations, reportez-vous à la rubrique Analyse du code .NET.

Sujet parent : Intégration avec des outils d'analyse de code
Concepts associés
Analyse du code .NET


Intégrations de profils de référentiel tiers

  • AccuRev
    Décrit le mode de configuration des profils de référentiel tiers AccuRev.
  • Apache Commons Virtual File System (VFS)
    Décrit la configuration des profils de référentiel tiers VFS.
  • Git
    Décrit le mode de configuration des profils de référentiel tiers Git.
  • Microsoft Team Foundation Server
    Décrit la configuration des profils de référentiel tiers Team Foundation Server.
  • Silk Test Workbench
    Décrit le mode de configuration des profils de référentiel tiers Silk Test Workbench.
  • StarTeam
    Décrit le mode de configuration des profils de référentiel tiers StarTeam.
  • Subversion
    Décrit le mode de configuration des profils de référentiel tiers Subversion.
  • SilkTestPartner
    Décrit le mode de configuration des profils de référentiel tiers TestPartner.
  • Universal Naming Convention
    Décrit le mode de configuration des profils de référentiel tiers Universal Naming Convention.
Sujet parent : Intégrations


Intégration des outils d'automatisation des tests

  • Tests Unified Functional Testing (UFT)
    Le logiciel Unified Functional Testing ( UFT ), anciennement connu sous le nom de HP QuickTest Professional (QTP), permet l'automatisation des tests fonctionnels et de régression automatisés pour les applications et les environnements logiciels.
  • Tests JUnit
    JUnit est une infrastructure de tests d'unité pour le langage de programmation Java. Utilisez ce type de test pour les tests JUnit, Silk4J, et Selenium.
  • Tests MSTest
    MSTest est un utilitaire de ligne de commande de qui exécute des tests unitaires créés dans Microsoft . Utilisez ce type de test pour les tests MSTest et Silk4NET.
  • Tests NUnit
    NUnit est une infrastructure de tests d'unité pour le langage de programmation .NET Microsoft .
  • Tests ProcessExecutor
    Le type de test ProcessExecutor peut être utilisé pour exécuter une ligne de commande.
  • Tests Silk Performer .NET Explorer
    Le type de test est utilisé pour exécuter les scripts Silk Performer .NET Explorer ou un scénario de test spécifique d'un script.
  • Tests Silk Performer
    Les projets Silk Performer peuvent être intégrés aux tests Silk Central et exécutés directement via Silk Central . Ceci permet d'offrir des fonctions performantes d'analyse des résultats de test et de création de rapports sur ces résultats. Des tests sans intervention manuelle sont également possibles ; ils sont exécutés automatiquement par Silk Central selon des planifications préconfigurées.
  • Tests Silk Test Classic
    L'interface Silk Test Classic de Silk Central offre un moyen fiable d'automatiser les utilisateurs de Silk Test Classic . Chaque scénario de test d'un script Silk Test Classic s'exécute à l'intérieur de sa propre exécution de test et produit ses propres résultats.
  • Tests Silk Test Workbench
    Silk Test Workbench est un outil de test automatisé permettant d'accélérer le test fonctionnel d'applications complexes. Silk Test Workbench propose une prise en charge des applications de test développées dans une large palette d'outils de développement : Java, .NET, applications Web basées sur navigateur et composants COM, notamment (y compris des contrôles ActiveX et des objets d'automatisation).
  • SilkTestPartner Tests
    TestPartner est un produit Micro Focus qui teste des applications Web et Microsoft Windows utilisant des technologies Microsoft.
  • Tests de Windows Script Host
    Décrit le mode de création d'un environnement destiné à l'hébergement de scripts avec Windows Script Host.
Sujet parent : Intégrations


Intégrations du serveur d'intégration continue

Vous pouvez utiliser les services Web Silk Central pour intégrer vos exécutions de test à votre système de builds d'intégration continue. Si vous utilisez Jenkins comme serveur d'intégration continue (CI), vous pouvez télécharger le plug-in d'intégration Silk Central directement à partir de la page des plug-ins Jenkins.

Sujet parent : Intégrations
Concepts associés
Services Web Silk Central
Déclenchement de Silk Central à partir d'un serveur CI
Tâches associées
Téléchargement d'une bibliothèque de mots-clés à partir de la ligne de commande


Aide de l'API Silk Central

Ce guide fournit les informations nécessaires pour créer et déployer des plug-ins en vue de l'intégration d'outils tiers dans Silk Central, ainsi que des informations sur la gestion des résultats des exécutions de plan d'exécution externes. Pour les services Web SOAP disponibles, ce guide contient des spécifications ainsi que des descriptions d'API et il explique comment intégrer des plug-ins tiers dans Silk Central.

Remarque : Ce guide part du principe que vous savez implémenter et utiliser les services Web.

Vue d'ensemble

Silk Central Décrit les services Web SOAP pour l'intégration d'applications tierces, ainsi que l'API REST de gestion des résultats des exécutions de plans d'exécution externes.

Avec les services Web Silk Central basés sur SOAP, vous pouvez intégrer vos outils existants de référentiels tiers, de suivi des incidents et de gestion des exigences en configurant des plug-ins Silk Central. Plusieurs exemples de plug-ins sont fournis avec Silk Central.

Avec l'API REST de gestion des résultats des exécutions de plan d'exécution externes, vous pouvez télécharger les résultats externes, qui ont été générés par les exécutions de plan d'exécution qui n'ont pas été exécutées par les serveurs d'exécution Silk Central, et les stocker dans Silk Central en vue de la réalisation d'autres opérations de gestion des tests. Vous pouvez également spécifier ces plans d'exécution externes, qui seront exécutés dans un environnement d'exécution externe et non sur les serveurs d'exécution Silk Central.

Documentation relative aux services Web SOAP

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc..

Documentation relative à l'API REST

Si Silk Central est installé sur votre système, vous pouvez accéder à la documentation interactive de l'API REST à cette adresse.

Silk Central Plug-ins d'intégration

Les plug-ins Silk Central sont fournis en l'état, avec tous les défauts qu'ils comportent et sans garantie d'aucune sorte. Micro Focus n'offre aucune garantie ou condition, qu'elle soit expresse, implicite ou légale sur quelque point que ce soit, y compris, mais sans s'y limiter, les garanties et conditions de qualité marchande, d'adéquation à un usage particulier, d'absence de virus, d'exactitude ou d'exhaustivité, de titre, de jouissance paisible et d'absence de contrefaçon.

Vous utilisez les plug-ins à vos propres risques. Micro Focus ne pourra en aucun cas être tenu pour responsable d'éventuels dommages directs, indirects, spéciaux, fortuits ou consécutifs de quelque nature que ce soit, y compris, mais sans s'y limiter, la pertes de profits, résultant ou découlant de votre utilisation des plug-ins.

  • Création de plug-ins
    Décrit les tâches communes à la création de tous les types de plug-ins.
  • Intégration de couverture de code
    Décrit les API requises pour l'intégration de couverture de code.
  • Intégration de référentiels tiers
    Explique le mode de configuration des plug-ins de référentiel tiers personnalisés pour Silk Central.
  • Intégration du suivi des incidents
    Cette section explique comment créer des plug-ins permettant l'intégration de systèmes de suivi des incidents tiers (externes).
  • Intégration de la gestion des exigences
    Explique comment intégrer la fonctionnalité Silk Central de gestion des exigences avec des systèmes tiers de gestion des exigences.
  • Intégration de types de tests tiers
    Cette section décrit le mode de création de plug-ins personnalisés pour des types de tests au-delà des types de tests standard disponibles (Silk Performer, Silk Test Classic, tests manuels, NUnit, JUnit et Windows Scripting (WSH)).
  • Intégration cloud
    Explique comment intégrer Silk Central avec les fournisseurs de services cloud publics ou privés.
  • Services Web Silk Central
    Détaille les interfaces de services Web SOAP disponibles.


Création de plug-ins

Vue d'ensemble

Cette section décrit comment créer des plug-ins pour Silk Central. Seules les tâches communes à tous les types de plug-ins sont présentées ici.

Types de plug-ins

Silk Central fournit plusieurs API de plug-in. Chaque API est considérée comme une espèce.

Compilation

Pour les plug-ins de développement et de compilation, reportez-vous aux Notes de Release de Silk Central pour la version Java appropriée. Cela s'avère important pour la compatibilité avec l'environnement d'exécution Java de Silk Central.

Déploiement

Après avoir créé vos classes de plug-in et implémenté une API d'espèce, vous pouvez créer un package de plug-ins (fichier JAR ou ZIP).

  • Si votre plug-in ne possède pas d'autres dépendances (ou dépend des bibliothèques faisant déjà partie de Silk Central), il vous suffit de créer un fichier JAR contenant vos classes.
  • Si votre plug-in dépend de bibliothèques supplémentaires, placez les bibliothèques dans le sous-répertoire lib et regroupez toutes les bibliothèques dans une archive ZIP.

Placez le fichier créé dans le répertoire de plug-ins situé à l'emplacement <application server installation directory>\plugins\.

Remarque : Vous devez redémarrer le serveur d'application et le serveur de présentation de manière à ce que le nouveau plug-in déployé soit disponible dans Silk Central. Pour plus d'informations sur le redémarrage des serveurs, reportez-vous aux rubriques Administration de cette Aide.

Distribution

Étant donné que Silk Central connaît les types d'espèces de plug-ins, l'application est également capable de déterminer les espèces requises par chaque serveur (exécution, application et présentation). Chaque plug-in peut être installé sur le serveur d'application. Silk Central distribue automatiquement les plug-ins appropriés sur chaque serveur.

Sujet parent : Aide de l'API Silk Central
Concepts associés
Intégration de référentiels tiers
Intégration du suivi des incidents
Intégration de la gestion des exigences
Intégration de types de tests tiers
Intégration de couverture de code
Intégration cloud


Intégration de couverture de code

L'interface de l'API Java évoquée dans ce chapitre est requise afin de créer des plug-ins pour Silk Central qui permettent d'activer l'intégration d'un outil de couverture de code tiers (externe).

Les outils de couverture de code permettent de fournir des informations sur le code couvert par les tests. Silk Central propose les outils de couverture de code prêts à l'emploi suivants :
  • Analyse de code Java Silk Central (Java Code Analysis Agent)
  • Analyse de code DevPartner Studio .NET (Windows Code Analysis Framework)
Remarque : Si votre application sous test est exécutée sous Linux, reportez-vous à la rubrique Installation de l'atelier d'analyse de code dans un environnement d'application sous test Linux.

Si les deux outils précédemment cités ne suffisent pas, vous pouvez créer et déployer votre propre intégration de couverture de code. Reportez-vous à Creating Your Own Code Coverage Plugin.

Remarque : En plus de déployer votre application personnalisée sur le serveur d'application (reportez-vous à la rubrique Création de plug-ins), vous devez aussi déployer votre application personnalisée sur le serveur de l'atelier d'analyse de code. Votre application sous test et votre outil de couverture de code se trouvent à cet emplacement. Le chemin d'accès est le suivant : \Silk\Silk Central <version>\Plugins
  • Création de votre plug-in de couverture de code
    Décrit comment créer un plug-in de couverture de code.
  • Installation de l'atelier d'analyse de code dans un environnement d'application sous test Linux
    Explique comment installer l'atelier d'analyse de code dans un environnement d'application sous test Linux.
Sujet parent : Aide de l'API Silk Central
Concepts associés
Création de plug-ins
Intégration de référentiels tiers
Intégration du suivi des incidents
Intégration de la gestion des exigences
Intégration de types de tests tiers
Déploiement


Création de votre plug-in de couverture de code

Cette rubrique décrit comment créer un plug-in de couverture de code. Vous devez maîtriser le concept de lotissement Silk Central. Dans Silk Central, un lotissement est requis avant chaque exécution. Un lotissement comprend tous les espaces de noms/packages/classes/méthodes dans l'application testée.

Remarque : L'API Silk Central requiert un fichier XML pour pouvoir être retournée dans le cadre d'exécutions de couverture de code. Cela signifie que si votre outil de couverture de code stocke les informations associées dans une base de données, vous devrez effectuer des étapes supplémentaires pour récupérer les données.
Remarque : L'exécution simultanée de tests dans le même atelier d'analyse de code par plusieurs serveurs d'exécution n'est pas prise en charge.
  1. Ajoutez la bibliothèque scc.jar à votre classpath, car elle comporte les interfaces devant être étendues. Le fichier JAR se trouve dans le répertoire lib du répertoire d'installation de Silk Central.
  2. Ajoutez les deux déclarations d'import suivantes :
    import com.segue.scc.published.api.codeanalysis.CodeAnalysisProfile;
import com.segue.scc.published.api.codeanalysis.CodeAnalysisProfileException;
import com.segue.scc.published.api.codeanalysis.CodeAnalysisResult;
  3. Créez une classe qui implémente CodeAnalysisProfile.
  4. Ajoutez toutes les méthodes requises à partir de l'interface de couverture de code et répertoriées dans les étapes suivantes. Vous pouvez vous reporter à l'élément Exemple de classe d'interface pour connaître sa définition et implémenter manuellement les méthodes. À défaut, vous pouvez copier et coller la rubrique Exemple de classe d'interface, qui inclut les imports et les définitions de méthode.
    Remarque : Les méthodes des étapes suivantes que vous écrirez sont appelées par Silk Central lorsqu'elles sont requises. Cela signifie que vous ne les appellerez pas directement.
  5. Code getBaseline. Cette méthode doit renvoyer un fichier XML comprenant tous les espaces de noms/packages/classes/méthodes dans l'application. Reportez-vous au fichier de la rubrique Exemple de données XML pour plus d'informations sur le format du fichier. Vous devez valider le fichier XML à l'aide de l'exemple de fichier XSD. Reportez-vous à la rubrique Fichier XSD de couverture de code pour en savoir plus sur le fichier XSD.

    Cette fonction est appelée avant le démarrage de la couverture. Elle se déclenche lorsque le serveur d'exécution Silk Central démarre une exécution de test afin de lancer l'analyse de code et renvoyer tous les objets à couvrir. Le résultat doit être converti dans un fichier XML à l'aide du format spécifié dans le schéma XML inclus dans le dossier d'installation de CA-Framework.

  6. Code startCoverage. Cet appel doit indiquer à votre outil de couverture de code de démarrer la collecte des données. Renvoie la valeur Vrai en cas de démarrage.

    Cet appel est lancé par l'atelier de couverture de code Silk Central lorsque la méthode getBaseLine() est terminée. Vous devez y démarrer votre outil de couverture de code, qui collectera les données de couverture de code.

  7. Code stopCoverage. Cet appel doit indiquer à votre outil de couverture de code d'arrêter la collecte des données. Renvoie la valeur Vrai en cas de réussite.

    Cet appel est lancé après startCoverage ; il est déclenché par le serveur d'exécution Silk Central terminant une exécution de test afin d'arrêter l'analyse de code.

  8. Code getCoverage. Renvoie un fichier XML comportant les données collectées entre les méthodes startCoverage et stopCoverage. Reportez-vous à la rubrique Exemple de données XML pour plus d'informations sur le format du fichier. Vous devez valider le fichier XML à l'aide de l'exemple de fichier XSD. Reportez-vous à la rubrique Fichier XSD de couverture de code pour en savoir plus sur le fichier XSD.

    Cette fonction est appelée après stopCoverage() et renvoie toutes les données de couverture collectées. Le résultat doit être converti au format XML à l'aide du format spécifié dans le schéma XML.

  9. Code GetName. Doit indiquer le nom qui sera utilisé pour désigner l'outil de couverture de code. Par exemple, cette valeur sera utilisée comme l'une des valeurs dans la liste Profil d'Analyse de Code de la boîte de dialogue Modifier les Paramètres d'Analyse de Code.

    Celle-ci est appelée en premier lieu par l'atelier d'analyse de code Silk Central. Le nom du plug-in s'affiche dans la liste de couverture de code de Silk Central.

  10. Placez le plug-in dans un fichier .jar et insérez ce dernier dans un fichier .zip.
  11. Déployez votre plug-in aux emplacements suivants :
    • Dans le répertoire Plugins du dossier d'installation de Silk Central.
    • Dans le répertoire Plugins du dossier d'installation de CA-Framework.
  • Exemple de classe de profils
    Décrit un exemple de classe de profils.
  • Fichier XSD de couverture de code
    Décrit le fichier XSD de la couverture de code.
  • Exemple de données XML
    Décrit l'exemple de données XML fourni pour l'API d'intégration de la couverture de code.
Sujet parent : Intégration de couverture de code


Exemple de classe de profils

Ce fichier d'exemple présente toutes les méthodes, imports et implémentations requises pour un plug-in de couverture de code.

//Add the library scc.jar to your classpath as it contains the interfaces that
//must be extended. The JAR file can be found in the lib directory of the Test
//Manager installation directory.
//
//make sure to include these imports after adding the scc.jar external reference
import com.segue.scc.published.api.codeanalysis.CodeAnalysisProfile;
import com.segue.scc.published.api.codeanalysis.CodeAnalysisProfileException;
import com.segue.scc.published.api.codeanalysis.CodeAnalysisResult;

public class myProfileClass implements CodeAnalysisProfile{

  // This function is called first by the Silk Central Code Coverage framework
  // The name of the plug-in is displayed in the code coverage drop down in Silk Central
  @Override
  public String getName() {
    // The name of the plugin cannot be an empty string
    return "my plugin name";
  }

  // This function is called before starting coverage,
  // this should return all of the objects to be covered and needs to be
  // converted into xml using the format specified in the XML schema
  // CodeCoverage.xsd included in the CA-Framework installation folder.
  // This is triggered by the Silk Central Execution Server starting a test run
  // to start code analysis.
  @Override
  public CodeAnalysisResult getBaseline() throws CodeAnalysisProfileException {
    CodeAnalysisResult result = new CodeAnalysisResult();
    try{
      String baselineData = MyCodeCoverageTool.getAllCoveredObjectsData();
      String xmlString = xmltransformXML(baselineData);
      result.Xml(xmlString);
      String myCustomLogMessage = "Code Coverage baseline successfully retrieved.";
      result.AddLogMsg(myCustomLogMessage);
    }catch(Exception e){
      throw new CodeAnalysisProfileException(e);
    }
    return result;
  }

  //This function is called by the Silk Central Code Coverage Framework after the getBaseLine() method is complete
  //this is where you should start my code coverage tool
  //collecting code coverage data

  @Override
  public boolean startCoverage() throws CodeAnalysisProfileException {
    try{
      MyCodeCoverageTool.StartCollectingCoverageData();
    }catch(Exception e){
      throw new CodeAnalysisProfileException(e);
    }
  }
  //This function is called after startCoverage,
  //This is triggered by the Silk Central Execution Server finishing a test run
  //to stop code analysis
  //Call to my code coverage tool to stop collecting data here.
  @Override
  public boolean stopCoverage() throws CodeAnalysisProfileException {
    try{
      MyCodeCoverageTool.StopCollectingCoverageData();
    }catch(Exception e){
      throw new CodeAnalysisProfileException(e);
    }
  }
  // This function is called after stopCoverage(),
  // and should return all the coverage data collected and needs to be
  // converted into xml using the format specified in the XML schema
  // CCoverage.xsd included in the CA-Framework installation folder

  @Override
  public CodeAnalysisResult getCoverage() throws CodeAnalysisProfileException {
    CodeAnalysisResult result = new CodeAnalysisResult();
    try{
      String coverageData = MyCodeCoverageTool.getActualCoverageData();
      String xmlString = xmltransformXML(coverageData);
      result.Xml(xmlString);
      String myCustomLogMessage = "Code Coverage successfully retrieved.";
      result.AddLogMsg(myCustomLogMessage);
    }catch(Exception e){
     throw new CodeAnalysisProfileException(e);
    }

    return result;
  }

  private String transformXML(String myData){
    //code to transform from my data to the Silk CentralM needed xml
    ...
    return xmlString;
  }

}
Sujet parent : Création de votre plug-in de couverture de code


Fichier XSD de couverture de code

Le document suivant correspond au fichier XSD à utiliser pour valider le code XML généré par votre outil de couverture de code. Il est disponible à l'emplacement suivant : <CA Framework installation>\CodeAnalysis\CodeCoverage.xsd.

<xs:schema id="data" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="coverage">
    <xs:complexType>
      <!--type will be method when defined as a child to class or line when defined as a child to method-->
      <xs:attribute name="type" type="xs:string" />
      <!--hits for the definition file will be 0, the update file will define the hits count-->
      <xs:attribute name="hits" type="xs:string" />
      <!--the total count will be sent with both the definition and update file, both counts will match-->
      <xs:attribute name="total" type="xs:string" />
      <!--this will be an empty string for the definition file, the line numbers will be sent in the update file delimited by a colon-->
      <xs:attribute name="lines" type="xs:string" />
    </xs:complexType>
  </xs:element>
  <xs:element name="data">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element ref="coverage" />
        <xs:element name="class">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="sourcefile" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <!--full path to the code file-->
                  <xs:attribute name="name" type="xs:string" />
                </xs:complexType>
              </xs:element>
              <xs:element ref="coverage" minOccurs="0" maxOccurs="unbounded" />
              <xs:element name="method" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element ref="coverage" minOccurs="0" maxOccurs="unbounded" />
                  </xs:sequence>
                  <!--
                      <field_signature> ::= <field_type>
                      <field_type>      ::= <base_type>|<object_type>|<array_type>
                      <base_type>       ::= B|C|D|F|I|J|S|Z
                      <object_type>     ::= L<fullclassname>;
                      <array_type>      ::= [<field_type>

                      The meaning of the base types is as follows:
                      B byte signed byte
                      C char character
                      D double double precision IEEE float
                      F float single precision IEEE float
                      I int integer
                      J long long integer
                      L<fullclassname>; ... an object of the given class
                      S short signed short
                      Z boolean true or false
                      [<field sig> ... array

                      example signature for a java method 'doctypeDecl' with 3 string params and a return type void

                          doctypeDecl : (Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V

                      refer to org.apache.bcel.classfile.Utility for more information on signatureToString
                  -->
                  <xs:attribute name="name" type="xs:string" />
                  <!--method invokation count, this will be 0 for the definition file-->
                  <xs:attribute name="inv" type="xs:string" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attribute name="name" type="xs:string" />
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
Sujet parent : Création de votre plug-in de couverture de code


Exemple de données XML

L'API de couverture de code reconnaît les données XML au format suivant.

Vous pouvez utiliser l'exemple de document XSD fourni pour valider également vos données XML.

<!--  Generated by 'MyPluginTool'at '2010-11-05T16:11:09'
 -->
<data>
  <class name="ProjectA.ClassA1">
    <sourcefile name="C:\Users\TestApp\ProjectA\ClassA1.cs"/>
    <coverage hits="8" total="8" type="method"/>
    <coverage hits="30" total="30" type="line"/>
    <method inv="2" name="ClassA1  : ()V">
      <coverage hits="3" lines="11:2,12:2,14:2" total="3" type="line"/>
    </method>
    <method inv="2" name="BoolByteMethod  : (LSystem/Boolean;LSystem/SByte;)V">
      <coverage hits="3" lines="17:2,18:2,19:2" total="3" type="line"/>
    </method>
    <method inv="1" name="CharStringMethod  : (LSystem/Char;LSystem/String;)V">
      <coverage hits="3" lines="38:1,39:1,40:1" total="3" type="line"/>
    </method>
    <method inv="2" name="DateMethod  : (LSystem/DateTime;)V">
      <coverage hits="3" lines="22:2,23:2,24:2" total="3" type="line"/>
    </method>
    <method inv="1" name="DecimalMethod  : (LSystem/Decimal;LSystem/Single;LSystem/Double;)V">
      <coverage hits="4" lines="27:1,28:1,29:1,30:1" total="4" type="line"/>
    </method>
    <method inv="1" name="IntMethod  : (LSystem/Int32;LSystem/Int64;LSystem/Int16;)V">
      <coverage hits="3" lines="33:1,34:1,35:1" total="3" type="line"/>
    </method>
    <method inv="1" name="passMeArrays  : (LSystem/Int32[];LSystem/Decimal[];)V">
      <coverage hits="6" lines="51:1,52:1,53:1,55:1,56:1,58:1" total="6" type="line"/>
    </method>
    <method inv="1" name="passMeObjects  : (LSystem/Object;LSystem/Object/ClassA1;)V">
      <coverage hits="5" lines="43:1,44:1,45:1,46:1,48:1" total="5" type="line"/>
    </method>
  </class>
  <class name="TestApp.Form1">
    <sourcefile name="C:\Users\TestApp\Form1.Designer.cs"/>
    <coverage hits="2" total="10" type="method"/>
    <coverage hits="24" total="110" type="line"/>
    <method inv="1" name="btnClassA_Click  : (LSystem/Object;LSystem/Object/EventArgs;)V">
      <coverage hits="3" lines="25:1,26:1,27:1" total="3" type="line"/>
    </method>
    <method inv="1" name="CallAllClassAMethods  : ()V">
      <coverage hits="21" lines="35:1,36:1,37:1,38:1,39:1,40:1,41:1,42:1,43:1,44:1,45:1,46:1,48:1,49:1,50:1,51:1,52:1,53:1,54:1,55:1,56:1" total="21" type="line"/>
    </method>
  </class>
</data>
Sujet parent : Création de votre plug-in de couverture de code


Installation de l'atelier d'analyse de code dans un environnement d'application sous test Linux

La procédure ci-dessous doit être exécutée si le plug-in de couverture de code que vous créez doit interagir avec l'application .NET sous test sur le système d'exploitation Linux.

  1. Vous pouvez accéder à l'atelier d'analyse de code pour Linux en sélectionnant Aide > Outils > Atelier d'Analyse de Code Linux. Téléchargez-le et copiez-le dans le dossier racine ou tout autre dossier de la machine Linux.
  2. Vérifiez que Java Runtime Environment (JRE) 8 est installé sur la machine où se trouve l'application sous test.
  3. Extrayez CA-Framework.tar.gz.
  4. Placez le plug-in d'analyse de code dans le dossier <dossier d'installation>/19.0Silk Central/Plugins.
  5. Accédez au répertoire <dossier d'installation>/Silk Central 19.0/Code Analysis.
  6. Recherchez le script de shell startCodeAnalysisFramework.sh qui exécutera le processus CA-Framework.
  7. Exécutez la commande suivante afin de convertir le fichier au format Unix : dos2unix startCodeAnalysisFramework.sh.
  8. Exécutez la commande suivante afin de définir les autorisations requises pour exécuter le script de shell : chmod 775 startCodeAnalysisFramework.sh.
  9. Exécutez le script de shell suivant afin de mettre en œuvre le processus CAFramework : ./startCodeAnalysisFramework.sh.
L'atelier d'analyse de code peut désormais être utilisé à partir de Silk Central.
Sujet parent : Intégration de couverture de code


Intégration de référentiels tiers

Les profils de référentiel tiers permettent à Silk Central de s'intégrer à des systèmes de référentiel tiers externes.

Une fois déployés, les plug-ins de référentiel tiers personnalisés peuvent être configurés dans Silk Central, ce qui vous permet de définir l'emplacement où les serveurs d'exécution Silk Central doivent récupérer les sources des programmes en vue de l'exécution des tests.

Voir les sources du package com.segue.scc.vcs.subversion dans C:\Program Files (x86)\Silk\Silk Central 19.0\instance_<numéro d'instance>_<nom d'instance>\Plugins\subversion.zip pour voir comment s'accordent ces éléments.

  • Interface d'intégration de référentiels tiers
    Répertorie les interfaces utilisées pour l'intégration de référentiels tiers.
  • Conventions relatives à l'intégration de référentiels tiers
    Explique que chaque implémentation doit fournir un constructeur par défaut et que chaque méthode d'interface spécifie le paramètre SourceControlException.
Sujet parent : Aide de l'API Silk Central
Concepts associés
Création de plug-ins
Intégration du suivi des incidents
Intégration de la gestion des exigences
Intégration de types de tests tiers
Intégration de couverture de code


Interface d'intégration de référentiels tiers

Silk Central fait la distinction entre SourceControlProfile et VersionControlProfile. La différence est que SourceControlProfile n'est pas versionné, alors que VersionControlProfile l'est.

Voici les interfaces Silk Central utilisées pour l'intégration de référentiels tiers :
  • SourceControlProfile
  • VersionControlProfile
  • SourceControlProfileData
  • SourceControlException
  • SourceControlInfo

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

Sujet parent : Intégration de référentiels tiers


Conventions relatives à l'intégration de référentiels tiers

Chaque implémentation doit fournir un constructeur par défaut et, éventuellement, un constructeur avec le paramètre SourceControlProfileData. Si ce constructeur n'est pas fourni, une méthode setter bean doit être indiquée pour le paramètre SourceControlProfileData.

Comme chaque méthode d'interface spécifie le paramètre SourceControlException à envoyer, il est interdit d'envoyer un paramètre RuntimeException dans une méthode utilisée par l'interface.

Sujet parent : Intégration de référentiels tiers


Intégration du suivi des incidents

L'interface présentée dans ce chapitre est requise afin de créer des plug-ins pour Silk Central qui permettent l'intégration d'un système de suivi des incidents tiers (externe).

La définition de profils de suivi d'incidents vous permet de lier des tests de l'espace Tests aux incidents des systèmes de suivi des incidents tiers. Les états des incidents liés sont mis à jour périodiquement à partir des systèmes de suivi des incidents tiers.

Reportez-vous aux sources du package com.segue.scc.issuetracking.bugzilla3 dans C:\Program Files (x86)\ Silk \ Silk Central 19.0 \instance_<numéro d'instance>_<nom d'instance>\Plugins\Bugzilla3.zip pour voir comment s'accordent ces éléments.

  • Interface Java
    Explique comment mettre en place une intégration de suivi d'incidents basée sur l'API Java.
Sujet parent : Aide de l'API Silk Central
Concepts associés
Création de plug-ins
Intégration de référentiels tiers
Intégration de la gestion des exigences
Intégration de types de tests tiers
Intégration de couverture de code
Intégrations des profils de suivi d'incidents


Interface Java

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

Environnement de build

Ajoutez la bibliothèque scc.jar à votre classpath, car elle comporte les interfaces devant être étendues. Le fichier JAR se trouve dans le répertoire lib du répertoire d'installation de Silk Central.

Vous devez étendre deux interfaces/classes :
  • com.segue.scc.published.api.issuetracking82.IssueTrackingProfile
  • com.segue.scc.published.api.issuetracking.Issue

Classes/Interfaces

  • IssueTrackingProfile
  • IssueTrackingData
  • Issue
  • IssueTrackingField
  • IssueTrackingProfileException
Sujet parent : Intégration du suivi des incidents


Intégration de la gestion des exigences

Silk Central peut intégrer des systèmes tiers de gestion des exigences (RMS) afin d'associer et de synchroniser les exigences.

Cette section décrit une interface de programmation d'application Java qui vous permet d'implémenter des plug-ins tiers en vue de la synchronisation des exigences dans Silk Central avec celles d'un système tiers. Cette section décrit les interfaces qui identifient un plug-in d'exigences et son déploiement.

Un fichier JAR ou ZIP est fourni selon le concept standard de plug-in Silk Central et déployé automatiquement sur tous les serveurs de présentation, permettant ainsi l'accès aux outils tiers à des fins de configuration et de synchronisation. Ce plug-in implémente une interface spécifiée qui permet à Silk Central de l'identifier en tant que plug-in d'exigences et fournit les propriétés de connexion requises pour accéder à l'outil tiers.

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

Pour plus d'informations sur les plug-ins supplémentaires, contactez le support client.

  • Interfaces Java
    Répertorie les interfaces de l'API du plug-in d'exigences.
Sujet parent : Aide de l'API Silk Central
Concepts associés
Création de plug-ins
Intégration de référentiels tiers
Intégration du suivi des incidents
Intégration de types de tests tiers
Intégration de couverture de code
Déploiement


Interfaces Java

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

L'interface de base pour commencer est RMPluginProfile (com.segue.tm.published.api.requirements.javaplugin). RMPluginProfile spécifie le plug-in en tant que plug-in d'exigences.

L'API du plug-in d'exigences Java inclut également les interfaces suivantes :
  • RMAction
  • RMAttachment
  • RMDataProvider
  • Facultatif : RMIconProvider
  • RMNode
  • RMNodeType
  • RMPluginProfile
  • RMProject
  • RMTest
  • RMTestParameter
  • Facultatif : RMTestProvider
  • RMTestStep
Sujet parent : Intégration de la gestion des exigences
Concepts associés
Déploiement


Intégration de types de tests tiers

Silk Central vous permet de créer des plug-ins personnalisés pour des types de tests au-delà des types de tests standard disponibles, notamment Silk Performer, Silk Test Classic, tests manuels, NUnit, JUnit et Windows Scripting Host (WSH). Lors de la création d'un plug-in de type de test, le type de test personnalisé est disponible dans la zone de liste Type de la boîte de dialogue Nouveau Test, tout comme les types de tests standard disponibles pour la création de tests dans Silk Central.

Un plug-in désigne les propriétés requises pour la configuration d'un test et l'implémentation de l'exécution d'un test. Les méta-informations sur les propriétés sont définies dans un Fichier XML de configuration.

L'objectif du plug-in est la prise en charge des tests basés sur des infrastructures de test communes, telles que JUnit et NUnit, ou des langages de script (WSH) pour simplifier la personnalisation de Silk Central dans votre environnement de test. L'API publique bien définie de Silk Central vous permet d'implémenter une solution propriétaire répondant à vos besoins en matière de tests automatisés. Silk Central est ouvert et extensible pour n'importe quel outil tiers pouvant être appelé à partir d'une implémentation Java ou via un appel de la ligne de commande.

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

Les classes décrites dans Javadoc sont comprises dans le fichier tm-testlaunchapi.jar.

Pour plus d'informations sur les plug-ins supplémentaires, contactez le support client.

Cette section inclut un exemple de code qui implémente le type de test de l'exécuteur de processus. L'exécuteur de processus peut être utilisé pour lancer un fichier exécutable et il étend la classe de lanceurs de tests de processus publiés. Pour plus d'informations, téléchargez l'Exemple du Plug-in de Lancement de Test dans Aide > Outils et prenez connaissance du fichier Readme.txt.

  • Implémentation de plug-ins
    Décrit les principes de l'API et de son interface de rappel.
  • Structure de l'API
    Détaille la structure de l'API pour l'intégration des types de tests tiers.
  • Exemple de code
    Inclut un exemple de code qui implémente le type de test de l'exécuteur de processus, lequel peut être utilisé pour lancer un fichier exécutable et étendre la classe ExtProcessTestLaunchBean publiée.
  • Fichier XML de configuration
    Indique que le fichier XML de configuration comprend des méta-informations sur le plug-in de type de test tiers.
  • Icônes personnalisées
    Indique comment créer des icônes personnalisées pour un type de test personnalisé, de manière à pouvoir distinguer chaque type de test.
  • Déploiement
    Indique comment le plug-in de type de test tiers est déployé.
  • Indication du début et de la fin de la capture vidéo
    Décrit comment définir dans Silk Central que vous voulez capturer un cas de test spécifique d'un test tiers.
Sujet parent : Aide de l'API Silk Central
Concepts associés
Création de plug-ins
Intégration de référentiels tiers
Intégration du suivi des incidents
Intégration de la gestion des exigences
Intégration de couverture de code


Implémentation de plug-ins

Les principes de l'API reposent sur des concepts Java Beans largement reconnus. Cela permet aux développeurs d'implémenter facilement des plug-ins de lancement de test. Pour éviter de placer des informations textuelles dans du code Java, les méta-informations relatives aux propriétés sont définies dans un fichier XML.

L'implémentation des plug-ins est mise en package dans une archive ZIP et inclut une interface de rappel en vue de son intégration. En retour, d'autres interfaces sont fournies par la structure de plug-ins et permettent à l'implémentation d'accéder aux informations ou de renvoyer des résultats.

  • Mise en package
    Explique le mode de mise en package du plug-in.
  • Transmission de paramètres au plug-in
    Explique les types de paramètre auxquels le plug-in a accès et le mode de transmission de ces paramètres au plug-in.
Sujet parent : Intégration de types de tests tiers


Mise en package

Le plug-in est mis en package dans une archive ZIP qui contient le code source Java et le fichier de configuration XML. L'archive contient aussi des implémentations du plug-in de lancement de test. Le code source peut figurer dans un fichier d'archive Java (.jar) ou directement dans des fichiers .class situés à l'intérieur de dossiers qui représentent la structure des packages Java.

La classe de plug-in TestLaunchBean suit la norme Bean et implémente l'interface TestLaunchBean. Le fichier de configuration XML de l'archive .zip porte le même nom que cette classe. Cela vous permet de mettre plusieurs plug-ins et fichiers XML en package dans une seule archive.

Sujet parent : Implémentation de plug-ins


Transmission de paramètres au plug-in

Si un plug-in est basé sur la classe ExtProcessTestLaunchBean, chaque paramètre est automatiquement défini comme une variable d'environnement dans le processus démarré par le plug-in. C'est également le cas si le nom du paramètre correspond au nom d'une variable système : ainsi, la valeur de la variable système est remplacée par celle du paramètre, sauf si la valeur du paramètre est une chaîne vide.

L'interface de plug-in propose un accès à tous les paramètres personnalisés ayant été définis dans l'espace Tests de Silk Central. Seuls les paramètres personnalisés sont pris en charge pour les types de tests tiers. Le plug-in ne peut pas spécifier des paramètres prédéfinis ; l'implémentation du plug-in détermine si des paramètres sont définis pour des tests spécifiques, et de quelle manière.

Utilisez la méthode getParameterValueStrings() dans l'interface TestLaunchPluginContext pour obtenir un conteneur comportant des mappages entre les noms de paramètres (clé) et leurs valeurs représentées sous la forme de String.

Pour les types de tests JUnit, toute classe de test JUnit peut accéder à un paramètre personnalisé du test sous-jacent en tant que propriété système Java ; le programme de lancement transmet ces paramètres à la machine virtuelle en cours d'exécution, à l'aide de l'argument VM "-D".

Sujet parent : Implémentation de plug-ins


Structure de l'API

Cette illustration détaille la structure de l'API pour l'intégration des types de tests tiers.

structure de l'API

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

Interfaces disponibles

  • TestLaunchBean
  • ExtProcessTestLaunchBean
  • TestLaunchPluginContext
  • TestSourceContext
  • TestLaunchResultDrain
Sujet parent : Intégration de types de tests tiers


Exemple de code

Cet exemple de bloc de code implémente le type de test de l'exécuteur de processus, lequel peut être utilisé pour lancer un fichier exécutable et étendre la classe ExtProcessTestLaunchBean publiée.

package com.borland.sctm.testlauncher;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;

import com.segue.tm.published.api.testlaunch.ExtProcessTestLaunchBean;
import com.segue.tm.published.api.testlaunch.TestLaunchResultDrain;

/**
 * Implements an Silk Central test type that can be used to launch
 * any executables, for example from a command line.
 * Extends Silk Central published process test launcher class,
 * see Silk Central API Specification (in Help -> Documentation) for
 * further details.
 */
public class ProcessExecutor extends ExtProcessTestLaunchBean {

  // test properties that will be set by Silk Central using appropriate setter
  // methods (bean convention),
  // property names must conform to property tags used in the XML file

  /**
   * Represents property <command> defined in ProcessExecutor.xml.
   */
  private String command;

  /**
   * Represents property <arguments> defined in ProcessExecutor.xml.
   */
  private String arguments;

  /**
   * Represents property <workingfolder> defined in ProcessExecutor.xml.
   */
  private String workingfolder;

  /**
   * Java Bean compliant setter used by Silk Central to forward the command to be
   * executed.
   * Conforms to property <command> defined in ProcessExecutor.xml.
   */
  public void setCommand(String command) {
    this.command = command;
  }

  /**
   * Java Bean compliant setter used by Silk Central to forward the arguments
   * that will be passed to the command.
   * Conforms to property <arguments> defined in ProcessExecutor.xml.
   */
  public void setArguments(String arguments) {
    this.arguments = arguments;
  }

  /**
   * Java Bean compliant setter used by Silk Central to forward the working
   * folder where the command will be executed.
   * Conforms to property <workingfolder> defined in
   * ProcessExecutor.xml.
   */
  public void setWorkingfolder(String workingfolder) {
    this.workingfolder = workingfolder;
  }

  /**
   * Main plug-in method. See Silk Central API Specification
   * (in Help &gt; Documentation) for further details.
   */
  @Override
  public boolean execute(long time, TestLaunchResultDrain context)
    throws InterruptedException {
    try {
      String[] cmd = getCommandArgs(context);
      File workingDir = getWorkingFolderFile(context);
      String[] envVariables = getEnviromentVariables(context);

      int processExitCode = runExternalProcess(cmd, envVariables, workingDir,
        context.getLog());

      boolean outputXmlFound = handleOutputXmlIfExists(context);

      if (! outputXmlFound && processExitCode != 0) {
        // if no output.xml file was produced, the exit code indicates
        // success or failure
        context.publishMessage(TestLaunchResultDrain.SEVERITY_ERROR,
          "Process exited with return code "
          + String.valueOf(processExitCode));
        context.updateErrors(1, 0);
        // set error, test will get status 'failed'
      }
    } catch (IOException e) {
      // prints exception message to Messages tab in Test Run
      // Results
      context.publishMessage(TestLaunchResultDrain.SEVERITY_FATAL,
        e.getMessage());
      // prints exception stack trace to 'log.txt' that can be viewed in Files
      // tab
      e.printStackTrace(context.getLog());
      context.publishErrors(1, 0);
      return false; // set test status to 'not executed'
    }
    return true;
  }

  /**
   * Initializes environment variables to be set additionally to those
   * inherited from the system environment of the Execution Server.
   * @param context the test execution context
   * @return String array containing the set environment variables
   * @throws IOException
   */
  private String[] getEnviromentVariables(TestLaunchResultDrain context)
    throws IOException {
    String[] envVariables = {
      "SCTM_EXEC_RESULTSFOLDER="
      + context.getTempResultsDir().getAbsolutePath(),
      "SCTM_EXEC_SOURCESFOLDER="
      + sourceAccess().getTestContainerRootDir().getAbsolutePath(),
    };
    return envVariables;
  }

  /**
   * Let Silk Central parse the standard report xml file (output.xml) if exists.
   * See also Silk Central Web Help - Creating a Test Package. A XSD file
   * can be found in Silk Central Help -&gt; Tools -&gt; Test Package XML Schema
   * Definition File
   * @param context the test execution context
   * @return true if output.xml exists
   * @throws IOException
   */
  private boolean handleOutputXmlIfExists(TestLaunchResultDrain context)
    throws IOException {
    String outputFileName = context.getTempResultsDir().getAbsolutePath()
    + File.separator + TestLaunchResultDrain.OUTPUT_XML_RESULT_FILE;
    File outputfile = new File(outputFileName);
    boolean outputXmlExists = outputfile.exists();
    if (outputXmlExists) {
      context.parseStdResultFile(outputfile);
      context.publishMessage(TestLaunchResultDrain.SEVERITY_INFO,
        String.format("output.xml parsed from '%s'", outputFileName));
    }
    return outputXmlExists;
  }

  /**
   * Retrieves the working folder on the Execution Server. If not configured
   * the results directory is used as working folder.
   * @param context the test execution context
   * @return the working folder file object
   * @throws IOException
   */
  private File getWorkingFolderFile(TestLaunchResultDrain context)
    throws IOException {
    final File workingFolderFile;
    if (workingfolder != null) {
      workingFolderFile = new File(workingfolder);
    } else {
      workingFolderFile = context.getTempResultsDir();
    }
    context.publishMessage(TestLaunchResultDrain.SEVERITY_INFO,
      String.format("process is exectued in working folder '%s'",
        workingFolderFile.getAbsolutePath()));
    return workingFolderFile;
  }

  /**
   * Retrieves the command line arguments specified.
   * @param context the test execution context
   * @return an array of command line arguments
   */
  private String[] getCommandArgs(TestLaunchResultDrain context) {
    final ArrayList<String> cmdList = new ArrayList<String>();
    final StringBuilder cmd = new StringBuilder();
    cmdList.add(command);
    cmd.append(command);
    if (arguments != null) {
      String[] lines = arguments.split("[\\r\\n]+");
      for (String line : lines) {
        cmdList.add(line);
        cmd.append(" ").append(line);
      }
    }
    context.publishMessage(TestLaunchResultDrain.SEVERITY_INFO,
      String.format("executed command '%s'", cmd.toString()));
    context.getLog().printf("start '%s'%n", cmd.toString());
    return (String[]) cmdList.toArray(new String[cmdList.size()]);
  }
}
Sujet parent : Intégration de types de tests tiers


Fichier XML de configuration

Le fichier XML de configuration comprend des méta-informations sur le plug-in de type de test tiers.

  • Méta-informations des plug-ins
    En général, les méta-informations des plug-ins fournissent des données sur les plug-ins et les types de tests.
  • Méta-informations des propriétés générales
    Décrit les informations générales identiques pour chaque propriété modifiable.
  • Méta-informations des propriétés des chaînes
    Répertorie les types de méta-informations des propriétés des chaînes disponibles dans le plug-in.
  • Méta-informations des propriétés des fichiers
    Répertorie les types de méta-informations des propriétés des fichiers disponibles dans le plug-in.
Sujet parent : Intégration de types de tests tiers


Méta-informations des plug-ins

En général, les méta-informations des plug-ins fournissent des données sur les plug-ins et les types de tests. Les types d'informations disponibles sont répertoriés ci-dessous.

Type | Description
id | Chaîne interne unique parmi tous les plug-ins installés et identifiant ce type.
label | Interface utilisateur affichée dans la liste des choix et les boîtes de dialogue d'édition pour ce type.
description | Informations textuelles supplémentaires décrivant ce type de test.
version | Distingue les différentes versions d'un type.
Sujet parent : Fichier XML de configuration


Méta-informations des propriétés générales

Pour les propriétés modifiables, des informations générales sont identiques pour chaque type de propriété, en plus des informations spécifiques au type. Le nom d'une propriété doit correspondre à celles définies dans le code par les méthodes get<<propertyname>>, avec le premier caractère en minuscules.

Type | Description
label | Texte affiché dans l'interface utilisateur.
description | Informations textuelles supplémentaires décrivant la propriété.
isOptional | La valeur True indique qu'aucune saisie utilisateur n'est requise.
default | Valeur par défaut de la propriété lors de la création d'un test. Cette valeur doit correspondre au type de propriété.
Sujet parent : Fichier XML de configuration


Méta-informations des propriétés des chaînes

Voici les types de méta-informations des propriétés des chaînes disponibles dans le plug-in.

Type | Description
maxLength | Indique la longueur maximale de la chaîne pouvant être saisie par l'utilisateur.
editMultiLine | Indique si le champ d'édition doit s'étendre sur plusieurs lignes.
isPassword | La valeur true masque la saisie utilisateur sous la forme ***.
Sujet parent : Fichier XML de configuration


Méta-informations des propriétés des fichiers

Voici les types de méta-informations des propriétés des fichiers disponibles dans le plug-in.

Pour les valeurs de fichiers spécifiées, les fichiers sans contrôle de version dotés de chemins d'accès absolus sur le serveur d'exécution sont distingués des fichiers avec contrôle de version. Les fichiers sous référentiel tiers sont toujours relatifs au répertoire racine du conteneur de tests et servent généralement à spécifier une source de test à exécuter. Les chemins d'accès absolus doivent exister sur le serveur d'exécution, en général en spécifiant un outil ou une ressource pour invoquer le test sur le serveur d'exécution.

Type | Description
openBrowser | Une valeur True indique qu'un navigateur doit être ouvert pour sélectionner le fichier dans le conteneur de tests.
isSourceControl | Une valeur True indique que le fichier provient d'un référentiel tiers.
fileNameSpec | Indique une restriction au niveau des noms de fichier autorisés par rapport à la boîte de dialogue standard Windows de navigation dans les fichiers.
Sujet parent : Fichier XML de configuration


Icônes personnalisées

Vous pouvez créer des icônes personnalisées pour votre type de test afin de pouvoir le différencier des autres types de tests. Pour définir ces icônes pour le plug-in (pour lequel vous avez défini l'identificateur PluginId dans le fichier XML de configuration), vous devez insérer les quatre icônes suivantes dans le répertoire racine du conteneur ZIP du plug-in.

Nom | Description
<PluginId>.gif | Icône par défaut de votre type de test. Par exemple, ProcessExecutor.gif.
<PluginId>_package.gif | Icône utilisée pour les nœuds du package de tests et de la suite, lorsque vous convertissez un test du type spécifié en un package de tests. Par exemple, ProcessExecutor_package.gif.
<PluginId>_linked.gif | Icône utilisée si le dossier parent du test est un conteneur de tests lié. Par exemple, ProcessExecutor_linked.gif.
<PluginId>_incomplete.gif | Icône utilisée si l'application ou le profil de référentiel tiers du conteneur de tests parent du test ne sont pas définis.
Lorsque vous créez une nouvelle icône pour un type de test, appliquez les règles suivantes :
  • Utilisez uniquement des icônes de type GIF. L'extension de fichier est sensible à la casse et doit toujours figurer en minuscules (.gif).
  • Supprimez les icônes anciennes ou non valides de <Silk Central deploy folder>\wwwroot\silkroot\img\PluginIcons, sinon les icônes ne seront pas mises à jour avec les nouvelles icônes dans le répertoire racine du conteneur ZIP du plug-in.
  • L'icône est au format 16x16 pixels.
  • Au maximum, 256 couleurs sont autorisées pour une icône.
  • L'icône inclut une transparence de 1 bit.
Sujet parent : Intégration de types de tests tiers


Déploiement

L'archive ZIP du plug-in doit figurer dans le sous-répertoire Plugins du répertoire d'installation de Silk Central. Pour intégrer des plug-ins se trouvant dans ce répertoire, redémarrez votre serveur d'application et de présentation via le Gestionnaire de services Silk Central.
Remarque : Le déploiement à chaud n'est pas pris en charge.

Ces deux serveurs doivent être redémarrés à chaque modification d'une archive. L'archive est téléchargée automatiquement sur les serveurs d'exécution.

Remarque : Ne supprimez jamais une archive de plug-in après avoir créé un test basé sur ce plug-in. Un test basé sur une archive de plug-in qui n'existe plus renverra des erreurs inconnues si celui-ci est modifié ou exécuté.
Sujet parent : Intégration de types de tests tiers


Indication du début et de la fin de la capture vidéo

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

Quand vous créez un nouveau plug-in de test de tiers pour Silk Central, que le type de test tiers prend en charge le traitement de plusieurs cas de tests lors d'un seule exécution et que vous voulez associer les vidéos capturées à des cas de tests spécifiques, vous avez le choix entre deux méthodes.

Tests tiers exécutés dans le plug-in

Pour ces tests, nous recommandons de suivre les méthodes indicateTestStart et indicateTestStop de la classe TestLaunchResultDrain.

Tests tiers exécutés dans un processus externe

Pour ces tests, vous pouvez utiliser un service TCP/IP pour envoyer les messages START (démarrer) et FINISH (terminer) au port du serveur d'exécution Silk Central. Le numéro de port à utiliser peut être interrogé à partir de ExecutionContextInfo.ExecProperty#PORT_TESTCASE_START_FINISH dans le plug-in. Le port est également disponible sous la forme de la variable #sctm_portTestCaseStartFinish dans le processus de test, si le plug-in dépasse ExtProcessTestLaunchBean. Ces types de messages indiquent respectivement au serveur d'exécution qu'un cas de test a démarré ou est terminé. Ces messages doivent être codés au format Unicode (UTF8) ou ASCII.
Type de message
Format
START
START <Test Name>, <Test ID> <LF>, où le caractère de retour chariot est représenté par le code ASCII 10.
FINISH
FINISH <Test Name>, <Test ID>, <Passed> LF, où le caractère de retour chariot est représenté par le code ASCII 10. Passed peut être True ou False. Si la configuration de la capture vidéo fait démarrer celle-ci En cas d'erreur, la vidéo est enregistrée avec les résultats uniquement si Passed est défini sur False.

Le serveur d'exécution répond par le message OK si la requête est reconnue. Dans le cas contraire, le serveur d'exécution répond par un message d'erreur. Attendez toujours la réponse du serveur d'exécution avant d'exécuter le cas de test suivant. Autrement, il est possible que la vidéo enregistrée ne corresponde pas au cas de test réel.

Si le processus externe, l'emplacement d'exécution du test, est basé sur un environnement Java, nous recommandons de suivre les méthodes indicateTestStart et indicateTestStop de la classe TestCaseStartFinishSocketClient, qui est incluse dans le fichier tm-testlaunchapi.jar.

Sujet parent : Intégration de types de tests tiers
Concepts associés
Capture vidéo


Intégration cloud

Silk Central vous permet de procéder à l'intégration dans des services cloud publics et privés en configurant des profils de fournisseur cloud. Les profils de cloud reposent sur un concept de plug-in. Vous pouvez ainsi écrire votre propre plug-in pour un fournisseur cloud spécifique. Un plug-in de fournisseur cloud déploie un environnement virtuel avant chaque exécution de tests automatisés.
Remarque : L'API de cloud va être modifiée dans les prochaines versions de Silk Central. Si vous utilisez cette API, la mise à niveau vers une version ultérieure de Silk Central peut vous amener à mettre à jour votre implémentation.

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

L'interface de base par laquelle il convient de commencer est CloudProviderProfile (com.segue.scc.published.api.cloud).CloudProviderProfile spécifie l'accès et le contrôle d'un système de cloud externe. Pour implémenter un plug-in de fournisseur cloud, procédez comme suit :
  • Déterminer les propriétés devant être configurées dans un profil de fournisseur cloud pour accéder à distance à un fournisseur de ce type
  • Valider les propriétés de profil et vérifier la connexion au fournisseur cloud
  • Récupérer la liste des modèles d'image disponibles à partir du fournisseur cloud
  • Déployer un environnement virtuel en fonction d'un modèle d'image sélectionné et exposer les adresses d'hôte accessibles de l'extérieur
  • Vérifier si un environnement virtuel est déployé et en cours d'exécution
  • Supprimer un environnement virtuel spécifique
Sujet parent : Aide de l'API Silk Central
Concepts associés
Intégration cloud
Création de plug-ins
Tâches associées
Configuration des serveurs d'exécution hébergés dans le cloud


Services Web Silk Central

Les services Web SOAP pour Silk Central ne nécessitent aucune configuration et sont activés par défaut sur chaque serveur de présentation. Par exemple, si vous utilisez l'URL http://www.yourFrontend.com/login pour accéder à Silk Central, http://www.yourFrontend.com/Services1.0/jaxws/system (services hérités à http://www.yourFrontend.com/Services1.0/services) et http://www.yourFrontend.com/AlmServices1.0/services sont les URL de base que vous utilisez pour accéder aux services Web disponibles.

Lorsque vous accédez à l'URL de base à l'aide d'un navigateur, vous voyez une simple liste HTML de tous les services Web disponibles. Cette liste est fournie par JAX-WS. La pile SOAP utilisée par Silk Central est https://jax-ws.java.net/.

L'URL de base propose des liens vers des fichiers XML normalisées au format WSDL (Web Service Definition Language), où chaque fichier décrit l'interface d'un seul service Web. Ces fichiers ne sont pas contrôlables de visu. C'est la raison pour laquelle des clients compatibles avec SOAP (par exemple, Silk Performer Java Explorer) lisent les fichiers WSDL et extraient ainsi les informations requises pour invoquer des méthodes sur les services Web correspondants.

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

Pour savoir comment gérer les exécutions de plan d'exécution, qui sont exécutées dans des environnements d'exécution externes et non sur les serveurs d'exécution Silk Central, et pour connaître leurs résultats, Silk Central offre une documentation relative à l'API REST. Si Silk Central est installé sur votre système, vous pouvez accéder à la documentation interactive de l'API REST à cette adresse.

  • Démarrage rapide des services Web
    Contient les conditions préalables, un exemple de cas d'usage et d'autres rubriques relatives à l'intégration des services Web.
  • Authentification auprès d'un service Web
    Explique comment vous pouvez vous authentifier auprès d'un service Web à l'aide d'un jeton de service Web ou d'un identificateur de session.
  • Services Web disponibles
    Répertorie les services Web disponibles.
  • Services Exchange
    Cette section décrit les interfaces HTTP qui sont utilisées pour gérer les rapports, les plans de test, les exécutions et les bibliothèques dans Services Exchange.
  • Web Service Demo Client
    Décrit l'outil Web Service Demo Client qui illustre le mode d'utilisation de Silk Central Web Services.
  • Déclenchement de Silk Central à partir d'un serveur CI
    Cette section décrit comment améliorer l'intégration de Silk Central dans les processus d'intégration continue (CI) en déclenchant des exécutions dans Silk Central à partir du serveur CI, à l'aide d'un script Gradle.
Sujet parent : Aide de l'API Silk Central


Démarrage rapide des services Web

Cette section contient les conditions préalables, un exemple de cas d'usage et d'autres rubriques relatives à l'intégration des services Web.

  • Conditions préalables
    Détaille ce que vous devez savoir avant d'essayer de développer un client de services Web.
  • Prise en main de services Web
    Cette tâche explique comment télécharger la bibliothèque de services Web, décompresser les fichiers JAR et localiser la classe Java YourWebService générée automatiquement.
  • Vue d'ensemble d'un client Web Services
    Décrit la création d'un client Web Services, ainsi que les enveloppes SOAP, WSDL et l'outil WSDL2Java.
  • Exemple de cas d'utilisation : ajout d'une exigence
    Dans le prolongement des étapes précédentes détaillées dans cette section, cette rubrique présente un cas d'utilisation consistant à ajouter une exigence à Silk Central.
Sujet parent : Services Web Silk Central


Conditions préalables

Vous devez tenir compte des conditions préalables suivantes avant d'essayer de développer un client de services Web :

  • Connaissances de base de la programmation orientée objet (POO). Une expérience du Java est utile, car les exemples donnés utilisent ce langage. Un développeur sans expérience Java, mais connaissant les langages C++, C#, Python ou Perl doit malgré tout être capable de suivre aisément les exemples. Une expérience de la manipulation des collections telles que HashMaps et Lists est souhaitable.
  • Les tests JUnit sont mentionnés brièvement. Cette structure de test Java n'est pas requise, mais la connaître s'avère utile.
  • Connaissances de base de la technologie des services Web. La présente Aide ne propose pas de cours d'introduction aux services Web ou à SOAP. Au minimum, vous devez avoir de l'expérience dans le codage et l'exécution d'un client de services Web « Hello World! ».
  • Connaissance de l'architecture de Silk Central Web Services.
Sujet parent : Démarrage rapide des services Web
Concepts associés
Services Web Silk Central


Prise en main de services Web

Reportez-vous aux Notes de mise à jour de Silk Central afin de vérifier que vous disposez de la version appropriée du kit de développement logiciel (SDK) installée et qu'il se trouve dans votre PATH.

Il est utile de disposer du fichier JAR JUnit dans votre classpath. Vous pouvez télécharger le fichier JUnit.jar depuis le site http://www.junit.org/index.htm.

  1. Assurez-vous que le répertoire bin du SDK Java se trouve dans votre PATH.
  2. Exécutez la commande suivante, en pointant vers le fichier WSDL du service Web souhaité.
    wsimport -s <chemin dans lequel enregistrer les fichiers générés> -Xnocompile
-p <structure de package à utiliser pour votre client yourWebService>
http://<URL de votre service>/yourWebService?wsdl
  3. Recherchez la classe Java YourWebService générée automatiquement. Cette classe permet d'utiliser toutes les méthodes fournies par YourWebService.
Sujet parent : Démarrage rapide des services Web


Vue d'ensemble d'un client Web Services

En général, les services Web utilisent un protocole SOAP sur HTTP. Dans ce scénario, les enveloppes SOAP sont envoyées. Lorsque les collections et les autres objets complexes sont regroupés dans des enveloppes SOAP, vous pouvez avoir des difficultés à lire et à modifier les structures de données ASCII. Les développeurs débutants ne doivent pas essayer de créer un client Web Services en manipulant directement les enveloppes SOAP. En général, les développeurs confirmés ne procèdent pas de cette façon, car cette opération est fastidieuse et susceptible d'engendrer des erreurs. C'est pour cette raison que tous les principaux langages de programmation proposent des kits de développement Web Services. Dans Silk Central, l'API Java API for XML Web Services (JAX-WS) permet de créer des services Web et des clients communiquant à l'aide de messages SOAP.

Quel que soit le langage de programmation (Java, C++, C#, Perl ou Python), la procédure de création des clients Web Services est généralement la même :

  1. Pointer un kit de développement sur le WSDL Web Services
  2. Obtenir l'élément de remplacement d'un client en retour
  3. Modifier l'élément de remplacement du client généré à l'étape 2 pour obtenir un client à part entière
C'est le cas pour JAX-WS. L'outil wsimport (fourni avec le JDK) sert à créer les éléments de remplacement du client à partir de WSDL.Vous trouverez des informations détaillées sur le mode d'utilisation de l'outil wsimport dans la Documentation des outils et utilitaires JDK. A brief description of the switches used in the above summary is as follows:
  • -s : répertoire de sortie des éléments de remplacement du client
  • -p : Package cible. Déploiement sur cette structure de package

Exemple : wsimport -s <emplacement des éléments de remplacement générés> -p <package cible> <WSDL>

L'outil wsimport génère plusieurs classes pour garantir la prise en charge d'un client avec le service Web. Si YourWebService est le nom du service, les classes ci-dessous sont générées :

  • YourWebService : interface représentant YourWebService.
  • YourWebServiceService : Classe générée représentant le localisateur YourWebService , par exemple pour obtenir la liste des ports disponibles (interfaces de points de terminaison de service)
  • WSFaultException : Classe d'exception mappée à partir de wsdl:fault
  • WsFaultBean : Bean de réponse asynchrone provenant de la réponse wsdl:message
  • Serializeable Objects : objets côté client correspondant aux objets utilisés par YourWebService.

Pour générer un client JAX-WS pour l'accès aux services Web Silk Central, créez une classe Java appelée YourWebServiceClient. Vous avez établi une liaison au service Web via un port ; un port est un objet local assurant une fonction de proxy pour le service distant. Notez que le port est créé par l'exécution de l'outil wsimport dans l'étape ci-dessus. Pour récupérer ce proxy, appelez la méthode getRequirementsServicePort sur le service :

// Bind to the Requirements service
  RequirementsServiceService port = new RequirementsServiceService
    (new URL("http", mHost, mPort, "/Services1.0/jaxws/requirements?wsdl"));
  RequirementsService requirementsService = port.getRequirementsServicePort();

Pour vous authentifier auprès des services Web, générez un jeton de service Web dans la page Paramètres utilisateur de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur.

Vous pouvez également appeler la méthode du service logonUser en transférant un nom d'utilisateur et un mot de passe afin d'obtenir un ID de session :

// Login to Silk Central and get session ID
  String sessionId = requirementsService.logonUser(mUsername, mPassword);
Sujet parent : Démarrage rapide des services Web


Exemple de cas d'utilisation : ajout d'une exigence

Dans le prolongement des étapes précédentes détaillées dans cette section, cette rubrique présente un cas d'utilisation consistant à ajouter une exigence à Silk Central.

Avant de continuer, les conditions préalables suivantes doivent être remplies :

  • Vous avez effectué les étapes détaillées pour le service Web requirements.
  • Une classe POJO ou JUnit de travail possédant des méthodes de liaison et de connexion a été créée.
  • Vous avez pris connaissance des autres rubriques d'aide de l'API Silk Central.
  1. Générez un jeton de service Web dans la page Paramètres utilisateur.
    1. Cliquez sur le nom d'utilisateur dans le menu Silk Central. La page Paramètres utilisateur s'ouvre.
    2. Dans la section Jeton de service Web de la page, cliquez sur Générer un jeton.
  2. Créez un objet d'exigence comprenant les données souhaitées.
  3. Appelez la méthode updateRequirement à l'aide du jeton de service Web, de l'ID de projet et de l'objet d'exigence généré.
  4. Enregistrez l'ID d'exigence renvoyé par la méthode updateRequirement.
  5. Créez un tableau PropertyValue des propriétés d'exigence.
  6. Appelez la méthode updateProperties à l'aide du tableau créé précédemment.
L'outil wsimport créera les objets de service Web mentionnés ci-dessus :
  • Requirement
  • PropertyValue

Vous pouvez à présent utiliser les méthodes OOP des objets ci-dessus afin d'utiliser le service Web. Aucune construction d'enveloppe SOAP n'est requise. Voici ci-après des extraits du code requis pour effectuer ce cas d'utilisation.

/** project ID of Silk Central project */
private static final int PROJECT_ID = 0;

/** propertyID for requirement risk */
public static final String PROPERTY_RISK = "Risk";

/** propertyID for requirement reviewed */
public static final String PROPERTY_REVIEWED = "Reviewed";

/** propertyID for requirement priority */
public static final String PROPERTY_PRIORITY = "Priority";

/** propertyID for requirement obsolete property */
public static final String PROPERTY_OBSOLETE = "Obsolete";

// Get the Requirements service
RequirementsService service = getRequirementsService();

// The web-service token that you have generated in the UI. Required to authenticate when using
// a web service.
String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

// Construct Top Level Requirement
Requirement topLevelRequirement = new Requirement();
topLevelRequirement.setName("tmReqMgt TopLevelReq");
topLevelRequirement.setDescription("tmReqMgt TopLevel Desc");

PropertyValue propRisk = new PropertyValue();
propRisk.setPropertyId(PROPERTY_RISK);
propRisk.setValue("2");
PropertyValue propPriority = new PropertyValue();
propPriority.setPropertyId(PROPERTY_PRIORITY);
propPriority.setValue("3");
PropertyValue[] properties = new PropertyValue[] {propRisk, propPriority};

/*
* First add requirement skeleton, get its ID
* service is a binding stub, see above getRequirementsService()
*/
int requirementID = service.updateRequirement(webServiceToken, PROJECT_ID, topLevelRequirement, -1);

// Now loop through and set properties
for (PropertyValue propValue : properties) {
propValue.setRequirementId(requirementID);
service.updateProperty(webServiceToken, requirementID, propValue);
}

// Add Child Requirement
Requirement childRequirement = new Requirement();
childRequirement.setName("tmReqMgt ChildReq");
childRequirement.setDescription("tmReqMgt ChildLevel Desc");
childRequirement.setParentId(requirementID);
propRisk = new PropertyValue();
propRisk.setPropertyId(PROPERTY_RISK);
propRisk.setValue("1");
propPriority = new PropertyValue();
propPriority.setPropertyId(PROPERTY_PRIORITY);
propPriority.setValue("1");
properties = new PropertyValue[] {propRisk, propPriority};

int childReqID = service.updateRequirement(webServiceToken, PROJECT_ID, childRequirement, -1);

// Now loop through and set properties
for (PropertyValue propValue : properties) {
propValue.setRequirementId(requirementID);
service.updateProperty(webServiceToken, childReqID, propValue);
}

// Print Results
System.out.println("Login Successful with web-service token: " + webServiceToken);
System.out.println("Top Level Requirement ID: " + requirementID);
System.out.println("Child Requirement ID: " + childReqID);
Remarque : Cet exemple de code est également disponible dans la classe Client de démo du service Web com.microfocus.silkcentral.democlient.samples.AddingRequirement.
Sujet parent : Démarrage rapide des services Web


Authentification auprès d'un service Web

Les données Silk Central sont protégées contre les accès non autorisés. Vous devez indiquer vos données d'authentification pour que l'accès aux données vous soit octroyé. Cela est vrai non seulement lorsque vous travaillez sur le serveur de présentation HTML, mais également pour la communication avec Silk Central via des appels SOAP ou d'API REST.

L'authentification constitue la première étape pour interroger des données ou modifier la configuration de Silk Central. Une fois l'authentification réussie, une session utilisateur est créée, autorisant l'exécution d'opérations ultérieures dans le contexte de cette connexion utilisateur.

Lorsque vous accédez à Silk Central via un navigateur Web, les données de session ne sont pas visibles par l'utilisateur. Le navigateur gère les données de session à l'aide de cookies. Contrairement à l'utilisation de Silk Central via HTML, les appels SOAP doivent traiter manuellement les données de session.

Micro Focus recommande l'authentification via un jeton de service Web. Vous pouvez générer ce jeton de service Web dans la page Paramètres utilisateur de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur.

Vous pouvez également utiliser l'appel SOAP logonUser ou l'appel d'API REST login pour l'authentification. L'appel de la méthode renvoie un identificateur de session qui référence la session créée sur le serveur et sert également de clé d'accès à Silk Central dans le contexte de cette session.

Chaque appel d'API ultérieur requérant une authentification utilise ce jeton de service Web ou cet identificateur de session comme l'un de ses paramètres, en vérifie la validité, puis s'exécute dans le contexte de la session correspondante.

Une session Silk Central créée via les services Web ne peut pas être arrêtée explicitement. Les sessions se terminent automatiquement lorsqu'elles restent inactives durant un certain laps de temps. Dès qu'une session expire sur un serveur, les appels SOAP ultérieurs qui tentent d'utiliser la session génèrent des exceptions.

Un client de démonstration est disponible en téléchargement dans Silk Central dans le menu Aide > Outils > Client de Démo des Web Services. Ce projet de démonstration utilise le service Web d'exécution de Silk Centraltests, vous aidant ainsi à vous familiariser avec l'interface de service Web.

Exemples

Si vous avez généré un jeton de service Web dans l'interface utilisateur de Silk Central, l'exemple de code Java ci-dessous illustre l'accès à Silk Central via les services Web et l'utilisation du jeton de service Web :
string webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";
Project[] projects = sccentities.getProjects(webServiceToken);
L'exemple de code Java ci-dessous illustre le même accès à Silk Central via les services Web et l'utilisation de l'identificateur de session :
long sessionID = systemService.logonUser("admin", "admin");
Project[] projects = sccentities.getProjects(sessionID);
Sujet parent : Services Web Silk Central


Services Web disponibles

Le tableau suivant répertorie les services Web Silk Central disponibles. Pour plus d'informations sur l'accès à Silk Central via les interfaces HTTP, reportez-vous à la rubrique Services Exchange. Pour en savoir plus sur les services Web basés sur l'API REST qui permettent de planifier et de réaliser des exécutions de plan d'exécution dans des environnements d'exécution externes, reportez-vous à la documentation interactive relative à l'API REST, disponible à l'adresse host:port[/inst]/Services1.0/swagger-ui.html, par exemple http://localhost:19120/Services1.0/swagger-ui.html.

Remarque : L'URL WSDL répertorie également les services Web internes au système qui ne sont pas destinés à la création de clients de services Web. Ce document décrit uniquement les services Web publiés.

Reportez-vous au Javadoc pour connaître tous les détails sur les méthodes et classes Java disponibles. Si le lien ne fonctionne pas, cliquez sur Aide > Documentation > Spécification de l'API de Silk Central dans le menu Silk Central pour ouvrir le Javadoc.

Remarque : Avec les services Web, toutes les heures qui sont indiquées par le système sont exprimées par rapport au Temps Universel Coordonné (UTC). Utilisez également l'heure UTC pour toutes les références horaires au sein des services Web que vous utilisez.
Nom de service Web (interface) | URL WSDL | Description
system (SystemService) | /Services1.0/jaxws/system?wsdl | Il s'agit du service racine qui fournit des méthodes d'authentification et d'utilitaire simple.
administration (AdministrationService) | /Services1.0/jaxws/administration?wsdl | Ce service donne accès aux entités Projet et Application de Silk Central.
requirements (RequirementsService) | /Services1.0/jaxws/requirements?wsdl | Ce service donne accès à l'espace Exigences de Silk Central.
tests (TestsService) | /Services1.0/jaxws/tests?wsdl | Ce service donne accès à l'espace Tests de Silk Central.
executionplanning (ExecutionPlanningService) | /Services1.0/jaxws/executionplanning?wsdl | Ce service donne accès à l'espace Organisation des exécutions de Silk Central.
filter (FilterService) | /Services1.0/jaxws/filter?wsdl | Ce service permet de créer, de lire, de mettre à jour et de supprimer des filtres.
issuemanager (IssueManagerService) | /Services1.0/jaxws/issuemanager?wsdl | Ce service donne accès à Issue Manager.
Sujet parent : Services Web Silk Central


Services Exchange

Cette section décrit les interfaces HTTP qui sont utilisées pour gérer les rapports, les plans de test, les exécutions et les bibliothèques dans Services Exchange.

Vous pouvez également accéder à Silk Central via les services Web. Pour plus d’informations, reportez-vous à la rubrique Services Web disponibles.

Remarque : Avec les services Web, toutes les heures qui sont indiquées par le système sont exprimées par rapport au Temps Universel Coordonné (UTC). Utilisez également l'heure UTC pour toutes les références horaires au sein des services Web que vous utilisez.
  • Interface reportData
    Répertorie les paramètres de l'interface reportData. L'interface reportData permet d'interroger les données d'un rapport.
  • Interface TMAttach
    Répertorie les paramètres de l'interface TMAttach.
  • Interface createTestPlan
    Répertorie les paramètres de l'interface createTestPlan.
  • Interface exportTestPlan
    Répertorie les paramètres de l'interface exportTestPlan.
  • Interface updateTestPlan
    Répertorie les paramètres de l'interface updateTestPlan.
  • Interface createRequirements
    Répertorie les paramètres de l'interface createRequirements.
  • Interface exportRequirements
    Répertorie les paramètres de l'interface exportRequirements.
  • Interface updateRequirements
    Répertorie les paramètres de l'interface updateRequirements.
  • Interface updateRequirementsByExtID
    Répertorie les paramètres de l'interface updateRequirementsByExtID.
  • Interface createExecutionDefinitions
    Répertorie les paramètres de l'interface createExecutionDefinitions.
  • Interface exportExecutionDefinitions
    Répertorie les paramètres de l'interface exportExecutionDefinitions.
  • Interface updateExecutionDefinitions
    Répertorie les paramètres de l'interface updateExecutionDefinitions.
  • Interface createLibraries
    Répertorie les paramètres de l'interface createLibraries.
  • Interface exportLibraryStructure
    Répertorie les paramètres de l'interface exportLibraryStructure.
  • Interface exportLibraryStructureWithoutSteps
    Répertorie les paramètres de l'interface exportLibraryStructureWithoutSteps.
  • Interface getLibraryInfoByName
    Répertorie les paramètres de l'interface getLibraryInfoByName.
Sujet parent : Services Web Silk Central


Interface reportData

L'interface reportData permet d'interroger les données d'un rapport. Le tableau ci-dessous présente les paramètres de l'interface reportData.

URL de l'interface | Paramètres | Descriptions
http://<front-end URL>/servicesExchange?hid=reportData | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | reportFilterID | ID du filtre des rapports
 | type | Format du corps de réponse : (csv ou xml)
 | includeHeaders | Inclut ou non des en-têtes de rapport. (true ou false)
 | projectID | ID du projet

Exemple : http://<front-end URL>/servicesExchange?hid=reportData&reportFilterID=<id>&type=<csv or xml>&includeHeaders=<true or false>&sid=<webServiceToken>&projectID=<id>

Exemple d'interface reportData

String reportID = "<id>";
String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";
String host = "<any_host>";

URL report = new URL("http", host, 19120,
    "/servicesExchange?hid=reportData" +
    "&type=xml" + // or csv
    "&sid=" + webServiceToken +
    "&reportFilterID=" + reportID +
    "&includeHeaders=true" +
    "&rp_execNode_Id_0=1" +
    "&projectID=27);

BufferedReader in = new BufferedReader(new InputStreamReader(report.openStream(), "UTF-8"));

StringBuilder builder = new StringBuilder();
String line = "";

while ((line = in.readLine()) != null) {
    builder.append(line + "\n");
}

String text = builder.toString();
System.out.println(text);
Si le rapport nécessite des paramètres, vous devez ajouter le code ci-dessous à l'URL du rapport pour chaque paramètre :
 "&rp_parametername=parametervalue"
Dans l'exemple, le paramètre rp_execNode_Id_0 est défini sur la valeur 1.
Remarque : Les noms des paramètres transmis au service reportData doivent porter le préfixe rp_. Exemple : /servicesExchange?hid=reportData&type=xml&sid=<...>&reportFilterID=<...>&projectID=<...>&rp_TestID=<...>
Sujet parent : Services Exchange


Interface TMAttach

L'interface TMAttach sert à télécharger des pièces jointes à un test ou une exigence. Le tableau ci-dessous présente les paramètres de l'interface TMAttach.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=TMAttach | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | entityType | Type d'entité cible : test, exigence ou parent du pas de test
 | entityID | ID d'entité cible : ID de test, d'exigence ou de test manuel
 | description | Description de la pièce jointe : Texte codé dans une URL, utilisé pour décrire la pièce jointe
 | isURL | Si la valeur est true, la pièce jointe est une URL. Si la valeur est false, la pièce jointe est un fichier.
 | URL | Optionnel : URL à joindre
 | stepPosition | Optionnel : Ordre du pas dans le test. Identifie le pas d'un test manuel (par exemple, l'ordre du premier pas est 1). L'ordre est obligatoire si entityType est TestStepParent.

Exemple : http://<front-end URL>/servicesExchange?hid=TMAttach&entityType=<test, requirement, or TestStepParent>&entityID=<id>&description=<text>&isURL=<true or false>&URL=<URL>&stepPosition=<number>&sid=<webServiceToken>

Exemple de service Web TMAttach

Le code ci-dessous utilise Apache HtmlClient pour obtenir une API HTTP-POST pratique afin de télécharger une pièce jointe binaire. Il n'est possible de télécharger qu'une seule pièce jointe par demande.

Il n'est possible de télécharger qu'une seule pièce jointe par demande. Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

import org.apache.commons.httpclient.*; // Apache HttpClient

    String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5"; // Token generated in the UI
    String testNodeID = null; // receiving test
    File fileToUpload = null; // attachment
    String AttachmentDescription = ""; // descriptive text

    HttpClient client = new HttpClient();
    String formURL = "http://localhost:19120/
        servicesExchange?hid=TMAttach" +
        "&sid=" + webServiceToken +
        "&entityID=" + testNodeID +
        "&entityType=Test" +
        "&isURL=false";
    PostMethod filePost = new PostMethod(formURL);
    Part[] parts = {
        new StringPart("description", attachmentDescription),
        new FilePart(fileToUpload.getName(), fileToUpload)
    };
    filePost.setRequestEntity(new MultipartRequestEntity(parts,
        filePost.getParams()));
    client.getHttpConnectionManager().
        getParams().setConnectionTimeout(60000);
    // Execute and check for success
    int status = client.executeMethod(filePost);
    // verify http return code...
    // if(status == httpStatus.SC_OK) ...
Sujet parent : Services Exchange


Interface createTestPlan

L'interface createTestPlan permet de créer des tests. La réponse HTTP de l'appel comprend la structure XML des tests modifiés. Les identifiants des nouveaux nœuds sont disponibles dans la structure du test XML mis à jour.

Le tableau ci-dessous présente les paramètres de l'interface createTestPlan.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=createTestPlan | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | parentNodeID | ID du conteneur auquel le nouveau test est ajouté dans l'arborescence Tests

Exemple : http://<front-end URL>/servicesExchange?hid=createTestPlan&parentNodeID=<id>&sid=<webServiceToken>

Le fichier de définition du schéma XML qui sert à valider les plans de test peut être téléchargé au moyen de l'URL du serveur de présentation, http://<URL serveur de présentation>/silkroot/xsl/testplan.xsd, ou copié à partir du dossier d'installation du serveur de présentation, <dossier d'installation Silk Central>/wwwroot/silkroot/xsl/testplan.xsd.

Exemple de service Web createTestPlan

Le code suivant utilise Apache HttpClient pour créer des tests.

import org.apache.commons.httpclient.*; // Apache HttpClient

string webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5"; // The token that you have generated in the UI

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s&parentNodeID=%d",
  "createTestPlan", webServiceToken,
  PARENT_NODE_ID));

HttpClient client = new HttpClient();
PostMethod filePost = new PostMethod(service.toExternalForm());
String xmlFile = loadTestPlanUtf8("testPlan.xml");
StringPart xmlFileItem = new StringPart("testPlan", xmlFile,
  "UTF-8");
xmlFileItem.setContentType("text/xml");
Part[] parts = {xmlFileItem};

filePost.setRequestEntity(new MultipartRequestEntity(parts,
  filePost.getParams()));
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
int status = client.executeMethod(filePost);
System.out.println(filePost.getStatusLine());

Il n'est possible de télécharger qu'une seule pièce jointe par demande. Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Exemple de test

Le code suivant affiche un exemple de test pouvant être téléchargé dans Silk Central à l'aide des services createTestPlan et updateTestPlan.

  <TestPlan xmlns="http://www.borland.com/TestPlanSchema"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://<front-end URL>/silkroot/xsl/testplan.xsd">

  <Folder name="Folder1" id="5438">
    <Description>Description of the folder</Description>
    <Property name="property1">
      <propertyValue>value1</propertyValue>
    </Property>
    <Test name="TestDef1" type="plugin.SilkTest">
      <Description>Description of the test</Description>
      <Property name="property2">
        <propertyValue>value2</propertyValue>
      </Property>
      <Property name="property3">
           <propertyValue>value3</propertyValue>
           <propertyValue>value4</propertyValue>
      </Property>
      <Parameter name="param1" type="string">string1</Parameter>
      <Parameter name="param2" type="boolean">true</Parameter>
                        <Parameter name="paramDate" type="date">01.01.2001</Parameter>
      <Parameter name="paramInherited" type="string"
        inherited="true">
        inheritedValue1
      </Parameter>
      <Step id="1" name="StepA">
        <ActionDescription>do it</ActionDescription>
        <ExpectedResult>everything</ExpectedResult>
      </Step>
      <Step id="2" name="StepB">
        <ActionDescription>and</ActionDescription>
        <ExpectedResult>everything should come</ExpectedResult>
      </Step>
    </Test>
    <Test name="ManualTest1" id="5441" type="_ManualTestType"
      plannedTime="03:45">
      <Description>Description of the manual test</Description>
      <Step id="1" name="StepA">
        <ActionDescription>do it</ActionDescription>
        <ExpectedResult>everything</ExpectedResult>
      </Step>
      <Step id="2" name="StepB">
        <ActionDescription>and</ActionDescription>
        <ExpectedResult>everything should come</ExpectedResult>
      </Step>
      <Step id="3" name="StepC">
        <ActionDescription>do it now"</ActionDescription>
        <ExpectedResult>
          everything should come as you wish
        </ExpectedResult>
      </Step>
    </Test>
    <Folder name="Folder2" id="5439">
      <Description>Description of the folder</Description>
      <Property name="property4">
        <propertyValue>value5</propertyValue>
      </Property>
      <Parameter name="param3" type="number">123</Parameter>
      <Folder name="Folder2_1" id="5442">
        <Description>Description of the folder</Description>
        <Test name="TestDef2" type="plugin.SilkPerformer">
          <Description>Description of the test</Description>
          <Property name="_sp_Project File">
            <propertyValue>ApplicationAccess.ltp</propertyValue>
          </Property>
          <Property name="_sp_Workload">
            <propertyValue>Workload1</propertyValue>
          </Property>
        </Test>
        <Test name="TestDef3" type="JUnitTestType"
          externalId="com.borland.MyTest">
          <Description>Description of the test</Description>
          <Property name="_junit_ClassFile">
            <propertyValue>com.borland.MyTest</propertyValue>
          </Property>
          <Property name="_junit_TestMethod">
            <propertyValue>testMethod</propertyValue>
          </Property>
          <Step id="1" name="StepA">
            <ActionDescription>do it</ActionDescription>
            <ExpectedResult>everything</ExpectedResult>
          </Step>
          <Step id="2" name="StepB">
            <ActionDescription>and</ActionDescription>
            <ExpectedResult>everything should come</ExpectedResult>
          </Step>
        </Test>
      </Folder>
    </Folder>
  </Folder>
</TestPlan>
Sujet parent : Services Exchange


Interface exportTestPlan

L'interface exportTestPlan permet d'exporter les plans de test sous forme de fichiers XML. Le tableau ci-dessous présente les paramètres de l'interface exportTestPlan.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=exportTestPlan | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | nodeID | Le nœud associé à cet ID et, de façon récursive, tous les nœuds enfants de ce nœud sont exportés.

Exemple : http://<front-end URL>/servicesExchange?hid=exportTestPlan&nodeID=<id>&sid=<webServiceToken>

Exemple de service Web exportTestPlan

Le code ci-dessous utilise Apache HttpClient pour exporter les tests.

import org.apache.commons.httpclient.*; // Apache HttpClient

string webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s&nodeID=%d",
  "exportTestPlan", webServiceToken,
  PARENT_NODE_ID));

HttpClient client = new HttpClient();
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
HttpMethod fileGet = new GetMethod(service.toExternalForm());
int status = client.executeMethod(fileGet);
System.out.println(fileGet.getStatusLine());
String exportedTestPlanResponse = fileGet.getResponseBodyAsString();
System.out.println(exportedTestPlanResponse);

Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Sujet parent : Services Exchange


Interface updateTestPlan

L'interface updateTestPlan permet de mettre à jour les tests avec les nœuds racine existants des fichiers XML. La réponse HTTP de l'appel comprend la structure XML des tests modifiés. Les identifiants des nouveaux nœuds sont disponibles dans la structure du test XML mis à jour.

Le tableau ci-dessous présente les paramètres de l'interface updateTestPlan.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=updateTestPlan | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.

Exemple : http://<front-end URL>/servicesExchange?hid=updateTestPlan&sid=<webServiceToken>

Le fichier de définition du schéma XML qui sert à valider les plans de test peut être téléchargé au moyen de l'URL du serveur de présentation, http://<URL serveur de présentation>/silkroot/xsl/testplan.xsd, ou copié à partir du dossier d'installation du serveur de présentation, <dossier d'installation Silk Central>/wwwroot/silkroot/xsl/testplan.xsd.

Exemple de service Web updateTestPlan

Le code ci-dessous utilise Apache HttpClient pour mettre à jour les tests.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";
String xml = loadTestPlanUtf8(DEMO_TEST_PLAN_XML);
HttpClient client = new HttpClient();

URL webServiceUrl = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s",
    "updateTestPlan",
    webServiceToken));
StringPart testPlanXml = new StringPart(DEMO_TEST_PLAN_XML, xml,
  "UTF-8");
testPlanXml.setContentType("text/xml");
Part[] parts = {testPlanXml};
PostMethod filePost = new PostMethod(webServiceUrl.toExternalForm());
filePost.setRequestEntity(new MultipartRequestEntity(parts,
  filePost.getParams()));
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
int status = client.executeMethod(filePost);
System.out.println(filePost.getStatusLine());

String responseXml = filePost.getResponseBodyAsString();

Il n'est possible de télécharger qu'une seule pièce jointe par demande. Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Exemple de test

Le code suivant affiche un exemple de test pouvant être téléchargé dans Silk Central à l'aide des services createTestPlan et updateTestPlan.

  <TestPlan xmlns="http://www.borland.com/TestPlanSchema"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://<front-end URL>/silkroot/xsl/testplan.xsd">

  <Folder name="Folder1" id="5438">
    <Description>Description of the folder</Description>
    <Property name="property1">
      <propertyValue>value1</propertyValue>
    </Property>
    <Test name="TestDef1" type="plugin.SilkTest">
      <Description>Description of the test</Description>
      <Property name="property2">
        <propertyValue>value2</propertyValue>
      </Property>
      <Property name="property3">
           <propertyValue>value3</propertyValue>
           <propertyValue>value4</propertyValue>
      </Property>
      <Parameter name="param1" type="string">string1</Parameter>
      <Parameter name="param2" type="boolean">true</Parameter>
                        <Parameter name="paramDate" type="date">01.01.2001</Parameter>
      <Parameter name="paramInherited" type="string"
        inherited="true">
        inheritedValue1
      </Parameter>
      <Step id="1" name="StepA">
        <ActionDescription>do it</ActionDescription>
        <ExpectedResult>everything</ExpectedResult>
      </Step>
      <Step id="2" name="StepB">
        <ActionDescription>and</ActionDescription>
        <ExpectedResult>everything should come</ExpectedResult>
      </Step>
    </Test>
    <Test name="ManualTest1" id="5441" type="_ManualTestType"
      plannedTime="03:45">
      <Description>Description of the manual test</Description>
      <Step id="1" name="StepA">
        <ActionDescription>do it</ActionDescription>
        <ExpectedResult>everything</ExpectedResult>
      </Step>
      <Step id="2" name="StepB">
        <ActionDescription>and</ActionDescription>
        <ExpectedResult>everything should come</ExpectedResult>
      </Step>
      <Step id="3" name="StepC">
        <ActionDescription>do it now"</ActionDescription>
        <ExpectedResult>
          everything should come as you wish
        </ExpectedResult>
      </Step>
    </Test>
    <Folder name="Folder2" id="5439">
      <Description>Description of the folder</Description>
      <Property name="property4">
        <propertyValue>value5</propertyValue>
      </Property>
      <Parameter name="param3" type="number">123</Parameter>
      <Folder name="Folder2_1" id="5442">
        <Description>Description of the folder</Description>
        <Test name="TestDef2" type="plugin.SilkPerformer">
          <Description>Description of the test</Description>
          <Property name="_sp_Project File">
            <propertyValue>ApplicationAccess.ltp</propertyValue>
          </Property>
          <Property name="_sp_Workload">
            <propertyValue>Workload1</propertyValue>
          </Property>
        </Test>
        <Test name="TestDef3" type="JUnitTestType"
          externalId="com.borland.MyTest">
          <Description>Description of the test</Description>
          <Property name="_junit_ClassFile">
            <propertyValue>com.borland.MyTest</propertyValue>
          </Property>
          <Property name="_junit_TestMethod">
            <propertyValue>testMethod</propertyValue>
          </Property>
          <Step id="1" name="StepA">
            <ActionDescription>do it</ActionDescription>
            <ExpectedResult>everything</ExpectedResult>
          </Step>
          <Step id="2" name="StepB">
            <ActionDescription>and</ActionDescription>
            <ExpectedResult>everything should come</ExpectedResult>
          </Step>
        </Test>
      </Folder>
    </Folder>
  </Folder>
</TestPlan>
Sujet parent : Services Exchange


Interface createRequirements

L'interface createRequirements permet de créer des exigences. La réponse HTTP de l'appel comprend la structure XML des exigences modifiées. Les identifiants des nouveaux nœuds sont disponibles dans la structure de l'exigence XML mise à jour.

Le tableau ci-dessous présente les paramètres de l'interface createRequirements.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=createRequirements | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | parentNodeID | ID du conteneur auquel la nouvelle exigence est ajoutée dans l'arborescence des exigences

Exemple : http://<front-end URL>/servicesExchange?hid=createRequirements&parentNodeID=<id>&sid=<webServiceToken>

Le fichier de définition du schéma XML qui sert à valider les exigences peut être téléchargé au moyen de l’URL du serveur de présentation, http://<URL serveur de présentation>/silkroot/xsl/requirements.xsd, ou copié à partir du dossier d'installation du serveur de présentation, <dossier d'installation Silk Central>/wwwroot/silkroot/xsl/requirements.xsd.

Exemple de service Web createRequirements

Le code suivant utilise Apache HttpClient pour créer des exigences.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s&parentNodeID=%d",
  "createRequirements", webServiceToken,
  PARENT_NODE_ID));

HttpClient client = new HttpClient();
PostMethod filePost = new PostMethod(service.toExternalForm());
String xmlFile = loadRequirementsUtf8("requirements.xml");
StringPart xmlFileItem = new StringPart("requirements", xmlFile,
  "UTF-8");
xmlFileItem.setContentType("text/xml");
Part[] parts = {xmlFileItem};

filePost.setRequestEntity(new MultipartRequestEntity(parts,
  filePost.getParams()));
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
int status = client.executeMethod(filePost);
System.out.println(filePost.getStatusLine());

Il n'est possible de télécharger qu'une seule pièce jointe par demande. Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Exemple d'exigence

Le code suivant affiche un exemple d’exigence pouvant être téléchargé dans Silk Central à l'aide des services createRequirements, updateRequirements et updateRequirementsByExtID.

<Requirement id="0" name="name" xmlns="http://www.borland.com/RequirementsSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://<front-end URL>/silkroot/xsl/requirements.xsd">
    <ExternalId>myExtId1</ExternalId>
    <Description>Description</Description>
    <Priority value="Low" inherited="false"/>
    <Risk value="Critical" inherited="false"/>
    <Reviewed value="true" inherited="false"/>
    <Property inherited="false" name="Document" type="string">MyDocument1.doc</Property>
    <Requirement id="1" name="name" />
    <Requirement id="2" name="name1">
        <Requirement id="3" name="name" />
        <Requirement id="4" name="name1">
            <Requirement id="5" name="name" />
      <Requirement id="6" name="name1">
        <ExternalId>myExtId2</ExternalId>
        <Description>Another Description</Description>
        <Priority value="Medium" inherited="false"/>
        <Risk value="Critical" inherited="false"/>
        <Reviewed value="true" inherited="false"/>
        <Property inherited="false" name="Document" type="string">MyDocument2.doc</Property>
            </Requirement>
        </Requirement>
    </Requirement>
</Requirement>
Sujet parent : Services Exchange


Interface exportRequirements

L'interface exportRequirements permet d'exporter les exigences sous forme de fichiers XML. Le tableau ci-dessous présente les paramètres de l'interface exportRequirements.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=exportRequirements | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | nodeID | Le nœud associé à cet ID et, de façon récursive, tous les nœuds enfants de ce nœud sont exportés.
 | includeObsolete | Facultatif : Spécifiez true ou false. Si vous omettez ce champ, la valeur par défaut est true. Spécifiez false pour exclure les exigences obsolètes.

Exemple : http://<front-end URL>/servicesExchange?hid=exportRequirements&nodeID=<id>&sid=<webServiceToken>

Exemple de service Web exportRequirements

Le code ci-dessous utilise Apache HttpClient pour exporter les exigences.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s&nodeID=%d",
  "exportRequirements", webServiceToken,
  PARENT_NODE_ID));

HttpClient client = new HttpClient();
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
HttpMethod fileGet = new GetMethod(service.toExternalForm());
int status = client.executeMethod(fileGet);
System.out.println(fileGet.getStatusLine());
String exportedRequirementResponse = fileGet.getResponseBodyAsString();
System.out.println(exportedRequirementResponse);

Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Sujet parent : Services Exchange


Interface updateRequirements

L'interface updateRequirements permet de mettre à jour les exigences avec les nœuds racine existants des fichiers XML. Les exigences sont identifiées par leur ID de nœud Silk Central interne dans l'arborescence Exigences. Le nœud de l'arborescence Exigences et tous les nœuds enfants sont mis à jour. De nouveaux nœuds sont ajoutés, les nœuds manquants sont définis comme étant obsolètes et les nœuds déplacés sont également placés dans Silk Central. La réponse HTTP de l'appel comprend la structure XML des exigences modifiées. Les identifiants des nouveaux nœuds sont disponibles dans la structure de l'exigence XML mise à jour.

Le tableau ci-dessous présente les paramètres de l'interface updateRequirements.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=updateRequirements | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.

Exemple : http://<front-end URL>/servicesExchange?hid=updateRequirements&sid=<webServiceToken>

Le fichier de définition du schéma XML qui sert à valider les exigences peut être téléchargé au moyen de l’URL du serveur de présentation, http://<URL serveur de présentation>/silkroot/xsl/requirements.xsd, ou copié à partir du dossier d'installation du serveur de présentation, <dossier d'installation Silk Central>/wwwroot/silkroot/xsl/requirements.xsd.

Exemple de service Web updateRequirements

Le code ci-dessous utilise Apache HttpClient pour mettre à jour les exigences.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";
URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s",
    "updateRequirements", webServiceToken));

HttpClient client = new HttpClient();
PostMethod filePost = new PostMethod(service.toExternalForm());
string xmlFile = loadRequirementsUtf8(fileName);
StringPart xmlFileItem = new StringPart("requirements", xmlFile,
  "UTF-8");
xmlFileItem.setContentType("text/xml");
Part[] parts = {xmlFileItem};

filePost.setRequestEntity(new MultipartRequestEntity(parts,
  filePost.getParams()));
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
int status = client.executeMethod(filePost);
System.out.println(filePost.getStatusLine());

String responseXml = filePost.getResponseBodyAsString();

Il n'est possible de télécharger qu'une seule pièce jointe par demande. Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Exemple d'exigence

Le code suivant affiche un exemple d’exigence pouvant être téléchargé dans Silk Central à l'aide des services createRequirements, updateRequirements et updateRequirementsByExtID.

<Requirement id="0" name="name" xmlns="http://www.borland.com/RequirementsSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://<front-end URL>/silkroot/xsl/requirements.xsd">
    <ExternalId>myExtId1</ExternalId>
    <Description>Description</Description>
    <Priority value="Low" inherited="false"/>
    <Risk value="Critical" inherited="false"/>
    <Reviewed value="true" inherited="false"/>
    <Property inherited="false" name="Document" type="string">MyDocument1.doc</Property>
    <Requirement id="1" name="name" />
    <Requirement id="2" name="name1">
        <Requirement id="3" name="name" />
        <Requirement id="4" name="name1">
            <Requirement id="5" name="name" />
      <Requirement id="6" name="name1">
        <ExternalId>myExtId2</ExternalId>
        <Description>Another Description</Description>
        <Priority value="Medium" inherited="false"/>
        <Risk value="Critical" inherited="false"/>
        <Reviewed value="true" inherited="false"/>
        <Property inherited="false" name="Document" type="string">MyDocument2.doc</Property>
            </Requirement>
        </Requirement>
    </Requirement>
</Requirement>
Sujet parent : Services Exchange


Interface updateRequirementsByExtID

L'interface updateRequirementsByExtID permet de mettre à jour les exigences avec les nœuds racine existants des fichiers XML. Les exigences sont identifiées par des ID externes. Le nœud de l'arborescence Exigences et tous les nœuds enfants sont mis à jour. De nouveaux nœuds sont ajoutés, les nœuds manquants sont définis comme étant obsolètes et les nœuds déplacés sont également placés dans Silk Central. La réponse HTTP de l'appel comprend la structure XML des exigences modifiées. Les identifiants des nouveaux nœuds sont disponibles dans la structure de l'exigence XML mise à jour.

Le tableau ci-dessous présente les paramètres de l'interface updateRequirementsByExtID.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=updateRequirementsByExtID | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | nodeID | ID du nœud de l'arborescence des exigences à mettre à jour.

Exemple : http://<front-end URL>/servicesExchange?hid=updateRequirementsByExtID&nodeID=<id>&sid=<webServiceToken>

Le fichier de définition du schéma XML qui sert à valider les exigences peut être téléchargé au moyen de l’URL du serveur de présentation, http://<URL serveur de présentation>/silkroot/xsl/requirements.xsd, ou copié à partir du dossier d'installation du serveur de présentation, <dossier d'installation Silk Central>/wwwroot/silkroot/xsl/requirements.xsd.

Exemple de service Web updateRequirementsByExtID

Le code ci-dessous utilise Apache HttpClient pour mettre à jour les exigences.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";
URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s",&nodeID=%s",
    "updateRequirementsByExtID",
    webServiceToken, rootNodeId));

HttpClient client = new HttpClient();
PostMethod filePost = new PostMethod(service.toExternalForm());
string xmlFile = loadRequirementsUtf8(fileName);
StringPart xmlFileItem = new StringPart("requirements", xmlFile,
  "UTF-8");
xmlFileItem.setContentType("text/xml");
Part[] parts = {xmlFileItem};

filePost.setRequestEntity(new MultipartRequestEntity(parts,
  filePost.getParams()));
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
int status = client.executeMethod(filePost);
System.out.println(filePost.getStatusLine());

String responseXml = filePost.getResponseBodyAsString();

Il n'est possible de télécharger qu'une seule pièce jointe par demande. Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Exemple d'exigence

Le code suivant affiche un exemple d’exigence pouvant être téléchargé dans Silk Central à l'aide des services createRequirements, updateRequirements et updateRequirementsByExtID.

<Requirement id="0" name="name" xmlns="http://www.borland.com/RequirementsSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://<front-end URL>/silkroot/xsl/requirements.xsd">
    <ExternalId>myExtId1</ExternalId>
    <Description>Description</Description>
    <Priority value="Low" inherited="false"/>
    <Risk value="Critical" inherited="false"/>
    <Reviewed value="true" inherited="false"/>
    <Property inherited="false" name="Document" type="string">MyDocument1.doc</Property>
    <Requirement id="1" name="name" />
    <Requirement id="2" name="name1">
        <Requirement id="3" name="name" />
        <Requirement id="4" name="name1">
            <Requirement id="5" name="name" />
      <Requirement id="6" name="name1">
        <ExternalId>myExtId2</ExternalId>
        <Description>Another Description</Description>
        <Priority value="Medium" inherited="false"/>
        <Risk value="Critical" inherited="false"/>
        <Reviewed value="true" inherited="false"/>
        <Property inherited="false" name="Document" type="string">MyDocument2.doc</Property>
            </Requirement>
        </Requirement>
    </Requirement>
</Requirement>
Sujet parent : Services Exchange


Interface createExecutionDefinitions

L'interface createExecutionDefinitions permet de créer des plans d'exécution. La réponse HTTP de l'appel comprend la structure XML des plans d'exécution modifiés. Les identifiants des nouveaux nœuds sont disponibles dans la structure du plan d'exécution XML mis à jour.

Le tableau ci-dessous présente les paramètres de l'interface createExecutionDefinitions.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=createExecutionDefinitions | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | parentNodeID | ID du nœud auquel le nouveau plan d'exécution est ajouté dans l'arborescence des exécutions

Exemple : http://<front-end URL>/servicesExchange?hid=createExecutionDefinitions&parentNodeID=<id>&sid=<webServiceToken>

Le fichier de définition du schéma XML qui sert à valider les exécutions peut être téléchargé au moyen de l’URL du serveur de présentation, http://<URL serveur de présentation>/silkroot/xsl/executionplan.xsd, ou copié à partir du dossier d'installation du serveur de présentation, <dossier d'installation Silk Central>/wwwroot/silkroot/xsl/executionplan.xsd.

Exemple de service Web createExecutionDefinitions

Le code suivant utilise Apache HttpClient pour créer des plans d'exécution.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s&parentNodeID=%d",
  "createExecutionDefinitions", webServiceToken,
  PARENT_NODE_ID));

HttpClient client = new HttpClient();
PostMethod filePost = new PostMethod(service.toExternalForm());
String xmlFile = loadExecutionDefinitionsUtf8("executionplan.xml");
StringPart xmlFileItem = new StringPart("executionplan", xmlFile,
  "UTF-8");
xmlFileItem.setContentType("text/xml");
Part[] parts = {xmlFileItem};

filePost.setRequestEntity(new MultipartRequestEntity(parts,
  filePost.getParams()));
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
int status = client.executeMethod(filePost);
System.out.println(filePost.getStatusLine());

Il n'est possible de télécharger qu'une seule pièce jointe par demande. Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Exemple de plan d'exécution

Le code suivant affiche un exemple de plan d'exécution pouvant être téléchargé dans Silk Central à l'aide des services createExecutionDefinitions et updateExecutionDefinitions. L'exemple permet de créer une planification personnalisée pour l'une des définitions d'exécution et d'assigner des tests à un plan d'exécution, via une assignation manuelle et un filtre. L'exemple permet également de créer une suite de configurations avec des configurations.

<ExecutionPlan xmlns="http://www.borland.com/ExecPlanSchema"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://<front-end URL>/silkroot/xsl/executionplan.xsd">

  <Folder name="Folder1">
    <Description>Description of the folder</Description>
    <ExecDef name="ExecutionDefinition1" TestContainerId="1">
      <Description>Description1</Description>
      <CustomSchedule>
        <start>2009-11-26T21:32:52</start>
        <end>
          <forever>true</forever>
        </end>
        <Interval day="1" hour="2" minute="3"></Interval>
        <adjustDaylightSaving>false</adjustDaylightSaving>
        <exclusions>
          <days>Monday</days>
          <days>Wednesday</days>
          <from>21:32:52</from>
          <to>22:32:52</to>
        </exclusions>
        <definiteRun>2009-11-27T21:35:12</definiteRun>
      </CustomSchedule>
      <ReadFromBuildInfoFile>true</ReadFromBuildInfoFile>
      <Priority>High</Priority>
      <SetupTestDefinition>73</SetupTestDefinition>
      <CleanupTestDefinition>65</CleanupTestDefinition>
      <AssignedTestDefinitions>
        <ManualAssignment useTestPlanOrder="true">
          <TestId>6</TestId>
          <TestId>5</TestId>
        </ManualAssignment>
      </AssignedTestDefinitions>
    </ExecDef>
    <ExecDef name="ExecutionDefinition2" TestContainerId="1">
      <Description>Description2</Description>
      <Build>1</Build>
      <Version>1</Version>
      <Priority>Low</Priority>
      <SourceControlLabel>Label1</SourceControlLabel>
      <DependentExecDef id="65">
        <Condition>Passed</Condition>
        <Deployment>
          <Specific>
            <Execution type="Server" id="1"/>
            <Execution type="Tester" id="0"/>
          </Specific>
        </Deployment>
      </DependentExecDef>
      <DependentExecDef id="70">
        <Condition>Failed</Condition>
        <Deployment>
          <Specific>
            <Execution type="Tester" id="0"/>
          </Specific>
        </Deployment>
      </DependentExecDef>
      <DependentExecDef id="68">
        <Condition>Any</Condition>
        <Deployment>
          <UseFromCurrentExedDef>true</UseFromCurrentExedDef>
        </Deployment>
      </DependentExecDef>
    </ExecDef>

    <ConfigSuite name="ConfigSuite1" TestContainerId="1">
      <Description>ConfigSuite1 desc</Description>
      <CustomSchedule>
        <start>2009-11-26T21:32:52</start>
        <end>
          <times>1</times>
        </end>
        <Interval day="1" hour="2" minute="3"/>
        <adjustDaylightSaving>false</adjustDaylightSaving>
        <exclusions>
          <days>Monday</days>
          <days>Wednesday</days>
          <from>21:32:52</from>
          <to>22:32:52</to>
        </exclusions>
        <definiteRun>2009-11-27T21:35:12</definiteRun>
      </CustomSchedule>

      <ConfigExecDef name="Config1">
        <Description>Config1 desc</Description>
        <Priority>Medium</Priority>
      </ConfigExecDef>

      <ConfigExecDef name="Config2">
        <Priority>Medium</Priority>
        <DependentExecDef id="69">
          <Condition>Any</Condition>
          <Deployment>
            <UseFromCurrentExedDef>true</UseFromCurrentExedDef>
          </Deployment>
        </DependentExecDef>
      </ConfigExecDef>

      <Build>8</Build>
      <Version>2</Version>
      <SourceControlLabel>ConfigSuite1 label</SourceControlLabel>
      <SetupTestDefinition>73</SetupTestDefinition>
      <CleanupTestDefinition>65</CleanupTestDefinition>
      <AssignedTestDefinitions>
        <ManualAssignment useTestPlanOrder="true">
          <TestId>6</TestId>
          <TestId>5</TestId>
        </ManualAssignment>
      </AssignedTestDefinitions>
    </ConfigSuite>
  </Folder>
</ExecutionPlan>
Sujet parent : Services Exchange


Interface exportExecutionDefinitions

L'interface exportExecutionDefinitions permet d'exporter les plans d'exécution sous forme de fichiers XML. Le tableau ci-dessous présente les paramètres de l'interface exportExecutionDefinitions.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=exportExecutionDefinitions | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | nodeID | Le nœud associé à cet ID et, de façon récursive, tous les nœuds enfants de ce nœud sont exportés.

Exemple : http://<front-end URL>/servicesExchange?hid=exportExecutionDefinitions&nodeID=<id>&sid=<webServiceToken>

Exemple de service Web exportExecutionDefinitions

Le code ci-dessous utilise Apache HttpClient pour exporter les plans d'exécution.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s&nodeID=%d",
  "exportExecutionDefinitions", webServiceToken,
  NODE_ID));

HttpClient client = new HttpClient();
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
HttpMethod fileGet = new GetMethod(service.toExternalForm());
int status = client.executeMethod(fileGet);
System.out.println(fileGet.getStatusLine());
String exportedExecutionPlanResponse = fileGet.getResponseBodyAsString();
System.out.println(exportedExecutionPlanResponse);

Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Sujet parent : Services Exchange


Interface updateExecutionDefinitions

L'interface updateExecutionDefinitions permet de mettre à jour les plans d'exécution des fichiers XML. La réponse HTTP de l'appel comprend la structure XML des plans d'exécution modifiés. Les identifiants des nouveaux nœuds sont disponibles dans la structure du plan d'exécution XML mis à jour.

Le tableau ci-dessous présente les paramètres de l'interface updateExecutionDefinitions.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=updateExecutionDefinitions | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.

Exemple : http://<front-end URL>/servicesExchange?hid=updateExecutionDefinitions&sid=<webServiceToken>

Le fichier de définition du schéma XML qui sert à valider les exécutions peut être téléchargé au moyen de l’URL du serveur de présentation, http://<URL serveur de présentation>/silkroot/xsl/executionplan.xsd, ou copié à partir du dossier d'installation du serveur de présentation, <dossier d'installation Silk Central>/wwwroot/silkroot/xsl/executionplan.xsd.

Exemple de service Web updateExecutionDefinitions

Le code ci-dessous utilise Apache HttpClient pour mettre à jour les plans d'exécution.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";
string xml = loadExecutionPlanUtf8(DEMO_EXECUTION_PLAN_XML);
HttpClient client = new HttpClient();

URL webServiceUrl = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(),
  String.format("/servicesExchange?hid=%s&sid=%s",
    "updateExecutionDefinitions",
    webServiceToken));
StringPart ExecutionPlanXml = new StringPart(DEMO_EXECUTION_PLAN_XML, xml,
  "UTF-8");
ExecutionPlanXml.setContentType("text/xml");
Part[] parts = {ExecutionPlanXml};
PostMethod filePost = new PostMethod(webServiceUrl.toExternalForm());
filePost.setRequestEntity(new MultipartRequestEntity(parts,
  filePost.getParams()));
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
int status = client.executeMethod(filePost);
System.out.println(filePost.getStatusLine());

String responseXml = filePost.getResponseBodyAsString();

Il n'est possible de télécharger qu'une seule pièce jointe par demande. Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Exemple de plan d'exécution

Le code suivant affiche un exemple de plan d'exécution pouvant être téléchargé dans Silk Central à l'aide des services createExecutionDefinitions et updateExecutionDefinitions. L'exemple permet de créer une planification personnalisée pour l'une des définitions d'exécution et d'assigner des tests à un plan d'exécution, via une assignation manuelle et un filtre. L'exemple permet également de créer une suite de configurations avec des configurations.

<ExecutionPlan xmlns="http://www.borland.com/ExecPlanSchema"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://<front-end URL>/silkroot/xsl/executionplan.xsd">

  <Folder name="Folder1">
    <Description>Description of the folder</Description>
    <ExecDef name="ExecutionDefinition1" TestContainerId="1">
      <Description>Description1</Description>
      <CustomSchedule>
        <start>2009-11-26T21:32:52</start>
        <end>
          <forever>true</forever>
        </end>
        <Interval day="1" hour="2" minute="3"></Interval>
        <adjustDaylightSaving>false</adjustDaylightSaving>
        <exclusions>
          <days>Monday</days>
          <days>Wednesday</days>
          <from>21:32:52</from>
          <to>22:32:52</to>
        </exclusions>
        <definiteRun>2009-11-27T21:35:12</definiteRun>
      </CustomSchedule>
      <ReadFromBuildInfoFile>true</ReadFromBuildInfoFile>
      <Priority>High</Priority>
      <SetupTestDefinition>73</SetupTestDefinition>
      <CleanupTestDefinition>65</CleanupTestDefinition>
      <AssignedTestDefinitions>
        <ManualAssignment useTestPlanOrder="true">
          <TestId>6</TestId>
          <TestId>5</TestId>
        </ManualAssignment>
      </AssignedTestDefinitions>
    </ExecDef>
    <ExecDef name="ExecutionDefinition2" TestContainerId="1">
      <Description>Description2</Description>
      <Build>1</Build>
      <Version>1</Version>
      <Priority>Low</Priority>
      <SourceControlLabel>Label1</SourceControlLabel>
      <DependentExecDef id="65">
        <Condition>Passed</Condition>
        <Deployment>
          <Specific>
            <Execution type="Server" id="1"/>
            <Execution type="Tester" id="0"/>
          </Specific>
        </Deployment>
      </DependentExecDef>
      <DependentExecDef id="70">
        <Condition>Failed</Condition>
        <Deployment>
          <Specific>
            <Execution type="Tester" id="0"/>
          </Specific>
        </Deployment>
      </DependentExecDef>
      <DependentExecDef id="68">
        <Condition>Any</Condition>
        <Deployment>
          <UseFromCurrentExedDef>true</UseFromCurrentExedDef>
        </Deployment>
      </DependentExecDef>
    </ExecDef>

    <ConfigSuite name="ConfigSuite1" TestContainerId="1">
      <Description>ConfigSuite1 desc</Description>
      <CustomSchedule>
        <start>2009-11-26T21:32:52</start>
        <end>
          <times>1</times>
        </end>
        <Interval day="1" hour="2" minute="3"/>
        <adjustDaylightSaving>false</adjustDaylightSaving>
        <exclusions>
          <days>Monday</days>
          <days>Wednesday</days>
          <from>21:32:52</from>
          <to>22:32:52</to>
        </exclusions>
        <definiteRun>2009-11-27T21:35:12</definiteRun>
      </CustomSchedule>

      <ConfigExecDef name="Config1">
        <Description>Config1 desc</Description>
        <Priority>Medium</Priority>
      </ConfigExecDef>

      <ConfigExecDef name="Config2">
        <Priority>Medium</Priority>
        <DependentExecDef id="69">
          <Condition>Any</Condition>
          <Deployment>
            <UseFromCurrentExedDef>true</UseFromCurrentExedDef>
          </Deployment>
        </DependentExecDef>
      </ConfigExecDef>

      <Build>8</Build>
      <Version>2</Version>
      <SourceControlLabel>ConfigSuite1 label</SourceControlLabel>
      <SetupTestDefinition>73</SetupTestDefinition>
      <CleanupTestDefinition>65</CleanupTestDefinition>
      <AssignedTestDefinitions>
        <ManualAssignment useTestPlanOrder="true">
          <TestId>6</TestId>
          <TestId>5</TestId>
        </ManualAssignment>
      </AssignedTestDefinitions>
    </ConfigSuite>
  </Folder>
</ExecutionPlan>
Sujet parent : Services Exchange


Interface createLibraries

L'interface createLibraries permet de créer des bibliothèques. La réponse HTTP de l'appel comprend la structure XML des bibliothèques modifiées. Les identifiants des nouveaux nœuds sont disponibles dans la structure de la bibliothèque XML mise à jour.

Le tableau ci-dessous présente les paramètres de l'interface createLibraries.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=createLibraries | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.

Exemple : http://<front-end URL>/servicesExchange?hid=createLibraries&sid=<webServiceToken>

Le fichier de définition du schéma XML qui sert à valider les bibliothèques peut être téléchargé au moyen de l’URL du serveur de présentation, http://<URL serveur de présentation>/silkroot/xsl/libraries.xsd, ou copié à partir du dossier d'installation du serveur de présentation, <dossier d'installation Silk Central>/wwwroot/silkroot/xsl/libraries.xsd.

Exemple de service Web createLibraries

Le code suivant utilise Apache HttpClient pour créer des bibliothèques.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(), String.format("/servicesExchange?hid=%s&sid=%s",
  "createLibraries", webServiceToken));

HttpClient client = new HttpClient();
PostMethod filePost = new PostMethod(service.toExternalForm());
String xmlFile = loadTestPlanUtf8("libraries.xml");
StringPart xmlFileItem = new StringPart("libraries", xmlFile, "UTF-8");
xmlFileItem.setContentType("text/xml");
Part[] parts = {xmlFileItem};

filePost.setRequestEntity(new MultipartRequestEntity(parts, filePost.getParams()));
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
int status = client.executeMethod(filePost);
System.out.println(filePost.getStatusLine());

Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Exemple de bibliothèques

Le code suivant affiche un exemple de bibliothèque pouvant être téléchargé dans Silk Central à l'aide du service createLibraries. L'utilisation d'une nouvelle bibliothèque n'est pas limitée à certains projets, à moins qu'un ou plusieurs projets soient définis dans la section GrantedProjects.

<LibraryStructure xmlns="http://www.borland.com/TestPlanSchema"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://<front-end URL>/silkroot/xsl/libraries.xsd">

  <Library name="Library 1">
    <Folder name="Folder 1">
      <Folder name="Folder 1.1">
        <SharedSteps name="Basic create user steps">
          <Step name="Login">
            <ActionDescription>
              Login with user admin.
            </ActionDescription>
            <ExpectedResult>Succesful login.</ExpectedResult>
            <CustomStepProperty name="Step Property 1">
                        <propertyValue>Step Property Value</propertyValue>
            </CustomStepProperty>
          </Step>
          <Step name="Create User">
            <ActionDescription>Create user tester</ActionDescription>
            <ExpectedResult>User created</ExpectedResult>
            <CustomStepProperty name="Step Property 1">
                        <propertyValue>Step Property Value</propertyValue>
            </CustomStepProperty>
          </Step>
          <Step name="Logout">
            <ActionDescription>
              Logout using start menu
            </ActionDescription>
            <ExpectedResult>Logged out.</ExpectedResult>
            <CustomStepProperty name="Step Property 1">
                        <propertyValue>Step Property Value</propertyValue>
            </CustomStepProperty>
          </Step>
        </SharedSteps>
      </Folder>
    </Folder>
    <GrantedProjects>
      <ProjectId>0</ProjectId>
      <ProjectId>1</ProjectId>
    </GrantedProjects>
  </Library>
</LibraryStructure>
Sujet parent : Services Exchange


Interface exportLibraryStructure

L'interface exportLibraryStructure permet d'exporter des objets bibliothèques, dossiers et pas de tests partagés sous forme de fichiers XML. Le tableau ci-dessous présente les paramètres de l'interface exportLibraryStructure.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=exportLibraryStructure | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | nodeID | Dossier ou nœud de l'arborescence des bibliothèques qui doit être exporté. Les ID des nœuds de pas de tests partagés ne sont pas autorisés.

Exemple : http://<front-end URL>/servicesExchange?hid=exportLibraryStructure&sid=<webServiceToken>&nodeID=<id>

Exemple de service Web exportLibraryStructure

Le code ci-dessous utilise Apache HttpClient pour exporter les bibliothèques.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(), String.format("/servicesExchange?hid=%s&sid=%s&nodeID=%d",
  "exportLibraryStructure", webServiceToken, NODE_ID));

HttpClient client = new HttpClient();
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
HttpMethod fileGet = new GetMethod(service.toExternalForm());
int status = client.executeMethod(fileGet);
System.out.println(fileGet.getStatusLine());
String exportedTestPlanResponse = fileGet.getResponseBodyAsString();
System.out.println(exportedTestPlanResponse);

Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Sujet parent : Services Exchange


Interface exportLibraryStructureWithoutSteps

L'interface exportLibraryStructureWithoutSteps permet d'exporter des objets bibliothèques, dossiers et pas de tests partagés sous forme de fichiers XML. Les pas de tests inclus dans les objets pas de tests partagés ne sont pas exportés. Le tableau ci-dessous présente les paramètres de l'interface exportLibraryStructureWithoutSteps.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=exportLibraryStructureWithoutSteps | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | nodeID | Dossier ou nœud de l'arborescence des bibliothèques qui doit être exporté. Les ID des nœuds de pas de tests partagés ne sont pas autorisés.

Exemple : http://<front-end URL>/servicesExchange?hid=exportLibraryStructureWithoutSteps&sid=<webServiceToken>&nodeID=<id>

Exemple de service Web exportLibraryStructureWithoutSteps

Le code ci-dessous utilise Apache HttpClient pour exporter les bibliothèques.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(), String.format("/servicesExchange?hid=%s&sid=%s&nodeID=%d",
  "exportLibraryStructureWithoutSteps", webServiceToken, NODE_ID));

HttpClient client = new HttpClient();
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
HttpMethod fileGet = new GetMethod(service.toExternalForm());
int status = client.executeMethod(fileGet);
System.out.println(fileGet.getStatusLine());
String exportedTestPlanResponse = fileGet.getResponseBodyAsString();
System.out.println(exportedTestPlanResponse);

Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Sujet parent : Services Exchange


Interface getLibraryInfoByName

L'interface getLibraryInfoByName renvoie l'ID, le nom et la description de toutes les bibliothèques portant un nom défini. L'interface renvoie uniquement les propriétés des bibliothèques, pas leur structure. Le tableau ci-dessous présente les paramètres de l'interface getLibraryInfoByName.

URL de l'interface | Paramètre | Descriptions
http://<front-end URL>/servicesExchange?hid=getLibraryInfoByName | sid | Jeton de service Web ou identificateur de session pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Vous pouvez appeler la méthode logonUser de l'un des services Web disponibles pour récupérer l'identificateur de session.
 | libraryName | Nom de la bibliothèque

Exemple : http://<front-end URL>/servicesExchange?hid=getLibraryInfoByName&sid=<webServicesToken>&libraryName=<name>

Exemple de service Web getLibraryInfoByName

Le code suivant utilise Apache HttpClient pour obtenir les informations de la bibliothèque.

import org.apache.commons.httpclient.*; // Apache HttpClient

String webServiceToken = "e39a0b5b-45db-42db-84b2-b85028d954d5";

URL service = new URL("http", mWebServiceHelper.getHost(),
  mWebServiceHelper.getPort(), String.format("/servicesExchange?hid=%s&sid=%s",
  "getLibraryInfoByName", webServiceToken, LIBRARY_NAME));

HttpClient client = new HttpClient();
client.getHttpConnectionManager().getParams().setConnectionTimeout(60000);
HttpMethod fileGet = new GetMethod(service.toExternalForm());
int status = client.executeMethod(fileGet);
System.out.println(fileGet.getStatusLine());
String response = fileGet.getResponseBodyAsString();
System.out.println(response);

Pour télécharger Apache HttpComponents, visitez le site http://hc.apache.org/downloads.cgi. Reportez-vous à la documentation du composant pour connaître les bibliothèques requises.

Sujet parent : Services Exchange


Web Service Demo Client

L'outil Web Service Demo Client illustre le mode d'utilisation de Silk Central Web Services. Téléchargez le client depuis Aide > Outils.

L'outil Web Service Demo Client affiche tous les attributs disponibles sous Tests > Gérer les Attributs de Test pour chaque test et toutes les propriétés pour chaque type de test disponible.
Avertissement : L'outil Web Service Demo Client est destiné à illustrer l'utilisation des services Web. N'utilisez pas le client de démonstration dans un environnement de production.
Sujet parent : Services Web Silk Central


Déclenchement de Silk Central à partir d'un serveur CI

Cette section décrit comment améliorer l'intégration de Silk Central dans les processus d'intégration continue (CI) en déclenchant des exécutions dans Silk Central à partir du serveur CI, à l'aide d'un script Gradle.

Par ailleurs, cette section décrit comment obtenir les résultats à partir de Silk Central et comment les utiliser dans vos processus de build.

Pour déclencher des exécutions dans Silk Central à partir d'un serveur CI et pour collecter les résultats des exécutions à partir de Silk Central, vous devez ajouter un script Gradle avec les commandes appropriées pour vos référentiels tiers. Vous pouvez télécharger le fichier silkcentral.gradle à partir de l'interface utilisateur de Silk Central. Accédez à Aide > Outils et cliquez sur Script Gradle pour l'intégration du service CI.

Vous pouvez configurer les propriétés suivantes dans le script Gradle :
Propriété | Description
sc_executionNodeIds | La liste séparée par des virgules des plans d'exécution à démarrer. Cette liste ne doit contenir aucun dossier. Par exemple, 22431,22432,22433.
sc_host | L'hôte Silk Central. Par exemple, http://[sc_server_name]:19120.
sc_token | Le jeton de service Web pour l'authentification des utilisateurs. Vous pouvez générer le jeton de service Web dans la Page Paramètres de l'interface utilisateur de Silk Central. Pour accéder à cette page, passez le curseur de la souris sur le nom d'utilisateur dans le menu Silk Central et sélectionnez Paramètres utilisateur. Par exemple, 80827e02-cfda-4d2d-b0aa-2d5205eb6eq9.
sc_sourceControlBranch | Facultatif : Spécifiez cette propriété pour extraire une branche spécifique. Si aucune branche n'est spécifiée, le paramètre du plan d'exécution est utilisé.
sc_ buildName | Facultatif : Build de l'exécution. Si aucun build n'est spécifié, le paramètre du plan d'exécution est utilisé.
sc_StartOption Facultatif : Tests devant être exécutés. Si cette propriété n'est pas spécifiée, tous les tests assignés sont exécutés. Les valeurs autorisées sont :
  • TOUT
  • ECHEC
  • NOT_EXECUTED
  • NOT_EXECUTED_SINCE_BUILD
  • FAILED_NOTEXECUTED_SINCE_BUILD
  • HAVING_FIXED_ISSUES
La valeur par défaut est ALL.
sc_sinceBuild | Facultatif : Nom du build depuis lequel aucun test n'a été exécuté. Spécifiez cette propriété si la propriété sc_StartOption est définie sur FAILED_NOTEXECUTED_SINCE_BUILD ou sur NOT_EXECUTED_SINCE_BUILD.
sc_collectResults | Facultatif : Si cette propriété est définie sur true, le script patiente jusqu'à ce que l'exécution de Silk Central soit terminée, puis écrit les fichiers de résultats au format JUnit. Si elle est définie sur false, le script déclenche l'exécution et finit sans attendre les résultats. Les fichiers sont stockés dans le sous-dossier sc_results. La valeur par défaut est true.Boolean.
sc_startDelay | Facultatif : Délai de démarrage, en secondes. Peut être spécifié si vous disposez de plusieurs plans d'exécution à exécuter. Les plans d'exécution seront démarrés de manière séquentielle avec le délai entre démarrages spécifié. Cela peut être utile si vous devez réduire la charge de travail dans l'environnement de test au démarrage, par exemple lors du démarrage d'une machine virtuelle ou lors de l'installation de l'application testée. La valeur par défaut est 0.

Vous pouvez spécifier les propriétés directement dans le script ou les transmettre lors du déclenchement du script.

Toutes les propriétés de projet supplémentaires qui ont été spécifiées lors du déclenchement du script seront transmises en tant que paramètres à Silk Central et seront utilisées pour l'exécution. Vous pourrez ainsi paramétrer les exécutions dans Silk Central avec les valeur du serveur de builds.

Par exemple, si votre build démarre un serveur de tests dans Docker, vous pouvez transmettre l'URL à ce serveur en spécifiant la propriété dans la ligne de commande :
-PmyServerUrl=http://docker:1234

Exemple de ligne de commande

La commande suivante lance le script à partir de la ligne de commande, en démarrant les nœuds d'arborescence d'exécution 22431,22432, et 22433 sur localhost et en utilisant le jeton de service Web 80827e02-cfda-4d2d-b0aa-2d5205eb6ea9 pour l'authentification :
gradle -b silkcentral.gradle
:silkCentralLaunch -Psc_executionNodeIds='22431,22432,22433'
-Psc_host='http://localhost:19120'
-Psc_token='80827e02-cfda-4d2d-b0aa-2d5205eb6ea9'

Pour des informations spécifiques sur le déclenchement d'exécutions dans Silk Central à partir de Jenkins, reportez-vous à la rubrique Déclenchement d'exécutions à partir de Jenkins. Pour des informations spécifiques sur le déclenchement d'exécutions dans Silk Central à partir de TeamCity, reportez-vous à la rubrique Déclenchement d'exécutions à partir de TeamCity.

  • Déclenchement d'exécutions à partir de Jenkins
    Déclenchez des exécutions à partir de Jenkins pour intégrer vos tests dans vos workflows CI.
  • Déclenchement d'exécutions à partir de TeamCity
    Déclenchez des exécutions à partir de TeamCity pour intégrer vos tests dans vos workflows CI.
Sujet parent : Services Web Silk Central
Concepts associés
Intégrations du serveur d'intégration continue


Déclenchement d'exécutions à partir de Jenkins

Si votre processus de build n'utilise pas déjà Gradle, assurez-vous que Jenkins peut exécuter des scripts Gradle.
Pour déclencher des exécutions dans Silk Central à partir de Jenkins :
  1. Installez Gradle dans Jenkins, sous Gérer Jenkins > Configuration globale des outils.
  2. Dans votre projet Jenkins, ajoutez un pas de test de build Appeler le script Gradle. Vous devez adapter la propriété Fichier de build en fonction de l'emplacement d'installation du script Gradle. Configurez le pas de test comme indiqué dans la capture d'écran suivante :

    1. Comme l'indique la capture d'écran, vous pouvez utiliser les variables disponibles dans Jenkins, $BUILD_NUMBER par exemple, pour configurer le script.
    2. Si votre projet Jenkins est configuré, vous pouvez transmettre tous les paramètres directement à Silk Central en cochant la case Transmettre tous les paramètres de tâche en tant que propriétés du projet.
  3. Pour afficher les résultats de test dans Jenkins, ajoutez une action post-build Publier le rapport de résultats de test JUnit au projet Jenkins.
  4. Dans le champ Fichiers XML de rapport de test, spécifiez l'emplacement dans lequel le script doit écrire dans les fichiers. Par exemple sc_results/junit*.xml.

Sujet parent : Déclenchement de Silk Central à partir d'un serveur CI


Déclenchement d'exécutions à partir de TeamCity

Pour déclencher des exécutions dans Silk Central à partir de TeamCity :
  1. Ajoutez un pas de test de build au build dans TeamCity :
    1. Sélectionnez Gradle comme Type d'exécuteur.
    2. Dans le champ Tâche Gradle, spécifiez silkCentralLaunch.
    3. Recherchez et sélectionnez le fichier silkcentral.gradle dans le champ Fichier de build Gradle.
    4. Spécifiez les éventuels paramètres de ligne de commande Gradle supplémentaires dans le champ Paramètres de ligne de commande Gradle supplémentaires.

  2. Pour traiter les résultats de test provenant de Silk Central dans TeamCity, ajoutez la fonction de build Traitement des rapports XLM au build dans TeamCity.
  3. Configurez la fonctionnalité de build Traitement des rapports XLM.
    1. Sélectionnez une valeur dans le champs Type de rapport.
    2. Dans le champ Règles de surveillance, spécifiez l'emplacement dans lequel le script doit écrire les fichiers. Par exemple sc_results/*.xml.

Sujet parent : Déclenchement de Silk Central à partir d'un serveur CI


Schéma de modèle de base de données

Vous pouvez télécharger un fichier .zip comportant des informations détaillées sur le schéma de base de données de Silk Central. Dans le menu, cliquez sur Aide > Documentation, puis cliquez sur Silk CentralSchéma(s) de Base de Données pour télécharger le fichier .zip.


Contacter Micro Focus

Micro Focus s'engage à fournir un support technique et des services de conseil de haut niveau.Micro Focus offre un support international et des services fiables et rapides afin d'assurer la réussite commerciale de chaque client.

Tous les clients ayant souscrit un contrat de maintenance et de support, ainsi que les prospects évaluant les applications, peuvent bénéficier du support client. Notre personnel très qualifié répondra à vos demandes aussi rapidement que possible, et avec un maximum de professionnalisme.

Visitez le site http://supportline.microfocus.com/assistedservices.asp pour entrer directement en contact avec Micro Focus SupportLine et résoudre vos problèmes, ou envoyez un e-mail à l'adresse supportline@microfocus.com.

Visitez le siteMicro Focus SupportLine à l'adresse http://supportline.microfocus.com pour obtenir les toutes dernières informations de support et accéder à d'autres informations à ce sujet. Il se peut qu'une inscription soit requise pour les utilisateurs qui se rendent sur ce site pour la première fois.

  • Informations requises par Micro Focus SupportLine
    Répertorie les informations nécessaires à Micro Focus SupportLine pour résoudre les problèmes des clients.
  • Diagnostics système
    Décrit le mode d'affichage et de téléchargement des diagnostics du système.


Informations requises par Micro Focus SupportLine

Lorsque vous contactez Micro Focus SupportLine, veuillez inclure les informations suivantes, dans la mesure du possible. Plus vous donnez d'informations, mieuxMicro Focus SupportLine pourra vous aider.

  • Nom et numéro de version de tous les produits posant problème.
  • Marque et modèle de votre ordinateur.
  • Informations système, telles que nom et version du système d'exploitation, informations sur les processeurs et la mémoire.
  • Tout détail pertinent du problème, notamment les étapes permettant de reproduire la situation problématique.
  • Copie exacte des messages d'erreur obtenus.
  • Numéro de série .

Vous trouverez ces numéros dans la ligne d'objet et le corps du message électronique d'avis de livraison de produit électronique que vous a envoyé Micro Focus.

Sujet parent : Contacter Micro Focus
Concepts associés
Diagnostics du système


Reuse_Creating or Editing Tests

Pour créer un test :

  1. Dans le menu, cliquez sur Tests > Vue Détaillée.
  2. Sélectionnez un conteneur ou un nœud de dossier dans l'arborescence des Tests où vous souhaitez insérer un nouveau test, ou sélectionnez le test que vous souhaitez modifier.
  3. Cliquez sur Nouveau test enfant (Nouveau test enfant) dans la barre d'outils, ou cliquez sur [image] (Modifier).

    La boîte de dialogue Nouveau test/Modifier le test s'affiche.

  4. Entrez un nom et une description pour le test.
    Remarque : Silk Central prend en charge la mise en forme HTML et les opérations de couper-coller appliquées au contenu HTML pour les champs Description.
  5. Sélectionnez le type de test dans la liste Type.
  6. Cliquez sur Suivant et accédez à la rubrique appropriée du type de test sélectionné dans la section Configuration des propriétés de test.
Remarque : L'API publique bien définie de Silk Central vous permet d'implémenter une solution propriétaire répondant à vos besoins en matière de tests automatisés. Silk Central est ouvert et extensible pour n'importe quel outil tiers pouvant être appelé à partir d'une implémentation Java ou via un appel de la ligne de commande.
Remarque : Lors du processus de configuration du test et pour l'ensemble des types de tests, les options de la case à cocher Hérite du parent sont fournies (le cas échéant) et vous permettent d'accepter les paramètres associés à une entité parente existante.